#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1666
#define LARGE_STATE_COUNT 409
#define SYMBOL_COUNT 309
#define ALIAS_COUNT 1
#define TOKEN_COUNT 157
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 16
#define MAX_ALIAS_SEQUENCE_LENGTH 12
#define PRODUCTION_ID_COUNT 73

enum {
  sym_name = 1,
  sym_php_tag = 2,
  anon_sym_QMARK_GT = 3,
  aux_sym_text_token1 = 4,
  aux_sym_text_token2 = 5,
  anon_sym_SEMI = 6,
  aux_sym_function_static_declaration_token1 = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  aux_sym_global_declaration_token1 = 10,
  aux_sym_namespace_definition_token1 = 11,
  aux_sym_namespace_use_declaration_token1 = 12,
  aux_sym_namespace_use_declaration_token2 = 13,
  aux_sym_namespace_use_declaration_token3 = 14,
  anon_sym_BSLASH = 15,
  aux_sym_namespace_aliasing_clause_token1 = 16,
  anon_sym_LBRACE = 17,
  anon_sym_RBRACE = 18,
  aux_sym_trait_declaration_token1 = 19,
  aux_sym_interface_declaration_token1 = 20,
  aux_sym_base_clause_token1 = 21,
  aux_sym_class_declaration_token1 = 22,
  aux_sym_class_modifier_token1 = 23,
  aux_sym_class_modifier_token2 = 24,
  aux_sym_class_interface_clause_token1 = 25,
  sym_var_modifier = 26,
  aux_sym_use_instead_of_clause_token1 = 27,
  aux_sym_visibility_modifier_token1 = 28,
  aux_sym_visibility_modifier_token2 = 29,
  aux_sym_visibility_modifier_token3 = 30,
  anon_sym_AMP = 31,
  anon_sym_LPAREN = 32,
  anon_sym_RPAREN = 33,
  anon_sym_DOT_DOT_DOT = 34,
  anon_sym_QMARK = 35,
  anon_sym_PIPE = 36,
  anon_sym_array = 37,
  anon_sym_callable = 38,
  anon_sym_iterable = 39,
  anon_sym_bool = 40,
  anon_sym_float = 41,
  anon_sym_int = 42,
  anon_sym_string = 43,
  anon_sym_void = 44,
  anon_sym_false = 45,
  anon_sym_null = 46,
  anon_sym_binary = 47,
  anon_sym_boolean = 48,
  anon_sym_double = 49,
  anon_sym_integer = 50,
  anon_sym_object = 51,
  anon_sym_real = 52,
  anon_sym_unset = 53,
  anon_sym_COLON = 54,
  aux_sym_echo_statement_token1 = 55,
  anon_sym_declare = 56,
  aux_sym_declare_statement_token1 = 57,
  anon_sym_ticks = 58,
  anon_sym_encoding = 59,
  anon_sym_strict_types = 60,
  sym_float = 61,
  aux_sym_try_statement_token1 = 62,
  aux_sym_catch_clause_token1 = 63,
  aux_sym_finally_clause_token1 = 64,
  aux_sym_goto_statement_token1 = 65,
  aux_sym_continue_statement_token1 = 66,
  aux_sym_break_statement_token1 = 67,
  sym_integer = 68,
  aux_sym_return_statement_token1 = 69,
  aux_sym_throw_expression_token1 = 70,
  aux_sym_while_statement_token1 = 71,
  aux_sym_while_statement_token2 = 72,
  aux_sym_do_statement_token1 = 73,
  aux_sym_for_statement_token1 = 74,
  aux_sym_for_statement_token2 = 75,
  aux_sym_foreach_statement_token1 = 76,
  aux_sym_foreach_statement_token2 = 77,
  anon_sym_EQ_GT = 78,
  aux_sym_if_statement_token1 = 79,
  aux_sym_if_statement_token2 = 80,
  aux_sym_else_if_clause_token1 = 81,
  aux_sym_else_clause_token1 = 82,
  aux_sym_switch_statement_token1 = 83,
  aux_sym_switch_block_token1 = 84,
  aux_sym_case_statement_token1 = 85,
  aux_sym_default_statement_token1 = 86,
  anon_sym_AT = 87,
  anon_sym_PLUS = 88,
  anon_sym_DASH = 89,
  anon_sym_TILDE = 90,
  anon_sym_BANG = 91,
  anon_sym_STAR_STAR = 92,
  anon_sym_clone = 93,
  anon_sym_COLON_COLON = 94,
  anon_sym_print = 95,
  anon_sym_new = 96,
  anon_sym_PLUS_PLUS = 97,
  anon_sym_DASH_DASH = 98,
  sym_shell_command_expression = 99,
  anon_sym_STAR_STAR_EQ = 100,
  anon_sym_STAR_EQ = 101,
  anon_sym_SLASH_EQ = 102,
  anon_sym_PERCENT_EQ = 103,
  anon_sym_PLUS_EQ = 104,
  anon_sym_DASH_EQ = 105,
  anon_sym_DOT_EQ = 106,
  anon_sym_LT_LT_EQ = 107,
  anon_sym_GT_GT_EQ = 108,
  anon_sym_AMP_EQ = 109,
  anon_sym_CARET_EQ = 110,
  anon_sym_PIPE_EQ = 111,
  anon_sym_QMARK_QMARK_EQ = 112,
  anon_sym_DASH_GT = 113,
  anon_sym_list = 114,
  anon_sym_LBRACK = 115,
  anon_sym_RBRACK = 116,
  anon_sym_self = 117,
  anon_sym_parent = 118,
  sym_string = 119,
  sym_boolean = 120,
  sym_null = 121,
  anon_sym_DOLLAR = 122,
  anon_sym_yield = 123,
  anon_sym_from = 124,
  aux_sym_binary_expression_token1 = 125,
  anon_sym_QMARK_QMARK = 126,
  aux_sym_binary_expression_token2 = 127,
  aux_sym_binary_expression_token3 = 128,
  aux_sym_binary_expression_token4 = 129,
  anon_sym_PIPE_PIPE = 130,
  anon_sym_AMP_AMP = 131,
  anon_sym_CARET = 132,
  anon_sym_EQ_EQ = 133,
  anon_sym_BANG_EQ = 134,
  anon_sym_LT_GT = 135,
  anon_sym_EQ_EQ_EQ = 136,
  anon_sym_BANG_EQ_EQ = 137,
  anon_sym_LT = 138,
  anon_sym_GT = 139,
  anon_sym_LT_EQ = 140,
  anon_sym_GT_EQ = 141,
  anon_sym_LT_EQ_GT = 142,
  anon_sym_LT_LT = 143,
  anon_sym_GT_GT = 144,
  anon_sym_DOT = 145,
  anon_sym_STAR = 146,
  anon_sym_SLASH = 147,
  anon_sym_PERCENT = 148,
  aux_sym_include_expression_token1 = 149,
  aux_sym_include_once_expression_token1 = 150,
  aux_sym_require_expression_token1 = 151,
  aux_sym_require_once_expression_token1 = 152,
  sym_comment = 153,
  sym__automatic_semicolon = 154,
  sym_heredoc = 155,
  sym__eof = 156,
  sym_program = 157,
  sym_text_interpolation = 158,
  sym_text = 159,
  sym_empty_statement = 160,
  sym_function_static_declaration = 161,
  sym_static_variable_declaration = 162,
  sym_global_declaration = 163,
  sym_namespace_definition = 164,
  sym_namespace_use_declaration = 165,
  sym_namespace_use_clause = 166,
  sym_qualified_name = 167,
  sym_namespace_name_as_prefix = 168,
  sym_namespace_name = 169,
  sym_namespace_aliasing_clause = 170,
  sym_namespace_use_group = 171,
  sym_namespace_use_group_clause = 172,
  sym_trait_declaration = 173,
  sym_interface_declaration = 174,
  sym_base_clause = 175,
  sym_class_declaration = 176,
  sym_declaration_list = 177,
  sym_class_modifier = 178,
  sym_class_interface_clause = 179,
  sym__member_declaration = 180,
  sym_const_declaration = 181,
  sym_property_declaration = 182,
  sym__modifier = 183,
  sym_property_element = 184,
  sym_property_initializer = 185,
  sym_method_declaration = 186,
  sym_static_modifier = 187,
  sym_use_declaration = 188,
  sym_use_list = 189,
  sym_use_instead_of_clause = 190,
  sym_use_as_clause = 191,
  sym_visibility_modifier = 192,
  sym_function_definition = 193,
  sym__function_definition_header = 194,
  sym_formal_parameters = 195,
  sym_simple_parameter = 196,
  sym_variadic_parameter = 197,
  sym__type = 198,
  sym__types = 199,
  sym_optional_type = 200,
  sym_union_type = 201,
  sym_primitive_type = 202,
  sym_cast_type = 203,
  sym__return_type = 204,
  sym_const_element = 205,
  sym_echo_statement = 206,
  sym_unset_statement = 207,
  sym_declare_statement = 208,
  sym_declare_directive = 209,
  sym_try_statement = 210,
  sym_catch_clause = 211,
  sym_type_list = 212,
  sym_finally_clause = 213,
  sym_goto_statement = 214,
  sym_continue_statement = 215,
  sym_break_statement = 216,
  sym_return_statement = 217,
  sym_throw_expression = 218,
  sym_while_statement = 219,
  sym_do_statement = 220,
  sym_for_statement = 221,
  sym__expressions = 222,
  sym_sequence_expression = 223,
  sym_foreach_statement = 224,
  sym_foreach_pair = 225,
  sym_if_statement = 226,
  sym_colon_block = 227,
  sym_else_if_clause = 228,
  sym_else_clause = 229,
  sym_else_if_clause_2 = 230,
  sym_else_clause_2 = 231,
  sym_switch_statement = 232,
  sym_switch_block = 233,
  sym_case_statement = 234,
  sym_default_statement = 235,
  sym_compound_statement = 236,
  sym_named_label_statement = 237,
  sym_expression_statement = 238,
  sym__expression = 239,
  sym__unary_expression = 240,
  sym_unary_op_expression = 241,
  sym_exponentiation_expression = 242,
  sym_clone_expression = 243,
  sym__primary_expression = 244,
  sym_parenthesized_expression = 245,
  sym_class_constant_access_expression = 246,
  sym_print_intrinsic = 247,
  sym_anonymous_function_creation_expression = 248,
  sym_anonymous_function_use_clause = 249,
  sym_object_creation_expression = 250,
  sym_update_expression = 251,
  sym_cast_expression = 252,
  sym_cast_variable = 253,
  sym_assignment_expression = 254,
  sym_conditional_expression = 255,
  sym_augmented_assignment_expression = 256,
  sym_member_access_expression = 257,
  sym_scoped_property_access_expression = 258,
  sym_list_literal = 259,
  sym__list_destructing = 260,
  sym__array_destructing = 261,
  sym_function_call_expression = 262,
  sym_scoped_call_expression = 263,
  sym__scope_resolution_qualifier = 264,
  sym_relative_scope = 265,
  sym_arguments = 266,
  sym_member_call_expression = 267,
  sym_variadic_unpacking = 268,
  sym_subscript_expression = 269,
  sym__dereferencable_expression = 270,
  sym_array_creation_expression = 271,
  sym__string = 272,
  sym_dynamic_variable_name = 273,
  sym_variable_name = 274,
  sym_yield_expression = 275,
  sym_array_element_initializer = 276,
  sym_binary_expression = 277,
  sym_include_expression = 278,
  sym_include_once_expression = 279,
  sym_require_expression = 280,
  sym_require_once_expression = 281,
  sym__reserved_identifier = 282,
  aux_sym_program_repeat1 = 283,
  aux_sym_text_repeat1 = 284,
  aux_sym_function_static_declaration_repeat1 = 285,
  aux_sym_global_declaration_repeat1 = 286,
  aux_sym_namespace_use_declaration_repeat1 = 287,
  aux_sym_namespace_name_repeat1 = 288,
  aux_sym_namespace_use_group_repeat1 = 289,
  aux_sym_base_clause_repeat1 = 290,
  aux_sym_declaration_list_repeat1 = 291,
  aux_sym_const_declaration_repeat1 = 292,
  aux_sym_property_declaration_repeat1 = 293,
  aux_sym_property_declaration_repeat2 = 294,
  aux_sym_use_list_repeat1 = 295,
  aux_sym_formal_parameters_repeat1 = 296,
  aux_sym_union_type_repeat1 = 297,
  aux_sym_unset_statement_repeat1 = 298,
  aux_sym_try_statement_repeat1 = 299,
  aux_sym_type_list_repeat1 = 300,
  aux_sym_if_statement_repeat1 = 301,
  aux_sym_if_statement_repeat2 = 302,
  aux_sym_switch_block_repeat1 = 303,
  aux_sym_anonymous_function_use_clause_repeat1 = 304,
  aux_sym__list_destructing_repeat1 = 305,
  aux_sym__array_destructing_repeat1 = 306,
  aux_sym_arguments_repeat1 = 307,
  aux_sym_array_creation_expression_repeat1 = 308,
  alias_sym_type_name = 309,
};

static const char *ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_name] = "name",
  [sym_php_tag] = "php_tag",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym_text_token1] = "text_token1",
  [aux_sym_text_token2] = "text_token2",
  [anon_sym_SEMI] = ";",
  [aux_sym_function_static_declaration_token1] = "static",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [aux_sym_global_declaration_token1] = "global",
  [aux_sym_namespace_definition_token1] = "namespace",
  [aux_sym_namespace_use_declaration_token1] = "use",
  [aux_sym_namespace_use_declaration_token2] = "function",
  [aux_sym_namespace_use_declaration_token3] = "const",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_namespace_aliasing_clause_token1] = "as",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [aux_sym_trait_declaration_token1] = "trait",
  [aux_sym_interface_declaration_token1] = "interface",
  [aux_sym_base_clause_token1] = "extends",
  [aux_sym_class_declaration_token1] = "class",
  [aux_sym_class_modifier_token1] = "abstract",
  [aux_sym_class_modifier_token2] = "final",
  [aux_sym_class_interface_clause_token1] = "implements",
  [sym_var_modifier] = "var_modifier",
  [aux_sym_use_instead_of_clause_token1] = "insteadof",
  [aux_sym_visibility_modifier_token1] = "public",
  [aux_sym_visibility_modifier_token2] = "protected",
  [aux_sym_visibility_modifier_token3] = "private",
  [anon_sym_AMP] = "&",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PIPE] = "|",
  [anon_sym_array] = "array",
  [anon_sym_callable] = "callable",
  [anon_sym_iterable] = "iterable",
  [anon_sym_bool] = "bool",
  [anon_sym_float] = "float",
  [anon_sym_int] = "int",
  [anon_sym_string] = "string",
  [anon_sym_void] = "void",
  [anon_sym_false] = "false",
  [anon_sym_null] = "null",
  [anon_sym_binary] = "binary",
  [anon_sym_boolean] = "boolean",
  [anon_sym_double] = "double",
  [anon_sym_integer] = "integer",
  [anon_sym_object] = "object",
  [anon_sym_real] = "real",
  [anon_sym_unset] = "unset",
  [anon_sym_COLON] = ":",
  [aux_sym_echo_statement_token1] = "echo",
  [anon_sym_declare] = "declare",
  [aux_sym_declare_statement_token1] = "enddeclare",
  [anon_sym_ticks] = "ticks",
  [anon_sym_encoding] = "encoding",
  [anon_sym_strict_types] = "strict_types",
  [sym_float] = "float",
  [aux_sym_try_statement_token1] = "try",
  [aux_sym_catch_clause_token1] = "catch",
  [aux_sym_finally_clause_token1] = "finally",
  [aux_sym_goto_statement_token1] = "goto",
  [aux_sym_continue_statement_token1] = "continue",
  [aux_sym_break_statement_token1] = "break",
  [sym_integer] = "integer",
  [aux_sym_return_statement_token1] = "return",
  [aux_sym_throw_expression_token1] = "throw",
  [aux_sym_while_statement_token1] = "while",
  [aux_sym_while_statement_token2] = "endwhile",
  [aux_sym_do_statement_token1] = "do",
  [aux_sym_for_statement_token1] = "for",
  [aux_sym_for_statement_token2] = "endfor",
  [aux_sym_foreach_statement_token1] = "foreach",
  [aux_sym_foreach_statement_token2] = "endforeach",
  [anon_sym_EQ_GT] = "=>",
  [aux_sym_if_statement_token1] = "if",
  [aux_sym_if_statement_token2] = "endif",
  [aux_sym_else_if_clause_token1] = "elseif",
  [aux_sym_else_clause_token1] = "else",
  [aux_sym_switch_statement_token1] = "switch",
  [aux_sym_switch_block_token1] = "endswitch",
  [aux_sym_case_statement_token1] = "case",
  [aux_sym_default_statement_token1] = "default",
  [anon_sym_AT] = "@",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_clone] = "clone",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_print] = "print",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [sym_shell_command_expression] = "shell_command_expression",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_DOT_EQ] = ".=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_list] = "list",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_self] = "self",
  [anon_sym_parent] = "parent",
  [sym_string] = "string",
  [sym_boolean] = "boolean",
  [sym_null] = "null",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_yield] = "yield",
  [anon_sym_from] = "from",
  [aux_sym_binary_expression_token1] = "instanceof",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [aux_sym_binary_expression_token2] = "and",
  [aux_sym_binary_expression_token3] = "or",
  [aux_sym_binary_expression_token4] = "xor",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_CARET] = "^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [aux_sym_include_expression_token1] = "include",
  [aux_sym_include_once_expression_token1] = "include_once",
  [aux_sym_require_expression_token1] = "require",
  [aux_sym_require_once_expression_token1] = "require_once",
  [sym_comment] = "comment",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym_heredoc] = "heredoc",
  [sym__eof] = "_eof",
  [sym_program] = "program",
  [sym_text_interpolation] = "text_interpolation",
  [sym_text] = "text",
  [sym_empty_statement] = "empty_statement",
  [sym_function_static_declaration] = "function_static_declaration",
  [sym_static_variable_declaration] = "static_variable_declaration",
  [sym_global_declaration] = "global_declaration",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_use_declaration] = "namespace_use_declaration",
  [sym_namespace_use_clause] = "namespace_use_clause",
  [sym_qualified_name] = "qualified_name",
  [sym_namespace_name_as_prefix] = "namespace_name_as_prefix",
  [sym_namespace_name] = "namespace_name",
  [sym_namespace_aliasing_clause] = "namespace_aliasing_clause",
  [sym_namespace_use_group] = "namespace_use_group",
  [sym_namespace_use_group_clause] = "namespace_use_group_clause",
  [sym_trait_declaration] = "trait_declaration",
  [sym_interface_declaration] = "interface_declaration",
  [sym_base_clause] = "base_clause",
  [sym_class_declaration] = "class_declaration",
  [sym_declaration_list] = "declaration_list",
  [sym_class_modifier] = "class_modifier",
  [sym_class_interface_clause] = "class_interface_clause",
  [sym__member_declaration] = "_member_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_property_declaration] = "property_declaration",
  [sym__modifier] = "_modifier",
  [sym_property_element] = "property_element",
  [sym_property_initializer] = "property_initializer",
  [sym_method_declaration] = "method_declaration",
  [sym_static_modifier] = "static_modifier",
  [sym_use_declaration] = "use_declaration",
  [sym_use_list] = "use_list",
  [sym_use_instead_of_clause] = "use_instead_of_clause",
  [sym_use_as_clause] = "use_as_clause",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym_function_definition] = "function_definition",
  [sym__function_definition_header] = "_function_definition_header",
  [sym_formal_parameters] = "formal_parameters",
  [sym_simple_parameter] = "simple_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym__type] = "_type",
  [sym__types] = "_types",
  [sym_optional_type] = "optional_type",
  [sym_union_type] = "type_list",
  [sym_primitive_type] = "primitive_type",
  [sym_cast_type] = "cast_type",
  [sym__return_type] = "_return_type",
  [sym_const_element] = "const_element",
  [sym_echo_statement] = "echo_statement",
  [sym_unset_statement] = "unset_statement",
  [sym_declare_statement] = "declare_statement",
  [sym_declare_directive] = "declare_directive",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_type_list] = "type_list",
  [sym_finally_clause] = "finally_clause",
  [sym_goto_statement] = "goto_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_break_statement] = "break_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_expression] = "throw_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__expressions] = "_expressions",
  [sym_sequence_expression] = "sequence_expression",
  [sym_foreach_statement] = "foreach_statement",
  [sym_foreach_pair] = "pair",
  [sym_if_statement] = "if_statement",
  [sym_colon_block] = "colon_block",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_else_if_clause_2] = "else_if_clause",
  [sym_else_clause_2] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_block] = "switch_block",
  [sym_case_statement] = "case_statement",
  [sym_default_statement] = "default_statement",
  [sym_compound_statement] = "compound_statement",
  [sym_named_label_statement] = "named_label_statement",
  [sym_expression_statement] = "expression_statement",
  [sym__expression] = "_expression",
  [sym__unary_expression] = "_unary_expression",
  [sym_unary_op_expression] = "unary_op_expression",
  [sym_exponentiation_expression] = "exponentiation_expression",
  [sym_clone_expression] = "clone_expression",
  [sym__primary_expression] = "_primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_constant_access_expression] = "class_constant_access_expression",
  [sym_print_intrinsic] = "print_intrinsic",
  [sym_anonymous_function_creation_expression] = "anonymous_function_creation_expression",
  [sym_anonymous_function_use_clause] = "anonymous_function_use_clause",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_cast_variable] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym_member_access_expression] = "member_access_expression",
  [sym_scoped_property_access_expression] = "scoped_property_access_expression",
  [sym_list_literal] = "list_literal",
  [sym__list_destructing] = "_list_destructing",
  [sym__array_destructing] = "_array_destructing",
  [sym_function_call_expression] = "function_call_expression",
  [sym_scoped_call_expression] = "scoped_call_expression",
  [sym__scope_resolution_qualifier] = "_scope_resolution_qualifier",
  [sym_relative_scope] = "relative_scope",
  [sym_arguments] = "arguments",
  [sym_member_call_expression] = "member_call_expression",
  [sym_variadic_unpacking] = "variadic_unpacking",
  [sym_subscript_expression] = "subscript_expression",
  [sym__dereferencable_expression] = "_dereferencable_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym__string] = "_string",
  [sym_dynamic_variable_name] = "dynamic_variable_name",
  [sym_variable_name] = "variable_name",
  [sym_yield_expression] = "yield_expression",
  [sym_array_element_initializer] = "array_element_initializer",
  [sym_binary_expression] = "binary_expression",
  [sym_include_expression] = "include_expression",
  [sym_include_once_expression] = "include_once_expression",
  [sym_require_expression] = "require_expression",
  [sym_require_once_expression] = "require_once_expression",
  [sym__reserved_identifier] = "name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_text_repeat1] = "text_repeat1",
  [aux_sym_function_static_declaration_repeat1] = "function_static_declaration_repeat1",
  [aux_sym_global_declaration_repeat1] = "global_declaration_repeat1",
  [aux_sym_namespace_use_declaration_repeat1] = "namespace_use_declaration_repeat1",
  [aux_sym_namespace_name_repeat1] = "namespace_name_repeat1",
  [aux_sym_namespace_use_group_repeat1] = "namespace_use_group_repeat1",
  [aux_sym_base_clause_repeat1] = "base_clause_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_property_declaration_repeat1] = "property_declaration_repeat1",
  [aux_sym_property_declaration_repeat2] = "property_declaration_repeat2",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_union_type_repeat1] = "union_type_repeat1",
  [aux_sym_unset_statement_repeat1] = "unset_statement_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_if_statement_repeat2] = "if_statement_repeat2",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_anonymous_function_use_clause_repeat1] = "anonymous_function_use_clause_repeat1",
  [aux_sym__list_destructing_repeat1] = "_list_destructing_repeat1",
  [aux_sym__array_destructing_repeat1] = "_array_destructing_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [alias_sym_type_name] = "type_name",
};

static TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_name] = sym_name,
  [sym_php_tag] = sym_php_tag,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym_text_token1] = aux_sym_text_token1,
  [aux_sym_text_token2] = aux_sym_text_token2,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_function_static_declaration_token1] = aux_sym_function_static_declaration_token1,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [aux_sym_global_declaration_token1] = aux_sym_global_declaration_token1,
  [aux_sym_namespace_definition_token1] = aux_sym_namespace_definition_token1,
  [aux_sym_namespace_use_declaration_token1] = aux_sym_namespace_use_declaration_token1,
  [aux_sym_namespace_use_declaration_token2] = aux_sym_namespace_use_declaration_token2,
  [aux_sym_namespace_use_declaration_token3] = aux_sym_namespace_use_declaration_token3,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_namespace_aliasing_clause_token1] = aux_sym_namespace_aliasing_clause_token1,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym_trait_declaration_token1] = aux_sym_trait_declaration_token1,
  [aux_sym_interface_declaration_token1] = aux_sym_interface_declaration_token1,
  [aux_sym_base_clause_token1] = aux_sym_base_clause_token1,
  [aux_sym_class_declaration_token1] = aux_sym_class_declaration_token1,
  [aux_sym_class_modifier_token1] = aux_sym_class_modifier_token1,
  [aux_sym_class_modifier_token2] = aux_sym_class_modifier_token2,
  [aux_sym_class_interface_clause_token1] = aux_sym_class_interface_clause_token1,
  [sym_var_modifier] = sym_var_modifier,
  [aux_sym_use_instead_of_clause_token1] = aux_sym_use_instead_of_clause_token1,
  [aux_sym_visibility_modifier_token1] = aux_sym_visibility_modifier_token1,
  [aux_sym_visibility_modifier_token2] = aux_sym_visibility_modifier_token2,
  [aux_sym_visibility_modifier_token3] = aux_sym_visibility_modifier_token3,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_array] = anon_sym_array,
  [anon_sym_callable] = anon_sym_callable,
  [anon_sym_iterable] = anon_sym_iterable,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_binary] = anon_sym_binary,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_double] = anon_sym_double,
  [anon_sym_integer] = anon_sym_integer,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_real] = anon_sym_real,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_COLON] = anon_sym_COLON,
  [aux_sym_echo_statement_token1] = aux_sym_echo_statement_token1,
  [anon_sym_declare] = anon_sym_declare,
  [aux_sym_declare_statement_token1] = aux_sym_declare_statement_token1,
  [anon_sym_ticks] = anon_sym_ticks,
  [anon_sym_encoding] = anon_sym_encoding,
  [anon_sym_strict_types] = anon_sym_strict_types,
  [sym_float] = sym_float,
  [aux_sym_try_statement_token1] = aux_sym_try_statement_token1,
  [aux_sym_catch_clause_token1] = aux_sym_catch_clause_token1,
  [aux_sym_finally_clause_token1] = aux_sym_finally_clause_token1,
  [aux_sym_goto_statement_token1] = aux_sym_goto_statement_token1,
  [aux_sym_continue_statement_token1] = aux_sym_continue_statement_token1,
  [aux_sym_break_statement_token1] = aux_sym_break_statement_token1,
  [sym_integer] = sym_integer,
  [aux_sym_return_statement_token1] = aux_sym_return_statement_token1,
  [aux_sym_throw_expression_token1] = aux_sym_throw_expression_token1,
  [aux_sym_while_statement_token1] = aux_sym_while_statement_token1,
  [aux_sym_while_statement_token2] = aux_sym_while_statement_token2,
  [aux_sym_do_statement_token1] = aux_sym_do_statement_token1,
  [aux_sym_for_statement_token1] = aux_sym_for_statement_token1,
  [aux_sym_for_statement_token2] = aux_sym_for_statement_token2,
  [aux_sym_foreach_statement_token1] = aux_sym_foreach_statement_token1,
  [aux_sym_foreach_statement_token2] = aux_sym_foreach_statement_token2,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [aux_sym_if_statement_token1] = aux_sym_if_statement_token1,
  [aux_sym_if_statement_token2] = aux_sym_if_statement_token2,
  [aux_sym_else_if_clause_token1] = aux_sym_else_if_clause_token1,
  [aux_sym_else_clause_token1] = aux_sym_else_clause_token1,
  [aux_sym_switch_statement_token1] = aux_sym_switch_statement_token1,
  [aux_sym_switch_block_token1] = aux_sym_switch_block_token1,
  [aux_sym_case_statement_token1] = aux_sym_case_statement_token1,
  [aux_sym_default_statement_token1] = aux_sym_default_statement_token1,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_clone] = anon_sym_clone,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [sym_shell_command_expression] = sym_shell_command_expression,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_list] = anon_sym_list,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_self] = anon_sym_self,
  [anon_sym_parent] = anon_sym_parent,
  [sym_string] = sym_string,
  [sym_boolean] = sym_boolean,
  [sym_null] = sym_null,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_from] = anon_sym_from,
  [aux_sym_binary_expression_token1] = aux_sym_binary_expression_token1,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [aux_sym_binary_expression_token2] = aux_sym_binary_expression_token2,
  [aux_sym_binary_expression_token3] = aux_sym_binary_expression_token3,
  [aux_sym_binary_expression_token4] = aux_sym_binary_expression_token4,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_include_expression_token1] = aux_sym_include_expression_token1,
  [aux_sym_include_once_expression_token1] = aux_sym_include_once_expression_token1,
  [aux_sym_require_expression_token1] = aux_sym_require_expression_token1,
  [aux_sym_require_once_expression_token1] = aux_sym_require_once_expression_token1,
  [sym_comment] = sym_comment,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym_heredoc] = sym_heredoc,
  [sym__eof] = sym__eof,
  [sym_program] = sym_program,
  [sym_text_interpolation] = sym_text_interpolation,
  [sym_text] = sym_text,
  [sym_empty_statement] = sym_empty_statement,
  [sym_function_static_declaration] = sym_function_static_declaration,
  [sym_static_variable_declaration] = sym_static_variable_declaration,
  [sym_global_declaration] = sym_global_declaration,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_use_declaration] = sym_namespace_use_declaration,
  [sym_namespace_use_clause] = sym_namespace_use_clause,
  [sym_qualified_name] = sym_qualified_name,
  [sym_namespace_name_as_prefix] = sym_namespace_name_as_prefix,
  [sym_namespace_name] = sym_namespace_name,
  [sym_namespace_aliasing_clause] = sym_namespace_aliasing_clause,
  [sym_namespace_use_group] = sym_namespace_use_group,
  [sym_namespace_use_group_clause] = sym_namespace_use_group_clause,
  [sym_trait_declaration] = sym_trait_declaration,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_base_clause] = sym_base_clause,
  [sym_class_declaration] = sym_class_declaration,
  [sym_declaration_list] = sym_declaration_list,
  [sym_class_modifier] = sym_class_modifier,
  [sym_class_interface_clause] = sym_class_interface_clause,
  [sym__member_declaration] = sym__member_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_property_declaration] = sym_property_declaration,
  [sym__modifier] = sym__modifier,
  [sym_property_element] = sym_property_element,
  [sym_property_initializer] = sym_property_initializer,
  [sym_method_declaration] = sym_method_declaration,
  [sym_static_modifier] = sym_static_modifier,
  [sym_use_declaration] = sym_use_declaration,
  [sym_use_list] = sym_use_list,
  [sym_use_instead_of_clause] = sym_use_instead_of_clause,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym_function_definition] = sym_function_definition,
  [sym__function_definition_header] = sym__function_definition_header,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_simple_parameter] = sym_simple_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym__type] = sym__type,
  [sym__types] = sym__types,
  [sym_optional_type] = sym_optional_type,
  [sym_union_type] = sym_type_list,
  [sym_primitive_type] = sym_primitive_type,
  [sym_cast_type] = sym_cast_type,
  [sym__return_type] = sym__return_type,
  [sym_const_element] = sym_const_element,
  [sym_echo_statement] = sym_echo_statement,
  [sym_unset_statement] = sym_unset_statement,
  [sym_declare_statement] = sym_declare_statement,
  [sym_declare_directive] = sym_declare_directive,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_type_list] = sym_type_list,
  [sym_finally_clause] = sym_finally_clause,
  [sym_goto_statement] = sym_goto_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_expression] = sym_throw_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__expressions] = sym__expressions,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_foreach_statement] = sym_foreach_statement,
  [sym_foreach_pair] = sym_foreach_pair,
  [sym_if_statement] = sym_if_statement,
  [sym_colon_block] = sym_colon_block,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_else_if_clause_2] = sym_else_if_clause,
  [sym_else_clause_2] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_block] = sym_switch_block,
  [sym_case_statement] = sym_case_statement,
  [sym_default_statement] = sym_default_statement,
  [sym_compound_statement] = sym_compound_statement,
  [sym_named_label_statement] = sym_named_label_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym__expression] = sym__expression,
  [sym__unary_expression] = sym__unary_expression,
  [sym_unary_op_expression] = sym_unary_op_expression,
  [sym_exponentiation_expression] = sym_exponentiation_expression,
  [sym_clone_expression] = sym_clone_expression,
  [sym__primary_expression] = sym__primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_constant_access_expression] = sym_class_constant_access_expression,
  [sym_print_intrinsic] = sym_print_intrinsic,
  [sym_anonymous_function_creation_expression] = sym_anonymous_function_creation_expression,
  [sym_anonymous_function_use_clause] = sym_anonymous_function_use_clause,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_cast_variable] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym_member_access_expression] = sym_member_access_expression,
  [sym_scoped_property_access_expression] = sym_scoped_property_access_expression,
  [sym_list_literal] = sym_list_literal,
  [sym__list_destructing] = sym__list_destructing,
  [sym__array_destructing] = sym__array_destructing,
  [sym_function_call_expression] = sym_function_call_expression,
  [sym_scoped_call_expression] = sym_scoped_call_expression,
  [sym__scope_resolution_qualifier] = sym__scope_resolution_qualifier,
  [sym_relative_scope] = sym_relative_scope,
  [sym_arguments] = sym_arguments,
  [sym_member_call_expression] = sym_member_call_expression,
  [sym_variadic_unpacking] = sym_variadic_unpacking,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym__dereferencable_expression] = sym__dereferencable_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym__string] = sym__string,
  [sym_dynamic_variable_name] = sym_dynamic_variable_name,
  [sym_variable_name] = sym_variable_name,
  [sym_yield_expression] = sym_yield_expression,
  [sym_array_element_initializer] = sym_array_element_initializer,
  [sym_binary_expression] = sym_binary_expression,
  [sym_include_expression] = sym_include_expression,
  [sym_include_once_expression] = sym_include_once_expression,
  [sym_require_expression] = sym_require_expression,
  [sym_require_once_expression] = sym_require_once_expression,
  [sym__reserved_identifier] = sym_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_text_repeat1] = aux_sym_text_repeat1,
  [aux_sym_function_static_declaration_repeat1] = aux_sym_function_static_declaration_repeat1,
  [aux_sym_global_declaration_repeat1] = aux_sym_global_declaration_repeat1,
  [aux_sym_namespace_use_declaration_repeat1] = aux_sym_namespace_use_declaration_repeat1,
  [aux_sym_namespace_name_repeat1] = aux_sym_namespace_name_repeat1,
  [aux_sym_namespace_use_group_repeat1] = aux_sym_namespace_use_group_repeat1,
  [aux_sym_base_clause_repeat1] = aux_sym_base_clause_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_property_declaration_repeat1] = aux_sym_property_declaration_repeat1,
  [aux_sym_property_declaration_repeat2] = aux_sym_property_declaration_repeat2,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_union_type_repeat1] = aux_sym_union_type_repeat1,
  [aux_sym_unset_statement_repeat1] = aux_sym_unset_statement_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_if_statement_repeat2] = aux_sym_if_statement_repeat2,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_anonymous_function_use_clause_repeat1] = aux_sym_anonymous_function_use_clause_repeat1,
  [aux_sym__list_destructing_repeat1] = aux_sym__list_destructing_repeat1,
  [aux_sym__array_destructing_repeat1] = aux_sym__array_destructing_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [alias_sym_type_name] = alias_sym_type_name,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_name] = {
    .visible = true,
    .named = true,
  },
  [sym_php_tag] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_text_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_function_static_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_global_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_definition_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_namespace_aliasing_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_trait_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_interface_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_base_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_declaration_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_interface_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_var_modifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_use_instead_of_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_visibility_modifier_token3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_array] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_iterable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_binary] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_integer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_real] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_echo_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_declare_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ticks] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_encoding] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strict_types] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_try_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_catch_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_finally_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_goto_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_continue_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_break_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_return_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_throw_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_while_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_do_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_for_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_foreach_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_if_statement_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_if_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_else_clause_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_switch_block_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_case_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_default_statement_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_clone] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [sym_shell_command_expression] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_list] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_self] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_parent] = {
    .visible = true,
    .named = false,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token3] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_binary_expression_token4] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_include_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_require_once_expression_token1] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc] = {
    .visible = true,
    .named = true,
  },
  [sym__eof] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_text_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_text] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_static_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_global_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name_as_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_aliasing_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_use_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_base_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_class_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_class_interface_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__member_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_property_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__modifier] = {
    .visible = false,
    .named = true,
  },
  [sym_property_element] = {
    .visible = true,
    .named = true,
  },
  [sym_property_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_instead_of_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__function_definition_header] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__types] = {
    .visible = false,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_type] = {
    .visible = true,
    .named = true,
  },
  [sym__return_type] = {
    .visible = false,
    .named = true,
  },
  [sym_const_element] = {
    .visible = true,
    .named = true,
  },
  [sym_echo_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declare_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expressions] = {
    .visible = false,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_foreach_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_colon_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause_2] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_default_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_op_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_exponentiation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_clone_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_constant_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_print_intrinsic] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_anonymous_function_use_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_property_access_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__list_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym__array_destructing] = {
    .visible = false,
    .named = true,
  },
  [sym_function_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution_qualifier] = {
    .visible = false,
    .named = true,
  },
  [sym_relative_scope] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_member_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_unpacking] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__dereferencable_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_dynamic_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_element_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_include_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_require_once_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_text_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_static_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_namespace_use_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_property_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_anonymous_function_use_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__list_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__array_destructing_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_name] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_arguments = 2,
  field_body = 3,
  field_condition = 4,
  field_default_value = 5,
  field_function = 6,
  field_left = 7,
  field_name = 8,
  field_object = 9,
  field_operator = 10,
  field_parameters = 11,
  field_return_type = 12,
  field_right = 13,
  field_scope = 14,
  field_type = 15,
  field_value = 16,
};

static const char *ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_default_value] = "default_value",
  [field_function] = "function",
  [field_left] = "left",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 4},
  [5] = {.index = 8, .length = 1},
  [6] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 2},
  [9] = {.index = 13, .length = 2},
  [10] = {.index = 15, .length = 2},
  [12] = {.index = 17, .length = 3},
  [13] = {.index = 20, .length = 2},
  [14] = {.index = 22, .length = 2},
  [15] = {.index = 24, .length = 2},
  [16] = {.index = 26, .length = 2},
  [17] = {.index = 28, .length = 2},
  [18] = {.index = 30, .length = 2},
  [20] = {.index = 32, .length = 2},
  [21] = {.index = 34, .length = 3},
  [22] = {.index = 37, .length = 1},
  [23] = {.index = 38, .length = 3},
  [24] = {.index = 41, .length = 2},
  [25] = {.index = 43, .length = 2},
  [26] = {.index = 45, .length = 2},
  [27] = {.index = 47, .length = 1},
  [28] = {.index = 48, .length = 3},
  [29] = {.index = 51, .length = 3},
  [31] = {.index = 54, .length = 2},
  [32] = {.index = 56, .length = 2},
  [33] = {.index = 58, .length = 2},
  [34] = {.index = 60, .length = 3},
  [35] = {.index = 63, .length = 3},
  [36] = {.index = 66, .length = 2},
  [37] = {.index = 68, .length = 3},
  [38] = {.index = 71, .length = 2},
  [39] = {.index = 73, .length = 3},
  [40] = {.index = 76, .length = 1},
  [41] = {.index = 77, .length = 2},
  [42] = {.index = 79, .length = 2},
  [43] = {.index = 81, .length = 3},
  [44] = {.index = 84, .length = 3},
  [45] = {.index = 87, .length = 2},
  [46] = {.index = 89, .length = 2},
  [47] = {.index = 91, .length = 4},
  [48] = {.index = 95, .length = 2},
  [50] = {.index = 97, .length = 2},
  [51] = {.index = 99, .length = 3},
  [52] = {.index = 102, .length = 2},
  [53] = {.index = 104, .length = 3},
  [54] = {.index = 107, .length = 2},
  [55] = {.index = 109, .length = 3},
  [56] = {.index = 112, .length = 2},
  [57] = {.index = 114, .length = 2},
  [58] = {.index = 116, .length = 3},
  [59] = {.index = 119, .length = 3},
  [60] = {.index = 122, .length = 4},
  [61] = {.index = 126, .length = 1},
  [63] = {.index = 127, .length = 2},
  [64] = {.index = 129, .length = 3},
  [65] = {.index = 132, .length = 3},
  [66] = {.index = 135, .length = 3},
  [67] = {.index = 138, .length = 3},
  [68] = {.index = 141, .length = 1},
  [69] = {.index = 142, .length = 2},
  [70] = {.index = 144, .length = 1},
  [71] = {.index = 145, .length = 3},
  [72] = {.index = 148, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_body, 1},
  [2] =
    {field_arguments, 1},
    {field_function, 0},
  [4] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 2},
    {field_name, 1},
  [11] =
    {field_name, 1},
    {field_parameters, 2},
  [13] =
    {field_body, 2},
    {field_parameters, 1},
  [15] =
    {field_body, 2},
    {field_condition, 1},
  [17] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [20] =
    {field_left, 0},
    {field_right, 2},
  [22] =
    {field_name, 2},
    {field_scope, 0},
  [24] =
    {field_name, 2},
    {field_object, 0},
  [26] =
    {field_body, 3},
    {field_parameters, 2},
  [28] =
    {field_name, 0},
    {field_value, 2},
  [30] =
    {field_name, 2},
    {field_parameters, 3},
  [32] =
    {field_name, 1},
    {field_type, 0},
  [34] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [37] =
    {field_return_type, 1},
  [38] =
    {field_body, 3},
    {field_parameters, 1},
    {field_return_type, 2, .inherited = true},
  [41] =
    {field_body, 3},
    {field_parameters, 1},
  [43] =
    {field_body, 3},
    {field_name, 1},
  [45] =
    {field_type, 1},
    {field_value, 3},
  [47] =
    {field_alternative, 0},
  [48] =
    {field_alternative, 3},
    {field_body, 2},
    {field_condition, 1},
  [51] =
    {field_alternative, 3, .inherited = true},
    {field_body, 2},
    {field_condition, 1},
  [54] =
    {field_body, 3},
    {field_name, 2},
  [56] =
    {field_alternative, 3},
    {field_condition, 0},
  [58] =
    {field_left, 0},
    {field_right, 3},
  [60] =
    {field_arguments, 3},
    {field_name, 2},
    {field_scope, 0},
  [63] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [66] =
    {field_body, 4},
    {field_parameters, 3},
  [68] =
    {field_body, 4},
    {field_parameters, 2},
    {field_return_type, 3, .inherited = true},
  [71] =
    {field_body, 4},
    {field_parameters, 2},
  [73] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [76] =
    {field_name, 2},
  [77] =
    {field_name, 2},
    {field_type, 0},
  [79] =
    {field_default_value, 2},
    {field_name, 0},
  [81] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3, .inherited = true},
  [84] =
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [87] =
    {field_body, 4},
    {field_name, 1},
  [89] =
    {field_body, 1},
    {field_condition, 3},
  [91] =
    {field_alternative, 3, .inherited = true},
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 1},
  [95] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [97] =
    {field_body, 4},
    {field_name, 2},
  [99] =
    {field_alternative, 4},
    {field_body, 2},
    {field_condition, 0},
  [102] =
    {field_name, 3},
    {field_object, 0},
  [104] =
    {field_body, 5},
    {field_parameters, 3},
    {field_return_type, 4, .inherited = true},
  [107] =
    {field_body, 5},
    {field_parameters, 3},
  [109] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4, .inherited = true},
  [112] =
    {field_default_value, 3},
    {field_name, 1},
  [114] =
    {field_name, 3},
    {field_type, 0},
  [116] =
    {field_default_value, 3},
    {field_name, 1},
    {field_type, 0},
  [119] =
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [122] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [126] =
    {field_value, 1},
  [127] =
    {field_body, 5},
    {field_name, 2},
  [129] =
    {field_arguments, 5},
    {field_name, 3},
    {field_scope, 0},
  [132] =
    {field_arguments, 5},
    {field_name, 3},
    {field_object, 0},
  [135] =
    {field_body, 6},
    {field_parameters, 3},
    {field_return_type, 5, .inherited = true},
  [138] =
    {field_default_value, 4},
    {field_name, 2},
    {field_type, 0},
  [141] =
    {field_type, 1},
  [142] =
    {field_body, 4},
    {field_type, 2},
  [144] =
    {field_body, 6},
  [145] =
    {field_body, 5},
    {field_name, 3},
    {field_type, 2},
  [148] =
    {field_body, 7},
};

static TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [7] = {
    [0] = alias_sym_type_name,
  },
  [11] = {
    [1] = sym_list_literal,
  },
  [19] = {
    [1] = alias_sym_type_name,
  },
  [30] = {
    [2] = sym_list_literal,
  },
  [49] = {
    [3] = sym_list_literal,
  },
  [62] = {
    [4] = sym_list_literal,
  },
};

static uint16_t ts_non_terminal_alias_map[] = {
  sym_qualified_name, 2,
    sym_qualified_name,
    alias_sym_type_name,
  sym__list_destructing, 2,
    sym__list_destructing,
    sym_list_literal,
  sym__array_destructing, 2,
    sym__array_destructing,
    sym_list_literal,
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(86);
      if (lookahead == '!') ADVANCE(140);
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '%') ADVANCE(201);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(27);
      if (lookahead == '(') ADVANCE(111);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(194);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '0') ADVANCE(125);
      if (lookahead == ':') ADVANCE(121);
      if (lookahead == ';') ADVANCE(101);
      if (lookahead == '<') ADVANCE(182);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '>') ADVANCE(183);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '@') ADVANCE(131);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(162);
      if (lookahead == '^') ADVANCE(174);
      if (lookahead == '_') ADVANCE(214);
      if (lookahead == '`') ADVANCE(57);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(107);
      if (lookahead == '~') ADVANCE(138);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(202);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(204);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(205);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(213);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(210);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(127);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(217);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(217);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '>') ADVANCE(218);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(140);
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '%') ADVANCE(200);
      if (lookahead == '&') ADVANCE(109);
      if (lookahead == '\'') ADVANCE(27);
      if (lookahead == '(') ADVANCE(111);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(195);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == '0') ADVANCE(125);
      if (lookahead == ':') ADVANCE(120);
      if (lookahead == ';') ADVANCE(101);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(43);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '@') ADVANCE(131);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(162);
      if (lookahead == '^') ADVANCE(173);
      if (lookahead == '_') ADVANCE(214);
      if (lookahead == '`') ADVANCE(57);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(107);
      if (lookahead == '~') ADVANCE(138);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(202);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(204);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(205);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(213);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(210);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(127);
      if (('A' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(42);
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '%') ADVANCE(201);
      if (lookahead == '&') ADVANCE(110);
      if (lookahead == '\'') ADVANCE(27);
      if (lookahead == '(') ADVANCE(111);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == '+') ADVANCE(134);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(193);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == ':') ADVANCE(121);
      if (lookahead == ';') ADVANCE(101);
      if (lookahead == '<') ADVANCE(181);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '>') ADVANCE(183);
      if (lookahead == '?') ADVANCE(115);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(162);
      if (lookahead == '^') ADVANCE(174);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '|') ADVANCE(118);
      if (lookahead == '}') ADVANCE(107);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(202);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(4)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(42);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '%') ADVANCE(200);
      if (lookahead == '&') ADVANCE(109);
      if (lookahead == '(') ADVANCE(111);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '+') ADVANCE(132);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(192);
      if (lookahead == '/') ADVANCE(198);
      if (lookahead == ':') ADVANCE(121);
      if (lookahead == ';') ADVANCE(101);
      if (lookahead == '<') ADVANCE(180);
      if (lookahead == '=') ADVANCE(104);
      if (lookahead == '>') ADVANCE(184);
      if (lookahead == '?') ADVANCE(116);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(162);
      if (lookahead == '^') ADVANCE(173);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '|') ADVANCE(119);
      if (lookahead == '}') ADVANCE(107);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '\'') ADVANCE(27);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == '0') ADVANCE(125);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '_') ADVANCE(76);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(7);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(61);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(71);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(6)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '\'') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '-') ADVANCE(18);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '-') ADVANCE(20);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '-') ADVANCE(21);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == 'A') ADVANCE(9);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(10);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(15);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == 'A') ADVANCE(11);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(8);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == 'A') ADVANCE(12);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(13);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(17);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == 'A') ADVANCE(12);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == 'a') ADVANCE(13);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead)) ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == 'F') ADVANCE(15);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == 'F') ADVANCE(17);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == 'f') ADVANCE(15);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 21:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == 'f') ADVANCE(17);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 22:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == '{') ADVANCE(16);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 23:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(24);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(163);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(24);
      if (lookahead == '\\') ADVANCE(81);
      END_STATE();
    case 26:
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '&') ADVANCE(108);
      if (lookahead == '(') ADVANCE(111);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == ',') ADVANCE(102);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == ':') ADVANCE(41);
      if (lookahead == '=') ADVANCE(103);
      if (lookahead == '?') ADVANCE(114);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == ']') ADVANCE(162);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(26)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 27:
      if (lookahead == '\'') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(83);
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(218);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead == '/') ADVANCE(217);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == '*') ADVANCE(29);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(51);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 33:
      if (lookahead == '-') ADVANCE(53);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 34:
      if (lookahead == '-') ADVANCE(82);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 35:
      if (lookahead == '-') ADVANCE(52);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 36:
      if (lookahead == '-') ADVANCE(54);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(76);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '.') ADVANCE(40);
      END_STATE();
    case 39:
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 40:
      if (lookahead == '.') ADVANCE(113);
      END_STATE();
    case 41:
      if (lookahead == ':') ADVANCE(143);
      END_STATE();
    case 42:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 43:
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 44:
      if (lookahead == '>') ADVANCE(160);
      END_STATE();
    case 45:
      if (lookahead == '>') ADVANCE(89);
      END_STATE();
    case 46:
      if (lookahead == '?') ADVANCE(88);
      END_STATE();
    case 47:
      if (lookahead == 'A') ADVANCE(32);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == 'a') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(48);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 48:
      if (lookahead == 'A') ADVANCE(34);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == 'a') ADVANCE(31);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 49:
      if (lookahead == 'A') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == 'a') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(50);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 50:
      if (lookahead == 'A') ADVANCE(35);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead != 0 &&
          (lookahead < '0' || '9' < lookahead)) ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(50);
      END_STATE();
    case 51:
      if (lookahead == 'F') ADVANCE(48);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 52:
      if (lookahead == 'F') ADVANCE(50);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 53:
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == 'f') ADVANCE(48);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 54:
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 55:
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead == '{') ADVANCE(49);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 56:
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(57);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 57:
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 58:
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 59:
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(59);
      END_STATE();
    case 60:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 62:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 63:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(67);
      END_STATE();
    case 64:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(69);
      END_STATE();
    case 65:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 66:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(65);
      END_STATE();
    case 67:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 68:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(70);
      END_STATE();
    case 69:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(62);
      END_STATE();
    case 70:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(62);
      END_STATE();
    case 71:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(66);
      END_STATE();
    case 72:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(128);
      END_STATE();
    case 73:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(37);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(59);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 80:
      if (lookahead != 0 &&
          (lookahead < '0' || '7' < lookahead) &&
          lookahead != 'X' &&
          lookahead != '`' &&
          lookahead != 'u' &&
          lookahead != 'x') ADVANCE(57);
      if (lookahead == 'u') ADVANCE(55);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(56);
      END_STATE();
    case 81:
      if (lookahead != 0 &&
          (lookahead < '0' || '7' < lookahead) &&
          lookahead != 'X' &&
          lookahead != 'u' &&
          lookahead != 'x') ADVANCE(24);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(23);
      END_STATE();
    case 82:
      if (lookahead != 0 &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(57);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == '`') ADVANCE(146);
      END_STATE();
    case 83:
      if (lookahead != 0) ADVANCE(27);
      END_STATE();
    case 84:
      if (eof) ADVANCE(86);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '#') ADVANCE(218);
      if (lookahead == '$') ADVANCE(168);
      if (lookahead == '&') ADVANCE(108);
      if (lookahead == '\'') ADVANCE(27);
      if (lookahead == '(') ADVANCE(111);
      if (lookahead == ')') ADVANCE(112);
      if (lookahead == '+') ADVANCE(133);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(39);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == '0') ADVANCE(125);
      if (lookahead == '<') ADVANCE(46);
      if (lookahead == '?') ADVANCE(45);
      if (lookahead == '@') ADVANCE(131);
      if (lookahead == '[') ADVANCE(161);
      if (lookahead == '\\') ADVANCE(105);
      if (lookahead == '_') ADVANCE(214);
      if (lookahead == '`') ADVANCE(57);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '|') ADVANCE(117);
      if (lookahead == '~') ADVANCE(138);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(202);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(204);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(205);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(213);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(210);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(84)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(127);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 85:
      if (eof) ADVANCE(86);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '<') ADVANCE(91);
      if (lookahead == '?') ADVANCE(99);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(85)
      if (lookahead != 0) ADVANCE(100);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_php_tag);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_php_tag);
      if (lookahead == '=') ADVANCE(87);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(63);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(100);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym_text_token1);
      if (lookahead == '?') ADVANCE(88);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(100);
      if (lookahead == '\r') ADVANCE(93);
      if (lookahead == '<') ADVANCE(218);
      if (lookahead == '>') ADVANCE(100);
      if (lookahead != 0) ADVANCE(98);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '\n') ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(100);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '#') ADVANCE(98);
      if (lookahead == '/') ADVANCE(95);
      if (lookahead == '?') ADVANCE(99);
      if (lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(94);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(100);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(97);
      if (lookahead == '/') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(100);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(96);
      if (lookahead == '/') ADVANCE(100);
      if (lookahead == '<') ADVANCE(30);
      if (lookahead != 0) ADVANCE(97);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '*') ADVANCE(96);
      if (lookahead == '<') ADVANCE(30);
      if (lookahead != 0) ADVANCE(97);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '<') ADVANCE(218);
      if (lookahead == '?') ADVANCE(92);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(100);
      if (lookahead != 0) ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead == '>') ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(100);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym_text_token2);
      if (lookahead != 0 &&
          lookahead != '<') ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(175);
      if (lookahead == '>') ADVANCE(130);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(172);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(172);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(89);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(89);
      if (lookahead == '?') ADVANCE(170);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(89);
      if (lookahead == '?') ADVANCE(169);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(158);
      if (lookahead == '|') ADVANCE(171);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(171);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(143);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(75);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(73);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(72);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(79);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(73);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(74);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(72);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(128);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(144);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(144);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(145);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(145);
      if (lookahead == '=') ADVANCE(152);
      if (lookahead == '>') ADVANCE(160);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(160);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_shell_command_expression);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_string);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_boolean);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_boolean);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_null);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(178);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(179);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(188);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(177);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(189);
      if (lookahead == '=') ADVANCE(185);
      if (lookahead == '>') ADVANCE(177);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '?') ADVANCE(88);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(186);
      if (lookahead == '>') ADVANCE(191);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(186);
      if (lookahead == '>') ADVANCE(190);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(187);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(154);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(155);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '=') ADVANCE(153);
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '_') ADVANCE(78);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(124);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(142);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(141);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(218);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(30);
      if (lookahead == '/') ADVANCE(218);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '"') ADVANCE(24);
      if (lookahead == '\'') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(214);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('B' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(208);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(206);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_name);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          (161 <= lookahead && lookahead <= 255)) ADVANCE(216);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '?') ADVANCE(2);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(218);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'B') ADVANCE(2);
      if (lookahead == 'C') ADVANCE(3);
      if (lookahead == 'D') ADVANCE(4);
      if (lookahead == 'E') ADVANCE(5);
      if (lookahead == 'F') ADVANCE(6);
      if (lookahead == 'I') ADVANCE(7);
      if (lookahead == 'N') ADVANCE(8);
      if (lookahead == 'O') ADVANCE(9);
      if (lookahead == 'P') ADVANCE(10);
      if (lookahead == 'R') ADVANCE(11);
      if (lookahead == 'S') ADVANCE(12);
      if (lookahead == 'T') ADVANCE(13);
      if (lookahead == 'U') ADVANCE(14);
      if (lookahead == 'V') ADVANCE(15);
      if (lookahead == 'X') ADVANCE(16);
      if (lookahead == 'a') ADVANCE(17);
      if (lookahead == 'b') ADVANCE(18);
      if (lookahead == 'c') ADVANCE(19);
      if (lookahead == 'd') ADVANCE(20);
      if (lookahead == 'e') ADVANCE(21);
      if (lookahead == 'f') ADVANCE(22);
      if (lookahead == 'i') ADVANCE(23);
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'n') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'p') ADVANCE(27);
      if (lookahead == 'r') ADVANCE(28);
      if (lookahead == 's') ADVANCE(29);
      if (lookahead == 't') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      if (lookahead == 'v') ADVANCE(32);
      if (lookahead == 'x') ADVANCE(33);
      if (lookahead == 'y') ADVANCE(34);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(35);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(36);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'N') ADVANCE(37);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(38);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(39);
      END_STATE();
    case 2:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 3:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(41);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(42);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 4:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(44);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(45);
      END_STATE();
    case 5:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(46);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(48);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(49);
      END_STATE();
    case 6:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(51);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 7:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(53);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(54);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(55);
      END_STATE();
    case 8:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(56);
      END_STATE();
    case 9:
      if (lookahead == 'R') ADVANCE(57);
      END_STATE();
    case 10:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(58);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 11:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 12:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(61);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(62);
      END_STATE();
    case 13:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(63);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 14:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(65);
      END_STATE();
    case 15:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 16:
      if (lookahead == 'O') ADVANCE(67);
      END_STATE();
    case 17:
      if (lookahead == 'n') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(38);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(39);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(70);
      if (lookahead == 'o') ADVANCE(71);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 19:
      if (lookahead == 'A') ADVANCE(41);
      if (lookahead == 'L') ADVANCE(42);
      if (lookahead == 'a') ADVANCE(72);
      if (lookahead == 'l') ADVANCE(73);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 20:
      if (lookahead == 'E') ADVANCE(44);
      if (lookahead == 'O') ADVANCE(45);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 21:
      if (lookahead == 'N') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(76);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(46);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(47);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(49);
      END_STATE();
    case 22:
      if (lookahead == 'a') ADVANCE(77);
      if (lookahead == 'l') ADVANCE(78);
      if (lookahead == 'r') ADVANCE(79);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(50);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(51);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 23:
      if (lookahead == 'N') ADVANCE(55);
      if (lookahead == 'n') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(53);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(54);
      END_STATE();
    case 24:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(83);
      if (lookahead == 'u') ADVANCE(84);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(56);
      END_STATE();
    case 26:
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'r') ADVANCE(57);
      END_STATE();
    case 27:
      if (lookahead == 'R') ADVANCE(58);
      if (lookahead == 'a') ADVANCE(86);
      if (lookahead == 'r') ADVANCE(87);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 28:
      if (lookahead == 'E') ADVANCE(60);
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 29:
      if (lookahead == 'T') ADVANCE(61);
      if (lookahead == 'e') ADVANCE(89);
      if (lookahead == 't') ADVANCE(90);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(62);
      END_STATE();
    case 30:
      if (lookahead == 'i') ADVANCE(91);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(63);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(64);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(92);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(65);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(93);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 33:
      if (lookahead == 'o') ADVANCE(94);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 35:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(96);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 36:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(98);
      END_STATE();
    case 37:
      if (lookahead == 'D') ADVANCE(99);
      END_STATE();
    case 38:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(100);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(aux_sym_namespace_aliasing_clause_token1);
      END_STATE();
    case 40:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 41:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(102);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(103);
      END_STATE();
    case 42:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 43:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(105);
      END_STATE();
    case 44:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(106);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      END_STATE();
    case 46:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(107);
      END_STATE();
    case 47:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(108);
      END_STATE();
    case 48:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(109);
      END_STATE();
    case 49:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(110);
      END_STATE();
    case 50:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(111);
      END_STATE();
    case 51:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 52:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(113);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(aux_sym_if_statement_token1);
      END_STATE();
    case 54:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(115);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(116);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(117);
      END_STATE();
    case 56:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(118);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(aux_sym_binary_expression_token3);
      END_STATE();
    case 58:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(119);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(120);
      END_STATE();
    case 59:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(121);
      END_STATE();
    case 60:
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(122);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(123);
      END_STATE();
    case 61:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 62:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(127);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'R') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'd') ADVANCE(99);
      END_STATE();
    case 69:
      if (lookahead == 'r') ADVANCE(132);
      END_STATE();
    case 70:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 71:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 72:
      if (lookahead == 'l') ADVANCE(135);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(102);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'o') ADVANCE(136);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(137);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(106);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(aux_sym_do_statement_token1);
      if (lookahead == 'u') ADVANCE(138);
      END_STATE();
    case 76:
      if (lookahead == 'c') ADVANCE(139);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(109);
      END_STATE();
    case 77:
      if (lookahead == 'l') ADVANCE(140);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(141);
      END_STATE();
    case 79:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 80:
      if (lookahead == 'T') ADVANCE(117);
      if (lookahead == 't') ADVANCE(143);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(115);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(116);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 82:
      if (lookahead == 's') ADVANCE(145);
      END_STATE();
    case 83:
      if (lookahead == 'w') ADVANCE(146);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(147);
      END_STATE();
    case 85:
      if (lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 87:
      if (lookahead == 'I') ADVANCE(119);
      if (lookahead == 'i') ADVANCE(150);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(120);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(151);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(122);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(123);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(152);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(153);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(124);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(154);
      END_STATE();
    case 92:
      if (lookahead == 's') ADVANCE(155);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(156);
      END_STATE();
    case 94:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 96:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(158);
      END_STATE();
    case 97:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(159);
      END_STATE();
    case 98:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym_binary_expression_token2);
      END_STATE();
    case 100:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(161);
      END_STATE();
    case 101:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(162);
      END_STATE();
    case 102:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 103:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(164);
      END_STATE();
    case 104:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(165);
      END_STATE();
    case 105:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(166);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(167);
      END_STATE();
    case 106:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 107:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(169);
      END_STATE();
    case 108:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 109:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(171);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(172);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(173);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(174);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(175);
      END_STATE();
    case 110:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 111:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(177);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_for_statement_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 113:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 114:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(180);
      END_STATE();
    case 115:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 116:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(182);
      END_STATE();
    case 117:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(183);
      END_STATE();
    case 118:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 119:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(185);
      END_STATE();
    case 120:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(186);
      END_STATE();
    case 121:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(187);
      END_STATE();
    case 122:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(188);
      END_STATE();
    case 123:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(189);
      END_STATE();
    case 124:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(190);
      END_STATE();
    case 125:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 126:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 127:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(193);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_try_statement_token1);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token1);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_var_modifier);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym_binary_expression_token4);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 133:
      if (lookahead == 'a') ADVANCE(195);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 136:
      if (lookahead == 'n') ADVANCE(198);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(199);
      END_STATE();
    case 138:
      if (lookahead == 'b') ADVANCE(200);
      END_STATE();
    case 139:
      if (lookahead == 'o') ADVANCE(201);
      END_STATE();
    case 140:
      if (lookahead == 's') ADVANCE(202);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(203);
      END_STATE();
    case 142:
      if (lookahead == 'm') ADVANCE(204);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'E') ADVANCE(183);
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 144:
      if (lookahead == 'r') ADVANCE(206);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(208);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(210);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(211);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(185);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 152:
      if (lookahead == 'f') ADVANCE(213);
      END_STATE();
    case 153:
      if (lookahead == 'i') ADVANCE(214);
      END_STATE();
    case 154:
      if (lookahead == 'k') ADVANCE(215);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(216);
      END_STATE();
    case 156:
      if (lookahead == 'd') ADVANCE(217);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(218);
      END_STATE();
    case 158:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(219);
      END_STATE();
    case 159:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 160:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(221);
      END_STATE();
    case 161:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(222);
      END_STATE();
    case 162:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(223);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_case_statement_token1);
      END_STATE();
    case 164:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(224);
      END_STATE();
    case 165:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(225);
      END_STATE();
    case 166:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(226);
      END_STATE();
    case 167:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(227);
      END_STATE();
    case 168:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(228);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_echo_statement_token1);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_else_clause_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(229);
      END_STATE();
    case 171:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(230);
      END_STATE();
    case 172:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(231);
      END_STATE();
    case 173:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(232);
      END_STATE();
    case 174:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(233);
      END_STATE();
    case 175:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(234);
      END_STATE();
    case 176:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 177:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(236);
      END_STATE();
    case 178:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(237);
      END_STATE();
    case 179:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(238);
      END_STATE();
    case 180:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(239);
      END_STATE();
    case 181:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(240);
      END_STATE();
    case 182:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(241);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 183:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 184:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(244);
      END_STATE();
    case 185:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(245);
      END_STATE();
    case 186:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 187:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 188:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(248);
      END_STATE();
    case 189:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 190:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 191:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(251);
      END_STATE();
    case 192:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(252);
      END_STATE();
    case 193:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(253);
      END_STATE();
    case 194:
      if (lookahead == 'y') ADVANCE(254);
      END_STATE();
    case 195:
      if (lookahead == 'r') ADVANCE(255);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_bool);
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 197:
      if (lookahead == 'a') ADVANCE(257);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(258);
      END_STATE();
    case 199:
      if (lookahead == 'a') ADVANCE(259);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 201:
      if (lookahead == 'd') ADVANCE(261);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 203:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 205:
      if (lookahead == 'g') ADVANCE(264);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(243);
      END_STATE();
    case 206:
      if (lookahead == 'a') ADVANCE(265);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_list);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 209:
      if (lookahead == 'c') ADVANCE(266);
      END_STATE();
    case 210:
      if (lookahead == 'n') ADVANCE(267);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_real);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_self);
      END_STATE();
    case 214:
      if (lookahead == 'c') ADVANCE(269);
      if (lookahead == 'n') ADVANCE(270);
      END_STATE();
    case 215:
      if (lookahead == 's') ADVANCE(271);
      END_STATE();
    case 216:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 218:
      if (lookahead == 'd') ADVANCE(273);
      END_STATE();
    case 219:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(274);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(aux_sym_goto_statement_token1);
      END_STATE();
    case 221:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(275);
      END_STATE();
    case 222:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(aux_sym_break_statement_token1);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(aux_sym_catch_clause_token1);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym_class_declaration_token1);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token3);
      END_STATE();
    case 227:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(277);
      END_STATE();
    case 228:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(278);
      END_STATE();
    case 229:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(279);
      END_STATE();
    case 230:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(280);
      END_STATE();
    case 231:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(281);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym_if_statement_token2);
      END_STATE();
    case 233:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(282);
      END_STATE();
    case 234:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(283);
      END_STATE();
    case 235:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(aux_sym_class_modifier_token2);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(285);
      END_STATE();
    case 237:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(286);
      END_STATE();
    case 238:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(287);
      END_STATE();
    case 239:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(288);
      END_STATE();
    case 240:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(289);
      END_STATE();
    case 241:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(290);
      END_STATE();
    case 242:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(291);
      END_STATE();
    case 243:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(292);
      END_STATE();
    case 244:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(293);
      END_STATE();
    case 245:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(294);
      END_STATE();
    case 246:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 247:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(296);
      END_STATE();
    case 248:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 249:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(298);
      END_STATE();
    case 250:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 251:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(300);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(aux_sym_throw_expression_token1);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(aux_sym_trait_declaration_token1);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_array);
      END_STATE();
    case 255:
      if (lookahead == 'y') ADVANCE(301);
      END_STATE();
    case 256:
      if (lookahead == 'a') ADVANCE(302);
      END_STATE();
    case 257:
      if (lookahead == 'b') ADVANCE(303);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_clone);
      END_STATE();
    case 259:
      if (lookahead == 'r') ADVANCE(304);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(306);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 265:
      if (lookahead == 'b') ADVANCE(308);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(310);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(311);
      END_STATE();
    case 270:
      if (lookahead == 'g') ADVANCE(312);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_ticks);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_unset);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 274:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(313);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_while_statement_token1);
      END_STATE();
    case 276:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(314);
      END_STATE();
    case 277:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(315);
      END_STATE();
    case 278:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(316);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_else_if_clause_token1);
      END_STATE();
    case 280:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_for_statement_token2);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(318);
      END_STATE();
    case 282:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(319);
      END_STATE();
    case 283:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(320);
      END_STATE();
    case 284:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(321);
      END_STATE();
    case 285:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(322);
      END_STATE();
    case 286:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(323);
      END_STATE();
    case 287:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(324);
      END_STATE();
    case 288:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 289:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(326);
      END_STATE();
    case 290:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(327);
      END_STATE();
    case 291:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(328);
      END_STATE();
    case 292:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(329);
      END_STATE();
    case 293:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(330);
      END_STATE();
    case 294:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 295:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(332);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token1);
      END_STATE();
    case 297:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(aux_sym_return_statement_token1);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(aux_sym_function_static_declaration_token1);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(aux_sym_switch_statement_token1);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_binary);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(334);
      END_STATE();
    case 303:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 304:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(337);
      END_STATE();
    case 307:
      if (lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 308:
      if (lookahead == 'l') ADVANCE(339);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_parent);
      END_STATE();
    case 311:
      if (lookahead == '_') ADVANCE(340);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(aux_sym_global_declaration_token1);
      END_STATE();
    case 314:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(341);
      END_STATE();
    case 315:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(342);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(aux_sym_default_statement_token1);
      END_STATE();
    case 317:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(343);
      END_STATE();
    case 318:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(344);
      END_STATE();
    case 319:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(345);
      END_STATE();
    case 320:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_base_clause_token1);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_finally_clause_token1);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token1);
      END_STATE();
    case 324:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(347);
      END_STATE();
    case 325:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(348);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(aux_sym_include_expression_token1);
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 327:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 328:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(351);
      END_STATE();
    case 329:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(352);
      END_STATE();
    case 330:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(353);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token3);
      END_STATE();
    case 332:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(354);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(aux_sym_require_expression_token1);
      if (lookahead == '_') ADVANCE(355);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(356);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 337:
      if (lookahead == 'g') ADVANCE(357);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_integer);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(358);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(aux_sym_class_modifier_token1);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(aux_sym_continue_statement_token1);
      END_STATE();
    case 343:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 344:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(361);
      END_STATE();
    case 345:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(362);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(aux_sym_while_statement_token2);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(aux_sym_namespace_use_declaration_token2);
      END_STATE();
    case 348:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(363);
      END_STATE();
    case 349:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(364);
      END_STATE();
    case 350:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(365);
      END_STATE();
    case 351:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(366);
      END_STATE();
    case 352:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(367);
      END_STATE();
    case 353:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(368);
      END_STATE();
    case 354:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(369);
      END_STATE();
    case 355:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(370);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_callable);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_encoding);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_iterable);
      END_STATE();
    case 359:
      if (lookahead == 'y') ADVANCE(371);
      END_STATE();
    case 360:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 361:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(373);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(aux_sym_switch_block_token1);
      END_STATE();
    case 363:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(374);
      END_STATE();
    case 364:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(375);
      END_STATE();
    case 365:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(376);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(aux_sym_use_instead_of_clause_token1);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(aux_sym_interface_declaration_token1);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(aux_sym_namespace_definition_token1);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(aux_sym_visibility_modifier_token2);
      END_STATE();
    case 370:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 371:
      if (lookahead == 'p') ADVANCE(378);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(aux_sym_declare_statement_token1);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(aux_sym_foreach_statement_token2);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_class_interface_clause_token1);
      END_STATE();
    case 375:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(379);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(aux_sym_binary_expression_token1);
      END_STATE();
    case 377:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(380);
      END_STATE();
    case 378:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 379:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(382);
      END_STATE();
    case 380:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(383);
      END_STATE();
    case 381:
      if (lookahead == 's') ADVANCE(384);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_include_once_expression_token1);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_require_once_expression_token1);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_strict_types);
      END_STATE();
    default:
      return false;
  }
}

static TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 85},
  [2] = {.lex_state = 0, .external_lex_state = 2},
  [3] = {.lex_state = 0, .external_lex_state = 2},
  [4] = {.lex_state = 0, .external_lex_state = 2},
  [5] = {.lex_state = 0, .external_lex_state = 2},
  [6] = {.lex_state = 0, .external_lex_state = 2},
  [7] = {.lex_state = 0, .external_lex_state = 2},
  [8] = {.lex_state = 0, .external_lex_state = 2},
  [9] = {.lex_state = 0, .external_lex_state = 3},
  [10] = {.lex_state = 0, .external_lex_state = 3},
  [11] = {.lex_state = 0, .external_lex_state = 3},
  [12] = {.lex_state = 0, .external_lex_state = 3},
  [13] = {.lex_state = 0, .external_lex_state = 2},
  [14] = {.lex_state = 0, .external_lex_state = 2},
  [15] = {.lex_state = 0, .external_lex_state = 3},
  [16] = {.lex_state = 0, .external_lex_state = 3},
  [17] = {.lex_state = 0, .external_lex_state = 2},
  [18] = {.lex_state = 0, .external_lex_state = 2},
  [19] = {.lex_state = 0, .external_lex_state = 2},
  [20] = {.lex_state = 0, .external_lex_state = 2},
  [21] = {.lex_state = 0, .external_lex_state = 2},
  [22] = {.lex_state = 0, .external_lex_state = 2},
  [23] = {.lex_state = 0, .external_lex_state = 2},
  [24] = {.lex_state = 0, .external_lex_state = 2},
  [25] = {.lex_state = 0, .external_lex_state = 2},
  [26] = {.lex_state = 0, .external_lex_state = 2},
  [27] = {.lex_state = 0, .external_lex_state = 2},
  [28] = {.lex_state = 0, .external_lex_state = 2},
  [29] = {.lex_state = 0, .external_lex_state = 2},
  [30] = {.lex_state = 0, .external_lex_state = 2},
  [31] = {.lex_state = 0, .external_lex_state = 2},
  [32] = {.lex_state = 0, .external_lex_state = 2},
  [33] = {.lex_state = 0, .external_lex_state = 2},
  [34] = {.lex_state = 0, .external_lex_state = 3},
  [35] = {.lex_state = 0, .external_lex_state = 3},
  [36] = {.lex_state = 0, .external_lex_state = 2},
  [37] = {.lex_state = 0, .external_lex_state = 2},
  [38] = {.lex_state = 0, .external_lex_state = 3},
  [39] = {.lex_state = 0, .external_lex_state = 2},
  [40] = {.lex_state = 0, .external_lex_state = 2},
  [41] = {.lex_state = 0, .external_lex_state = 2},
  [42] = {.lex_state = 0, .external_lex_state = 2},
  [43] = {.lex_state = 0, .external_lex_state = 2},
  [44] = {.lex_state = 0, .external_lex_state = 2},
  [45] = {.lex_state = 0, .external_lex_state = 2},
  [46] = {.lex_state = 0, .external_lex_state = 2},
  [47] = {.lex_state = 0, .external_lex_state = 2},
  [48] = {.lex_state = 0, .external_lex_state = 2},
  [49] = {.lex_state = 0, .external_lex_state = 3},
  [50] = {.lex_state = 0, .external_lex_state = 3},
  [51] = {.lex_state = 0, .external_lex_state = 3},
  [52] = {.lex_state = 0, .external_lex_state = 2},
  [53] = {.lex_state = 0, .external_lex_state = 2},
  [54] = {.lex_state = 0, .external_lex_state = 2},
  [55] = {.lex_state = 0, .external_lex_state = 2},
  [56] = {.lex_state = 0, .external_lex_state = 3},
  [57] = {.lex_state = 0, .external_lex_state = 2},
  [58] = {.lex_state = 0, .external_lex_state = 3},
  [59] = {.lex_state = 0, .external_lex_state = 2},
  [60] = {.lex_state = 0, .external_lex_state = 2},
  [61] = {.lex_state = 0, .external_lex_state = 2},
  [62] = {.lex_state = 0, .external_lex_state = 2},
  [63] = {.lex_state = 0, .external_lex_state = 2},
  [64] = {.lex_state = 0, .external_lex_state = 2},
  [65] = {.lex_state = 0, .external_lex_state = 2},
  [66] = {.lex_state = 0, .external_lex_state = 2},
  [67] = {.lex_state = 3, .external_lex_state = 2},
  [68] = {.lex_state = 3, .external_lex_state = 3},
  [69] = {.lex_state = 3, .external_lex_state = 2},
  [70] = {.lex_state = 3, .external_lex_state = 2},
  [71] = {.lex_state = 0, .external_lex_state = 2},
  [72] = {.lex_state = 0, .external_lex_state = 2},
  [73] = {.lex_state = 0, .external_lex_state = 2},
  [74] = {.lex_state = 0, .external_lex_state = 2},
  [75] = {.lex_state = 0, .external_lex_state = 2},
  [76] = {.lex_state = 0, .external_lex_state = 2},
  [77] = {.lex_state = 0, .external_lex_state = 2},
  [78] = {.lex_state = 0, .external_lex_state = 2},
  [79] = {.lex_state = 0, .external_lex_state = 2},
  [80] = {.lex_state = 0, .external_lex_state = 2},
  [81] = {.lex_state = 0, .external_lex_state = 2},
  [82] = {.lex_state = 0, .external_lex_state = 2},
  [83] = {.lex_state = 0, .external_lex_state = 2},
  [84] = {.lex_state = 0, .external_lex_state = 2},
  [85] = {.lex_state = 0, .external_lex_state = 2},
  [86] = {.lex_state = 0, .external_lex_state = 2},
  [87] = {.lex_state = 0, .external_lex_state = 2},
  [88] = {.lex_state = 0, .external_lex_state = 2},
  [89] = {.lex_state = 0, .external_lex_state = 2},
  [90] = {.lex_state = 0, .external_lex_state = 2},
  [91] = {.lex_state = 0, .external_lex_state = 2},
  [92] = {.lex_state = 0, .external_lex_state = 2},
  [93] = {.lex_state = 0, .external_lex_state = 2},
  [94] = {.lex_state = 0, .external_lex_state = 2},
  [95] = {.lex_state = 0, .external_lex_state = 2},
  [96] = {.lex_state = 84, .external_lex_state = 2},
  [97] = {.lex_state = 0, .external_lex_state = 2},
  [98] = {.lex_state = 0, .external_lex_state = 2},
  [99] = {.lex_state = 0, .external_lex_state = 2},
  [100] = {.lex_state = 0, .external_lex_state = 2},
  [101] = {.lex_state = 0, .external_lex_state = 2},
  [102] = {.lex_state = 0, .external_lex_state = 2},
  [103] = {.lex_state = 84, .external_lex_state = 2},
  [104] = {.lex_state = 0, .external_lex_state = 2},
  [105] = {.lex_state = 0, .external_lex_state = 2},
  [106] = {.lex_state = 0, .external_lex_state = 2},
  [107] = {.lex_state = 0, .external_lex_state = 2},
  [108] = {.lex_state = 0, .external_lex_state = 2},
  [109] = {.lex_state = 0, .external_lex_state = 2},
  [110] = {.lex_state = 84, .external_lex_state = 2},
  [111] = {.lex_state = 84, .external_lex_state = 2},
  [112] = {.lex_state = 0, .external_lex_state = 2},
  [113] = {.lex_state = 0, .external_lex_state = 2},
  [114] = {.lex_state = 0, .external_lex_state = 2},
  [115] = {.lex_state = 0, .external_lex_state = 2},
  [116] = {.lex_state = 0, .external_lex_state = 2},
  [117] = {.lex_state = 84, .external_lex_state = 2},
  [118] = {.lex_state = 0, .external_lex_state = 2},
  [119] = {.lex_state = 0, .external_lex_state = 3},
  [120] = {.lex_state = 0, .external_lex_state = 2},
  [121] = {.lex_state = 0, .external_lex_state = 3},
  [122] = {.lex_state = 0, .external_lex_state = 3},
  [123] = {.lex_state = 0, .external_lex_state = 3},
  [124] = {.lex_state = 0, .external_lex_state = 2},
  [125] = {.lex_state = 0, .external_lex_state = 3},
  [126] = {.lex_state = 0, .external_lex_state = 3},
  [127] = {.lex_state = 0, .external_lex_state = 2},
  [128] = {.lex_state = 0, .external_lex_state = 2},
  [129] = {.lex_state = 0, .external_lex_state = 2},
  [130] = {.lex_state = 0, .external_lex_state = 2},
  [131] = {.lex_state = 0, .external_lex_state = 2},
  [132] = {.lex_state = 0, .external_lex_state = 2},
  [133] = {.lex_state = 0, .external_lex_state = 2},
  [134] = {.lex_state = 0, .external_lex_state = 2},
  [135] = {.lex_state = 0, .external_lex_state = 2},
  [136] = {.lex_state = 0, .external_lex_state = 2},
  [137] = {.lex_state = 0, .external_lex_state = 2},
  [138] = {.lex_state = 0, .external_lex_state = 2},
  [139] = {.lex_state = 0, .external_lex_state = 2},
  [140] = {.lex_state = 0, .external_lex_state = 2},
  [141] = {.lex_state = 0, .external_lex_state = 2},
  [142] = {.lex_state = 0, .external_lex_state = 2},
  [143] = {.lex_state = 0, .external_lex_state = 2},
  [144] = {.lex_state = 0, .external_lex_state = 2},
  [145] = {.lex_state = 0, .external_lex_state = 2},
  [146] = {.lex_state = 0, .external_lex_state = 2},
  [147] = {.lex_state = 0, .external_lex_state = 2},
  [148] = {.lex_state = 0, .external_lex_state = 2},
  [149] = {.lex_state = 0, .external_lex_state = 2},
  [150] = {.lex_state = 0, .external_lex_state = 2},
  [151] = {.lex_state = 0, .external_lex_state = 2},
  [152] = {.lex_state = 0, .external_lex_state = 2},
  [153] = {.lex_state = 0, .external_lex_state = 2},
  [154] = {.lex_state = 0, .external_lex_state = 2},
  [155] = {.lex_state = 0, .external_lex_state = 2},
  [156] = {.lex_state = 0, .external_lex_state = 2},
  [157] = {.lex_state = 0, .external_lex_state = 2},
  [158] = {.lex_state = 0, .external_lex_state = 2},
  [159] = {.lex_state = 0, .external_lex_state = 2},
  [160] = {.lex_state = 0, .external_lex_state = 2},
  [161] = {.lex_state = 0, .external_lex_state = 2},
  [162] = {.lex_state = 0, .external_lex_state = 2},
  [163] = {.lex_state = 0, .external_lex_state = 2},
  [164] = {.lex_state = 0, .external_lex_state = 2},
  [165] = {.lex_state = 0, .external_lex_state = 2},
  [166] = {.lex_state = 0, .external_lex_state = 2},
  [167] = {.lex_state = 0, .external_lex_state = 2},
  [168] = {.lex_state = 0, .external_lex_state = 2},
  [169] = {.lex_state = 0, .external_lex_state = 2},
  [170] = {.lex_state = 0, .external_lex_state = 2},
  [171] = {.lex_state = 0, .external_lex_state = 2},
  [172] = {.lex_state = 0, .external_lex_state = 2},
  [173] = {.lex_state = 0, .external_lex_state = 2},
  [174] = {.lex_state = 0, .external_lex_state = 2},
  [175] = {.lex_state = 0, .external_lex_state = 2},
  [176] = {.lex_state = 0, .external_lex_state = 2},
  [177] = {.lex_state = 0, .external_lex_state = 2},
  [178] = {.lex_state = 0, .external_lex_state = 2},
  [179] = {.lex_state = 0, .external_lex_state = 2},
  [180] = {.lex_state = 0, .external_lex_state = 2},
  [181] = {.lex_state = 0, .external_lex_state = 2},
  [182] = {.lex_state = 0, .external_lex_state = 2},
  [183] = {.lex_state = 0, .external_lex_state = 2},
  [184] = {.lex_state = 0, .external_lex_state = 2},
  [185] = {.lex_state = 0, .external_lex_state = 2},
  [186] = {.lex_state = 0, .external_lex_state = 2},
  [187] = {.lex_state = 0, .external_lex_state = 2},
  [188] = {.lex_state = 0, .external_lex_state = 2},
  [189] = {.lex_state = 0, .external_lex_state = 2},
  [190] = {.lex_state = 0, .external_lex_state = 2},
  [191] = {.lex_state = 0, .external_lex_state = 2},
  [192] = {.lex_state = 0, .external_lex_state = 2},
  [193] = {.lex_state = 0, .external_lex_state = 2},
  [194] = {.lex_state = 0, .external_lex_state = 2},
  [195] = {.lex_state = 0, .external_lex_state = 2},
  [196] = {.lex_state = 0, .external_lex_state = 2},
  [197] = {.lex_state = 0, .external_lex_state = 2},
  [198] = {.lex_state = 0, .external_lex_state = 2},
  [199] = {.lex_state = 0, .external_lex_state = 2},
  [200] = {.lex_state = 0, .external_lex_state = 2},
  [201] = {.lex_state = 0, .external_lex_state = 2},
  [202] = {.lex_state = 0, .external_lex_state = 2},
  [203] = {.lex_state = 0, .external_lex_state = 2},
  [204] = {.lex_state = 0, .external_lex_state = 2},
  [205] = {.lex_state = 0, .external_lex_state = 2},
  [206] = {.lex_state = 0, .external_lex_state = 2},
  [207] = {.lex_state = 0, .external_lex_state = 2},
  [208] = {.lex_state = 0, .external_lex_state = 2},
  [209] = {.lex_state = 0, .external_lex_state = 2},
  [210] = {.lex_state = 0, .external_lex_state = 2},
  [211] = {.lex_state = 0, .external_lex_state = 2},
  [212] = {.lex_state = 0, .external_lex_state = 2},
  [213] = {.lex_state = 0, .external_lex_state = 2},
  [214] = {.lex_state = 0, .external_lex_state = 2},
  [215] = {.lex_state = 0, .external_lex_state = 2},
  [216] = {.lex_state = 0, .external_lex_state = 2},
  [217] = {.lex_state = 0, .external_lex_state = 2},
  [218] = {.lex_state = 0, .external_lex_state = 2},
  [219] = {.lex_state = 0, .external_lex_state = 2},
  [220] = {.lex_state = 0, .external_lex_state = 2},
  [221] = {.lex_state = 0, .external_lex_state = 2},
  [222] = {.lex_state = 0, .external_lex_state = 2},
  [223] = {.lex_state = 0, .external_lex_state = 2},
  [224] = {.lex_state = 0, .external_lex_state = 2},
  [225] = {.lex_state = 0, .external_lex_state = 2},
  [226] = {.lex_state = 0, .external_lex_state = 2},
  [227] = {.lex_state = 0, .external_lex_state = 2},
  [228] = {.lex_state = 0, .external_lex_state = 2},
  [229] = {.lex_state = 0, .external_lex_state = 2},
  [230] = {.lex_state = 0, .external_lex_state = 2},
  [231] = {.lex_state = 0, .external_lex_state = 2},
  [232] = {.lex_state = 0, .external_lex_state = 2},
  [233] = {.lex_state = 0, .external_lex_state = 2},
  [234] = {.lex_state = 0, .external_lex_state = 2},
  [235] = {.lex_state = 0, .external_lex_state = 2},
  [236] = {.lex_state = 0, .external_lex_state = 2},
  [237] = {.lex_state = 0, .external_lex_state = 2},
  [238] = {.lex_state = 0, .external_lex_state = 2},
  [239] = {.lex_state = 0, .external_lex_state = 2},
  [240] = {.lex_state = 0, .external_lex_state = 2},
  [241] = {.lex_state = 0, .external_lex_state = 2},
  [242] = {.lex_state = 0, .external_lex_state = 2},
  [243] = {.lex_state = 0, .external_lex_state = 2},
  [244] = {.lex_state = 0, .external_lex_state = 2},
  [245] = {.lex_state = 0, .external_lex_state = 2},
  [246] = {.lex_state = 0, .external_lex_state = 2},
  [247] = {.lex_state = 0, .external_lex_state = 2},
  [248] = {.lex_state = 0, .external_lex_state = 2},
  [249] = {.lex_state = 0, .external_lex_state = 2},
  [250] = {.lex_state = 0, .external_lex_state = 2},
  [251] = {.lex_state = 0, .external_lex_state = 2},
  [252] = {.lex_state = 0, .external_lex_state = 2},
  [253] = {.lex_state = 0, .external_lex_state = 2},
  [254] = {.lex_state = 0, .external_lex_state = 2},
  [255] = {.lex_state = 0, .external_lex_state = 2},
  [256] = {.lex_state = 0, .external_lex_state = 2},
  [257] = {.lex_state = 0, .external_lex_state = 2},
  [258] = {.lex_state = 0, .external_lex_state = 2},
  [259] = {.lex_state = 0, .external_lex_state = 2},
  [260] = {.lex_state = 0, .external_lex_state = 2},
  [261] = {.lex_state = 0, .external_lex_state = 2},
  [262] = {.lex_state = 0, .external_lex_state = 2},
  [263] = {.lex_state = 0, .external_lex_state = 2},
  [264] = {.lex_state = 0, .external_lex_state = 2},
  [265] = {.lex_state = 0, .external_lex_state = 2},
  [266] = {.lex_state = 0, .external_lex_state = 2},
  [267] = {.lex_state = 0, .external_lex_state = 2},
  [268] = {.lex_state = 0, .external_lex_state = 2},
  [269] = {.lex_state = 0, .external_lex_state = 2},
  [270] = {.lex_state = 0, .external_lex_state = 2},
  [271] = {.lex_state = 0, .external_lex_state = 2},
  [272] = {.lex_state = 0, .external_lex_state = 2},
  [273] = {.lex_state = 0, .external_lex_state = 2},
  [274] = {.lex_state = 0, .external_lex_state = 2},
  [275] = {.lex_state = 0, .external_lex_state = 2},
  [276] = {.lex_state = 0, .external_lex_state = 2},
  [277] = {.lex_state = 0, .external_lex_state = 2},
  [278] = {.lex_state = 0, .external_lex_state = 2},
  [279] = {.lex_state = 0, .external_lex_state = 2},
  [280] = {.lex_state = 0, .external_lex_state = 2},
  [281] = {.lex_state = 0, .external_lex_state = 2},
  [282] = {.lex_state = 0, .external_lex_state = 2},
  [283] = {.lex_state = 0, .external_lex_state = 2},
  [284] = {.lex_state = 0, .external_lex_state = 2},
  [285] = {.lex_state = 0, .external_lex_state = 2},
  [286] = {.lex_state = 0, .external_lex_state = 2},
  [287] = {.lex_state = 0, .external_lex_state = 2},
  [288] = {.lex_state = 0, .external_lex_state = 2},
  [289] = {.lex_state = 0, .external_lex_state = 2},
  [290] = {.lex_state = 0, .external_lex_state = 2},
  [291] = {.lex_state = 0, .external_lex_state = 2},
  [292] = {.lex_state = 0, .external_lex_state = 2},
  [293] = {.lex_state = 0, .external_lex_state = 2},
  [294] = {.lex_state = 0, .external_lex_state = 2},
  [295] = {.lex_state = 0, .external_lex_state = 2},
  [296] = {.lex_state = 0, .external_lex_state = 2},
  [297] = {.lex_state = 0, .external_lex_state = 2},
  [298] = {.lex_state = 0, .external_lex_state = 2},
  [299] = {.lex_state = 0, .external_lex_state = 2},
  [300] = {.lex_state = 0, .external_lex_state = 2},
  [301] = {.lex_state = 0, .external_lex_state = 2},
  [302] = {.lex_state = 0, .external_lex_state = 2},
  [303] = {.lex_state = 0, .external_lex_state = 2},
  [304] = {.lex_state = 0, .external_lex_state = 2},
  [305] = {.lex_state = 0, .external_lex_state = 2},
  [306] = {.lex_state = 0, .external_lex_state = 2},
  [307] = {.lex_state = 0, .external_lex_state = 2},
  [308] = {.lex_state = 0, .external_lex_state = 2},
  [309] = {.lex_state = 0, .external_lex_state = 2},
  [310] = {.lex_state = 0, .external_lex_state = 2},
  [311] = {.lex_state = 0, .external_lex_state = 2},
  [312] = {.lex_state = 0, .external_lex_state = 2},
  [313] = {.lex_state = 0, .external_lex_state = 2},
  [314] = {.lex_state = 0, .external_lex_state = 2},
  [315] = {.lex_state = 0, .external_lex_state = 2},
  [316] = {.lex_state = 0, .external_lex_state = 3},
  [317] = {.lex_state = 0, .external_lex_state = 3},
  [318] = {.lex_state = 0, .external_lex_state = 3},
  [319] = {.lex_state = 0, .external_lex_state = 3},
  [320] = {.lex_state = 0, .external_lex_state = 3},
  [321] = {.lex_state = 0, .external_lex_state = 3},
  [322] = {.lex_state = 0, .external_lex_state = 3},
  [323] = {.lex_state = 0, .external_lex_state = 3},
  [324] = {.lex_state = 0, .external_lex_state = 2},
  [325] = {.lex_state = 0, .external_lex_state = 2},
  [326] = {.lex_state = 0, .external_lex_state = 2},
  [327] = {.lex_state = 0, .external_lex_state = 2},
  [328] = {.lex_state = 0, .external_lex_state = 2},
  [329] = {.lex_state = 0, .external_lex_state = 2},
  [330] = {.lex_state = 0, .external_lex_state = 2},
  [331] = {.lex_state = 0, .external_lex_state = 2},
  [332] = {.lex_state = 0, .external_lex_state = 2},
  [333] = {.lex_state = 0, .external_lex_state = 2},
  [334] = {.lex_state = 0, .external_lex_state = 2},
  [335] = {.lex_state = 0, .external_lex_state = 2},
  [336] = {.lex_state = 0, .external_lex_state = 2},
  [337] = {.lex_state = 0, .external_lex_state = 2},
  [338] = {.lex_state = 0, .external_lex_state = 2},
  [339] = {.lex_state = 0, .external_lex_state = 2},
  [340] = {.lex_state = 0, .external_lex_state = 2},
  [341] = {.lex_state = 0, .external_lex_state = 2},
  [342] = {.lex_state = 0, .external_lex_state = 2},
  [343] = {.lex_state = 0, .external_lex_state = 2},
  [344] = {.lex_state = 0, .external_lex_state = 2},
  [345] = {.lex_state = 0, .external_lex_state = 2},
  [346] = {.lex_state = 0, .external_lex_state = 2},
  [347] = {.lex_state = 0, .external_lex_state = 2},
  [348] = {.lex_state = 0, .external_lex_state = 2},
  [349] = {.lex_state = 0, .external_lex_state = 2},
  [350] = {.lex_state = 0, .external_lex_state = 2},
  [351] = {.lex_state = 0, .external_lex_state = 2},
  [352] = {.lex_state = 0, .external_lex_state = 2},
  [353] = {.lex_state = 0, .external_lex_state = 2},
  [354] = {.lex_state = 0, .external_lex_state = 2},
  [355] = {.lex_state = 0, .external_lex_state = 2},
  [356] = {.lex_state = 0, .external_lex_state = 2},
  [357] = {.lex_state = 0, .external_lex_state = 2},
  [358] = {.lex_state = 0, .external_lex_state = 2},
  [359] = {.lex_state = 0, .external_lex_state = 2},
  [360] = {.lex_state = 0, .external_lex_state = 2},
  [361] = {.lex_state = 0, .external_lex_state = 2},
  [362] = {.lex_state = 0, .external_lex_state = 2},
  [363] = {.lex_state = 0, .external_lex_state = 2},
  [364] = {.lex_state = 0, .external_lex_state = 2},
  [365] = {.lex_state = 0, .external_lex_state = 2},
  [366] = {.lex_state = 0, .external_lex_state = 2},
  [367] = {.lex_state = 0, .external_lex_state = 2},
  [368] = {.lex_state = 0, .external_lex_state = 2},
  [369] = {.lex_state = 0, .external_lex_state = 2},
  [370] = {.lex_state = 0, .external_lex_state = 2},
  [371] = {.lex_state = 0, .external_lex_state = 2},
  [372] = {.lex_state = 0, .external_lex_state = 2},
  [373] = {.lex_state = 0, .external_lex_state = 2},
  [374] = {.lex_state = 0, .external_lex_state = 2},
  [375] = {.lex_state = 0, .external_lex_state = 2},
  [376] = {.lex_state = 0, .external_lex_state = 2},
  [377] = {.lex_state = 0, .external_lex_state = 2},
  [378] = {.lex_state = 0, .external_lex_state = 2},
  [379] = {.lex_state = 0, .external_lex_state = 2},
  [380] = {.lex_state = 0, .external_lex_state = 2},
  [381] = {.lex_state = 0, .external_lex_state = 2},
  [382] = {.lex_state = 0, .external_lex_state = 2},
  [383] = {.lex_state = 0, .external_lex_state = 2},
  [384] = {.lex_state = 0, .external_lex_state = 2},
  [385] = {.lex_state = 0, .external_lex_state = 2},
  [386] = {.lex_state = 0, .external_lex_state = 2},
  [387] = {.lex_state = 0, .external_lex_state = 2},
  [388] = {.lex_state = 0, .external_lex_state = 2},
  [389] = {.lex_state = 0, .external_lex_state = 2},
  [390] = {.lex_state = 0, .external_lex_state = 2},
  [391] = {.lex_state = 0, .external_lex_state = 2},
  [392] = {.lex_state = 0, .external_lex_state = 2},
  [393] = {.lex_state = 0, .external_lex_state = 2},
  [394] = {.lex_state = 0, .external_lex_state = 2},
  [395] = {.lex_state = 0, .external_lex_state = 2},
  [396] = {.lex_state = 0, .external_lex_state = 2},
  [397] = {.lex_state = 0, .external_lex_state = 2},
  [398] = {.lex_state = 0, .external_lex_state = 2},
  [399] = {.lex_state = 0, .external_lex_state = 2},
  [400] = {.lex_state = 0, .external_lex_state = 2},
  [401] = {.lex_state = 0, .external_lex_state = 2},
  [402] = {.lex_state = 0, .external_lex_state = 2},
  [403] = {.lex_state = 0, .external_lex_state = 2},
  [404] = {.lex_state = 0, .external_lex_state = 2},
  [405] = {.lex_state = 0, .external_lex_state = 2},
  [406] = {.lex_state = 0, .external_lex_state = 2},
  [407] = {.lex_state = 0, .external_lex_state = 2},
  [408] = {.lex_state = 0, .external_lex_state = 2},
  [409] = {.lex_state = 4},
  [410] = {.lex_state = 4},
  [411] = {.lex_state = 4},
  [412] = {.lex_state = 0, .external_lex_state = 2},
  [413] = {.lex_state = 0, .external_lex_state = 2},
  [414] = {.lex_state = 4},
  [415] = {.lex_state = 4},
  [416] = {.lex_state = 0, .external_lex_state = 2},
  [417] = {.lex_state = 0, .external_lex_state = 2},
  [418] = {.lex_state = 4},
  [419] = {.lex_state = 0, .external_lex_state = 2},
  [420] = {.lex_state = 4},
  [421] = {.lex_state = 4},
  [422] = {.lex_state = 4},
  [423] = {.lex_state = 4},
  [424] = {.lex_state = 4},
  [425] = {.lex_state = 4},
  [426] = {.lex_state = 4},
  [427] = {.lex_state = 4},
  [428] = {.lex_state = 4},
  [429] = {.lex_state = 4},
  [430] = {.lex_state = 4},
  [431] = {.lex_state = 4},
  [432] = {.lex_state = 4},
  [433] = {.lex_state = 4},
  [434] = {.lex_state = 4, .external_lex_state = 4},
  [435] = {.lex_state = 4, .external_lex_state = 4},
  [436] = {.lex_state = 4},
  [437] = {.lex_state = 4},
  [438] = {.lex_state = 4, .external_lex_state = 4},
  [439] = {.lex_state = 4},
  [440] = {.lex_state = 4},
  [441] = {.lex_state = 4, .external_lex_state = 4},
  [442] = {.lex_state = 4, .external_lex_state = 4},
  [443] = {.lex_state = 4},
  [444] = {.lex_state = 4, .external_lex_state = 4},
  [445] = {.lex_state = 4, .external_lex_state = 4},
  [446] = {.lex_state = 4, .external_lex_state = 4},
  [447] = {.lex_state = 4},
  [448] = {.lex_state = 4, .external_lex_state = 4},
  [449] = {.lex_state = 4, .external_lex_state = 4},
  [450] = {.lex_state = 4, .external_lex_state = 4},
  [451] = {.lex_state = 4},
  [452] = {.lex_state = 4},
  [453] = {.lex_state = 4, .external_lex_state = 4},
  [454] = {.lex_state = 4, .external_lex_state = 4},
  [455] = {.lex_state = 4, .external_lex_state = 4},
  [456] = {.lex_state = 4, .external_lex_state = 4},
  [457] = {.lex_state = 4, .external_lex_state = 4},
  [458] = {.lex_state = 4, .external_lex_state = 4},
  [459] = {.lex_state = 4},
  [460] = {.lex_state = 4, .external_lex_state = 4},
  [461] = {.lex_state = 4, .external_lex_state = 4},
  [462] = {.lex_state = 4},
  [463] = {.lex_state = 4, .external_lex_state = 4},
  [464] = {.lex_state = 4},
  [465] = {.lex_state = 4},
  [466] = {.lex_state = 4},
  [467] = {.lex_state = 4, .external_lex_state = 4},
  [468] = {.lex_state = 4},
  [469] = {.lex_state = 4},
  [470] = {.lex_state = 4},
  [471] = {.lex_state = 4},
  [472] = {.lex_state = 0, .external_lex_state = 2},
  [473] = {.lex_state = 0, .external_lex_state = 2},
  [474] = {.lex_state = 0, .external_lex_state = 2},
  [475] = {.lex_state = 0, .external_lex_state = 2},
  [476] = {.lex_state = 0, .external_lex_state = 2},
  [477] = {.lex_state = 0, .external_lex_state = 2},
  [478] = {.lex_state = 0, .external_lex_state = 2},
  [479] = {.lex_state = 0, .external_lex_state = 2},
  [480] = {.lex_state = 5},
  [481] = {.lex_state = 4},
  [482] = {.lex_state = 4},
  [483] = {.lex_state = 5},
  [484] = {.lex_state = 5},
  [485] = {.lex_state = 5},
  [486] = {.lex_state = 4},
  [487] = {.lex_state = 5},
  [488] = {.lex_state = 5},
  [489] = {.lex_state = 5},
  [490] = {.lex_state = 5},
  [491] = {.lex_state = 5},
  [492] = {.lex_state = 5},
  [493] = {.lex_state = 5},
  [494] = {.lex_state = 5},
  [495] = {.lex_state = 5},
  [496] = {.lex_state = 5},
  [497] = {.lex_state = 5},
  [498] = {.lex_state = 4},
  [499] = {.lex_state = 5},
  [500] = {.lex_state = 5},
  [501] = {.lex_state = 5},
  [502] = {.lex_state = 5},
  [503] = {.lex_state = 5},
  [504] = {.lex_state = 5},
  [505] = {.lex_state = 5},
  [506] = {.lex_state = 5},
  [507] = {.lex_state = 5},
  [508] = {.lex_state = 5},
  [509] = {.lex_state = 5},
  [510] = {.lex_state = 5},
  [511] = {.lex_state = 5},
  [512] = {.lex_state = 5},
  [513] = {.lex_state = 5},
  [514] = {.lex_state = 5},
  [515] = {.lex_state = 5},
  [516] = {.lex_state = 5},
  [517] = {.lex_state = 5},
  [518] = {.lex_state = 5},
  [519] = {.lex_state = 5},
  [520] = {.lex_state = 5},
  [521] = {.lex_state = 5},
  [522] = {.lex_state = 5},
  [523] = {.lex_state = 5},
  [524] = {.lex_state = 5},
  [525] = {.lex_state = 5},
  [526] = {.lex_state = 5},
  [527] = {.lex_state = 5},
  [528] = {.lex_state = 5},
  [529] = {.lex_state = 5},
  [530] = {.lex_state = 5},
  [531] = {.lex_state = 5},
  [532] = {.lex_state = 5},
  [533] = {.lex_state = 5},
  [534] = {.lex_state = 5, .external_lex_state = 4},
  [535] = {.lex_state = 5},
  [536] = {.lex_state = 4},
  [537] = {.lex_state = 5},
  [538] = {.lex_state = 4, .external_lex_state = 4},
  [539] = {.lex_state = 5},
  [540] = {.lex_state = 4, .external_lex_state = 4},
  [541] = {.lex_state = 5},
  [542] = {.lex_state = 5},
  [543] = {.lex_state = 5, .external_lex_state = 4},
  [544] = {.lex_state = 5, .external_lex_state = 4},
  [545] = {.lex_state = 5},
  [546] = {.lex_state = 5, .external_lex_state = 4},
  [547] = {.lex_state = 5, .external_lex_state = 4},
  [548] = {.lex_state = 5, .external_lex_state = 4},
  [549] = {.lex_state = 5, .external_lex_state = 4},
  [550] = {.lex_state = 5, .external_lex_state = 4},
  [551] = {.lex_state = 5, .external_lex_state = 4},
  [552] = {.lex_state = 5, .external_lex_state = 4},
  [553] = {.lex_state = 5, .external_lex_state = 4},
  [554] = {.lex_state = 5, .external_lex_state = 4},
  [555] = {.lex_state = 5, .external_lex_state = 4},
  [556] = {.lex_state = 5, .external_lex_state = 4},
  [557] = {.lex_state = 5, .external_lex_state = 4},
  [558] = {.lex_state = 5, .external_lex_state = 4},
  [559] = {.lex_state = 5, .external_lex_state = 4},
  [560] = {.lex_state = 5, .external_lex_state = 4},
  [561] = {.lex_state = 5, .external_lex_state = 4},
  [562] = {.lex_state = 5, .external_lex_state = 4},
  [563] = {.lex_state = 5, .external_lex_state = 4},
  [564] = {.lex_state = 5, .external_lex_state = 4},
  [565] = {.lex_state = 5, .external_lex_state = 4},
  [566] = {.lex_state = 5, .external_lex_state = 4},
  [567] = {.lex_state = 5, .external_lex_state = 4},
  [568] = {.lex_state = 5, .external_lex_state = 4},
  [569] = {.lex_state = 4, .external_lex_state = 4},
  [570] = {.lex_state = 5, .external_lex_state = 4},
  [571] = {.lex_state = 5, .external_lex_state = 4},
  [572] = {.lex_state = 5, .external_lex_state = 4},
  [573] = {.lex_state = 4, .external_lex_state = 4},
  [574] = {.lex_state = 5, .external_lex_state = 4},
  [575] = {.lex_state = 5, .external_lex_state = 4},
  [576] = {.lex_state = 5},
  [577] = {.lex_state = 5, .external_lex_state = 4},
  [578] = {.lex_state = 5, .external_lex_state = 4},
  [579] = {.lex_state = 5, .external_lex_state = 4},
  [580] = {.lex_state = 5, .external_lex_state = 4},
  [581] = {.lex_state = 5, .external_lex_state = 4},
  [582] = {.lex_state = 5, .external_lex_state = 4},
  [583] = {.lex_state = 5, .external_lex_state = 4},
  [584] = {.lex_state = 5, .external_lex_state = 4},
  [585] = {.lex_state = 5, .external_lex_state = 4},
  [586] = {.lex_state = 5, .external_lex_state = 4},
  [587] = {.lex_state = 5, .external_lex_state = 4},
  [588] = {.lex_state = 5, .external_lex_state = 4},
  [589] = {.lex_state = 5, .external_lex_state = 4},
  [590] = {.lex_state = 5},
  [591] = {.lex_state = 5, .external_lex_state = 4},
  [592] = {.lex_state = 5, .external_lex_state = 4},
  [593] = {.lex_state = 5, .external_lex_state = 4},
  [594] = {.lex_state = 5, .external_lex_state = 4},
  [595] = {.lex_state = 5, .external_lex_state = 4},
  [596] = {.lex_state = 5, .external_lex_state = 4},
  [597] = {.lex_state = 5, .external_lex_state = 4},
  [598] = {.lex_state = 5},
  [599] = {.lex_state = 5},
  [600] = {.lex_state = 5},
  [601] = {.lex_state = 5},
  [602] = {.lex_state = 5},
  [603] = {.lex_state = 5},
  [604] = {.lex_state = 5},
  [605] = {.lex_state = 5},
  [606] = {.lex_state = 5},
  [607] = {.lex_state = 5},
  [608] = {.lex_state = 5},
  [609] = {.lex_state = 5},
  [610] = {.lex_state = 5},
  [611] = {.lex_state = 5, .external_lex_state = 4},
  [612] = {.lex_state = 5},
  [613] = {.lex_state = 5},
  [614] = {.lex_state = 5},
  [615] = {.lex_state = 5},
  [616] = {.lex_state = 5},
  [617] = {.lex_state = 5, .external_lex_state = 4},
  [618] = {.lex_state = 5},
  [619] = {.lex_state = 5, .external_lex_state = 4},
  [620] = {.lex_state = 5},
  [621] = {.lex_state = 5},
  [622] = {.lex_state = 5},
  [623] = {.lex_state = 5},
  [624] = {.lex_state = 5},
  [625] = {.lex_state = 5},
  [626] = {.lex_state = 5, .external_lex_state = 4},
  [627] = {.lex_state = 5},
  [628] = {.lex_state = 5},
  [629] = {.lex_state = 5, .external_lex_state = 4},
  [630] = {.lex_state = 5, .external_lex_state = 4},
  [631] = {.lex_state = 5},
  [632] = {.lex_state = 5},
  [633] = {.lex_state = 5},
  [634] = {.lex_state = 5},
  [635] = {.lex_state = 5},
  [636] = {.lex_state = 5},
  [637] = {.lex_state = 5},
  [638] = {.lex_state = 4, .external_lex_state = 2},
  [639] = {.lex_state = 5},
  [640] = {.lex_state = 5},
  [641] = {.lex_state = 5},
  [642] = {.lex_state = 5},
  [643] = {.lex_state = 5},
  [644] = {.lex_state = 5},
  [645] = {.lex_state = 5},
  [646] = {.lex_state = 5},
  [647] = {.lex_state = 5},
  [648] = {.lex_state = 5},
  [649] = {.lex_state = 5},
  [650] = {.lex_state = 5},
  [651] = {.lex_state = 5},
  [652] = {.lex_state = 5},
  [653] = {.lex_state = 5},
  [654] = {.lex_state = 4, .external_lex_state = 2},
  [655] = {.lex_state = 5},
  [656] = {.lex_state = 5},
  [657] = {.lex_state = 5},
  [658] = {.lex_state = 5},
  [659] = {.lex_state = 5},
  [660] = {.lex_state = 4, .external_lex_state = 2},
  [661] = {.lex_state = 5},
  [662] = {.lex_state = 5},
  [663] = {.lex_state = 5},
  [664] = {.lex_state = 5},
  [665] = {.lex_state = 5},
  [666] = {.lex_state = 5, .external_lex_state = 4},
  [667] = {.lex_state = 5},
  [668] = {.lex_state = 5, .external_lex_state = 4},
  [669] = {.lex_state = 5},
  [670] = {.lex_state = 5},
  [671] = {.lex_state = 5},
  [672] = {.lex_state = 5, .external_lex_state = 4},
  [673] = {.lex_state = 5},
  [674] = {.lex_state = 5, .external_lex_state = 4},
  [675] = {.lex_state = 5, .external_lex_state = 4},
  [676] = {.lex_state = 5, .external_lex_state = 4},
  [677] = {.lex_state = 5},
  [678] = {.lex_state = 5, .external_lex_state = 4},
  [679] = {.lex_state = 5, .external_lex_state = 4},
  [680] = {.lex_state = 5, .external_lex_state = 4},
  [681] = {.lex_state = 5, .external_lex_state = 4},
  [682] = {.lex_state = 5, .external_lex_state = 4},
  [683] = {.lex_state = 5, .external_lex_state = 4},
  [684] = {.lex_state = 5, .external_lex_state = 4},
  [685] = {.lex_state = 5, .external_lex_state = 4},
  [686] = {.lex_state = 5, .external_lex_state = 4},
  [687] = {.lex_state = 5, .external_lex_state = 4},
  [688] = {.lex_state = 5, .external_lex_state = 4},
  [689] = {.lex_state = 5},
  [690] = {.lex_state = 5, .external_lex_state = 4},
  [691] = {.lex_state = 5, .external_lex_state = 4},
  [692] = {.lex_state = 5},
  [693] = {.lex_state = 5},
  [694] = {.lex_state = 5, .external_lex_state = 4},
  [695] = {.lex_state = 5, .external_lex_state = 4},
  [696] = {.lex_state = 4, .external_lex_state = 2},
  [697] = {.lex_state = 5, .external_lex_state = 4},
  [698] = {.lex_state = 5, .external_lex_state = 4},
  [699] = {.lex_state = 4, .external_lex_state = 2},
  [700] = {.lex_state = 5, .external_lex_state = 4},
  [701] = {.lex_state = 5, .external_lex_state = 4},
  [702] = {.lex_state = 5, .external_lex_state = 4},
  [703] = {.lex_state = 5},
  [704] = {.lex_state = 5},
  [705] = {.lex_state = 5, .external_lex_state = 4},
  [706] = {.lex_state = 5, .external_lex_state = 4},
  [707] = {.lex_state = 5, .external_lex_state = 4},
  [708] = {.lex_state = 5, .external_lex_state = 4},
  [709] = {.lex_state = 5, .external_lex_state = 4},
  [710] = {.lex_state = 5, .external_lex_state = 4},
  [711] = {.lex_state = 5, .external_lex_state = 4},
  [712] = {.lex_state = 5},
  [713] = {.lex_state = 5, .external_lex_state = 4},
  [714] = {.lex_state = 5, .external_lex_state = 4},
  [715] = {.lex_state = 5},
  [716] = {.lex_state = 5, .external_lex_state = 4},
  [717] = {.lex_state = 5},
  [718] = {.lex_state = 5},
  [719] = {.lex_state = 5, .external_lex_state = 4},
  [720] = {.lex_state = 5, .external_lex_state = 4},
  [721] = {.lex_state = 5},
  [722] = {.lex_state = 5, .external_lex_state = 4},
  [723] = {.lex_state = 5},
  [724] = {.lex_state = 5, .external_lex_state = 4},
  [725] = {.lex_state = 5, .external_lex_state = 4},
  [726] = {.lex_state = 5, .external_lex_state = 4},
  [727] = {.lex_state = 5, .external_lex_state = 4},
  [728] = {.lex_state = 5},
  [729] = {.lex_state = 5, .external_lex_state = 4},
  [730] = {.lex_state = 5},
  [731] = {.lex_state = 5, .external_lex_state = 4},
  [732] = {.lex_state = 5},
  [733] = {.lex_state = 5, .external_lex_state = 4},
  [734] = {.lex_state = 5},
  [735] = {.lex_state = 5, .external_lex_state = 4},
  [736] = {.lex_state = 5, .external_lex_state = 4},
  [737] = {.lex_state = 5},
  [738] = {.lex_state = 5},
  [739] = {.lex_state = 5, .external_lex_state = 4},
  [740] = {.lex_state = 5},
  [741] = {.lex_state = 5, .external_lex_state = 4},
  [742] = {.lex_state = 5, .external_lex_state = 4},
  [743] = {.lex_state = 5, .external_lex_state = 4},
  [744] = {.lex_state = 5},
  [745] = {.lex_state = 5},
  [746] = {.lex_state = 5},
  [747] = {.lex_state = 5},
  [748] = {.lex_state = 5, .external_lex_state = 4},
  [749] = {.lex_state = 5, .external_lex_state = 4},
  [750] = {.lex_state = 5, .external_lex_state = 4},
  [751] = {.lex_state = 5},
  [752] = {.lex_state = 5, .external_lex_state = 4},
  [753] = {.lex_state = 5, .external_lex_state = 4},
  [754] = {.lex_state = 5, .external_lex_state = 4},
  [755] = {.lex_state = 5},
  [756] = {.lex_state = 5},
  [757] = {.lex_state = 5, .external_lex_state = 4},
  [758] = {.lex_state = 5},
  [759] = {.lex_state = 5, .external_lex_state = 4},
  [760] = {.lex_state = 5, .external_lex_state = 4},
  [761] = {.lex_state = 5},
  [762] = {.lex_state = 5},
  [763] = {.lex_state = 5},
  [764] = {.lex_state = 5},
  [765] = {.lex_state = 5},
  [766] = {.lex_state = 5},
  [767] = {.lex_state = 5},
  [768] = {.lex_state = 5},
  [769] = {.lex_state = 5},
  [770] = {.lex_state = 5},
  [771] = {.lex_state = 5},
  [772] = {.lex_state = 4, .external_lex_state = 2},
  [773] = {.lex_state = 5},
  [774] = {.lex_state = 5},
  [775] = {.lex_state = 5},
  [776] = {.lex_state = 5},
  [777] = {.lex_state = 5},
  [778] = {.lex_state = 5},
  [779] = {.lex_state = 5},
  [780] = {.lex_state = 5},
  [781] = {.lex_state = 5},
  [782] = {.lex_state = 5},
  [783] = {.lex_state = 5},
  [784] = {.lex_state = 5},
  [785] = {.lex_state = 26},
  [786] = {.lex_state = 5},
  [787] = {.lex_state = 5},
  [788] = {.lex_state = 5},
  [789] = {.lex_state = 4, .external_lex_state = 2},
  [790] = {.lex_state = 5},
  [791] = {.lex_state = 5},
  [792] = {.lex_state = 5},
  [793] = {.lex_state = 4, .external_lex_state = 2},
  [794] = {.lex_state = 5},
  [795] = {.lex_state = 26},
  [796] = {.lex_state = 5},
  [797] = {.lex_state = 5},
  [798] = {.lex_state = 26},
  [799] = {.lex_state = 4, .external_lex_state = 2},
  [800] = {.lex_state = 4, .external_lex_state = 2},
  [801] = {.lex_state = 4, .external_lex_state = 2},
  [802] = {.lex_state = 4, .external_lex_state = 2},
  [803] = {.lex_state = 4, .external_lex_state = 2},
  [804] = {.lex_state = 4, .external_lex_state = 2},
  [805] = {.lex_state = 4, .external_lex_state = 2},
  [806] = {.lex_state = 4, .external_lex_state = 2},
  [807] = {.lex_state = 4, .external_lex_state = 2},
  [808] = {.lex_state = 4, .external_lex_state = 2},
  [809] = {.lex_state = 4, .external_lex_state = 2},
  [810] = {.lex_state = 4, .external_lex_state = 2},
  [811] = {.lex_state = 5, .external_lex_state = 4},
  [812] = {.lex_state = 5},
  [813] = {.lex_state = 5, .external_lex_state = 4},
  [814] = {.lex_state = 5},
  [815] = {.lex_state = 5},
  [816] = {.lex_state = 5},
  [817] = {.lex_state = 5, .external_lex_state = 4},
  [818] = {.lex_state = 5, .external_lex_state = 4},
  [819] = {.lex_state = 5, .external_lex_state = 4},
  [820] = {.lex_state = 5},
  [821] = {.lex_state = 5},
  [822] = {.lex_state = 5, .external_lex_state = 4},
  [823] = {.lex_state = 5, .external_lex_state = 4},
  [824] = {.lex_state = 4},
  [825] = {.lex_state = 5},
  [826] = {.lex_state = 5, .external_lex_state = 4},
  [827] = {.lex_state = 5, .external_lex_state = 4},
  [828] = {.lex_state = 5},
  [829] = {.lex_state = 5},
  [830] = {.lex_state = 5},
  [831] = {.lex_state = 5},
  [832] = {.lex_state = 5},
  [833] = {.lex_state = 5},
  [834] = {.lex_state = 5, .external_lex_state = 4},
  [835] = {.lex_state = 5},
  [836] = {.lex_state = 5, .external_lex_state = 4},
  [837] = {.lex_state = 5, .external_lex_state = 4},
  [838] = {.lex_state = 5},
  [839] = {.lex_state = 5},
  [840] = {.lex_state = 5},
  [841] = {.lex_state = 5, .external_lex_state = 4},
  [842] = {.lex_state = 5},
  [843] = {.lex_state = 5},
  [844] = {.lex_state = 5},
  [845] = {.lex_state = 5},
  [846] = {.lex_state = 5},
  [847] = {.lex_state = 5},
  [848] = {.lex_state = 5},
  [849] = {.lex_state = 5},
  [850] = {.lex_state = 5},
  [851] = {.lex_state = 5},
  [852] = {.lex_state = 5},
  [853] = {.lex_state = 5},
  [854] = {.lex_state = 5},
  [855] = {.lex_state = 5},
  [856] = {.lex_state = 5},
  [857] = {.lex_state = 5},
  [858] = {.lex_state = 5},
  [859] = {.lex_state = 5},
  [860] = {.lex_state = 5},
  [861] = {.lex_state = 5},
  [862] = {.lex_state = 5},
  [863] = {.lex_state = 5},
  [864] = {.lex_state = 5},
  [865] = {.lex_state = 5},
  [866] = {.lex_state = 5},
  [867] = {.lex_state = 5},
  [868] = {.lex_state = 5},
  [869] = {.lex_state = 5},
  [870] = {.lex_state = 5},
  [871] = {.lex_state = 5},
  [872] = {.lex_state = 5},
  [873] = {.lex_state = 5},
  [874] = {.lex_state = 5},
  [875] = {.lex_state = 5},
  [876] = {.lex_state = 5},
  [877] = {.lex_state = 5},
  [878] = {.lex_state = 5},
  [879] = {.lex_state = 5},
  [880] = {.lex_state = 5},
  [881] = {.lex_state = 5},
  [882] = {.lex_state = 5},
  [883] = {.lex_state = 4},
  [884] = {.lex_state = 4},
  [885] = {.lex_state = 4},
  [886] = {.lex_state = 4},
  [887] = {.lex_state = 4},
  [888] = {.lex_state = 4},
  [889] = {.lex_state = 4},
  [890] = {.lex_state = 4},
  [891] = {.lex_state = 4},
  [892] = {.lex_state = 4},
  [893] = {.lex_state = 4},
  [894] = {.lex_state = 4},
  [895] = {.lex_state = 4},
  [896] = {.lex_state = 4},
  [897] = {.lex_state = 4},
  [898] = {.lex_state = 4},
  [899] = {.lex_state = 4},
  [900] = {.lex_state = 4},
  [901] = {.lex_state = 4},
  [902] = {.lex_state = 4},
  [903] = {.lex_state = 4},
  [904] = {.lex_state = 4},
  [905] = {.lex_state = 4},
  [906] = {.lex_state = 4},
  [907] = {.lex_state = 26},
  [908] = {.lex_state = 4},
  [909] = {.lex_state = 4},
  [910] = {.lex_state = 4},
  [911] = {.lex_state = 4},
  [912] = {.lex_state = 4},
  [913] = {.lex_state = 4, .external_lex_state = 2},
  [914] = {.lex_state = 4},
  [915] = {.lex_state = 4},
  [916] = {.lex_state = 4},
  [917] = {.lex_state = 4},
  [918] = {.lex_state = 4},
  [919] = {.lex_state = 4},
  [920] = {.lex_state = 4},
  [921] = {.lex_state = 4},
  [922] = {.lex_state = 4},
  [923] = {.lex_state = 4},
  [924] = {.lex_state = 4},
  [925] = {.lex_state = 4},
  [926] = {.lex_state = 4},
  [927] = {.lex_state = 4},
  [928] = {.lex_state = 4},
  [929] = {.lex_state = 4},
  [930] = {.lex_state = 4},
  [931] = {.lex_state = 4},
  [932] = {.lex_state = 4},
  [933] = {.lex_state = 4},
  [934] = {.lex_state = 4},
  [935] = {.lex_state = 4},
  [936] = {.lex_state = 4},
  [937] = {.lex_state = 4},
  [938] = {.lex_state = 4},
  [939] = {.lex_state = 4},
  [940] = {.lex_state = 4},
  [941] = {.lex_state = 4},
  [942] = {.lex_state = 4},
  [943] = {.lex_state = 4},
  [944] = {.lex_state = 4},
  [945] = {.lex_state = 4},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 4},
  [948] = {.lex_state = 4},
  [949] = {.lex_state = 4},
  [950] = {.lex_state = 4},
  [951] = {.lex_state = 4},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 4},
  [954] = {.lex_state = 4},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 4},
  [957] = {.lex_state = 4},
  [958] = {.lex_state = 4},
  [959] = {.lex_state = 4},
  [960] = {.lex_state = 4},
  [961] = {.lex_state = 4},
  [962] = {.lex_state = 4},
  [963] = {.lex_state = 4},
  [964] = {.lex_state = 4},
  [965] = {.lex_state = 4},
  [966] = {.lex_state = 4},
  [967] = {.lex_state = 4},
  [968] = {.lex_state = 4},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 4},
  [971] = {.lex_state = 4},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 0},
  [974] = {.lex_state = 4},
  [975] = {.lex_state = 6, .external_lex_state = 2},
  [976] = {.lex_state = 0},
  [977] = {.lex_state = 0},
  [978] = {.lex_state = 4},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0, .external_lex_state = 4},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 0},
  [983] = {.lex_state = 4},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 4},
  [986] = {.lex_state = 0, .external_lex_state = 4},
  [987] = {.lex_state = 4},
  [988] = {.lex_state = 84},
  [989] = {.lex_state = 4},
  [990] = {.lex_state = 4},
  [991] = {.lex_state = 4},
  [992] = {.lex_state = 4},
  [993] = {.lex_state = 4},
  [994] = {.lex_state = 4},
  [995] = {.lex_state = 4},
  [996] = {.lex_state = 4},
  [997] = {.lex_state = 4},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 4},
  [1000] = {.lex_state = 4},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 4},
  [1003] = {.lex_state = 4},
  [1004] = {.lex_state = 4},
  [1005] = {.lex_state = 4},
  [1006] = {.lex_state = 4},
  [1007] = {.lex_state = 4},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 4},
  [1010] = {.lex_state = 4},
  [1011] = {.lex_state = 4},
  [1012] = {.lex_state = 4},
  [1013] = {.lex_state = 4},
  [1014] = {.lex_state = 4},
  [1015] = {.lex_state = 4},
  [1016] = {.lex_state = 4},
  [1017] = {.lex_state = 4},
  [1018] = {.lex_state = 4},
  [1019] = {.lex_state = 4},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 4},
  [1022] = {.lex_state = 4},
  [1023] = {.lex_state = 4},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 4},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 85, .external_lex_state = 5},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 4},
  [1032] = {.lex_state = 4},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 4},
  [1035] = {.lex_state = 4},
  [1036] = {.lex_state = 4},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 4},
  [1039] = {.lex_state = 84},
  [1040] = {.lex_state = 4},
  [1041] = {.lex_state = 0, .external_lex_state = 4},
  [1042] = {.lex_state = 4},
  [1043] = {.lex_state = 4},
  [1044] = {.lex_state = 4},
  [1045] = {.lex_state = 4},
  [1046] = {.lex_state = 4},
  [1047] = {.lex_state = 4},
  [1048] = {.lex_state = 0, .external_lex_state = 4},
  [1049] = {.lex_state = 0, .external_lex_state = 4},
  [1050] = {.lex_state = 0, .external_lex_state = 4},
  [1051] = {.lex_state = 4},
  [1052] = {.lex_state = 0, .external_lex_state = 4},
  [1053] = {.lex_state = 4},
  [1054] = {.lex_state = 4},
  [1055] = {.lex_state = 4},
  [1056] = {.lex_state = 0, .external_lex_state = 4},
  [1057] = {.lex_state = 4, .external_lex_state = 4},
  [1058] = {.lex_state = 4, .external_lex_state = 4},
  [1059] = {.lex_state = 84},
  [1060] = {.lex_state = 0, .external_lex_state = 4},
  [1061] = {.lex_state = 85, .external_lex_state = 5},
  [1062] = {.lex_state = 4},
  [1063] = {.lex_state = 4},
  [1064] = {.lex_state = 84},
  [1065] = {.lex_state = 0, .external_lex_state = 4},
  [1066] = {.lex_state = 85},
  [1067] = {.lex_state = 4},
  [1068] = {.lex_state = 84},
  [1069] = {.lex_state = 4},
  [1070] = {.lex_state = 4, .external_lex_state = 4},
  [1071] = {.lex_state = 4, .external_lex_state = 4},
  [1072] = {.lex_state = 0, .external_lex_state = 4},
  [1073] = {.lex_state = 4, .external_lex_state = 4},
  [1074] = {.lex_state = 4},
  [1075] = {.lex_state = 85, .external_lex_state = 5},
  [1076] = {.lex_state = 4},
  [1077] = {.lex_state = 4},
  [1078] = {.lex_state = 4},
  [1079] = {.lex_state = 4},
  [1080] = {.lex_state = 4},
  [1081] = {.lex_state = 0, .external_lex_state = 4},
  [1082] = {.lex_state = 0, .external_lex_state = 4},
  [1083] = {.lex_state = 4},
  [1084] = {.lex_state = 4},
  [1085] = {.lex_state = 4},
  [1086] = {.lex_state = 4},
  [1087] = {.lex_state = 84},
  [1088] = {.lex_state = 84},
  [1089] = {.lex_state = 4},
  [1090] = {.lex_state = 84},
  [1091] = {.lex_state = 4},
  [1092] = {.lex_state = 4},
  [1093] = {.lex_state = 4, .external_lex_state = 4},
  [1094] = {.lex_state = 4},
  [1095] = {.lex_state = 84},
  [1096] = {.lex_state = 84},
  [1097] = {.lex_state = 85},
  [1098] = {.lex_state = 4},
  [1099] = {.lex_state = 4, .external_lex_state = 4},
  [1100] = {.lex_state = 0, .external_lex_state = 4},
  [1101] = {.lex_state = 4},
  [1102] = {.lex_state = 4},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 85},
  [1106] = {.lex_state = 0, .external_lex_state = 4},
  [1107] = {.lex_state = 84},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0, .external_lex_state = 4},
  [1110] = {.lex_state = 4},
  [1111] = {.lex_state = 0, .external_lex_state = 4},
  [1112] = {.lex_state = 4},
  [1113] = {.lex_state = 0, .external_lex_state = 4},
  [1114] = {.lex_state = 4},
  [1115] = {.lex_state = 0, .external_lex_state = 4},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0, .external_lex_state = 4},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0, .external_lex_state = 4},
  [1124] = {.lex_state = 0, .external_lex_state = 4},
  [1125] = {.lex_state = 4},
  [1126] = {.lex_state = 0, .external_lex_state = 4},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 4},
  [1132] = {.lex_state = 0, .external_lex_state = 4},
  [1133] = {.lex_state = 85, .external_lex_state = 5},
  [1134] = {.lex_state = 0, .external_lex_state = 4},
  [1135] = {.lex_state = 0, .external_lex_state = 4},
  [1136] = {.lex_state = 4},
  [1137] = {.lex_state = 0, .external_lex_state = 4},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 4},
  [1140] = {.lex_state = 0, .external_lex_state = 4},
  [1141] = {.lex_state = 0, .external_lex_state = 4},
  [1142] = {.lex_state = 0, .external_lex_state = 4},
  [1143] = {.lex_state = 0, .external_lex_state = 4},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0, .external_lex_state = 4},
  [1146] = {.lex_state = 4},
  [1147] = {.lex_state = 0, .external_lex_state = 4},
  [1148] = {.lex_state = 0, .external_lex_state = 4},
  [1149] = {.lex_state = 4},
  [1150] = {.lex_state = 0, .external_lex_state = 4},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 4},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 84},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 4},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0, .external_lex_state = 4},
  [1162] = {.lex_state = 0, .external_lex_state = 4},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0, .external_lex_state = 4},
  [1165] = {.lex_state = 4},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 4},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 84},
  [1171] = {.lex_state = 84},
  [1172] = {.lex_state = 0, .external_lex_state = 4},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0, .external_lex_state = 4},
  [1176] = {.lex_state = 0, .external_lex_state = 4},
  [1177] = {.lex_state = 0, .external_lex_state = 4},
  [1178] = {.lex_state = 0, .external_lex_state = 4},
  [1179] = {.lex_state = 0, .external_lex_state = 4},
  [1180] = {.lex_state = 4},
  [1181] = {.lex_state = 0, .external_lex_state = 4},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0, .external_lex_state = 4},
  [1184] = {.lex_state = 0, .external_lex_state = 4},
  [1185] = {.lex_state = 4},
  [1186] = {.lex_state = 4},
  [1187] = {.lex_state = 0, .external_lex_state = 4},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0, .external_lex_state = 4},
  [1190] = {.lex_state = 4},
  [1191] = {.lex_state = 4},
  [1192] = {.lex_state = 0, .external_lex_state = 4},
  [1193] = {.lex_state = 0, .external_lex_state = 4},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0, .external_lex_state = 4},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0, .external_lex_state = 4},
  [1198] = {.lex_state = 4},
  [1199] = {.lex_state = 0, .external_lex_state = 4},
  [1200] = {.lex_state = 0, .external_lex_state = 4},
  [1201] = {.lex_state = 0, .external_lex_state = 4},
  [1202] = {.lex_state = 0, .external_lex_state = 4},
  [1203] = {.lex_state = 0, .external_lex_state = 4},
  [1204] = {.lex_state = 4},
  [1205] = {.lex_state = 0, .external_lex_state = 4},
  [1206] = {.lex_state = 4},
  [1207] = {.lex_state = 0, .external_lex_state = 4},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0, .external_lex_state = 4},
  [1210] = {.lex_state = 4},
  [1211] = {.lex_state = 4},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 4},
  [1216] = {.lex_state = 4},
  [1217] = {.lex_state = 4},
  [1218] = {.lex_state = 4},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0, .external_lex_state = 4},
  [1221] = {.lex_state = 0, .external_lex_state = 4},
  [1222] = {.lex_state = 4},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 4},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 4},
  [1229] = {.lex_state = 4},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0, .external_lex_state = 4},
  [1232] = {.lex_state = 4},
  [1233] = {.lex_state = 4},
  [1234] = {.lex_state = 4},
  [1235] = {.lex_state = 4},
  [1236] = {.lex_state = 4},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 4},
  [1242] = {.lex_state = 4},
  [1243] = {.lex_state = 4},
  [1244] = {.lex_state = 4},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 4},
  [1248] = {.lex_state = 4},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 4},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 4},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 4},
  [1255] = {.lex_state = 4},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 4},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 4},
  [1260] = {.lex_state = 4},
  [1261] = {.lex_state = 4},
  [1262] = {.lex_state = 4},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0, .external_lex_state = 4},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 4},
  [1269] = {.lex_state = 4},
  [1270] = {.lex_state = 84},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 4},
  [1273] = {.lex_state = 4},
  [1274] = {.lex_state = 4},
  [1275] = {.lex_state = 4},
  [1276] = {.lex_state = 4},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 4},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 4},
  [1282] = {.lex_state = 4},
  [1283] = {.lex_state = 4},
  [1284] = {.lex_state = 4},
  [1285] = {.lex_state = 4},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 4},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 4},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 4},
  [1297] = {.lex_state = 4},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 4},
  [1302] = {.lex_state = 4, .external_lex_state = 4},
  [1303] = {.lex_state = 0, .external_lex_state = 4},
  [1304] = {.lex_state = 0, .external_lex_state = 4},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0, .external_lex_state = 4},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 4},
  [1312] = {.lex_state = 4},
  [1313] = {.lex_state = 4},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0, .external_lex_state = 4},
  [1318] = {.lex_state = 4},
  [1319] = {.lex_state = 0, .external_lex_state = 4},
  [1320] = {.lex_state = 4},
  [1321] = {.lex_state = 4},
  [1322] = {.lex_state = 4},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 4},
  [1328] = {.lex_state = 4},
  [1329] = {.lex_state = 4},
  [1330] = {.lex_state = 4},
  [1331] = {.lex_state = 4},
  [1332] = {.lex_state = 4},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 4},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 84},
  [1345] = {.lex_state = 4},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 4},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0, .external_lex_state = 4},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 4},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 4},
  [1361] = {.lex_state = 4},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 4},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0, .external_lex_state = 4},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 4},
  [1371] = {.lex_state = 4},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 4, .external_lex_state = 4},
  [1375] = {.lex_state = 4},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 4},
  [1378] = {.lex_state = 4},
  [1379] = {.lex_state = 4},
  [1380] = {.lex_state = 4},
  [1381] = {.lex_state = 4},
  [1382] = {.lex_state = 4},
  [1383] = {.lex_state = 4},
  [1384] = {.lex_state = 4},
  [1385] = {.lex_state = 4},
  [1386] = {.lex_state = 4},
  [1387] = {.lex_state = 0, .external_lex_state = 4},
  [1388] = {.lex_state = 4},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 4},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0},
  [1393] = {.lex_state = 0, .external_lex_state = 4},
  [1394] = {.lex_state = 0, .external_lex_state = 4},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 84},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 0, .external_lex_state = 4},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0, .external_lex_state = 4},
  [1401] = {.lex_state = 84, .external_lex_state = 5},
  [1402] = {.lex_state = 0, .external_lex_state = 4},
  [1403] = {.lex_state = 0},
  [1404] = {.lex_state = 0},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 0, .external_lex_state = 4},
  [1408] = {.lex_state = 0, .external_lex_state = 4},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 0},
  [1411] = {.lex_state = 0},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 0},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 0, .external_lex_state = 4},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 0, .external_lex_state = 4},
  [1418] = {.lex_state = 0},
  [1419] = {.lex_state = 0},
  [1420] = {.lex_state = 0},
  [1421] = {.lex_state = 0},
  [1422] = {.lex_state = 0, .external_lex_state = 4},
  [1423] = {.lex_state = 0},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 0, .external_lex_state = 4},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 0},
  [1433] = {.lex_state = 0, .external_lex_state = 4},
  [1434] = {.lex_state = 0, .external_lex_state = 4},
  [1435] = {.lex_state = 0},
  [1436] = {.lex_state = 0},
  [1437] = {.lex_state = 0},
  [1438] = {.lex_state = 0},
  [1439] = {.lex_state = 0, .external_lex_state = 4},
  [1440] = {.lex_state = 0},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 0},
  [1443] = {.lex_state = 0, .external_lex_state = 4},
  [1444] = {.lex_state = 0},
  [1445] = {.lex_state = 0},
  [1446] = {.lex_state = 0},
  [1447] = {.lex_state = 0},
  [1448] = {.lex_state = 0, .external_lex_state = 4},
  [1449] = {.lex_state = 0},
  [1450] = {.lex_state = 0},
  [1451] = {.lex_state = 0, .external_lex_state = 4},
  [1452] = {.lex_state = 0},
  [1453] = {.lex_state = 0},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 0, .external_lex_state = 4},
  [1457] = {.lex_state = 0, .external_lex_state = 4},
  [1458] = {.lex_state = 0, .external_lex_state = 4},
  [1459] = {.lex_state = 0},
  [1460] = {.lex_state = 0},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 0, .external_lex_state = 4},
  [1464] = {.lex_state = 0, .external_lex_state = 4},
  [1465] = {.lex_state = 0},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 0, .external_lex_state = 4},
  [1468] = {.lex_state = 0, .external_lex_state = 4},
  [1469] = {.lex_state = 4},
  [1470] = {.lex_state = 0},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 0},
  [1473] = {.lex_state = 0, .external_lex_state = 4},
  [1474] = {.lex_state = 0, .external_lex_state = 4},
  [1475] = {.lex_state = 0, .external_lex_state = 4},
  [1476] = {.lex_state = 0, .external_lex_state = 4},
  [1477] = {.lex_state = 0, .external_lex_state = 4},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 0},
  [1480] = {.lex_state = 0, .external_lex_state = 4},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0, .external_lex_state = 4},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 0, .external_lex_state = 4},
  [1485] = {.lex_state = 0, .external_lex_state = 4},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 0, .external_lex_state = 4},
  [1489] = {.lex_state = 0, .external_lex_state = 4},
  [1490] = {.lex_state = 0},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 0, .external_lex_state = 4},
  [1497] = {.lex_state = 0, .external_lex_state = 4},
  [1498] = {.lex_state = 0, .external_lex_state = 4},
  [1499] = {.lex_state = 0, .external_lex_state = 4},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 0},
  [1504] = {.lex_state = 0, .external_lex_state = 4},
  [1505] = {.lex_state = 0, .external_lex_state = 4},
  [1506] = {.lex_state = 0, .external_lex_state = 4},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 0, .external_lex_state = 4},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0, .external_lex_state = 4},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 0},
  [1513] = {.lex_state = 0, .external_lex_state = 4},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 0, .external_lex_state = 4},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 0},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 0, .external_lex_state = 4},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 0, .external_lex_state = 4},
  [1527] = {.lex_state = 0, .external_lex_state = 4},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0, .external_lex_state = 4},
  [1530] = {.lex_state = 0, .external_lex_state = 4},
  [1531] = {.lex_state = 0, .external_lex_state = 4},
  [1532] = {.lex_state = 0, .external_lex_state = 4},
  [1533] = {.lex_state = 0},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 0},
  [1536] = {.lex_state = 0, .external_lex_state = 4},
  [1537] = {.lex_state = 0},
  [1538] = {.lex_state = 0},
  [1539] = {.lex_state = 0},
  [1540] = {.lex_state = 0, .external_lex_state = 4},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 0},
  [1544] = {.lex_state = 0},
  [1545] = {.lex_state = 0, .external_lex_state = 4},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 0},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 4},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 0},
  [1556] = {.lex_state = 4},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 4},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 4},
  [1561] = {.lex_state = 4},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 0},
  [1565] = {.lex_state = 4},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 4},
  [1571] = {.lex_state = 0},
  [1572] = {.lex_state = 0},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 0},
  [1577] = {.lex_state = 0},
  [1578] = {.lex_state = 4},
  [1579] = {.lex_state = 0},
  [1580] = {.lex_state = 0},
  [1581] = {.lex_state = 0},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 4},
  [1587] = {.lex_state = 4},
  [1588] = {.lex_state = 0},
  [1589] = {.lex_state = 0},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 4},
  [1596] = {.lex_state = 4},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 4},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 4},
  [1601] = {.lex_state = 4},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 4},
  [1606] = {.lex_state = 0},
  [1607] = {.lex_state = 0},
  [1608] = {.lex_state = 0},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 4},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 4},
  [1616] = {.lex_state = 4},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 4},
  [1620] = {.lex_state = 4},
  [1621] = {.lex_state = 0},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 0},
  [1624] = {.lex_state = 0},
  [1625] = {.lex_state = 4},
  [1626] = {.lex_state = 4},
  [1627] = {.lex_state = 4},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 0},
  [1630] = {.lex_state = 0},
  [1631] = {.lex_state = 0},
  [1632] = {.lex_state = 0},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 0},
  [1635] = {.lex_state = 0},
  [1636] = {.lex_state = 0},
  [1637] = {.lex_state = 4},
  [1638] = {.lex_state = 4},
  [1639] = {.lex_state = 0},
  [1640] = {.lex_state = 0},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 0},
  [1643] = {.lex_state = 4},
  [1644] = {.lex_state = 4},
  [1645] = {.lex_state = 4},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 4},
  [1649] = {.lex_state = 4},
  [1650] = {.lex_state = 0},
  [1651] = {.lex_state = 4},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 0},
  [1654] = {.lex_state = 4},
  [1655] = {.lex_state = 4},
  [1656] = {.lex_state = 0},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 0},
  [1659] = {.lex_state = 0},
  [1660] = {.lex_state = 0},
  [1661] = {.lex_state = 0},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 0},
  [1664] = {(TSStateId)(-1)},
  [1665] = {(TSStateId)(-1)},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token_heredoc = 1,
  ts_external_token__eof = 2,
};

static TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token_heredoc] = sym_heredoc,
  [ts_external_token__eof] = sym__eof,
};

static bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_heredoc] = true,
    [ts_external_token__eof] = true,
  },
  [2] = {
    [ts_external_token_heredoc] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_heredoc] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__eof] = true,
  },
};

static uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_text_interpolation] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_name] = ACTIONS(1),
    [sym_php_tag] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_text_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [aux_sym_global_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_definition_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym_trait_declaration_token1] = ACTIONS(1),
    [aux_sym_interface_declaration_token1] = ACTIONS(1),
    [aux_sym_base_clause_token1] = ACTIONS(1),
    [aux_sym_class_declaration_token1] = ACTIONS(1),
    [aux_sym_class_modifier_token1] = ACTIONS(1),
    [aux_sym_class_modifier_token2] = ACTIONS(1),
    [aux_sym_class_interface_clause_token1] = ACTIONS(1),
    [sym_var_modifier] = ACTIONS(1),
    [aux_sym_use_instead_of_clause_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_array] = ACTIONS(1),
    [anon_sym_callable] = ACTIONS(1),
    [anon_sym_iterable] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_binary] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [anon_sym_integer] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_real] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [aux_sym_echo_statement_token1] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [aux_sym_declare_statement_token1] = ACTIONS(1),
    [anon_sym_ticks] = ACTIONS(1),
    [anon_sym_encoding] = ACTIONS(1),
    [anon_sym_strict_types] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [aux_sym_try_statement_token1] = ACTIONS(1),
    [aux_sym_catch_clause_token1] = ACTIONS(1),
    [aux_sym_finally_clause_token1] = ACTIONS(1),
    [aux_sym_goto_statement_token1] = ACTIONS(1),
    [aux_sym_continue_statement_token1] = ACTIONS(1),
    [aux_sym_break_statement_token1] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [aux_sym_return_statement_token1] = ACTIONS(1),
    [aux_sym_throw_expression_token1] = ACTIONS(1),
    [aux_sym_while_statement_token1] = ACTIONS(1),
    [aux_sym_while_statement_token2] = ACTIONS(1),
    [aux_sym_do_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token1] = ACTIONS(1),
    [aux_sym_for_statement_token2] = ACTIONS(1),
    [aux_sym_foreach_statement_token1] = ACTIONS(1),
    [aux_sym_foreach_statement_token2] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [aux_sym_if_statement_token1] = ACTIONS(1),
    [aux_sym_if_statement_token2] = ACTIONS(1),
    [aux_sym_else_if_clause_token1] = ACTIONS(1),
    [aux_sym_else_clause_token1] = ACTIONS(1),
    [aux_sym_switch_statement_token1] = ACTIONS(1),
    [aux_sym_switch_block_token1] = ACTIONS(1),
    [aux_sym_case_statement_token1] = ACTIONS(1),
    [aux_sym_default_statement_token1] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_clone] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [sym_shell_command_expression] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_DOT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_list] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_self] = ACTIONS(1),
    [anon_sym_parent] = ACTIONS(1),
    [sym_string] = ACTIONS(1),
    [sym_boolean] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [aux_sym_binary_expression_token1] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [aux_sym_binary_expression_token2] = ACTIONS(1),
    [aux_sym_binary_expression_token3] = ACTIONS(1),
    [aux_sym_binary_expression_token4] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_include_expression_token1] = ACTIONS(1),
    [aux_sym_include_once_expression_token1] = ACTIONS(1),
    [aux_sym_require_expression_token1] = ACTIONS(1),
    [aux_sym_require_once_expression_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym_heredoc] = ACTIONS(1),
    [sym__eof] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1660),
    [sym_text_interpolation] = STATE(1),
    [sym_text] = STATE(1396),
    [aux_sym_text_repeat1] = STATE(1097),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_php_tag] = ACTIONS(9),
    [anon_sym_QMARK_GT] = ACTIONS(11),
    [aux_sym_text_token1] = ACTIONS(13),
    [aux_sym_text_token2] = ACTIONS(13),
    [sym_comment] = ACTIONS(15),
  },
  [2] = {
    [sym_text_interpolation] = STATE(2),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(17),
    [sym_name] = ACTIONS(19),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(22),
    [aux_sym_function_static_declaration_token1] = ACTIONS(25),
    [aux_sym_global_declaration_token1] = ACTIONS(28),
    [aux_sym_namespace_definition_token1] = ACTIONS(31),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(34),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(37),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(40),
    [anon_sym_BSLASH] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(46),
    [anon_sym_RBRACE] = ACTIONS(17),
    [aux_sym_trait_declaration_token1] = ACTIONS(49),
    [aux_sym_interface_declaration_token1] = ACTIONS(52),
    [aux_sym_class_declaration_token1] = ACTIONS(55),
    [aux_sym_class_modifier_token1] = ACTIONS(58),
    [aux_sym_class_modifier_token2] = ACTIONS(58),
    [aux_sym_visibility_modifier_token1] = ACTIONS(61),
    [aux_sym_visibility_modifier_token2] = ACTIONS(61),
    [aux_sym_visibility_modifier_token3] = ACTIONS(61),
    [anon_sym_LPAREN] = ACTIONS(64),
    [anon_sym_array] = ACTIONS(67),
    [anon_sym_unset] = ACTIONS(70),
    [aux_sym_echo_statement_token1] = ACTIONS(73),
    [anon_sym_declare] = ACTIONS(76),
    [aux_sym_declare_statement_token1] = ACTIONS(79),
    [sym_float] = ACTIONS(81),
    [aux_sym_try_statement_token1] = ACTIONS(84),
    [aux_sym_goto_statement_token1] = ACTIONS(87),
    [aux_sym_continue_statement_token1] = ACTIONS(90),
    [aux_sym_break_statement_token1] = ACTIONS(93),
    [sym_integer] = ACTIONS(81),
    [aux_sym_return_statement_token1] = ACTIONS(96),
    [aux_sym_throw_expression_token1] = ACTIONS(99),
    [aux_sym_while_statement_token1] = ACTIONS(102),
    [aux_sym_while_statement_token2] = ACTIONS(79),
    [aux_sym_do_statement_token1] = ACTIONS(105),
    [aux_sym_for_statement_token1] = ACTIONS(108),
    [aux_sym_for_statement_token2] = ACTIONS(79),
    [aux_sym_foreach_statement_token1] = ACTIONS(111),
    [aux_sym_foreach_statement_token2] = ACTIONS(79),
    [aux_sym_if_statement_token1] = ACTIONS(114),
    [aux_sym_if_statement_token2] = ACTIONS(79),
    [aux_sym_else_if_clause_token1] = ACTIONS(79),
    [aux_sym_else_clause_token1] = ACTIONS(79),
    [aux_sym_switch_statement_token1] = ACTIONS(117),
    [aux_sym_switch_block_token1] = ACTIONS(79),
    [aux_sym_case_statement_token1] = ACTIONS(79),
    [aux_sym_default_statement_token1] = ACTIONS(79),
    [anon_sym_AT] = ACTIONS(120),
    [anon_sym_PLUS] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(123),
    [anon_sym_TILDE] = ACTIONS(126),
    [anon_sym_BANG] = ACTIONS(126),
    [anon_sym_clone] = ACTIONS(129),
    [anon_sym_print] = ACTIONS(132),
    [anon_sym_new] = ACTIONS(135),
    [anon_sym_PLUS_PLUS] = ACTIONS(138),
    [anon_sym_DASH_DASH] = ACTIONS(138),
    [sym_shell_command_expression] = ACTIONS(141),
    [anon_sym_list] = ACTIONS(144),
    [anon_sym_LBRACK] = ACTIONS(147),
    [anon_sym_self] = ACTIONS(150),
    [anon_sym_parent] = ACTIONS(150),
    [sym_string] = ACTIONS(153),
    [sym_boolean] = ACTIONS(81),
    [sym_null] = ACTIONS(81),
    [anon_sym_DOLLAR] = ACTIONS(156),
    [anon_sym_yield] = ACTIONS(159),
    [aux_sym_include_expression_token1] = ACTIONS(162),
    [aux_sym_include_once_expression_token1] = ACTIONS(165),
    [aux_sym_require_expression_token1] = ACTIONS(168),
    [aux_sym_require_once_expression_token1] = ACTIONS(171),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(153),
  },
  [3] = {
    [sym_text_interpolation] = STATE(3),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(4),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_while_statement_token2] = ACTIONS(230),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_foreach_statement_token2] = ACTIONS(230),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_if_statement_token2] = ACTIONS(230),
    [aux_sym_else_if_clause_token1] = ACTIONS(230),
    [aux_sym_else_clause_token1] = ACTIONS(230),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [4] = {
    [sym_text_interpolation] = STATE(4),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_while_statement_token2] = ACTIONS(278),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_foreach_statement_token2] = ACTIONS(278),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_if_statement_token2] = ACTIONS(278),
    [aux_sym_else_if_clause_token1] = ACTIONS(278),
    [aux_sym_else_clause_token1] = ACTIONS(278),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [5] = {
    [sym_text_interpolation] = STATE(5),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(7),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(280),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [aux_sym_switch_block_token1] = ACTIONS(282),
    [aux_sym_case_statement_token1] = ACTIONS(282),
    [aux_sym_default_statement_token1] = ACTIONS(282),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [6] = {
    [sym_text_interpolation] = STATE(6),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(284),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [aux_sym_switch_block_token1] = ACTIONS(286),
    [aux_sym_case_statement_token1] = ACTIONS(286),
    [aux_sym_default_statement_token1] = ACTIONS(286),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [7] = {
    [sym_text_interpolation] = STATE(7),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(288),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [aux_sym_switch_block_token1] = ACTIONS(290),
    [aux_sym_case_statement_token1] = ACTIONS(290),
    [aux_sym_default_statement_token1] = ACTIONS(290),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [8] = {
    [sym_text_interpolation] = STATE(8),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(6),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(292),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [aux_sym_switch_block_token1] = ACTIONS(294),
    [aux_sym_case_statement_token1] = ACTIONS(294),
    [aux_sym_default_statement_token1] = ACTIONS(294),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [9] = {
    [sym_text_interpolation] = STATE(9),
    [sym_empty_statement] = STATE(1232),
    [sym_function_static_declaration] = STATE(1232),
    [sym_global_declaration] = STATE(1232),
    [sym_namespace_definition] = STATE(1232),
    [sym_namespace_use_declaration] = STATE(1232),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1232),
    [sym_interface_declaration] = STATE(1232),
    [sym_class_declaration] = STATE(1232),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1232),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1232),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1232),
    [sym_unset_statement] = STATE(1232),
    [sym_declare_statement] = STATE(1232),
    [sym_try_statement] = STATE(1232),
    [sym_goto_statement] = STATE(1232),
    [sym_continue_statement] = STATE(1232),
    [sym_break_statement] = STATE(1232),
    [sym_return_statement] = STATE(1232),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1232),
    [sym_do_statement] = STATE(1232),
    [sym_for_statement] = STATE(1232),
    [sym_foreach_statement] = STATE(1232),
    [sym_if_statement] = STATE(1232),
    [sym_colon_block] = STATE(1596),
    [sym_switch_statement] = STATE(1232),
    [sym_compound_statement] = STATE(1232),
    [sym_named_label_statement] = STATE(1232),
    [sym_expression_statement] = STATE(1232),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(298),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(348),
    [sym_heredoc] = ACTIONS(264),
  },
  [10] = {
    [sym_text_interpolation] = STATE(10),
    [sym_empty_statement] = STATE(1254),
    [sym_function_static_declaration] = STATE(1254),
    [sym_global_declaration] = STATE(1254),
    [sym_namespace_definition] = STATE(1254),
    [sym_namespace_use_declaration] = STATE(1254),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1254),
    [sym_interface_declaration] = STATE(1254),
    [sym_class_declaration] = STATE(1254),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1254),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1254),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1254),
    [sym_unset_statement] = STATE(1254),
    [sym_declare_statement] = STATE(1254),
    [sym_try_statement] = STATE(1254),
    [sym_goto_statement] = STATE(1254),
    [sym_continue_statement] = STATE(1254),
    [sym_break_statement] = STATE(1254),
    [sym_return_statement] = STATE(1254),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1254),
    [sym_do_statement] = STATE(1254),
    [sym_for_statement] = STATE(1254),
    [sym_foreach_statement] = STATE(1254),
    [sym_if_statement] = STATE(1254),
    [sym_colon_block] = STATE(1595),
    [sym_switch_statement] = STATE(1254),
    [sym_compound_statement] = STATE(1254),
    [sym_named_label_statement] = STATE(1254),
    [sym_expression_statement] = STATE(1254),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(350),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(352),
    [sym_heredoc] = ACTIONS(264),
  },
  [11] = {
    [sym_text_interpolation] = STATE(11),
    [sym_empty_statement] = STATE(363),
    [sym_function_static_declaration] = STATE(363),
    [sym_global_declaration] = STATE(363),
    [sym_namespace_definition] = STATE(363),
    [sym_namespace_use_declaration] = STATE(363),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(363),
    [sym_interface_declaration] = STATE(363),
    [sym_class_declaration] = STATE(363),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(363),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(363),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(363),
    [sym_unset_statement] = STATE(363),
    [sym_declare_statement] = STATE(363),
    [sym_try_statement] = STATE(363),
    [sym_goto_statement] = STATE(363),
    [sym_continue_statement] = STATE(363),
    [sym_break_statement] = STATE(363),
    [sym_return_statement] = STATE(363),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(363),
    [sym_do_statement] = STATE(363),
    [sym_for_statement] = STATE(363),
    [sym_foreach_statement] = STATE(363),
    [sym_if_statement] = STATE(363),
    [sym_colon_block] = STATE(1616),
    [sym_switch_statement] = STATE(363),
    [sym_compound_statement] = STATE(363),
    [sym_named_label_statement] = STATE(363),
    [sym_expression_statement] = STATE(363),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(354),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(356),
    [sym_heredoc] = ACTIONS(264),
  },
  [12] = {
    [sym_text_interpolation] = STATE(12),
    [sym_empty_statement] = STATE(390),
    [sym_function_static_declaration] = STATE(390),
    [sym_global_declaration] = STATE(390),
    [sym_namespace_definition] = STATE(390),
    [sym_namespace_use_declaration] = STATE(390),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(390),
    [sym_interface_declaration] = STATE(390),
    [sym_class_declaration] = STATE(390),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(390),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(390),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(390),
    [sym_unset_statement] = STATE(390),
    [sym_declare_statement] = STATE(390),
    [sym_try_statement] = STATE(390),
    [sym_goto_statement] = STATE(390),
    [sym_continue_statement] = STATE(390),
    [sym_break_statement] = STATE(390),
    [sym_return_statement] = STATE(390),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(390),
    [sym_do_statement] = STATE(390),
    [sym_for_statement] = STATE(390),
    [sym_foreach_statement] = STATE(390),
    [sym_if_statement] = STATE(390),
    [sym_colon_block] = STATE(1598),
    [sym_switch_statement] = STATE(390),
    [sym_compound_statement] = STATE(390),
    [sym_named_label_statement] = STATE(390),
    [sym_expression_statement] = STATE(390),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(358),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(360),
    [sym_heredoc] = ACTIONS(264),
  },
  [13] = {
    [sym_text_interpolation] = STATE(13),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(29),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(362),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [14] = {
    [sym_text_interpolation] = STATE(14),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [aux_sym_declare_statement_token1] = ACTIONS(364),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [15] = {
    [sym_text_interpolation] = STATE(15),
    [sym_empty_statement] = STATE(326),
    [sym_function_static_declaration] = STATE(326),
    [sym_global_declaration] = STATE(326),
    [sym_namespace_definition] = STATE(326),
    [sym_namespace_use_declaration] = STATE(326),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(326),
    [sym_interface_declaration] = STATE(326),
    [sym_class_declaration] = STATE(326),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(326),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(326),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(326),
    [sym_unset_statement] = STATE(326),
    [sym_declare_statement] = STATE(326),
    [sym_try_statement] = STATE(326),
    [sym_goto_statement] = STATE(326),
    [sym_continue_statement] = STATE(326),
    [sym_break_statement] = STATE(326),
    [sym_return_statement] = STATE(326),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(326),
    [sym_do_statement] = STATE(326),
    [sym_for_statement] = STATE(326),
    [sym_foreach_statement] = STATE(326),
    [sym_if_statement] = STATE(326),
    [sym_switch_statement] = STATE(326),
    [sym_compound_statement] = STATE(326),
    [sym_named_label_statement] = STATE(326),
    [sym_expression_statement] = STATE(326),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(366),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(368),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(370),
    [sym_heredoc] = ACTIONS(264),
  },
  [16] = {
    [sym_text_interpolation] = STATE(16),
    [sym_empty_statement] = STATE(1257),
    [sym_function_static_declaration] = STATE(1257),
    [sym_global_declaration] = STATE(1257),
    [sym_namespace_definition] = STATE(1257),
    [sym_namespace_use_declaration] = STATE(1257),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1257),
    [sym_interface_declaration] = STATE(1257),
    [sym_class_declaration] = STATE(1257),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1257),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1257),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1257),
    [sym_unset_statement] = STATE(1257),
    [sym_declare_statement] = STATE(1257),
    [sym_try_statement] = STATE(1257),
    [sym_goto_statement] = STATE(1257),
    [sym_continue_statement] = STATE(1257),
    [sym_break_statement] = STATE(1257),
    [sym_return_statement] = STATE(1257),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1257),
    [sym_do_statement] = STATE(1257),
    [sym_for_statement] = STATE(1257),
    [sym_foreach_statement] = STATE(1257),
    [sym_if_statement] = STATE(1257),
    [sym_switch_statement] = STATE(1257),
    [sym_compound_statement] = STATE(1257),
    [sym_named_label_statement] = STATE(1257),
    [sym_expression_statement] = STATE(1257),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(372),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(374),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(376),
    [sym_heredoc] = ACTIONS(264),
  },
  [17] = {
    [sym_text_interpolation] = STATE(17),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(378),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [18] = {
    [sym_text_interpolation] = STATE(18),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(20),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(380),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [19] = {
    [sym_text_interpolation] = STATE(19),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(17),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(382),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [20] = {
    [sym_text_interpolation] = STATE(20),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(384),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [21] = {
    [sym_text_interpolation] = STATE(21),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(22),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(386),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [22] = {
    [sym_text_interpolation] = STATE(22),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(388),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [23] = {
    [sym_text_interpolation] = STATE(23),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(30),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(390),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [24] = {
    [sym_text_interpolation] = STATE(24),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(392),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [25] = {
    [sym_text_interpolation] = STATE(25),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(24),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(394),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [26] = {
    [sym_text_interpolation] = STATE(26),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(394),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [27] = {
    [sym_text_interpolation] = STATE(27),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [aux_sym_declare_statement_token1] = ACTIONS(396),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [28] = {
    [sym_text_interpolation] = STATE(28),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(26),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [29] = {
    [sym_text_interpolation] = STATE(29),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(398),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [30] = {
    [sym_text_interpolation] = STATE(30),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(400),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [31] = {
    [sym_text_interpolation] = STATE(31),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(362),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [32] = {
    [sym_text_interpolation] = STATE(32),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(47),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(402),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [33] = {
    [sym_text_interpolation] = STATE(33),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(31),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(404),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [34] = {
    [sym_text_interpolation] = STATE(34),
    [sym_empty_statement] = STATE(391),
    [sym_function_static_declaration] = STATE(391),
    [sym_global_declaration] = STATE(391),
    [sym_namespace_definition] = STATE(391),
    [sym_namespace_use_declaration] = STATE(391),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(391),
    [sym_interface_declaration] = STATE(391),
    [sym_class_declaration] = STATE(391),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(391),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(391),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(391),
    [sym_unset_statement] = STATE(391),
    [sym_declare_statement] = STATE(391),
    [sym_try_statement] = STATE(391),
    [sym_goto_statement] = STATE(391),
    [sym_continue_statement] = STATE(391),
    [sym_break_statement] = STATE(391),
    [sym_return_statement] = STATE(391),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(391),
    [sym_do_statement] = STATE(391),
    [sym_for_statement] = STATE(391),
    [sym_foreach_statement] = STATE(391),
    [sym_if_statement] = STATE(391),
    [sym_switch_statement] = STATE(391),
    [sym_compound_statement] = STATE(391),
    [sym_named_label_statement] = STATE(391),
    [sym_expression_statement] = STATE(391),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(406),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(408),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(410),
    [sym_heredoc] = ACTIONS(264),
  },
  [35] = {
    [sym_text_interpolation] = STATE(35),
    [sym_empty_statement] = STATE(358),
    [sym_function_static_declaration] = STATE(358),
    [sym_global_declaration] = STATE(358),
    [sym_namespace_definition] = STATE(358),
    [sym_namespace_use_declaration] = STATE(358),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(358),
    [sym_interface_declaration] = STATE(358),
    [sym_class_declaration] = STATE(358),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(358),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(358),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(358),
    [sym_unset_statement] = STATE(358),
    [sym_declare_statement] = STATE(358),
    [sym_try_statement] = STATE(358),
    [sym_goto_statement] = STATE(358),
    [sym_continue_statement] = STATE(358),
    [sym_break_statement] = STATE(358),
    [sym_return_statement] = STATE(358),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(358),
    [sym_do_statement] = STATE(358),
    [sym_for_statement] = STATE(358),
    [sym_foreach_statement] = STATE(358),
    [sym_if_statement] = STATE(358),
    [sym_switch_statement] = STATE(358),
    [sym_compound_statement] = STATE(358),
    [sym_named_label_statement] = STATE(358),
    [sym_expression_statement] = STATE(358),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(412),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(414),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(416),
    [sym_heredoc] = ACTIONS(264),
  },
  [36] = {
    [sym_text_interpolation] = STATE(36),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(27),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [aux_sym_declare_statement_token1] = ACTIONS(418),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [37] = {
    [sym_text_interpolation] = STATE(37),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(40),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(420),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [38] = {
    [sym_text_interpolation] = STATE(38),
    [sym_empty_statement] = STATE(1216),
    [sym_function_static_declaration] = STATE(1216),
    [sym_global_declaration] = STATE(1216),
    [sym_namespace_definition] = STATE(1216),
    [sym_namespace_use_declaration] = STATE(1216),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1216),
    [sym_interface_declaration] = STATE(1216),
    [sym_class_declaration] = STATE(1216),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1216),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1216),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1216),
    [sym_unset_statement] = STATE(1216),
    [sym_declare_statement] = STATE(1216),
    [sym_try_statement] = STATE(1216),
    [sym_goto_statement] = STATE(1216),
    [sym_continue_statement] = STATE(1216),
    [sym_break_statement] = STATE(1216),
    [sym_return_statement] = STATE(1216),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1216),
    [sym_do_statement] = STATE(1216),
    [sym_for_statement] = STATE(1216),
    [sym_foreach_statement] = STATE(1216),
    [sym_if_statement] = STATE(1216),
    [sym_switch_statement] = STATE(1216),
    [sym_compound_statement] = STATE(1216),
    [sym_named_label_statement] = STATE(1216),
    [sym_expression_statement] = STATE(1216),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(422),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(424),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(426),
    [sym_heredoc] = ACTIONS(264),
  },
  [39] = {
    [sym_text_interpolation] = STATE(39),
    [sym_empty_statement] = STATE(384),
    [sym_function_static_declaration] = STATE(384),
    [sym_global_declaration] = STATE(384),
    [sym_namespace_definition] = STATE(384),
    [sym_namespace_use_declaration] = STATE(384),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(384),
    [sym_interface_declaration] = STATE(384),
    [sym_class_declaration] = STATE(384),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(384),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(384),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(384),
    [sym_unset_statement] = STATE(384),
    [sym_declare_statement] = STATE(384),
    [sym_try_statement] = STATE(384),
    [sym_goto_statement] = STATE(384),
    [sym_continue_statement] = STATE(384),
    [sym_break_statement] = STATE(384),
    [sym_return_statement] = STATE(384),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(384),
    [sym_do_statement] = STATE(384),
    [sym_for_statement] = STATE(384),
    [sym_foreach_statement] = STATE(384),
    [sym_if_statement] = STATE(384),
    [sym_colon_block] = STATE(1578),
    [sym_switch_statement] = STATE(384),
    [sym_compound_statement] = STATE(384),
    [sym_named_label_statement] = STATE(384),
    [sym_expression_statement] = STATE(384),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [40] = {
    [sym_text_interpolation] = STATE(40),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [anon_sym_RBRACE] = ACTIONS(428),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [41] = {
    [sym_text_interpolation] = STATE(41),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(57),
    [ts_builtin_sym_end] = ACTIONS(430),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [42] = {
    [sym_text_interpolation] = STATE(42),
    [sym_empty_statement] = STATE(990),
    [sym_function_static_declaration] = STATE(990),
    [sym_global_declaration] = STATE(990),
    [sym_namespace_definition] = STATE(990),
    [sym_namespace_use_declaration] = STATE(990),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(990),
    [sym_interface_declaration] = STATE(990),
    [sym_class_declaration] = STATE(990),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(990),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(990),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(990),
    [sym_unset_statement] = STATE(990),
    [sym_declare_statement] = STATE(990),
    [sym_try_statement] = STATE(990),
    [sym_goto_statement] = STATE(990),
    [sym_continue_statement] = STATE(990),
    [sym_break_statement] = STATE(990),
    [sym_return_statement] = STATE(990),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(990),
    [sym_do_statement] = STATE(990),
    [sym_for_statement] = STATE(990),
    [sym_foreach_statement] = STATE(990),
    [sym_if_statement] = STATE(990),
    [sym_colon_block] = STATE(1019),
    [sym_switch_statement] = STATE(990),
    [sym_compound_statement] = STATE(990),
    [sym_named_label_statement] = STATE(990),
    [sym_expression_statement] = STATE(990),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [43] = {
    [sym_text_interpolation] = STATE(43),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(14),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [aux_sym_declare_statement_token1] = ACTIONS(434),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [44] = {
    [sym_text_interpolation] = STATE(44),
    [sym_empty_statement] = STATE(307),
    [sym_function_static_declaration] = STATE(307),
    [sym_global_declaration] = STATE(307),
    [sym_namespace_definition] = STATE(307),
    [sym_namespace_use_declaration] = STATE(307),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(307),
    [sym_interface_declaration] = STATE(307),
    [sym_class_declaration] = STATE(307),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(307),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(307),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(307),
    [sym_unset_statement] = STATE(307),
    [sym_declare_statement] = STATE(307),
    [sym_try_statement] = STATE(307),
    [sym_goto_statement] = STATE(307),
    [sym_continue_statement] = STATE(307),
    [sym_break_statement] = STATE(307),
    [sym_return_statement] = STATE(307),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(307),
    [sym_do_statement] = STATE(307),
    [sym_for_statement] = STATE(307),
    [sym_foreach_statement] = STATE(307),
    [sym_if_statement] = STATE(307),
    [sym_colon_block] = STATE(993),
    [sym_switch_statement] = STATE(307),
    [sym_compound_statement] = STATE(307),
    [sym_named_label_statement] = STATE(307),
    [sym_expression_statement] = STATE(307),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [45] = {
    [sym_text_interpolation] = STATE(45),
    [sym_empty_statement] = STATE(1360),
    [sym_function_static_declaration] = STATE(1360),
    [sym_global_declaration] = STATE(1360),
    [sym_namespace_definition] = STATE(1360),
    [sym_namespace_use_declaration] = STATE(1360),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1360),
    [sym_interface_declaration] = STATE(1360),
    [sym_class_declaration] = STATE(1360),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1360),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1360),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1360),
    [sym_unset_statement] = STATE(1360),
    [sym_declare_statement] = STATE(1360),
    [sym_try_statement] = STATE(1360),
    [sym_goto_statement] = STATE(1360),
    [sym_continue_statement] = STATE(1360),
    [sym_break_statement] = STATE(1360),
    [sym_return_statement] = STATE(1360),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1360),
    [sym_do_statement] = STATE(1360),
    [sym_for_statement] = STATE(1360),
    [sym_foreach_statement] = STATE(1360),
    [sym_if_statement] = STATE(1360),
    [sym_colon_block] = STATE(1637),
    [sym_switch_statement] = STATE(1360),
    [sym_compound_statement] = STATE(1360),
    [sym_named_label_statement] = STATE(1360),
    [sym_expression_statement] = STATE(1360),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(320),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [46] = {
    [sym_text_interpolation] = STATE(46),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(430),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [47] = {
    [sym_text_interpolation] = STATE(47),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(436),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [48] = {
    [sym_text_interpolation] = STATE(48),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(53),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(436),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [49] = {
    [sym_text_interpolation] = STATE(49),
    [sym_empty_statement] = STATE(379),
    [sym_function_static_declaration] = STATE(379),
    [sym_global_declaration] = STATE(379),
    [sym_namespace_definition] = STATE(379),
    [sym_namespace_use_declaration] = STATE(379),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(379),
    [sym_interface_declaration] = STATE(379),
    [sym_class_declaration] = STATE(379),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(379),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(379),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(379),
    [sym_unset_statement] = STATE(379),
    [sym_declare_statement] = STATE(379),
    [sym_try_statement] = STATE(379),
    [sym_goto_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_foreach_statement] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_compound_statement] = STATE(379),
    [sym_named_label_statement] = STATE(379),
    [sym_expression_statement] = STATE(379),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(438),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(440),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(442),
    [sym_heredoc] = ACTIONS(264),
  },
  [50] = {
    [sym_text_interpolation] = STATE(50),
    [sym_empty_statement] = STATE(1383),
    [sym_function_static_declaration] = STATE(1383),
    [sym_global_declaration] = STATE(1383),
    [sym_namespace_definition] = STATE(1383),
    [sym_namespace_use_declaration] = STATE(1383),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1383),
    [sym_interface_declaration] = STATE(1383),
    [sym_class_declaration] = STATE(1383),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1383),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1383),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1383),
    [sym_unset_statement] = STATE(1383),
    [sym_declare_statement] = STATE(1383),
    [sym_try_statement] = STATE(1383),
    [sym_goto_statement] = STATE(1383),
    [sym_continue_statement] = STATE(1383),
    [sym_break_statement] = STATE(1383),
    [sym_return_statement] = STATE(1383),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1383),
    [sym_do_statement] = STATE(1383),
    [sym_for_statement] = STATE(1383),
    [sym_foreach_statement] = STATE(1383),
    [sym_if_statement] = STATE(1383),
    [sym_switch_statement] = STATE(1383),
    [sym_compound_statement] = STATE(1383),
    [sym_named_label_statement] = STATE(1383),
    [sym_expression_statement] = STATE(1383),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(444),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(446),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(448),
    [sym_heredoc] = ACTIONS(264),
  },
  [51] = {
    [sym_text_interpolation] = STATE(51),
    [sym_empty_statement] = STATE(1329),
    [sym_function_static_declaration] = STATE(1329),
    [sym_global_declaration] = STATE(1329),
    [sym_namespace_definition] = STATE(1329),
    [sym_namespace_use_declaration] = STATE(1329),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1329),
    [sym_interface_declaration] = STATE(1329),
    [sym_class_declaration] = STATE(1329),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1329),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1329),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1329),
    [sym_unset_statement] = STATE(1329),
    [sym_declare_statement] = STATE(1329),
    [sym_try_statement] = STATE(1329),
    [sym_goto_statement] = STATE(1329),
    [sym_continue_statement] = STATE(1329),
    [sym_break_statement] = STATE(1329),
    [sym_return_statement] = STATE(1329),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1329),
    [sym_do_statement] = STATE(1329),
    [sym_for_statement] = STATE(1329),
    [sym_foreach_statement] = STATE(1329),
    [sym_if_statement] = STATE(1329),
    [sym_switch_statement] = STATE(1329),
    [sym_compound_statement] = STATE(1329),
    [sym_named_label_statement] = STATE(1329),
    [sym_expression_statement] = STATE(1329),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(450),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(452),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(454),
    [sym_heredoc] = ACTIONS(264),
  },
  [52] = {
    [sym_text_interpolation] = STATE(52),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(59),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(456),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [53] = {
    [sym_text_interpolation] = STATE(53),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(456),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [54] = {
    [sym_text_interpolation] = STATE(54),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(458),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [55] = {
    [sym_text_interpolation] = STATE(55),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(54),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(460),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [56] = {
    [sym_text_interpolation] = STATE(56),
    [sym_empty_statement] = STATE(354),
    [sym_function_static_declaration] = STATE(354),
    [sym_global_declaration] = STATE(354),
    [sym_namespace_definition] = STATE(354),
    [sym_namespace_use_declaration] = STATE(354),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(354),
    [sym_interface_declaration] = STATE(354),
    [sym_class_declaration] = STATE(354),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(354),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(354),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(354),
    [sym_unset_statement] = STATE(354),
    [sym_declare_statement] = STATE(354),
    [sym_try_statement] = STATE(354),
    [sym_goto_statement] = STATE(354),
    [sym_continue_statement] = STATE(354),
    [sym_break_statement] = STATE(354),
    [sym_return_statement] = STATE(354),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(354),
    [sym_do_statement] = STATE(354),
    [sym_for_statement] = STATE(354),
    [sym_foreach_statement] = STATE(354),
    [sym_if_statement] = STATE(354),
    [sym_switch_statement] = STATE(354),
    [sym_compound_statement] = STATE(354),
    [sym_named_label_statement] = STATE(354),
    [sym_expression_statement] = STATE(354),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(462),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [anon_sym_COLON] = ACTIONS(464),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(466),
    [sym_heredoc] = ACTIONS(264),
  },
  [57] = {
    [sym_text_interpolation] = STATE(57),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(468),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [58] = {
    [sym_text_interpolation] = STATE(58),
    [sym_empty_statement] = STATE(1290),
    [sym_function_static_declaration] = STATE(1290),
    [sym_global_declaration] = STATE(1290),
    [sym_namespace_definition] = STATE(1290),
    [sym_namespace_use_declaration] = STATE(1290),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1290),
    [sym_interface_declaration] = STATE(1290),
    [sym_class_declaration] = STATE(1290),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1290),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1290),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1290),
    [sym_unset_statement] = STATE(1290),
    [sym_declare_statement] = STATE(1290),
    [sym_try_statement] = STATE(1290),
    [sym_goto_statement] = STATE(1290),
    [sym_continue_statement] = STATE(1290),
    [sym_break_statement] = STATE(1290),
    [sym_return_statement] = STATE(1290),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1290),
    [sym_do_statement] = STATE(1290),
    [sym_for_statement] = STATE(1290),
    [sym_foreach_statement] = STATE(1290),
    [sym_if_statement] = STATE(1290),
    [sym_switch_statement] = STATE(1290),
    [sym_compound_statement] = STATE(1290),
    [sym_named_label_statement] = STATE(1290),
    [sym_expression_statement] = STATE(1290),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(470),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [anon_sym_COLON] = ACTIONS(472),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(474),
    [sym_heredoc] = ACTIONS(264),
  },
  [59] = {
    [sym_text_interpolation] = STATE(59),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(2),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_for_statement_token2] = ACTIONS(460),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [60] = {
    [sym_text_interpolation] = STATE(60),
    [sym_empty_statement] = STATE(401),
    [sym_function_static_declaration] = STATE(401),
    [sym_global_declaration] = STATE(401),
    [sym_namespace_definition] = STATE(401),
    [sym_namespace_use_declaration] = STATE(401),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(401),
    [sym_interface_declaration] = STATE(401),
    [sym_class_declaration] = STATE(401),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(401),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(401),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(401),
    [sym_unset_statement] = STATE(401),
    [sym_declare_statement] = STATE(401),
    [sym_try_statement] = STATE(401),
    [sym_goto_statement] = STATE(401),
    [sym_continue_statement] = STATE(401),
    [sym_break_statement] = STATE(401),
    [sym_return_statement] = STATE(401),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(401),
    [sym_do_statement] = STATE(401),
    [sym_for_statement] = STATE(401),
    [sym_foreach_statement] = STATE(401),
    [sym_if_statement] = STATE(401),
    [sym_switch_statement] = STATE(401),
    [sym_compound_statement] = STATE(401),
    [sym_named_label_statement] = STATE(401),
    [sym_expression_statement] = STATE(401),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [aux_sym_program_repeat1] = STATE(46),
    [ts_builtin_sym_end] = ACTIONS(476),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [61] = {
    [sym_text_interpolation] = STATE(61),
    [sym_empty_statement] = STATE(1565),
    [sym_function_static_declaration] = STATE(1565),
    [sym_global_declaration] = STATE(1565),
    [sym_namespace_definition] = STATE(1565),
    [sym_namespace_use_declaration] = STATE(1565),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1565),
    [sym_interface_declaration] = STATE(1565),
    [sym_class_declaration] = STATE(1565),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1565),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1565),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1565),
    [sym_unset_statement] = STATE(1565),
    [sym_declare_statement] = STATE(1565),
    [sym_try_statement] = STATE(1565),
    [sym_goto_statement] = STATE(1565),
    [sym_continue_statement] = STATE(1565),
    [sym_break_statement] = STATE(1565),
    [sym_return_statement] = STATE(1565),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1565),
    [sym_do_statement] = STATE(1565),
    [sym_for_statement] = STATE(1565),
    [sym_foreach_statement] = STATE(1565),
    [sym_if_statement] = STATE(1565),
    [sym_switch_statement] = STATE(1565),
    [sym_compound_statement] = STATE(1565),
    [sym_named_label_statement] = STATE(1565),
    [sym_expression_statement] = STATE(1565),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [62] = {
    [sym_text_interpolation] = STATE(62),
    [sym_empty_statement] = STATE(1605),
    [sym_function_static_declaration] = STATE(1605),
    [sym_global_declaration] = STATE(1605),
    [sym_namespace_definition] = STATE(1605),
    [sym_namespace_use_declaration] = STATE(1605),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1605),
    [sym_interface_declaration] = STATE(1605),
    [sym_class_declaration] = STATE(1605),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1605),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1605),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1605),
    [sym_unset_statement] = STATE(1605),
    [sym_declare_statement] = STATE(1605),
    [sym_try_statement] = STATE(1605),
    [sym_goto_statement] = STATE(1605),
    [sym_continue_statement] = STATE(1605),
    [sym_break_statement] = STATE(1605),
    [sym_return_statement] = STATE(1605),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1605),
    [sym_do_statement] = STATE(1605),
    [sym_for_statement] = STATE(1605),
    [sym_foreach_statement] = STATE(1605),
    [sym_if_statement] = STATE(1605),
    [sym_switch_statement] = STATE(1605),
    [sym_compound_statement] = STATE(1605),
    [sym_named_label_statement] = STATE(1605),
    [sym_expression_statement] = STATE(1605),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [63] = {
    [sym_text_interpolation] = STATE(63),
    [sym_empty_statement] = STATE(1322),
    [sym_function_static_declaration] = STATE(1322),
    [sym_global_declaration] = STATE(1322),
    [sym_namespace_definition] = STATE(1322),
    [sym_namespace_use_declaration] = STATE(1322),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1322),
    [sym_interface_declaration] = STATE(1322),
    [sym_class_declaration] = STATE(1322),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1322),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1322),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1322),
    [sym_unset_statement] = STATE(1322),
    [sym_declare_statement] = STATE(1322),
    [sym_try_statement] = STATE(1322),
    [sym_goto_statement] = STATE(1322),
    [sym_continue_statement] = STATE(1322),
    [sym_break_statement] = STATE(1322),
    [sym_return_statement] = STATE(1322),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1322),
    [sym_do_statement] = STATE(1322),
    [sym_for_statement] = STATE(1322),
    [sym_foreach_statement] = STATE(1322),
    [sym_if_statement] = STATE(1322),
    [sym_switch_statement] = STATE(1322),
    [sym_compound_statement] = STATE(1322),
    [sym_named_label_statement] = STATE(1322),
    [sym_expression_statement] = STATE(1322),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [64] = {
    [sym_text_interpolation] = STATE(64),
    [sym_empty_statement] = STATE(332),
    [sym_function_static_declaration] = STATE(332),
    [sym_global_declaration] = STATE(332),
    [sym_namespace_definition] = STATE(332),
    [sym_namespace_use_declaration] = STATE(332),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(332),
    [sym_interface_declaration] = STATE(332),
    [sym_class_declaration] = STATE(332),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(332),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(332),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(332),
    [sym_unset_statement] = STATE(332),
    [sym_declare_statement] = STATE(332),
    [sym_try_statement] = STATE(332),
    [sym_goto_statement] = STATE(332),
    [sym_continue_statement] = STATE(332),
    [sym_break_statement] = STATE(332),
    [sym_return_statement] = STATE(332),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(332),
    [sym_do_statement] = STATE(332),
    [sym_for_statement] = STATE(332),
    [sym_foreach_statement] = STATE(332),
    [sym_if_statement] = STATE(332),
    [sym_switch_statement] = STATE(332),
    [sym_compound_statement] = STATE(332),
    [sym_named_label_statement] = STATE(332),
    [sym_expression_statement] = STATE(332),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [65] = {
    [sym_text_interpolation] = STATE(65),
    [sym_empty_statement] = STATE(344),
    [sym_function_static_declaration] = STATE(344),
    [sym_global_declaration] = STATE(344),
    [sym_namespace_definition] = STATE(344),
    [sym_namespace_use_declaration] = STATE(344),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(344),
    [sym_interface_declaration] = STATE(344),
    [sym_class_declaration] = STATE(344),
    [sym_class_modifier] = STATE(1627),
    [sym_const_declaration] = STATE(344),
    [sym_visibility_modifier] = STATE(1626),
    [sym_function_definition] = STATE(344),
    [sym__function_definition_header] = STATE(1425),
    [sym_echo_statement] = STATE(344),
    [sym_unset_statement] = STATE(344),
    [sym_declare_statement] = STATE(344),
    [sym_try_statement] = STATE(344),
    [sym_goto_statement] = STATE(344),
    [sym_continue_statement] = STATE(344),
    [sym_break_statement] = STATE(344),
    [sym_return_statement] = STATE(344),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(344),
    [sym_do_statement] = STATE(344),
    [sym_for_statement] = STATE(344),
    [sym_foreach_statement] = STATE(344),
    [sym_if_statement] = STATE(344),
    [sym_switch_statement] = STATE(344),
    [sym_compound_statement] = STATE(344),
    [sym_named_label_statement] = STATE(344),
    [sym_expression_statement] = STATE(344),
    [sym__expression] = STATE(836),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(174),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(176),
    [aux_sym_function_static_declaration_token1] = ACTIONS(178),
    [aux_sym_global_declaration_token1] = ACTIONS(180),
    [aux_sym_namespace_definition_token1] = ACTIONS(182),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(184),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(188),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(192),
    [aux_sym_trait_declaration_token1] = ACTIONS(194),
    [aux_sym_interface_declaration_token1] = ACTIONS(196),
    [aux_sym_class_declaration_token1] = ACTIONS(198),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(208),
    [aux_sym_echo_statement_token1] = ACTIONS(210),
    [anon_sym_declare] = ACTIONS(212),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(216),
    [aux_sym_goto_statement_token1] = ACTIONS(218),
    [aux_sym_continue_statement_token1] = ACTIONS(220),
    [aux_sym_break_statement_token1] = ACTIONS(222),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(224),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(228),
    [aux_sym_do_statement_token1] = ACTIONS(232),
    [aux_sym_for_statement_token1] = ACTIONS(234),
    [aux_sym_foreach_statement_token1] = ACTIONS(236),
    [aux_sym_if_statement_token1] = ACTIONS(238),
    [aux_sym_switch_statement_token1] = ACTIONS(240),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [66] = {
    [sym_text_interpolation] = STATE(66),
    [sym_empty_statement] = STATE(1385),
    [sym_function_static_declaration] = STATE(1385),
    [sym_global_declaration] = STATE(1385),
    [sym_namespace_definition] = STATE(1385),
    [sym_namespace_use_declaration] = STATE(1385),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_trait_declaration] = STATE(1385),
    [sym_interface_declaration] = STATE(1385),
    [sym_class_declaration] = STATE(1385),
    [sym_class_modifier] = STATE(1600),
    [sym_const_declaration] = STATE(1385),
    [sym_visibility_modifier] = STATE(1601),
    [sym_function_definition] = STATE(1385),
    [sym__function_definition_header] = STATE(1462),
    [sym_echo_statement] = STATE(1385),
    [sym_unset_statement] = STATE(1385),
    [sym_declare_statement] = STATE(1385),
    [sym_try_statement] = STATE(1385),
    [sym_goto_statement] = STATE(1385),
    [sym_continue_statement] = STATE(1385),
    [sym_break_statement] = STATE(1385),
    [sym_return_statement] = STATE(1385),
    [sym_throw_expression] = STATE(748),
    [sym_while_statement] = STATE(1385),
    [sym_do_statement] = STATE(1385),
    [sym_for_statement] = STATE(1385),
    [sym_foreach_statement] = STATE(1385),
    [sym_if_statement] = STATE(1385),
    [sym_switch_statement] = STATE(1385),
    [sym_compound_statement] = STATE(1385),
    [sym_named_label_statement] = STATE(1385),
    [sym_expression_statement] = STATE(1385),
    [sym__expression] = STATE(827),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(296),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(432),
    [aux_sym_function_static_declaration_token1] = ACTIONS(300),
    [aux_sym_global_declaration_token1] = ACTIONS(302),
    [aux_sym_namespace_definition_token1] = ACTIONS(304),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(306),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(186),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(308),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LBRACE] = ACTIONS(310),
    [aux_sym_trait_declaration_token1] = ACTIONS(312),
    [aux_sym_interface_declaration_token1] = ACTIONS(314),
    [aux_sym_class_declaration_token1] = ACTIONS(316),
    [aux_sym_class_modifier_token1] = ACTIONS(200),
    [aux_sym_class_modifier_token2] = ACTIONS(200),
    [aux_sym_visibility_modifier_token1] = ACTIONS(202),
    [aux_sym_visibility_modifier_token2] = ACTIONS(202),
    [aux_sym_visibility_modifier_token3] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [anon_sym_unset] = ACTIONS(318),
    [aux_sym_echo_statement_token1] = ACTIONS(322),
    [anon_sym_declare] = ACTIONS(324),
    [sym_float] = ACTIONS(214),
    [aux_sym_try_statement_token1] = ACTIONS(326),
    [aux_sym_goto_statement_token1] = ACTIONS(328),
    [aux_sym_continue_statement_token1] = ACTIONS(330),
    [aux_sym_break_statement_token1] = ACTIONS(332),
    [sym_integer] = ACTIONS(214),
    [aux_sym_return_statement_token1] = ACTIONS(334),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [aux_sym_while_statement_token1] = ACTIONS(336),
    [aux_sym_do_statement_token1] = ACTIONS(338),
    [aux_sym_for_statement_token1] = ACTIONS(340),
    [aux_sym_foreach_statement_token1] = ACTIONS(342),
    [aux_sym_if_statement_token1] = ACTIONS(344),
    [aux_sym_switch_statement_token1] = ACTIONS(346),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [67] = {
    [sym_text_interpolation] = STATE(67),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(657),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(612),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [aux_sym_namespace_aliasing_clause_token1] = ACTIONS(488),
    [anon_sym_RBRACE] = ACTIONS(480),
    [anon_sym_AMP] = ACTIONS(490),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(488),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_array] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(480),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_EQ_GT] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(502),
    [anon_sym_STAR_STAR] = ACTIONS(480),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [anon_sym_from] = ACTIONS(526),
    [aux_sym_binary_expression_token1] = ACTIONS(488),
    [anon_sym_QMARK_QMARK] = ACTIONS(480),
    [aux_sym_binary_expression_token2] = ACTIONS(488),
    [aux_sym_binary_expression_token3] = ACTIONS(488),
    [aux_sym_binary_expression_token4] = ACTIONS(488),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_LT_EQ_GT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(480),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [68] = {
    [sym_text_interpolation] = STATE(68),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(716),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_array_element_initializer] = STATE(707),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [anon_sym_COMMA] = ACTIONS(480),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_QMARK] = ACTIONS(488),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_EQ_GT] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(244),
    [anon_sym_STAR_STAR] = ACTIONS(480),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [anon_sym_from] = ACTIONS(544),
    [aux_sym_binary_expression_token1] = ACTIONS(488),
    [anon_sym_QMARK_QMARK] = ACTIONS(480),
    [aux_sym_binary_expression_token2] = ACTIONS(488),
    [aux_sym_binary_expression_token3] = ACTIONS(488),
    [aux_sym_binary_expression_token4] = ACTIONS(488),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_LT_EQ_GT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(480),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(480),
    [sym_heredoc] = ACTIONS(264),
  },
  [69] = {
    [sym_text_interpolation] = STATE(69),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(612),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(480),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(480),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_QMARK] = ACTIONS(488),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_EQ_GT] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_STAR_STAR] = ACTIONS(480),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(480),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [anon_sym_from] = ACTIONS(566),
    [aux_sym_binary_expression_token1] = ACTIONS(488),
    [anon_sym_QMARK_QMARK] = ACTIONS(480),
    [aux_sym_binary_expression_token2] = ACTIONS(488),
    [aux_sym_binary_expression_token3] = ACTIONS(488),
    [aux_sym_binary_expression_token4] = ACTIONS(488),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_LT_EQ_GT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(480),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [70] = {
    [sym_text_interpolation] = STATE(70),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(612),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(480),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(576),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(480),
    [anon_sym_QMARK] = ACTIONS(488),
    [anon_sym_PIPE] = ACTIONS(488),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_EQ_GT] = ACTIONS(480),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_STAR_STAR] = ACTIONS(480),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [anon_sym_from] = ACTIONS(596),
    [aux_sym_binary_expression_token1] = ACTIONS(488),
    [anon_sym_QMARK_QMARK] = ACTIONS(480),
    [aux_sym_binary_expression_token2] = ACTIONS(488),
    [aux_sym_binary_expression_token3] = ACTIONS(488),
    [aux_sym_binary_expression_token4] = ACTIONS(488),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(488),
    [anon_sym_BANG_EQ] = ACTIONS(488),
    [anon_sym_LT_GT] = ACTIONS(480),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(480),
    [anon_sym_LT] = ACTIONS(488),
    [anon_sym_GT] = ACTIONS(488),
    [anon_sym_LT_EQ] = ACTIONS(488),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_LT_EQ_GT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(480),
    [anon_sym_DOT] = ACTIONS(488),
    [anon_sym_STAR] = ACTIONS(488),
    [anon_sym_SLASH] = ACTIONS(488),
    [anon_sym_PERCENT] = ACTIONS(480),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [71] = {
    [sym_text_interpolation] = STATE(71),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1566),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [72] = {
    [sym_text_interpolation] = STATE(72),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1634),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [73] = {
    [sym_text_interpolation] = STATE(73),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1573),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [74] = {
    [sym_text_interpolation] = STATE(74),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1583),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [75] = {
    [sym_text_interpolation] = STATE(75),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1580),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(871),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [76] = {
    [sym_text_interpolation] = STATE(76),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1590),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [77] = {
    [sym_text_interpolation] = STATE(77),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1576),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(871),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [78] = {
    [sym_text_interpolation] = STATE(78),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1632),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [79] = {
    [sym_text_interpolation] = STATE(79),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1580),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [80] = {
    [sym_text_interpolation] = STATE(80),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1594),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [81] = {
    [sym_text_interpolation] = STATE(81),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_cast_type] = STATE(1568),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(606),
    [anon_sym_bool] = ACTIONS(608),
    [anon_sym_float] = ACTIONS(608),
    [anon_sym_int] = ACTIONS(608),
    [anon_sym_string] = ACTIONS(608),
    [anon_sym_binary] = ACTIONS(608),
    [anon_sym_boolean] = ACTIONS(608),
    [anon_sym_double] = ACTIONS(608),
    [anon_sym_integer] = ACTIONS(608),
    [anon_sym_object] = ACTIONS(608),
    [anon_sym_real] = ACTIONS(608),
    [anon_sym_unset] = ACTIONS(608),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [82] = {
    [sym_text_interpolation] = STATE(82),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1212),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(610),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(614),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [83] = {
    [sym_text_interpolation] = STATE(83),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1279),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(616),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(620),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [84] = {
    [sym_text_interpolation] = STATE(84),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(815),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(465),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(465),
    [sym_scoped_property_access_expression] = STATE(465),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1196),
    [sym_function_call_expression] = STATE(443),
    [sym_scoped_call_expression] = STATE(443),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(443),
    [sym_variable_name] = STATE(443),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1219),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(622),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(624),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [85] = {
    [sym_text_interpolation] = STATE(85),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(815),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(465),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(465),
    [sym_scoped_property_access_expression] = STATE(465),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1196),
    [sym_function_call_expression] = STATE(443),
    [sym_scoped_call_expression] = STATE(443),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(443),
    [sym_variable_name] = STATE(443),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1219),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(622),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(626),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [86] = {
    [sym_text_interpolation] = STATE(86),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1219),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(622),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(628),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [87] = {
    [sym_text_interpolation] = STATE(87),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(815),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(465),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(465),
    [sym_scoped_property_access_expression] = STATE(465),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1196),
    [sym_function_call_expression] = STATE(443),
    [sym_scoped_call_expression] = STATE(443),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(443),
    [sym_variable_name] = STATE(443),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1219),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(622),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(630),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [88] = {
    [sym_text_interpolation] = STATE(88),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(815),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(465),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(465),
    [sym_scoped_property_access_expression] = STATE(465),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1196),
    [sym_function_call_expression] = STATE(443),
    [sym_scoped_call_expression] = STATE(443),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(443),
    [sym_variable_name] = STATE(443),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1212),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(610),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(632),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [89] = {
    [sym_text_interpolation] = STATE(89),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1230),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(634),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(636),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [90] = {
    [sym_text_interpolation] = STATE(90),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(815),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(465),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(465),
    [sym_scoped_property_access_expression] = STATE(465),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1196),
    [sym_function_call_expression] = STATE(443),
    [sym_scoped_call_expression] = STATE(443),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(443),
    [sym_subscript_expression] = STATE(443),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(443),
    [sym_variable_name] = STATE(443),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1219),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(622),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [91] = {
    [sym_text_interpolation] = STATE(91),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(640),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [92] = {
    [sym_text_interpolation] = STATE(92),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1617),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(835),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(642),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [93] = {
    [sym_text_interpolation] = STATE(93),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(644),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [94] = {
    [sym_text_interpolation] = STATE(94),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1613),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(838),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(646),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [95] = {
    [sym_text_interpolation] = STATE(95),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1658),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(838),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(648),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [96] = {
    [sym_text_interpolation] = STATE(96),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(816),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_variadic_unpacking] = STATE(1298),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(652),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [97] = {
    [sym_text_interpolation] = STATE(97),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(654),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [98] = {
    [sym_text_interpolation] = STATE(98),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1609),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(835),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(656),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [99] = {
    [sym_text_interpolation] = STATE(99),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(658),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [100] = {
    [sym_text_interpolation] = STATE(100),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(658),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [101] = {
    [sym_text_interpolation] = STATE(101),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(660),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [102] = {
    [sym_text_interpolation] = STATE(102),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1559),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(835),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(662),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [103] = {
    [sym_text_interpolation] = STATE(103),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(814),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_variadic_unpacking] = STATE(1362),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(664),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(652),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [104] = {
    [sym_text_interpolation] = STATE(104),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1597),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(835),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(666),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [105] = {
    [sym_text_interpolation] = STATE(105),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1603),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(835),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(668),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [106] = {
    [sym_text_interpolation] = STATE(106),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(640),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [107] = {
    [sym_text_interpolation] = STATE(107),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(670),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [108] = {
    [sym_text_interpolation] = STATE(108),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1579),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(838),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(672),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [109] = {
    [sym_text_interpolation] = STATE(109),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1562),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(838),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(674),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [110] = {
    [sym_text_interpolation] = STATE(110),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(820),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_variadic_unpacking] = STATE(1240),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(676),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(652),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [111] = {
    [sym_text_interpolation] = STATE(111),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(812),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_variadic_unpacking] = STATE(1336),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(678),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(652),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [112] = {
    [sym_text_interpolation] = STATE(112),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1630),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(835),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_RPAREN] = ACTIONS(680),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [113] = {
    [sym_text_interpolation] = STATE(113),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1618),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(838),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(682),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [114] = {
    [sym_text_interpolation] = STATE(114),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(851),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(464),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(464),
    [sym_scoped_property_access_expression] = STATE(464),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1153),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(439),
    [sym_scoped_call_expression] = STATE(439),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(439),
    [sym_subscript_expression] = STATE(439),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(439),
    [sym_variable_name] = STATE(439),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [aux_sym__list_destructing_repeat1] = STATE(1289),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(684),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_RPAREN] = ACTIONS(688),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [115] = {
    [sym_text_interpolation] = STATE(115),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expressions] = STATE(1656),
    [sym_sequence_expression] = STATE(1493),
    [sym__expression] = STATE(838),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(690),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [116] = {
    [sym_text_interpolation] = STATE(116),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expressions] = STATE(1504),
    [sym_sequence_expression] = STATE(1505),
    [sym__expression] = STATE(819),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [117] = {
    [sym_text_interpolation] = STATE(117),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(830),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_variadic_unpacking] = STATE(1447),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(652),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [118] = {
    [sym_text_interpolation] = STATE(118),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(872),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(471),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(471),
    [sym_scoped_property_access_expression] = STATE(471),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1359),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(459),
    [sym_scoped_call_expression] = STATE(459),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(459),
    [sym_subscript_expression] = STATE(459),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(459),
    [sym_variable_name] = STATE(459),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [anon_sym_COMMA] = ACTIONS(692),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_RPAREN] = ACTIONS(692),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [119] = {
    [sym_text_interpolation] = STATE(119),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(837),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(694),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(694),
    [sym_heredoc] = ACTIONS(264),
  },
  [120] = {
    [sym_text_interpolation] = STATE(120),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym_foreach_pair] = STATE(1614),
    [sym__expression] = STATE(821),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1441),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(696),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [121] = {
    [sym_text_interpolation] = STATE(121),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(823),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(698),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(698),
    [sym_heredoc] = ACTIONS(264),
  },
  [122] = {
    [sym_text_interpolation] = STATE(122),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(834),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(700),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(700),
    [sym_heredoc] = ACTIONS(264),
  },
  [123] = {
    [sym_text_interpolation] = STATE(123),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(822),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(702),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(702),
    [sym_heredoc] = ACTIONS(264),
  },
  [124] = {
    [sym_text_interpolation] = STATE(124),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(787),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(618),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [125] = {
    [sym_text_interpolation] = STATE(125),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(826),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(704),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(704),
    [sym_heredoc] = ACTIONS(264),
  },
  [126] = {
    [sym_text_interpolation] = STATE(126),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(841),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(706),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(706),
    [sym_heredoc] = ACTIONS(264),
  },
  [127] = {
    [sym_text_interpolation] = STATE(127),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expressions] = STATE(1515),
    [sym_sequence_expression] = STATE(1505),
    [sym__expression] = STATE(819),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [128] = {
    [sym_text_interpolation] = STATE(128),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(740),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_array_element_initializer] = STATE(1335),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [129] = {
    [sym_text_interpolation] = STATE(129),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym_foreach_pair] = STATE(1563),
    [sym__expression] = STATE(840),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1537),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [130] = {
    [sym_text_interpolation] = STATE(130),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(850),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(710),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [131] = {
    [sym_text_interpolation] = STATE(131),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym_sequence_expression] = STATE(1514),
    [sym__expression] = STATE(839),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [132] = {
    [sym_text_interpolation] = STATE(132),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(849),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(712),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [133] = {
    [sym_text_interpolation] = STATE(133),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(689),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(470),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(470),
    [sym_scoped_property_access_expression] = STATE(470),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1120),
    [sym_function_call_expression] = STATE(447),
    [sym_scoped_call_expression] = STATE(447),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(447),
    [sym_subscript_expression] = STATE(447),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(447),
    [sym_variable_name] = STATE(447),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [134] = {
    [sym_text_interpolation] = STATE(134),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym_sequence_expression] = STATE(1514),
    [sym__expression] = STATE(829),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [135] = {
    [sym_text_interpolation] = STATE(135),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym_sequence_expression] = STATE(1407),
    [sym__expression] = STATE(818),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [136] = {
    [sym_text_interpolation] = STATE(136),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(861),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(716),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [137] = {
    [sym_text_interpolation] = STATE(137),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(880),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(718),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [138] = {
    [sym_text_interpolation] = STATE(138),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(745),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [139] = {
    [sym_text_interpolation] = STATE(139),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(875),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(722),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [140] = {
    [sym_text_interpolation] = STATE(140),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(664),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [141] = {
    [sym_text_interpolation] = STATE(141),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(725),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(726),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [142] = {
    [sym_text_interpolation] = STATE(142),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(708),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [143] = {
    [sym_text_interpolation] = STATE(143),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(663),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(730),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [144] = {
    [sym_text_interpolation] = STATE(144),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(853),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(732),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [145] = {
    [sym_text_interpolation] = STATE(145),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(790),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(734),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [146] = {
    [sym_text_interpolation] = STATE(146),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(767),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(736),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [147] = {
    [sym_text_interpolation] = STATE(147),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(689),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(714),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [148] = {
    [sym_text_interpolation] = STATE(148),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(852),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [anon_sym_COLON] = ACTIONS(738),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [149] = {
    [sym_text_interpolation] = STATE(149),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(869),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1436),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_AMP] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [150] = {
    [sym_text_interpolation] = STATE(150),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(848),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_RBRACK] = ACTIONS(742),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [151] = {
    [sym_text_interpolation] = STATE(151),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(717),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [152] = {
    [sym_text_interpolation] = STATE(152),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(776),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [153] = {
    [sym_text_interpolation] = STATE(153),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(721),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [154] = {
    [sym_text_interpolation] = STATE(154),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(832),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [155] = {
    [sym_text_interpolation] = STATE(155),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(855),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [156] = {
    [sym_text_interpolation] = STATE(156),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(867),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [157] = {
    [sym_text_interpolation] = STATE(157),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(831),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [158] = {
    [sym_text_interpolation] = STATE(158),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(871),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [159] = {
    [sym_text_interpolation] = STATE(159),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(860),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [160] = {
    [sym_text_interpolation] = STATE(160),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(718),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [161] = {
    [sym_text_interpolation] = STATE(161),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(723),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [162] = {
    [sym_text_interpolation] = STATE(162),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(797),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [163] = {
    [sym_text_interpolation] = STATE(163),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(666),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [164] = {
    [sym_text_interpolation] = STATE(164),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(796),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [165] = {
    [sym_text_interpolation] = STATE(165),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(715),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [166] = {
    [sym_text_interpolation] = STATE(166),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(671),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [167] = {
    [sym_text_interpolation] = STATE(167),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(794),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [168] = {
    [sym_text_interpolation] = STATE(168),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(843),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [169] = {
    [sym_text_interpolation] = STATE(169),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(842),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [170] = {
    [sym_text_interpolation] = STATE(170),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(817),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [171] = {
    [sym_text_interpolation] = STATE(171),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(668),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [172] = {
    [sym_text_interpolation] = STATE(172),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(670),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [173] = {
    [sym_text_interpolation] = STATE(173),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(693),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [174] = {
    [sym_text_interpolation] = STATE(174),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(870),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [175] = {
    [sym_text_interpolation] = STATE(175),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(854),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [176] = {
    [sym_text_interpolation] = STATE(176),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(874),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [177] = {
    [sym_text_interpolation] = STATE(177),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(728),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [178] = {
    [sym_text_interpolation] = STATE(178),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(873),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [179] = {
    [sym_text_interpolation] = STATE(179),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(825),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [180] = {
    [sym_text_interpolation] = STATE(180),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(868),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [181] = {
    [sym_text_interpolation] = STATE(181),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(865),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [182] = {
    [sym_text_interpolation] = STATE(182),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(863),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [183] = {
    [sym_text_interpolation] = STATE(183),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(856),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [184] = {
    [sym_text_interpolation] = STATE(184),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(846),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [185] = {
    [sym_text_interpolation] = STATE(185),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(847),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [186] = {
    [sym_text_interpolation] = STATE(186),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(791),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [187] = {
    [sym_text_interpolation] = STATE(187),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(866),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [188] = {
    [sym_text_interpolation] = STATE(188),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(733),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [189] = {
    [sym_text_interpolation] = STATE(189),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(672),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [190] = {
    [sym_text_interpolation] = STATE(190),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(844),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [191] = {
    [sym_text_interpolation] = STATE(191),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(674),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [192] = {
    [sym_text_interpolation] = STATE(192),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(675),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [193] = {
    [sym_text_interpolation] = STATE(193),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(676),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [194] = {
    [sym_text_interpolation] = STATE(194),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(678),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [195] = {
    [sym_text_interpolation] = STATE(195),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(679),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [196] = {
    [sym_text_interpolation] = STATE(196),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(680),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [197] = {
    [sym_text_interpolation] = STATE(197),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(683),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [198] = {
    [sym_text_interpolation] = STATE(198),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(685),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [199] = {
    [sym_text_interpolation] = STATE(199),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(686),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [200] = {
    [sym_text_interpolation] = STATE(200),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(691),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [201] = {
    [sym_text_interpolation] = STATE(201),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(697),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [202] = {
    [sym_text_interpolation] = STATE(202),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(698),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [203] = {
    [sym_text_interpolation] = STATE(203),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(702),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [204] = {
    [sym_text_interpolation] = STATE(204),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(727),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [205] = {
    [sym_text_interpolation] = STATE(205),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(730),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [206] = {
    [sym_text_interpolation] = STATE(206),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(655),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [207] = {
    [sym_text_interpolation] = STATE(207),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(661),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [208] = {
    [sym_text_interpolation] = STATE(208),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(710),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [209] = {
    [sym_text_interpolation] = STATE(209),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(662),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [210] = {
    [sym_text_interpolation] = STATE(210),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(862),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [211] = {
    [sym_text_interpolation] = STATE(211),
    [sym_catch_clause] = STATE(309),
    [sym_finally_clause] = STATE(309),
    [aux_sym_try_statement_repeat1] = STATE(211),
    [ts_builtin_sym_end] = ACTIONS(744),
    [sym_name] = ACTIONS(746),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(744),
    [aux_sym_function_static_declaration_token1] = ACTIONS(746),
    [aux_sym_global_declaration_token1] = ACTIONS(746),
    [aux_sym_namespace_definition_token1] = ACTIONS(746),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(746),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(746),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(746),
    [anon_sym_BSLASH] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [aux_sym_trait_declaration_token1] = ACTIONS(746),
    [aux_sym_interface_declaration_token1] = ACTIONS(746),
    [aux_sym_class_declaration_token1] = ACTIONS(746),
    [aux_sym_class_modifier_token1] = ACTIONS(746),
    [aux_sym_class_modifier_token2] = ACTIONS(746),
    [aux_sym_visibility_modifier_token1] = ACTIONS(746),
    [aux_sym_visibility_modifier_token2] = ACTIONS(746),
    [aux_sym_visibility_modifier_token3] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_array] = ACTIONS(746),
    [anon_sym_unset] = ACTIONS(746),
    [aux_sym_echo_statement_token1] = ACTIONS(746),
    [anon_sym_declare] = ACTIONS(746),
    [aux_sym_declare_statement_token1] = ACTIONS(746),
    [sym_float] = ACTIONS(746),
    [aux_sym_try_statement_token1] = ACTIONS(746),
    [aux_sym_catch_clause_token1] = ACTIONS(748),
    [aux_sym_finally_clause_token1] = ACTIONS(751),
    [aux_sym_goto_statement_token1] = ACTIONS(746),
    [aux_sym_continue_statement_token1] = ACTIONS(746),
    [aux_sym_break_statement_token1] = ACTIONS(746),
    [sym_integer] = ACTIONS(746),
    [aux_sym_return_statement_token1] = ACTIONS(746),
    [aux_sym_throw_expression_token1] = ACTIONS(746),
    [aux_sym_while_statement_token1] = ACTIONS(746),
    [aux_sym_while_statement_token2] = ACTIONS(746),
    [aux_sym_do_statement_token1] = ACTIONS(746),
    [aux_sym_for_statement_token1] = ACTIONS(746),
    [aux_sym_for_statement_token2] = ACTIONS(746),
    [aux_sym_foreach_statement_token1] = ACTIONS(746),
    [aux_sym_foreach_statement_token2] = ACTIONS(746),
    [aux_sym_if_statement_token1] = ACTIONS(746),
    [aux_sym_if_statement_token2] = ACTIONS(746),
    [aux_sym_else_if_clause_token1] = ACTIONS(746),
    [aux_sym_else_clause_token1] = ACTIONS(746),
    [aux_sym_switch_statement_token1] = ACTIONS(746),
    [aux_sym_switch_block_token1] = ACTIONS(746),
    [aux_sym_case_statement_token1] = ACTIONS(746),
    [aux_sym_default_statement_token1] = ACTIONS(746),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(744),
    [anon_sym_clone] = ACTIONS(746),
    [anon_sym_print] = ACTIONS(746),
    [anon_sym_new] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(744),
    [anon_sym_DASH_DASH] = ACTIONS(744),
    [sym_shell_command_expression] = ACTIONS(744),
    [anon_sym_list] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(744),
    [anon_sym_self] = ACTIONS(746),
    [anon_sym_parent] = ACTIONS(746),
    [sym_string] = ACTIONS(744),
    [sym_boolean] = ACTIONS(746),
    [sym_null] = ACTIONS(746),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_yield] = ACTIONS(746),
    [aux_sym_include_expression_token1] = ACTIONS(746),
    [aux_sym_include_once_expression_token1] = ACTIONS(746),
    [aux_sym_require_expression_token1] = ACTIONS(746),
    [aux_sym_require_once_expression_token1] = ACTIONS(746),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(744),
  },
  [212] = {
    [sym_text_interpolation] = STATE(212),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(603),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [213] = {
    [sym_text_interpolation] = STATE(213),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(656),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [214] = {
    [sym_text_interpolation] = STATE(214),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(652),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [215] = {
    [sym_text_interpolation] = STATE(215),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(623),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [216] = {
    [sym_text_interpolation] = STATE(216),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(786),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [217] = {
    [sym_text_interpolation] = STATE(217),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(667),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [218] = {
    [sym_text_interpolation] = STATE(218),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(784),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [219] = {
    [sym_text_interpolation] = STATE(219),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(782),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [220] = {
    [sym_text_interpolation] = STATE(220),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(811),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [221] = {
    [sym_text_interpolation] = STATE(221),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(690),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [222] = {
    [sym_text_interpolation] = STATE(222),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(781),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [223] = {
    [sym_text_interpolation] = STATE(223),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(779),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [224] = {
    [sym_text_interpolation] = STATE(224),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(777),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [225] = {
    [sym_text_interpolation] = STATE(225),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(731),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [226] = {
    [sym_text_interpolation] = STATE(226),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(765),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [227] = {
    [sym_text_interpolation] = STATE(227),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(687),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [228] = {
    [sym_text_interpolation] = STATE(228),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(762),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [229] = {
    [sym_text_interpolation] = STATE(229),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(761),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [230] = {
    [sym_text_interpolation] = STATE(230),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(763),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [231] = {
    [sym_text_interpolation] = STATE(231),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(764),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [232] = {
    [sym_text_interpolation] = STATE(232),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(878),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [233] = {
    [sym_text_interpolation] = STATE(233),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(642),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [234] = {
    [sym_text_interpolation] = STATE(234),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(778),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [235] = {
    [sym_text_interpolation] = STATE(235),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(792),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [236] = {
    [sym_text_interpolation] = STATE(236),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(783),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [237] = {
    [sym_text_interpolation] = STATE(237),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(780),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [238] = {
    [sym_text_interpolation] = STATE(238),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(877),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [239] = {
    [sym_text_interpolation] = STATE(239),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(775),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [240] = {
    [sym_text_interpolation] = STATE(240),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(774),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [241] = {
    [sym_text_interpolation] = STATE(241),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(688),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [242] = {
    [sym_text_interpolation] = STATE(242),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(651),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [243] = {
    [sym_text_interpolation] = STATE(243),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(773),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [244] = {
    [sym_text_interpolation] = STATE(244),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(881),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [245] = {
    [sym_text_interpolation] = STATE(245),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(603),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [246] = {
    [sym_text_interpolation] = STATE(246),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(771),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [247] = {
    [sym_text_interpolation] = STATE(247),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(770),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [248] = {
    [sym_text_interpolation] = STATE(248),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(732),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [249] = {
    [sym_text_interpolation] = STATE(249),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(768),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [250] = {
    [sym_text_interpolation] = STATE(250),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(845),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [251] = {
    [sym_text_interpolation] = STATE(251),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(859),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [252] = {
    [sym_text_interpolation] = STATE(252),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(882),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [253] = {
    [sym_text_interpolation] = STATE(253),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(876),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [254] = {
    [sym_text_interpolation] = STATE(254),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(766),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [255] = {
    [sym_text_interpolation] = STATE(255),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(864),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [256] = {
    [sym_text_interpolation] = STATE(256),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(632),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [257] = {
    [sym_text_interpolation] = STATE(257),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(813),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [258] = {
    [sym_text_interpolation] = STATE(258),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(643),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [259] = {
    [sym_text_interpolation] = STATE(259),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(659),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [260] = {
    [sym_text_interpolation] = STATE(260),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(760),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [261] = {
    [sym_text_interpolation] = STATE(261),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(753),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [262] = {
    [sym_text_interpolation] = STATE(262),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(735),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [263] = {
    [sym_text_interpolation] = STATE(263),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(729),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [264] = {
    [sym_text_interpolation] = STATE(264),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(709),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [265] = {
    [sym_text_interpolation] = STATE(265),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(636),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [266] = {
    [sym_text_interpolation] = STATE(266),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(857),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [267] = {
    [sym_text_interpolation] = STATE(267),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(828),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [268] = {
    [sym_text_interpolation] = STATE(268),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(751),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [269] = {
    [sym_text_interpolation] = STATE(269),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(833),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(769),
    [sym__primary_expression] = STATE(769),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(468),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(468),
    [sym_scoped_property_access_expression] = STATE(468),
    [sym_list_literal] = STATE(1582),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(452),
    [sym_scoped_call_expression] = STATE(452),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(452),
    [sym_subscript_expression] = STATE(452),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(452),
    [sym_variable_name] = STATE(452),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(584),
    [anon_sym_DASH] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_clone] = ACTIONS(588),
    [anon_sym_print] = ACTIONS(590),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(592),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(594),
    [aux_sym_include_expression_token1] = ACTIONS(598),
    [aux_sym_include_once_expression_token1] = ACTIONS(600),
    [aux_sym_require_expression_token1] = ACTIONS(602),
    [aux_sym_require_once_expression_token1] = ACTIONS(604),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [270] = {
    [sym_text_interpolation] = STATE(270),
    [sym_qualified_name] = STATE(554),
    [sym_namespace_name_as_prefix] = STATE(1074),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(748),
    [sym__expression] = STATE(724),
    [sym__unary_expression] = STATE(695),
    [sym_unary_op_expression] = STATE(700),
    [sym_exponentiation_expression] = STATE(700),
    [sym_clone_expression] = STATE(713),
    [sym__primary_expression] = STATE(713),
    [sym_parenthesized_expression] = STATE(558),
    [sym_class_constant_access_expression] = STATE(626),
    [sym_print_intrinsic] = STATE(748),
    [sym_anonymous_function_creation_expression] = STATE(748),
    [sym_object_creation_expression] = STATE(748),
    [sym_update_expression] = STATE(748),
    [sym_cast_expression] = STATE(700),
    [sym_cast_variable] = STATE(463),
    [sym_assignment_expression] = STATE(741),
    [sym_conditional_expression] = STATE(741),
    [sym_augmented_assignment_expression] = STATE(741),
    [sym_member_access_expression] = STATE(463),
    [sym_scoped_property_access_expression] = STATE(463),
    [sym_list_literal] = STATE(1624),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(441),
    [sym_scoped_call_expression] = STATE(441),
    [sym__scope_resolution_qualifier] = STATE(1622),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(441),
    [sym_subscript_expression] = STATE(441),
    [sym__dereferencable_expression] = STATE(1127),
    [sym_array_creation_expression] = STATE(558),
    [sym__string] = STATE(558),
    [sym_dynamic_variable_name] = STATE(441),
    [sym_variable_name] = STATE(441),
    [sym_yield_expression] = STATE(741),
    [sym_binary_expression] = STATE(741),
    [sym_include_expression] = STATE(741),
    [sym_include_once_expression] = STATE(741),
    [sym_require_expression] = STATE(741),
    [sym_require_once_expression] = STATE(741),
    [sym__reserved_identifier] = STATE(555),
    [sym_name] = ACTIONS(536),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(538),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(540),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(204),
    [anon_sym_array] = ACTIONS(206),
    [sym_float] = ACTIONS(214),
    [sym_integer] = ACTIONS(214),
    [aux_sym_throw_expression_token1] = ACTIONS(226),
    [anon_sym_AT] = ACTIONS(242),
    [anon_sym_PLUS] = ACTIONS(244),
    [anon_sym_DASH] = ACTIONS(244),
    [anon_sym_TILDE] = ACTIONS(246),
    [anon_sym_BANG] = ACTIONS(246),
    [anon_sym_clone] = ACTIONS(248),
    [anon_sym_print] = ACTIONS(250),
    [anon_sym_new] = ACTIONS(252),
    [anon_sym_PLUS_PLUS] = ACTIONS(254),
    [anon_sym_DASH_DASH] = ACTIONS(254),
    [sym_shell_command_expression] = ACTIONS(256),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(260),
    [anon_sym_self] = ACTIONS(262),
    [anon_sym_parent] = ACTIONS(262),
    [sym_string] = ACTIONS(264),
    [sym_boolean] = ACTIONS(214),
    [sym_null] = ACTIONS(214),
    [anon_sym_DOLLAR] = ACTIONS(266),
    [anon_sym_yield] = ACTIONS(268),
    [aux_sym_include_expression_token1] = ACTIONS(270),
    [aux_sym_include_once_expression_token1] = ACTIONS(272),
    [aux_sym_require_expression_token1] = ACTIONS(274),
    [aux_sym_require_once_expression_token1] = ACTIONS(276),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(264),
  },
  [271] = {
    [sym_text_interpolation] = STATE(271),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(734),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [272] = {
    [sym_text_interpolation] = STATE(272),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(653),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [273] = {
    [sym_text_interpolation] = STATE(273),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(645),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [274] = {
    [sym_text_interpolation] = STATE(274),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(644),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [275] = {
    [sym_text_interpolation] = STATE(275),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(641),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [276] = {
    [sym_text_interpolation] = STATE(276),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(639),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [277] = {
    [sym_text_interpolation] = STATE(277),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(758),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [278] = {
    [sym_text_interpolation] = STATE(278),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(648),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [279] = {
    [sym_text_interpolation] = STATE(279),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(635),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [280] = {
    [sym_text_interpolation] = STATE(280),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(646),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [281] = {
    [sym_text_interpolation] = STATE(281),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(692),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [282] = {
    [sym_text_interpolation] = STATE(282),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(677),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [283] = {
    [sym_text_interpolation] = STATE(283),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(603),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [284] = {
    [sym_text_interpolation] = STATE(284),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(703),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [285] = {
    [sym_text_interpolation] = STATE(285),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(737),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [286] = {
    [sym_text_interpolation] = STATE(286),
    [sym_catch_clause] = STATE(309),
    [sym_finally_clause] = STATE(309),
    [aux_sym_try_statement_repeat1] = STATE(211),
    [ts_builtin_sym_end] = ACTIONS(754),
    [sym_name] = ACTIONS(756),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(754),
    [aux_sym_function_static_declaration_token1] = ACTIONS(756),
    [aux_sym_global_declaration_token1] = ACTIONS(756),
    [aux_sym_namespace_definition_token1] = ACTIONS(756),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(756),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(756),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(756),
    [anon_sym_BSLASH] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(754),
    [aux_sym_trait_declaration_token1] = ACTIONS(756),
    [aux_sym_interface_declaration_token1] = ACTIONS(756),
    [aux_sym_class_declaration_token1] = ACTIONS(756),
    [aux_sym_class_modifier_token1] = ACTIONS(756),
    [aux_sym_class_modifier_token2] = ACTIONS(756),
    [aux_sym_visibility_modifier_token1] = ACTIONS(756),
    [aux_sym_visibility_modifier_token2] = ACTIONS(756),
    [aux_sym_visibility_modifier_token3] = ACTIONS(756),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_array] = ACTIONS(756),
    [anon_sym_unset] = ACTIONS(756),
    [aux_sym_echo_statement_token1] = ACTIONS(756),
    [anon_sym_declare] = ACTIONS(756),
    [aux_sym_declare_statement_token1] = ACTIONS(756),
    [sym_float] = ACTIONS(756),
    [aux_sym_try_statement_token1] = ACTIONS(756),
    [aux_sym_catch_clause_token1] = ACTIONS(758),
    [aux_sym_finally_clause_token1] = ACTIONS(760),
    [aux_sym_goto_statement_token1] = ACTIONS(756),
    [aux_sym_continue_statement_token1] = ACTIONS(756),
    [aux_sym_break_statement_token1] = ACTIONS(756),
    [sym_integer] = ACTIONS(756),
    [aux_sym_return_statement_token1] = ACTIONS(756),
    [aux_sym_throw_expression_token1] = ACTIONS(756),
    [aux_sym_while_statement_token1] = ACTIONS(756),
    [aux_sym_while_statement_token2] = ACTIONS(756),
    [aux_sym_do_statement_token1] = ACTIONS(756),
    [aux_sym_for_statement_token1] = ACTIONS(756),
    [aux_sym_for_statement_token2] = ACTIONS(756),
    [aux_sym_foreach_statement_token1] = ACTIONS(756),
    [aux_sym_foreach_statement_token2] = ACTIONS(756),
    [aux_sym_if_statement_token1] = ACTIONS(756),
    [aux_sym_if_statement_token2] = ACTIONS(756),
    [aux_sym_else_if_clause_token1] = ACTIONS(756),
    [aux_sym_else_clause_token1] = ACTIONS(756),
    [aux_sym_switch_statement_token1] = ACTIONS(756),
    [aux_sym_switch_block_token1] = ACTIONS(756),
    [aux_sym_case_statement_token1] = ACTIONS(756),
    [aux_sym_default_statement_token1] = ACTIONS(756),
    [anon_sym_AT] = ACTIONS(754),
    [anon_sym_PLUS] = ACTIONS(756),
    [anon_sym_DASH] = ACTIONS(756),
    [anon_sym_TILDE] = ACTIONS(754),
    [anon_sym_BANG] = ACTIONS(754),
    [anon_sym_clone] = ACTIONS(756),
    [anon_sym_print] = ACTIONS(756),
    [anon_sym_new] = ACTIONS(756),
    [anon_sym_PLUS_PLUS] = ACTIONS(754),
    [anon_sym_DASH_DASH] = ACTIONS(754),
    [sym_shell_command_expression] = ACTIONS(754),
    [anon_sym_list] = ACTIONS(756),
    [anon_sym_LBRACK] = ACTIONS(754),
    [anon_sym_self] = ACTIONS(756),
    [anon_sym_parent] = ACTIONS(756),
    [sym_string] = ACTIONS(754),
    [sym_boolean] = ACTIONS(756),
    [sym_null] = ACTIONS(756),
    [anon_sym_DOLLAR] = ACTIONS(754),
    [anon_sym_yield] = ACTIONS(756),
    [aux_sym_include_expression_token1] = ACTIONS(756),
    [aux_sym_include_once_expression_token1] = ACTIONS(756),
    [aux_sym_require_expression_token1] = ACTIONS(756),
    [aux_sym_require_once_expression_token1] = ACTIONS(756),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(754),
  },
  [287] = {
    [sym_text_interpolation] = STATE(287),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(633),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [288] = {
    [sym_text_interpolation] = STATE(288),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(704),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [289] = {
    [sym_text_interpolation] = STATE(289),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(712),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [290] = {
    [sym_text_interpolation] = STATE(290),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(738),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [291] = {
    [sym_text_interpolation] = STATE(291),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(665),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [292] = {
    [sym_text_interpolation] = STATE(292),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(747),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [293] = {
    [sym_text_interpolation] = STATE(293),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(673),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [294] = {
    [sym_text_interpolation] = STATE(294),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(669),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [295] = {
    [sym_text_interpolation] = STATE(295),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(658),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [296] = {
    [sym_text_interpolation] = STATE(296),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(637),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [297] = {
    [sym_text_interpolation] = STATE(297),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(756),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [298] = {
    [sym_text_interpolation] = STATE(298),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(649),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [299] = {
    [sym_text_interpolation] = STATE(299),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(634),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [300] = {
    [sym_text_interpolation] = STATE(300),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(623),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [301] = {
    [sym_text_interpolation] = STATE(301),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(631),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [302] = {
    [sym_text_interpolation] = STATE(302),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(879),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(469),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(469),
    [sym_scoped_property_access_expression] = STATE(469),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1340),
    [sym_function_call_expression] = STATE(451),
    [sym_scoped_call_expression] = STATE(451),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(451),
    [sym_subscript_expression] = STATE(451),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(451),
    [sym_variable_name] = STATE(451),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(762),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [303] = {
    [sym_text_interpolation] = STATE(303),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(755),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [304] = {
    [sym_text_interpolation] = STATE(304),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(640),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [305] = {
    [sym_text_interpolation] = STATE(305),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(858),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(650),
    [sym__primary_expression] = STATE(650),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(437),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(437),
    [sym_scoped_property_access_expression] = STATE(437),
    [sym_list_literal] = STATE(1592),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(433),
    [sym_scoped_call_expression] = STATE(433),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(433),
    [sym_subscript_expression] = STATE(433),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(433),
    [sym_variable_name] = STATE(433),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(492),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(498),
    [anon_sym_AT] = ACTIONS(500),
    [anon_sym_PLUS] = ACTIONS(502),
    [anon_sym_DASH] = ACTIONS(502),
    [anon_sym_TILDE] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_clone] = ACTIONS(506),
    [anon_sym_print] = ACTIONS(508),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(516),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(524),
    [aux_sym_include_expression_token1] = ACTIONS(528),
    [aux_sym_include_once_expression_token1] = ACTIONS(530),
    [aux_sym_require_expression_token1] = ACTIONS(532),
    [aux_sym_require_once_expression_token1] = ACTIONS(534),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [306] = {
    [sym_text_interpolation] = STATE(306),
    [sym_qualified_name] = STATE(491),
    [sym_namespace_name_as_prefix] = STATE(1084),
    [sym_namespace_name] = STATE(1628),
    [sym_throw_expression] = STATE(599),
    [sym__expression] = STATE(623),
    [sym__unary_expression] = STATE(614),
    [sym_unary_op_expression] = STATE(613),
    [sym_exponentiation_expression] = STATE(613),
    [sym_clone_expression] = STATE(746),
    [sym__primary_expression] = STATE(746),
    [sym_parenthesized_expression] = STATE(497),
    [sym_class_constant_access_expression] = STATE(535),
    [sym_print_intrinsic] = STATE(599),
    [sym_anonymous_function_creation_expression] = STATE(599),
    [sym_object_creation_expression] = STATE(599),
    [sym_update_expression] = STATE(599),
    [sym_cast_expression] = STATE(613),
    [sym_cast_variable] = STATE(466),
    [sym_assignment_expression] = STATE(607),
    [sym_conditional_expression] = STATE(607),
    [sym_augmented_assignment_expression] = STATE(607),
    [sym_member_access_expression] = STATE(466),
    [sym_scoped_property_access_expression] = STATE(466),
    [sym_list_literal] = STATE(1569),
    [sym__list_destructing] = STATE(1426),
    [sym__array_destructing] = STATE(1426),
    [sym_function_call_expression] = STATE(440),
    [sym_scoped_call_expression] = STATE(440),
    [sym__scope_resolution_qualifier] = STATE(1589),
    [sym_relative_scope] = STATE(1621),
    [sym_member_call_expression] = STATE(440),
    [sym_subscript_expression] = STATE(440),
    [sym__dereferencable_expression] = STATE(1104),
    [sym_array_creation_expression] = STATE(497),
    [sym__string] = STATE(497),
    [sym_dynamic_variable_name] = STATE(440),
    [sym_variable_name] = STATE(440),
    [sym_yield_expression] = STATE(607),
    [sym_binary_expression] = STATE(607),
    [sym_include_expression] = STATE(607),
    [sym_include_once_expression] = STATE(607),
    [sym_require_expression] = STATE(607),
    [sym_require_once_expression] = STATE(607),
    [sym__reserved_identifier] = STATE(485),
    [sym_name] = ACTIONS(478),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [aux_sym_function_static_declaration_token1] = ACTIONS(482),
    [aux_sym_namespace_definition_token1] = ACTIONS(484),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(486),
    [anon_sym_BSLASH] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(548),
    [anon_sym_array] = ACTIONS(494),
    [sym_float] = ACTIONS(496),
    [sym_integer] = ACTIONS(496),
    [aux_sym_throw_expression_token1] = ACTIONS(550),
    [anon_sym_AT] = ACTIONS(552),
    [anon_sym_PLUS] = ACTIONS(554),
    [anon_sym_DASH] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(556),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_clone] = ACTIONS(558),
    [anon_sym_print] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(510),
    [anon_sym_PLUS_PLUS] = ACTIONS(512),
    [anon_sym_DASH_DASH] = ACTIONS(512),
    [sym_shell_command_expression] = ACTIONS(514),
    [anon_sym_list] = ACTIONS(258),
    [anon_sym_LBRACK] = ACTIONS(562),
    [anon_sym_self] = ACTIONS(518),
    [anon_sym_parent] = ACTIONS(518),
    [sym_string] = ACTIONS(520),
    [sym_boolean] = ACTIONS(496),
    [sym_null] = ACTIONS(496),
    [anon_sym_DOLLAR] = ACTIONS(522),
    [anon_sym_yield] = ACTIONS(564),
    [aux_sym_include_expression_token1] = ACTIONS(568),
    [aux_sym_include_once_expression_token1] = ACTIONS(570),
    [aux_sym_require_expression_token1] = ACTIONS(572),
    [aux_sym_require_once_expression_token1] = ACTIONS(574),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(520),
  },
  [307] = {
    [sym_text_interpolation] = STATE(307),
    [sym_else_if_clause] = STATE(406),
    [sym_else_clause] = STATE(405),
    [aux_sym_if_statement_repeat1] = STATE(308),
    [ts_builtin_sym_end] = ACTIONS(764),
    [sym_name] = ACTIONS(766),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(764),
    [aux_sym_function_static_declaration_token1] = ACTIONS(766),
    [aux_sym_global_declaration_token1] = ACTIONS(766),
    [aux_sym_namespace_definition_token1] = ACTIONS(766),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(766),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(766),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(766),
    [anon_sym_BSLASH] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(764),
    [anon_sym_RBRACE] = ACTIONS(764),
    [aux_sym_trait_declaration_token1] = ACTIONS(766),
    [aux_sym_interface_declaration_token1] = ACTIONS(766),
    [aux_sym_class_declaration_token1] = ACTIONS(766),
    [aux_sym_class_modifier_token1] = ACTIONS(766),
    [aux_sym_class_modifier_token2] = ACTIONS(766),
    [aux_sym_visibility_modifier_token1] = ACTIONS(766),
    [aux_sym_visibility_modifier_token2] = ACTIONS(766),
    [aux_sym_visibility_modifier_token3] = ACTIONS(766),
    [anon_sym_LPAREN] = ACTIONS(764),
    [anon_sym_array] = ACTIONS(766),
    [anon_sym_unset] = ACTIONS(766),
    [aux_sym_echo_statement_token1] = ACTIONS(766),
    [anon_sym_declare] = ACTIONS(766),
    [aux_sym_declare_statement_token1] = ACTIONS(766),
    [sym_float] = ACTIONS(766),
    [aux_sym_try_statement_token1] = ACTIONS(766),
    [aux_sym_goto_statement_token1] = ACTIONS(766),
    [aux_sym_continue_statement_token1] = ACTIONS(766),
    [aux_sym_break_statement_token1] = ACTIONS(766),
    [sym_integer] = ACTIONS(766),
    [aux_sym_return_statement_token1] = ACTIONS(766),
    [aux_sym_throw_expression_token1] = ACTIONS(766),
    [aux_sym_while_statement_token1] = ACTIONS(766),
    [aux_sym_while_statement_token2] = ACTIONS(766),
    [aux_sym_do_statement_token1] = ACTIONS(766),
    [aux_sym_for_statement_token1] = ACTIONS(766),
    [aux_sym_for_statement_token2] = ACTIONS(766),
    [aux_sym_foreach_statement_token1] = ACTIONS(766),
    [aux_sym_foreach_statement_token2] = ACTIONS(766),
    [aux_sym_if_statement_token1] = ACTIONS(766),
    [aux_sym_if_statement_token2] = ACTIONS(766),
    [aux_sym_else_if_clause_token1] = ACTIONS(768),
    [aux_sym_else_clause_token1] = ACTIONS(770),
    [aux_sym_switch_statement_token1] = ACTIONS(766),
    [aux_sym_switch_block_token1] = ACTIONS(766),
    [aux_sym_case_statement_token1] = ACTIONS(766),
    [aux_sym_default_statement_token1] = ACTIONS(766),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_PLUS] = ACTIONS(766),
    [anon_sym_DASH] = ACTIONS(766),
    [anon_sym_TILDE] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(764),
    [anon_sym_clone] = ACTIONS(766),
    [anon_sym_print] = ACTIONS(766),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_PLUS_PLUS] = ACTIONS(764),
    [anon_sym_DASH_DASH] = ACTIONS(764),
    [sym_shell_command_expression] = ACTIONS(764),
    [anon_sym_list] = ACTIONS(766),
    [anon_sym_LBRACK] = ACTIONS(764),
    [anon_sym_self] = ACTIONS(766),
    [anon_sym_parent] = ACTIONS(766),
    [sym_string] = ACTIONS(764),
    [sym_boolean] = ACTIONS(766),
    [sym_null] = ACTIONS(766),
    [anon_sym_DOLLAR] = ACTIONS(764),
    [anon_sym_yield] = ACTIONS(766),
    [aux_sym_include_expression_token1] = ACTIONS(766),
    [aux_sym_include_once_expression_token1] = ACTIONS(766),
    [aux_sym_require_expression_token1] = ACTIONS(766),
    [aux_sym_require_once_expression_token1] = ACTIONS(766),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(764),
  },
  [308] = {
    [sym_text_interpolation] = STATE(308),
    [sym_else_if_clause] = STATE(406),
    [sym_else_clause] = STATE(343),
    [aux_sym_if_statement_repeat1] = STATE(315),
    [ts_builtin_sym_end] = ACTIONS(772),
    [sym_name] = ACTIONS(774),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_function_static_declaration_token1] = ACTIONS(774),
    [aux_sym_global_declaration_token1] = ACTIONS(774),
    [aux_sym_namespace_definition_token1] = ACTIONS(774),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(774),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(774),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(774),
    [anon_sym_BSLASH] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [aux_sym_trait_declaration_token1] = ACTIONS(774),
    [aux_sym_interface_declaration_token1] = ACTIONS(774),
    [aux_sym_class_declaration_token1] = ACTIONS(774),
    [aux_sym_class_modifier_token1] = ACTIONS(774),
    [aux_sym_class_modifier_token2] = ACTIONS(774),
    [aux_sym_visibility_modifier_token1] = ACTIONS(774),
    [aux_sym_visibility_modifier_token2] = ACTIONS(774),
    [aux_sym_visibility_modifier_token3] = ACTIONS(774),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_array] = ACTIONS(774),
    [anon_sym_unset] = ACTIONS(774),
    [aux_sym_echo_statement_token1] = ACTIONS(774),
    [anon_sym_declare] = ACTIONS(774),
    [aux_sym_declare_statement_token1] = ACTIONS(774),
    [sym_float] = ACTIONS(774),
    [aux_sym_try_statement_token1] = ACTIONS(774),
    [aux_sym_goto_statement_token1] = ACTIONS(774),
    [aux_sym_continue_statement_token1] = ACTIONS(774),
    [aux_sym_break_statement_token1] = ACTIONS(774),
    [sym_integer] = ACTIONS(774),
    [aux_sym_return_statement_token1] = ACTIONS(774),
    [aux_sym_throw_expression_token1] = ACTIONS(774),
    [aux_sym_while_statement_token1] = ACTIONS(774),
    [aux_sym_while_statement_token2] = ACTIONS(774),
    [aux_sym_do_statement_token1] = ACTIONS(774),
    [aux_sym_for_statement_token1] = ACTIONS(774),
    [aux_sym_for_statement_token2] = ACTIONS(774),
    [aux_sym_foreach_statement_token1] = ACTIONS(774),
    [aux_sym_foreach_statement_token2] = ACTIONS(774),
    [aux_sym_if_statement_token1] = ACTIONS(774),
    [aux_sym_if_statement_token2] = ACTIONS(774),
    [aux_sym_else_if_clause_token1] = ACTIONS(768),
    [aux_sym_else_clause_token1] = ACTIONS(770),
    [aux_sym_switch_statement_token1] = ACTIONS(774),
    [aux_sym_switch_block_token1] = ACTIONS(774),
    [aux_sym_case_statement_token1] = ACTIONS(774),
    [aux_sym_default_statement_token1] = ACTIONS(774),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(774),
    [anon_sym_DASH] = ACTIONS(774),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_clone] = ACTIONS(774),
    [anon_sym_print] = ACTIONS(774),
    [anon_sym_new] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [sym_shell_command_expression] = ACTIONS(772),
    [anon_sym_list] = ACTIONS(774),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_self] = ACTIONS(774),
    [anon_sym_parent] = ACTIONS(774),
    [sym_string] = ACTIONS(772),
    [sym_boolean] = ACTIONS(774),
    [sym_null] = ACTIONS(774),
    [anon_sym_DOLLAR] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(774),
    [aux_sym_include_expression_token1] = ACTIONS(774),
    [aux_sym_include_once_expression_token1] = ACTIONS(774),
    [aux_sym_require_expression_token1] = ACTIONS(774),
    [aux_sym_require_once_expression_token1] = ACTIONS(774),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(772),
  },
  [309] = {
    [sym_text_interpolation] = STATE(309),
    [ts_builtin_sym_end] = ACTIONS(776),
    [sym_name] = ACTIONS(778),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(776),
    [aux_sym_function_static_declaration_token1] = ACTIONS(778),
    [aux_sym_global_declaration_token1] = ACTIONS(778),
    [aux_sym_namespace_definition_token1] = ACTIONS(778),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(778),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(778),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(778),
    [anon_sym_BSLASH] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(776),
    [anon_sym_RBRACE] = ACTIONS(776),
    [aux_sym_trait_declaration_token1] = ACTIONS(778),
    [aux_sym_interface_declaration_token1] = ACTIONS(778),
    [aux_sym_class_declaration_token1] = ACTIONS(778),
    [aux_sym_class_modifier_token1] = ACTIONS(778),
    [aux_sym_class_modifier_token2] = ACTIONS(778),
    [aux_sym_visibility_modifier_token1] = ACTIONS(778),
    [aux_sym_visibility_modifier_token2] = ACTIONS(778),
    [aux_sym_visibility_modifier_token3] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(776),
    [anon_sym_array] = ACTIONS(778),
    [anon_sym_unset] = ACTIONS(778),
    [aux_sym_echo_statement_token1] = ACTIONS(778),
    [anon_sym_declare] = ACTIONS(778),
    [aux_sym_declare_statement_token1] = ACTIONS(778),
    [sym_float] = ACTIONS(778),
    [aux_sym_try_statement_token1] = ACTIONS(778),
    [aux_sym_catch_clause_token1] = ACTIONS(778),
    [aux_sym_finally_clause_token1] = ACTIONS(778),
    [aux_sym_goto_statement_token1] = ACTIONS(778),
    [aux_sym_continue_statement_token1] = ACTIONS(778),
    [aux_sym_break_statement_token1] = ACTIONS(778),
    [sym_integer] = ACTIONS(778),
    [aux_sym_return_statement_token1] = ACTIONS(778),
    [aux_sym_throw_expression_token1] = ACTIONS(778),
    [aux_sym_while_statement_token1] = ACTIONS(778),
    [aux_sym_while_statement_token2] = ACTIONS(778),
    [aux_sym_do_statement_token1] = ACTIONS(778),
    [aux_sym_for_statement_token1] = ACTIONS(778),
    [aux_sym_for_statement_token2] = ACTIONS(778),
    [aux_sym_foreach_statement_token1] = ACTIONS(778),
    [aux_sym_foreach_statement_token2] = ACTIONS(778),
    [aux_sym_if_statement_token1] = ACTIONS(778),
    [aux_sym_if_statement_token2] = ACTIONS(778),
    [aux_sym_else_if_clause_token1] = ACTIONS(778),
    [aux_sym_else_clause_token1] = ACTIONS(778),
    [aux_sym_switch_statement_token1] = ACTIONS(778),
    [aux_sym_switch_block_token1] = ACTIONS(778),
    [aux_sym_case_statement_token1] = ACTIONS(778),
    [aux_sym_default_statement_token1] = ACTIONS(778),
    [anon_sym_AT] = ACTIONS(776),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(776),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_clone] = ACTIONS(778),
    [anon_sym_print] = ACTIONS(778),
    [anon_sym_new] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(776),
    [anon_sym_DASH_DASH] = ACTIONS(776),
    [sym_shell_command_expression] = ACTIONS(776),
    [anon_sym_list] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_self] = ACTIONS(778),
    [anon_sym_parent] = ACTIONS(778),
    [sym_string] = ACTIONS(776),
    [sym_boolean] = ACTIONS(778),
    [sym_null] = ACTIONS(778),
    [anon_sym_DOLLAR] = ACTIONS(776),
    [anon_sym_yield] = ACTIONS(778),
    [aux_sym_include_expression_token1] = ACTIONS(778),
    [aux_sym_include_once_expression_token1] = ACTIONS(778),
    [aux_sym_require_expression_token1] = ACTIONS(778),
    [aux_sym_require_once_expression_token1] = ACTIONS(778),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(776),
  },
  [310] = {
    [sym_text_interpolation] = STATE(310),
    [ts_builtin_sym_end] = ACTIONS(780),
    [sym_name] = ACTIONS(782),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(780),
    [aux_sym_function_static_declaration_token1] = ACTIONS(782),
    [aux_sym_global_declaration_token1] = ACTIONS(782),
    [aux_sym_namespace_definition_token1] = ACTIONS(782),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(782),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(782),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(782),
    [anon_sym_BSLASH] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(780),
    [anon_sym_RBRACE] = ACTIONS(780),
    [aux_sym_trait_declaration_token1] = ACTIONS(782),
    [aux_sym_interface_declaration_token1] = ACTIONS(782),
    [aux_sym_class_declaration_token1] = ACTIONS(782),
    [aux_sym_class_modifier_token1] = ACTIONS(782),
    [aux_sym_class_modifier_token2] = ACTIONS(782),
    [aux_sym_visibility_modifier_token1] = ACTIONS(782),
    [aux_sym_visibility_modifier_token2] = ACTIONS(782),
    [aux_sym_visibility_modifier_token3] = ACTIONS(782),
    [anon_sym_LPAREN] = ACTIONS(780),
    [anon_sym_array] = ACTIONS(782),
    [anon_sym_unset] = ACTIONS(782),
    [aux_sym_echo_statement_token1] = ACTIONS(782),
    [anon_sym_declare] = ACTIONS(782),
    [aux_sym_declare_statement_token1] = ACTIONS(782),
    [sym_float] = ACTIONS(782),
    [aux_sym_try_statement_token1] = ACTIONS(782),
    [aux_sym_catch_clause_token1] = ACTIONS(782),
    [aux_sym_finally_clause_token1] = ACTIONS(782),
    [aux_sym_goto_statement_token1] = ACTIONS(782),
    [aux_sym_continue_statement_token1] = ACTIONS(782),
    [aux_sym_break_statement_token1] = ACTIONS(782),
    [sym_integer] = ACTIONS(782),
    [aux_sym_return_statement_token1] = ACTIONS(782),
    [aux_sym_throw_expression_token1] = ACTIONS(782),
    [aux_sym_while_statement_token1] = ACTIONS(782),
    [aux_sym_while_statement_token2] = ACTIONS(782),
    [aux_sym_do_statement_token1] = ACTIONS(782),
    [aux_sym_for_statement_token1] = ACTIONS(782),
    [aux_sym_for_statement_token2] = ACTIONS(782),
    [aux_sym_foreach_statement_token1] = ACTIONS(782),
    [aux_sym_foreach_statement_token2] = ACTIONS(782),
    [aux_sym_if_statement_token1] = ACTIONS(782),
    [aux_sym_if_statement_token2] = ACTIONS(782),
    [aux_sym_else_if_clause_token1] = ACTIONS(782),
    [aux_sym_else_clause_token1] = ACTIONS(782),
    [aux_sym_switch_statement_token1] = ACTIONS(782),
    [aux_sym_switch_block_token1] = ACTIONS(782),
    [aux_sym_case_statement_token1] = ACTIONS(782),
    [aux_sym_default_statement_token1] = ACTIONS(782),
    [anon_sym_AT] = ACTIONS(780),
    [anon_sym_PLUS] = ACTIONS(782),
    [anon_sym_DASH] = ACTIONS(782),
    [anon_sym_TILDE] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(780),
    [anon_sym_clone] = ACTIONS(782),
    [anon_sym_print] = ACTIONS(782),
    [anon_sym_new] = ACTIONS(782),
    [anon_sym_PLUS_PLUS] = ACTIONS(780),
    [anon_sym_DASH_DASH] = ACTIONS(780),
    [sym_shell_command_expression] = ACTIONS(780),
    [anon_sym_list] = ACTIONS(782),
    [anon_sym_LBRACK] = ACTIONS(780),
    [anon_sym_self] = ACTIONS(782),
    [anon_sym_parent] = ACTIONS(782),
    [sym_string] = ACTIONS(780),
    [sym_boolean] = ACTIONS(782),
    [sym_null] = ACTIONS(782),
    [anon_sym_DOLLAR] = ACTIONS(780),
    [anon_sym_yield] = ACTIONS(782),
    [aux_sym_include_expression_token1] = ACTIONS(782),
    [aux_sym_include_once_expression_token1] = ACTIONS(782),
    [aux_sym_require_expression_token1] = ACTIONS(782),
    [aux_sym_require_once_expression_token1] = ACTIONS(782),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(780),
  },
  [311] = {
    [sym_text_interpolation] = STATE(311),
    [ts_builtin_sym_end] = ACTIONS(784),
    [sym_name] = ACTIONS(786),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(784),
    [aux_sym_function_static_declaration_token1] = ACTIONS(786),
    [aux_sym_global_declaration_token1] = ACTIONS(786),
    [aux_sym_namespace_definition_token1] = ACTIONS(786),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(786),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(786),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(786),
    [anon_sym_BSLASH] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_RBRACE] = ACTIONS(784),
    [aux_sym_trait_declaration_token1] = ACTIONS(786),
    [aux_sym_interface_declaration_token1] = ACTIONS(786),
    [aux_sym_class_declaration_token1] = ACTIONS(786),
    [aux_sym_class_modifier_token1] = ACTIONS(786),
    [aux_sym_class_modifier_token2] = ACTIONS(786),
    [aux_sym_visibility_modifier_token1] = ACTIONS(786),
    [aux_sym_visibility_modifier_token2] = ACTIONS(786),
    [aux_sym_visibility_modifier_token3] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(784),
    [anon_sym_array] = ACTIONS(786),
    [anon_sym_unset] = ACTIONS(786),
    [aux_sym_echo_statement_token1] = ACTIONS(786),
    [anon_sym_declare] = ACTIONS(786),
    [aux_sym_declare_statement_token1] = ACTIONS(786),
    [sym_float] = ACTIONS(786),
    [aux_sym_try_statement_token1] = ACTIONS(786),
    [aux_sym_catch_clause_token1] = ACTIONS(786),
    [aux_sym_finally_clause_token1] = ACTIONS(786),
    [aux_sym_goto_statement_token1] = ACTIONS(786),
    [aux_sym_continue_statement_token1] = ACTIONS(786),
    [aux_sym_break_statement_token1] = ACTIONS(786),
    [sym_integer] = ACTIONS(786),
    [aux_sym_return_statement_token1] = ACTIONS(786),
    [aux_sym_throw_expression_token1] = ACTIONS(786),
    [aux_sym_while_statement_token1] = ACTIONS(786),
    [aux_sym_while_statement_token2] = ACTIONS(786),
    [aux_sym_do_statement_token1] = ACTIONS(786),
    [aux_sym_for_statement_token1] = ACTIONS(786),
    [aux_sym_for_statement_token2] = ACTIONS(786),
    [aux_sym_foreach_statement_token1] = ACTIONS(786),
    [aux_sym_foreach_statement_token2] = ACTIONS(786),
    [aux_sym_if_statement_token1] = ACTIONS(786),
    [aux_sym_if_statement_token2] = ACTIONS(786),
    [aux_sym_else_if_clause_token1] = ACTIONS(786),
    [aux_sym_else_clause_token1] = ACTIONS(786),
    [aux_sym_switch_statement_token1] = ACTIONS(786),
    [aux_sym_switch_block_token1] = ACTIONS(786),
    [aux_sym_case_statement_token1] = ACTIONS(786),
    [aux_sym_default_statement_token1] = ACTIONS(786),
    [anon_sym_AT] = ACTIONS(784),
    [anon_sym_PLUS] = ACTIONS(786),
    [anon_sym_DASH] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(784),
    [anon_sym_clone] = ACTIONS(786),
    [anon_sym_print] = ACTIONS(786),
    [anon_sym_new] = ACTIONS(786),
    [anon_sym_PLUS_PLUS] = ACTIONS(784),
    [anon_sym_DASH_DASH] = ACTIONS(784),
    [sym_shell_command_expression] = ACTIONS(784),
    [anon_sym_list] = ACTIONS(786),
    [anon_sym_LBRACK] = ACTIONS(784),
    [anon_sym_self] = ACTIONS(786),
    [anon_sym_parent] = ACTIONS(786),
    [sym_string] = ACTIONS(784),
    [sym_boolean] = ACTIONS(786),
    [sym_null] = ACTIONS(786),
    [anon_sym_DOLLAR] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(786),
    [aux_sym_include_expression_token1] = ACTIONS(786),
    [aux_sym_include_once_expression_token1] = ACTIONS(786),
    [aux_sym_require_expression_token1] = ACTIONS(786),
    [aux_sym_require_once_expression_token1] = ACTIONS(786),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(784),
  },
  [312] = {
    [sym_text_interpolation] = STATE(312),
    [ts_builtin_sym_end] = ACTIONS(788),
    [sym_name] = ACTIONS(790),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(788),
    [aux_sym_function_static_declaration_token1] = ACTIONS(790),
    [aux_sym_global_declaration_token1] = ACTIONS(790),
    [aux_sym_namespace_definition_token1] = ACTIONS(790),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(790),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(790),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(790),
    [anon_sym_BSLASH] = ACTIONS(788),
    [anon_sym_LBRACE] = ACTIONS(788),
    [anon_sym_RBRACE] = ACTIONS(788),
    [aux_sym_trait_declaration_token1] = ACTIONS(790),
    [aux_sym_interface_declaration_token1] = ACTIONS(790),
    [aux_sym_class_declaration_token1] = ACTIONS(790),
    [aux_sym_class_modifier_token1] = ACTIONS(790),
    [aux_sym_class_modifier_token2] = ACTIONS(790),
    [aux_sym_visibility_modifier_token1] = ACTIONS(790),
    [aux_sym_visibility_modifier_token2] = ACTIONS(790),
    [aux_sym_visibility_modifier_token3] = ACTIONS(790),
    [anon_sym_LPAREN] = ACTIONS(788),
    [anon_sym_array] = ACTIONS(790),
    [anon_sym_unset] = ACTIONS(790),
    [aux_sym_echo_statement_token1] = ACTIONS(790),
    [anon_sym_declare] = ACTIONS(790),
    [aux_sym_declare_statement_token1] = ACTIONS(790),
    [sym_float] = ACTIONS(790),
    [aux_sym_try_statement_token1] = ACTIONS(790),
    [aux_sym_catch_clause_token1] = ACTIONS(790),
    [aux_sym_finally_clause_token1] = ACTIONS(790),
    [aux_sym_goto_statement_token1] = ACTIONS(790),
    [aux_sym_continue_statement_token1] = ACTIONS(790),
    [aux_sym_break_statement_token1] = ACTIONS(790),
    [sym_integer] = ACTIONS(790),
    [aux_sym_return_statement_token1] = ACTIONS(790),
    [aux_sym_throw_expression_token1] = ACTIONS(790),
    [aux_sym_while_statement_token1] = ACTIONS(790),
    [aux_sym_while_statement_token2] = ACTIONS(790),
    [aux_sym_do_statement_token1] = ACTIONS(790),
    [aux_sym_for_statement_token1] = ACTIONS(790),
    [aux_sym_for_statement_token2] = ACTIONS(790),
    [aux_sym_foreach_statement_token1] = ACTIONS(790),
    [aux_sym_foreach_statement_token2] = ACTIONS(790),
    [aux_sym_if_statement_token1] = ACTIONS(790),
    [aux_sym_if_statement_token2] = ACTIONS(790),
    [aux_sym_else_if_clause_token1] = ACTIONS(790),
    [aux_sym_else_clause_token1] = ACTIONS(790),
    [aux_sym_switch_statement_token1] = ACTIONS(790),
    [aux_sym_switch_block_token1] = ACTIONS(790),
    [aux_sym_case_statement_token1] = ACTIONS(790),
    [aux_sym_default_statement_token1] = ACTIONS(790),
    [anon_sym_AT] = ACTIONS(788),
    [anon_sym_PLUS] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(788),
    [anon_sym_BANG] = ACTIONS(788),
    [anon_sym_clone] = ACTIONS(790),
    [anon_sym_print] = ACTIONS(790),
    [anon_sym_new] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(788),
    [anon_sym_DASH_DASH] = ACTIONS(788),
    [sym_shell_command_expression] = ACTIONS(788),
    [anon_sym_list] = ACTIONS(790),
    [anon_sym_LBRACK] = ACTIONS(788),
    [anon_sym_self] = ACTIONS(790),
    [anon_sym_parent] = ACTIONS(790),
    [sym_string] = ACTIONS(788),
    [sym_boolean] = ACTIONS(790),
    [sym_null] = ACTIONS(790),
    [anon_sym_DOLLAR] = ACTIONS(788),
    [anon_sym_yield] = ACTIONS(790),
    [aux_sym_include_expression_token1] = ACTIONS(790),
    [aux_sym_include_once_expression_token1] = ACTIONS(790),
    [aux_sym_require_expression_token1] = ACTIONS(790),
    [aux_sym_require_once_expression_token1] = ACTIONS(790),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(788),
  },
  [313] = {
    [sym_text_interpolation] = STATE(313),
    [ts_builtin_sym_end] = ACTIONS(792),
    [sym_name] = ACTIONS(794),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(792),
    [aux_sym_function_static_declaration_token1] = ACTIONS(794),
    [aux_sym_global_declaration_token1] = ACTIONS(794),
    [aux_sym_namespace_definition_token1] = ACTIONS(794),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(794),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(794),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(794),
    [anon_sym_BSLASH] = ACTIONS(792),
    [anon_sym_LBRACE] = ACTIONS(792),
    [anon_sym_RBRACE] = ACTIONS(792),
    [aux_sym_trait_declaration_token1] = ACTIONS(794),
    [aux_sym_interface_declaration_token1] = ACTIONS(794),
    [aux_sym_class_declaration_token1] = ACTIONS(794),
    [aux_sym_class_modifier_token1] = ACTIONS(794),
    [aux_sym_class_modifier_token2] = ACTIONS(794),
    [aux_sym_visibility_modifier_token1] = ACTIONS(794),
    [aux_sym_visibility_modifier_token2] = ACTIONS(794),
    [aux_sym_visibility_modifier_token3] = ACTIONS(794),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_array] = ACTIONS(794),
    [anon_sym_unset] = ACTIONS(794),
    [aux_sym_echo_statement_token1] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(794),
    [aux_sym_declare_statement_token1] = ACTIONS(794),
    [sym_float] = ACTIONS(794),
    [aux_sym_try_statement_token1] = ACTIONS(794),
    [aux_sym_catch_clause_token1] = ACTIONS(794),
    [aux_sym_finally_clause_token1] = ACTIONS(794),
    [aux_sym_goto_statement_token1] = ACTIONS(794),
    [aux_sym_continue_statement_token1] = ACTIONS(794),
    [aux_sym_break_statement_token1] = ACTIONS(794),
    [sym_integer] = ACTIONS(794),
    [aux_sym_return_statement_token1] = ACTIONS(794),
    [aux_sym_throw_expression_token1] = ACTIONS(794),
    [aux_sym_while_statement_token1] = ACTIONS(794),
    [aux_sym_while_statement_token2] = ACTIONS(794),
    [aux_sym_do_statement_token1] = ACTIONS(794),
    [aux_sym_for_statement_token1] = ACTIONS(794),
    [aux_sym_for_statement_token2] = ACTIONS(794),
    [aux_sym_foreach_statement_token1] = ACTIONS(794),
    [aux_sym_foreach_statement_token2] = ACTIONS(794),
    [aux_sym_if_statement_token1] = ACTIONS(794),
    [aux_sym_if_statement_token2] = ACTIONS(794),
    [aux_sym_else_if_clause_token1] = ACTIONS(794),
    [aux_sym_else_clause_token1] = ACTIONS(794),
    [aux_sym_switch_statement_token1] = ACTIONS(794),
    [aux_sym_switch_block_token1] = ACTIONS(794),
    [aux_sym_case_statement_token1] = ACTIONS(794),
    [aux_sym_default_statement_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(792),
    [anon_sym_PLUS] = ACTIONS(794),
    [anon_sym_DASH] = ACTIONS(794),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_clone] = ACTIONS(794),
    [anon_sym_print] = ACTIONS(794),
    [anon_sym_new] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(792),
    [anon_sym_DASH_DASH] = ACTIONS(792),
    [sym_shell_command_expression] = ACTIONS(792),
    [anon_sym_list] = ACTIONS(794),
    [anon_sym_LBRACK] = ACTIONS(792),
    [anon_sym_self] = ACTIONS(794),
    [anon_sym_parent] = ACTIONS(794),
    [sym_string] = ACTIONS(792),
    [sym_boolean] = ACTIONS(794),
    [sym_null] = ACTIONS(794),
    [anon_sym_DOLLAR] = ACTIONS(792),
    [anon_sym_yield] = ACTIONS(794),
    [aux_sym_include_expression_token1] = ACTIONS(794),
    [aux_sym_include_once_expression_token1] = ACTIONS(794),
    [aux_sym_require_expression_token1] = ACTIONS(794),
    [aux_sym_require_once_expression_token1] = ACTIONS(794),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(792),
  },
  [314] = {
    [sym_text_interpolation] = STATE(314),
    [ts_builtin_sym_end] = ACTIONS(796),
    [sym_name] = ACTIONS(798),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(796),
    [aux_sym_function_static_declaration_token1] = ACTIONS(798),
    [aux_sym_global_declaration_token1] = ACTIONS(798),
    [aux_sym_namespace_definition_token1] = ACTIONS(798),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(798),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(798),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(798),
    [anon_sym_BSLASH] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(796),
    [aux_sym_trait_declaration_token1] = ACTIONS(798),
    [aux_sym_interface_declaration_token1] = ACTIONS(798),
    [aux_sym_class_declaration_token1] = ACTIONS(798),
    [aux_sym_class_modifier_token1] = ACTIONS(798),
    [aux_sym_class_modifier_token2] = ACTIONS(798),
    [aux_sym_visibility_modifier_token1] = ACTIONS(798),
    [aux_sym_visibility_modifier_token2] = ACTIONS(798),
    [aux_sym_visibility_modifier_token3] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_array] = ACTIONS(798),
    [anon_sym_unset] = ACTIONS(798),
    [aux_sym_echo_statement_token1] = ACTIONS(798),
    [anon_sym_declare] = ACTIONS(798),
    [aux_sym_declare_statement_token1] = ACTIONS(798),
    [sym_float] = ACTIONS(798),
    [aux_sym_try_statement_token1] = ACTIONS(798),
    [aux_sym_catch_clause_token1] = ACTIONS(798),
    [aux_sym_finally_clause_token1] = ACTIONS(798),
    [aux_sym_goto_statement_token1] = ACTIONS(798),
    [aux_sym_continue_statement_token1] = ACTIONS(798),
    [aux_sym_break_statement_token1] = ACTIONS(798),
    [sym_integer] = ACTIONS(798),
    [aux_sym_return_statement_token1] = ACTIONS(798),
    [aux_sym_throw_expression_token1] = ACTIONS(798),
    [aux_sym_while_statement_token1] = ACTIONS(798),
    [aux_sym_while_statement_token2] = ACTIONS(798),
    [aux_sym_do_statement_token1] = ACTIONS(798),
    [aux_sym_for_statement_token1] = ACTIONS(798),
    [aux_sym_for_statement_token2] = ACTIONS(798),
    [aux_sym_foreach_statement_token1] = ACTIONS(798),
    [aux_sym_foreach_statement_token2] = ACTIONS(798),
    [aux_sym_if_statement_token1] = ACTIONS(798),
    [aux_sym_if_statement_token2] = ACTIONS(798),
    [aux_sym_else_if_clause_token1] = ACTIONS(798),
    [aux_sym_else_clause_token1] = ACTIONS(798),
    [aux_sym_switch_statement_token1] = ACTIONS(798),
    [aux_sym_switch_block_token1] = ACTIONS(798),
    [aux_sym_case_statement_token1] = ACTIONS(798),
    [aux_sym_default_statement_token1] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(796),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(796),
    [anon_sym_clone] = ACTIONS(798),
    [anon_sym_print] = ACTIONS(798),
    [anon_sym_new] = ACTIONS(798),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [sym_shell_command_expression] = ACTIONS(796),
    [anon_sym_list] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_self] = ACTIONS(798),
    [anon_sym_parent] = ACTIONS(798),
    [sym_string] = ACTIONS(796),
    [sym_boolean] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [anon_sym_DOLLAR] = ACTIONS(796),
    [anon_sym_yield] = ACTIONS(798),
    [aux_sym_include_expression_token1] = ACTIONS(798),
    [aux_sym_include_once_expression_token1] = ACTIONS(798),
    [aux_sym_require_expression_token1] = ACTIONS(798),
    [aux_sym_require_once_expression_token1] = ACTIONS(798),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(796),
  },
  [315] = {
    [sym_text_interpolation] = STATE(315),
    [sym_else_if_clause] = STATE(406),
    [aux_sym_if_statement_repeat1] = STATE(315),
    [ts_builtin_sym_end] = ACTIONS(800),
    [sym_name] = ACTIONS(802),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_function_static_declaration_token1] = ACTIONS(802),
    [aux_sym_global_declaration_token1] = ACTIONS(802),
    [aux_sym_namespace_definition_token1] = ACTIONS(802),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(802),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(802),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(802),
    [anon_sym_BSLASH] = ACTIONS(800),
    [anon_sym_LBRACE] = ACTIONS(800),
    [anon_sym_RBRACE] = ACTIONS(800),
    [aux_sym_trait_declaration_token1] = ACTIONS(802),
    [aux_sym_interface_declaration_token1] = ACTIONS(802),
    [aux_sym_class_declaration_token1] = ACTIONS(802),
    [aux_sym_class_modifier_token1] = ACTIONS(802),
    [aux_sym_class_modifier_token2] = ACTIONS(802),
    [aux_sym_visibility_modifier_token1] = ACTIONS(802),
    [aux_sym_visibility_modifier_token2] = ACTIONS(802),
    [aux_sym_visibility_modifier_token3] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(800),
    [anon_sym_array] = ACTIONS(802),
    [anon_sym_unset] = ACTIONS(802),
    [aux_sym_echo_statement_token1] = ACTIONS(802),
    [anon_sym_declare] = ACTIONS(802),
    [aux_sym_declare_statement_token1] = ACTIONS(802),
    [sym_float] = ACTIONS(802),
    [aux_sym_try_statement_token1] = ACTIONS(802),
    [aux_sym_goto_statement_token1] = ACTIONS(802),
    [aux_sym_continue_statement_token1] = ACTIONS(802),
    [aux_sym_break_statement_token1] = ACTIONS(802),
    [sym_integer] = ACTIONS(802),
    [aux_sym_return_statement_token1] = ACTIONS(802),
    [aux_sym_throw_expression_token1] = ACTIONS(802),
    [aux_sym_while_statement_token1] = ACTIONS(802),
    [aux_sym_while_statement_token2] = ACTIONS(802),
    [aux_sym_do_statement_token1] = ACTIONS(802),
    [aux_sym_for_statement_token1] = ACTIONS(802),
    [aux_sym_for_statement_token2] = ACTIONS(802),
    [aux_sym_foreach_statement_token1] = ACTIONS(802),
    [aux_sym_foreach_statement_token2] = ACTIONS(802),
    [aux_sym_if_statement_token1] = ACTIONS(802),
    [aux_sym_if_statement_token2] = ACTIONS(802),
    [aux_sym_else_if_clause_token1] = ACTIONS(804),
    [aux_sym_else_clause_token1] = ACTIONS(802),
    [aux_sym_switch_statement_token1] = ACTIONS(802),
    [aux_sym_switch_block_token1] = ACTIONS(802),
    [aux_sym_case_statement_token1] = ACTIONS(802),
    [aux_sym_default_statement_token1] = ACTIONS(802),
    [anon_sym_AT] = ACTIONS(800),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(800),
    [anon_sym_BANG] = ACTIONS(800),
    [anon_sym_clone] = ACTIONS(802),
    [anon_sym_print] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(802),
    [anon_sym_PLUS_PLUS] = ACTIONS(800),
    [anon_sym_DASH_DASH] = ACTIONS(800),
    [sym_shell_command_expression] = ACTIONS(800),
    [anon_sym_list] = ACTIONS(802),
    [anon_sym_LBRACK] = ACTIONS(800),
    [anon_sym_self] = ACTIONS(802),
    [anon_sym_parent] = ACTIONS(802),
    [sym_string] = ACTIONS(800),
    [sym_boolean] = ACTIONS(802),
    [sym_null] = ACTIONS(802),
    [anon_sym_DOLLAR] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(802),
    [aux_sym_include_expression_token1] = ACTIONS(802),
    [aux_sym_include_once_expression_token1] = ACTIONS(802),
    [aux_sym_require_expression_token1] = ACTIONS(802),
    [aux_sym_require_once_expression_token1] = ACTIONS(802),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(800),
  },
  [316] = {
    [sym_text_interpolation] = STATE(316),
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_name] = ACTIONS(809),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_function_static_declaration_token1] = ACTIONS(809),
    [aux_sym_global_declaration_token1] = ACTIONS(809),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [aux_sym_trait_declaration_token1] = ACTIONS(809),
    [aux_sym_interface_declaration_token1] = ACTIONS(809),
    [aux_sym_class_declaration_token1] = ACTIONS(809),
    [aux_sym_class_modifier_token1] = ACTIONS(809),
    [aux_sym_class_modifier_token2] = ACTIONS(809),
    [aux_sym_visibility_modifier_token1] = ACTIONS(809),
    [aux_sym_visibility_modifier_token2] = ACTIONS(809),
    [aux_sym_visibility_modifier_token3] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_array] = ACTIONS(809),
    [anon_sym_unset] = ACTIONS(809),
    [aux_sym_echo_statement_token1] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [aux_sym_declare_statement_token1] = ACTIONS(809),
    [sym_float] = ACTIONS(809),
    [aux_sym_try_statement_token1] = ACTIONS(809),
    [aux_sym_goto_statement_token1] = ACTIONS(809),
    [aux_sym_continue_statement_token1] = ACTIONS(809),
    [aux_sym_break_statement_token1] = ACTIONS(809),
    [sym_integer] = ACTIONS(809),
    [aux_sym_return_statement_token1] = ACTIONS(809),
    [aux_sym_throw_expression_token1] = ACTIONS(809),
    [aux_sym_while_statement_token1] = ACTIONS(809),
    [aux_sym_while_statement_token2] = ACTIONS(809),
    [aux_sym_do_statement_token1] = ACTIONS(809),
    [aux_sym_for_statement_token1] = ACTIONS(809),
    [aux_sym_for_statement_token2] = ACTIONS(809),
    [aux_sym_foreach_statement_token1] = ACTIONS(809),
    [aux_sym_foreach_statement_token2] = ACTIONS(809),
    [aux_sym_if_statement_token1] = ACTIONS(809),
    [aux_sym_if_statement_token2] = ACTIONS(809),
    [aux_sym_else_if_clause_token1] = ACTIONS(809),
    [aux_sym_else_clause_token1] = ACTIONS(809),
    [aux_sym_switch_statement_token1] = ACTIONS(809),
    [aux_sym_switch_block_token1] = ACTIONS(809),
    [aux_sym_case_statement_token1] = ACTIONS(809),
    [aux_sym_default_statement_token1] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_clone] = ACTIONS(809),
    [anon_sym_print] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(809),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_shell_command_expression] = ACTIONS(807),
    [anon_sym_list] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_self] = ACTIONS(809),
    [anon_sym_parent] = ACTIONS(809),
    [sym_string] = ACTIONS(807),
    [sym_boolean] = ACTIONS(809),
    [sym_null] = ACTIONS(809),
    [anon_sym_DOLLAR] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [aux_sym_include_expression_token1] = ACTIONS(809),
    [aux_sym_include_once_expression_token1] = ACTIONS(809),
    [aux_sym_require_expression_token1] = ACTIONS(809),
    [aux_sym_require_once_expression_token1] = ACTIONS(809),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(807),
    [sym_heredoc] = ACTIONS(807),
  },
  [317] = {
    [sym_text_interpolation] = STATE(317),
    [ts_builtin_sym_end] = ACTIONS(811),
    [sym_name] = ACTIONS(813),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(815),
    [aux_sym_function_static_declaration_token1] = ACTIONS(813),
    [aux_sym_global_declaration_token1] = ACTIONS(813),
    [aux_sym_namespace_definition_token1] = ACTIONS(813),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(813),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(813),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(813),
    [anon_sym_BSLASH] = ACTIONS(811),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_RBRACE] = ACTIONS(811),
    [aux_sym_trait_declaration_token1] = ACTIONS(813),
    [aux_sym_interface_declaration_token1] = ACTIONS(813),
    [aux_sym_class_declaration_token1] = ACTIONS(813),
    [aux_sym_class_modifier_token1] = ACTIONS(813),
    [aux_sym_class_modifier_token2] = ACTIONS(813),
    [aux_sym_visibility_modifier_token1] = ACTIONS(813),
    [aux_sym_visibility_modifier_token2] = ACTIONS(813),
    [aux_sym_visibility_modifier_token3] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_array] = ACTIONS(813),
    [anon_sym_unset] = ACTIONS(813),
    [aux_sym_echo_statement_token1] = ACTIONS(813),
    [anon_sym_declare] = ACTIONS(813),
    [aux_sym_declare_statement_token1] = ACTIONS(813),
    [sym_float] = ACTIONS(813),
    [aux_sym_try_statement_token1] = ACTIONS(813),
    [aux_sym_goto_statement_token1] = ACTIONS(813),
    [aux_sym_continue_statement_token1] = ACTIONS(813),
    [aux_sym_break_statement_token1] = ACTIONS(813),
    [sym_integer] = ACTIONS(813),
    [aux_sym_return_statement_token1] = ACTIONS(813),
    [aux_sym_throw_expression_token1] = ACTIONS(813),
    [aux_sym_while_statement_token1] = ACTIONS(813),
    [aux_sym_while_statement_token2] = ACTIONS(813),
    [aux_sym_do_statement_token1] = ACTIONS(813),
    [aux_sym_for_statement_token1] = ACTIONS(813),
    [aux_sym_for_statement_token2] = ACTIONS(813),
    [aux_sym_foreach_statement_token1] = ACTIONS(813),
    [aux_sym_foreach_statement_token2] = ACTIONS(813),
    [aux_sym_if_statement_token1] = ACTIONS(813),
    [aux_sym_if_statement_token2] = ACTIONS(813),
    [aux_sym_else_if_clause_token1] = ACTIONS(813),
    [aux_sym_else_clause_token1] = ACTIONS(813),
    [aux_sym_switch_statement_token1] = ACTIONS(813),
    [aux_sym_switch_block_token1] = ACTIONS(813),
    [aux_sym_case_statement_token1] = ACTIONS(813),
    [aux_sym_default_statement_token1] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_clone] = ACTIONS(813),
    [anon_sym_print] = ACTIONS(813),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_PLUS_PLUS] = ACTIONS(811),
    [anon_sym_DASH_DASH] = ACTIONS(811),
    [sym_shell_command_expression] = ACTIONS(811),
    [anon_sym_list] = ACTIONS(813),
    [anon_sym_LBRACK] = ACTIONS(811),
    [anon_sym_self] = ACTIONS(813),
    [anon_sym_parent] = ACTIONS(813),
    [sym_string] = ACTIONS(811),
    [sym_boolean] = ACTIONS(813),
    [sym_null] = ACTIONS(813),
    [anon_sym_DOLLAR] = ACTIONS(811),
    [anon_sym_yield] = ACTIONS(813),
    [aux_sym_include_expression_token1] = ACTIONS(813),
    [aux_sym_include_once_expression_token1] = ACTIONS(813),
    [aux_sym_require_expression_token1] = ACTIONS(813),
    [aux_sym_require_once_expression_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(815),
    [sym_heredoc] = ACTIONS(811),
  },
  [318] = {
    [sym_text_interpolation] = STATE(318),
    [ts_builtin_sym_end] = ACTIONS(817),
    [sym_name] = ACTIONS(819),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(821),
    [aux_sym_function_static_declaration_token1] = ACTIONS(819),
    [aux_sym_global_declaration_token1] = ACTIONS(819),
    [aux_sym_namespace_definition_token1] = ACTIONS(819),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(819),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(819),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(819),
    [anon_sym_BSLASH] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [aux_sym_trait_declaration_token1] = ACTIONS(819),
    [aux_sym_interface_declaration_token1] = ACTIONS(819),
    [aux_sym_class_declaration_token1] = ACTIONS(819),
    [aux_sym_class_modifier_token1] = ACTIONS(819),
    [aux_sym_class_modifier_token2] = ACTIONS(819),
    [aux_sym_visibility_modifier_token1] = ACTIONS(819),
    [aux_sym_visibility_modifier_token2] = ACTIONS(819),
    [aux_sym_visibility_modifier_token3] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(817),
    [anon_sym_array] = ACTIONS(819),
    [anon_sym_unset] = ACTIONS(819),
    [aux_sym_echo_statement_token1] = ACTIONS(819),
    [anon_sym_declare] = ACTIONS(819),
    [aux_sym_declare_statement_token1] = ACTIONS(819),
    [sym_float] = ACTIONS(819),
    [aux_sym_try_statement_token1] = ACTIONS(819),
    [aux_sym_goto_statement_token1] = ACTIONS(819),
    [aux_sym_continue_statement_token1] = ACTIONS(819),
    [aux_sym_break_statement_token1] = ACTIONS(819),
    [sym_integer] = ACTIONS(819),
    [aux_sym_return_statement_token1] = ACTIONS(819),
    [aux_sym_throw_expression_token1] = ACTIONS(819),
    [aux_sym_while_statement_token1] = ACTIONS(819),
    [aux_sym_while_statement_token2] = ACTIONS(819),
    [aux_sym_do_statement_token1] = ACTIONS(819),
    [aux_sym_for_statement_token1] = ACTIONS(819),
    [aux_sym_for_statement_token2] = ACTIONS(819),
    [aux_sym_foreach_statement_token1] = ACTIONS(819),
    [aux_sym_foreach_statement_token2] = ACTIONS(819),
    [aux_sym_if_statement_token1] = ACTIONS(819),
    [aux_sym_if_statement_token2] = ACTIONS(819),
    [aux_sym_else_if_clause_token1] = ACTIONS(819),
    [aux_sym_else_clause_token1] = ACTIONS(819),
    [aux_sym_switch_statement_token1] = ACTIONS(819),
    [aux_sym_switch_block_token1] = ACTIONS(819),
    [aux_sym_case_statement_token1] = ACTIONS(819),
    [aux_sym_default_statement_token1] = ACTIONS(819),
    [anon_sym_AT] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(817),
    [anon_sym_clone] = ACTIONS(819),
    [anon_sym_print] = ACTIONS(819),
    [anon_sym_new] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(817),
    [anon_sym_DASH_DASH] = ACTIONS(817),
    [sym_shell_command_expression] = ACTIONS(817),
    [anon_sym_list] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(817),
    [anon_sym_self] = ACTIONS(819),
    [anon_sym_parent] = ACTIONS(819),
    [sym_string] = ACTIONS(817),
    [sym_boolean] = ACTIONS(819),
    [sym_null] = ACTIONS(819),
    [anon_sym_DOLLAR] = ACTIONS(817),
    [anon_sym_yield] = ACTIONS(819),
    [aux_sym_include_expression_token1] = ACTIONS(819),
    [aux_sym_include_once_expression_token1] = ACTIONS(819),
    [aux_sym_require_expression_token1] = ACTIONS(819),
    [aux_sym_require_once_expression_token1] = ACTIONS(819),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(821),
    [sym_heredoc] = ACTIONS(817),
  },
  [319] = {
    [sym_text_interpolation] = STATE(319),
    [ts_builtin_sym_end] = ACTIONS(823),
    [sym_name] = ACTIONS(825),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(823),
    [aux_sym_function_static_declaration_token1] = ACTIONS(825),
    [aux_sym_global_declaration_token1] = ACTIONS(825),
    [aux_sym_namespace_definition_token1] = ACTIONS(825),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(825),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(825),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(825),
    [anon_sym_BSLASH] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_RBRACE] = ACTIONS(823),
    [aux_sym_trait_declaration_token1] = ACTIONS(825),
    [aux_sym_interface_declaration_token1] = ACTIONS(825),
    [aux_sym_class_declaration_token1] = ACTIONS(825),
    [aux_sym_class_modifier_token1] = ACTIONS(825),
    [aux_sym_class_modifier_token2] = ACTIONS(825),
    [aux_sym_visibility_modifier_token1] = ACTIONS(825),
    [aux_sym_visibility_modifier_token2] = ACTIONS(825),
    [aux_sym_visibility_modifier_token3] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_array] = ACTIONS(825),
    [anon_sym_unset] = ACTIONS(825),
    [aux_sym_echo_statement_token1] = ACTIONS(825),
    [anon_sym_declare] = ACTIONS(825),
    [aux_sym_declare_statement_token1] = ACTIONS(825),
    [sym_float] = ACTIONS(825),
    [aux_sym_try_statement_token1] = ACTIONS(825),
    [aux_sym_goto_statement_token1] = ACTIONS(825),
    [aux_sym_continue_statement_token1] = ACTIONS(825),
    [aux_sym_break_statement_token1] = ACTIONS(825),
    [sym_integer] = ACTIONS(825),
    [aux_sym_return_statement_token1] = ACTIONS(825),
    [aux_sym_throw_expression_token1] = ACTIONS(825),
    [aux_sym_while_statement_token1] = ACTIONS(825),
    [aux_sym_while_statement_token2] = ACTIONS(825),
    [aux_sym_do_statement_token1] = ACTIONS(825),
    [aux_sym_for_statement_token1] = ACTIONS(825),
    [aux_sym_for_statement_token2] = ACTIONS(825),
    [aux_sym_foreach_statement_token1] = ACTIONS(825),
    [aux_sym_foreach_statement_token2] = ACTIONS(825),
    [aux_sym_if_statement_token1] = ACTIONS(825),
    [aux_sym_if_statement_token2] = ACTIONS(825),
    [aux_sym_else_if_clause_token1] = ACTIONS(825),
    [aux_sym_else_clause_token1] = ACTIONS(825),
    [aux_sym_switch_statement_token1] = ACTIONS(825),
    [aux_sym_switch_block_token1] = ACTIONS(825),
    [aux_sym_case_statement_token1] = ACTIONS(825),
    [aux_sym_default_statement_token1] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(823),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_clone] = ACTIONS(825),
    [anon_sym_print] = ACTIONS(825),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(823),
    [sym_shell_command_expression] = ACTIONS(823),
    [anon_sym_list] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(823),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [sym_string] = ACTIONS(823),
    [sym_boolean] = ACTIONS(825),
    [sym_null] = ACTIONS(825),
    [anon_sym_DOLLAR] = ACTIONS(823),
    [anon_sym_yield] = ACTIONS(825),
    [aux_sym_include_expression_token1] = ACTIONS(825),
    [aux_sym_include_once_expression_token1] = ACTIONS(825),
    [aux_sym_require_expression_token1] = ACTIONS(825),
    [aux_sym_require_once_expression_token1] = ACTIONS(825),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(823),
    [sym_heredoc] = ACTIONS(823),
  },
  [320] = {
    [sym_text_interpolation] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(827),
    [sym_name] = ACTIONS(829),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(831),
    [aux_sym_function_static_declaration_token1] = ACTIONS(829),
    [aux_sym_global_declaration_token1] = ACTIONS(829),
    [aux_sym_namespace_definition_token1] = ACTIONS(829),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(829),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(829),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(829),
    [anon_sym_BSLASH] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(827),
    [anon_sym_RBRACE] = ACTIONS(827),
    [aux_sym_trait_declaration_token1] = ACTIONS(829),
    [aux_sym_interface_declaration_token1] = ACTIONS(829),
    [aux_sym_class_declaration_token1] = ACTIONS(829),
    [aux_sym_class_modifier_token1] = ACTIONS(829),
    [aux_sym_class_modifier_token2] = ACTIONS(829),
    [aux_sym_visibility_modifier_token1] = ACTIONS(829),
    [aux_sym_visibility_modifier_token2] = ACTIONS(829),
    [aux_sym_visibility_modifier_token3] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(827),
    [anon_sym_array] = ACTIONS(829),
    [anon_sym_unset] = ACTIONS(829),
    [aux_sym_echo_statement_token1] = ACTIONS(829),
    [anon_sym_declare] = ACTIONS(829),
    [aux_sym_declare_statement_token1] = ACTIONS(829),
    [sym_float] = ACTIONS(829),
    [aux_sym_try_statement_token1] = ACTIONS(829),
    [aux_sym_goto_statement_token1] = ACTIONS(829),
    [aux_sym_continue_statement_token1] = ACTIONS(829),
    [aux_sym_break_statement_token1] = ACTIONS(829),
    [sym_integer] = ACTIONS(829),
    [aux_sym_return_statement_token1] = ACTIONS(829),
    [aux_sym_throw_expression_token1] = ACTIONS(829),
    [aux_sym_while_statement_token1] = ACTIONS(829),
    [aux_sym_while_statement_token2] = ACTIONS(829),
    [aux_sym_do_statement_token1] = ACTIONS(829),
    [aux_sym_for_statement_token1] = ACTIONS(829),
    [aux_sym_for_statement_token2] = ACTIONS(829),
    [aux_sym_foreach_statement_token1] = ACTIONS(829),
    [aux_sym_foreach_statement_token2] = ACTIONS(829),
    [aux_sym_if_statement_token1] = ACTIONS(829),
    [aux_sym_if_statement_token2] = ACTIONS(829),
    [aux_sym_else_if_clause_token1] = ACTIONS(829),
    [aux_sym_else_clause_token1] = ACTIONS(829),
    [aux_sym_switch_statement_token1] = ACTIONS(829),
    [aux_sym_switch_block_token1] = ACTIONS(829),
    [aux_sym_case_statement_token1] = ACTIONS(829),
    [aux_sym_default_statement_token1] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_clone] = ACTIONS(829),
    [anon_sym_print] = ACTIONS(829),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_PLUS_PLUS] = ACTIONS(827),
    [anon_sym_DASH_DASH] = ACTIONS(827),
    [sym_shell_command_expression] = ACTIONS(827),
    [anon_sym_list] = ACTIONS(829),
    [anon_sym_LBRACK] = ACTIONS(827),
    [anon_sym_self] = ACTIONS(829),
    [anon_sym_parent] = ACTIONS(829),
    [sym_string] = ACTIONS(827),
    [sym_boolean] = ACTIONS(829),
    [sym_null] = ACTIONS(829),
    [anon_sym_DOLLAR] = ACTIONS(827),
    [anon_sym_yield] = ACTIONS(829),
    [aux_sym_include_expression_token1] = ACTIONS(829),
    [aux_sym_include_once_expression_token1] = ACTIONS(829),
    [aux_sym_require_expression_token1] = ACTIONS(829),
    [aux_sym_require_once_expression_token1] = ACTIONS(829),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(831),
    [sym_heredoc] = ACTIONS(827),
  },
  [321] = {
    [sym_text_interpolation] = STATE(321),
    [ts_builtin_sym_end] = ACTIONS(833),
    [sym_name] = ACTIONS(835),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(837),
    [aux_sym_function_static_declaration_token1] = ACTIONS(835),
    [aux_sym_global_declaration_token1] = ACTIONS(835),
    [aux_sym_namespace_definition_token1] = ACTIONS(835),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(835),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(835),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(835),
    [anon_sym_BSLASH] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [aux_sym_trait_declaration_token1] = ACTIONS(835),
    [aux_sym_interface_declaration_token1] = ACTIONS(835),
    [aux_sym_class_declaration_token1] = ACTIONS(835),
    [aux_sym_class_modifier_token1] = ACTIONS(835),
    [aux_sym_class_modifier_token2] = ACTIONS(835),
    [aux_sym_visibility_modifier_token1] = ACTIONS(835),
    [aux_sym_visibility_modifier_token2] = ACTIONS(835),
    [aux_sym_visibility_modifier_token3] = ACTIONS(835),
    [anon_sym_LPAREN] = ACTIONS(833),
    [anon_sym_array] = ACTIONS(835),
    [anon_sym_unset] = ACTIONS(835),
    [aux_sym_echo_statement_token1] = ACTIONS(835),
    [anon_sym_declare] = ACTIONS(835),
    [aux_sym_declare_statement_token1] = ACTIONS(835),
    [sym_float] = ACTIONS(835),
    [aux_sym_try_statement_token1] = ACTIONS(835),
    [aux_sym_goto_statement_token1] = ACTIONS(835),
    [aux_sym_continue_statement_token1] = ACTIONS(835),
    [aux_sym_break_statement_token1] = ACTIONS(835),
    [sym_integer] = ACTIONS(835),
    [aux_sym_return_statement_token1] = ACTIONS(835),
    [aux_sym_throw_expression_token1] = ACTIONS(835),
    [aux_sym_while_statement_token1] = ACTIONS(835),
    [aux_sym_while_statement_token2] = ACTIONS(835),
    [aux_sym_do_statement_token1] = ACTIONS(835),
    [aux_sym_for_statement_token1] = ACTIONS(835),
    [aux_sym_for_statement_token2] = ACTIONS(835),
    [aux_sym_foreach_statement_token1] = ACTIONS(835),
    [aux_sym_foreach_statement_token2] = ACTIONS(835),
    [aux_sym_if_statement_token1] = ACTIONS(835),
    [aux_sym_if_statement_token2] = ACTIONS(835),
    [aux_sym_else_if_clause_token1] = ACTIONS(835),
    [aux_sym_else_clause_token1] = ACTIONS(835),
    [aux_sym_switch_statement_token1] = ACTIONS(835),
    [aux_sym_switch_block_token1] = ACTIONS(835),
    [aux_sym_case_statement_token1] = ACTIONS(835),
    [aux_sym_default_statement_token1] = ACTIONS(835),
    [anon_sym_AT] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(835),
    [anon_sym_DASH] = ACTIONS(835),
    [anon_sym_TILDE] = ACTIONS(833),
    [anon_sym_BANG] = ACTIONS(833),
    [anon_sym_clone] = ACTIONS(835),
    [anon_sym_print] = ACTIONS(835),
    [anon_sym_new] = ACTIONS(835),
    [anon_sym_PLUS_PLUS] = ACTIONS(833),
    [anon_sym_DASH_DASH] = ACTIONS(833),
    [sym_shell_command_expression] = ACTIONS(833),
    [anon_sym_list] = ACTIONS(835),
    [anon_sym_LBRACK] = ACTIONS(833),
    [anon_sym_self] = ACTIONS(835),
    [anon_sym_parent] = ACTIONS(835),
    [sym_string] = ACTIONS(833),
    [sym_boolean] = ACTIONS(835),
    [sym_null] = ACTIONS(835),
    [anon_sym_DOLLAR] = ACTIONS(833),
    [anon_sym_yield] = ACTIONS(835),
    [aux_sym_include_expression_token1] = ACTIONS(835),
    [aux_sym_include_once_expression_token1] = ACTIONS(835),
    [aux_sym_require_expression_token1] = ACTIONS(835),
    [aux_sym_require_once_expression_token1] = ACTIONS(835),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(837),
    [sym_heredoc] = ACTIONS(833),
  },
  [322] = {
    [sym_text_interpolation] = STATE(322),
    [ts_builtin_sym_end] = ACTIONS(839),
    [sym_name] = ACTIONS(841),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(843),
    [aux_sym_function_static_declaration_token1] = ACTIONS(841),
    [aux_sym_global_declaration_token1] = ACTIONS(841),
    [aux_sym_namespace_definition_token1] = ACTIONS(841),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(841),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(841),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(841),
    [anon_sym_BSLASH] = ACTIONS(839),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [aux_sym_trait_declaration_token1] = ACTIONS(841),
    [aux_sym_interface_declaration_token1] = ACTIONS(841),
    [aux_sym_class_declaration_token1] = ACTIONS(841),
    [aux_sym_class_modifier_token1] = ACTIONS(841),
    [aux_sym_class_modifier_token2] = ACTIONS(841),
    [aux_sym_visibility_modifier_token1] = ACTIONS(841),
    [aux_sym_visibility_modifier_token2] = ACTIONS(841),
    [aux_sym_visibility_modifier_token3] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(839),
    [anon_sym_array] = ACTIONS(841),
    [anon_sym_unset] = ACTIONS(841),
    [aux_sym_echo_statement_token1] = ACTIONS(841),
    [anon_sym_declare] = ACTIONS(841),
    [aux_sym_declare_statement_token1] = ACTIONS(841),
    [sym_float] = ACTIONS(841),
    [aux_sym_try_statement_token1] = ACTIONS(841),
    [aux_sym_goto_statement_token1] = ACTIONS(841),
    [aux_sym_continue_statement_token1] = ACTIONS(841),
    [aux_sym_break_statement_token1] = ACTIONS(841),
    [sym_integer] = ACTIONS(841),
    [aux_sym_return_statement_token1] = ACTIONS(841),
    [aux_sym_throw_expression_token1] = ACTIONS(841),
    [aux_sym_while_statement_token1] = ACTIONS(841),
    [aux_sym_while_statement_token2] = ACTIONS(841),
    [aux_sym_do_statement_token1] = ACTIONS(841),
    [aux_sym_for_statement_token1] = ACTIONS(841),
    [aux_sym_for_statement_token2] = ACTIONS(841),
    [aux_sym_foreach_statement_token1] = ACTIONS(841),
    [aux_sym_foreach_statement_token2] = ACTIONS(841),
    [aux_sym_if_statement_token1] = ACTIONS(841),
    [aux_sym_if_statement_token2] = ACTIONS(841),
    [aux_sym_else_if_clause_token1] = ACTIONS(841),
    [aux_sym_else_clause_token1] = ACTIONS(841),
    [aux_sym_switch_statement_token1] = ACTIONS(841),
    [aux_sym_switch_block_token1] = ACTIONS(841),
    [aux_sym_case_statement_token1] = ACTIONS(841),
    [aux_sym_default_statement_token1] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_DASH] = ACTIONS(841),
    [anon_sym_TILDE] = ACTIONS(839),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_clone] = ACTIONS(841),
    [anon_sym_print] = ACTIONS(841),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_PLUS_PLUS] = ACTIONS(839),
    [anon_sym_DASH_DASH] = ACTIONS(839),
    [sym_shell_command_expression] = ACTIONS(839),
    [anon_sym_list] = ACTIONS(841),
    [anon_sym_LBRACK] = ACTIONS(839),
    [anon_sym_self] = ACTIONS(841),
    [anon_sym_parent] = ACTIONS(841),
    [sym_string] = ACTIONS(839),
    [sym_boolean] = ACTIONS(841),
    [sym_null] = ACTIONS(841),
    [anon_sym_DOLLAR] = ACTIONS(839),
    [anon_sym_yield] = ACTIONS(841),
    [aux_sym_include_expression_token1] = ACTIONS(841),
    [aux_sym_include_once_expression_token1] = ACTIONS(841),
    [aux_sym_require_expression_token1] = ACTIONS(841),
    [aux_sym_require_once_expression_token1] = ACTIONS(841),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(843),
    [sym_heredoc] = ACTIONS(839),
  },
  [323] = {
    [sym_text_interpolation] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(845),
    [sym_name] = ACTIONS(847),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(849),
    [aux_sym_function_static_declaration_token1] = ACTIONS(847),
    [aux_sym_global_declaration_token1] = ACTIONS(847),
    [aux_sym_namespace_definition_token1] = ACTIONS(847),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(847),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(847),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(847),
    [anon_sym_BSLASH] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(845),
    [anon_sym_RBRACE] = ACTIONS(845),
    [aux_sym_trait_declaration_token1] = ACTIONS(847),
    [aux_sym_interface_declaration_token1] = ACTIONS(847),
    [aux_sym_class_declaration_token1] = ACTIONS(847),
    [aux_sym_class_modifier_token1] = ACTIONS(847),
    [aux_sym_class_modifier_token2] = ACTIONS(847),
    [aux_sym_visibility_modifier_token1] = ACTIONS(847),
    [aux_sym_visibility_modifier_token2] = ACTIONS(847),
    [aux_sym_visibility_modifier_token3] = ACTIONS(847),
    [anon_sym_LPAREN] = ACTIONS(845),
    [anon_sym_array] = ACTIONS(847),
    [anon_sym_unset] = ACTIONS(847),
    [aux_sym_echo_statement_token1] = ACTIONS(847),
    [anon_sym_declare] = ACTIONS(847),
    [aux_sym_declare_statement_token1] = ACTIONS(847),
    [sym_float] = ACTIONS(847),
    [aux_sym_try_statement_token1] = ACTIONS(847),
    [aux_sym_goto_statement_token1] = ACTIONS(847),
    [aux_sym_continue_statement_token1] = ACTIONS(847),
    [aux_sym_break_statement_token1] = ACTIONS(847),
    [sym_integer] = ACTIONS(847),
    [aux_sym_return_statement_token1] = ACTIONS(847),
    [aux_sym_throw_expression_token1] = ACTIONS(847),
    [aux_sym_while_statement_token1] = ACTIONS(847),
    [aux_sym_while_statement_token2] = ACTIONS(847),
    [aux_sym_do_statement_token1] = ACTIONS(847),
    [aux_sym_for_statement_token1] = ACTIONS(847),
    [aux_sym_for_statement_token2] = ACTIONS(847),
    [aux_sym_foreach_statement_token1] = ACTIONS(847),
    [aux_sym_foreach_statement_token2] = ACTIONS(847),
    [aux_sym_if_statement_token1] = ACTIONS(847),
    [aux_sym_if_statement_token2] = ACTIONS(847),
    [aux_sym_else_if_clause_token1] = ACTIONS(847),
    [aux_sym_else_clause_token1] = ACTIONS(847),
    [aux_sym_switch_statement_token1] = ACTIONS(847),
    [aux_sym_switch_block_token1] = ACTIONS(847),
    [aux_sym_case_statement_token1] = ACTIONS(847),
    [aux_sym_default_statement_token1] = ACTIONS(847),
    [anon_sym_AT] = ACTIONS(845),
    [anon_sym_PLUS] = ACTIONS(847),
    [anon_sym_DASH] = ACTIONS(847),
    [anon_sym_TILDE] = ACTIONS(845),
    [anon_sym_BANG] = ACTIONS(845),
    [anon_sym_clone] = ACTIONS(847),
    [anon_sym_print] = ACTIONS(847),
    [anon_sym_new] = ACTIONS(847),
    [anon_sym_PLUS_PLUS] = ACTIONS(845),
    [anon_sym_DASH_DASH] = ACTIONS(845),
    [sym_shell_command_expression] = ACTIONS(845),
    [anon_sym_list] = ACTIONS(847),
    [anon_sym_LBRACK] = ACTIONS(845),
    [anon_sym_self] = ACTIONS(847),
    [anon_sym_parent] = ACTIONS(847),
    [sym_string] = ACTIONS(845),
    [sym_boolean] = ACTIONS(847),
    [sym_null] = ACTIONS(847),
    [anon_sym_DOLLAR] = ACTIONS(845),
    [anon_sym_yield] = ACTIONS(847),
    [aux_sym_include_expression_token1] = ACTIONS(847),
    [aux_sym_include_once_expression_token1] = ACTIONS(847),
    [aux_sym_require_expression_token1] = ACTIONS(847),
    [aux_sym_require_once_expression_token1] = ACTIONS(847),
    [sym_comment] = ACTIONS(5),
    [sym__automatic_semicolon] = ACTIONS(849),
    [sym_heredoc] = ACTIONS(845),
  },
  [324] = {
    [sym_text_interpolation] = STATE(324),
    [ts_builtin_sym_end] = ACTIONS(851),
    [sym_name] = ACTIONS(853),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(851),
    [aux_sym_function_static_declaration_token1] = ACTIONS(853),
    [aux_sym_global_declaration_token1] = ACTIONS(853),
    [aux_sym_namespace_definition_token1] = ACTIONS(853),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(853),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(853),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(853),
    [anon_sym_BSLASH] = ACTIONS(851),
    [anon_sym_LBRACE] = ACTIONS(851),
    [anon_sym_RBRACE] = ACTIONS(851),
    [aux_sym_trait_declaration_token1] = ACTIONS(853),
    [aux_sym_interface_declaration_token1] = ACTIONS(853),
    [aux_sym_class_declaration_token1] = ACTIONS(853),
    [aux_sym_class_modifier_token1] = ACTIONS(853),
    [aux_sym_class_modifier_token2] = ACTIONS(853),
    [aux_sym_visibility_modifier_token1] = ACTIONS(853),
    [aux_sym_visibility_modifier_token2] = ACTIONS(853),
    [aux_sym_visibility_modifier_token3] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(851),
    [anon_sym_array] = ACTIONS(853),
    [anon_sym_unset] = ACTIONS(853),
    [aux_sym_echo_statement_token1] = ACTIONS(853),
    [anon_sym_declare] = ACTIONS(853),
    [aux_sym_declare_statement_token1] = ACTIONS(853),
    [sym_float] = ACTIONS(853),
    [aux_sym_try_statement_token1] = ACTIONS(853),
    [aux_sym_goto_statement_token1] = ACTIONS(853),
    [aux_sym_continue_statement_token1] = ACTIONS(853),
    [aux_sym_break_statement_token1] = ACTIONS(853),
    [sym_integer] = ACTIONS(853),
    [aux_sym_return_statement_token1] = ACTIONS(853),
    [aux_sym_throw_expression_token1] = ACTIONS(853),
    [aux_sym_while_statement_token1] = ACTIONS(853),
    [aux_sym_while_statement_token2] = ACTIONS(853),
    [aux_sym_do_statement_token1] = ACTIONS(853),
    [aux_sym_for_statement_token1] = ACTIONS(853),
    [aux_sym_for_statement_token2] = ACTIONS(853),
    [aux_sym_foreach_statement_token1] = ACTIONS(853),
    [aux_sym_foreach_statement_token2] = ACTIONS(853),
    [aux_sym_if_statement_token1] = ACTIONS(853),
    [aux_sym_if_statement_token2] = ACTIONS(853),
    [aux_sym_else_if_clause_token1] = ACTIONS(853),
    [aux_sym_else_clause_token1] = ACTIONS(853),
    [aux_sym_switch_statement_token1] = ACTIONS(853),
    [aux_sym_switch_block_token1] = ACTIONS(853),
    [aux_sym_case_statement_token1] = ACTIONS(853),
    [aux_sym_default_statement_token1] = ACTIONS(853),
    [anon_sym_AT] = ACTIONS(851),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_TILDE] = ACTIONS(851),
    [anon_sym_BANG] = ACTIONS(851),
    [anon_sym_clone] = ACTIONS(853),
    [anon_sym_print] = ACTIONS(853),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_PLUS_PLUS] = ACTIONS(851),
    [anon_sym_DASH_DASH] = ACTIONS(851),
    [sym_shell_command_expression] = ACTIONS(851),
    [anon_sym_list] = ACTIONS(853),
    [anon_sym_LBRACK] = ACTIONS(851),
    [anon_sym_self] = ACTIONS(853),
    [anon_sym_parent] = ACTIONS(853),
    [sym_string] = ACTIONS(851),
    [sym_boolean] = ACTIONS(853),
    [sym_null] = ACTIONS(853),
    [anon_sym_DOLLAR] = ACTIONS(851),
    [anon_sym_yield] = ACTIONS(853),
    [aux_sym_include_expression_token1] = ACTIONS(853),
    [aux_sym_include_once_expression_token1] = ACTIONS(853),
    [aux_sym_require_expression_token1] = ACTIONS(853),
    [aux_sym_require_once_expression_token1] = ACTIONS(853),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(851),
  },
  [325] = {
    [sym_text_interpolation] = STATE(325),
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_name] = ACTIONS(857),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(855),
    [aux_sym_function_static_declaration_token1] = ACTIONS(857),
    [aux_sym_global_declaration_token1] = ACTIONS(857),
    [aux_sym_namespace_definition_token1] = ACTIONS(857),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(857),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(857),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(857),
    [anon_sym_BSLASH] = ACTIONS(855),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [aux_sym_trait_declaration_token1] = ACTIONS(857),
    [aux_sym_interface_declaration_token1] = ACTIONS(857),
    [aux_sym_class_declaration_token1] = ACTIONS(857),
    [aux_sym_class_modifier_token1] = ACTIONS(857),
    [aux_sym_class_modifier_token2] = ACTIONS(857),
    [aux_sym_visibility_modifier_token1] = ACTIONS(857),
    [aux_sym_visibility_modifier_token2] = ACTIONS(857),
    [aux_sym_visibility_modifier_token3] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_array] = ACTIONS(857),
    [anon_sym_unset] = ACTIONS(857),
    [aux_sym_echo_statement_token1] = ACTIONS(857),
    [anon_sym_declare] = ACTIONS(857),
    [aux_sym_declare_statement_token1] = ACTIONS(857),
    [sym_float] = ACTIONS(857),
    [aux_sym_try_statement_token1] = ACTIONS(857),
    [aux_sym_goto_statement_token1] = ACTIONS(857),
    [aux_sym_continue_statement_token1] = ACTIONS(857),
    [aux_sym_break_statement_token1] = ACTIONS(857),
    [sym_integer] = ACTIONS(857),
    [aux_sym_return_statement_token1] = ACTIONS(857),
    [aux_sym_throw_expression_token1] = ACTIONS(857),
    [aux_sym_while_statement_token1] = ACTIONS(857),
    [aux_sym_while_statement_token2] = ACTIONS(857),
    [aux_sym_do_statement_token1] = ACTIONS(857),
    [aux_sym_for_statement_token1] = ACTIONS(857),
    [aux_sym_for_statement_token2] = ACTIONS(857),
    [aux_sym_foreach_statement_token1] = ACTIONS(857),
    [aux_sym_foreach_statement_token2] = ACTIONS(857),
    [aux_sym_if_statement_token1] = ACTIONS(857),
    [aux_sym_if_statement_token2] = ACTIONS(857),
    [aux_sym_else_if_clause_token1] = ACTIONS(857),
    [aux_sym_else_clause_token1] = ACTIONS(857),
    [aux_sym_switch_statement_token1] = ACTIONS(857),
    [aux_sym_switch_block_token1] = ACTIONS(857),
    [aux_sym_case_statement_token1] = ACTIONS(857),
    [aux_sym_default_statement_token1] = ACTIONS(857),
    [anon_sym_AT] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_clone] = ACTIONS(857),
    [anon_sym_print] = ACTIONS(857),
    [anon_sym_new] = ACTIONS(857),
    [anon_sym_PLUS_PLUS] = ACTIONS(855),
    [anon_sym_DASH_DASH] = ACTIONS(855),
    [sym_shell_command_expression] = ACTIONS(855),
    [anon_sym_list] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_self] = ACTIONS(857),
    [anon_sym_parent] = ACTIONS(857),
    [sym_string] = ACTIONS(855),
    [sym_boolean] = ACTIONS(857),
    [sym_null] = ACTIONS(857),
    [anon_sym_DOLLAR] = ACTIONS(855),
    [anon_sym_yield] = ACTIONS(857),
    [aux_sym_include_expression_token1] = ACTIONS(857),
    [aux_sym_include_once_expression_token1] = ACTIONS(857),
    [aux_sym_require_expression_token1] = ACTIONS(857),
    [aux_sym_require_once_expression_token1] = ACTIONS(857),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(855),
  },
  [326] = {
    [sym_text_interpolation] = STATE(326),
    [ts_builtin_sym_end] = ACTIONS(859),
    [sym_name] = ACTIONS(861),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(859),
    [aux_sym_function_static_declaration_token1] = ACTIONS(861),
    [aux_sym_global_declaration_token1] = ACTIONS(861),
    [aux_sym_namespace_definition_token1] = ACTIONS(861),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(861),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(861),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(861),
    [anon_sym_BSLASH] = ACTIONS(859),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_RBRACE] = ACTIONS(859),
    [aux_sym_trait_declaration_token1] = ACTIONS(861),
    [aux_sym_interface_declaration_token1] = ACTIONS(861),
    [aux_sym_class_declaration_token1] = ACTIONS(861),
    [aux_sym_class_modifier_token1] = ACTIONS(861),
    [aux_sym_class_modifier_token2] = ACTIONS(861),
    [aux_sym_visibility_modifier_token1] = ACTIONS(861),
    [aux_sym_visibility_modifier_token2] = ACTIONS(861),
    [aux_sym_visibility_modifier_token3] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_array] = ACTIONS(861),
    [anon_sym_unset] = ACTIONS(861),
    [aux_sym_echo_statement_token1] = ACTIONS(861),
    [anon_sym_declare] = ACTIONS(861),
    [aux_sym_declare_statement_token1] = ACTIONS(861),
    [sym_float] = ACTIONS(861),
    [aux_sym_try_statement_token1] = ACTIONS(861),
    [aux_sym_goto_statement_token1] = ACTIONS(861),
    [aux_sym_continue_statement_token1] = ACTIONS(861),
    [aux_sym_break_statement_token1] = ACTIONS(861),
    [sym_integer] = ACTIONS(861),
    [aux_sym_return_statement_token1] = ACTIONS(861),
    [aux_sym_throw_expression_token1] = ACTIONS(861),
    [aux_sym_while_statement_token1] = ACTIONS(861),
    [aux_sym_while_statement_token2] = ACTIONS(861),
    [aux_sym_do_statement_token1] = ACTIONS(861),
    [aux_sym_for_statement_token1] = ACTIONS(861),
    [aux_sym_for_statement_token2] = ACTIONS(861),
    [aux_sym_foreach_statement_token1] = ACTIONS(861),
    [aux_sym_foreach_statement_token2] = ACTIONS(861),
    [aux_sym_if_statement_token1] = ACTIONS(861),
    [aux_sym_if_statement_token2] = ACTIONS(861),
    [aux_sym_else_if_clause_token1] = ACTIONS(861),
    [aux_sym_else_clause_token1] = ACTIONS(861),
    [aux_sym_switch_statement_token1] = ACTIONS(861),
    [aux_sym_switch_block_token1] = ACTIONS(861),
    [aux_sym_case_statement_token1] = ACTIONS(861),
    [aux_sym_default_statement_token1] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(859),
    [anon_sym_clone] = ACTIONS(861),
    [anon_sym_print] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_PLUS_PLUS] = ACTIONS(859),
    [anon_sym_DASH_DASH] = ACTIONS(859),
    [sym_shell_command_expression] = ACTIONS(859),
    [anon_sym_list] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(861),
    [anon_sym_parent] = ACTIONS(861),
    [sym_string] = ACTIONS(859),
    [sym_boolean] = ACTIONS(861),
    [sym_null] = ACTIONS(861),
    [anon_sym_DOLLAR] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(861),
    [aux_sym_include_expression_token1] = ACTIONS(861),
    [aux_sym_include_once_expression_token1] = ACTIONS(861),
    [aux_sym_require_expression_token1] = ACTIONS(861),
    [aux_sym_require_once_expression_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(859),
  },
  [327] = {
    [sym_text_interpolation] = STATE(327),
    [ts_builtin_sym_end] = ACTIONS(859),
    [sym_name] = ACTIONS(861),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(859),
    [aux_sym_function_static_declaration_token1] = ACTIONS(861),
    [aux_sym_global_declaration_token1] = ACTIONS(861),
    [aux_sym_namespace_definition_token1] = ACTIONS(861),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(861),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(861),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(861),
    [anon_sym_BSLASH] = ACTIONS(859),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_RBRACE] = ACTIONS(859),
    [aux_sym_trait_declaration_token1] = ACTIONS(861),
    [aux_sym_interface_declaration_token1] = ACTIONS(861),
    [aux_sym_class_declaration_token1] = ACTIONS(861),
    [aux_sym_class_modifier_token1] = ACTIONS(861),
    [aux_sym_class_modifier_token2] = ACTIONS(861),
    [aux_sym_visibility_modifier_token1] = ACTIONS(861),
    [aux_sym_visibility_modifier_token2] = ACTIONS(861),
    [aux_sym_visibility_modifier_token3] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_array] = ACTIONS(861),
    [anon_sym_unset] = ACTIONS(861),
    [aux_sym_echo_statement_token1] = ACTIONS(861),
    [anon_sym_declare] = ACTIONS(861),
    [aux_sym_declare_statement_token1] = ACTIONS(861),
    [sym_float] = ACTIONS(861),
    [aux_sym_try_statement_token1] = ACTIONS(861),
    [aux_sym_goto_statement_token1] = ACTIONS(861),
    [aux_sym_continue_statement_token1] = ACTIONS(861),
    [aux_sym_break_statement_token1] = ACTIONS(861),
    [sym_integer] = ACTIONS(861),
    [aux_sym_return_statement_token1] = ACTIONS(861),
    [aux_sym_throw_expression_token1] = ACTIONS(861),
    [aux_sym_while_statement_token1] = ACTIONS(861),
    [aux_sym_while_statement_token2] = ACTIONS(861),
    [aux_sym_do_statement_token1] = ACTIONS(861),
    [aux_sym_for_statement_token1] = ACTIONS(861),
    [aux_sym_for_statement_token2] = ACTIONS(861),
    [aux_sym_foreach_statement_token1] = ACTIONS(861),
    [aux_sym_foreach_statement_token2] = ACTIONS(861),
    [aux_sym_if_statement_token1] = ACTIONS(861),
    [aux_sym_if_statement_token2] = ACTIONS(861),
    [aux_sym_else_if_clause_token1] = ACTIONS(861),
    [aux_sym_else_clause_token1] = ACTIONS(861),
    [aux_sym_switch_statement_token1] = ACTIONS(861),
    [aux_sym_switch_block_token1] = ACTIONS(861),
    [aux_sym_case_statement_token1] = ACTIONS(861),
    [aux_sym_default_statement_token1] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(859),
    [anon_sym_BANG] = ACTIONS(859),
    [anon_sym_clone] = ACTIONS(861),
    [anon_sym_print] = ACTIONS(861),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_PLUS_PLUS] = ACTIONS(859),
    [anon_sym_DASH_DASH] = ACTIONS(859),
    [sym_shell_command_expression] = ACTIONS(859),
    [anon_sym_list] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_self] = ACTIONS(861),
    [anon_sym_parent] = ACTIONS(861),
    [sym_string] = ACTIONS(859),
    [sym_boolean] = ACTIONS(861),
    [sym_null] = ACTIONS(861),
    [anon_sym_DOLLAR] = ACTIONS(859),
    [anon_sym_yield] = ACTIONS(861),
    [aux_sym_include_expression_token1] = ACTIONS(861),
    [aux_sym_include_once_expression_token1] = ACTIONS(861),
    [aux_sym_require_expression_token1] = ACTIONS(861),
    [aux_sym_require_once_expression_token1] = ACTIONS(861),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(859),
  },
  [328] = {
    [sym_text_interpolation] = STATE(328),
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_name] = ACTIONS(865),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(863),
    [aux_sym_function_static_declaration_token1] = ACTIONS(865),
    [aux_sym_global_declaration_token1] = ACTIONS(865),
    [aux_sym_namespace_definition_token1] = ACTIONS(865),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(865),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(865),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(865),
    [anon_sym_BSLASH] = ACTIONS(863),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_RBRACE] = ACTIONS(863),
    [aux_sym_trait_declaration_token1] = ACTIONS(865),
    [aux_sym_interface_declaration_token1] = ACTIONS(865),
    [aux_sym_class_declaration_token1] = ACTIONS(865),
    [aux_sym_class_modifier_token1] = ACTIONS(865),
    [aux_sym_class_modifier_token2] = ACTIONS(865),
    [aux_sym_visibility_modifier_token1] = ACTIONS(865),
    [aux_sym_visibility_modifier_token2] = ACTIONS(865),
    [aux_sym_visibility_modifier_token3] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_array] = ACTIONS(865),
    [anon_sym_unset] = ACTIONS(865),
    [aux_sym_echo_statement_token1] = ACTIONS(865),
    [anon_sym_declare] = ACTIONS(865),
    [aux_sym_declare_statement_token1] = ACTIONS(865),
    [sym_float] = ACTIONS(865),
    [aux_sym_try_statement_token1] = ACTIONS(865),
    [aux_sym_goto_statement_token1] = ACTIONS(865),
    [aux_sym_continue_statement_token1] = ACTIONS(865),
    [aux_sym_break_statement_token1] = ACTIONS(865),
    [sym_integer] = ACTIONS(865),
    [aux_sym_return_statement_token1] = ACTIONS(865),
    [aux_sym_throw_expression_token1] = ACTIONS(865),
    [aux_sym_while_statement_token1] = ACTIONS(865),
    [aux_sym_while_statement_token2] = ACTIONS(865),
    [aux_sym_do_statement_token1] = ACTIONS(865),
    [aux_sym_for_statement_token1] = ACTIONS(865),
    [aux_sym_for_statement_token2] = ACTIONS(865),
    [aux_sym_foreach_statement_token1] = ACTIONS(865),
    [aux_sym_foreach_statement_token2] = ACTIONS(865),
    [aux_sym_if_statement_token1] = ACTIONS(865),
    [aux_sym_if_statement_token2] = ACTIONS(865),
    [aux_sym_else_if_clause_token1] = ACTIONS(865),
    [aux_sym_else_clause_token1] = ACTIONS(865),
    [aux_sym_switch_statement_token1] = ACTIONS(865),
    [aux_sym_switch_block_token1] = ACTIONS(865),
    [aux_sym_case_statement_token1] = ACTIONS(865),
    [aux_sym_default_statement_token1] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_clone] = ACTIONS(865),
    [anon_sym_print] = ACTIONS(865),
    [anon_sym_new] = ACTIONS(865),
    [anon_sym_PLUS_PLUS] = ACTIONS(863),
    [anon_sym_DASH_DASH] = ACTIONS(863),
    [sym_shell_command_expression] = ACTIONS(863),
    [anon_sym_list] = ACTIONS(865),
    [anon_sym_LBRACK] = ACTIONS(863),
    [anon_sym_self] = ACTIONS(865),
    [anon_sym_parent] = ACTIONS(865),
    [sym_string] = ACTIONS(863),
    [sym_boolean] = ACTIONS(865),
    [sym_null] = ACTIONS(865),
    [anon_sym_DOLLAR] = ACTIONS(863),
    [anon_sym_yield] = ACTIONS(865),
    [aux_sym_include_expression_token1] = ACTIONS(865),
    [aux_sym_include_once_expression_token1] = ACTIONS(865),
    [aux_sym_require_expression_token1] = ACTIONS(865),
    [aux_sym_require_once_expression_token1] = ACTIONS(865),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(863),
  },
  [329] = {
    [sym_text_interpolation] = STATE(329),
    [ts_builtin_sym_end] = ACTIONS(867),
    [sym_name] = ACTIONS(869),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(867),
    [aux_sym_function_static_declaration_token1] = ACTIONS(869),
    [aux_sym_global_declaration_token1] = ACTIONS(869),
    [aux_sym_namespace_definition_token1] = ACTIONS(869),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(869),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(869),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(869),
    [anon_sym_BSLASH] = ACTIONS(867),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_RBRACE] = ACTIONS(867),
    [aux_sym_trait_declaration_token1] = ACTIONS(869),
    [aux_sym_interface_declaration_token1] = ACTIONS(869),
    [aux_sym_class_declaration_token1] = ACTIONS(869),
    [aux_sym_class_modifier_token1] = ACTIONS(869),
    [aux_sym_class_modifier_token2] = ACTIONS(869),
    [aux_sym_visibility_modifier_token1] = ACTIONS(869),
    [aux_sym_visibility_modifier_token2] = ACTIONS(869),
    [aux_sym_visibility_modifier_token3] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_array] = ACTIONS(869),
    [anon_sym_unset] = ACTIONS(869),
    [aux_sym_echo_statement_token1] = ACTIONS(869),
    [anon_sym_declare] = ACTIONS(869),
    [aux_sym_declare_statement_token1] = ACTIONS(869),
    [sym_float] = ACTIONS(869),
    [aux_sym_try_statement_token1] = ACTIONS(869),
    [aux_sym_goto_statement_token1] = ACTIONS(869),
    [aux_sym_continue_statement_token1] = ACTIONS(869),
    [aux_sym_break_statement_token1] = ACTIONS(869),
    [sym_integer] = ACTIONS(869),
    [aux_sym_return_statement_token1] = ACTIONS(869),
    [aux_sym_throw_expression_token1] = ACTIONS(869),
    [aux_sym_while_statement_token1] = ACTIONS(869),
    [aux_sym_while_statement_token2] = ACTIONS(869),
    [aux_sym_do_statement_token1] = ACTIONS(869),
    [aux_sym_for_statement_token1] = ACTIONS(869),
    [aux_sym_for_statement_token2] = ACTIONS(869),
    [aux_sym_foreach_statement_token1] = ACTIONS(869),
    [aux_sym_foreach_statement_token2] = ACTIONS(869),
    [aux_sym_if_statement_token1] = ACTIONS(869),
    [aux_sym_if_statement_token2] = ACTIONS(869),
    [aux_sym_else_if_clause_token1] = ACTIONS(869),
    [aux_sym_else_clause_token1] = ACTIONS(869),
    [aux_sym_switch_statement_token1] = ACTIONS(869),
    [aux_sym_switch_block_token1] = ACTIONS(869),
    [aux_sym_case_statement_token1] = ACTIONS(869),
    [aux_sym_default_statement_token1] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_clone] = ACTIONS(869),
    [anon_sym_print] = ACTIONS(869),
    [anon_sym_new] = ACTIONS(869),
    [anon_sym_PLUS_PLUS] = ACTIONS(867),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [sym_shell_command_expression] = ACTIONS(867),
    [anon_sym_list] = ACTIONS(869),
    [anon_sym_LBRACK] = ACTIONS(867),
    [anon_sym_self] = ACTIONS(869),
    [anon_sym_parent] = ACTIONS(869),
    [sym_string] = ACTIONS(867),
    [sym_boolean] = ACTIONS(869),
    [sym_null] = ACTIONS(869),
    [anon_sym_DOLLAR] = ACTIONS(867),
    [anon_sym_yield] = ACTIONS(869),
    [aux_sym_include_expression_token1] = ACTIONS(869),
    [aux_sym_include_once_expression_token1] = ACTIONS(869),
    [aux_sym_require_expression_token1] = ACTIONS(869),
    [aux_sym_require_once_expression_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(867),
  },
  [330] = {
    [sym_text_interpolation] = STATE(330),
    [ts_builtin_sym_end] = ACTIONS(871),
    [sym_name] = ACTIONS(873),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(871),
    [aux_sym_function_static_declaration_token1] = ACTIONS(873),
    [aux_sym_global_declaration_token1] = ACTIONS(873),
    [aux_sym_namespace_definition_token1] = ACTIONS(873),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(873),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(873),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(873),
    [anon_sym_BSLASH] = ACTIONS(871),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [aux_sym_trait_declaration_token1] = ACTIONS(873),
    [aux_sym_interface_declaration_token1] = ACTIONS(873),
    [aux_sym_class_declaration_token1] = ACTIONS(873),
    [aux_sym_class_modifier_token1] = ACTIONS(873),
    [aux_sym_class_modifier_token2] = ACTIONS(873),
    [aux_sym_visibility_modifier_token1] = ACTIONS(873),
    [aux_sym_visibility_modifier_token2] = ACTIONS(873),
    [aux_sym_visibility_modifier_token3] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_array] = ACTIONS(873),
    [anon_sym_unset] = ACTIONS(873),
    [aux_sym_echo_statement_token1] = ACTIONS(873),
    [anon_sym_declare] = ACTIONS(873),
    [aux_sym_declare_statement_token1] = ACTIONS(873),
    [sym_float] = ACTIONS(873),
    [aux_sym_try_statement_token1] = ACTIONS(873),
    [aux_sym_goto_statement_token1] = ACTIONS(873),
    [aux_sym_continue_statement_token1] = ACTIONS(873),
    [aux_sym_break_statement_token1] = ACTIONS(873),
    [sym_integer] = ACTIONS(873),
    [aux_sym_return_statement_token1] = ACTIONS(873),
    [aux_sym_throw_expression_token1] = ACTIONS(873),
    [aux_sym_while_statement_token1] = ACTIONS(873),
    [aux_sym_while_statement_token2] = ACTIONS(873),
    [aux_sym_do_statement_token1] = ACTIONS(873),
    [aux_sym_for_statement_token1] = ACTIONS(873),
    [aux_sym_for_statement_token2] = ACTIONS(873),
    [aux_sym_foreach_statement_token1] = ACTIONS(873),
    [aux_sym_foreach_statement_token2] = ACTIONS(873),
    [aux_sym_if_statement_token1] = ACTIONS(873),
    [aux_sym_if_statement_token2] = ACTIONS(873),
    [aux_sym_else_if_clause_token1] = ACTIONS(873),
    [aux_sym_else_clause_token1] = ACTIONS(873),
    [aux_sym_switch_statement_token1] = ACTIONS(873),
    [aux_sym_switch_block_token1] = ACTIONS(873),
    [aux_sym_case_statement_token1] = ACTIONS(873),
    [aux_sym_default_statement_token1] = ACTIONS(873),
    [anon_sym_AT] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(873),
    [anon_sym_DASH] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(871),
    [anon_sym_BANG] = ACTIONS(871),
    [anon_sym_clone] = ACTIONS(873),
    [anon_sym_print] = ACTIONS(873),
    [anon_sym_new] = ACTIONS(873),
    [anon_sym_PLUS_PLUS] = ACTIONS(871),
    [anon_sym_DASH_DASH] = ACTIONS(871),
    [sym_shell_command_expression] = ACTIONS(871),
    [anon_sym_list] = ACTIONS(873),
    [anon_sym_LBRACK] = ACTIONS(871),
    [anon_sym_self] = ACTIONS(873),
    [anon_sym_parent] = ACTIONS(873),
    [sym_string] = ACTIONS(871),
    [sym_boolean] = ACTIONS(873),
    [sym_null] = ACTIONS(873),
    [anon_sym_DOLLAR] = ACTIONS(871),
    [anon_sym_yield] = ACTIONS(873),
    [aux_sym_include_expression_token1] = ACTIONS(873),
    [aux_sym_include_once_expression_token1] = ACTIONS(873),
    [aux_sym_require_expression_token1] = ACTIONS(873),
    [aux_sym_require_once_expression_token1] = ACTIONS(873),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(871),
  },
  [331] = {
    [sym_text_interpolation] = STATE(331),
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_name] = ACTIONS(877),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(875),
    [aux_sym_function_static_declaration_token1] = ACTIONS(877),
    [aux_sym_global_declaration_token1] = ACTIONS(877),
    [aux_sym_namespace_definition_token1] = ACTIONS(877),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(877),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(877),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(877),
    [anon_sym_BSLASH] = ACTIONS(875),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [aux_sym_trait_declaration_token1] = ACTIONS(877),
    [aux_sym_interface_declaration_token1] = ACTIONS(877),
    [aux_sym_class_declaration_token1] = ACTIONS(877),
    [aux_sym_class_modifier_token1] = ACTIONS(877),
    [aux_sym_class_modifier_token2] = ACTIONS(877),
    [aux_sym_visibility_modifier_token1] = ACTIONS(877),
    [aux_sym_visibility_modifier_token2] = ACTIONS(877),
    [aux_sym_visibility_modifier_token3] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_array] = ACTIONS(877),
    [anon_sym_unset] = ACTIONS(877),
    [aux_sym_echo_statement_token1] = ACTIONS(877),
    [anon_sym_declare] = ACTIONS(877),
    [aux_sym_declare_statement_token1] = ACTIONS(877),
    [sym_float] = ACTIONS(877),
    [aux_sym_try_statement_token1] = ACTIONS(877),
    [aux_sym_goto_statement_token1] = ACTIONS(877),
    [aux_sym_continue_statement_token1] = ACTIONS(877),
    [aux_sym_break_statement_token1] = ACTIONS(877),
    [sym_integer] = ACTIONS(877),
    [aux_sym_return_statement_token1] = ACTIONS(877),
    [aux_sym_throw_expression_token1] = ACTIONS(877),
    [aux_sym_while_statement_token1] = ACTIONS(877),
    [aux_sym_while_statement_token2] = ACTIONS(877),
    [aux_sym_do_statement_token1] = ACTIONS(877),
    [aux_sym_for_statement_token1] = ACTIONS(877),
    [aux_sym_for_statement_token2] = ACTIONS(877),
    [aux_sym_foreach_statement_token1] = ACTIONS(877),
    [aux_sym_foreach_statement_token2] = ACTIONS(877),
    [aux_sym_if_statement_token1] = ACTIONS(877),
    [aux_sym_if_statement_token2] = ACTIONS(877),
    [aux_sym_else_if_clause_token1] = ACTIONS(877),
    [aux_sym_else_clause_token1] = ACTIONS(877),
    [aux_sym_switch_statement_token1] = ACTIONS(877),
    [aux_sym_switch_block_token1] = ACTIONS(877),
    [aux_sym_case_statement_token1] = ACTIONS(877),
    [aux_sym_default_statement_token1] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_TILDE] = ACTIONS(875),
    [anon_sym_BANG] = ACTIONS(875),
    [anon_sym_clone] = ACTIONS(877),
    [anon_sym_print] = ACTIONS(877),
    [anon_sym_new] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(875),
    [anon_sym_DASH_DASH] = ACTIONS(875),
    [sym_shell_command_expression] = ACTIONS(875),
    [anon_sym_list] = ACTIONS(877),
    [anon_sym_LBRACK] = ACTIONS(875),
    [anon_sym_self] = ACTIONS(877),
    [anon_sym_parent] = ACTIONS(877),
    [sym_string] = ACTIONS(875),
    [sym_boolean] = ACTIONS(877),
    [sym_null] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(875),
    [anon_sym_yield] = ACTIONS(877),
    [aux_sym_include_expression_token1] = ACTIONS(877),
    [aux_sym_include_once_expression_token1] = ACTIONS(877),
    [aux_sym_require_expression_token1] = ACTIONS(877),
    [aux_sym_require_once_expression_token1] = ACTIONS(877),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(875),
  },
  [332] = {
    [sym_text_interpolation] = STATE(332),
    [ts_builtin_sym_end] = ACTIONS(879),
    [sym_name] = ACTIONS(881),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(879),
    [aux_sym_function_static_declaration_token1] = ACTIONS(881),
    [aux_sym_global_declaration_token1] = ACTIONS(881),
    [aux_sym_namespace_definition_token1] = ACTIONS(881),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(881),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(881),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(881),
    [anon_sym_BSLASH] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(879),
    [aux_sym_trait_declaration_token1] = ACTIONS(881),
    [aux_sym_interface_declaration_token1] = ACTIONS(881),
    [aux_sym_class_declaration_token1] = ACTIONS(881),
    [aux_sym_class_modifier_token1] = ACTIONS(881),
    [aux_sym_class_modifier_token2] = ACTIONS(881),
    [aux_sym_visibility_modifier_token1] = ACTIONS(881),
    [aux_sym_visibility_modifier_token2] = ACTIONS(881),
    [aux_sym_visibility_modifier_token3] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(879),
    [anon_sym_array] = ACTIONS(881),
    [anon_sym_unset] = ACTIONS(881),
    [aux_sym_echo_statement_token1] = ACTIONS(881),
    [anon_sym_declare] = ACTIONS(881),
    [aux_sym_declare_statement_token1] = ACTIONS(881),
    [sym_float] = ACTIONS(881),
    [aux_sym_try_statement_token1] = ACTIONS(881),
    [aux_sym_goto_statement_token1] = ACTIONS(881),
    [aux_sym_continue_statement_token1] = ACTIONS(881),
    [aux_sym_break_statement_token1] = ACTIONS(881),
    [sym_integer] = ACTIONS(881),
    [aux_sym_return_statement_token1] = ACTIONS(881),
    [aux_sym_throw_expression_token1] = ACTIONS(881),
    [aux_sym_while_statement_token1] = ACTIONS(881),
    [aux_sym_while_statement_token2] = ACTIONS(881),
    [aux_sym_do_statement_token1] = ACTIONS(881),
    [aux_sym_for_statement_token1] = ACTIONS(881),
    [aux_sym_for_statement_token2] = ACTIONS(881),
    [aux_sym_foreach_statement_token1] = ACTIONS(881),
    [aux_sym_foreach_statement_token2] = ACTIONS(881),
    [aux_sym_if_statement_token1] = ACTIONS(881),
    [aux_sym_if_statement_token2] = ACTIONS(881),
    [aux_sym_else_if_clause_token1] = ACTIONS(881),
    [aux_sym_else_clause_token1] = ACTIONS(881),
    [aux_sym_switch_statement_token1] = ACTIONS(881),
    [aux_sym_switch_block_token1] = ACTIONS(881),
    [aux_sym_case_statement_token1] = ACTIONS(881),
    [aux_sym_default_statement_token1] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_TILDE] = ACTIONS(879),
    [anon_sym_BANG] = ACTIONS(879),
    [anon_sym_clone] = ACTIONS(881),
    [anon_sym_print] = ACTIONS(881),
    [anon_sym_new] = ACTIONS(881),
    [anon_sym_PLUS_PLUS] = ACTIONS(879),
    [anon_sym_DASH_DASH] = ACTIONS(879),
    [sym_shell_command_expression] = ACTIONS(879),
    [anon_sym_list] = ACTIONS(881),
    [anon_sym_LBRACK] = ACTIONS(879),
    [anon_sym_self] = ACTIONS(881),
    [anon_sym_parent] = ACTIONS(881),
    [sym_string] = ACTIONS(879),
    [sym_boolean] = ACTIONS(881),
    [sym_null] = ACTIONS(881),
    [anon_sym_DOLLAR] = ACTIONS(879),
    [anon_sym_yield] = ACTIONS(881),
    [aux_sym_include_expression_token1] = ACTIONS(881),
    [aux_sym_include_once_expression_token1] = ACTIONS(881),
    [aux_sym_require_expression_token1] = ACTIONS(881),
    [aux_sym_require_once_expression_token1] = ACTIONS(881),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(879),
  },
  [333] = {
    [sym_text_interpolation] = STATE(333),
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_name] = ACTIONS(885),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(883),
    [aux_sym_function_static_declaration_token1] = ACTIONS(885),
    [aux_sym_global_declaration_token1] = ACTIONS(885),
    [aux_sym_namespace_definition_token1] = ACTIONS(885),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(885),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(885),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(885),
    [anon_sym_BSLASH] = ACTIONS(883),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [aux_sym_trait_declaration_token1] = ACTIONS(885),
    [aux_sym_interface_declaration_token1] = ACTIONS(885),
    [aux_sym_class_declaration_token1] = ACTIONS(885),
    [aux_sym_class_modifier_token1] = ACTIONS(885),
    [aux_sym_class_modifier_token2] = ACTIONS(885),
    [aux_sym_visibility_modifier_token1] = ACTIONS(885),
    [aux_sym_visibility_modifier_token2] = ACTIONS(885),
    [aux_sym_visibility_modifier_token3] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_array] = ACTIONS(885),
    [anon_sym_unset] = ACTIONS(885),
    [aux_sym_echo_statement_token1] = ACTIONS(885),
    [anon_sym_declare] = ACTIONS(885),
    [aux_sym_declare_statement_token1] = ACTIONS(885),
    [sym_float] = ACTIONS(885),
    [aux_sym_try_statement_token1] = ACTIONS(885),
    [aux_sym_goto_statement_token1] = ACTIONS(885),
    [aux_sym_continue_statement_token1] = ACTIONS(885),
    [aux_sym_break_statement_token1] = ACTIONS(885),
    [sym_integer] = ACTIONS(885),
    [aux_sym_return_statement_token1] = ACTIONS(885),
    [aux_sym_throw_expression_token1] = ACTIONS(885),
    [aux_sym_while_statement_token1] = ACTIONS(885),
    [aux_sym_while_statement_token2] = ACTIONS(885),
    [aux_sym_do_statement_token1] = ACTIONS(885),
    [aux_sym_for_statement_token1] = ACTIONS(885),
    [aux_sym_for_statement_token2] = ACTIONS(885),
    [aux_sym_foreach_statement_token1] = ACTIONS(885),
    [aux_sym_foreach_statement_token2] = ACTIONS(885),
    [aux_sym_if_statement_token1] = ACTIONS(885),
    [aux_sym_if_statement_token2] = ACTIONS(885),
    [aux_sym_else_if_clause_token1] = ACTIONS(885),
    [aux_sym_else_clause_token1] = ACTIONS(885),
    [aux_sym_switch_statement_token1] = ACTIONS(885),
    [aux_sym_switch_block_token1] = ACTIONS(885),
    [aux_sym_case_statement_token1] = ACTIONS(885),
    [aux_sym_default_statement_token1] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_TILDE] = ACTIONS(883),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_clone] = ACTIONS(885),
    [anon_sym_print] = ACTIONS(885),
    [anon_sym_new] = ACTIONS(885),
    [anon_sym_PLUS_PLUS] = ACTIONS(883),
    [anon_sym_DASH_DASH] = ACTIONS(883),
    [sym_shell_command_expression] = ACTIONS(883),
    [anon_sym_list] = ACTIONS(885),
    [anon_sym_LBRACK] = ACTIONS(883),
    [anon_sym_self] = ACTIONS(885),
    [anon_sym_parent] = ACTIONS(885),
    [sym_string] = ACTIONS(883),
    [sym_boolean] = ACTIONS(885),
    [sym_null] = ACTIONS(885),
    [anon_sym_DOLLAR] = ACTIONS(883),
    [anon_sym_yield] = ACTIONS(885),
    [aux_sym_include_expression_token1] = ACTIONS(885),
    [aux_sym_include_once_expression_token1] = ACTIONS(885),
    [aux_sym_require_expression_token1] = ACTIONS(885),
    [aux_sym_require_once_expression_token1] = ACTIONS(885),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(883),
  },
  [334] = {
    [sym_text_interpolation] = STATE(334),
    [ts_builtin_sym_end] = ACTIONS(887),
    [sym_name] = ACTIONS(889),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(887),
    [aux_sym_function_static_declaration_token1] = ACTIONS(889),
    [aux_sym_global_declaration_token1] = ACTIONS(889),
    [aux_sym_namespace_definition_token1] = ACTIONS(889),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(889),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(889),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(889),
    [anon_sym_BSLASH] = ACTIONS(887),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_RBRACE] = ACTIONS(887),
    [aux_sym_trait_declaration_token1] = ACTIONS(889),
    [aux_sym_interface_declaration_token1] = ACTIONS(889),
    [aux_sym_class_declaration_token1] = ACTIONS(889),
    [aux_sym_class_modifier_token1] = ACTIONS(889),
    [aux_sym_class_modifier_token2] = ACTIONS(889),
    [aux_sym_visibility_modifier_token1] = ACTIONS(889),
    [aux_sym_visibility_modifier_token2] = ACTIONS(889),
    [aux_sym_visibility_modifier_token3] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_array] = ACTIONS(889),
    [anon_sym_unset] = ACTIONS(889),
    [aux_sym_echo_statement_token1] = ACTIONS(889),
    [anon_sym_declare] = ACTIONS(889),
    [aux_sym_declare_statement_token1] = ACTIONS(889),
    [sym_float] = ACTIONS(889),
    [aux_sym_try_statement_token1] = ACTIONS(889),
    [aux_sym_goto_statement_token1] = ACTIONS(889),
    [aux_sym_continue_statement_token1] = ACTIONS(889),
    [aux_sym_break_statement_token1] = ACTIONS(889),
    [sym_integer] = ACTIONS(889),
    [aux_sym_return_statement_token1] = ACTIONS(889),
    [aux_sym_throw_expression_token1] = ACTIONS(889),
    [aux_sym_while_statement_token1] = ACTIONS(889),
    [aux_sym_while_statement_token2] = ACTIONS(889),
    [aux_sym_do_statement_token1] = ACTIONS(889),
    [aux_sym_for_statement_token1] = ACTIONS(889),
    [aux_sym_for_statement_token2] = ACTIONS(889),
    [aux_sym_foreach_statement_token1] = ACTIONS(889),
    [aux_sym_foreach_statement_token2] = ACTIONS(889),
    [aux_sym_if_statement_token1] = ACTIONS(889),
    [aux_sym_if_statement_token2] = ACTIONS(889),
    [aux_sym_else_if_clause_token1] = ACTIONS(889),
    [aux_sym_else_clause_token1] = ACTIONS(889),
    [aux_sym_switch_statement_token1] = ACTIONS(889),
    [aux_sym_switch_block_token1] = ACTIONS(889),
    [aux_sym_case_statement_token1] = ACTIONS(889),
    [aux_sym_default_statement_token1] = ACTIONS(889),
    [anon_sym_AT] = ACTIONS(887),
    [anon_sym_PLUS] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(887),
    [anon_sym_BANG] = ACTIONS(887),
    [anon_sym_clone] = ACTIONS(889),
    [anon_sym_print] = ACTIONS(889),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [sym_shell_command_expression] = ACTIONS(887),
    [anon_sym_list] = ACTIONS(889),
    [anon_sym_LBRACK] = ACTIONS(887),
    [anon_sym_self] = ACTIONS(889),
    [anon_sym_parent] = ACTIONS(889),
    [sym_string] = ACTIONS(887),
    [sym_boolean] = ACTIONS(889),
    [sym_null] = ACTIONS(889),
    [anon_sym_DOLLAR] = ACTIONS(887),
    [anon_sym_yield] = ACTIONS(889),
    [aux_sym_include_expression_token1] = ACTIONS(889),
    [aux_sym_include_once_expression_token1] = ACTIONS(889),
    [aux_sym_require_expression_token1] = ACTIONS(889),
    [aux_sym_require_once_expression_token1] = ACTIONS(889),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(887),
  },
  [335] = {
    [sym_text_interpolation] = STATE(335),
    [ts_builtin_sym_end] = ACTIONS(891),
    [sym_name] = ACTIONS(893),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(891),
    [aux_sym_function_static_declaration_token1] = ACTIONS(893),
    [aux_sym_global_declaration_token1] = ACTIONS(893),
    [aux_sym_namespace_definition_token1] = ACTIONS(893),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(893),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(893),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(893),
    [anon_sym_BSLASH] = ACTIONS(891),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [aux_sym_trait_declaration_token1] = ACTIONS(893),
    [aux_sym_interface_declaration_token1] = ACTIONS(893),
    [aux_sym_class_declaration_token1] = ACTIONS(893),
    [aux_sym_class_modifier_token1] = ACTIONS(893),
    [aux_sym_class_modifier_token2] = ACTIONS(893),
    [aux_sym_visibility_modifier_token1] = ACTIONS(893),
    [aux_sym_visibility_modifier_token2] = ACTIONS(893),
    [aux_sym_visibility_modifier_token3] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(891),
    [anon_sym_array] = ACTIONS(893),
    [anon_sym_unset] = ACTIONS(893),
    [aux_sym_echo_statement_token1] = ACTIONS(893),
    [anon_sym_declare] = ACTIONS(893),
    [aux_sym_declare_statement_token1] = ACTIONS(893),
    [sym_float] = ACTIONS(893),
    [aux_sym_try_statement_token1] = ACTIONS(893),
    [aux_sym_goto_statement_token1] = ACTIONS(893),
    [aux_sym_continue_statement_token1] = ACTIONS(893),
    [aux_sym_break_statement_token1] = ACTIONS(893),
    [sym_integer] = ACTIONS(893),
    [aux_sym_return_statement_token1] = ACTIONS(893),
    [aux_sym_throw_expression_token1] = ACTIONS(893),
    [aux_sym_while_statement_token1] = ACTIONS(893),
    [aux_sym_while_statement_token2] = ACTIONS(893),
    [aux_sym_do_statement_token1] = ACTIONS(893),
    [aux_sym_for_statement_token1] = ACTIONS(893),
    [aux_sym_for_statement_token2] = ACTIONS(893),
    [aux_sym_foreach_statement_token1] = ACTIONS(893),
    [aux_sym_foreach_statement_token2] = ACTIONS(893),
    [aux_sym_if_statement_token1] = ACTIONS(893),
    [aux_sym_if_statement_token2] = ACTIONS(893),
    [aux_sym_else_if_clause_token1] = ACTIONS(893),
    [aux_sym_else_clause_token1] = ACTIONS(893),
    [aux_sym_switch_statement_token1] = ACTIONS(893),
    [aux_sym_switch_block_token1] = ACTIONS(893),
    [aux_sym_case_statement_token1] = ACTIONS(893),
    [aux_sym_default_statement_token1] = ACTIONS(893),
    [anon_sym_AT] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_clone] = ACTIONS(893),
    [anon_sym_print] = ACTIONS(893),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_PLUS_PLUS] = ACTIONS(891),
    [anon_sym_DASH_DASH] = ACTIONS(891),
    [sym_shell_command_expression] = ACTIONS(891),
    [anon_sym_list] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(891),
    [anon_sym_self] = ACTIONS(893),
    [anon_sym_parent] = ACTIONS(893),
    [sym_string] = ACTIONS(891),
    [sym_boolean] = ACTIONS(893),
    [sym_null] = ACTIONS(893),
    [anon_sym_DOLLAR] = ACTIONS(891),
    [anon_sym_yield] = ACTIONS(893),
    [aux_sym_include_expression_token1] = ACTIONS(893),
    [aux_sym_include_once_expression_token1] = ACTIONS(893),
    [aux_sym_require_expression_token1] = ACTIONS(893),
    [aux_sym_require_once_expression_token1] = ACTIONS(893),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(891),
  },
  [336] = {
    [sym_text_interpolation] = STATE(336),
    [ts_builtin_sym_end] = ACTIONS(895),
    [sym_name] = ACTIONS(897),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(897),
    [aux_sym_global_declaration_token1] = ACTIONS(897),
    [aux_sym_namespace_definition_token1] = ACTIONS(897),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(897),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(897),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(897),
    [anon_sym_BSLASH] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(895),
    [aux_sym_trait_declaration_token1] = ACTIONS(897),
    [aux_sym_interface_declaration_token1] = ACTIONS(897),
    [aux_sym_class_declaration_token1] = ACTIONS(897),
    [aux_sym_class_modifier_token1] = ACTIONS(897),
    [aux_sym_class_modifier_token2] = ACTIONS(897),
    [aux_sym_visibility_modifier_token1] = ACTIONS(897),
    [aux_sym_visibility_modifier_token2] = ACTIONS(897),
    [aux_sym_visibility_modifier_token3] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(895),
    [anon_sym_array] = ACTIONS(897),
    [anon_sym_unset] = ACTIONS(897),
    [aux_sym_echo_statement_token1] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [aux_sym_declare_statement_token1] = ACTIONS(897),
    [sym_float] = ACTIONS(897),
    [aux_sym_try_statement_token1] = ACTIONS(897),
    [aux_sym_goto_statement_token1] = ACTIONS(897),
    [aux_sym_continue_statement_token1] = ACTIONS(897),
    [aux_sym_break_statement_token1] = ACTIONS(897),
    [sym_integer] = ACTIONS(897),
    [aux_sym_return_statement_token1] = ACTIONS(897),
    [aux_sym_throw_expression_token1] = ACTIONS(897),
    [aux_sym_while_statement_token1] = ACTIONS(897),
    [aux_sym_while_statement_token2] = ACTIONS(897),
    [aux_sym_do_statement_token1] = ACTIONS(897),
    [aux_sym_for_statement_token1] = ACTIONS(897),
    [aux_sym_for_statement_token2] = ACTIONS(897),
    [aux_sym_foreach_statement_token1] = ACTIONS(897),
    [aux_sym_foreach_statement_token2] = ACTIONS(897),
    [aux_sym_if_statement_token1] = ACTIONS(897),
    [aux_sym_if_statement_token2] = ACTIONS(897),
    [aux_sym_else_if_clause_token1] = ACTIONS(897),
    [aux_sym_else_clause_token1] = ACTIONS(897),
    [aux_sym_switch_statement_token1] = ACTIONS(897),
    [aux_sym_switch_block_token1] = ACTIONS(897),
    [aux_sym_case_statement_token1] = ACTIONS(897),
    [aux_sym_default_statement_token1] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_clone] = ACTIONS(897),
    [anon_sym_print] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(895),
    [anon_sym_DASH_DASH] = ACTIONS(895),
    [sym_shell_command_expression] = ACTIONS(895),
    [anon_sym_list] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(895),
    [anon_sym_self] = ACTIONS(897),
    [anon_sym_parent] = ACTIONS(897),
    [sym_string] = ACTIONS(895),
    [sym_boolean] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [anon_sym_DOLLAR] = ACTIONS(895),
    [anon_sym_yield] = ACTIONS(897),
    [aux_sym_include_expression_token1] = ACTIONS(897),
    [aux_sym_include_once_expression_token1] = ACTIONS(897),
    [aux_sym_require_expression_token1] = ACTIONS(897),
    [aux_sym_require_once_expression_token1] = ACTIONS(897),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(895),
  },
  [337] = {
    [sym_text_interpolation] = STATE(337),
    [ts_builtin_sym_end] = ACTIONS(895),
    [sym_name] = ACTIONS(897),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(895),
    [aux_sym_function_static_declaration_token1] = ACTIONS(897),
    [aux_sym_global_declaration_token1] = ACTIONS(897),
    [aux_sym_namespace_definition_token1] = ACTIONS(897),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(897),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(897),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(897),
    [anon_sym_BSLASH] = ACTIONS(895),
    [anon_sym_LBRACE] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(895),
    [aux_sym_trait_declaration_token1] = ACTIONS(897),
    [aux_sym_interface_declaration_token1] = ACTIONS(897),
    [aux_sym_class_declaration_token1] = ACTIONS(897),
    [aux_sym_class_modifier_token1] = ACTIONS(897),
    [aux_sym_class_modifier_token2] = ACTIONS(897),
    [aux_sym_visibility_modifier_token1] = ACTIONS(897),
    [aux_sym_visibility_modifier_token2] = ACTIONS(897),
    [aux_sym_visibility_modifier_token3] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(895),
    [anon_sym_array] = ACTIONS(897),
    [anon_sym_unset] = ACTIONS(897),
    [aux_sym_echo_statement_token1] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [aux_sym_declare_statement_token1] = ACTIONS(897),
    [sym_float] = ACTIONS(897),
    [aux_sym_try_statement_token1] = ACTIONS(897),
    [aux_sym_goto_statement_token1] = ACTIONS(897),
    [aux_sym_continue_statement_token1] = ACTIONS(897),
    [aux_sym_break_statement_token1] = ACTIONS(897),
    [sym_integer] = ACTIONS(897),
    [aux_sym_return_statement_token1] = ACTIONS(897),
    [aux_sym_throw_expression_token1] = ACTIONS(897),
    [aux_sym_while_statement_token1] = ACTIONS(897),
    [aux_sym_while_statement_token2] = ACTIONS(897),
    [aux_sym_do_statement_token1] = ACTIONS(897),
    [aux_sym_for_statement_token1] = ACTIONS(897),
    [aux_sym_for_statement_token2] = ACTIONS(897),
    [aux_sym_foreach_statement_token1] = ACTIONS(897),
    [aux_sym_foreach_statement_token2] = ACTIONS(897),
    [aux_sym_if_statement_token1] = ACTIONS(897),
    [aux_sym_if_statement_token2] = ACTIONS(897),
    [aux_sym_else_if_clause_token1] = ACTIONS(897),
    [aux_sym_else_clause_token1] = ACTIONS(897),
    [aux_sym_switch_statement_token1] = ACTIONS(897),
    [aux_sym_switch_block_token1] = ACTIONS(897),
    [aux_sym_case_statement_token1] = ACTIONS(897),
    [aux_sym_default_statement_token1] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_clone] = ACTIONS(897),
    [anon_sym_print] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_PLUS_PLUS] = ACTIONS(895),
    [anon_sym_DASH_DASH] = ACTIONS(895),
    [sym_shell_command_expression] = ACTIONS(895),
    [anon_sym_list] = ACTIONS(897),
    [anon_sym_LBRACK] = ACTIONS(895),
    [anon_sym_self] = ACTIONS(897),
    [anon_sym_parent] = ACTIONS(897),
    [sym_string] = ACTIONS(895),
    [sym_boolean] = ACTIONS(897),
    [sym_null] = ACTIONS(897),
    [anon_sym_DOLLAR] = ACTIONS(895),
    [anon_sym_yield] = ACTIONS(897),
    [aux_sym_include_expression_token1] = ACTIONS(897),
    [aux_sym_include_once_expression_token1] = ACTIONS(897),
    [aux_sym_require_expression_token1] = ACTIONS(897),
    [aux_sym_require_once_expression_token1] = ACTIONS(897),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(895),
  },
  [338] = {
    [sym_text_interpolation] = STATE(338),
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_name] = ACTIONS(901),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(899),
    [aux_sym_function_static_declaration_token1] = ACTIONS(901),
    [aux_sym_global_declaration_token1] = ACTIONS(901),
    [aux_sym_namespace_definition_token1] = ACTIONS(901),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(901),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(901),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(901),
    [anon_sym_BSLASH] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(899),
    [aux_sym_trait_declaration_token1] = ACTIONS(901),
    [aux_sym_interface_declaration_token1] = ACTIONS(901),
    [aux_sym_class_declaration_token1] = ACTIONS(901),
    [aux_sym_class_modifier_token1] = ACTIONS(901),
    [aux_sym_class_modifier_token2] = ACTIONS(901),
    [aux_sym_visibility_modifier_token1] = ACTIONS(901),
    [aux_sym_visibility_modifier_token2] = ACTIONS(901),
    [aux_sym_visibility_modifier_token3] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_array] = ACTIONS(901),
    [anon_sym_unset] = ACTIONS(901),
    [aux_sym_echo_statement_token1] = ACTIONS(901),
    [anon_sym_declare] = ACTIONS(901),
    [aux_sym_declare_statement_token1] = ACTIONS(901),
    [sym_float] = ACTIONS(901),
    [aux_sym_try_statement_token1] = ACTIONS(901),
    [aux_sym_goto_statement_token1] = ACTIONS(901),
    [aux_sym_continue_statement_token1] = ACTIONS(901),
    [aux_sym_break_statement_token1] = ACTIONS(901),
    [sym_integer] = ACTIONS(901),
    [aux_sym_return_statement_token1] = ACTIONS(901),
    [aux_sym_throw_expression_token1] = ACTIONS(901),
    [aux_sym_while_statement_token1] = ACTIONS(901),
    [aux_sym_while_statement_token2] = ACTIONS(901),
    [aux_sym_do_statement_token1] = ACTIONS(901),
    [aux_sym_for_statement_token1] = ACTIONS(901),
    [aux_sym_for_statement_token2] = ACTIONS(901),
    [aux_sym_foreach_statement_token1] = ACTIONS(901),
    [aux_sym_foreach_statement_token2] = ACTIONS(901),
    [aux_sym_if_statement_token1] = ACTIONS(901),
    [aux_sym_if_statement_token2] = ACTIONS(901),
    [aux_sym_else_if_clause_token1] = ACTIONS(901),
    [aux_sym_else_clause_token1] = ACTIONS(901),
    [aux_sym_switch_statement_token1] = ACTIONS(901),
    [aux_sym_switch_block_token1] = ACTIONS(901),
    [aux_sym_case_statement_token1] = ACTIONS(901),
    [aux_sym_default_statement_token1] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_TILDE] = ACTIONS(899),
    [anon_sym_BANG] = ACTIONS(899),
    [anon_sym_clone] = ACTIONS(901),
    [anon_sym_print] = ACTIONS(901),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_PLUS_PLUS] = ACTIONS(899),
    [anon_sym_DASH_DASH] = ACTIONS(899),
    [sym_shell_command_expression] = ACTIONS(899),
    [anon_sym_list] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_self] = ACTIONS(901),
    [anon_sym_parent] = ACTIONS(901),
    [sym_string] = ACTIONS(899),
    [sym_boolean] = ACTIONS(901),
    [sym_null] = ACTIONS(901),
    [anon_sym_DOLLAR] = ACTIONS(899),
    [anon_sym_yield] = ACTIONS(901),
    [aux_sym_include_expression_token1] = ACTIONS(901),
    [aux_sym_include_once_expression_token1] = ACTIONS(901),
    [aux_sym_require_expression_token1] = ACTIONS(901),
    [aux_sym_require_once_expression_token1] = ACTIONS(901),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(899),
  },
  [339] = {
    [sym_text_interpolation] = STATE(339),
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_name] = ACTIONS(905),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(903),
    [aux_sym_function_static_declaration_token1] = ACTIONS(905),
    [aux_sym_global_declaration_token1] = ACTIONS(905),
    [aux_sym_namespace_definition_token1] = ACTIONS(905),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(905),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(905),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(905),
    [anon_sym_BSLASH] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [aux_sym_trait_declaration_token1] = ACTIONS(905),
    [aux_sym_interface_declaration_token1] = ACTIONS(905),
    [aux_sym_class_declaration_token1] = ACTIONS(905),
    [aux_sym_class_modifier_token1] = ACTIONS(905),
    [aux_sym_class_modifier_token2] = ACTIONS(905),
    [aux_sym_visibility_modifier_token1] = ACTIONS(905),
    [aux_sym_visibility_modifier_token2] = ACTIONS(905),
    [aux_sym_visibility_modifier_token3] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(903),
    [anon_sym_array] = ACTIONS(905),
    [anon_sym_unset] = ACTIONS(905),
    [aux_sym_echo_statement_token1] = ACTIONS(905),
    [anon_sym_declare] = ACTIONS(905),
    [aux_sym_declare_statement_token1] = ACTIONS(905),
    [sym_float] = ACTIONS(905),
    [aux_sym_try_statement_token1] = ACTIONS(905),
    [aux_sym_goto_statement_token1] = ACTIONS(905),
    [aux_sym_continue_statement_token1] = ACTIONS(905),
    [aux_sym_break_statement_token1] = ACTIONS(905),
    [sym_integer] = ACTIONS(905),
    [aux_sym_return_statement_token1] = ACTIONS(905),
    [aux_sym_throw_expression_token1] = ACTIONS(905),
    [aux_sym_while_statement_token1] = ACTIONS(905),
    [aux_sym_while_statement_token2] = ACTIONS(905),
    [aux_sym_do_statement_token1] = ACTIONS(905),
    [aux_sym_for_statement_token1] = ACTIONS(905),
    [aux_sym_for_statement_token2] = ACTIONS(905),
    [aux_sym_foreach_statement_token1] = ACTIONS(905),
    [aux_sym_foreach_statement_token2] = ACTIONS(905),
    [aux_sym_if_statement_token1] = ACTIONS(905),
    [aux_sym_if_statement_token2] = ACTIONS(905),
    [aux_sym_else_if_clause_token1] = ACTIONS(905),
    [aux_sym_else_clause_token1] = ACTIONS(905),
    [aux_sym_switch_statement_token1] = ACTIONS(905),
    [aux_sym_switch_block_token1] = ACTIONS(905),
    [aux_sym_case_statement_token1] = ACTIONS(905),
    [aux_sym_default_statement_token1] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_TILDE] = ACTIONS(903),
    [anon_sym_BANG] = ACTIONS(903),
    [anon_sym_clone] = ACTIONS(905),
    [anon_sym_print] = ACTIONS(905),
    [anon_sym_new] = ACTIONS(905),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(903),
    [sym_shell_command_expression] = ACTIONS(903),
    [anon_sym_list] = ACTIONS(905),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_self] = ACTIONS(905),
    [anon_sym_parent] = ACTIONS(905),
    [sym_string] = ACTIONS(903),
    [sym_boolean] = ACTIONS(905),
    [sym_null] = ACTIONS(905),
    [anon_sym_DOLLAR] = ACTIONS(903),
    [anon_sym_yield] = ACTIONS(905),
    [aux_sym_include_expression_token1] = ACTIONS(905),
    [aux_sym_include_once_expression_token1] = ACTIONS(905),
    [aux_sym_require_expression_token1] = ACTIONS(905),
    [aux_sym_require_once_expression_token1] = ACTIONS(905),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(903),
  },
  [340] = {
    [sym_text_interpolation] = STATE(340),
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_name] = ACTIONS(909),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(907),
    [aux_sym_function_static_declaration_token1] = ACTIONS(909),
    [aux_sym_global_declaration_token1] = ACTIONS(909),
    [aux_sym_namespace_definition_token1] = ACTIONS(909),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(909),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(909),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(909),
    [anon_sym_BSLASH] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [aux_sym_trait_declaration_token1] = ACTIONS(909),
    [aux_sym_interface_declaration_token1] = ACTIONS(909),
    [aux_sym_class_declaration_token1] = ACTIONS(909),
    [aux_sym_class_modifier_token1] = ACTIONS(909),
    [aux_sym_class_modifier_token2] = ACTIONS(909),
    [aux_sym_visibility_modifier_token1] = ACTIONS(909),
    [aux_sym_visibility_modifier_token2] = ACTIONS(909),
    [aux_sym_visibility_modifier_token3] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(907),
    [anon_sym_array] = ACTIONS(909),
    [anon_sym_unset] = ACTIONS(909),
    [aux_sym_echo_statement_token1] = ACTIONS(909),
    [anon_sym_declare] = ACTIONS(909),
    [aux_sym_declare_statement_token1] = ACTIONS(909),
    [sym_float] = ACTIONS(909),
    [aux_sym_try_statement_token1] = ACTIONS(909),
    [aux_sym_goto_statement_token1] = ACTIONS(909),
    [aux_sym_continue_statement_token1] = ACTIONS(909),
    [aux_sym_break_statement_token1] = ACTIONS(909),
    [sym_integer] = ACTIONS(909),
    [aux_sym_return_statement_token1] = ACTIONS(909),
    [aux_sym_throw_expression_token1] = ACTIONS(909),
    [aux_sym_while_statement_token1] = ACTIONS(909),
    [aux_sym_while_statement_token2] = ACTIONS(909),
    [aux_sym_do_statement_token1] = ACTIONS(909),
    [aux_sym_for_statement_token1] = ACTIONS(909),
    [aux_sym_for_statement_token2] = ACTIONS(909),
    [aux_sym_foreach_statement_token1] = ACTIONS(909),
    [aux_sym_foreach_statement_token2] = ACTIONS(909),
    [aux_sym_if_statement_token1] = ACTIONS(909),
    [aux_sym_if_statement_token2] = ACTIONS(909),
    [aux_sym_else_if_clause_token1] = ACTIONS(909),
    [aux_sym_else_clause_token1] = ACTIONS(909),
    [aux_sym_switch_statement_token1] = ACTIONS(909),
    [aux_sym_switch_block_token1] = ACTIONS(909),
    [aux_sym_case_statement_token1] = ACTIONS(909),
    [aux_sym_default_statement_token1] = ACTIONS(909),
    [anon_sym_AT] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_TILDE] = ACTIONS(907),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_clone] = ACTIONS(909),
    [anon_sym_print] = ACTIONS(909),
    [anon_sym_new] = ACTIONS(909),
    [anon_sym_PLUS_PLUS] = ACTIONS(907),
    [anon_sym_DASH_DASH] = ACTIONS(907),
    [sym_shell_command_expression] = ACTIONS(907),
    [anon_sym_list] = ACTIONS(909),
    [anon_sym_LBRACK] = ACTIONS(907),
    [anon_sym_self] = ACTIONS(909),
    [anon_sym_parent] = ACTIONS(909),
    [sym_string] = ACTIONS(907),
    [sym_boolean] = ACTIONS(909),
    [sym_null] = ACTIONS(909),
    [anon_sym_DOLLAR] = ACTIONS(907),
    [anon_sym_yield] = ACTIONS(909),
    [aux_sym_include_expression_token1] = ACTIONS(909),
    [aux_sym_include_once_expression_token1] = ACTIONS(909),
    [aux_sym_require_expression_token1] = ACTIONS(909),
    [aux_sym_require_once_expression_token1] = ACTIONS(909),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(907),
  },
  [341] = {
    [sym_text_interpolation] = STATE(341),
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_name] = ACTIONS(913),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(911),
    [aux_sym_function_static_declaration_token1] = ACTIONS(913),
    [aux_sym_global_declaration_token1] = ACTIONS(913),
    [aux_sym_namespace_definition_token1] = ACTIONS(913),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(913),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(913),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(913),
    [anon_sym_BSLASH] = ACTIONS(911),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [aux_sym_trait_declaration_token1] = ACTIONS(913),
    [aux_sym_interface_declaration_token1] = ACTIONS(913),
    [aux_sym_class_declaration_token1] = ACTIONS(913),
    [aux_sym_class_modifier_token1] = ACTIONS(913),
    [aux_sym_class_modifier_token2] = ACTIONS(913),
    [aux_sym_visibility_modifier_token1] = ACTIONS(913),
    [aux_sym_visibility_modifier_token2] = ACTIONS(913),
    [aux_sym_visibility_modifier_token3] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_array] = ACTIONS(913),
    [anon_sym_unset] = ACTIONS(913),
    [aux_sym_echo_statement_token1] = ACTIONS(913),
    [anon_sym_declare] = ACTIONS(913),
    [aux_sym_declare_statement_token1] = ACTIONS(913),
    [sym_float] = ACTIONS(913),
    [aux_sym_try_statement_token1] = ACTIONS(913),
    [aux_sym_goto_statement_token1] = ACTIONS(913),
    [aux_sym_continue_statement_token1] = ACTIONS(913),
    [aux_sym_break_statement_token1] = ACTIONS(913),
    [sym_integer] = ACTIONS(913),
    [aux_sym_return_statement_token1] = ACTIONS(913),
    [aux_sym_throw_expression_token1] = ACTIONS(913),
    [aux_sym_while_statement_token1] = ACTIONS(913),
    [aux_sym_while_statement_token2] = ACTIONS(913),
    [aux_sym_do_statement_token1] = ACTIONS(913),
    [aux_sym_for_statement_token1] = ACTIONS(913),
    [aux_sym_for_statement_token2] = ACTIONS(913),
    [aux_sym_foreach_statement_token1] = ACTIONS(913),
    [aux_sym_foreach_statement_token2] = ACTIONS(913),
    [aux_sym_if_statement_token1] = ACTIONS(913),
    [aux_sym_if_statement_token2] = ACTIONS(913),
    [aux_sym_else_if_clause_token1] = ACTIONS(913),
    [aux_sym_else_clause_token1] = ACTIONS(913),
    [aux_sym_switch_statement_token1] = ACTIONS(913),
    [aux_sym_switch_block_token1] = ACTIONS(913),
    [aux_sym_case_statement_token1] = ACTIONS(913),
    [aux_sym_default_statement_token1] = ACTIONS(913),
    [anon_sym_AT] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(911),
    [anon_sym_clone] = ACTIONS(913),
    [anon_sym_print] = ACTIONS(913),
    [anon_sym_new] = ACTIONS(913),
    [anon_sym_PLUS_PLUS] = ACTIONS(911),
    [anon_sym_DASH_DASH] = ACTIONS(911),
    [sym_shell_command_expression] = ACTIONS(911),
    [anon_sym_list] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(911),
    [anon_sym_self] = ACTIONS(913),
    [anon_sym_parent] = ACTIONS(913),
    [sym_string] = ACTIONS(911),
    [sym_boolean] = ACTIONS(913),
    [sym_null] = ACTIONS(913),
    [anon_sym_DOLLAR] = ACTIONS(911),
    [anon_sym_yield] = ACTIONS(913),
    [aux_sym_include_expression_token1] = ACTIONS(913),
    [aux_sym_include_once_expression_token1] = ACTIONS(913),
    [aux_sym_require_expression_token1] = ACTIONS(913),
    [aux_sym_require_once_expression_token1] = ACTIONS(913),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(911),
  },
  [342] = {
    [sym_text_interpolation] = STATE(342),
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_name] = ACTIONS(917),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(915),
    [aux_sym_function_static_declaration_token1] = ACTIONS(917),
    [aux_sym_global_declaration_token1] = ACTIONS(917),
    [aux_sym_namespace_definition_token1] = ACTIONS(917),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(917),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(917),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(917),
    [anon_sym_BSLASH] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [aux_sym_trait_declaration_token1] = ACTIONS(917),
    [aux_sym_interface_declaration_token1] = ACTIONS(917),
    [aux_sym_class_declaration_token1] = ACTIONS(917),
    [aux_sym_class_modifier_token1] = ACTIONS(917),
    [aux_sym_class_modifier_token2] = ACTIONS(917),
    [aux_sym_visibility_modifier_token1] = ACTIONS(917),
    [aux_sym_visibility_modifier_token2] = ACTIONS(917),
    [aux_sym_visibility_modifier_token3] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(915),
    [anon_sym_array] = ACTIONS(917),
    [anon_sym_unset] = ACTIONS(917),
    [aux_sym_echo_statement_token1] = ACTIONS(917),
    [anon_sym_declare] = ACTIONS(917),
    [aux_sym_declare_statement_token1] = ACTIONS(917),
    [sym_float] = ACTIONS(917),
    [aux_sym_try_statement_token1] = ACTIONS(917),
    [aux_sym_goto_statement_token1] = ACTIONS(917),
    [aux_sym_continue_statement_token1] = ACTIONS(917),
    [aux_sym_break_statement_token1] = ACTIONS(917),
    [sym_integer] = ACTIONS(917),
    [aux_sym_return_statement_token1] = ACTIONS(917),
    [aux_sym_throw_expression_token1] = ACTIONS(917),
    [aux_sym_while_statement_token1] = ACTIONS(917),
    [aux_sym_while_statement_token2] = ACTIONS(917),
    [aux_sym_do_statement_token1] = ACTIONS(917),
    [aux_sym_for_statement_token1] = ACTIONS(917),
    [aux_sym_for_statement_token2] = ACTIONS(917),
    [aux_sym_foreach_statement_token1] = ACTIONS(917),
    [aux_sym_foreach_statement_token2] = ACTIONS(917),
    [aux_sym_if_statement_token1] = ACTIONS(917),
    [aux_sym_if_statement_token2] = ACTIONS(917),
    [aux_sym_else_if_clause_token1] = ACTIONS(917),
    [aux_sym_else_clause_token1] = ACTIONS(917),
    [aux_sym_switch_statement_token1] = ACTIONS(917),
    [aux_sym_switch_block_token1] = ACTIONS(917),
    [aux_sym_case_statement_token1] = ACTIONS(917),
    [aux_sym_default_statement_token1] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(915),
    [anon_sym_clone] = ACTIONS(917),
    [anon_sym_print] = ACTIONS(917),
    [anon_sym_new] = ACTIONS(917),
    [anon_sym_PLUS_PLUS] = ACTIONS(915),
    [anon_sym_DASH_DASH] = ACTIONS(915),
    [sym_shell_command_expression] = ACTIONS(915),
    [anon_sym_list] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_self] = ACTIONS(917),
    [anon_sym_parent] = ACTIONS(917),
    [sym_string] = ACTIONS(915),
    [sym_boolean] = ACTIONS(917),
    [sym_null] = ACTIONS(917),
    [anon_sym_DOLLAR] = ACTIONS(915),
    [anon_sym_yield] = ACTIONS(917),
    [aux_sym_include_expression_token1] = ACTIONS(917),
    [aux_sym_include_once_expression_token1] = ACTIONS(917),
    [aux_sym_require_expression_token1] = ACTIONS(917),
    [aux_sym_require_once_expression_token1] = ACTIONS(917),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(915),
  },
  [343] = {
    [sym_text_interpolation] = STATE(343),
    [ts_builtin_sym_end] = ACTIONS(919),
    [sym_name] = ACTIONS(921),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(919),
    [aux_sym_function_static_declaration_token1] = ACTIONS(921),
    [aux_sym_global_declaration_token1] = ACTIONS(921),
    [aux_sym_namespace_definition_token1] = ACTIONS(921),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(921),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(921),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(921),
    [anon_sym_BSLASH] = ACTIONS(919),
    [anon_sym_LBRACE] = ACTIONS(919),
    [anon_sym_RBRACE] = ACTIONS(919),
    [aux_sym_trait_declaration_token1] = ACTIONS(921),
    [aux_sym_interface_declaration_token1] = ACTIONS(921),
    [aux_sym_class_declaration_token1] = ACTIONS(921),
    [aux_sym_class_modifier_token1] = ACTIONS(921),
    [aux_sym_class_modifier_token2] = ACTIONS(921),
    [aux_sym_visibility_modifier_token1] = ACTIONS(921),
    [aux_sym_visibility_modifier_token2] = ACTIONS(921),
    [aux_sym_visibility_modifier_token3] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(919),
    [anon_sym_array] = ACTIONS(921),
    [anon_sym_unset] = ACTIONS(921),
    [aux_sym_echo_statement_token1] = ACTIONS(921),
    [anon_sym_declare] = ACTIONS(921),
    [aux_sym_declare_statement_token1] = ACTIONS(921),
    [sym_float] = ACTIONS(921),
    [aux_sym_try_statement_token1] = ACTIONS(921),
    [aux_sym_goto_statement_token1] = ACTIONS(921),
    [aux_sym_continue_statement_token1] = ACTIONS(921),
    [aux_sym_break_statement_token1] = ACTIONS(921),
    [sym_integer] = ACTIONS(921),
    [aux_sym_return_statement_token1] = ACTIONS(921),
    [aux_sym_throw_expression_token1] = ACTIONS(921),
    [aux_sym_while_statement_token1] = ACTIONS(921),
    [aux_sym_while_statement_token2] = ACTIONS(921),
    [aux_sym_do_statement_token1] = ACTIONS(921),
    [aux_sym_for_statement_token1] = ACTIONS(921),
    [aux_sym_for_statement_token2] = ACTIONS(921),
    [aux_sym_foreach_statement_token1] = ACTIONS(921),
    [aux_sym_foreach_statement_token2] = ACTIONS(921),
    [aux_sym_if_statement_token1] = ACTIONS(921),
    [aux_sym_if_statement_token2] = ACTIONS(921),
    [aux_sym_else_if_clause_token1] = ACTIONS(921),
    [aux_sym_else_clause_token1] = ACTIONS(921),
    [aux_sym_switch_statement_token1] = ACTIONS(921),
    [aux_sym_switch_block_token1] = ACTIONS(921),
    [aux_sym_case_statement_token1] = ACTIONS(921),
    [aux_sym_default_statement_token1] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_TILDE] = ACTIONS(919),
    [anon_sym_BANG] = ACTIONS(919),
    [anon_sym_clone] = ACTIONS(921),
    [anon_sym_print] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(919),
    [anon_sym_DASH_DASH] = ACTIONS(919),
    [sym_shell_command_expression] = ACTIONS(919),
    [anon_sym_list] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(919),
    [anon_sym_self] = ACTIONS(921),
    [anon_sym_parent] = ACTIONS(921),
    [sym_string] = ACTIONS(919),
    [sym_boolean] = ACTIONS(921),
    [sym_null] = ACTIONS(921),
    [anon_sym_DOLLAR] = ACTIONS(919),
    [anon_sym_yield] = ACTIONS(921),
    [aux_sym_include_expression_token1] = ACTIONS(921),
    [aux_sym_include_once_expression_token1] = ACTIONS(921),
    [aux_sym_require_expression_token1] = ACTIONS(921),
    [aux_sym_require_once_expression_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(919),
  },
  [344] = {
    [sym_text_interpolation] = STATE(344),
    [ts_builtin_sym_end] = ACTIONS(923),
    [sym_name] = ACTIONS(925),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(923),
    [aux_sym_function_static_declaration_token1] = ACTIONS(925),
    [aux_sym_global_declaration_token1] = ACTIONS(925),
    [aux_sym_namespace_definition_token1] = ACTIONS(925),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(925),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(925),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(925),
    [anon_sym_BSLASH] = ACTIONS(923),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_RBRACE] = ACTIONS(923),
    [aux_sym_trait_declaration_token1] = ACTIONS(925),
    [aux_sym_interface_declaration_token1] = ACTIONS(925),
    [aux_sym_class_declaration_token1] = ACTIONS(925),
    [aux_sym_class_modifier_token1] = ACTIONS(925),
    [aux_sym_class_modifier_token2] = ACTIONS(925),
    [aux_sym_visibility_modifier_token1] = ACTIONS(925),
    [aux_sym_visibility_modifier_token2] = ACTIONS(925),
    [aux_sym_visibility_modifier_token3] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_array] = ACTIONS(925),
    [anon_sym_unset] = ACTIONS(925),
    [aux_sym_echo_statement_token1] = ACTIONS(925),
    [anon_sym_declare] = ACTIONS(925),
    [aux_sym_declare_statement_token1] = ACTIONS(925),
    [sym_float] = ACTIONS(925),
    [aux_sym_try_statement_token1] = ACTIONS(925),
    [aux_sym_goto_statement_token1] = ACTIONS(925),
    [aux_sym_continue_statement_token1] = ACTIONS(925),
    [aux_sym_break_statement_token1] = ACTIONS(925),
    [sym_integer] = ACTIONS(925),
    [aux_sym_return_statement_token1] = ACTIONS(925),
    [aux_sym_throw_expression_token1] = ACTIONS(925),
    [aux_sym_while_statement_token1] = ACTIONS(925),
    [aux_sym_while_statement_token2] = ACTIONS(925),
    [aux_sym_do_statement_token1] = ACTIONS(925),
    [aux_sym_for_statement_token1] = ACTIONS(925),
    [aux_sym_for_statement_token2] = ACTIONS(925),
    [aux_sym_foreach_statement_token1] = ACTIONS(925),
    [aux_sym_foreach_statement_token2] = ACTIONS(925),
    [aux_sym_if_statement_token1] = ACTIONS(925),
    [aux_sym_if_statement_token2] = ACTIONS(925),
    [aux_sym_else_if_clause_token1] = ACTIONS(925),
    [aux_sym_else_clause_token1] = ACTIONS(925),
    [aux_sym_switch_statement_token1] = ACTIONS(925),
    [aux_sym_switch_block_token1] = ACTIONS(925),
    [aux_sym_case_statement_token1] = ACTIONS(925),
    [aux_sym_default_statement_token1] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(923),
    [anon_sym_clone] = ACTIONS(925),
    [anon_sym_print] = ACTIONS(925),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_PLUS_PLUS] = ACTIONS(923),
    [anon_sym_DASH_DASH] = ACTIONS(923),
    [sym_shell_command_expression] = ACTIONS(923),
    [anon_sym_list] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(923),
    [anon_sym_self] = ACTIONS(925),
    [anon_sym_parent] = ACTIONS(925),
    [sym_string] = ACTIONS(923),
    [sym_boolean] = ACTIONS(925),
    [sym_null] = ACTIONS(925),
    [anon_sym_DOLLAR] = ACTIONS(923),
    [anon_sym_yield] = ACTIONS(925),
    [aux_sym_include_expression_token1] = ACTIONS(925),
    [aux_sym_include_once_expression_token1] = ACTIONS(925),
    [aux_sym_require_expression_token1] = ACTIONS(925),
    [aux_sym_require_once_expression_token1] = ACTIONS(925),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(923),
  },
  [345] = {
    [sym_text_interpolation] = STATE(345),
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_name] = ACTIONS(929),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(927),
    [aux_sym_function_static_declaration_token1] = ACTIONS(929),
    [aux_sym_global_declaration_token1] = ACTIONS(929),
    [aux_sym_namespace_definition_token1] = ACTIONS(929),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(929),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(929),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(929),
    [anon_sym_BSLASH] = ACTIONS(927),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [aux_sym_trait_declaration_token1] = ACTIONS(929),
    [aux_sym_interface_declaration_token1] = ACTIONS(929),
    [aux_sym_class_declaration_token1] = ACTIONS(929),
    [aux_sym_class_modifier_token1] = ACTIONS(929),
    [aux_sym_class_modifier_token2] = ACTIONS(929),
    [aux_sym_visibility_modifier_token1] = ACTIONS(929),
    [aux_sym_visibility_modifier_token2] = ACTIONS(929),
    [aux_sym_visibility_modifier_token3] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_array] = ACTIONS(929),
    [anon_sym_unset] = ACTIONS(929),
    [aux_sym_echo_statement_token1] = ACTIONS(929),
    [anon_sym_declare] = ACTIONS(929),
    [aux_sym_declare_statement_token1] = ACTIONS(929),
    [sym_float] = ACTIONS(929),
    [aux_sym_try_statement_token1] = ACTIONS(929),
    [aux_sym_goto_statement_token1] = ACTIONS(929),
    [aux_sym_continue_statement_token1] = ACTIONS(929),
    [aux_sym_break_statement_token1] = ACTIONS(929),
    [sym_integer] = ACTIONS(929),
    [aux_sym_return_statement_token1] = ACTIONS(929),
    [aux_sym_throw_expression_token1] = ACTIONS(929),
    [aux_sym_while_statement_token1] = ACTIONS(929),
    [aux_sym_while_statement_token2] = ACTIONS(929),
    [aux_sym_do_statement_token1] = ACTIONS(929),
    [aux_sym_for_statement_token1] = ACTIONS(929),
    [aux_sym_for_statement_token2] = ACTIONS(929),
    [aux_sym_foreach_statement_token1] = ACTIONS(929),
    [aux_sym_foreach_statement_token2] = ACTIONS(929),
    [aux_sym_if_statement_token1] = ACTIONS(929),
    [aux_sym_if_statement_token2] = ACTIONS(929),
    [aux_sym_else_if_clause_token1] = ACTIONS(929),
    [aux_sym_else_clause_token1] = ACTIONS(929),
    [aux_sym_switch_statement_token1] = ACTIONS(929),
    [aux_sym_switch_block_token1] = ACTIONS(929),
    [aux_sym_case_statement_token1] = ACTIONS(929),
    [aux_sym_default_statement_token1] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_clone] = ACTIONS(929),
    [anon_sym_print] = ACTIONS(929),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_PLUS_PLUS] = ACTIONS(927),
    [anon_sym_DASH_DASH] = ACTIONS(927),
    [sym_shell_command_expression] = ACTIONS(927),
    [anon_sym_list] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(927),
    [anon_sym_self] = ACTIONS(929),
    [anon_sym_parent] = ACTIONS(929),
    [sym_string] = ACTIONS(927),
    [sym_boolean] = ACTIONS(929),
    [sym_null] = ACTIONS(929),
    [anon_sym_DOLLAR] = ACTIONS(927),
    [anon_sym_yield] = ACTIONS(929),
    [aux_sym_include_expression_token1] = ACTIONS(929),
    [aux_sym_include_once_expression_token1] = ACTIONS(929),
    [aux_sym_require_expression_token1] = ACTIONS(929),
    [aux_sym_require_once_expression_token1] = ACTIONS(929),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(927),
  },
  [346] = {
    [sym_text_interpolation] = STATE(346),
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_name] = ACTIONS(933),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(931),
    [aux_sym_function_static_declaration_token1] = ACTIONS(933),
    [aux_sym_global_declaration_token1] = ACTIONS(933),
    [aux_sym_namespace_definition_token1] = ACTIONS(933),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(933),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(933),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(933),
    [anon_sym_BSLASH] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_RBRACE] = ACTIONS(931),
    [aux_sym_trait_declaration_token1] = ACTIONS(933),
    [aux_sym_interface_declaration_token1] = ACTIONS(933),
    [aux_sym_class_declaration_token1] = ACTIONS(933),
    [aux_sym_class_modifier_token1] = ACTIONS(933),
    [aux_sym_class_modifier_token2] = ACTIONS(933),
    [aux_sym_visibility_modifier_token1] = ACTIONS(933),
    [aux_sym_visibility_modifier_token2] = ACTIONS(933),
    [aux_sym_visibility_modifier_token3] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_array] = ACTIONS(933),
    [anon_sym_unset] = ACTIONS(933),
    [aux_sym_echo_statement_token1] = ACTIONS(933),
    [anon_sym_declare] = ACTIONS(933),
    [aux_sym_declare_statement_token1] = ACTIONS(933),
    [sym_float] = ACTIONS(933),
    [aux_sym_try_statement_token1] = ACTIONS(933),
    [aux_sym_goto_statement_token1] = ACTIONS(933),
    [aux_sym_continue_statement_token1] = ACTIONS(933),
    [aux_sym_break_statement_token1] = ACTIONS(933),
    [sym_integer] = ACTIONS(933),
    [aux_sym_return_statement_token1] = ACTIONS(933),
    [aux_sym_throw_expression_token1] = ACTIONS(933),
    [aux_sym_while_statement_token1] = ACTIONS(933),
    [aux_sym_while_statement_token2] = ACTIONS(933),
    [aux_sym_do_statement_token1] = ACTIONS(933),
    [aux_sym_for_statement_token1] = ACTIONS(933),
    [aux_sym_for_statement_token2] = ACTIONS(933),
    [aux_sym_foreach_statement_token1] = ACTIONS(933),
    [aux_sym_foreach_statement_token2] = ACTIONS(933),
    [aux_sym_if_statement_token1] = ACTIONS(933),
    [aux_sym_if_statement_token2] = ACTIONS(933),
    [aux_sym_else_if_clause_token1] = ACTIONS(933),
    [aux_sym_else_clause_token1] = ACTIONS(933),
    [aux_sym_switch_statement_token1] = ACTIONS(933),
    [aux_sym_switch_block_token1] = ACTIONS(933),
    [aux_sym_case_statement_token1] = ACTIONS(933),
    [aux_sym_default_statement_token1] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_clone] = ACTIONS(933),
    [anon_sym_print] = ACTIONS(933),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_DASH_DASH] = ACTIONS(931),
    [sym_shell_command_expression] = ACTIONS(931),
    [anon_sym_list] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(931),
    [anon_sym_self] = ACTIONS(933),
    [anon_sym_parent] = ACTIONS(933),
    [sym_string] = ACTIONS(931),
    [sym_boolean] = ACTIONS(933),
    [sym_null] = ACTIONS(933),
    [anon_sym_DOLLAR] = ACTIONS(931),
    [anon_sym_yield] = ACTIONS(933),
    [aux_sym_include_expression_token1] = ACTIONS(933),
    [aux_sym_include_once_expression_token1] = ACTIONS(933),
    [aux_sym_require_expression_token1] = ACTIONS(933),
    [aux_sym_require_once_expression_token1] = ACTIONS(933),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(931),
  },
  [347] = {
    [sym_text_interpolation] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_name] = ACTIONS(937),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(935),
    [aux_sym_function_static_declaration_token1] = ACTIONS(937),
    [aux_sym_global_declaration_token1] = ACTIONS(937),
    [aux_sym_namespace_definition_token1] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(937),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(937),
    [anon_sym_BSLASH] = ACTIONS(935),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(935),
    [aux_sym_trait_declaration_token1] = ACTIONS(937),
    [aux_sym_interface_declaration_token1] = ACTIONS(937),
    [aux_sym_class_declaration_token1] = ACTIONS(937),
    [aux_sym_class_modifier_token1] = ACTIONS(937),
    [aux_sym_class_modifier_token2] = ACTIONS(937),
    [aux_sym_visibility_modifier_token1] = ACTIONS(937),
    [aux_sym_visibility_modifier_token2] = ACTIONS(937),
    [aux_sym_visibility_modifier_token3] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_array] = ACTIONS(937),
    [anon_sym_unset] = ACTIONS(937),
    [aux_sym_echo_statement_token1] = ACTIONS(937),
    [anon_sym_declare] = ACTIONS(937),
    [aux_sym_declare_statement_token1] = ACTIONS(937),
    [sym_float] = ACTIONS(937),
    [aux_sym_try_statement_token1] = ACTIONS(937),
    [aux_sym_goto_statement_token1] = ACTIONS(937),
    [aux_sym_continue_statement_token1] = ACTIONS(937),
    [aux_sym_break_statement_token1] = ACTIONS(937),
    [sym_integer] = ACTIONS(937),
    [aux_sym_return_statement_token1] = ACTIONS(937),
    [aux_sym_throw_expression_token1] = ACTIONS(937),
    [aux_sym_while_statement_token1] = ACTIONS(937),
    [aux_sym_while_statement_token2] = ACTIONS(937),
    [aux_sym_do_statement_token1] = ACTIONS(937),
    [aux_sym_for_statement_token1] = ACTIONS(937),
    [aux_sym_for_statement_token2] = ACTIONS(937),
    [aux_sym_foreach_statement_token1] = ACTIONS(937),
    [aux_sym_foreach_statement_token2] = ACTIONS(937),
    [aux_sym_if_statement_token1] = ACTIONS(937),
    [aux_sym_if_statement_token2] = ACTIONS(937),
    [aux_sym_else_if_clause_token1] = ACTIONS(937),
    [aux_sym_else_clause_token1] = ACTIONS(937),
    [aux_sym_switch_statement_token1] = ACTIONS(937),
    [aux_sym_switch_block_token1] = ACTIONS(937),
    [aux_sym_case_statement_token1] = ACTIONS(937),
    [aux_sym_default_statement_token1] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(937),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(935),
    [anon_sym_clone] = ACTIONS(937),
    [anon_sym_print] = ACTIONS(937),
    [anon_sym_new] = ACTIONS(937),
    [anon_sym_PLUS_PLUS] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [sym_shell_command_expression] = ACTIONS(935),
    [anon_sym_list] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(935),
    [anon_sym_self] = ACTIONS(937),
    [anon_sym_parent] = ACTIONS(937),
    [sym_string] = ACTIONS(935),
    [sym_boolean] = ACTIONS(937),
    [sym_null] = ACTIONS(937),
    [anon_sym_DOLLAR] = ACTIONS(935),
    [anon_sym_yield] = ACTIONS(937),
    [aux_sym_include_expression_token1] = ACTIONS(937),
    [aux_sym_include_once_expression_token1] = ACTIONS(937),
    [aux_sym_require_expression_token1] = ACTIONS(937),
    [aux_sym_require_once_expression_token1] = ACTIONS(937),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(935),
  },
  [348] = {
    [sym_text_interpolation] = STATE(348),
    [ts_builtin_sym_end] = ACTIONS(939),
    [sym_name] = ACTIONS(941),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(939),
    [aux_sym_function_static_declaration_token1] = ACTIONS(941),
    [aux_sym_global_declaration_token1] = ACTIONS(941),
    [aux_sym_namespace_definition_token1] = ACTIONS(941),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(941),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(941),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(941),
    [anon_sym_BSLASH] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [aux_sym_trait_declaration_token1] = ACTIONS(941),
    [aux_sym_interface_declaration_token1] = ACTIONS(941),
    [aux_sym_class_declaration_token1] = ACTIONS(941),
    [aux_sym_class_modifier_token1] = ACTIONS(941),
    [aux_sym_class_modifier_token2] = ACTIONS(941),
    [aux_sym_visibility_modifier_token1] = ACTIONS(941),
    [aux_sym_visibility_modifier_token2] = ACTIONS(941),
    [aux_sym_visibility_modifier_token3] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_array] = ACTIONS(941),
    [anon_sym_unset] = ACTIONS(941),
    [aux_sym_echo_statement_token1] = ACTIONS(941),
    [anon_sym_declare] = ACTIONS(941),
    [aux_sym_declare_statement_token1] = ACTIONS(941),
    [sym_float] = ACTIONS(941),
    [aux_sym_try_statement_token1] = ACTIONS(941),
    [aux_sym_goto_statement_token1] = ACTIONS(941),
    [aux_sym_continue_statement_token1] = ACTIONS(941),
    [aux_sym_break_statement_token1] = ACTIONS(941),
    [sym_integer] = ACTIONS(941),
    [aux_sym_return_statement_token1] = ACTIONS(941),
    [aux_sym_throw_expression_token1] = ACTIONS(941),
    [aux_sym_while_statement_token1] = ACTIONS(941),
    [aux_sym_while_statement_token2] = ACTIONS(941),
    [aux_sym_do_statement_token1] = ACTIONS(941),
    [aux_sym_for_statement_token1] = ACTIONS(941),
    [aux_sym_for_statement_token2] = ACTIONS(941),
    [aux_sym_foreach_statement_token1] = ACTIONS(941),
    [aux_sym_foreach_statement_token2] = ACTIONS(941),
    [aux_sym_if_statement_token1] = ACTIONS(941),
    [aux_sym_if_statement_token2] = ACTIONS(941),
    [aux_sym_else_if_clause_token1] = ACTIONS(941),
    [aux_sym_else_clause_token1] = ACTIONS(941),
    [aux_sym_switch_statement_token1] = ACTIONS(941),
    [aux_sym_switch_block_token1] = ACTIONS(941),
    [aux_sym_case_statement_token1] = ACTIONS(941),
    [aux_sym_default_statement_token1] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_clone] = ACTIONS(941),
    [anon_sym_print] = ACTIONS(941),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [sym_shell_command_expression] = ACTIONS(939),
    [anon_sym_list] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(939),
    [anon_sym_self] = ACTIONS(941),
    [anon_sym_parent] = ACTIONS(941),
    [sym_string] = ACTIONS(939),
    [sym_boolean] = ACTIONS(941),
    [sym_null] = ACTIONS(941),
    [anon_sym_DOLLAR] = ACTIONS(939),
    [anon_sym_yield] = ACTIONS(941),
    [aux_sym_include_expression_token1] = ACTIONS(941),
    [aux_sym_include_once_expression_token1] = ACTIONS(941),
    [aux_sym_require_expression_token1] = ACTIONS(941),
    [aux_sym_require_once_expression_token1] = ACTIONS(941),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(939),
  },
  [349] = {
    [sym_text_interpolation] = STATE(349),
    [ts_builtin_sym_end] = ACTIONS(943),
    [sym_name] = ACTIONS(945),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(943),
    [aux_sym_function_static_declaration_token1] = ACTIONS(945),
    [aux_sym_global_declaration_token1] = ACTIONS(945),
    [aux_sym_namespace_definition_token1] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(945),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(945),
    [anon_sym_BSLASH] = ACTIONS(943),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [aux_sym_trait_declaration_token1] = ACTIONS(945),
    [aux_sym_interface_declaration_token1] = ACTIONS(945),
    [aux_sym_class_declaration_token1] = ACTIONS(945),
    [aux_sym_class_modifier_token1] = ACTIONS(945),
    [aux_sym_class_modifier_token2] = ACTIONS(945),
    [aux_sym_visibility_modifier_token1] = ACTIONS(945),
    [aux_sym_visibility_modifier_token2] = ACTIONS(945),
    [aux_sym_visibility_modifier_token3] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_array] = ACTIONS(945),
    [anon_sym_unset] = ACTIONS(945),
    [aux_sym_echo_statement_token1] = ACTIONS(945),
    [anon_sym_declare] = ACTIONS(945),
    [aux_sym_declare_statement_token1] = ACTIONS(945),
    [sym_float] = ACTIONS(945),
    [aux_sym_try_statement_token1] = ACTIONS(945),
    [aux_sym_goto_statement_token1] = ACTIONS(945),
    [aux_sym_continue_statement_token1] = ACTIONS(945),
    [aux_sym_break_statement_token1] = ACTIONS(945),
    [sym_integer] = ACTIONS(945),
    [aux_sym_return_statement_token1] = ACTIONS(945),
    [aux_sym_throw_expression_token1] = ACTIONS(945),
    [aux_sym_while_statement_token1] = ACTIONS(945),
    [aux_sym_while_statement_token2] = ACTIONS(945),
    [aux_sym_do_statement_token1] = ACTIONS(945),
    [aux_sym_for_statement_token1] = ACTIONS(945),
    [aux_sym_for_statement_token2] = ACTIONS(945),
    [aux_sym_foreach_statement_token1] = ACTIONS(945),
    [aux_sym_foreach_statement_token2] = ACTIONS(945),
    [aux_sym_if_statement_token1] = ACTIONS(945),
    [aux_sym_if_statement_token2] = ACTIONS(945),
    [aux_sym_else_if_clause_token1] = ACTIONS(945),
    [aux_sym_else_clause_token1] = ACTIONS(945),
    [aux_sym_switch_statement_token1] = ACTIONS(945),
    [aux_sym_switch_block_token1] = ACTIONS(945),
    [aux_sym_case_statement_token1] = ACTIONS(945),
    [aux_sym_default_statement_token1] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_clone] = ACTIONS(945),
    [anon_sym_print] = ACTIONS(945),
    [anon_sym_new] = ACTIONS(945),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [sym_shell_command_expression] = ACTIONS(943),
    [anon_sym_list] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(943),
    [anon_sym_self] = ACTIONS(945),
    [anon_sym_parent] = ACTIONS(945),
    [sym_string] = ACTIONS(943),
    [sym_boolean] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [anon_sym_DOLLAR] = ACTIONS(943),
    [anon_sym_yield] = ACTIONS(945),
    [aux_sym_include_expression_token1] = ACTIONS(945),
    [aux_sym_include_once_expression_token1] = ACTIONS(945),
    [aux_sym_require_expression_token1] = ACTIONS(945),
    [aux_sym_require_once_expression_token1] = ACTIONS(945),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(943),
  },
  [350] = {
    [sym_text_interpolation] = STATE(350),
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_name] = ACTIONS(949),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(947),
    [aux_sym_function_static_declaration_token1] = ACTIONS(949),
    [aux_sym_global_declaration_token1] = ACTIONS(949),
    [aux_sym_namespace_definition_token1] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(949),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(949),
    [anon_sym_BSLASH] = ACTIONS(947),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_RBRACE] = ACTIONS(947),
    [aux_sym_trait_declaration_token1] = ACTIONS(949),
    [aux_sym_interface_declaration_token1] = ACTIONS(949),
    [aux_sym_class_declaration_token1] = ACTIONS(949),
    [aux_sym_class_modifier_token1] = ACTIONS(949),
    [aux_sym_class_modifier_token2] = ACTIONS(949),
    [aux_sym_visibility_modifier_token1] = ACTIONS(949),
    [aux_sym_visibility_modifier_token2] = ACTIONS(949),
    [aux_sym_visibility_modifier_token3] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_array] = ACTIONS(949),
    [anon_sym_unset] = ACTIONS(949),
    [aux_sym_echo_statement_token1] = ACTIONS(949),
    [anon_sym_declare] = ACTIONS(949),
    [aux_sym_declare_statement_token1] = ACTIONS(949),
    [sym_float] = ACTIONS(949),
    [aux_sym_try_statement_token1] = ACTIONS(949),
    [aux_sym_goto_statement_token1] = ACTIONS(949),
    [aux_sym_continue_statement_token1] = ACTIONS(949),
    [aux_sym_break_statement_token1] = ACTIONS(949),
    [sym_integer] = ACTIONS(949),
    [aux_sym_return_statement_token1] = ACTIONS(949),
    [aux_sym_throw_expression_token1] = ACTIONS(949),
    [aux_sym_while_statement_token1] = ACTIONS(949),
    [aux_sym_while_statement_token2] = ACTIONS(949),
    [aux_sym_do_statement_token1] = ACTIONS(949),
    [aux_sym_for_statement_token1] = ACTIONS(949),
    [aux_sym_for_statement_token2] = ACTIONS(949),
    [aux_sym_foreach_statement_token1] = ACTIONS(949),
    [aux_sym_foreach_statement_token2] = ACTIONS(949),
    [aux_sym_if_statement_token1] = ACTIONS(949),
    [aux_sym_if_statement_token2] = ACTIONS(949),
    [aux_sym_else_if_clause_token1] = ACTIONS(949),
    [aux_sym_else_clause_token1] = ACTIONS(949),
    [aux_sym_switch_statement_token1] = ACTIONS(949),
    [aux_sym_switch_block_token1] = ACTIONS(949),
    [aux_sym_case_statement_token1] = ACTIONS(949),
    [aux_sym_default_statement_token1] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_clone] = ACTIONS(949),
    [anon_sym_print] = ACTIONS(949),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_PLUS_PLUS] = ACTIONS(947),
    [anon_sym_DASH_DASH] = ACTIONS(947),
    [sym_shell_command_expression] = ACTIONS(947),
    [anon_sym_list] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(947),
    [anon_sym_self] = ACTIONS(949),
    [anon_sym_parent] = ACTIONS(949),
    [sym_string] = ACTIONS(947),
    [sym_boolean] = ACTIONS(949),
    [sym_null] = ACTIONS(949),
    [anon_sym_DOLLAR] = ACTIONS(947),
    [anon_sym_yield] = ACTIONS(949),
    [aux_sym_include_expression_token1] = ACTIONS(949),
    [aux_sym_include_once_expression_token1] = ACTIONS(949),
    [aux_sym_require_expression_token1] = ACTIONS(949),
    [aux_sym_require_once_expression_token1] = ACTIONS(949),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(947),
  },
  [351] = {
    [sym_text_interpolation] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(951),
    [sym_name] = ACTIONS(953),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(951),
    [aux_sym_function_static_declaration_token1] = ACTIONS(953),
    [aux_sym_global_declaration_token1] = ACTIONS(953),
    [aux_sym_namespace_definition_token1] = ACTIONS(953),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(953),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(953),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(953),
    [anon_sym_BSLASH] = ACTIONS(951),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(951),
    [aux_sym_trait_declaration_token1] = ACTIONS(953),
    [aux_sym_interface_declaration_token1] = ACTIONS(953),
    [aux_sym_class_declaration_token1] = ACTIONS(953),
    [aux_sym_class_modifier_token1] = ACTIONS(953),
    [aux_sym_class_modifier_token2] = ACTIONS(953),
    [aux_sym_visibility_modifier_token1] = ACTIONS(953),
    [aux_sym_visibility_modifier_token2] = ACTIONS(953),
    [aux_sym_visibility_modifier_token3] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(951),
    [anon_sym_array] = ACTIONS(953),
    [anon_sym_unset] = ACTIONS(953),
    [aux_sym_echo_statement_token1] = ACTIONS(953),
    [anon_sym_declare] = ACTIONS(953),
    [aux_sym_declare_statement_token1] = ACTIONS(953),
    [sym_float] = ACTIONS(953),
    [aux_sym_try_statement_token1] = ACTIONS(953),
    [aux_sym_goto_statement_token1] = ACTIONS(953),
    [aux_sym_continue_statement_token1] = ACTIONS(953),
    [aux_sym_break_statement_token1] = ACTIONS(953),
    [sym_integer] = ACTIONS(953),
    [aux_sym_return_statement_token1] = ACTIONS(953),
    [aux_sym_throw_expression_token1] = ACTIONS(953),
    [aux_sym_while_statement_token1] = ACTIONS(953),
    [aux_sym_while_statement_token2] = ACTIONS(953),
    [aux_sym_do_statement_token1] = ACTIONS(953),
    [aux_sym_for_statement_token1] = ACTIONS(953),
    [aux_sym_for_statement_token2] = ACTIONS(953),
    [aux_sym_foreach_statement_token1] = ACTIONS(953),
    [aux_sym_foreach_statement_token2] = ACTIONS(953),
    [aux_sym_if_statement_token1] = ACTIONS(953),
    [aux_sym_if_statement_token2] = ACTIONS(953),
    [aux_sym_else_if_clause_token1] = ACTIONS(953),
    [aux_sym_else_clause_token1] = ACTIONS(953),
    [aux_sym_switch_statement_token1] = ACTIONS(953),
    [aux_sym_switch_block_token1] = ACTIONS(953),
    [aux_sym_case_statement_token1] = ACTIONS(953),
    [aux_sym_default_statement_token1] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_clone] = ACTIONS(953),
    [anon_sym_print] = ACTIONS(953),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_PLUS_PLUS] = ACTIONS(951),
    [anon_sym_DASH_DASH] = ACTIONS(951),
    [sym_shell_command_expression] = ACTIONS(951),
    [anon_sym_list] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(951),
    [anon_sym_self] = ACTIONS(953),
    [anon_sym_parent] = ACTIONS(953),
    [sym_string] = ACTIONS(951),
    [sym_boolean] = ACTIONS(953),
    [sym_null] = ACTIONS(953),
    [anon_sym_DOLLAR] = ACTIONS(951),
    [anon_sym_yield] = ACTIONS(953),
    [aux_sym_include_expression_token1] = ACTIONS(953),
    [aux_sym_include_once_expression_token1] = ACTIONS(953),
    [aux_sym_require_expression_token1] = ACTIONS(953),
    [aux_sym_require_once_expression_token1] = ACTIONS(953),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(951),
  },
  [352] = {
    [sym_text_interpolation] = STATE(352),
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_name] = ACTIONS(809),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(807),
    [aux_sym_function_static_declaration_token1] = ACTIONS(809),
    [aux_sym_global_declaration_token1] = ACTIONS(809),
    [aux_sym_namespace_definition_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(809),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(809),
    [anon_sym_BSLASH] = ACTIONS(807),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [aux_sym_trait_declaration_token1] = ACTIONS(809),
    [aux_sym_interface_declaration_token1] = ACTIONS(809),
    [aux_sym_class_declaration_token1] = ACTIONS(809),
    [aux_sym_class_modifier_token1] = ACTIONS(809),
    [aux_sym_class_modifier_token2] = ACTIONS(809),
    [aux_sym_visibility_modifier_token1] = ACTIONS(809),
    [aux_sym_visibility_modifier_token2] = ACTIONS(809),
    [aux_sym_visibility_modifier_token3] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_array] = ACTIONS(809),
    [anon_sym_unset] = ACTIONS(809),
    [aux_sym_echo_statement_token1] = ACTIONS(809),
    [anon_sym_declare] = ACTIONS(809),
    [aux_sym_declare_statement_token1] = ACTIONS(809),
    [sym_float] = ACTIONS(809),
    [aux_sym_try_statement_token1] = ACTIONS(809),
    [aux_sym_goto_statement_token1] = ACTIONS(809),
    [aux_sym_continue_statement_token1] = ACTIONS(809),
    [aux_sym_break_statement_token1] = ACTIONS(809),
    [sym_integer] = ACTIONS(809),
    [aux_sym_return_statement_token1] = ACTIONS(809),
    [aux_sym_throw_expression_token1] = ACTIONS(809),
    [aux_sym_while_statement_token1] = ACTIONS(809),
    [aux_sym_while_statement_token2] = ACTIONS(809),
    [aux_sym_do_statement_token1] = ACTIONS(809),
    [aux_sym_for_statement_token1] = ACTIONS(809),
    [aux_sym_for_statement_token2] = ACTIONS(809),
    [aux_sym_foreach_statement_token1] = ACTIONS(809),
    [aux_sym_foreach_statement_token2] = ACTIONS(809),
    [aux_sym_if_statement_token1] = ACTIONS(809),
    [aux_sym_if_statement_token2] = ACTIONS(809),
    [aux_sym_else_if_clause_token1] = ACTIONS(809),
    [aux_sym_else_clause_token1] = ACTIONS(809),
    [aux_sym_switch_statement_token1] = ACTIONS(809),
    [aux_sym_switch_block_token1] = ACTIONS(809),
    [aux_sym_case_statement_token1] = ACTIONS(809),
    [aux_sym_default_statement_token1] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_clone] = ACTIONS(809),
    [anon_sym_print] = ACTIONS(809),
    [anon_sym_new] = ACTIONS(809),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [sym_shell_command_expression] = ACTIONS(807),
    [anon_sym_list] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_self] = ACTIONS(809),
    [anon_sym_parent] = ACTIONS(809),
    [sym_string] = ACTIONS(807),
    [sym_boolean] = ACTIONS(809),
    [sym_null] = ACTIONS(809),
    [anon_sym_DOLLAR] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [aux_sym_include_expression_token1] = ACTIONS(809),
    [aux_sym_include_once_expression_token1] = ACTIONS(809),
    [aux_sym_require_expression_token1] = ACTIONS(809),
    [aux_sym_require_once_expression_token1] = ACTIONS(809),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(807),
  },
  [353] = {
    [sym_text_interpolation] = STATE(353),
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_name] = ACTIONS(957),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(957),
    [aux_sym_global_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_definition_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(957),
    [anon_sym_BSLASH] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(955),
    [aux_sym_trait_declaration_token1] = ACTIONS(957),
    [aux_sym_interface_declaration_token1] = ACTIONS(957),
    [aux_sym_class_declaration_token1] = ACTIONS(957),
    [aux_sym_class_modifier_token1] = ACTIONS(957),
    [aux_sym_class_modifier_token2] = ACTIONS(957),
    [aux_sym_visibility_modifier_token1] = ACTIONS(957),
    [aux_sym_visibility_modifier_token2] = ACTIONS(957),
    [aux_sym_visibility_modifier_token3] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_array] = ACTIONS(957),
    [anon_sym_unset] = ACTIONS(957),
    [aux_sym_echo_statement_token1] = ACTIONS(957),
    [anon_sym_declare] = ACTIONS(957),
    [aux_sym_declare_statement_token1] = ACTIONS(957),
    [sym_float] = ACTIONS(957),
    [aux_sym_try_statement_token1] = ACTIONS(957),
    [aux_sym_goto_statement_token1] = ACTIONS(957),
    [aux_sym_continue_statement_token1] = ACTIONS(957),
    [aux_sym_break_statement_token1] = ACTIONS(957),
    [sym_integer] = ACTIONS(957),
    [aux_sym_return_statement_token1] = ACTIONS(957),
    [aux_sym_throw_expression_token1] = ACTIONS(957),
    [aux_sym_while_statement_token1] = ACTIONS(957),
    [aux_sym_while_statement_token2] = ACTIONS(957),
    [aux_sym_do_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token2] = ACTIONS(957),
    [aux_sym_foreach_statement_token1] = ACTIONS(957),
    [aux_sym_foreach_statement_token2] = ACTIONS(957),
    [aux_sym_if_statement_token1] = ACTIONS(957),
    [aux_sym_if_statement_token2] = ACTIONS(957),
    [aux_sym_else_if_clause_token1] = ACTIONS(957),
    [aux_sym_else_clause_token1] = ACTIONS(957),
    [aux_sym_switch_statement_token1] = ACTIONS(957),
    [aux_sym_switch_block_token1] = ACTIONS(957),
    [aux_sym_case_statement_token1] = ACTIONS(957),
    [aux_sym_default_statement_token1] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_clone] = ACTIONS(957),
    [anon_sym_print] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(955),
    [sym_shell_command_expression] = ACTIONS(955),
    [anon_sym_list] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(957),
    [anon_sym_parent] = ACTIONS(957),
    [sym_string] = ACTIONS(955),
    [sym_boolean] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(957),
    [aux_sym_include_expression_token1] = ACTIONS(957),
    [aux_sym_include_once_expression_token1] = ACTIONS(957),
    [aux_sym_require_expression_token1] = ACTIONS(957),
    [aux_sym_require_once_expression_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(955),
  },
  [354] = {
    [sym_text_interpolation] = STATE(354),
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_name] = ACTIONS(957),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(955),
    [aux_sym_function_static_declaration_token1] = ACTIONS(957),
    [aux_sym_global_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_definition_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(957),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(957),
    [anon_sym_BSLASH] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(955),
    [aux_sym_trait_declaration_token1] = ACTIONS(957),
    [aux_sym_interface_declaration_token1] = ACTIONS(957),
    [aux_sym_class_declaration_token1] = ACTIONS(957),
    [aux_sym_class_modifier_token1] = ACTIONS(957),
    [aux_sym_class_modifier_token2] = ACTIONS(957),
    [aux_sym_visibility_modifier_token1] = ACTIONS(957),
    [aux_sym_visibility_modifier_token2] = ACTIONS(957),
    [aux_sym_visibility_modifier_token3] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_array] = ACTIONS(957),
    [anon_sym_unset] = ACTIONS(957),
    [aux_sym_echo_statement_token1] = ACTIONS(957),
    [anon_sym_declare] = ACTIONS(957),
    [aux_sym_declare_statement_token1] = ACTIONS(957),
    [sym_float] = ACTIONS(957),
    [aux_sym_try_statement_token1] = ACTIONS(957),
    [aux_sym_goto_statement_token1] = ACTIONS(957),
    [aux_sym_continue_statement_token1] = ACTIONS(957),
    [aux_sym_break_statement_token1] = ACTIONS(957),
    [sym_integer] = ACTIONS(957),
    [aux_sym_return_statement_token1] = ACTIONS(957),
    [aux_sym_throw_expression_token1] = ACTIONS(957),
    [aux_sym_while_statement_token1] = ACTIONS(957),
    [aux_sym_while_statement_token2] = ACTIONS(957),
    [aux_sym_do_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token1] = ACTIONS(957),
    [aux_sym_for_statement_token2] = ACTIONS(957),
    [aux_sym_foreach_statement_token1] = ACTIONS(957),
    [aux_sym_foreach_statement_token2] = ACTIONS(957),
    [aux_sym_if_statement_token1] = ACTIONS(957),
    [aux_sym_if_statement_token2] = ACTIONS(957),
    [aux_sym_else_if_clause_token1] = ACTIONS(957),
    [aux_sym_else_clause_token1] = ACTIONS(957),
    [aux_sym_switch_statement_token1] = ACTIONS(957),
    [aux_sym_switch_block_token1] = ACTIONS(957),
    [aux_sym_case_statement_token1] = ACTIONS(957),
    [aux_sym_default_statement_token1] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_TILDE] = ACTIONS(955),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_clone] = ACTIONS(957),
    [anon_sym_print] = ACTIONS(957),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_PLUS_PLUS] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(955),
    [sym_shell_command_expression] = ACTIONS(955),
    [anon_sym_list] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_self] = ACTIONS(957),
    [anon_sym_parent] = ACTIONS(957),
    [sym_string] = ACTIONS(955),
    [sym_boolean] = ACTIONS(957),
    [sym_null] = ACTIONS(957),
    [anon_sym_DOLLAR] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(957),
    [aux_sym_include_expression_token1] = ACTIONS(957),
    [aux_sym_include_once_expression_token1] = ACTIONS(957),
    [aux_sym_require_expression_token1] = ACTIONS(957),
    [aux_sym_require_once_expression_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(955),
  },
  [355] = {
    [sym_text_interpolation] = STATE(355),
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym_name] = ACTIONS(961),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(959),
    [aux_sym_function_static_declaration_token1] = ACTIONS(961),
    [aux_sym_global_declaration_token1] = ACTIONS(961),
    [aux_sym_namespace_definition_token1] = ACTIONS(961),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(961),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(961),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(961),
    [anon_sym_BSLASH] = ACTIONS(959),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [aux_sym_trait_declaration_token1] = ACTIONS(961),
    [aux_sym_interface_declaration_token1] = ACTIONS(961),
    [aux_sym_class_declaration_token1] = ACTIONS(961),
    [aux_sym_class_modifier_token1] = ACTIONS(961),
    [aux_sym_class_modifier_token2] = ACTIONS(961),
    [aux_sym_visibility_modifier_token1] = ACTIONS(961),
    [aux_sym_visibility_modifier_token2] = ACTIONS(961),
    [aux_sym_visibility_modifier_token3] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_array] = ACTIONS(961),
    [anon_sym_unset] = ACTIONS(961),
    [aux_sym_echo_statement_token1] = ACTIONS(961),
    [anon_sym_declare] = ACTIONS(961),
    [aux_sym_declare_statement_token1] = ACTIONS(961),
    [sym_float] = ACTIONS(961),
    [aux_sym_try_statement_token1] = ACTIONS(961),
    [aux_sym_goto_statement_token1] = ACTIONS(961),
    [aux_sym_continue_statement_token1] = ACTIONS(961),
    [aux_sym_break_statement_token1] = ACTIONS(961),
    [sym_integer] = ACTIONS(961),
    [aux_sym_return_statement_token1] = ACTIONS(961),
    [aux_sym_throw_expression_token1] = ACTIONS(961),
    [aux_sym_while_statement_token1] = ACTIONS(961),
    [aux_sym_while_statement_token2] = ACTIONS(961),
    [aux_sym_do_statement_token1] = ACTIONS(961),
    [aux_sym_for_statement_token1] = ACTIONS(961),
    [aux_sym_for_statement_token2] = ACTIONS(961),
    [aux_sym_foreach_statement_token1] = ACTIONS(961),
    [aux_sym_foreach_statement_token2] = ACTIONS(961),
    [aux_sym_if_statement_token1] = ACTIONS(961),
    [aux_sym_if_statement_token2] = ACTIONS(961),
    [aux_sym_else_if_clause_token1] = ACTIONS(961),
    [aux_sym_else_clause_token1] = ACTIONS(961),
    [aux_sym_switch_statement_token1] = ACTIONS(961),
    [aux_sym_switch_block_token1] = ACTIONS(961),
    [aux_sym_case_statement_token1] = ACTIONS(961),
    [aux_sym_default_statement_token1] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_clone] = ACTIONS(961),
    [anon_sym_print] = ACTIONS(961),
    [anon_sym_new] = ACTIONS(961),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [sym_shell_command_expression] = ACTIONS(959),
    [anon_sym_list] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(959),
    [anon_sym_self] = ACTIONS(961),
    [anon_sym_parent] = ACTIONS(961),
    [sym_string] = ACTIONS(959),
    [sym_boolean] = ACTIONS(961),
    [sym_null] = ACTIONS(961),
    [anon_sym_DOLLAR] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(961),
    [aux_sym_include_expression_token1] = ACTIONS(961),
    [aux_sym_include_once_expression_token1] = ACTIONS(961),
    [aux_sym_require_expression_token1] = ACTIONS(961),
    [aux_sym_require_once_expression_token1] = ACTIONS(961),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(959),
  },
  [356] = {
    [sym_text_interpolation] = STATE(356),
    [ts_builtin_sym_end] = ACTIONS(963),
    [sym_name] = ACTIONS(965),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(963),
    [aux_sym_function_static_declaration_token1] = ACTIONS(965),
    [aux_sym_global_declaration_token1] = ACTIONS(965),
    [aux_sym_namespace_definition_token1] = ACTIONS(965),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(965),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(965),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(965),
    [anon_sym_BSLASH] = ACTIONS(963),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(963),
    [aux_sym_trait_declaration_token1] = ACTIONS(965),
    [aux_sym_interface_declaration_token1] = ACTIONS(965),
    [aux_sym_class_declaration_token1] = ACTIONS(965),
    [aux_sym_class_modifier_token1] = ACTIONS(965),
    [aux_sym_class_modifier_token2] = ACTIONS(965),
    [aux_sym_visibility_modifier_token1] = ACTIONS(965),
    [aux_sym_visibility_modifier_token2] = ACTIONS(965),
    [aux_sym_visibility_modifier_token3] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_array] = ACTIONS(965),
    [anon_sym_unset] = ACTIONS(965),
    [aux_sym_echo_statement_token1] = ACTIONS(965),
    [anon_sym_declare] = ACTIONS(965),
    [aux_sym_declare_statement_token1] = ACTIONS(965),
    [sym_float] = ACTIONS(965),
    [aux_sym_try_statement_token1] = ACTIONS(965),
    [aux_sym_goto_statement_token1] = ACTIONS(965),
    [aux_sym_continue_statement_token1] = ACTIONS(965),
    [aux_sym_break_statement_token1] = ACTIONS(965),
    [sym_integer] = ACTIONS(965),
    [aux_sym_return_statement_token1] = ACTIONS(965),
    [aux_sym_throw_expression_token1] = ACTIONS(965),
    [aux_sym_while_statement_token1] = ACTIONS(965),
    [aux_sym_while_statement_token2] = ACTIONS(965),
    [aux_sym_do_statement_token1] = ACTIONS(965),
    [aux_sym_for_statement_token1] = ACTIONS(965),
    [aux_sym_for_statement_token2] = ACTIONS(965),
    [aux_sym_foreach_statement_token1] = ACTIONS(965),
    [aux_sym_foreach_statement_token2] = ACTIONS(965),
    [aux_sym_if_statement_token1] = ACTIONS(965),
    [aux_sym_if_statement_token2] = ACTIONS(965),
    [aux_sym_else_if_clause_token1] = ACTIONS(965),
    [aux_sym_else_clause_token1] = ACTIONS(965),
    [aux_sym_switch_statement_token1] = ACTIONS(965),
    [aux_sym_switch_block_token1] = ACTIONS(965),
    [aux_sym_case_statement_token1] = ACTIONS(965),
    [aux_sym_default_statement_token1] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_clone] = ACTIONS(965),
    [anon_sym_print] = ACTIONS(965),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [sym_shell_command_expression] = ACTIONS(963),
    [anon_sym_list] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_self] = ACTIONS(965),
    [anon_sym_parent] = ACTIONS(965),
    [sym_string] = ACTIONS(963),
    [sym_boolean] = ACTIONS(965),
    [sym_null] = ACTIONS(965),
    [anon_sym_DOLLAR] = ACTIONS(963),
    [anon_sym_yield] = ACTIONS(965),
    [aux_sym_include_expression_token1] = ACTIONS(965),
    [aux_sym_include_once_expression_token1] = ACTIONS(965),
    [aux_sym_require_expression_token1] = ACTIONS(965),
    [aux_sym_require_once_expression_token1] = ACTIONS(965),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(963),
  },
  [357] = {
    [sym_text_interpolation] = STATE(357),
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_name] = ACTIONS(969),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(967),
    [aux_sym_function_static_declaration_token1] = ACTIONS(969),
    [aux_sym_global_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_definition_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(969),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(969),
    [anon_sym_BSLASH] = ACTIONS(967),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [aux_sym_trait_declaration_token1] = ACTIONS(969),
    [aux_sym_interface_declaration_token1] = ACTIONS(969),
    [aux_sym_class_declaration_token1] = ACTIONS(969),
    [aux_sym_class_modifier_token1] = ACTIONS(969),
    [aux_sym_class_modifier_token2] = ACTIONS(969),
    [aux_sym_visibility_modifier_token1] = ACTIONS(969),
    [aux_sym_visibility_modifier_token2] = ACTIONS(969),
    [aux_sym_visibility_modifier_token3] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_array] = ACTIONS(969),
    [anon_sym_unset] = ACTIONS(969),
    [aux_sym_echo_statement_token1] = ACTIONS(969),
    [anon_sym_declare] = ACTIONS(969),
    [aux_sym_declare_statement_token1] = ACTIONS(969),
    [sym_float] = ACTIONS(969),
    [aux_sym_try_statement_token1] = ACTIONS(969),
    [aux_sym_goto_statement_token1] = ACTIONS(969),
    [aux_sym_continue_statement_token1] = ACTIONS(969),
    [aux_sym_break_statement_token1] = ACTIONS(969),
    [sym_integer] = ACTIONS(969),
    [aux_sym_return_statement_token1] = ACTIONS(969),
    [aux_sym_throw_expression_token1] = ACTIONS(969),
    [aux_sym_while_statement_token1] = ACTIONS(969),
    [aux_sym_while_statement_token2] = ACTIONS(969),
    [aux_sym_do_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token1] = ACTIONS(969),
    [aux_sym_for_statement_token2] = ACTIONS(969),
    [aux_sym_foreach_statement_token1] = ACTIONS(969),
    [aux_sym_foreach_statement_token2] = ACTIONS(969),
    [aux_sym_if_statement_token1] = ACTIONS(969),
    [aux_sym_if_statement_token2] = ACTIONS(969),
    [aux_sym_else_if_clause_token1] = ACTIONS(969),
    [aux_sym_else_clause_token1] = ACTIONS(969),
    [aux_sym_switch_statement_token1] = ACTIONS(969),
    [aux_sym_switch_block_token1] = ACTIONS(969),
    [aux_sym_case_statement_token1] = ACTIONS(969),
    [aux_sym_default_statement_token1] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_clone] = ACTIONS(969),
    [anon_sym_print] = ACTIONS(969),
    [anon_sym_new] = ACTIONS(969),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [sym_shell_command_expression] = ACTIONS(967),
    [anon_sym_list] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(967),
    [anon_sym_self] = ACTIONS(969),
    [anon_sym_parent] = ACTIONS(969),
    [sym_string] = ACTIONS(967),
    [sym_boolean] = ACTIONS(969),
    [sym_null] = ACTIONS(969),
    [anon_sym_DOLLAR] = ACTIONS(967),
    [anon_sym_yield] = ACTIONS(969),
    [aux_sym_include_expression_token1] = ACTIONS(969),
    [aux_sym_include_once_expression_token1] = ACTIONS(969),
    [aux_sym_require_expression_token1] = ACTIONS(969),
    [aux_sym_require_once_expression_token1] = ACTIONS(969),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(967),
  },
  [358] = {
    [sym_text_interpolation] = STATE(358),
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_name] = ACTIONS(973),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(973),
    [aux_sym_global_declaration_token1] = ACTIONS(973),
    [aux_sym_namespace_definition_token1] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(973),
    [anon_sym_BSLASH] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [aux_sym_trait_declaration_token1] = ACTIONS(973),
    [aux_sym_interface_declaration_token1] = ACTIONS(973),
    [aux_sym_class_declaration_token1] = ACTIONS(973),
    [aux_sym_class_modifier_token1] = ACTIONS(973),
    [aux_sym_class_modifier_token2] = ACTIONS(973),
    [aux_sym_visibility_modifier_token1] = ACTIONS(973),
    [aux_sym_visibility_modifier_token2] = ACTIONS(973),
    [aux_sym_visibility_modifier_token3] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_array] = ACTIONS(973),
    [anon_sym_unset] = ACTIONS(973),
    [aux_sym_echo_statement_token1] = ACTIONS(973),
    [anon_sym_declare] = ACTIONS(973),
    [aux_sym_declare_statement_token1] = ACTIONS(973),
    [sym_float] = ACTIONS(973),
    [aux_sym_try_statement_token1] = ACTIONS(973),
    [aux_sym_goto_statement_token1] = ACTIONS(973),
    [aux_sym_continue_statement_token1] = ACTIONS(973),
    [aux_sym_break_statement_token1] = ACTIONS(973),
    [sym_integer] = ACTIONS(973),
    [aux_sym_return_statement_token1] = ACTIONS(973),
    [aux_sym_throw_expression_token1] = ACTIONS(973),
    [aux_sym_while_statement_token1] = ACTIONS(973),
    [aux_sym_while_statement_token2] = ACTIONS(973),
    [aux_sym_do_statement_token1] = ACTIONS(973),
    [aux_sym_for_statement_token1] = ACTIONS(973),
    [aux_sym_for_statement_token2] = ACTIONS(973),
    [aux_sym_foreach_statement_token1] = ACTIONS(973),
    [aux_sym_foreach_statement_token2] = ACTIONS(973),
    [aux_sym_if_statement_token1] = ACTIONS(973),
    [aux_sym_if_statement_token2] = ACTIONS(973),
    [aux_sym_else_if_clause_token1] = ACTIONS(973),
    [aux_sym_else_clause_token1] = ACTIONS(973),
    [aux_sym_switch_statement_token1] = ACTIONS(973),
    [aux_sym_switch_block_token1] = ACTIONS(973),
    [aux_sym_case_statement_token1] = ACTIONS(973),
    [aux_sym_default_statement_token1] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_clone] = ACTIONS(973),
    [anon_sym_print] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [sym_shell_command_expression] = ACTIONS(971),
    [anon_sym_list] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(973),
    [anon_sym_parent] = ACTIONS(973),
    [sym_string] = ACTIONS(971),
    [sym_boolean] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [anon_sym_DOLLAR] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(973),
    [aux_sym_include_expression_token1] = ACTIONS(973),
    [aux_sym_include_once_expression_token1] = ACTIONS(973),
    [aux_sym_require_expression_token1] = ACTIONS(973),
    [aux_sym_require_once_expression_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(971),
  },
  [359] = {
    [sym_text_interpolation] = STATE(359),
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_name] = ACTIONS(973),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(971),
    [aux_sym_function_static_declaration_token1] = ACTIONS(973),
    [aux_sym_global_declaration_token1] = ACTIONS(973),
    [aux_sym_namespace_definition_token1] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(973),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(973),
    [anon_sym_BSLASH] = ACTIONS(971),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [aux_sym_trait_declaration_token1] = ACTIONS(973),
    [aux_sym_interface_declaration_token1] = ACTIONS(973),
    [aux_sym_class_declaration_token1] = ACTIONS(973),
    [aux_sym_class_modifier_token1] = ACTIONS(973),
    [aux_sym_class_modifier_token2] = ACTIONS(973),
    [aux_sym_visibility_modifier_token1] = ACTIONS(973),
    [aux_sym_visibility_modifier_token2] = ACTIONS(973),
    [aux_sym_visibility_modifier_token3] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_array] = ACTIONS(973),
    [anon_sym_unset] = ACTIONS(973),
    [aux_sym_echo_statement_token1] = ACTIONS(973),
    [anon_sym_declare] = ACTIONS(973),
    [aux_sym_declare_statement_token1] = ACTIONS(973),
    [sym_float] = ACTIONS(973),
    [aux_sym_try_statement_token1] = ACTIONS(973),
    [aux_sym_goto_statement_token1] = ACTIONS(973),
    [aux_sym_continue_statement_token1] = ACTIONS(973),
    [aux_sym_break_statement_token1] = ACTIONS(973),
    [sym_integer] = ACTIONS(973),
    [aux_sym_return_statement_token1] = ACTIONS(973),
    [aux_sym_throw_expression_token1] = ACTIONS(973),
    [aux_sym_while_statement_token1] = ACTIONS(973),
    [aux_sym_while_statement_token2] = ACTIONS(973),
    [aux_sym_do_statement_token1] = ACTIONS(973),
    [aux_sym_for_statement_token1] = ACTIONS(973),
    [aux_sym_for_statement_token2] = ACTIONS(973),
    [aux_sym_foreach_statement_token1] = ACTIONS(973),
    [aux_sym_foreach_statement_token2] = ACTIONS(973),
    [aux_sym_if_statement_token1] = ACTIONS(973),
    [aux_sym_if_statement_token2] = ACTIONS(973),
    [aux_sym_else_if_clause_token1] = ACTIONS(973),
    [aux_sym_else_clause_token1] = ACTIONS(973),
    [aux_sym_switch_statement_token1] = ACTIONS(973),
    [aux_sym_switch_block_token1] = ACTIONS(973),
    [aux_sym_case_statement_token1] = ACTIONS(973),
    [aux_sym_default_statement_token1] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_clone] = ACTIONS(973),
    [anon_sym_print] = ACTIONS(973),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [sym_shell_command_expression] = ACTIONS(971),
    [anon_sym_list] = ACTIONS(973),
    [anon_sym_LBRACK] = ACTIONS(971),
    [anon_sym_self] = ACTIONS(973),
    [anon_sym_parent] = ACTIONS(973),
    [sym_string] = ACTIONS(971),
    [sym_boolean] = ACTIONS(973),
    [sym_null] = ACTIONS(973),
    [anon_sym_DOLLAR] = ACTIONS(971),
    [anon_sym_yield] = ACTIONS(973),
    [aux_sym_include_expression_token1] = ACTIONS(973),
    [aux_sym_include_once_expression_token1] = ACTIONS(973),
    [aux_sym_require_expression_token1] = ACTIONS(973),
    [aux_sym_require_once_expression_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(971),
  },
  [360] = {
    [sym_text_interpolation] = STATE(360),
    [ts_builtin_sym_end] = ACTIONS(823),
    [sym_name] = ACTIONS(825),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(823),
    [aux_sym_function_static_declaration_token1] = ACTIONS(825),
    [aux_sym_global_declaration_token1] = ACTIONS(825),
    [aux_sym_namespace_definition_token1] = ACTIONS(825),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(825),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(825),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(825),
    [anon_sym_BSLASH] = ACTIONS(823),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_RBRACE] = ACTIONS(823),
    [aux_sym_trait_declaration_token1] = ACTIONS(825),
    [aux_sym_interface_declaration_token1] = ACTIONS(825),
    [aux_sym_class_declaration_token1] = ACTIONS(825),
    [aux_sym_class_modifier_token1] = ACTIONS(825),
    [aux_sym_class_modifier_token2] = ACTIONS(825),
    [aux_sym_visibility_modifier_token1] = ACTIONS(825),
    [aux_sym_visibility_modifier_token2] = ACTIONS(825),
    [aux_sym_visibility_modifier_token3] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_array] = ACTIONS(825),
    [anon_sym_unset] = ACTIONS(825),
    [aux_sym_echo_statement_token1] = ACTIONS(825),
    [anon_sym_declare] = ACTIONS(825),
    [aux_sym_declare_statement_token1] = ACTIONS(825),
    [sym_float] = ACTIONS(825),
    [aux_sym_try_statement_token1] = ACTIONS(825),
    [aux_sym_goto_statement_token1] = ACTIONS(825),
    [aux_sym_continue_statement_token1] = ACTIONS(825),
    [aux_sym_break_statement_token1] = ACTIONS(825),
    [sym_integer] = ACTIONS(825),
    [aux_sym_return_statement_token1] = ACTIONS(825),
    [aux_sym_throw_expression_token1] = ACTIONS(825),
    [aux_sym_while_statement_token1] = ACTIONS(825),
    [aux_sym_while_statement_token2] = ACTIONS(825),
    [aux_sym_do_statement_token1] = ACTIONS(825),
    [aux_sym_for_statement_token1] = ACTIONS(825),
    [aux_sym_for_statement_token2] = ACTIONS(825),
    [aux_sym_foreach_statement_token1] = ACTIONS(825),
    [aux_sym_foreach_statement_token2] = ACTIONS(825),
    [aux_sym_if_statement_token1] = ACTIONS(825),
    [aux_sym_if_statement_token2] = ACTIONS(825),
    [aux_sym_else_if_clause_token1] = ACTIONS(825),
    [aux_sym_else_clause_token1] = ACTIONS(825),
    [aux_sym_switch_statement_token1] = ACTIONS(825),
    [aux_sym_switch_block_token1] = ACTIONS(825),
    [aux_sym_case_statement_token1] = ACTIONS(825),
    [aux_sym_default_statement_token1] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_TILDE] = ACTIONS(823),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_clone] = ACTIONS(825),
    [anon_sym_print] = ACTIONS(825),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_PLUS_PLUS] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(823),
    [sym_shell_command_expression] = ACTIONS(823),
    [anon_sym_list] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(823),
    [anon_sym_self] = ACTIONS(825),
    [anon_sym_parent] = ACTIONS(825),
    [sym_string] = ACTIONS(823),
    [sym_boolean] = ACTIONS(825),
    [sym_null] = ACTIONS(825),
    [anon_sym_DOLLAR] = ACTIONS(823),
    [anon_sym_yield] = ACTIONS(825),
    [aux_sym_include_expression_token1] = ACTIONS(825),
    [aux_sym_include_once_expression_token1] = ACTIONS(825),
    [aux_sym_require_expression_token1] = ACTIONS(825),
    [aux_sym_require_once_expression_token1] = ACTIONS(825),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(823),
  },
  [361] = {
    [sym_text_interpolation] = STATE(361),
    [ts_builtin_sym_end] = ACTIONS(975),
    [sym_name] = ACTIONS(977),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(977),
    [aux_sym_global_declaration_token1] = ACTIONS(977),
    [aux_sym_namespace_definition_token1] = ACTIONS(977),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(977),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(977),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(977),
    [anon_sym_BSLASH] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [aux_sym_trait_declaration_token1] = ACTIONS(977),
    [aux_sym_interface_declaration_token1] = ACTIONS(977),
    [aux_sym_class_declaration_token1] = ACTIONS(977),
    [aux_sym_class_modifier_token1] = ACTIONS(977),
    [aux_sym_class_modifier_token2] = ACTIONS(977),
    [aux_sym_visibility_modifier_token1] = ACTIONS(977),
    [aux_sym_visibility_modifier_token2] = ACTIONS(977),
    [aux_sym_visibility_modifier_token3] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_array] = ACTIONS(977),
    [anon_sym_unset] = ACTIONS(977),
    [aux_sym_echo_statement_token1] = ACTIONS(977),
    [anon_sym_declare] = ACTIONS(977),
    [aux_sym_declare_statement_token1] = ACTIONS(977),
    [sym_float] = ACTIONS(977),
    [aux_sym_try_statement_token1] = ACTIONS(977),
    [aux_sym_goto_statement_token1] = ACTIONS(977),
    [aux_sym_continue_statement_token1] = ACTIONS(977),
    [aux_sym_break_statement_token1] = ACTIONS(977),
    [sym_integer] = ACTIONS(977),
    [aux_sym_return_statement_token1] = ACTIONS(977),
    [aux_sym_throw_expression_token1] = ACTIONS(977),
    [aux_sym_while_statement_token1] = ACTIONS(977),
    [aux_sym_while_statement_token2] = ACTIONS(977),
    [aux_sym_do_statement_token1] = ACTIONS(977),
    [aux_sym_for_statement_token1] = ACTIONS(977),
    [aux_sym_for_statement_token2] = ACTIONS(977),
    [aux_sym_foreach_statement_token1] = ACTIONS(977),
    [aux_sym_foreach_statement_token2] = ACTIONS(977),
    [aux_sym_if_statement_token1] = ACTIONS(977),
    [aux_sym_if_statement_token2] = ACTIONS(977),
    [aux_sym_else_if_clause_token1] = ACTIONS(977),
    [aux_sym_else_clause_token1] = ACTIONS(977),
    [aux_sym_switch_statement_token1] = ACTIONS(977),
    [aux_sym_switch_block_token1] = ACTIONS(977),
    [aux_sym_case_statement_token1] = ACTIONS(977),
    [aux_sym_default_statement_token1] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_clone] = ACTIONS(977),
    [anon_sym_print] = ACTIONS(977),
    [anon_sym_new] = ACTIONS(977),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [sym_shell_command_expression] = ACTIONS(975),
    [anon_sym_list] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_self] = ACTIONS(977),
    [anon_sym_parent] = ACTIONS(977),
    [sym_string] = ACTIONS(975),
    [sym_boolean] = ACTIONS(977),
    [sym_null] = ACTIONS(977),
    [anon_sym_DOLLAR] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(977),
    [aux_sym_include_expression_token1] = ACTIONS(977),
    [aux_sym_include_once_expression_token1] = ACTIONS(977),
    [aux_sym_require_expression_token1] = ACTIONS(977),
    [aux_sym_require_once_expression_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(975),
  },
  [362] = {
    [sym_text_interpolation] = STATE(362),
    [ts_builtin_sym_end] = ACTIONS(975),
    [sym_name] = ACTIONS(977),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(975),
    [aux_sym_function_static_declaration_token1] = ACTIONS(977),
    [aux_sym_global_declaration_token1] = ACTIONS(977),
    [aux_sym_namespace_definition_token1] = ACTIONS(977),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(977),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(977),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(977),
    [anon_sym_BSLASH] = ACTIONS(975),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [aux_sym_trait_declaration_token1] = ACTIONS(977),
    [aux_sym_interface_declaration_token1] = ACTIONS(977),
    [aux_sym_class_declaration_token1] = ACTIONS(977),
    [aux_sym_class_modifier_token1] = ACTIONS(977),
    [aux_sym_class_modifier_token2] = ACTIONS(977),
    [aux_sym_visibility_modifier_token1] = ACTIONS(977),
    [aux_sym_visibility_modifier_token2] = ACTIONS(977),
    [aux_sym_visibility_modifier_token3] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_array] = ACTIONS(977),
    [anon_sym_unset] = ACTIONS(977),
    [aux_sym_echo_statement_token1] = ACTIONS(977),
    [anon_sym_declare] = ACTIONS(977),
    [aux_sym_declare_statement_token1] = ACTIONS(977),
    [sym_float] = ACTIONS(977),
    [aux_sym_try_statement_token1] = ACTIONS(977),
    [aux_sym_goto_statement_token1] = ACTIONS(977),
    [aux_sym_continue_statement_token1] = ACTIONS(977),
    [aux_sym_break_statement_token1] = ACTIONS(977),
    [sym_integer] = ACTIONS(977),
    [aux_sym_return_statement_token1] = ACTIONS(977),
    [aux_sym_throw_expression_token1] = ACTIONS(977),
    [aux_sym_while_statement_token1] = ACTIONS(977),
    [aux_sym_while_statement_token2] = ACTIONS(977),
    [aux_sym_do_statement_token1] = ACTIONS(977),
    [aux_sym_for_statement_token1] = ACTIONS(977),
    [aux_sym_for_statement_token2] = ACTIONS(977),
    [aux_sym_foreach_statement_token1] = ACTIONS(977),
    [aux_sym_foreach_statement_token2] = ACTIONS(977),
    [aux_sym_if_statement_token1] = ACTIONS(977),
    [aux_sym_if_statement_token2] = ACTIONS(977),
    [aux_sym_else_if_clause_token1] = ACTIONS(977),
    [aux_sym_else_clause_token1] = ACTIONS(977),
    [aux_sym_switch_statement_token1] = ACTIONS(977),
    [aux_sym_switch_block_token1] = ACTIONS(977),
    [aux_sym_case_statement_token1] = ACTIONS(977),
    [aux_sym_default_statement_token1] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_clone] = ACTIONS(977),
    [anon_sym_print] = ACTIONS(977),
    [anon_sym_new] = ACTIONS(977),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [sym_shell_command_expression] = ACTIONS(975),
    [anon_sym_list] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(975),
    [anon_sym_self] = ACTIONS(977),
    [anon_sym_parent] = ACTIONS(977),
    [sym_string] = ACTIONS(975),
    [sym_boolean] = ACTIONS(977),
    [sym_null] = ACTIONS(977),
    [anon_sym_DOLLAR] = ACTIONS(975),
    [anon_sym_yield] = ACTIONS(977),
    [aux_sym_include_expression_token1] = ACTIONS(977),
    [aux_sym_include_once_expression_token1] = ACTIONS(977),
    [aux_sym_require_expression_token1] = ACTIONS(977),
    [aux_sym_require_once_expression_token1] = ACTIONS(977),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(975),
  },
  [363] = {
    [sym_text_interpolation] = STATE(363),
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_name] = ACTIONS(981),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(979),
    [aux_sym_function_static_declaration_token1] = ACTIONS(981),
    [aux_sym_global_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_definition_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(981),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(981),
    [anon_sym_BSLASH] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [aux_sym_trait_declaration_token1] = ACTIONS(981),
    [aux_sym_interface_declaration_token1] = ACTIONS(981),
    [aux_sym_class_declaration_token1] = ACTIONS(981),
    [aux_sym_class_modifier_token1] = ACTIONS(981),
    [aux_sym_class_modifier_token2] = ACTIONS(981),
    [aux_sym_visibility_modifier_token1] = ACTIONS(981),
    [aux_sym_visibility_modifier_token2] = ACTIONS(981),
    [aux_sym_visibility_modifier_token3] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_array] = ACTIONS(981),
    [anon_sym_unset] = ACTIONS(981),
    [aux_sym_echo_statement_token1] = ACTIONS(981),
    [anon_sym_declare] = ACTIONS(981),
    [aux_sym_declare_statement_token1] = ACTIONS(981),
    [sym_float] = ACTIONS(981),
    [aux_sym_try_statement_token1] = ACTIONS(981),
    [aux_sym_goto_statement_token1] = ACTIONS(981),
    [aux_sym_continue_statement_token1] = ACTIONS(981),
    [aux_sym_break_statement_token1] = ACTIONS(981),
    [sym_integer] = ACTIONS(981),
    [aux_sym_return_statement_token1] = ACTIONS(981),
    [aux_sym_throw_expression_token1] = ACTIONS(981),
    [aux_sym_while_statement_token1] = ACTIONS(981),
    [aux_sym_while_statement_token2] = ACTIONS(981),
    [aux_sym_do_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token1] = ACTIONS(981),
    [aux_sym_for_statement_token2] = ACTIONS(981),
    [aux_sym_foreach_statement_token1] = ACTIONS(981),
    [aux_sym_foreach_statement_token2] = ACTIONS(981),
    [aux_sym_if_statement_token1] = ACTIONS(981),
    [aux_sym_if_statement_token2] = ACTIONS(981),
    [aux_sym_else_if_clause_token1] = ACTIONS(981),
    [aux_sym_else_clause_token1] = ACTIONS(981),
    [aux_sym_switch_statement_token1] = ACTIONS(981),
    [aux_sym_switch_block_token1] = ACTIONS(981),
    [aux_sym_case_statement_token1] = ACTIONS(981),
    [aux_sym_default_statement_token1] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_clone] = ACTIONS(981),
    [anon_sym_print] = ACTIONS(981),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [sym_shell_command_expression] = ACTIONS(979),
    [anon_sym_list] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_self] = ACTIONS(981),
    [anon_sym_parent] = ACTIONS(981),
    [sym_string] = ACTIONS(979),
    [sym_boolean] = ACTIONS(981),
    [sym_null] = ACTIONS(981),
    [anon_sym_DOLLAR] = ACTIONS(979),
    [anon_sym_yield] = ACTIONS(981),
    [aux_sym_include_expression_token1] = ACTIONS(981),
    [aux_sym_include_once_expression_token1] = ACTIONS(981),
    [aux_sym_require_expression_token1] = ACTIONS(981),
    [aux_sym_require_once_expression_token1] = ACTIONS(981),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(979),
  },
  [364] = {
    [sym_text_interpolation] = STATE(364),
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_name] = ACTIONS(985),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(983),
    [aux_sym_function_static_declaration_token1] = ACTIONS(985),
    [aux_sym_global_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_definition_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(985),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(985),
    [anon_sym_BSLASH] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [aux_sym_trait_declaration_token1] = ACTIONS(985),
    [aux_sym_interface_declaration_token1] = ACTIONS(985),
    [aux_sym_class_declaration_token1] = ACTIONS(985),
    [aux_sym_class_modifier_token1] = ACTIONS(985),
    [aux_sym_class_modifier_token2] = ACTIONS(985),
    [aux_sym_visibility_modifier_token1] = ACTIONS(985),
    [aux_sym_visibility_modifier_token2] = ACTIONS(985),
    [aux_sym_visibility_modifier_token3] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_array] = ACTIONS(985),
    [anon_sym_unset] = ACTIONS(985),
    [aux_sym_echo_statement_token1] = ACTIONS(985),
    [anon_sym_declare] = ACTIONS(985),
    [aux_sym_declare_statement_token1] = ACTIONS(985),
    [sym_float] = ACTIONS(985),
    [aux_sym_try_statement_token1] = ACTIONS(985),
    [aux_sym_goto_statement_token1] = ACTIONS(985),
    [aux_sym_continue_statement_token1] = ACTIONS(985),
    [aux_sym_break_statement_token1] = ACTIONS(985),
    [sym_integer] = ACTIONS(985),
    [aux_sym_return_statement_token1] = ACTIONS(985),
    [aux_sym_throw_expression_token1] = ACTIONS(985),
    [aux_sym_while_statement_token1] = ACTIONS(985),
    [aux_sym_while_statement_token2] = ACTIONS(985),
    [aux_sym_do_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token1] = ACTIONS(985),
    [aux_sym_for_statement_token2] = ACTIONS(985),
    [aux_sym_foreach_statement_token1] = ACTIONS(985),
    [aux_sym_foreach_statement_token2] = ACTIONS(985),
    [aux_sym_if_statement_token1] = ACTIONS(985),
    [aux_sym_if_statement_token2] = ACTIONS(985),
    [aux_sym_else_if_clause_token1] = ACTIONS(985),
    [aux_sym_else_clause_token1] = ACTIONS(985),
    [aux_sym_switch_statement_token1] = ACTIONS(985),
    [aux_sym_switch_block_token1] = ACTIONS(985),
    [aux_sym_case_statement_token1] = ACTIONS(985),
    [aux_sym_default_statement_token1] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_BANG] = ACTIONS(983),
    [anon_sym_clone] = ACTIONS(985),
    [anon_sym_print] = ACTIONS(985),
    [anon_sym_new] = ACTIONS(985),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [sym_shell_command_expression] = ACTIONS(983),
    [anon_sym_list] = ACTIONS(985),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_self] = ACTIONS(985),
    [anon_sym_parent] = ACTIONS(985),
    [sym_string] = ACTIONS(983),
    [sym_boolean] = ACTIONS(985),
    [sym_null] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(983),
    [anon_sym_yield] = ACTIONS(985),
    [aux_sym_include_expression_token1] = ACTIONS(985),
    [aux_sym_include_once_expression_token1] = ACTIONS(985),
    [aux_sym_require_expression_token1] = ACTIONS(985),
    [aux_sym_require_once_expression_token1] = ACTIONS(985),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(983),
  },
  [365] = {
    [sym_text_interpolation] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_class_modifier_token1] = ACTIONS(989),
    [aux_sym_class_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_array] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [anon_sym_declare] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [aux_sym_case_statement_token1] = ACTIONS(989),
    [aux_sym_default_statement_token1] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_clone] = ACTIONS(989),
    [anon_sym_print] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [sym_shell_command_expression] = ACTIONS(987),
    [anon_sym_list] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [sym_string] = ACTIONS(987),
    [sym_boolean] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(987),
  },
  [366] = {
    [sym_text_interpolation] = STATE(366),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_name] = ACTIONS(989),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(987),
    [aux_sym_function_static_declaration_token1] = ACTIONS(989),
    [aux_sym_global_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_definition_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(989),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(989),
    [anon_sym_BSLASH] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [aux_sym_trait_declaration_token1] = ACTIONS(989),
    [aux_sym_interface_declaration_token1] = ACTIONS(989),
    [aux_sym_class_declaration_token1] = ACTIONS(989),
    [aux_sym_class_modifier_token1] = ACTIONS(989),
    [aux_sym_class_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token1] = ACTIONS(989),
    [aux_sym_visibility_modifier_token2] = ACTIONS(989),
    [aux_sym_visibility_modifier_token3] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_array] = ACTIONS(989),
    [anon_sym_unset] = ACTIONS(989),
    [aux_sym_echo_statement_token1] = ACTIONS(989),
    [anon_sym_declare] = ACTIONS(989),
    [aux_sym_declare_statement_token1] = ACTIONS(989),
    [sym_float] = ACTIONS(989),
    [aux_sym_try_statement_token1] = ACTIONS(989),
    [aux_sym_goto_statement_token1] = ACTIONS(989),
    [aux_sym_continue_statement_token1] = ACTIONS(989),
    [aux_sym_break_statement_token1] = ACTIONS(989),
    [sym_integer] = ACTIONS(989),
    [aux_sym_return_statement_token1] = ACTIONS(989),
    [aux_sym_throw_expression_token1] = ACTIONS(989),
    [aux_sym_while_statement_token1] = ACTIONS(989),
    [aux_sym_while_statement_token2] = ACTIONS(989),
    [aux_sym_do_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token1] = ACTIONS(989),
    [aux_sym_for_statement_token2] = ACTIONS(989),
    [aux_sym_foreach_statement_token1] = ACTIONS(989),
    [aux_sym_foreach_statement_token2] = ACTIONS(989),
    [aux_sym_if_statement_token1] = ACTIONS(989),
    [aux_sym_if_statement_token2] = ACTIONS(989),
    [aux_sym_else_if_clause_token1] = ACTIONS(989),
    [aux_sym_else_clause_token1] = ACTIONS(989),
    [aux_sym_switch_statement_token1] = ACTIONS(989),
    [aux_sym_switch_block_token1] = ACTIONS(989),
    [aux_sym_case_statement_token1] = ACTIONS(989),
    [aux_sym_default_statement_token1] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_clone] = ACTIONS(989),
    [anon_sym_print] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [sym_shell_command_expression] = ACTIONS(987),
    [anon_sym_list] = ACTIONS(989),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_self] = ACTIONS(989),
    [anon_sym_parent] = ACTIONS(989),
    [sym_string] = ACTIONS(987),
    [sym_boolean] = ACTIONS(989),
    [sym_null] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_yield] = ACTIONS(989),
    [aux_sym_include_expression_token1] = ACTIONS(989),
    [aux_sym_include_once_expression_token1] = ACTIONS(989),
    [aux_sym_require_expression_token1] = ACTIONS(989),
    [aux_sym_require_once_expression_token1] = ACTIONS(989),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(987),
  },
  [367] = {
    [sym_text_interpolation] = STATE(367),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_name] = ACTIONS(993),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(991),
    [aux_sym_function_static_declaration_token1] = ACTIONS(993),
    [aux_sym_global_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_definition_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(993),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(993),
    [anon_sym_BSLASH] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [aux_sym_trait_declaration_token1] = ACTIONS(993),
    [aux_sym_interface_declaration_token1] = ACTIONS(993),
    [aux_sym_class_declaration_token1] = ACTIONS(993),
    [aux_sym_class_modifier_token1] = ACTIONS(993),
    [aux_sym_class_modifier_token2] = ACTIONS(993),
    [aux_sym_visibility_modifier_token1] = ACTIONS(993),
    [aux_sym_visibility_modifier_token2] = ACTIONS(993),
    [aux_sym_visibility_modifier_token3] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_array] = ACTIONS(993),
    [anon_sym_unset] = ACTIONS(993),
    [aux_sym_echo_statement_token1] = ACTIONS(993),
    [anon_sym_declare] = ACTIONS(993),
    [aux_sym_declare_statement_token1] = ACTIONS(993),
    [sym_float] = ACTIONS(993),
    [aux_sym_try_statement_token1] = ACTIONS(993),
    [aux_sym_goto_statement_token1] = ACTIONS(993),
    [aux_sym_continue_statement_token1] = ACTIONS(993),
    [aux_sym_break_statement_token1] = ACTIONS(993),
    [sym_integer] = ACTIONS(993),
    [aux_sym_return_statement_token1] = ACTIONS(993),
    [aux_sym_throw_expression_token1] = ACTIONS(993),
    [aux_sym_while_statement_token1] = ACTIONS(993),
    [aux_sym_while_statement_token2] = ACTIONS(993),
    [aux_sym_do_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token1] = ACTIONS(993),
    [aux_sym_for_statement_token2] = ACTIONS(993),
    [aux_sym_foreach_statement_token1] = ACTIONS(993),
    [aux_sym_foreach_statement_token2] = ACTIONS(993),
    [aux_sym_if_statement_token1] = ACTIONS(993),
    [aux_sym_if_statement_token2] = ACTIONS(993),
    [aux_sym_else_if_clause_token1] = ACTIONS(993),
    [aux_sym_else_clause_token1] = ACTIONS(993),
    [aux_sym_switch_statement_token1] = ACTIONS(993),
    [aux_sym_switch_block_token1] = ACTIONS(993),
    [aux_sym_case_statement_token1] = ACTIONS(993),
    [aux_sym_default_statement_token1] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_clone] = ACTIONS(993),
    [anon_sym_print] = ACTIONS(993),
    [anon_sym_new] = ACTIONS(993),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [sym_shell_command_expression] = ACTIONS(991),
    [anon_sym_list] = ACTIONS(993),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_self] = ACTIONS(993),
    [anon_sym_parent] = ACTIONS(993),
    [sym_string] = ACTIONS(991),
    [sym_boolean] = ACTIONS(993),
    [sym_null] = ACTIONS(993),
    [anon_sym_DOLLAR] = ACTIONS(991),
    [anon_sym_yield] = ACTIONS(993),
    [aux_sym_include_expression_token1] = ACTIONS(993),
    [aux_sym_include_once_expression_token1] = ACTIONS(993),
    [aux_sym_require_expression_token1] = ACTIONS(993),
    [aux_sym_require_once_expression_token1] = ACTIONS(993),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(991),
  },
  [368] = {
    [sym_text_interpolation] = STATE(368),
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_name] = ACTIONS(997),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(995),
    [aux_sym_function_static_declaration_token1] = ACTIONS(997),
    [aux_sym_global_declaration_token1] = ACTIONS(997),
    [aux_sym_namespace_definition_token1] = ACTIONS(997),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(997),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(997),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(997),
    [anon_sym_BSLASH] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [aux_sym_trait_declaration_token1] = ACTIONS(997),
    [aux_sym_interface_declaration_token1] = ACTIONS(997),
    [aux_sym_class_declaration_token1] = ACTIONS(997),
    [aux_sym_class_modifier_token1] = ACTIONS(997),
    [aux_sym_class_modifier_token2] = ACTIONS(997),
    [aux_sym_visibility_modifier_token1] = ACTIONS(997),
    [aux_sym_visibility_modifier_token2] = ACTIONS(997),
    [aux_sym_visibility_modifier_token3] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_array] = ACTIONS(997),
    [anon_sym_unset] = ACTIONS(997),
    [aux_sym_echo_statement_token1] = ACTIONS(997),
    [anon_sym_declare] = ACTIONS(997),
    [aux_sym_declare_statement_token1] = ACTIONS(997),
    [sym_float] = ACTIONS(997),
    [aux_sym_try_statement_token1] = ACTIONS(997),
    [aux_sym_goto_statement_token1] = ACTIONS(997),
    [aux_sym_continue_statement_token1] = ACTIONS(997),
    [aux_sym_break_statement_token1] = ACTIONS(997),
    [sym_integer] = ACTIONS(997),
    [aux_sym_return_statement_token1] = ACTIONS(997),
    [aux_sym_throw_expression_token1] = ACTIONS(997),
    [aux_sym_while_statement_token1] = ACTIONS(997),
    [aux_sym_while_statement_token2] = ACTIONS(997),
    [aux_sym_do_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token1] = ACTIONS(997),
    [aux_sym_for_statement_token2] = ACTIONS(997),
    [aux_sym_foreach_statement_token1] = ACTIONS(997),
    [aux_sym_foreach_statement_token2] = ACTIONS(997),
    [aux_sym_if_statement_token1] = ACTIONS(997),
    [aux_sym_if_statement_token2] = ACTIONS(997),
    [aux_sym_else_if_clause_token1] = ACTIONS(997),
    [aux_sym_else_clause_token1] = ACTIONS(997),
    [aux_sym_switch_statement_token1] = ACTIONS(997),
    [aux_sym_switch_block_token1] = ACTIONS(997),
    [aux_sym_case_statement_token1] = ACTIONS(997),
    [aux_sym_default_statement_token1] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_clone] = ACTIONS(997),
    [anon_sym_print] = ACTIONS(997),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [sym_shell_command_expression] = ACTIONS(995),
    [anon_sym_list] = ACTIONS(997),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_self] = ACTIONS(997),
    [anon_sym_parent] = ACTIONS(997),
    [sym_string] = ACTIONS(995),
    [sym_boolean] = ACTIONS(997),
    [sym_null] = ACTIONS(997),
    [anon_sym_DOLLAR] = ACTIONS(995),
    [anon_sym_yield] = ACTIONS(997),
    [aux_sym_include_expression_token1] = ACTIONS(997),
    [aux_sym_include_once_expression_token1] = ACTIONS(997),
    [aux_sym_require_expression_token1] = ACTIONS(997),
    [aux_sym_require_once_expression_token1] = ACTIONS(997),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(995),
  },
  [369] = {
    [sym_text_interpolation] = STATE(369),
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_name] = ACTIONS(1001),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(999),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1001),
    [aux_sym_global_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_definition_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1001),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1001),
    [anon_sym_BSLASH] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [aux_sym_trait_declaration_token1] = ACTIONS(1001),
    [aux_sym_interface_declaration_token1] = ACTIONS(1001),
    [aux_sym_class_declaration_token1] = ACTIONS(1001),
    [aux_sym_class_modifier_token1] = ACTIONS(1001),
    [aux_sym_class_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1001),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_array] = ACTIONS(1001),
    [anon_sym_unset] = ACTIONS(1001),
    [aux_sym_echo_statement_token1] = ACTIONS(1001),
    [anon_sym_declare] = ACTIONS(1001),
    [aux_sym_declare_statement_token1] = ACTIONS(1001),
    [sym_float] = ACTIONS(1001),
    [aux_sym_try_statement_token1] = ACTIONS(1001),
    [aux_sym_goto_statement_token1] = ACTIONS(1001),
    [aux_sym_continue_statement_token1] = ACTIONS(1001),
    [aux_sym_break_statement_token1] = ACTIONS(1001),
    [sym_integer] = ACTIONS(1001),
    [aux_sym_return_statement_token1] = ACTIONS(1001),
    [aux_sym_throw_expression_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token1] = ACTIONS(1001),
    [aux_sym_while_statement_token2] = ACTIONS(1001),
    [aux_sym_do_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token1] = ACTIONS(1001),
    [aux_sym_for_statement_token2] = ACTIONS(1001),
    [aux_sym_foreach_statement_token1] = ACTIONS(1001),
    [aux_sym_foreach_statement_token2] = ACTIONS(1001),
    [aux_sym_if_statement_token1] = ACTIONS(1001),
    [aux_sym_if_statement_token2] = ACTIONS(1001),
    [aux_sym_else_if_clause_token1] = ACTIONS(1001),
    [aux_sym_else_clause_token1] = ACTIONS(1001),
    [aux_sym_switch_statement_token1] = ACTIONS(1001),
    [aux_sym_switch_block_token1] = ACTIONS(1001),
    [aux_sym_case_statement_token1] = ACTIONS(1001),
    [aux_sym_default_statement_token1] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_clone] = ACTIONS(1001),
    [anon_sym_print] = ACTIONS(1001),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [sym_shell_command_expression] = ACTIONS(999),
    [anon_sym_list] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_self] = ACTIONS(1001),
    [anon_sym_parent] = ACTIONS(1001),
    [sym_string] = ACTIONS(999),
    [sym_boolean] = ACTIONS(1001),
    [sym_null] = ACTIONS(1001),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [anon_sym_yield] = ACTIONS(1001),
    [aux_sym_include_expression_token1] = ACTIONS(1001),
    [aux_sym_include_once_expression_token1] = ACTIONS(1001),
    [aux_sym_require_expression_token1] = ACTIONS(1001),
    [aux_sym_require_once_expression_token1] = ACTIONS(1001),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(999),
  },
  [370] = {
    [sym_text_interpolation] = STATE(370),
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_name] = ACTIONS(1005),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1003),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1005),
    [aux_sym_global_declaration_token1] = ACTIONS(1005),
    [aux_sym_namespace_definition_token1] = ACTIONS(1005),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1005),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1005),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1005),
    [anon_sym_BSLASH] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [aux_sym_trait_declaration_token1] = ACTIONS(1005),
    [aux_sym_interface_declaration_token1] = ACTIONS(1005),
    [aux_sym_class_declaration_token1] = ACTIONS(1005),
    [aux_sym_class_modifier_token1] = ACTIONS(1005),
    [aux_sym_class_modifier_token2] = ACTIONS(1005),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1005),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1005),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1003),
    [anon_sym_array] = ACTIONS(1005),
    [anon_sym_unset] = ACTIONS(1005),
    [aux_sym_echo_statement_token1] = ACTIONS(1005),
    [anon_sym_declare] = ACTIONS(1005),
    [aux_sym_declare_statement_token1] = ACTIONS(1005),
    [sym_float] = ACTIONS(1005),
    [aux_sym_try_statement_token1] = ACTIONS(1005),
    [aux_sym_goto_statement_token1] = ACTIONS(1005),
    [aux_sym_continue_statement_token1] = ACTIONS(1005),
    [aux_sym_break_statement_token1] = ACTIONS(1005),
    [sym_integer] = ACTIONS(1005),
    [aux_sym_return_statement_token1] = ACTIONS(1005),
    [aux_sym_throw_expression_token1] = ACTIONS(1005),
    [aux_sym_while_statement_token1] = ACTIONS(1005),
    [aux_sym_while_statement_token2] = ACTIONS(1005),
    [aux_sym_do_statement_token1] = ACTIONS(1005),
    [aux_sym_for_statement_token1] = ACTIONS(1005),
    [aux_sym_for_statement_token2] = ACTIONS(1005),
    [aux_sym_foreach_statement_token1] = ACTIONS(1005),
    [aux_sym_foreach_statement_token2] = ACTIONS(1005),
    [aux_sym_if_statement_token1] = ACTIONS(1005),
    [aux_sym_if_statement_token2] = ACTIONS(1005),
    [aux_sym_else_if_clause_token1] = ACTIONS(1005),
    [aux_sym_else_clause_token1] = ACTIONS(1005),
    [aux_sym_switch_statement_token1] = ACTIONS(1005),
    [aux_sym_switch_block_token1] = ACTIONS(1005),
    [aux_sym_case_statement_token1] = ACTIONS(1005),
    [aux_sym_default_statement_token1] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1005),
    [anon_sym_TILDE] = ACTIONS(1003),
    [anon_sym_BANG] = ACTIONS(1003),
    [anon_sym_clone] = ACTIONS(1005),
    [anon_sym_print] = ACTIONS(1005),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_PLUS_PLUS] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1003),
    [sym_shell_command_expression] = ACTIONS(1003),
    [anon_sym_list] = ACTIONS(1005),
    [anon_sym_LBRACK] = ACTIONS(1003),
    [anon_sym_self] = ACTIONS(1005),
    [anon_sym_parent] = ACTIONS(1005),
    [sym_string] = ACTIONS(1003),
    [sym_boolean] = ACTIONS(1005),
    [sym_null] = ACTIONS(1005),
    [anon_sym_DOLLAR] = ACTIONS(1003),
    [anon_sym_yield] = ACTIONS(1005),
    [aux_sym_include_expression_token1] = ACTIONS(1005),
    [aux_sym_include_once_expression_token1] = ACTIONS(1005),
    [aux_sym_require_expression_token1] = ACTIONS(1005),
    [aux_sym_require_once_expression_token1] = ACTIONS(1005),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1003),
  },
  [371] = {
    [sym_text_interpolation] = STATE(371),
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_name] = ACTIONS(1009),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1007),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1009),
    [aux_sym_global_declaration_token1] = ACTIONS(1009),
    [aux_sym_namespace_definition_token1] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1009),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1009),
    [anon_sym_BSLASH] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [aux_sym_trait_declaration_token1] = ACTIONS(1009),
    [aux_sym_interface_declaration_token1] = ACTIONS(1009),
    [aux_sym_class_declaration_token1] = ACTIONS(1009),
    [aux_sym_class_modifier_token1] = ACTIONS(1009),
    [aux_sym_class_modifier_token2] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1009),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_array] = ACTIONS(1009),
    [anon_sym_unset] = ACTIONS(1009),
    [aux_sym_echo_statement_token1] = ACTIONS(1009),
    [anon_sym_declare] = ACTIONS(1009),
    [aux_sym_declare_statement_token1] = ACTIONS(1009),
    [sym_float] = ACTIONS(1009),
    [aux_sym_try_statement_token1] = ACTIONS(1009),
    [aux_sym_goto_statement_token1] = ACTIONS(1009),
    [aux_sym_continue_statement_token1] = ACTIONS(1009),
    [aux_sym_break_statement_token1] = ACTIONS(1009),
    [sym_integer] = ACTIONS(1009),
    [aux_sym_return_statement_token1] = ACTIONS(1009),
    [aux_sym_throw_expression_token1] = ACTIONS(1009),
    [aux_sym_while_statement_token1] = ACTIONS(1009),
    [aux_sym_while_statement_token2] = ACTIONS(1009),
    [aux_sym_do_statement_token1] = ACTIONS(1009),
    [aux_sym_for_statement_token1] = ACTIONS(1009),
    [aux_sym_for_statement_token2] = ACTIONS(1009),
    [aux_sym_foreach_statement_token1] = ACTIONS(1009),
    [aux_sym_foreach_statement_token2] = ACTIONS(1009),
    [aux_sym_if_statement_token1] = ACTIONS(1009),
    [aux_sym_if_statement_token2] = ACTIONS(1009),
    [aux_sym_else_if_clause_token1] = ACTIONS(1009),
    [aux_sym_else_clause_token1] = ACTIONS(1009),
    [aux_sym_switch_statement_token1] = ACTIONS(1009),
    [aux_sym_switch_block_token1] = ACTIONS(1009),
    [aux_sym_case_statement_token1] = ACTIONS(1009),
    [aux_sym_default_statement_token1] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_BANG] = ACTIONS(1007),
    [anon_sym_clone] = ACTIONS(1009),
    [anon_sym_print] = ACTIONS(1009),
    [anon_sym_new] = ACTIONS(1009),
    [anon_sym_PLUS_PLUS] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1007),
    [sym_shell_command_expression] = ACTIONS(1007),
    [anon_sym_list] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_self] = ACTIONS(1009),
    [anon_sym_parent] = ACTIONS(1009),
    [sym_string] = ACTIONS(1007),
    [sym_boolean] = ACTIONS(1009),
    [sym_null] = ACTIONS(1009),
    [anon_sym_DOLLAR] = ACTIONS(1007),
    [anon_sym_yield] = ACTIONS(1009),
    [aux_sym_include_expression_token1] = ACTIONS(1009),
    [aux_sym_include_once_expression_token1] = ACTIONS(1009),
    [aux_sym_require_expression_token1] = ACTIONS(1009),
    [aux_sym_require_once_expression_token1] = ACTIONS(1009),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1007),
  },
  [372] = {
    [sym_text_interpolation] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_name] = ACTIONS(1013),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1011),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1013),
    [aux_sym_global_declaration_token1] = ACTIONS(1013),
    [aux_sym_namespace_definition_token1] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1013),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1013),
    [anon_sym_BSLASH] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [aux_sym_trait_declaration_token1] = ACTIONS(1013),
    [aux_sym_interface_declaration_token1] = ACTIONS(1013),
    [aux_sym_class_declaration_token1] = ACTIONS(1013),
    [aux_sym_class_modifier_token1] = ACTIONS(1013),
    [aux_sym_class_modifier_token2] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1013),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_array] = ACTIONS(1013),
    [anon_sym_unset] = ACTIONS(1013),
    [aux_sym_echo_statement_token1] = ACTIONS(1013),
    [anon_sym_declare] = ACTIONS(1013),
    [aux_sym_declare_statement_token1] = ACTIONS(1013),
    [sym_float] = ACTIONS(1013),
    [aux_sym_try_statement_token1] = ACTIONS(1013),
    [aux_sym_goto_statement_token1] = ACTIONS(1013),
    [aux_sym_continue_statement_token1] = ACTIONS(1013),
    [aux_sym_break_statement_token1] = ACTIONS(1013),
    [sym_integer] = ACTIONS(1013),
    [aux_sym_return_statement_token1] = ACTIONS(1013),
    [aux_sym_throw_expression_token1] = ACTIONS(1013),
    [aux_sym_while_statement_token1] = ACTIONS(1013),
    [aux_sym_while_statement_token2] = ACTIONS(1013),
    [aux_sym_do_statement_token1] = ACTIONS(1013),
    [aux_sym_for_statement_token1] = ACTIONS(1013),
    [aux_sym_for_statement_token2] = ACTIONS(1013),
    [aux_sym_foreach_statement_token1] = ACTIONS(1013),
    [aux_sym_foreach_statement_token2] = ACTIONS(1013),
    [aux_sym_if_statement_token1] = ACTIONS(1013),
    [aux_sym_if_statement_token2] = ACTIONS(1013),
    [aux_sym_else_if_clause_token1] = ACTIONS(1013),
    [aux_sym_else_clause_token1] = ACTIONS(1013),
    [aux_sym_switch_statement_token1] = ACTIONS(1013),
    [aux_sym_switch_block_token1] = ACTIONS(1013),
    [aux_sym_case_statement_token1] = ACTIONS(1013),
    [aux_sym_default_statement_token1] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1011),
    [anon_sym_clone] = ACTIONS(1013),
    [anon_sym_print] = ACTIONS(1013),
    [anon_sym_new] = ACTIONS(1013),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [sym_shell_command_expression] = ACTIONS(1011),
    [anon_sym_list] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(1011),
    [anon_sym_self] = ACTIONS(1013),
    [anon_sym_parent] = ACTIONS(1013),
    [sym_string] = ACTIONS(1011),
    [sym_boolean] = ACTIONS(1013),
    [sym_null] = ACTIONS(1013),
    [anon_sym_DOLLAR] = ACTIONS(1011),
    [anon_sym_yield] = ACTIONS(1013),
    [aux_sym_include_expression_token1] = ACTIONS(1013),
    [aux_sym_include_once_expression_token1] = ACTIONS(1013),
    [aux_sym_require_expression_token1] = ACTIONS(1013),
    [aux_sym_require_once_expression_token1] = ACTIONS(1013),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1011),
  },
  [373] = {
    [sym_text_interpolation] = STATE(373),
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_name] = ACTIONS(1017),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1015),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1017),
    [aux_sym_global_declaration_token1] = ACTIONS(1017),
    [aux_sym_namespace_definition_token1] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1017),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1017),
    [anon_sym_BSLASH] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [aux_sym_trait_declaration_token1] = ACTIONS(1017),
    [aux_sym_interface_declaration_token1] = ACTIONS(1017),
    [aux_sym_class_declaration_token1] = ACTIONS(1017),
    [aux_sym_class_modifier_token1] = ACTIONS(1017),
    [aux_sym_class_modifier_token2] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1017),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_array] = ACTIONS(1017),
    [anon_sym_unset] = ACTIONS(1017),
    [aux_sym_echo_statement_token1] = ACTIONS(1017),
    [anon_sym_declare] = ACTIONS(1017),
    [aux_sym_declare_statement_token1] = ACTIONS(1017),
    [sym_float] = ACTIONS(1017),
    [aux_sym_try_statement_token1] = ACTIONS(1017),
    [aux_sym_goto_statement_token1] = ACTIONS(1017),
    [aux_sym_continue_statement_token1] = ACTIONS(1017),
    [aux_sym_break_statement_token1] = ACTIONS(1017),
    [sym_integer] = ACTIONS(1017),
    [aux_sym_return_statement_token1] = ACTIONS(1017),
    [aux_sym_throw_expression_token1] = ACTIONS(1017),
    [aux_sym_while_statement_token1] = ACTIONS(1017),
    [aux_sym_while_statement_token2] = ACTIONS(1017),
    [aux_sym_do_statement_token1] = ACTIONS(1017),
    [aux_sym_for_statement_token1] = ACTIONS(1017),
    [aux_sym_for_statement_token2] = ACTIONS(1017),
    [aux_sym_foreach_statement_token1] = ACTIONS(1017),
    [aux_sym_foreach_statement_token2] = ACTIONS(1017),
    [aux_sym_if_statement_token1] = ACTIONS(1017),
    [aux_sym_if_statement_token2] = ACTIONS(1017),
    [aux_sym_else_if_clause_token1] = ACTIONS(1017),
    [aux_sym_else_clause_token1] = ACTIONS(1017),
    [aux_sym_switch_statement_token1] = ACTIONS(1017),
    [aux_sym_switch_block_token1] = ACTIONS(1017),
    [aux_sym_case_statement_token1] = ACTIONS(1017),
    [aux_sym_default_statement_token1] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1017),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_BANG] = ACTIONS(1015),
    [anon_sym_clone] = ACTIONS(1017),
    [anon_sym_print] = ACTIONS(1017),
    [anon_sym_new] = ACTIONS(1017),
    [anon_sym_PLUS_PLUS] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1015),
    [sym_shell_command_expression] = ACTIONS(1015),
    [anon_sym_list] = ACTIONS(1017),
    [anon_sym_LBRACK] = ACTIONS(1015),
    [anon_sym_self] = ACTIONS(1017),
    [anon_sym_parent] = ACTIONS(1017),
    [sym_string] = ACTIONS(1015),
    [sym_boolean] = ACTIONS(1017),
    [sym_null] = ACTIONS(1017),
    [anon_sym_DOLLAR] = ACTIONS(1015),
    [anon_sym_yield] = ACTIONS(1017),
    [aux_sym_include_expression_token1] = ACTIONS(1017),
    [aux_sym_include_once_expression_token1] = ACTIONS(1017),
    [aux_sym_require_expression_token1] = ACTIONS(1017),
    [aux_sym_require_once_expression_token1] = ACTIONS(1017),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1015),
  },
  [374] = {
    [sym_text_interpolation] = STATE(374),
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_name] = ACTIONS(1021),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1019),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1021),
    [aux_sym_global_declaration_token1] = ACTIONS(1021),
    [aux_sym_namespace_definition_token1] = ACTIONS(1021),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1021),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1021),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1021),
    [anon_sym_BSLASH] = ACTIONS(1019),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [aux_sym_trait_declaration_token1] = ACTIONS(1021),
    [aux_sym_interface_declaration_token1] = ACTIONS(1021),
    [aux_sym_class_declaration_token1] = ACTIONS(1021),
    [aux_sym_class_modifier_token1] = ACTIONS(1021),
    [aux_sym_class_modifier_token2] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1021),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_array] = ACTIONS(1021),
    [anon_sym_unset] = ACTIONS(1021),
    [aux_sym_echo_statement_token1] = ACTIONS(1021),
    [anon_sym_declare] = ACTIONS(1021),
    [aux_sym_declare_statement_token1] = ACTIONS(1021),
    [sym_float] = ACTIONS(1021),
    [aux_sym_try_statement_token1] = ACTIONS(1021),
    [aux_sym_goto_statement_token1] = ACTIONS(1021),
    [aux_sym_continue_statement_token1] = ACTIONS(1021),
    [aux_sym_break_statement_token1] = ACTIONS(1021),
    [sym_integer] = ACTIONS(1021),
    [aux_sym_return_statement_token1] = ACTIONS(1021),
    [aux_sym_throw_expression_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token1] = ACTIONS(1021),
    [aux_sym_while_statement_token2] = ACTIONS(1021),
    [aux_sym_do_statement_token1] = ACTIONS(1021),
    [aux_sym_for_statement_token1] = ACTIONS(1021),
    [aux_sym_for_statement_token2] = ACTIONS(1021),
    [aux_sym_foreach_statement_token1] = ACTIONS(1021),
    [aux_sym_foreach_statement_token2] = ACTIONS(1021),
    [aux_sym_if_statement_token1] = ACTIONS(1021),
    [aux_sym_if_statement_token2] = ACTIONS(1021),
    [aux_sym_else_if_clause_token1] = ACTIONS(1021),
    [aux_sym_else_clause_token1] = ACTIONS(1021),
    [aux_sym_switch_statement_token1] = ACTIONS(1021),
    [aux_sym_switch_block_token1] = ACTIONS(1021),
    [aux_sym_case_statement_token1] = ACTIONS(1021),
    [aux_sym_default_statement_token1] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_clone] = ACTIONS(1021),
    [anon_sym_print] = ACTIONS(1021),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [sym_shell_command_expression] = ACTIONS(1019),
    [anon_sym_list] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_self] = ACTIONS(1021),
    [anon_sym_parent] = ACTIONS(1021),
    [sym_string] = ACTIONS(1019),
    [sym_boolean] = ACTIONS(1021),
    [sym_null] = ACTIONS(1021),
    [anon_sym_DOLLAR] = ACTIONS(1019),
    [anon_sym_yield] = ACTIONS(1021),
    [aux_sym_include_expression_token1] = ACTIONS(1021),
    [aux_sym_include_once_expression_token1] = ACTIONS(1021),
    [aux_sym_require_expression_token1] = ACTIONS(1021),
    [aux_sym_require_once_expression_token1] = ACTIONS(1021),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1019),
  },
  [375] = {
    [sym_text_interpolation] = STATE(375),
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_name] = ACTIONS(1025),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1023),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1025),
    [aux_sym_global_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_definition_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1025),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1025),
    [anon_sym_BSLASH] = ACTIONS(1023),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [aux_sym_trait_declaration_token1] = ACTIONS(1025),
    [aux_sym_interface_declaration_token1] = ACTIONS(1025),
    [aux_sym_class_declaration_token1] = ACTIONS(1025),
    [aux_sym_class_modifier_token1] = ACTIONS(1025),
    [aux_sym_class_modifier_token2] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1025),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_array] = ACTIONS(1025),
    [anon_sym_unset] = ACTIONS(1025),
    [aux_sym_echo_statement_token1] = ACTIONS(1025),
    [anon_sym_declare] = ACTIONS(1025),
    [aux_sym_declare_statement_token1] = ACTIONS(1025),
    [sym_float] = ACTIONS(1025),
    [aux_sym_try_statement_token1] = ACTIONS(1025),
    [aux_sym_goto_statement_token1] = ACTIONS(1025),
    [aux_sym_continue_statement_token1] = ACTIONS(1025),
    [aux_sym_break_statement_token1] = ACTIONS(1025),
    [sym_integer] = ACTIONS(1025),
    [aux_sym_return_statement_token1] = ACTIONS(1025),
    [aux_sym_throw_expression_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token1] = ACTIONS(1025),
    [aux_sym_while_statement_token2] = ACTIONS(1025),
    [aux_sym_do_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token1] = ACTIONS(1025),
    [aux_sym_for_statement_token2] = ACTIONS(1025),
    [aux_sym_foreach_statement_token1] = ACTIONS(1025),
    [aux_sym_foreach_statement_token2] = ACTIONS(1025),
    [aux_sym_if_statement_token1] = ACTIONS(1025),
    [aux_sym_if_statement_token2] = ACTIONS(1025),
    [aux_sym_else_if_clause_token1] = ACTIONS(1025),
    [aux_sym_else_clause_token1] = ACTIONS(1025),
    [aux_sym_switch_statement_token1] = ACTIONS(1025),
    [aux_sym_switch_block_token1] = ACTIONS(1025),
    [aux_sym_case_statement_token1] = ACTIONS(1025),
    [aux_sym_default_statement_token1] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_BANG] = ACTIONS(1023),
    [anon_sym_clone] = ACTIONS(1025),
    [anon_sym_print] = ACTIONS(1025),
    [anon_sym_new] = ACTIONS(1025),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [sym_shell_command_expression] = ACTIONS(1023),
    [anon_sym_list] = ACTIONS(1025),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_self] = ACTIONS(1025),
    [anon_sym_parent] = ACTIONS(1025),
    [sym_string] = ACTIONS(1023),
    [sym_boolean] = ACTIONS(1025),
    [sym_null] = ACTIONS(1025),
    [anon_sym_DOLLAR] = ACTIONS(1023),
    [anon_sym_yield] = ACTIONS(1025),
    [aux_sym_include_expression_token1] = ACTIONS(1025),
    [aux_sym_include_once_expression_token1] = ACTIONS(1025),
    [aux_sym_require_expression_token1] = ACTIONS(1025),
    [aux_sym_require_once_expression_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1023),
  },
  [376] = {
    [sym_text_interpolation] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(792),
    [sym_name] = ACTIONS(794),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(792),
    [aux_sym_function_static_declaration_token1] = ACTIONS(794),
    [aux_sym_global_declaration_token1] = ACTIONS(794),
    [aux_sym_namespace_definition_token1] = ACTIONS(794),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(794),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(794),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(794),
    [anon_sym_BSLASH] = ACTIONS(792),
    [anon_sym_LBRACE] = ACTIONS(792),
    [anon_sym_RBRACE] = ACTIONS(792),
    [aux_sym_trait_declaration_token1] = ACTIONS(794),
    [aux_sym_interface_declaration_token1] = ACTIONS(794),
    [aux_sym_class_declaration_token1] = ACTIONS(794),
    [aux_sym_class_modifier_token1] = ACTIONS(794),
    [aux_sym_class_modifier_token2] = ACTIONS(794),
    [aux_sym_visibility_modifier_token1] = ACTIONS(794),
    [aux_sym_visibility_modifier_token2] = ACTIONS(794),
    [aux_sym_visibility_modifier_token3] = ACTIONS(794),
    [anon_sym_LPAREN] = ACTIONS(792),
    [anon_sym_array] = ACTIONS(794),
    [anon_sym_unset] = ACTIONS(794),
    [aux_sym_echo_statement_token1] = ACTIONS(794),
    [anon_sym_declare] = ACTIONS(794),
    [aux_sym_declare_statement_token1] = ACTIONS(794),
    [sym_float] = ACTIONS(794),
    [aux_sym_try_statement_token1] = ACTIONS(794),
    [aux_sym_goto_statement_token1] = ACTIONS(794),
    [aux_sym_continue_statement_token1] = ACTIONS(794),
    [aux_sym_break_statement_token1] = ACTIONS(794),
    [sym_integer] = ACTIONS(794),
    [aux_sym_return_statement_token1] = ACTIONS(794),
    [aux_sym_throw_expression_token1] = ACTIONS(794),
    [aux_sym_while_statement_token1] = ACTIONS(794),
    [aux_sym_while_statement_token2] = ACTIONS(794),
    [aux_sym_do_statement_token1] = ACTIONS(794),
    [aux_sym_for_statement_token1] = ACTIONS(794),
    [aux_sym_for_statement_token2] = ACTIONS(794),
    [aux_sym_foreach_statement_token1] = ACTIONS(794),
    [aux_sym_foreach_statement_token2] = ACTIONS(794),
    [aux_sym_if_statement_token1] = ACTIONS(794),
    [aux_sym_if_statement_token2] = ACTIONS(794),
    [aux_sym_else_if_clause_token1] = ACTIONS(794),
    [aux_sym_else_clause_token1] = ACTIONS(794),
    [aux_sym_switch_statement_token1] = ACTIONS(794),
    [aux_sym_switch_block_token1] = ACTIONS(794),
    [aux_sym_case_statement_token1] = ACTIONS(794),
    [aux_sym_default_statement_token1] = ACTIONS(794),
    [anon_sym_AT] = ACTIONS(792),
    [anon_sym_PLUS] = ACTIONS(794),
    [anon_sym_DASH] = ACTIONS(794),
    [anon_sym_TILDE] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(792),
    [anon_sym_clone] = ACTIONS(794),
    [anon_sym_print] = ACTIONS(794),
    [anon_sym_new] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(792),
    [anon_sym_DASH_DASH] = ACTIONS(792),
    [sym_shell_command_expression] = ACTIONS(792),
    [anon_sym_list] = ACTIONS(794),
    [anon_sym_LBRACK] = ACTIONS(792),
    [anon_sym_self] = ACTIONS(794),
    [anon_sym_parent] = ACTIONS(794),
    [sym_string] = ACTIONS(792),
    [sym_boolean] = ACTIONS(794),
    [sym_null] = ACTIONS(794),
    [anon_sym_DOLLAR] = ACTIONS(792),
    [anon_sym_yield] = ACTIONS(794),
    [aux_sym_include_expression_token1] = ACTIONS(794),
    [aux_sym_include_once_expression_token1] = ACTIONS(794),
    [aux_sym_require_expression_token1] = ACTIONS(794),
    [aux_sym_require_once_expression_token1] = ACTIONS(794),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(792),
  },
  [377] = {
    [sym_text_interpolation] = STATE(377),
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_name] = ACTIONS(1029),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1027),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1029),
    [aux_sym_global_declaration_token1] = ACTIONS(1029),
    [aux_sym_namespace_definition_token1] = ACTIONS(1029),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1029),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1029),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1029),
    [anon_sym_BSLASH] = ACTIONS(1027),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [aux_sym_trait_declaration_token1] = ACTIONS(1029),
    [aux_sym_interface_declaration_token1] = ACTIONS(1029),
    [aux_sym_class_declaration_token1] = ACTIONS(1029),
    [aux_sym_class_modifier_token1] = ACTIONS(1029),
    [aux_sym_class_modifier_token2] = ACTIONS(1029),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1029),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1029),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_array] = ACTIONS(1029),
    [anon_sym_unset] = ACTIONS(1029),
    [aux_sym_echo_statement_token1] = ACTIONS(1029),
    [anon_sym_declare] = ACTIONS(1029),
    [aux_sym_declare_statement_token1] = ACTIONS(1029),
    [sym_float] = ACTIONS(1029),
    [aux_sym_try_statement_token1] = ACTIONS(1029),
    [aux_sym_goto_statement_token1] = ACTIONS(1029),
    [aux_sym_continue_statement_token1] = ACTIONS(1029),
    [aux_sym_break_statement_token1] = ACTIONS(1029),
    [sym_integer] = ACTIONS(1029),
    [aux_sym_return_statement_token1] = ACTIONS(1029),
    [aux_sym_throw_expression_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token1] = ACTIONS(1029),
    [aux_sym_while_statement_token2] = ACTIONS(1029),
    [aux_sym_do_statement_token1] = ACTIONS(1029),
    [aux_sym_for_statement_token1] = ACTIONS(1029),
    [aux_sym_for_statement_token2] = ACTIONS(1029),
    [aux_sym_foreach_statement_token1] = ACTIONS(1029),
    [aux_sym_foreach_statement_token2] = ACTIONS(1029),
    [aux_sym_if_statement_token1] = ACTIONS(1029),
    [aux_sym_if_statement_token2] = ACTIONS(1029),
    [aux_sym_else_if_clause_token1] = ACTIONS(1029),
    [aux_sym_else_clause_token1] = ACTIONS(1029),
    [aux_sym_switch_statement_token1] = ACTIONS(1029),
    [aux_sym_switch_block_token1] = ACTIONS(1029),
    [aux_sym_case_statement_token1] = ACTIONS(1029),
    [aux_sym_default_statement_token1] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(1027),
    [anon_sym_clone] = ACTIONS(1029),
    [anon_sym_print] = ACTIONS(1029),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [sym_shell_command_expression] = ACTIONS(1027),
    [anon_sym_list] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1027),
    [anon_sym_self] = ACTIONS(1029),
    [anon_sym_parent] = ACTIONS(1029),
    [sym_string] = ACTIONS(1027),
    [sym_boolean] = ACTIONS(1029),
    [sym_null] = ACTIONS(1029),
    [anon_sym_DOLLAR] = ACTIONS(1027),
    [anon_sym_yield] = ACTIONS(1029),
    [aux_sym_include_expression_token1] = ACTIONS(1029),
    [aux_sym_include_once_expression_token1] = ACTIONS(1029),
    [aux_sym_require_expression_token1] = ACTIONS(1029),
    [aux_sym_require_once_expression_token1] = ACTIONS(1029),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1027),
  },
  [378] = {
    [sym_text_interpolation] = STATE(378),
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_name] = ACTIONS(1033),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1031),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1033),
    [aux_sym_global_declaration_token1] = ACTIONS(1033),
    [aux_sym_namespace_definition_token1] = ACTIONS(1033),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1033),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1033),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1033),
    [anon_sym_BSLASH] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [aux_sym_trait_declaration_token1] = ACTIONS(1033),
    [aux_sym_interface_declaration_token1] = ACTIONS(1033),
    [aux_sym_class_declaration_token1] = ACTIONS(1033),
    [aux_sym_class_modifier_token1] = ACTIONS(1033),
    [aux_sym_class_modifier_token2] = ACTIONS(1033),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1033),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1033),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_array] = ACTIONS(1033),
    [anon_sym_unset] = ACTIONS(1033),
    [aux_sym_echo_statement_token1] = ACTIONS(1033),
    [anon_sym_declare] = ACTIONS(1033),
    [aux_sym_declare_statement_token1] = ACTIONS(1033),
    [sym_float] = ACTIONS(1033),
    [aux_sym_try_statement_token1] = ACTIONS(1033),
    [aux_sym_goto_statement_token1] = ACTIONS(1033),
    [aux_sym_continue_statement_token1] = ACTIONS(1033),
    [aux_sym_break_statement_token1] = ACTIONS(1033),
    [sym_integer] = ACTIONS(1033),
    [aux_sym_return_statement_token1] = ACTIONS(1033),
    [aux_sym_throw_expression_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token1] = ACTIONS(1033),
    [aux_sym_while_statement_token2] = ACTIONS(1033),
    [aux_sym_do_statement_token1] = ACTIONS(1033),
    [aux_sym_for_statement_token1] = ACTIONS(1033),
    [aux_sym_for_statement_token2] = ACTIONS(1033),
    [aux_sym_foreach_statement_token1] = ACTIONS(1033),
    [aux_sym_foreach_statement_token2] = ACTIONS(1033),
    [aux_sym_if_statement_token1] = ACTIONS(1033),
    [aux_sym_if_statement_token2] = ACTIONS(1033),
    [aux_sym_else_if_clause_token1] = ACTIONS(1033),
    [aux_sym_else_clause_token1] = ACTIONS(1033),
    [aux_sym_switch_statement_token1] = ACTIONS(1033),
    [aux_sym_switch_block_token1] = ACTIONS(1033),
    [aux_sym_case_statement_token1] = ACTIONS(1033),
    [aux_sym_default_statement_token1] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_clone] = ACTIONS(1033),
    [anon_sym_print] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [sym_shell_command_expression] = ACTIONS(1031),
    [anon_sym_list] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_self] = ACTIONS(1033),
    [anon_sym_parent] = ACTIONS(1033),
    [sym_string] = ACTIONS(1031),
    [sym_boolean] = ACTIONS(1033),
    [sym_null] = ACTIONS(1033),
    [anon_sym_DOLLAR] = ACTIONS(1031),
    [anon_sym_yield] = ACTIONS(1033),
    [aux_sym_include_expression_token1] = ACTIONS(1033),
    [aux_sym_include_once_expression_token1] = ACTIONS(1033),
    [aux_sym_require_expression_token1] = ACTIONS(1033),
    [aux_sym_require_once_expression_token1] = ACTIONS(1033),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1031),
  },
  [379] = {
    [sym_text_interpolation] = STATE(379),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_name] = ACTIONS(1037),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1037),
    [aux_sym_global_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_definition_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1037),
    [anon_sym_BSLASH] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [aux_sym_trait_declaration_token1] = ACTIONS(1037),
    [aux_sym_interface_declaration_token1] = ACTIONS(1037),
    [aux_sym_class_declaration_token1] = ACTIONS(1037),
    [aux_sym_class_modifier_token1] = ACTIONS(1037),
    [aux_sym_class_modifier_token2] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [anon_sym_array] = ACTIONS(1037),
    [anon_sym_unset] = ACTIONS(1037),
    [aux_sym_echo_statement_token1] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(1037),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [sym_float] = ACTIONS(1037),
    [aux_sym_try_statement_token1] = ACTIONS(1037),
    [aux_sym_goto_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1037),
    [aux_sym_return_statement_token1] = ACTIONS(1037),
    [aux_sym_throw_expression_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token2] = ACTIONS(1037),
    [aux_sym_do_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token2] = ACTIONS(1037),
    [aux_sym_foreach_statement_token1] = ACTIONS(1037),
    [aux_sym_foreach_statement_token2] = ACTIONS(1037),
    [aux_sym_if_statement_token1] = ACTIONS(1037),
    [aux_sym_if_statement_token2] = ACTIONS(1037),
    [aux_sym_else_if_clause_token1] = ACTIONS(1037),
    [aux_sym_else_clause_token1] = ACTIONS(1037),
    [aux_sym_switch_statement_token1] = ACTIONS(1037),
    [aux_sym_switch_block_token1] = ACTIONS(1037),
    [aux_sym_case_statement_token1] = ACTIONS(1037),
    [aux_sym_default_statement_token1] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1035),
    [anon_sym_clone] = ACTIONS(1037),
    [anon_sym_print] = ACTIONS(1037),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [sym_shell_command_expression] = ACTIONS(1035),
    [anon_sym_list] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [anon_sym_self] = ACTIONS(1037),
    [anon_sym_parent] = ACTIONS(1037),
    [sym_string] = ACTIONS(1035),
    [sym_boolean] = ACTIONS(1037),
    [sym_null] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1035),
    [anon_sym_yield] = ACTIONS(1037),
    [aux_sym_include_expression_token1] = ACTIONS(1037),
    [aux_sym_include_once_expression_token1] = ACTIONS(1037),
    [aux_sym_require_expression_token1] = ACTIONS(1037),
    [aux_sym_require_once_expression_token1] = ACTIONS(1037),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1035),
  },
  [380] = {
    [sym_text_interpolation] = STATE(380),
    [ts_builtin_sym_end] = ACTIONS(796),
    [sym_name] = ACTIONS(798),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(796),
    [aux_sym_function_static_declaration_token1] = ACTIONS(798),
    [aux_sym_global_declaration_token1] = ACTIONS(798),
    [aux_sym_namespace_definition_token1] = ACTIONS(798),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(798),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(798),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(798),
    [anon_sym_BSLASH] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(796),
    [aux_sym_trait_declaration_token1] = ACTIONS(798),
    [aux_sym_interface_declaration_token1] = ACTIONS(798),
    [aux_sym_class_declaration_token1] = ACTIONS(798),
    [aux_sym_class_modifier_token1] = ACTIONS(798),
    [aux_sym_class_modifier_token2] = ACTIONS(798),
    [aux_sym_visibility_modifier_token1] = ACTIONS(798),
    [aux_sym_visibility_modifier_token2] = ACTIONS(798),
    [aux_sym_visibility_modifier_token3] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_array] = ACTIONS(798),
    [anon_sym_unset] = ACTIONS(798),
    [aux_sym_echo_statement_token1] = ACTIONS(798),
    [anon_sym_declare] = ACTIONS(798),
    [aux_sym_declare_statement_token1] = ACTIONS(798),
    [sym_float] = ACTIONS(798),
    [aux_sym_try_statement_token1] = ACTIONS(798),
    [aux_sym_goto_statement_token1] = ACTIONS(798),
    [aux_sym_continue_statement_token1] = ACTIONS(798),
    [aux_sym_break_statement_token1] = ACTIONS(798),
    [sym_integer] = ACTIONS(798),
    [aux_sym_return_statement_token1] = ACTIONS(798),
    [aux_sym_throw_expression_token1] = ACTIONS(798),
    [aux_sym_while_statement_token1] = ACTIONS(798),
    [aux_sym_while_statement_token2] = ACTIONS(798),
    [aux_sym_do_statement_token1] = ACTIONS(798),
    [aux_sym_for_statement_token1] = ACTIONS(798),
    [aux_sym_for_statement_token2] = ACTIONS(798),
    [aux_sym_foreach_statement_token1] = ACTIONS(798),
    [aux_sym_foreach_statement_token2] = ACTIONS(798),
    [aux_sym_if_statement_token1] = ACTIONS(798),
    [aux_sym_if_statement_token2] = ACTIONS(798),
    [aux_sym_else_if_clause_token1] = ACTIONS(798),
    [aux_sym_else_clause_token1] = ACTIONS(798),
    [aux_sym_switch_statement_token1] = ACTIONS(798),
    [aux_sym_switch_block_token1] = ACTIONS(798),
    [aux_sym_case_statement_token1] = ACTIONS(798),
    [aux_sym_default_statement_token1] = ACTIONS(798),
    [anon_sym_AT] = ACTIONS(796),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(796),
    [anon_sym_clone] = ACTIONS(798),
    [anon_sym_print] = ACTIONS(798),
    [anon_sym_new] = ACTIONS(798),
    [anon_sym_PLUS_PLUS] = ACTIONS(796),
    [anon_sym_DASH_DASH] = ACTIONS(796),
    [sym_shell_command_expression] = ACTIONS(796),
    [anon_sym_list] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_self] = ACTIONS(798),
    [anon_sym_parent] = ACTIONS(798),
    [sym_string] = ACTIONS(796),
    [sym_boolean] = ACTIONS(798),
    [sym_null] = ACTIONS(798),
    [anon_sym_DOLLAR] = ACTIONS(796),
    [anon_sym_yield] = ACTIONS(798),
    [aux_sym_include_expression_token1] = ACTIONS(798),
    [aux_sym_include_once_expression_token1] = ACTIONS(798),
    [aux_sym_require_expression_token1] = ACTIONS(798),
    [aux_sym_require_once_expression_token1] = ACTIONS(798),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(796),
  },
  [381] = {
    [sym_text_interpolation] = STATE(381),
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_name] = ACTIONS(1037),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1035),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1037),
    [aux_sym_global_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_definition_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1037),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1037),
    [anon_sym_BSLASH] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [aux_sym_trait_declaration_token1] = ACTIONS(1037),
    [aux_sym_interface_declaration_token1] = ACTIONS(1037),
    [aux_sym_class_declaration_token1] = ACTIONS(1037),
    [aux_sym_class_modifier_token1] = ACTIONS(1037),
    [aux_sym_class_modifier_token2] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1037),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [anon_sym_array] = ACTIONS(1037),
    [anon_sym_unset] = ACTIONS(1037),
    [aux_sym_echo_statement_token1] = ACTIONS(1037),
    [anon_sym_declare] = ACTIONS(1037),
    [aux_sym_declare_statement_token1] = ACTIONS(1037),
    [sym_float] = ACTIONS(1037),
    [aux_sym_try_statement_token1] = ACTIONS(1037),
    [aux_sym_goto_statement_token1] = ACTIONS(1037),
    [aux_sym_continue_statement_token1] = ACTIONS(1037),
    [aux_sym_break_statement_token1] = ACTIONS(1037),
    [sym_integer] = ACTIONS(1037),
    [aux_sym_return_statement_token1] = ACTIONS(1037),
    [aux_sym_throw_expression_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token1] = ACTIONS(1037),
    [aux_sym_while_statement_token2] = ACTIONS(1037),
    [aux_sym_do_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token1] = ACTIONS(1037),
    [aux_sym_for_statement_token2] = ACTIONS(1037),
    [aux_sym_foreach_statement_token1] = ACTIONS(1037),
    [aux_sym_foreach_statement_token2] = ACTIONS(1037),
    [aux_sym_if_statement_token1] = ACTIONS(1037),
    [aux_sym_if_statement_token2] = ACTIONS(1037),
    [aux_sym_else_if_clause_token1] = ACTIONS(1037),
    [aux_sym_else_clause_token1] = ACTIONS(1037),
    [aux_sym_switch_statement_token1] = ACTIONS(1037),
    [aux_sym_switch_block_token1] = ACTIONS(1037),
    [aux_sym_case_statement_token1] = ACTIONS(1037),
    [aux_sym_default_statement_token1] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_BANG] = ACTIONS(1035),
    [anon_sym_clone] = ACTIONS(1037),
    [anon_sym_print] = ACTIONS(1037),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [sym_shell_command_expression] = ACTIONS(1035),
    [anon_sym_list] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(1035),
    [anon_sym_self] = ACTIONS(1037),
    [anon_sym_parent] = ACTIONS(1037),
    [sym_string] = ACTIONS(1035),
    [sym_boolean] = ACTIONS(1037),
    [sym_null] = ACTIONS(1037),
    [anon_sym_DOLLAR] = ACTIONS(1035),
    [anon_sym_yield] = ACTIONS(1037),
    [aux_sym_include_expression_token1] = ACTIONS(1037),
    [aux_sym_include_once_expression_token1] = ACTIONS(1037),
    [aux_sym_require_expression_token1] = ACTIONS(1037),
    [aux_sym_require_once_expression_token1] = ACTIONS(1037),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1035),
  },
  [382] = {
    [sym_text_interpolation] = STATE(382),
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym_name] = ACTIONS(1041),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1039),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1041),
    [aux_sym_global_declaration_token1] = ACTIONS(1041),
    [aux_sym_namespace_definition_token1] = ACTIONS(1041),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1041),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1041),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1041),
    [anon_sym_BSLASH] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [aux_sym_trait_declaration_token1] = ACTIONS(1041),
    [aux_sym_interface_declaration_token1] = ACTIONS(1041),
    [aux_sym_class_declaration_token1] = ACTIONS(1041),
    [aux_sym_class_modifier_token1] = ACTIONS(1041),
    [aux_sym_class_modifier_token2] = ACTIONS(1041),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1041),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1041),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [anon_sym_array] = ACTIONS(1041),
    [anon_sym_unset] = ACTIONS(1041),
    [aux_sym_echo_statement_token1] = ACTIONS(1041),
    [anon_sym_declare] = ACTIONS(1041),
    [aux_sym_declare_statement_token1] = ACTIONS(1041),
    [sym_float] = ACTIONS(1041),
    [aux_sym_try_statement_token1] = ACTIONS(1041),
    [aux_sym_goto_statement_token1] = ACTIONS(1041),
    [aux_sym_continue_statement_token1] = ACTIONS(1041),
    [aux_sym_break_statement_token1] = ACTIONS(1041),
    [sym_integer] = ACTIONS(1041),
    [aux_sym_return_statement_token1] = ACTIONS(1041),
    [aux_sym_throw_expression_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token1] = ACTIONS(1041),
    [aux_sym_while_statement_token2] = ACTIONS(1041),
    [aux_sym_do_statement_token1] = ACTIONS(1041),
    [aux_sym_for_statement_token1] = ACTIONS(1041),
    [aux_sym_for_statement_token2] = ACTIONS(1041),
    [aux_sym_foreach_statement_token1] = ACTIONS(1041),
    [aux_sym_foreach_statement_token2] = ACTIONS(1041),
    [aux_sym_if_statement_token1] = ACTIONS(1041),
    [aux_sym_if_statement_token2] = ACTIONS(1041),
    [aux_sym_else_if_clause_token1] = ACTIONS(1041),
    [aux_sym_else_clause_token1] = ACTIONS(1041),
    [aux_sym_switch_statement_token1] = ACTIONS(1041),
    [aux_sym_switch_block_token1] = ACTIONS(1041),
    [aux_sym_case_statement_token1] = ACTIONS(1041),
    [aux_sym_default_statement_token1] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_clone] = ACTIONS(1041),
    [anon_sym_print] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1041),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [sym_shell_command_expression] = ACTIONS(1039),
    [anon_sym_list] = ACTIONS(1041),
    [anon_sym_LBRACK] = ACTIONS(1039),
    [anon_sym_self] = ACTIONS(1041),
    [anon_sym_parent] = ACTIONS(1041),
    [sym_string] = ACTIONS(1039),
    [sym_boolean] = ACTIONS(1041),
    [sym_null] = ACTIONS(1041),
    [anon_sym_DOLLAR] = ACTIONS(1039),
    [anon_sym_yield] = ACTIONS(1041),
    [aux_sym_include_expression_token1] = ACTIONS(1041),
    [aux_sym_include_once_expression_token1] = ACTIONS(1041),
    [aux_sym_require_expression_token1] = ACTIONS(1041),
    [aux_sym_require_once_expression_token1] = ACTIONS(1041),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1039),
  },
  [383] = {
    [sym_text_interpolation] = STATE(383),
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_name] = ACTIONS(1045),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1043),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1045),
    [aux_sym_global_declaration_token1] = ACTIONS(1045),
    [aux_sym_namespace_definition_token1] = ACTIONS(1045),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1045),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1045),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1045),
    [anon_sym_BSLASH] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [aux_sym_trait_declaration_token1] = ACTIONS(1045),
    [aux_sym_interface_declaration_token1] = ACTIONS(1045),
    [aux_sym_class_declaration_token1] = ACTIONS(1045),
    [aux_sym_class_modifier_token1] = ACTIONS(1045),
    [aux_sym_class_modifier_token2] = ACTIONS(1045),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1045),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1045),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_array] = ACTIONS(1045),
    [anon_sym_unset] = ACTIONS(1045),
    [aux_sym_echo_statement_token1] = ACTIONS(1045),
    [anon_sym_declare] = ACTIONS(1045),
    [aux_sym_declare_statement_token1] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [aux_sym_try_statement_token1] = ACTIONS(1045),
    [aux_sym_goto_statement_token1] = ACTIONS(1045),
    [aux_sym_continue_statement_token1] = ACTIONS(1045),
    [aux_sym_break_statement_token1] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [aux_sym_return_statement_token1] = ACTIONS(1045),
    [aux_sym_throw_expression_token1] = ACTIONS(1045),
    [aux_sym_while_statement_token1] = ACTIONS(1045),
    [aux_sym_while_statement_token2] = ACTIONS(1045),
    [aux_sym_do_statement_token1] = ACTIONS(1045),
    [aux_sym_for_statement_token1] = ACTIONS(1045),
    [aux_sym_for_statement_token2] = ACTIONS(1045),
    [aux_sym_foreach_statement_token1] = ACTIONS(1045),
    [aux_sym_foreach_statement_token2] = ACTIONS(1045),
    [aux_sym_if_statement_token1] = ACTIONS(1045),
    [aux_sym_if_statement_token2] = ACTIONS(1045),
    [aux_sym_else_if_clause_token1] = ACTIONS(1045),
    [aux_sym_else_clause_token1] = ACTIONS(1045),
    [aux_sym_switch_statement_token1] = ACTIONS(1045),
    [aux_sym_switch_block_token1] = ACTIONS(1045),
    [aux_sym_case_statement_token1] = ACTIONS(1045),
    [aux_sym_default_statement_token1] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1043),
    [anon_sym_clone] = ACTIONS(1045),
    [anon_sym_print] = ACTIONS(1045),
    [anon_sym_new] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1043),
    [sym_shell_command_expression] = ACTIONS(1043),
    [anon_sym_list] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(1043),
    [anon_sym_self] = ACTIONS(1045),
    [anon_sym_parent] = ACTIONS(1045),
    [sym_string] = ACTIONS(1043),
    [sym_boolean] = ACTIONS(1045),
    [sym_null] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(1043),
    [anon_sym_yield] = ACTIONS(1045),
    [aux_sym_include_expression_token1] = ACTIONS(1045),
    [aux_sym_include_once_expression_token1] = ACTIONS(1045),
    [aux_sym_require_expression_token1] = ACTIONS(1045),
    [aux_sym_require_once_expression_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1043),
  },
  [384] = {
    [sym_text_interpolation] = STATE(384),
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_name] = ACTIONS(1049),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1047),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1049),
    [aux_sym_global_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_definition_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1049),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1049),
    [anon_sym_BSLASH] = ACTIONS(1047),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [aux_sym_trait_declaration_token1] = ACTIONS(1049),
    [aux_sym_interface_declaration_token1] = ACTIONS(1049),
    [aux_sym_class_declaration_token1] = ACTIONS(1049),
    [aux_sym_class_modifier_token1] = ACTIONS(1049),
    [aux_sym_class_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1049),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1047),
    [anon_sym_array] = ACTIONS(1049),
    [anon_sym_unset] = ACTIONS(1049),
    [aux_sym_echo_statement_token1] = ACTIONS(1049),
    [anon_sym_declare] = ACTIONS(1049),
    [aux_sym_declare_statement_token1] = ACTIONS(1049),
    [sym_float] = ACTIONS(1049),
    [aux_sym_try_statement_token1] = ACTIONS(1049),
    [aux_sym_goto_statement_token1] = ACTIONS(1049),
    [aux_sym_continue_statement_token1] = ACTIONS(1049),
    [aux_sym_break_statement_token1] = ACTIONS(1049),
    [sym_integer] = ACTIONS(1049),
    [aux_sym_return_statement_token1] = ACTIONS(1049),
    [aux_sym_throw_expression_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token1] = ACTIONS(1049),
    [aux_sym_while_statement_token2] = ACTIONS(1049),
    [aux_sym_do_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token1] = ACTIONS(1049),
    [aux_sym_for_statement_token2] = ACTIONS(1049),
    [aux_sym_foreach_statement_token1] = ACTIONS(1049),
    [aux_sym_foreach_statement_token2] = ACTIONS(1049),
    [aux_sym_if_statement_token1] = ACTIONS(1049),
    [aux_sym_if_statement_token2] = ACTIONS(1049),
    [aux_sym_else_if_clause_token1] = ACTIONS(1049),
    [aux_sym_else_clause_token1] = ACTIONS(1049),
    [aux_sym_switch_statement_token1] = ACTIONS(1049),
    [aux_sym_switch_block_token1] = ACTIONS(1049),
    [aux_sym_case_statement_token1] = ACTIONS(1049),
    [aux_sym_default_statement_token1] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_clone] = ACTIONS(1049),
    [anon_sym_print] = ACTIONS(1049),
    [anon_sym_new] = ACTIONS(1049),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [sym_shell_command_expression] = ACTIONS(1047),
    [anon_sym_list] = ACTIONS(1049),
    [anon_sym_LBRACK] = ACTIONS(1047),
    [anon_sym_self] = ACTIONS(1049),
    [anon_sym_parent] = ACTIONS(1049),
    [sym_string] = ACTIONS(1047),
    [sym_boolean] = ACTIONS(1049),
    [sym_null] = ACTIONS(1049),
    [anon_sym_DOLLAR] = ACTIONS(1047),
    [anon_sym_yield] = ACTIONS(1049),
    [aux_sym_include_expression_token1] = ACTIONS(1049),
    [aux_sym_include_once_expression_token1] = ACTIONS(1049),
    [aux_sym_require_expression_token1] = ACTIONS(1049),
    [aux_sym_require_once_expression_token1] = ACTIONS(1049),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1047),
  },
  [385] = {
    [sym_text_interpolation] = STATE(385),
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_name] = ACTIONS(1053),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1051),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1053),
    [aux_sym_global_declaration_token1] = ACTIONS(1053),
    [aux_sym_namespace_definition_token1] = ACTIONS(1053),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1053),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1053),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1053),
    [anon_sym_BSLASH] = ACTIONS(1051),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [aux_sym_trait_declaration_token1] = ACTIONS(1053),
    [aux_sym_interface_declaration_token1] = ACTIONS(1053),
    [aux_sym_class_declaration_token1] = ACTIONS(1053),
    [aux_sym_class_modifier_token1] = ACTIONS(1053),
    [aux_sym_class_modifier_token2] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1053),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1051),
    [anon_sym_array] = ACTIONS(1053),
    [anon_sym_unset] = ACTIONS(1053),
    [aux_sym_echo_statement_token1] = ACTIONS(1053),
    [anon_sym_declare] = ACTIONS(1053),
    [aux_sym_declare_statement_token1] = ACTIONS(1053),
    [sym_float] = ACTIONS(1053),
    [aux_sym_try_statement_token1] = ACTIONS(1053),
    [aux_sym_goto_statement_token1] = ACTIONS(1053),
    [aux_sym_continue_statement_token1] = ACTIONS(1053),
    [aux_sym_break_statement_token1] = ACTIONS(1053),
    [sym_integer] = ACTIONS(1053),
    [aux_sym_return_statement_token1] = ACTIONS(1053),
    [aux_sym_throw_expression_token1] = ACTIONS(1053),
    [aux_sym_while_statement_token1] = ACTIONS(1053),
    [aux_sym_while_statement_token2] = ACTIONS(1053),
    [aux_sym_do_statement_token1] = ACTIONS(1053),
    [aux_sym_for_statement_token1] = ACTIONS(1053),
    [aux_sym_for_statement_token2] = ACTIONS(1053),
    [aux_sym_foreach_statement_token1] = ACTIONS(1053),
    [aux_sym_foreach_statement_token2] = ACTIONS(1053),
    [aux_sym_if_statement_token1] = ACTIONS(1053),
    [aux_sym_if_statement_token2] = ACTIONS(1053),
    [aux_sym_else_if_clause_token1] = ACTIONS(1053),
    [aux_sym_else_clause_token1] = ACTIONS(1053),
    [aux_sym_switch_statement_token1] = ACTIONS(1053),
    [aux_sym_switch_block_token1] = ACTIONS(1053),
    [aux_sym_case_statement_token1] = ACTIONS(1053),
    [aux_sym_default_statement_token1] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_TILDE] = ACTIONS(1051),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_clone] = ACTIONS(1053),
    [anon_sym_print] = ACTIONS(1053),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [sym_shell_command_expression] = ACTIONS(1051),
    [anon_sym_list] = ACTIONS(1053),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_self] = ACTIONS(1053),
    [anon_sym_parent] = ACTIONS(1053),
    [sym_string] = ACTIONS(1051),
    [sym_boolean] = ACTIONS(1053),
    [sym_null] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1051),
    [anon_sym_yield] = ACTIONS(1053),
    [aux_sym_include_expression_token1] = ACTIONS(1053),
    [aux_sym_include_once_expression_token1] = ACTIONS(1053),
    [aux_sym_require_expression_token1] = ACTIONS(1053),
    [aux_sym_require_once_expression_token1] = ACTIONS(1053),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1051),
  },
  [386] = {
    [sym_text_interpolation] = STATE(386),
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_name] = ACTIONS(1057),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1055),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1057),
    [aux_sym_global_declaration_token1] = ACTIONS(1057),
    [aux_sym_namespace_definition_token1] = ACTIONS(1057),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1057),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1057),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1057),
    [anon_sym_BSLASH] = ACTIONS(1055),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [aux_sym_trait_declaration_token1] = ACTIONS(1057),
    [aux_sym_interface_declaration_token1] = ACTIONS(1057),
    [aux_sym_class_declaration_token1] = ACTIONS(1057),
    [aux_sym_class_modifier_token1] = ACTIONS(1057),
    [aux_sym_class_modifier_token2] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1057),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_array] = ACTIONS(1057),
    [anon_sym_unset] = ACTIONS(1057),
    [aux_sym_echo_statement_token1] = ACTIONS(1057),
    [anon_sym_declare] = ACTIONS(1057),
    [aux_sym_declare_statement_token1] = ACTIONS(1057),
    [sym_float] = ACTIONS(1057),
    [aux_sym_try_statement_token1] = ACTIONS(1057),
    [aux_sym_goto_statement_token1] = ACTIONS(1057),
    [aux_sym_continue_statement_token1] = ACTIONS(1057),
    [aux_sym_break_statement_token1] = ACTIONS(1057),
    [sym_integer] = ACTIONS(1057),
    [aux_sym_return_statement_token1] = ACTIONS(1057),
    [aux_sym_throw_expression_token1] = ACTIONS(1057),
    [aux_sym_while_statement_token1] = ACTIONS(1057),
    [aux_sym_while_statement_token2] = ACTIONS(1057),
    [aux_sym_do_statement_token1] = ACTIONS(1057),
    [aux_sym_for_statement_token1] = ACTIONS(1057),
    [aux_sym_for_statement_token2] = ACTIONS(1057),
    [aux_sym_foreach_statement_token1] = ACTIONS(1057),
    [aux_sym_foreach_statement_token2] = ACTIONS(1057),
    [aux_sym_if_statement_token1] = ACTIONS(1057),
    [aux_sym_if_statement_token2] = ACTIONS(1057),
    [aux_sym_else_if_clause_token1] = ACTIONS(1057),
    [aux_sym_else_clause_token1] = ACTIONS(1057),
    [aux_sym_switch_statement_token1] = ACTIONS(1057),
    [aux_sym_switch_block_token1] = ACTIONS(1057),
    [aux_sym_case_statement_token1] = ACTIONS(1057),
    [aux_sym_default_statement_token1] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_clone] = ACTIONS(1057),
    [anon_sym_print] = ACTIONS(1057),
    [anon_sym_new] = ACTIONS(1057),
    [anon_sym_PLUS_PLUS] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1055),
    [sym_shell_command_expression] = ACTIONS(1055),
    [anon_sym_list] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(1055),
    [anon_sym_self] = ACTIONS(1057),
    [anon_sym_parent] = ACTIONS(1057),
    [sym_string] = ACTIONS(1055),
    [sym_boolean] = ACTIONS(1057),
    [sym_null] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [anon_sym_yield] = ACTIONS(1057),
    [aux_sym_include_expression_token1] = ACTIONS(1057),
    [aux_sym_include_once_expression_token1] = ACTIONS(1057),
    [aux_sym_require_expression_token1] = ACTIONS(1057),
    [aux_sym_require_once_expression_token1] = ACTIONS(1057),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1055),
  },
  [387] = {
    [sym_text_interpolation] = STATE(387),
    [ts_builtin_sym_end] = ACTIONS(1059),
    [sym_name] = ACTIONS(1061),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1059),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1061),
    [aux_sym_global_declaration_token1] = ACTIONS(1061),
    [aux_sym_namespace_definition_token1] = ACTIONS(1061),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1061),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1061),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1061),
    [anon_sym_BSLASH] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [aux_sym_trait_declaration_token1] = ACTIONS(1061),
    [aux_sym_interface_declaration_token1] = ACTIONS(1061),
    [aux_sym_class_declaration_token1] = ACTIONS(1061),
    [aux_sym_class_modifier_token1] = ACTIONS(1061),
    [aux_sym_class_modifier_token2] = ACTIONS(1061),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1061),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1061),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1059),
    [anon_sym_array] = ACTIONS(1061),
    [anon_sym_unset] = ACTIONS(1061),
    [aux_sym_echo_statement_token1] = ACTIONS(1061),
    [anon_sym_declare] = ACTIONS(1061),
    [aux_sym_declare_statement_token1] = ACTIONS(1061),
    [sym_float] = ACTIONS(1061),
    [aux_sym_try_statement_token1] = ACTIONS(1061),
    [aux_sym_goto_statement_token1] = ACTIONS(1061),
    [aux_sym_continue_statement_token1] = ACTIONS(1061),
    [aux_sym_break_statement_token1] = ACTIONS(1061),
    [sym_integer] = ACTIONS(1061),
    [aux_sym_return_statement_token1] = ACTIONS(1061),
    [aux_sym_throw_expression_token1] = ACTIONS(1061),
    [aux_sym_while_statement_token1] = ACTIONS(1061),
    [aux_sym_while_statement_token2] = ACTIONS(1061),
    [aux_sym_do_statement_token1] = ACTIONS(1061),
    [aux_sym_for_statement_token1] = ACTIONS(1061),
    [aux_sym_for_statement_token2] = ACTIONS(1061),
    [aux_sym_foreach_statement_token1] = ACTIONS(1061),
    [aux_sym_foreach_statement_token2] = ACTIONS(1061),
    [aux_sym_if_statement_token1] = ACTIONS(1061),
    [aux_sym_if_statement_token2] = ACTIONS(1061),
    [aux_sym_else_if_clause_token1] = ACTIONS(1061),
    [aux_sym_else_clause_token1] = ACTIONS(1061),
    [aux_sym_switch_statement_token1] = ACTIONS(1061),
    [aux_sym_switch_block_token1] = ACTIONS(1061),
    [aux_sym_case_statement_token1] = ACTIONS(1061),
    [aux_sym_default_statement_token1] = ACTIONS(1061),
    [anon_sym_AT] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_TILDE] = ACTIONS(1059),
    [anon_sym_BANG] = ACTIONS(1059),
    [anon_sym_clone] = ACTIONS(1061),
    [anon_sym_print] = ACTIONS(1061),
    [anon_sym_new] = ACTIONS(1061),
    [anon_sym_PLUS_PLUS] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1059),
    [sym_shell_command_expression] = ACTIONS(1059),
    [anon_sym_list] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(1059),
    [anon_sym_self] = ACTIONS(1061),
    [anon_sym_parent] = ACTIONS(1061),
    [sym_string] = ACTIONS(1059),
    [sym_boolean] = ACTIONS(1061),
    [sym_null] = ACTIONS(1061),
    [anon_sym_DOLLAR] = ACTIONS(1059),
    [anon_sym_yield] = ACTIONS(1061),
    [aux_sym_include_expression_token1] = ACTIONS(1061),
    [aux_sym_include_once_expression_token1] = ACTIONS(1061),
    [aux_sym_require_expression_token1] = ACTIONS(1061),
    [aux_sym_require_once_expression_token1] = ACTIONS(1061),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1059),
  },
  [388] = {
    [sym_text_interpolation] = STATE(388),
    [ts_builtin_sym_end] = ACTIONS(1063),
    [sym_name] = ACTIONS(1065),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1063),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1065),
    [aux_sym_global_declaration_token1] = ACTIONS(1065),
    [aux_sym_namespace_definition_token1] = ACTIONS(1065),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1065),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1065),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1065),
    [anon_sym_BSLASH] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [aux_sym_trait_declaration_token1] = ACTIONS(1065),
    [aux_sym_interface_declaration_token1] = ACTIONS(1065),
    [aux_sym_class_declaration_token1] = ACTIONS(1065),
    [aux_sym_class_modifier_token1] = ACTIONS(1065),
    [aux_sym_class_modifier_token2] = ACTIONS(1065),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1065),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1065),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_array] = ACTIONS(1065),
    [anon_sym_unset] = ACTIONS(1065),
    [aux_sym_echo_statement_token1] = ACTIONS(1065),
    [anon_sym_declare] = ACTIONS(1065),
    [aux_sym_declare_statement_token1] = ACTIONS(1065),
    [sym_float] = ACTIONS(1065),
    [aux_sym_try_statement_token1] = ACTIONS(1065),
    [aux_sym_goto_statement_token1] = ACTIONS(1065),
    [aux_sym_continue_statement_token1] = ACTIONS(1065),
    [aux_sym_break_statement_token1] = ACTIONS(1065),
    [sym_integer] = ACTIONS(1065),
    [aux_sym_return_statement_token1] = ACTIONS(1065),
    [aux_sym_throw_expression_token1] = ACTIONS(1065),
    [aux_sym_while_statement_token1] = ACTIONS(1065),
    [aux_sym_while_statement_token2] = ACTIONS(1065),
    [aux_sym_do_statement_token1] = ACTIONS(1065),
    [aux_sym_for_statement_token1] = ACTIONS(1065),
    [aux_sym_for_statement_token2] = ACTIONS(1065),
    [aux_sym_foreach_statement_token1] = ACTIONS(1065),
    [aux_sym_foreach_statement_token2] = ACTIONS(1065),
    [aux_sym_if_statement_token1] = ACTIONS(1065),
    [aux_sym_if_statement_token2] = ACTIONS(1065),
    [aux_sym_else_if_clause_token1] = ACTIONS(1065),
    [aux_sym_else_clause_token1] = ACTIONS(1065),
    [aux_sym_switch_statement_token1] = ACTIONS(1065),
    [aux_sym_switch_block_token1] = ACTIONS(1065),
    [aux_sym_case_statement_token1] = ACTIONS(1065),
    [aux_sym_default_statement_token1] = ACTIONS(1065),
    [anon_sym_AT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_TILDE] = ACTIONS(1063),
    [anon_sym_BANG] = ACTIONS(1063),
    [anon_sym_clone] = ACTIONS(1065),
    [anon_sym_print] = ACTIONS(1065),
    [anon_sym_new] = ACTIONS(1065),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [sym_shell_command_expression] = ACTIONS(1063),
    [anon_sym_list] = ACTIONS(1065),
    [anon_sym_LBRACK] = ACTIONS(1063),
    [anon_sym_self] = ACTIONS(1065),
    [anon_sym_parent] = ACTIONS(1065),
    [sym_string] = ACTIONS(1063),
    [sym_boolean] = ACTIONS(1065),
    [sym_null] = ACTIONS(1065),
    [anon_sym_DOLLAR] = ACTIONS(1063),
    [anon_sym_yield] = ACTIONS(1065),
    [aux_sym_include_expression_token1] = ACTIONS(1065),
    [aux_sym_include_once_expression_token1] = ACTIONS(1065),
    [aux_sym_require_expression_token1] = ACTIONS(1065),
    [aux_sym_require_once_expression_token1] = ACTIONS(1065),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1063),
  },
  [389] = {
    [sym_text_interpolation] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_name] = ACTIONS(1045),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1043),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1045),
    [aux_sym_global_declaration_token1] = ACTIONS(1045),
    [aux_sym_namespace_definition_token1] = ACTIONS(1045),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1045),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1045),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1045),
    [anon_sym_BSLASH] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [aux_sym_trait_declaration_token1] = ACTIONS(1045),
    [aux_sym_interface_declaration_token1] = ACTIONS(1045),
    [aux_sym_class_declaration_token1] = ACTIONS(1045),
    [aux_sym_class_modifier_token1] = ACTIONS(1045),
    [aux_sym_class_modifier_token2] = ACTIONS(1045),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1045),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1045),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_array] = ACTIONS(1045),
    [anon_sym_unset] = ACTIONS(1045),
    [aux_sym_echo_statement_token1] = ACTIONS(1045),
    [anon_sym_declare] = ACTIONS(1045),
    [aux_sym_declare_statement_token1] = ACTIONS(1045),
    [sym_float] = ACTIONS(1045),
    [aux_sym_try_statement_token1] = ACTIONS(1045),
    [aux_sym_goto_statement_token1] = ACTIONS(1045),
    [aux_sym_continue_statement_token1] = ACTIONS(1045),
    [aux_sym_break_statement_token1] = ACTIONS(1045),
    [sym_integer] = ACTIONS(1045),
    [aux_sym_return_statement_token1] = ACTIONS(1045),
    [aux_sym_throw_expression_token1] = ACTIONS(1045),
    [aux_sym_while_statement_token1] = ACTIONS(1045),
    [aux_sym_while_statement_token2] = ACTIONS(1045),
    [aux_sym_do_statement_token1] = ACTIONS(1045),
    [aux_sym_for_statement_token1] = ACTIONS(1045),
    [aux_sym_for_statement_token2] = ACTIONS(1045),
    [aux_sym_foreach_statement_token1] = ACTIONS(1045),
    [aux_sym_foreach_statement_token2] = ACTIONS(1045),
    [aux_sym_if_statement_token1] = ACTIONS(1045),
    [aux_sym_if_statement_token2] = ACTIONS(1045),
    [aux_sym_else_if_clause_token1] = ACTIONS(1045),
    [aux_sym_else_clause_token1] = ACTIONS(1045),
    [aux_sym_switch_statement_token1] = ACTIONS(1045),
    [aux_sym_switch_block_token1] = ACTIONS(1045),
    [aux_sym_case_statement_token1] = ACTIONS(1045),
    [aux_sym_default_statement_token1] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_TILDE] = ACTIONS(1043),
    [anon_sym_BANG] = ACTIONS(1043),
    [anon_sym_clone] = ACTIONS(1045),
    [anon_sym_print] = ACTIONS(1045),
    [anon_sym_new] = ACTIONS(1045),
    [anon_sym_PLUS_PLUS] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1043),
    [sym_shell_command_expression] = ACTIONS(1043),
    [anon_sym_list] = ACTIONS(1045),
    [anon_sym_LBRACK] = ACTIONS(1043),
    [anon_sym_self] = ACTIONS(1045),
    [anon_sym_parent] = ACTIONS(1045),
    [sym_string] = ACTIONS(1043),
    [sym_boolean] = ACTIONS(1045),
    [sym_null] = ACTIONS(1045),
    [anon_sym_DOLLAR] = ACTIONS(1043),
    [anon_sym_yield] = ACTIONS(1045),
    [aux_sym_include_expression_token1] = ACTIONS(1045),
    [aux_sym_include_once_expression_token1] = ACTIONS(1045),
    [aux_sym_require_expression_token1] = ACTIONS(1045),
    [aux_sym_require_once_expression_token1] = ACTIONS(1045),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1043),
  },
  [390] = {
    [sym_text_interpolation] = STATE(390),
    [ts_builtin_sym_end] = ACTIONS(1067),
    [sym_name] = ACTIONS(1069),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1067),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1069),
    [aux_sym_global_declaration_token1] = ACTIONS(1069),
    [aux_sym_namespace_definition_token1] = ACTIONS(1069),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1069),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1069),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1069),
    [anon_sym_BSLASH] = ACTIONS(1067),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [aux_sym_trait_declaration_token1] = ACTIONS(1069),
    [aux_sym_interface_declaration_token1] = ACTIONS(1069),
    [aux_sym_class_declaration_token1] = ACTIONS(1069),
    [aux_sym_class_modifier_token1] = ACTIONS(1069),
    [aux_sym_class_modifier_token2] = ACTIONS(1069),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1069),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1069),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1067),
    [anon_sym_array] = ACTIONS(1069),
    [anon_sym_unset] = ACTIONS(1069),
    [aux_sym_echo_statement_token1] = ACTIONS(1069),
    [anon_sym_declare] = ACTIONS(1069),
    [aux_sym_declare_statement_token1] = ACTIONS(1069),
    [sym_float] = ACTIONS(1069),
    [aux_sym_try_statement_token1] = ACTIONS(1069),
    [aux_sym_goto_statement_token1] = ACTIONS(1069),
    [aux_sym_continue_statement_token1] = ACTIONS(1069),
    [aux_sym_break_statement_token1] = ACTIONS(1069),
    [sym_integer] = ACTIONS(1069),
    [aux_sym_return_statement_token1] = ACTIONS(1069),
    [aux_sym_throw_expression_token1] = ACTIONS(1069),
    [aux_sym_while_statement_token1] = ACTIONS(1069),
    [aux_sym_while_statement_token2] = ACTIONS(1069),
    [aux_sym_do_statement_token1] = ACTIONS(1069),
    [aux_sym_for_statement_token1] = ACTIONS(1069),
    [aux_sym_for_statement_token2] = ACTIONS(1069),
    [aux_sym_foreach_statement_token1] = ACTIONS(1069),
    [aux_sym_foreach_statement_token2] = ACTIONS(1069),
    [aux_sym_if_statement_token1] = ACTIONS(1069),
    [aux_sym_if_statement_token2] = ACTIONS(1069),
    [aux_sym_else_if_clause_token1] = ACTIONS(1069),
    [aux_sym_else_clause_token1] = ACTIONS(1069),
    [aux_sym_switch_statement_token1] = ACTIONS(1069),
    [aux_sym_switch_block_token1] = ACTIONS(1069),
    [aux_sym_case_statement_token1] = ACTIONS(1069),
    [aux_sym_default_statement_token1] = ACTIONS(1069),
    [anon_sym_AT] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_clone] = ACTIONS(1069),
    [anon_sym_print] = ACTIONS(1069),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [sym_shell_command_expression] = ACTIONS(1067),
    [anon_sym_list] = ACTIONS(1069),
    [anon_sym_LBRACK] = ACTIONS(1067),
    [anon_sym_self] = ACTIONS(1069),
    [anon_sym_parent] = ACTIONS(1069),
    [sym_string] = ACTIONS(1067),
    [sym_boolean] = ACTIONS(1069),
    [sym_null] = ACTIONS(1069),
    [anon_sym_DOLLAR] = ACTIONS(1067),
    [anon_sym_yield] = ACTIONS(1069),
    [aux_sym_include_expression_token1] = ACTIONS(1069),
    [aux_sym_include_once_expression_token1] = ACTIONS(1069),
    [aux_sym_require_expression_token1] = ACTIONS(1069),
    [aux_sym_require_once_expression_token1] = ACTIONS(1069),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1067),
  },
  [391] = {
    [sym_text_interpolation] = STATE(391),
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_class_modifier_token1] = ACTIONS(1073),
    [aux_sym_class_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_array] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [anon_sym_declare] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [aux_sym_case_statement_token1] = ACTIONS(1073),
    [aux_sym_default_statement_token1] = ACTIONS(1073),
    [anon_sym_AT] = ACTIONS(1071),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_clone] = ACTIONS(1073),
    [anon_sym_print] = ACTIONS(1073),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [sym_shell_command_expression] = ACTIONS(1071),
    [anon_sym_list] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [sym_string] = ACTIONS(1071),
    [sym_boolean] = ACTIONS(1073),
    [sym_null] = ACTIONS(1073),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [anon_sym_yield] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1071),
  },
  [392] = {
    [sym_text_interpolation] = STATE(392),
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_name] = ACTIONS(1073),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1071),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1073),
    [aux_sym_global_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_definition_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1073),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1073),
    [anon_sym_BSLASH] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [aux_sym_trait_declaration_token1] = ACTIONS(1073),
    [aux_sym_interface_declaration_token1] = ACTIONS(1073),
    [aux_sym_class_declaration_token1] = ACTIONS(1073),
    [aux_sym_class_modifier_token1] = ACTIONS(1073),
    [aux_sym_class_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1073),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1073),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_array] = ACTIONS(1073),
    [anon_sym_unset] = ACTIONS(1073),
    [aux_sym_echo_statement_token1] = ACTIONS(1073),
    [anon_sym_declare] = ACTIONS(1073),
    [aux_sym_declare_statement_token1] = ACTIONS(1073),
    [sym_float] = ACTIONS(1073),
    [aux_sym_try_statement_token1] = ACTIONS(1073),
    [aux_sym_goto_statement_token1] = ACTIONS(1073),
    [aux_sym_continue_statement_token1] = ACTIONS(1073),
    [aux_sym_break_statement_token1] = ACTIONS(1073),
    [sym_integer] = ACTIONS(1073),
    [aux_sym_return_statement_token1] = ACTIONS(1073),
    [aux_sym_throw_expression_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token1] = ACTIONS(1073),
    [aux_sym_while_statement_token2] = ACTIONS(1073),
    [aux_sym_do_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token1] = ACTIONS(1073),
    [aux_sym_for_statement_token2] = ACTIONS(1073),
    [aux_sym_foreach_statement_token1] = ACTIONS(1073),
    [aux_sym_foreach_statement_token2] = ACTIONS(1073),
    [aux_sym_if_statement_token1] = ACTIONS(1073),
    [aux_sym_if_statement_token2] = ACTIONS(1073),
    [aux_sym_else_if_clause_token1] = ACTIONS(1073),
    [aux_sym_else_clause_token1] = ACTIONS(1073),
    [aux_sym_switch_statement_token1] = ACTIONS(1073),
    [aux_sym_switch_block_token1] = ACTIONS(1073),
    [aux_sym_case_statement_token1] = ACTIONS(1073),
    [aux_sym_default_statement_token1] = ACTIONS(1073),
    [anon_sym_AT] = ACTIONS(1071),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_clone] = ACTIONS(1073),
    [anon_sym_print] = ACTIONS(1073),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [sym_shell_command_expression] = ACTIONS(1071),
    [anon_sym_list] = ACTIONS(1073),
    [anon_sym_LBRACK] = ACTIONS(1071),
    [anon_sym_self] = ACTIONS(1073),
    [anon_sym_parent] = ACTIONS(1073),
    [sym_string] = ACTIONS(1071),
    [sym_boolean] = ACTIONS(1073),
    [sym_null] = ACTIONS(1073),
    [anon_sym_DOLLAR] = ACTIONS(1071),
    [anon_sym_yield] = ACTIONS(1073),
    [aux_sym_include_expression_token1] = ACTIONS(1073),
    [aux_sym_include_once_expression_token1] = ACTIONS(1073),
    [aux_sym_require_expression_token1] = ACTIONS(1073),
    [aux_sym_require_once_expression_token1] = ACTIONS(1073),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1071),
  },
  [393] = {
    [sym_text_interpolation] = STATE(393),
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_name] = ACTIONS(1077),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1075),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1077),
    [aux_sym_global_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_definition_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1077),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1077),
    [anon_sym_BSLASH] = ACTIONS(1075),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [aux_sym_trait_declaration_token1] = ACTIONS(1077),
    [aux_sym_interface_declaration_token1] = ACTIONS(1077),
    [aux_sym_class_declaration_token1] = ACTIONS(1077),
    [aux_sym_class_modifier_token1] = ACTIONS(1077),
    [aux_sym_class_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1077),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1077),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_array] = ACTIONS(1077),
    [anon_sym_unset] = ACTIONS(1077),
    [aux_sym_echo_statement_token1] = ACTIONS(1077),
    [anon_sym_declare] = ACTIONS(1077),
    [aux_sym_declare_statement_token1] = ACTIONS(1077),
    [sym_float] = ACTIONS(1077),
    [aux_sym_try_statement_token1] = ACTIONS(1077),
    [aux_sym_goto_statement_token1] = ACTIONS(1077),
    [aux_sym_continue_statement_token1] = ACTIONS(1077),
    [aux_sym_break_statement_token1] = ACTIONS(1077),
    [sym_integer] = ACTIONS(1077),
    [aux_sym_return_statement_token1] = ACTIONS(1077),
    [aux_sym_throw_expression_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token1] = ACTIONS(1077),
    [aux_sym_while_statement_token2] = ACTIONS(1077),
    [aux_sym_do_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token1] = ACTIONS(1077),
    [aux_sym_for_statement_token2] = ACTIONS(1077),
    [aux_sym_foreach_statement_token1] = ACTIONS(1077),
    [aux_sym_foreach_statement_token2] = ACTIONS(1077),
    [aux_sym_if_statement_token1] = ACTIONS(1077),
    [aux_sym_if_statement_token2] = ACTIONS(1077),
    [aux_sym_else_if_clause_token1] = ACTIONS(1077),
    [aux_sym_else_clause_token1] = ACTIONS(1077),
    [aux_sym_switch_statement_token1] = ACTIONS(1077),
    [aux_sym_switch_block_token1] = ACTIONS(1077),
    [aux_sym_case_statement_token1] = ACTIONS(1077),
    [aux_sym_default_statement_token1] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_clone] = ACTIONS(1077),
    [anon_sym_print] = ACTIONS(1077),
    [anon_sym_new] = ACTIONS(1077),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [sym_shell_command_expression] = ACTIONS(1075),
    [anon_sym_list] = ACTIONS(1077),
    [anon_sym_LBRACK] = ACTIONS(1075),
    [anon_sym_self] = ACTIONS(1077),
    [anon_sym_parent] = ACTIONS(1077),
    [sym_string] = ACTIONS(1075),
    [sym_boolean] = ACTIONS(1077),
    [sym_null] = ACTIONS(1077),
    [anon_sym_DOLLAR] = ACTIONS(1075),
    [anon_sym_yield] = ACTIONS(1077),
    [aux_sym_include_expression_token1] = ACTIONS(1077),
    [aux_sym_include_once_expression_token1] = ACTIONS(1077),
    [aux_sym_require_expression_token1] = ACTIONS(1077),
    [aux_sym_require_once_expression_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1075),
  },
  [394] = {
    [sym_text_interpolation] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_name] = ACTIONS(1081),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1079),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1081),
    [aux_sym_global_declaration_token1] = ACTIONS(1081),
    [aux_sym_namespace_definition_token1] = ACTIONS(1081),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1081),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1081),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1081),
    [anon_sym_BSLASH] = ACTIONS(1079),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [aux_sym_trait_declaration_token1] = ACTIONS(1081),
    [aux_sym_interface_declaration_token1] = ACTIONS(1081),
    [aux_sym_class_declaration_token1] = ACTIONS(1081),
    [aux_sym_class_modifier_token1] = ACTIONS(1081),
    [aux_sym_class_modifier_token2] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1081),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_array] = ACTIONS(1081),
    [anon_sym_unset] = ACTIONS(1081),
    [aux_sym_echo_statement_token1] = ACTIONS(1081),
    [anon_sym_declare] = ACTIONS(1081),
    [aux_sym_declare_statement_token1] = ACTIONS(1081),
    [sym_float] = ACTIONS(1081),
    [aux_sym_try_statement_token1] = ACTIONS(1081),
    [aux_sym_goto_statement_token1] = ACTIONS(1081),
    [aux_sym_continue_statement_token1] = ACTIONS(1081),
    [aux_sym_break_statement_token1] = ACTIONS(1081),
    [sym_integer] = ACTIONS(1081),
    [aux_sym_return_statement_token1] = ACTIONS(1081),
    [aux_sym_throw_expression_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token1] = ACTIONS(1081),
    [aux_sym_while_statement_token2] = ACTIONS(1081),
    [aux_sym_do_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token1] = ACTIONS(1081),
    [aux_sym_for_statement_token2] = ACTIONS(1081),
    [aux_sym_foreach_statement_token1] = ACTIONS(1081),
    [aux_sym_foreach_statement_token2] = ACTIONS(1081),
    [aux_sym_if_statement_token1] = ACTIONS(1081),
    [aux_sym_if_statement_token2] = ACTIONS(1081),
    [aux_sym_else_if_clause_token1] = ACTIONS(1081),
    [aux_sym_else_clause_token1] = ACTIONS(1081),
    [aux_sym_switch_statement_token1] = ACTIONS(1081),
    [aux_sym_switch_block_token1] = ACTIONS(1081),
    [aux_sym_case_statement_token1] = ACTIONS(1081),
    [aux_sym_default_statement_token1] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_clone] = ACTIONS(1081),
    [anon_sym_print] = ACTIONS(1081),
    [anon_sym_new] = ACTIONS(1081),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [sym_shell_command_expression] = ACTIONS(1079),
    [anon_sym_list] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1079),
    [anon_sym_self] = ACTIONS(1081),
    [anon_sym_parent] = ACTIONS(1081),
    [sym_string] = ACTIONS(1079),
    [sym_boolean] = ACTIONS(1081),
    [sym_null] = ACTIONS(1081),
    [anon_sym_DOLLAR] = ACTIONS(1079),
    [anon_sym_yield] = ACTIONS(1081),
    [aux_sym_include_expression_token1] = ACTIONS(1081),
    [aux_sym_include_once_expression_token1] = ACTIONS(1081),
    [aux_sym_require_expression_token1] = ACTIONS(1081),
    [aux_sym_require_once_expression_token1] = ACTIONS(1081),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1079),
  },
  [395] = {
    [sym_text_interpolation] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_name] = ACTIONS(1085),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1083),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1085),
    [aux_sym_global_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_definition_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1085),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1085),
    [anon_sym_BSLASH] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [aux_sym_trait_declaration_token1] = ACTIONS(1085),
    [aux_sym_interface_declaration_token1] = ACTIONS(1085),
    [aux_sym_class_declaration_token1] = ACTIONS(1085),
    [aux_sym_class_modifier_token1] = ACTIONS(1085),
    [aux_sym_class_modifier_token2] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1085),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_array] = ACTIONS(1085),
    [anon_sym_unset] = ACTIONS(1085),
    [aux_sym_echo_statement_token1] = ACTIONS(1085),
    [anon_sym_declare] = ACTIONS(1085),
    [aux_sym_declare_statement_token1] = ACTIONS(1085),
    [sym_float] = ACTIONS(1085),
    [aux_sym_try_statement_token1] = ACTIONS(1085),
    [aux_sym_goto_statement_token1] = ACTIONS(1085),
    [aux_sym_continue_statement_token1] = ACTIONS(1085),
    [aux_sym_break_statement_token1] = ACTIONS(1085),
    [sym_integer] = ACTIONS(1085),
    [aux_sym_return_statement_token1] = ACTIONS(1085),
    [aux_sym_throw_expression_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token1] = ACTIONS(1085),
    [aux_sym_while_statement_token2] = ACTIONS(1085),
    [aux_sym_do_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token1] = ACTIONS(1085),
    [aux_sym_for_statement_token2] = ACTIONS(1085),
    [aux_sym_foreach_statement_token1] = ACTIONS(1085),
    [aux_sym_foreach_statement_token2] = ACTIONS(1085),
    [aux_sym_if_statement_token1] = ACTIONS(1085),
    [aux_sym_if_statement_token2] = ACTIONS(1085),
    [aux_sym_else_if_clause_token1] = ACTIONS(1085),
    [aux_sym_else_clause_token1] = ACTIONS(1085),
    [aux_sym_switch_statement_token1] = ACTIONS(1085),
    [aux_sym_switch_block_token1] = ACTIONS(1085),
    [aux_sym_case_statement_token1] = ACTIONS(1085),
    [aux_sym_default_statement_token1] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_clone] = ACTIONS(1085),
    [anon_sym_print] = ACTIONS(1085),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [sym_shell_command_expression] = ACTIONS(1083),
    [anon_sym_list] = ACTIONS(1085),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_self] = ACTIONS(1085),
    [anon_sym_parent] = ACTIONS(1085),
    [sym_string] = ACTIONS(1083),
    [sym_boolean] = ACTIONS(1085),
    [sym_null] = ACTIONS(1085),
    [anon_sym_DOLLAR] = ACTIONS(1083),
    [anon_sym_yield] = ACTIONS(1085),
    [aux_sym_include_expression_token1] = ACTIONS(1085),
    [aux_sym_include_once_expression_token1] = ACTIONS(1085),
    [aux_sym_require_expression_token1] = ACTIONS(1085),
    [aux_sym_require_once_expression_token1] = ACTIONS(1085),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1083),
  },
  [396] = {
    [sym_text_interpolation] = STATE(396),
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_name] = ACTIONS(1089),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1087),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1089),
    [aux_sym_global_declaration_token1] = ACTIONS(1089),
    [aux_sym_namespace_definition_token1] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1089),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1089),
    [anon_sym_BSLASH] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [aux_sym_trait_declaration_token1] = ACTIONS(1089),
    [aux_sym_interface_declaration_token1] = ACTIONS(1089),
    [aux_sym_class_declaration_token1] = ACTIONS(1089),
    [aux_sym_class_modifier_token1] = ACTIONS(1089),
    [aux_sym_class_modifier_token2] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1089),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_array] = ACTIONS(1089),
    [anon_sym_unset] = ACTIONS(1089),
    [aux_sym_echo_statement_token1] = ACTIONS(1089),
    [anon_sym_declare] = ACTIONS(1089),
    [aux_sym_declare_statement_token1] = ACTIONS(1089),
    [sym_float] = ACTIONS(1089),
    [aux_sym_try_statement_token1] = ACTIONS(1089),
    [aux_sym_goto_statement_token1] = ACTIONS(1089),
    [aux_sym_continue_statement_token1] = ACTIONS(1089),
    [aux_sym_break_statement_token1] = ACTIONS(1089),
    [sym_integer] = ACTIONS(1089),
    [aux_sym_return_statement_token1] = ACTIONS(1089),
    [aux_sym_throw_expression_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token1] = ACTIONS(1089),
    [aux_sym_while_statement_token2] = ACTIONS(1089),
    [aux_sym_do_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token1] = ACTIONS(1089),
    [aux_sym_for_statement_token2] = ACTIONS(1089),
    [aux_sym_foreach_statement_token1] = ACTIONS(1089),
    [aux_sym_foreach_statement_token2] = ACTIONS(1089),
    [aux_sym_if_statement_token1] = ACTIONS(1089),
    [aux_sym_if_statement_token2] = ACTIONS(1089),
    [aux_sym_else_if_clause_token1] = ACTIONS(1089),
    [aux_sym_else_clause_token1] = ACTIONS(1089),
    [aux_sym_switch_statement_token1] = ACTIONS(1089),
    [aux_sym_switch_block_token1] = ACTIONS(1089),
    [aux_sym_case_statement_token1] = ACTIONS(1089),
    [aux_sym_default_statement_token1] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_clone] = ACTIONS(1089),
    [anon_sym_print] = ACTIONS(1089),
    [anon_sym_new] = ACTIONS(1089),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [sym_shell_command_expression] = ACTIONS(1087),
    [anon_sym_list] = ACTIONS(1089),
    [anon_sym_LBRACK] = ACTIONS(1087),
    [anon_sym_self] = ACTIONS(1089),
    [anon_sym_parent] = ACTIONS(1089),
    [sym_string] = ACTIONS(1087),
    [sym_boolean] = ACTIONS(1089),
    [sym_null] = ACTIONS(1089),
    [anon_sym_DOLLAR] = ACTIONS(1087),
    [anon_sym_yield] = ACTIONS(1089),
    [aux_sym_include_expression_token1] = ACTIONS(1089),
    [aux_sym_include_once_expression_token1] = ACTIONS(1089),
    [aux_sym_require_expression_token1] = ACTIONS(1089),
    [aux_sym_require_once_expression_token1] = ACTIONS(1089),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1087),
  },
  [397] = {
    [sym_text_interpolation] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_name] = ACTIONS(1093),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1091),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1093),
    [aux_sym_global_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_definition_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1093),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1093),
    [anon_sym_BSLASH] = ACTIONS(1091),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [aux_sym_trait_declaration_token1] = ACTIONS(1093),
    [aux_sym_interface_declaration_token1] = ACTIONS(1093),
    [aux_sym_class_declaration_token1] = ACTIONS(1093),
    [aux_sym_class_modifier_token1] = ACTIONS(1093),
    [aux_sym_class_modifier_token2] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1093),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_array] = ACTIONS(1093),
    [anon_sym_unset] = ACTIONS(1093),
    [aux_sym_echo_statement_token1] = ACTIONS(1093),
    [anon_sym_declare] = ACTIONS(1093),
    [aux_sym_declare_statement_token1] = ACTIONS(1093),
    [sym_float] = ACTIONS(1093),
    [aux_sym_try_statement_token1] = ACTIONS(1093),
    [aux_sym_goto_statement_token1] = ACTIONS(1093),
    [aux_sym_continue_statement_token1] = ACTIONS(1093),
    [aux_sym_break_statement_token1] = ACTIONS(1093),
    [sym_integer] = ACTIONS(1093),
    [aux_sym_return_statement_token1] = ACTIONS(1093),
    [aux_sym_throw_expression_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token1] = ACTIONS(1093),
    [aux_sym_while_statement_token2] = ACTIONS(1093),
    [aux_sym_do_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token1] = ACTIONS(1093),
    [aux_sym_for_statement_token2] = ACTIONS(1093),
    [aux_sym_foreach_statement_token1] = ACTIONS(1093),
    [aux_sym_foreach_statement_token2] = ACTIONS(1093),
    [aux_sym_if_statement_token1] = ACTIONS(1093),
    [aux_sym_if_statement_token2] = ACTIONS(1093),
    [aux_sym_else_if_clause_token1] = ACTIONS(1093),
    [aux_sym_else_clause_token1] = ACTIONS(1093),
    [aux_sym_switch_statement_token1] = ACTIONS(1093),
    [aux_sym_switch_block_token1] = ACTIONS(1093),
    [aux_sym_case_statement_token1] = ACTIONS(1093),
    [aux_sym_default_statement_token1] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_clone] = ACTIONS(1093),
    [anon_sym_print] = ACTIONS(1093),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [sym_shell_command_expression] = ACTIONS(1091),
    [anon_sym_list] = ACTIONS(1093),
    [anon_sym_LBRACK] = ACTIONS(1091),
    [anon_sym_self] = ACTIONS(1093),
    [anon_sym_parent] = ACTIONS(1093),
    [sym_string] = ACTIONS(1091),
    [sym_boolean] = ACTIONS(1093),
    [sym_null] = ACTIONS(1093),
    [anon_sym_DOLLAR] = ACTIONS(1091),
    [anon_sym_yield] = ACTIONS(1093),
    [aux_sym_include_expression_token1] = ACTIONS(1093),
    [aux_sym_include_once_expression_token1] = ACTIONS(1093),
    [aux_sym_require_expression_token1] = ACTIONS(1093),
    [aux_sym_require_once_expression_token1] = ACTIONS(1093),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1091),
  },
  [398] = {
    [sym_text_interpolation] = STATE(398),
    [ts_builtin_sym_end] = ACTIONS(1095),
    [sym_name] = ACTIONS(1097),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1095),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1097),
    [aux_sym_global_declaration_token1] = ACTIONS(1097),
    [aux_sym_namespace_definition_token1] = ACTIONS(1097),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1097),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1097),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1097),
    [anon_sym_BSLASH] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [aux_sym_trait_declaration_token1] = ACTIONS(1097),
    [aux_sym_interface_declaration_token1] = ACTIONS(1097),
    [aux_sym_class_declaration_token1] = ACTIONS(1097),
    [aux_sym_class_modifier_token1] = ACTIONS(1097),
    [aux_sym_class_modifier_token2] = ACTIONS(1097),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1097),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1097),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_array] = ACTIONS(1097),
    [anon_sym_unset] = ACTIONS(1097),
    [aux_sym_echo_statement_token1] = ACTIONS(1097),
    [anon_sym_declare] = ACTIONS(1097),
    [aux_sym_declare_statement_token1] = ACTIONS(1097),
    [sym_float] = ACTIONS(1097),
    [aux_sym_try_statement_token1] = ACTIONS(1097),
    [aux_sym_goto_statement_token1] = ACTIONS(1097),
    [aux_sym_continue_statement_token1] = ACTIONS(1097),
    [aux_sym_break_statement_token1] = ACTIONS(1097),
    [sym_integer] = ACTIONS(1097),
    [aux_sym_return_statement_token1] = ACTIONS(1097),
    [aux_sym_throw_expression_token1] = ACTIONS(1097),
    [aux_sym_while_statement_token1] = ACTIONS(1097),
    [aux_sym_while_statement_token2] = ACTIONS(1097),
    [aux_sym_do_statement_token1] = ACTIONS(1097),
    [aux_sym_for_statement_token1] = ACTIONS(1097),
    [aux_sym_for_statement_token2] = ACTIONS(1097),
    [aux_sym_foreach_statement_token1] = ACTIONS(1097),
    [aux_sym_foreach_statement_token2] = ACTIONS(1097),
    [aux_sym_if_statement_token1] = ACTIONS(1097),
    [aux_sym_if_statement_token2] = ACTIONS(1097),
    [aux_sym_else_if_clause_token1] = ACTIONS(1097),
    [aux_sym_else_clause_token1] = ACTIONS(1097),
    [aux_sym_switch_statement_token1] = ACTIONS(1097),
    [aux_sym_switch_block_token1] = ACTIONS(1097),
    [aux_sym_case_statement_token1] = ACTIONS(1097),
    [aux_sym_default_statement_token1] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_clone] = ACTIONS(1097),
    [anon_sym_print] = ACTIONS(1097),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [sym_shell_command_expression] = ACTIONS(1095),
    [anon_sym_list] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(1095),
    [anon_sym_self] = ACTIONS(1097),
    [anon_sym_parent] = ACTIONS(1097),
    [sym_string] = ACTIONS(1095),
    [sym_boolean] = ACTIONS(1097),
    [sym_null] = ACTIONS(1097),
    [anon_sym_DOLLAR] = ACTIONS(1095),
    [anon_sym_yield] = ACTIONS(1097),
    [aux_sym_include_expression_token1] = ACTIONS(1097),
    [aux_sym_include_once_expression_token1] = ACTIONS(1097),
    [aux_sym_require_expression_token1] = ACTIONS(1097),
    [aux_sym_require_once_expression_token1] = ACTIONS(1097),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1095),
  },
  [399] = {
    [sym_text_interpolation] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_name] = ACTIONS(1101),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1099),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1101),
    [aux_sym_global_declaration_token1] = ACTIONS(1101),
    [aux_sym_namespace_definition_token1] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1101),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1101),
    [anon_sym_BSLASH] = ACTIONS(1099),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [aux_sym_trait_declaration_token1] = ACTIONS(1101),
    [aux_sym_interface_declaration_token1] = ACTIONS(1101),
    [aux_sym_class_declaration_token1] = ACTIONS(1101),
    [aux_sym_class_modifier_token1] = ACTIONS(1101),
    [aux_sym_class_modifier_token2] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1101),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_array] = ACTIONS(1101),
    [anon_sym_unset] = ACTIONS(1101),
    [aux_sym_echo_statement_token1] = ACTIONS(1101),
    [anon_sym_declare] = ACTIONS(1101),
    [aux_sym_declare_statement_token1] = ACTIONS(1101),
    [sym_float] = ACTIONS(1101),
    [aux_sym_try_statement_token1] = ACTIONS(1101),
    [aux_sym_goto_statement_token1] = ACTIONS(1101),
    [aux_sym_continue_statement_token1] = ACTIONS(1101),
    [aux_sym_break_statement_token1] = ACTIONS(1101),
    [sym_integer] = ACTIONS(1101),
    [aux_sym_return_statement_token1] = ACTIONS(1101),
    [aux_sym_throw_expression_token1] = ACTIONS(1101),
    [aux_sym_while_statement_token1] = ACTIONS(1101),
    [aux_sym_while_statement_token2] = ACTIONS(1101),
    [aux_sym_do_statement_token1] = ACTIONS(1101),
    [aux_sym_for_statement_token1] = ACTIONS(1101),
    [aux_sym_for_statement_token2] = ACTIONS(1101),
    [aux_sym_foreach_statement_token1] = ACTIONS(1101),
    [aux_sym_foreach_statement_token2] = ACTIONS(1101),
    [aux_sym_if_statement_token1] = ACTIONS(1101),
    [aux_sym_if_statement_token2] = ACTIONS(1101),
    [aux_sym_else_if_clause_token1] = ACTIONS(1101),
    [aux_sym_else_clause_token1] = ACTIONS(1101),
    [aux_sym_switch_statement_token1] = ACTIONS(1101),
    [aux_sym_switch_block_token1] = ACTIONS(1101),
    [aux_sym_case_statement_token1] = ACTIONS(1101),
    [aux_sym_default_statement_token1] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_clone] = ACTIONS(1101),
    [anon_sym_print] = ACTIONS(1101),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [sym_shell_command_expression] = ACTIONS(1099),
    [anon_sym_list] = ACTIONS(1101),
    [anon_sym_LBRACK] = ACTIONS(1099),
    [anon_sym_self] = ACTIONS(1101),
    [anon_sym_parent] = ACTIONS(1101),
    [sym_string] = ACTIONS(1099),
    [sym_boolean] = ACTIONS(1101),
    [sym_null] = ACTIONS(1101),
    [anon_sym_DOLLAR] = ACTIONS(1099),
    [anon_sym_yield] = ACTIONS(1101),
    [aux_sym_include_expression_token1] = ACTIONS(1101),
    [aux_sym_include_once_expression_token1] = ACTIONS(1101),
    [aux_sym_require_expression_token1] = ACTIONS(1101),
    [aux_sym_require_once_expression_token1] = ACTIONS(1101),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1099),
  },
  [400] = {
    [sym_text_interpolation] = STATE(400),
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_name] = ACTIONS(1105),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1103),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1105),
    [aux_sym_global_declaration_token1] = ACTIONS(1105),
    [aux_sym_namespace_definition_token1] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1105),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1105),
    [anon_sym_BSLASH] = ACTIONS(1103),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [aux_sym_trait_declaration_token1] = ACTIONS(1105),
    [aux_sym_interface_declaration_token1] = ACTIONS(1105),
    [aux_sym_class_declaration_token1] = ACTIONS(1105),
    [aux_sym_class_modifier_token1] = ACTIONS(1105),
    [aux_sym_class_modifier_token2] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1105),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_array] = ACTIONS(1105),
    [anon_sym_unset] = ACTIONS(1105),
    [aux_sym_echo_statement_token1] = ACTIONS(1105),
    [anon_sym_declare] = ACTIONS(1105),
    [aux_sym_declare_statement_token1] = ACTIONS(1105),
    [sym_float] = ACTIONS(1105),
    [aux_sym_try_statement_token1] = ACTIONS(1105),
    [aux_sym_goto_statement_token1] = ACTIONS(1105),
    [aux_sym_continue_statement_token1] = ACTIONS(1105),
    [aux_sym_break_statement_token1] = ACTIONS(1105),
    [sym_integer] = ACTIONS(1105),
    [aux_sym_return_statement_token1] = ACTIONS(1105),
    [aux_sym_throw_expression_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token1] = ACTIONS(1105),
    [aux_sym_while_statement_token2] = ACTIONS(1105),
    [aux_sym_do_statement_token1] = ACTIONS(1105),
    [aux_sym_for_statement_token1] = ACTIONS(1105),
    [aux_sym_for_statement_token2] = ACTIONS(1105),
    [aux_sym_foreach_statement_token1] = ACTIONS(1105),
    [aux_sym_foreach_statement_token2] = ACTIONS(1105),
    [aux_sym_if_statement_token1] = ACTIONS(1105),
    [aux_sym_if_statement_token2] = ACTIONS(1105),
    [aux_sym_else_if_clause_token1] = ACTIONS(1105),
    [aux_sym_else_clause_token1] = ACTIONS(1105),
    [aux_sym_switch_statement_token1] = ACTIONS(1105),
    [aux_sym_switch_block_token1] = ACTIONS(1105),
    [aux_sym_case_statement_token1] = ACTIONS(1105),
    [aux_sym_default_statement_token1] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_clone] = ACTIONS(1105),
    [anon_sym_print] = ACTIONS(1105),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_PLUS_PLUS] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(1103),
    [sym_shell_command_expression] = ACTIONS(1103),
    [anon_sym_list] = ACTIONS(1105),
    [anon_sym_LBRACK] = ACTIONS(1103),
    [anon_sym_self] = ACTIONS(1105),
    [anon_sym_parent] = ACTIONS(1105),
    [sym_string] = ACTIONS(1103),
    [sym_boolean] = ACTIONS(1105),
    [sym_null] = ACTIONS(1105),
    [anon_sym_DOLLAR] = ACTIONS(1103),
    [anon_sym_yield] = ACTIONS(1105),
    [aux_sym_include_expression_token1] = ACTIONS(1105),
    [aux_sym_include_once_expression_token1] = ACTIONS(1105),
    [aux_sym_require_expression_token1] = ACTIONS(1105),
    [aux_sym_require_once_expression_token1] = ACTIONS(1105),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1103),
  },
  [401] = {
    [sym_text_interpolation] = STATE(401),
    [ts_builtin_sym_end] = ACTIONS(1107),
    [sym_name] = ACTIONS(1109),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1107),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1109),
    [aux_sym_global_declaration_token1] = ACTIONS(1109),
    [aux_sym_namespace_definition_token1] = ACTIONS(1109),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1109),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1109),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1109),
    [anon_sym_BSLASH] = ACTIONS(1107),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [aux_sym_trait_declaration_token1] = ACTIONS(1109),
    [aux_sym_interface_declaration_token1] = ACTIONS(1109),
    [aux_sym_class_declaration_token1] = ACTIONS(1109),
    [aux_sym_class_modifier_token1] = ACTIONS(1109),
    [aux_sym_class_modifier_token2] = ACTIONS(1109),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1109),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1109),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1109),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_array] = ACTIONS(1109),
    [anon_sym_unset] = ACTIONS(1109),
    [aux_sym_echo_statement_token1] = ACTIONS(1109),
    [anon_sym_declare] = ACTIONS(1109),
    [aux_sym_declare_statement_token1] = ACTIONS(1109),
    [sym_float] = ACTIONS(1109),
    [aux_sym_try_statement_token1] = ACTIONS(1109),
    [aux_sym_goto_statement_token1] = ACTIONS(1109),
    [aux_sym_continue_statement_token1] = ACTIONS(1109),
    [aux_sym_break_statement_token1] = ACTIONS(1109),
    [sym_integer] = ACTIONS(1109),
    [aux_sym_return_statement_token1] = ACTIONS(1109),
    [aux_sym_throw_expression_token1] = ACTIONS(1109),
    [aux_sym_while_statement_token1] = ACTIONS(1109),
    [aux_sym_while_statement_token2] = ACTIONS(1109),
    [aux_sym_do_statement_token1] = ACTIONS(1109),
    [aux_sym_for_statement_token1] = ACTIONS(1109),
    [aux_sym_for_statement_token2] = ACTIONS(1109),
    [aux_sym_foreach_statement_token1] = ACTIONS(1109),
    [aux_sym_foreach_statement_token2] = ACTIONS(1109),
    [aux_sym_if_statement_token1] = ACTIONS(1109),
    [aux_sym_if_statement_token2] = ACTIONS(1109),
    [aux_sym_else_if_clause_token1] = ACTIONS(1109),
    [aux_sym_else_clause_token1] = ACTIONS(1109),
    [aux_sym_switch_statement_token1] = ACTIONS(1109),
    [aux_sym_switch_block_token1] = ACTIONS(1109),
    [aux_sym_case_statement_token1] = ACTIONS(1109),
    [aux_sym_default_statement_token1] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1109),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_clone] = ACTIONS(1109),
    [anon_sym_print] = ACTIONS(1109),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_PLUS_PLUS] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1107),
    [sym_shell_command_expression] = ACTIONS(1107),
    [anon_sym_list] = ACTIONS(1109),
    [anon_sym_LBRACK] = ACTIONS(1107),
    [anon_sym_self] = ACTIONS(1109),
    [anon_sym_parent] = ACTIONS(1109),
    [sym_string] = ACTIONS(1107),
    [sym_boolean] = ACTIONS(1109),
    [sym_null] = ACTIONS(1109),
    [anon_sym_DOLLAR] = ACTIONS(1107),
    [anon_sym_yield] = ACTIONS(1109),
    [aux_sym_include_expression_token1] = ACTIONS(1109),
    [aux_sym_include_once_expression_token1] = ACTIONS(1109),
    [aux_sym_require_expression_token1] = ACTIONS(1109),
    [aux_sym_require_once_expression_token1] = ACTIONS(1109),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1107),
  },
  [402] = {
    [sym_text_interpolation] = STATE(402),
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_name] = ACTIONS(1113),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1111),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1113),
    [aux_sym_global_declaration_token1] = ACTIONS(1113),
    [aux_sym_namespace_definition_token1] = ACTIONS(1113),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1113),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1113),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1113),
    [anon_sym_BSLASH] = ACTIONS(1111),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [aux_sym_trait_declaration_token1] = ACTIONS(1113),
    [aux_sym_interface_declaration_token1] = ACTIONS(1113),
    [aux_sym_class_declaration_token1] = ACTIONS(1113),
    [aux_sym_class_modifier_token1] = ACTIONS(1113),
    [aux_sym_class_modifier_token2] = ACTIONS(1113),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1113),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1113),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_array] = ACTIONS(1113),
    [anon_sym_unset] = ACTIONS(1113),
    [aux_sym_echo_statement_token1] = ACTIONS(1113),
    [anon_sym_declare] = ACTIONS(1113),
    [aux_sym_declare_statement_token1] = ACTIONS(1113),
    [sym_float] = ACTIONS(1113),
    [aux_sym_try_statement_token1] = ACTIONS(1113),
    [aux_sym_goto_statement_token1] = ACTIONS(1113),
    [aux_sym_continue_statement_token1] = ACTIONS(1113),
    [aux_sym_break_statement_token1] = ACTIONS(1113),
    [sym_integer] = ACTIONS(1113),
    [aux_sym_return_statement_token1] = ACTIONS(1113),
    [aux_sym_throw_expression_token1] = ACTIONS(1113),
    [aux_sym_while_statement_token1] = ACTIONS(1113),
    [aux_sym_while_statement_token2] = ACTIONS(1113),
    [aux_sym_do_statement_token1] = ACTIONS(1113),
    [aux_sym_for_statement_token1] = ACTIONS(1113),
    [aux_sym_for_statement_token2] = ACTIONS(1113),
    [aux_sym_foreach_statement_token1] = ACTIONS(1113),
    [aux_sym_foreach_statement_token2] = ACTIONS(1113),
    [aux_sym_if_statement_token1] = ACTIONS(1113),
    [aux_sym_if_statement_token2] = ACTIONS(1113),
    [aux_sym_else_if_clause_token1] = ACTIONS(1113),
    [aux_sym_else_clause_token1] = ACTIONS(1113),
    [aux_sym_switch_statement_token1] = ACTIONS(1113),
    [aux_sym_switch_block_token1] = ACTIONS(1113),
    [aux_sym_case_statement_token1] = ACTIONS(1113),
    [aux_sym_default_statement_token1] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_clone] = ACTIONS(1113),
    [anon_sym_print] = ACTIONS(1113),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [sym_shell_command_expression] = ACTIONS(1111),
    [anon_sym_list] = ACTIONS(1113),
    [anon_sym_LBRACK] = ACTIONS(1111),
    [anon_sym_self] = ACTIONS(1113),
    [anon_sym_parent] = ACTIONS(1113),
    [sym_string] = ACTIONS(1111),
    [sym_boolean] = ACTIONS(1113),
    [sym_null] = ACTIONS(1113),
    [anon_sym_DOLLAR] = ACTIONS(1111),
    [anon_sym_yield] = ACTIONS(1113),
    [aux_sym_include_expression_token1] = ACTIONS(1113),
    [aux_sym_include_once_expression_token1] = ACTIONS(1113),
    [aux_sym_require_expression_token1] = ACTIONS(1113),
    [aux_sym_require_once_expression_token1] = ACTIONS(1113),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1111),
  },
  [403] = {
    [sym_text_interpolation] = STATE(403),
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_name] = ACTIONS(1117),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1115),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1117),
    [aux_sym_global_declaration_token1] = ACTIONS(1117),
    [aux_sym_namespace_definition_token1] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1117),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1117),
    [anon_sym_BSLASH] = ACTIONS(1115),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [aux_sym_trait_declaration_token1] = ACTIONS(1117),
    [aux_sym_interface_declaration_token1] = ACTIONS(1117),
    [aux_sym_class_declaration_token1] = ACTIONS(1117),
    [aux_sym_class_modifier_token1] = ACTIONS(1117),
    [aux_sym_class_modifier_token2] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1117),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_array] = ACTIONS(1117),
    [anon_sym_unset] = ACTIONS(1117),
    [aux_sym_echo_statement_token1] = ACTIONS(1117),
    [anon_sym_declare] = ACTIONS(1117),
    [aux_sym_declare_statement_token1] = ACTIONS(1117),
    [sym_float] = ACTIONS(1117),
    [aux_sym_try_statement_token1] = ACTIONS(1117),
    [aux_sym_goto_statement_token1] = ACTIONS(1117),
    [aux_sym_continue_statement_token1] = ACTIONS(1117),
    [aux_sym_break_statement_token1] = ACTIONS(1117),
    [sym_integer] = ACTIONS(1117),
    [aux_sym_return_statement_token1] = ACTIONS(1117),
    [aux_sym_throw_expression_token1] = ACTIONS(1117),
    [aux_sym_while_statement_token1] = ACTIONS(1117),
    [aux_sym_while_statement_token2] = ACTIONS(1117),
    [aux_sym_do_statement_token1] = ACTIONS(1117),
    [aux_sym_for_statement_token1] = ACTIONS(1117),
    [aux_sym_for_statement_token2] = ACTIONS(1117),
    [aux_sym_foreach_statement_token1] = ACTIONS(1117),
    [aux_sym_foreach_statement_token2] = ACTIONS(1117),
    [aux_sym_if_statement_token1] = ACTIONS(1117),
    [aux_sym_if_statement_token2] = ACTIONS(1117),
    [aux_sym_else_if_clause_token1] = ACTIONS(1117),
    [aux_sym_else_clause_token1] = ACTIONS(1117),
    [aux_sym_switch_statement_token1] = ACTIONS(1117),
    [aux_sym_switch_block_token1] = ACTIONS(1117),
    [aux_sym_case_statement_token1] = ACTIONS(1117),
    [aux_sym_default_statement_token1] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(1115),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_clone] = ACTIONS(1117),
    [anon_sym_print] = ACTIONS(1117),
    [anon_sym_new] = ACTIONS(1117),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [sym_shell_command_expression] = ACTIONS(1115),
    [anon_sym_list] = ACTIONS(1117),
    [anon_sym_LBRACK] = ACTIONS(1115),
    [anon_sym_self] = ACTIONS(1117),
    [anon_sym_parent] = ACTIONS(1117),
    [sym_string] = ACTIONS(1115),
    [sym_boolean] = ACTIONS(1117),
    [sym_null] = ACTIONS(1117),
    [anon_sym_DOLLAR] = ACTIONS(1115),
    [anon_sym_yield] = ACTIONS(1117),
    [aux_sym_include_expression_token1] = ACTIONS(1117),
    [aux_sym_include_once_expression_token1] = ACTIONS(1117),
    [aux_sym_require_expression_token1] = ACTIONS(1117),
    [aux_sym_require_once_expression_token1] = ACTIONS(1117),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1115),
  },
  [404] = {
    [sym_text_interpolation] = STATE(404),
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_name] = ACTIONS(1121),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1119),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1121),
    [aux_sym_global_declaration_token1] = ACTIONS(1121),
    [aux_sym_namespace_definition_token1] = ACTIONS(1121),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1121),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1121),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1121),
    [anon_sym_BSLASH] = ACTIONS(1119),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [aux_sym_trait_declaration_token1] = ACTIONS(1121),
    [aux_sym_interface_declaration_token1] = ACTIONS(1121),
    [aux_sym_class_declaration_token1] = ACTIONS(1121),
    [aux_sym_class_modifier_token1] = ACTIONS(1121),
    [aux_sym_class_modifier_token2] = ACTIONS(1121),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1121),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1121),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_array] = ACTIONS(1121),
    [anon_sym_unset] = ACTIONS(1121),
    [aux_sym_echo_statement_token1] = ACTIONS(1121),
    [anon_sym_declare] = ACTIONS(1121),
    [aux_sym_declare_statement_token1] = ACTIONS(1121),
    [sym_float] = ACTIONS(1121),
    [aux_sym_try_statement_token1] = ACTIONS(1121),
    [aux_sym_goto_statement_token1] = ACTIONS(1121),
    [aux_sym_continue_statement_token1] = ACTIONS(1121),
    [aux_sym_break_statement_token1] = ACTIONS(1121),
    [sym_integer] = ACTIONS(1121),
    [aux_sym_return_statement_token1] = ACTIONS(1121),
    [aux_sym_throw_expression_token1] = ACTIONS(1121),
    [aux_sym_while_statement_token1] = ACTIONS(1121),
    [aux_sym_while_statement_token2] = ACTIONS(1121),
    [aux_sym_do_statement_token1] = ACTIONS(1121),
    [aux_sym_for_statement_token1] = ACTIONS(1121),
    [aux_sym_for_statement_token2] = ACTIONS(1121),
    [aux_sym_foreach_statement_token1] = ACTIONS(1121),
    [aux_sym_foreach_statement_token2] = ACTIONS(1121),
    [aux_sym_if_statement_token1] = ACTIONS(1121),
    [aux_sym_if_statement_token2] = ACTIONS(1121),
    [aux_sym_else_if_clause_token1] = ACTIONS(1121),
    [aux_sym_else_clause_token1] = ACTIONS(1121),
    [aux_sym_switch_statement_token1] = ACTIONS(1121),
    [aux_sym_switch_block_token1] = ACTIONS(1121),
    [aux_sym_case_statement_token1] = ACTIONS(1121),
    [aux_sym_default_statement_token1] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_clone] = ACTIONS(1121),
    [anon_sym_print] = ACTIONS(1121),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [sym_shell_command_expression] = ACTIONS(1119),
    [anon_sym_list] = ACTIONS(1121),
    [anon_sym_LBRACK] = ACTIONS(1119),
    [anon_sym_self] = ACTIONS(1121),
    [anon_sym_parent] = ACTIONS(1121),
    [sym_string] = ACTIONS(1119),
    [sym_boolean] = ACTIONS(1121),
    [sym_null] = ACTIONS(1121),
    [anon_sym_DOLLAR] = ACTIONS(1119),
    [anon_sym_yield] = ACTIONS(1121),
    [aux_sym_include_expression_token1] = ACTIONS(1121),
    [aux_sym_include_once_expression_token1] = ACTIONS(1121),
    [aux_sym_require_expression_token1] = ACTIONS(1121),
    [aux_sym_require_once_expression_token1] = ACTIONS(1121),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1119),
  },
  [405] = {
    [sym_text_interpolation] = STATE(405),
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_name] = ACTIONS(1125),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1123),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1125),
    [aux_sym_global_declaration_token1] = ACTIONS(1125),
    [aux_sym_namespace_definition_token1] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1125),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1125),
    [anon_sym_BSLASH] = ACTIONS(1123),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [aux_sym_trait_declaration_token1] = ACTIONS(1125),
    [aux_sym_interface_declaration_token1] = ACTIONS(1125),
    [aux_sym_class_declaration_token1] = ACTIONS(1125),
    [aux_sym_class_modifier_token1] = ACTIONS(1125),
    [aux_sym_class_modifier_token2] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1125),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_array] = ACTIONS(1125),
    [anon_sym_unset] = ACTIONS(1125),
    [aux_sym_echo_statement_token1] = ACTIONS(1125),
    [anon_sym_declare] = ACTIONS(1125),
    [aux_sym_declare_statement_token1] = ACTIONS(1125),
    [sym_float] = ACTIONS(1125),
    [aux_sym_try_statement_token1] = ACTIONS(1125),
    [aux_sym_goto_statement_token1] = ACTIONS(1125),
    [aux_sym_continue_statement_token1] = ACTIONS(1125),
    [aux_sym_break_statement_token1] = ACTIONS(1125),
    [sym_integer] = ACTIONS(1125),
    [aux_sym_return_statement_token1] = ACTIONS(1125),
    [aux_sym_throw_expression_token1] = ACTIONS(1125),
    [aux_sym_while_statement_token1] = ACTIONS(1125),
    [aux_sym_while_statement_token2] = ACTIONS(1125),
    [aux_sym_do_statement_token1] = ACTIONS(1125),
    [aux_sym_for_statement_token1] = ACTIONS(1125),
    [aux_sym_for_statement_token2] = ACTIONS(1125),
    [aux_sym_foreach_statement_token1] = ACTIONS(1125),
    [aux_sym_foreach_statement_token2] = ACTIONS(1125),
    [aux_sym_if_statement_token1] = ACTIONS(1125),
    [aux_sym_if_statement_token2] = ACTIONS(1125),
    [aux_sym_else_if_clause_token1] = ACTIONS(1125),
    [aux_sym_else_clause_token1] = ACTIONS(1125),
    [aux_sym_switch_statement_token1] = ACTIONS(1125),
    [aux_sym_switch_block_token1] = ACTIONS(1125),
    [aux_sym_case_statement_token1] = ACTIONS(1125),
    [aux_sym_default_statement_token1] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_clone] = ACTIONS(1125),
    [anon_sym_print] = ACTIONS(1125),
    [anon_sym_new] = ACTIONS(1125),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [sym_shell_command_expression] = ACTIONS(1123),
    [anon_sym_list] = ACTIONS(1125),
    [anon_sym_LBRACK] = ACTIONS(1123),
    [anon_sym_self] = ACTIONS(1125),
    [anon_sym_parent] = ACTIONS(1125),
    [sym_string] = ACTIONS(1123),
    [sym_boolean] = ACTIONS(1125),
    [sym_null] = ACTIONS(1125),
    [anon_sym_DOLLAR] = ACTIONS(1123),
    [anon_sym_yield] = ACTIONS(1125),
    [aux_sym_include_expression_token1] = ACTIONS(1125),
    [aux_sym_include_once_expression_token1] = ACTIONS(1125),
    [aux_sym_require_expression_token1] = ACTIONS(1125),
    [aux_sym_require_once_expression_token1] = ACTIONS(1125),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1123),
  },
  [406] = {
    [sym_text_interpolation] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_name] = ACTIONS(1129),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1127),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1129),
    [aux_sym_global_declaration_token1] = ACTIONS(1129),
    [aux_sym_namespace_definition_token1] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1129),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1129),
    [anon_sym_BSLASH] = ACTIONS(1127),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [aux_sym_trait_declaration_token1] = ACTIONS(1129),
    [aux_sym_interface_declaration_token1] = ACTIONS(1129),
    [aux_sym_class_declaration_token1] = ACTIONS(1129),
    [aux_sym_class_modifier_token1] = ACTIONS(1129),
    [aux_sym_class_modifier_token2] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1129),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_array] = ACTIONS(1129),
    [anon_sym_unset] = ACTIONS(1129),
    [aux_sym_echo_statement_token1] = ACTIONS(1129),
    [anon_sym_declare] = ACTIONS(1129),
    [aux_sym_declare_statement_token1] = ACTIONS(1129),
    [sym_float] = ACTIONS(1129),
    [aux_sym_try_statement_token1] = ACTIONS(1129),
    [aux_sym_goto_statement_token1] = ACTIONS(1129),
    [aux_sym_continue_statement_token1] = ACTIONS(1129),
    [aux_sym_break_statement_token1] = ACTIONS(1129),
    [sym_integer] = ACTIONS(1129),
    [aux_sym_return_statement_token1] = ACTIONS(1129),
    [aux_sym_throw_expression_token1] = ACTIONS(1129),
    [aux_sym_while_statement_token1] = ACTIONS(1129),
    [aux_sym_while_statement_token2] = ACTIONS(1129),
    [aux_sym_do_statement_token1] = ACTIONS(1129),
    [aux_sym_for_statement_token1] = ACTIONS(1129),
    [aux_sym_for_statement_token2] = ACTIONS(1129),
    [aux_sym_foreach_statement_token1] = ACTIONS(1129),
    [aux_sym_foreach_statement_token2] = ACTIONS(1129),
    [aux_sym_if_statement_token1] = ACTIONS(1129),
    [aux_sym_if_statement_token2] = ACTIONS(1129),
    [aux_sym_else_if_clause_token1] = ACTIONS(1129),
    [aux_sym_else_clause_token1] = ACTIONS(1129),
    [aux_sym_switch_statement_token1] = ACTIONS(1129),
    [aux_sym_switch_block_token1] = ACTIONS(1129),
    [aux_sym_case_statement_token1] = ACTIONS(1129),
    [aux_sym_default_statement_token1] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_clone] = ACTIONS(1129),
    [anon_sym_print] = ACTIONS(1129),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [sym_shell_command_expression] = ACTIONS(1127),
    [anon_sym_list] = ACTIONS(1129),
    [anon_sym_LBRACK] = ACTIONS(1127),
    [anon_sym_self] = ACTIONS(1129),
    [anon_sym_parent] = ACTIONS(1129),
    [sym_string] = ACTIONS(1127),
    [sym_boolean] = ACTIONS(1129),
    [sym_null] = ACTIONS(1129),
    [anon_sym_DOLLAR] = ACTIONS(1127),
    [anon_sym_yield] = ACTIONS(1129),
    [aux_sym_include_expression_token1] = ACTIONS(1129),
    [aux_sym_include_once_expression_token1] = ACTIONS(1129),
    [aux_sym_require_expression_token1] = ACTIONS(1129),
    [aux_sym_require_once_expression_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1127),
  },
  [407] = {
    [sym_text_interpolation] = STATE(407),
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_name] = ACTIONS(1133),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1131),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1133),
    [aux_sym_global_declaration_token1] = ACTIONS(1133),
    [aux_sym_namespace_definition_token1] = ACTIONS(1133),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1133),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1133),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1133),
    [anon_sym_BSLASH] = ACTIONS(1131),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [aux_sym_trait_declaration_token1] = ACTIONS(1133),
    [aux_sym_interface_declaration_token1] = ACTIONS(1133),
    [aux_sym_class_declaration_token1] = ACTIONS(1133),
    [aux_sym_class_modifier_token1] = ACTIONS(1133),
    [aux_sym_class_modifier_token2] = ACTIONS(1133),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1133),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1133),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_array] = ACTIONS(1133),
    [anon_sym_unset] = ACTIONS(1133),
    [aux_sym_echo_statement_token1] = ACTIONS(1133),
    [anon_sym_declare] = ACTIONS(1133),
    [aux_sym_declare_statement_token1] = ACTIONS(1133),
    [sym_float] = ACTIONS(1133),
    [aux_sym_try_statement_token1] = ACTIONS(1133),
    [aux_sym_goto_statement_token1] = ACTIONS(1133),
    [aux_sym_continue_statement_token1] = ACTIONS(1133),
    [aux_sym_break_statement_token1] = ACTIONS(1133),
    [sym_integer] = ACTIONS(1133),
    [aux_sym_return_statement_token1] = ACTIONS(1133),
    [aux_sym_throw_expression_token1] = ACTIONS(1133),
    [aux_sym_while_statement_token1] = ACTIONS(1133),
    [aux_sym_while_statement_token2] = ACTIONS(1133),
    [aux_sym_do_statement_token1] = ACTIONS(1133),
    [aux_sym_for_statement_token1] = ACTIONS(1133),
    [aux_sym_for_statement_token2] = ACTIONS(1133),
    [aux_sym_foreach_statement_token1] = ACTIONS(1133),
    [aux_sym_foreach_statement_token2] = ACTIONS(1133),
    [aux_sym_if_statement_token1] = ACTIONS(1133),
    [aux_sym_if_statement_token2] = ACTIONS(1133),
    [aux_sym_else_if_clause_token1] = ACTIONS(1133),
    [aux_sym_else_clause_token1] = ACTIONS(1133),
    [aux_sym_switch_statement_token1] = ACTIONS(1133),
    [aux_sym_switch_block_token1] = ACTIONS(1133),
    [aux_sym_case_statement_token1] = ACTIONS(1133),
    [aux_sym_default_statement_token1] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_clone] = ACTIONS(1133),
    [anon_sym_print] = ACTIONS(1133),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_PLUS_PLUS] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1131),
    [sym_shell_command_expression] = ACTIONS(1131),
    [anon_sym_list] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1131),
    [anon_sym_self] = ACTIONS(1133),
    [anon_sym_parent] = ACTIONS(1133),
    [sym_string] = ACTIONS(1131),
    [sym_boolean] = ACTIONS(1133),
    [sym_null] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(1131),
    [anon_sym_yield] = ACTIONS(1133),
    [aux_sym_include_expression_token1] = ACTIONS(1133),
    [aux_sym_include_once_expression_token1] = ACTIONS(1133),
    [aux_sym_require_expression_token1] = ACTIONS(1133),
    [aux_sym_require_once_expression_token1] = ACTIONS(1133),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1131),
  },
  [408] = {
    [sym_text_interpolation] = STATE(408),
    [sym_name] = ACTIONS(1135),
    [anon_sym_QMARK_GT] = ACTIONS(3),
    [anon_sym_SEMI] = ACTIONS(1137),
    [aux_sym_function_static_declaration_token1] = ACTIONS(1135),
    [aux_sym_global_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_definition_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token1] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token2] = ACTIONS(1135),
    [aux_sym_namespace_use_declaration_token3] = ACTIONS(1135),
    [anon_sym_BSLASH] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1137),
    [aux_sym_trait_declaration_token1] = ACTIONS(1135),
    [aux_sym_interface_declaration_token1] = ACTIONS(1135),
    [aux_sym_class_declaration_token1] = ACTIONS(1135),
    [aux_sym_class_modifier_token1] = ACTIONS(1135),
    [aux_sym_class_modifier_token2] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token1] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token2] = ACTIONS(1135),
    [aux_sym_visibility_modifier_token3] = ACTIONS(1135),
    [anon_sym_LPAREN] = ACTIONS(1137),
    [anon_sym_array] = ACTIONS(1135),
    [anon_sym_unset] = ACTIONS(1135),
    [anon_sym_COLON] = ACTIONS(1137),
    [aux_sym_echo_statement_token1] = ACTIONS(1135),
    [anon_sym_declare] = ACTIONS(1135),
    [sym_float] = ACTIONS(1135),
    [aux_sym_try_statement_token1] = ACTIONS(1135),
    [aux_sym_goto_statement_token1] = ACTIONS(1135),
    [aux_sym_continue_statement_token1] = ACTIONS(1135),
    [aux_sym_break_statement_token1] = ACTIONS(1135),
    [sym_integer] = ACTIONS(1135),
    [aux_sym_return_statement_token1] = ACTIONS(1135),
    [aux_sym_throw_expression_token1] = ACTIONS(1135),
    [aux_sym_while_statement_token1] = ACTIONS(1135),
    [aux_sym_do_statement_token1] = ACTIONS(1135),
    [aux_sym_for_statement_token1] = ACTIONS(1135),
    [aux_sym_foreach_statement_token1] = ACTIONS(1135),
    [aux_sym_if_statement_token1] = ACTIONS(1135),
    [aux_sym_switch_statement_token1] = ACTIONS(1135),
    [anon_sym_AT] = ACTIONS(1137),
    [anon_sym_PLUS] = ACTIONS(1135),
    [anon_sym_DASH] = ACTIONS(1135),
    [anon_sym_TILDE] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1137),
    [anon_sym_clone] = ACTIONS(1135),
    [anon_sym_print] = ACTIONS(1135),
    [anon_sym_new] = ACTIONS(1135),
    [anon_sym_PLUS_PLUS] = ACTIONS(1137),
    [anon_sym_DASH_DASH] = ACTIONS(1137),
    [sym_shell_command_expression] = ACTIONS(1137),
    [anon_sym_list] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_self] = ACTIONS(1135),
    [anon_sym_parent] = ACTIONS(1135),
    [sym_string] = ACTIONS(1137),
    [sym_boolean] = ACTIONS(1135),
    [sym_null] = ACTIONS(1135),
    [anon_sym_DOLLAR] = ACTIONS(1137),
    [anon_sym_yield] = ACTIONS(1135),
    [aux_sym_include_expression_token1] = ACTIONS(1135),
    [aux_sym_include_once_expression_token1] = ACTIONS(1135),
    [aux_sym_require_expression_token1] = ACTIONS(1135),
    [aux_sym_require_once_expression_token1] = ACTIONS(1135),
    [sym_comment] = ACTIONS(5),
    [sym_heredoc] = ACTIONS(1137),
  },
};

static uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(409), 1,
      sym_text_interpolation,
    ACTIONS(1141), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1139), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [75] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(410), 1,
      sym_text_interpolation,
    ACTIONS(1145), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1143), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [150] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(411), 1,
      sym_text_interpolation,
    ACTIONS(1149), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1147), 40,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_base_clause_token1,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [225] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(578), 1,
      anon_sym_LPAREN,
    ACTIONS(580), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(582), 1,
      anon_sym_AT,
    ACTIONS(588), 1,
      anon_sym_clone,
    ACTIONS(590), 1,
      anon_sym_print,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    STATE(412), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(616), 1,
      sym__unary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(584), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(586), 2,
      anon_sym_TILDE,
      anon_sym_BANG,
    STATE(769), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(432), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(613), 3,
      sym_unary_op_expression,
      sym_exponentiation_expression,
      sym_cast_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(418), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [367] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(204), 1,
      anon_sym_LPAREN,
    ACTIONS(206), 1,
      anon_sym_array,
    ACTIONS(226), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(242), 1,
      anon_sym_AT,
    ACTIONS(248), 1,
      anon_sym_clone,
    ACTIONS(250), 1,
      anon_sym_print,
    ACTIONS(252), 1,
      anon_sym_new,
    ACTIONS(256), 1,
      sym_shell_command_expression,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(540), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1153), 1,
      anon_sym_LBRACK,
    STATE(413), 1,
      sym_text_interpolation,
    STATE(554), 1,
      sym_qualified_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(626), 1,
      sym_class_constant_access_expression,
    STATE(739), 1,
      sym__unary_expression,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1127), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1622), 1,
      sym__scope_resolution_qualifier,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(244), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(246), 2,
      anon_sym_TILDE,
      anon_sym_BANG,
    ACTIONS(254), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(262), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(264), 2,
      sym_heredoc,
      sym_string,
    STATE(713), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(467), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(558), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(700), 3,
      sym_unary_op_expression,
      sym_exponentiation_expression,
      sym_cast_expression,
    ACTIONS(214), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(748), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(442), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [509] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(414), 1,
      sym_text_interpolation,
    STATE(430), 1,
      sym_arguments,
    ACTIONS(1157), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1155), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [587] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(415), 1,
      sym_text_interpolation,
    STATE(428), 1,
      sym_arguments,
    ACTIONS(1163), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1161), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [665] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(548), 1,
      anon_sym_LPAREN,
    ACTIONS(550), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(552), 1,
      anon_sym_AT,
    ACTIONS(558), 1,
      anon_sym_clone,
    ACTIONS(560), 1,
      anon_sym_print,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    STATE(416), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(616), 1,
      sym__unary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(554), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(556), 2,
      anon_sym_TILDE,
      anon_sym_BANG,
    STATE(746), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(432), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(613), 3,
      sym_unary_op_expression,
      sym_exponentiation_expression,
      sym_cast_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(418), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [807] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(498), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(500), 1,
      anon_sym_AT,
    ACTIONS(506), 1,
      anon_sym_clone,
    ACTIONS(508), 1,
      anon_sym_print,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    STATE(417), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(616), 1,
      sym__unary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(504), 2,
      anon_sym_TILDE,
      anon_sym_BANG,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(650), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(462), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(613), 3,
      sym_unary_op_expression,
      sym_exponentiation_expression,
      sym_cast_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(436), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [949] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    STATE(418), 1,
      sym_text_interpolation,
    STATE(427), 1,
      sym_arguments,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1175), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 20,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [1035] = 39,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(492), 1,
      anon_sym_LPAREN,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(498), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(500), 1,
      anon_sym_AT,
    ACTIONS(506), 1,
      anon_sym_clone,
    ACTIONS(508), 1,
      anon_sym_print,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    STATE(419), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(616), 1,
      sym__unary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(504), 2,
      anon_sym_TILDE,
      anon_sym_BANG,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(650), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(432), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(613), 3,
      sym_unary_op_expression,
      sym_exponentiation_expression,
      sym_cast_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(418), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [1177] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(420), 1,
      sym_text_interpolation,
    STATE(431), 1,
      sym_arguments,
    ACTIONS(1179), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1177), 37,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1255] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(421), 1,
      sym_text_interpolation,
    ACTIONS(1183), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1181), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1328] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(422), 1,
      sym_text_interpolation,
    ACTIONS(1187), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1185), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(423), 1,
      sym_text_interpolation,
    ACTIONS(1191), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1189), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1474] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(424), 1,
      sym_text_interpolation,
    ACTIONS(1195), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1193), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1547] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(425), 1,
      sym_text_interpolation,
    ACTIONS(1199), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1197), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1620] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(426), 1,
      sym_text_interpolation,
    ACTIONS(1203), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1201), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(427), 1,
      sym_text_interpolation,
    ACTIONS(1207), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1205), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1766] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(428), 1,
      sym_text_interpolation,
    ACTIONS(1211), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1209), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1839] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(429), 1,
      sym_text_interpolation,
    ACTIONS(1215), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1213), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1912] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(430), 1,
      sym_text_interpolation,
    ACTIONS(1219), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1217), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [1985] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(431), 1,
      sym_text_interpolation,
    ACTIONS(1223), 21,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1221), 38,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2058] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    STATE(432), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1175), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 20,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2138] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_arguments,
    STATE(433), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 20,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2222] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(434), 1,
      sym_text_interpolation,
    STATE(461), 1,
      sym_arguments,
    ACTIONS(1163), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1161), 34,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2296] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(435), 1,
      sym_text_interpolation,
    STATE(445), 1,
      sym_arguments,
    ACTIONS(1179), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1177), 34,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2370] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_arguments,
    STATE(436), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1175), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2452] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(437), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 16,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 20,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2530] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(438), 1,
      sym_text_interpolation,
    STATE(460), 1,
      sym_arguments,
    ACTIONS(1157), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1155), 34,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [2604] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_RPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(439), 1,
      sym_text_interpolation,
    STATE(1356), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2692] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_arguments,
    STATE(440), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1235), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2774] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    ACTIONS(1237), 1,
      anon_sym_EQ,
    STATE(441), 1,
      sym_text_interpolation,
    STATE(449), 1,
      sym_arguments,
    ACTIONS(1239), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1241), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2856] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(442), 1,
      sym_text_interpolation,
    STATE(449), 1,
      sym_arguments,
    ACTIONS(1239), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1175), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [2938] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1243), 1,
      anon_sym_COMMA,
    ACTIONS(1246), 1,
      anon_sym_RBRACK,
    STATE(427), 1,
      sym_arguments,
    STATE(443), 1,
      sym_text_interpolation,
    STATE(1291), 1,
      aux_sym__array_destructing_repeat1,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1235), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3026] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(444), 1,
      sym_text_interpolation,
    ACTIONS(1187), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1185), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3095] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(445), 1,
      sym_text_interpolation,
    ACTIONS(1223), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1221), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3164] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(446), 1,
      sym_text_interpolation,
    ACTIONS(1203), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1201), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3233] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1243), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_RBRACK,
    STATE(427), 1,
      sym_arguments,
    STATE(447), 1,
      sym_text_interpolation,
    STATE(1288), 1,
      aux_sym__array_destructing_repeat1,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1235), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3320] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(448), 1,
      sym_text_interpolation,
    ACTIONS(1195), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1193), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(449), 1,
      sym_text_interpolation,
    ACTIONS(1207), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1205), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3458] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(450), 1,
      sym_text_interpolation,
    ACTIONS(1183), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1181), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3527] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_arguments,
    STATE(451), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3610] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1254), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_arguments,
    STATE(452), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1256), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [3691] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(453), 1,
      sym_text_interpolation,
    ACTIONS(1199), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1197), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3760] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(454), 1,
      sym_text_interpolation,
    ACTIONS(1215), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1213), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3829] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(455), 1,
      sym_text_interpolation,
    ACTIONS(1191), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1189), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3898] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(456), 1,
      sym_text_interpolation,
    ACTIONS(1141), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1139), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [3967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(457), 1,
      sym_text_interpolation,
    ACTIONS(1149), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1147), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(458), 1,
      sym_text_interpolation,
    ACTIONS(1145), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1143), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4105] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(427), 1,
      sym_arguments,
    STATE(459), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1258), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4188] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(460), 1,
      sym_text_interpolation,
    ACTIONS(1219), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1217), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(461), 1,
      sym_text_interpolation,
    ACTIONS(1211), 20,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1209), 35,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_COLON_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [4326] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    STATE(462), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1175), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_RBRACK,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4402] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_EQ,
    STATE(463), 1,
      sym_text_interpolation,
    ACTIONS(1239), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1241), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4478] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_text_interpolation,
    STATE(1356), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4560] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1243), 1,
      anon_sym_COMMA,
    ACTIONS(1246), 1,
      anon_sym_RBRACK,
    STATE(465), 1,
      sym_text_interpolation,
    STATE(1291), 1,
      aux_sym__array_destructing_repeat1,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1235), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4642] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    STATE(466), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1235), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4718] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_EQ,
    STATE(467), 1,
      sym_text_interpolation,
    ACTIONS(1239), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1175), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4794] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1254), 1,
      anon_sym_EQ,
    STATE(468), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1256), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1165), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4869] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(469), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1252), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [4946] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_EQ,
    ACTIONS(1243), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_RBRACK,
    STATE(470), 1,
      sym_text_interpolation,
    STATE(1288), 1,
      aux_sym__array_destructing_repeat1,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 11,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1235), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5027] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_EQ,
    STATE(471), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1258), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1165), 12,
      anon_sym_EQ_GT,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1227), 13,
      anon_sym_STAR_STAR_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_DOT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1171), 19,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [5104] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(550), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(558), 1,
      anon_sym_clone,
    ACTIONS(560), 1,
      anon_sym_print,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(472), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(621), 1,
      sym_exponentiation_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(744), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(498), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(482), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5230] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(498), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(506), 1,
      anon_sym_clone,
    ACTIONS(508), 1,
      anon_sym_print,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(473), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(621), 1,
      sym_exponentiation_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(647), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(498), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(482), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5356] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(580), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(588), 1,
      anon_sym_clone,
    ACTIONS(590), 1,
      anon_sym_print,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(474), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(621), 1,
      sym_exponentiation_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(788), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(498), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(482), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5482] = 35,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(206), 1,
      anon_sym_array,
    ACTIONS(226), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(248), 1,
      anon_sym_clone,
    ACTIONS(250), 1,
      anon_sym_print,
    ACTIONS(252), 1,
      anon_sym_new,
    ACTIONS(256), 1,
      sym_shell_command_expression,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(540), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1153), 1,
      anon_sym_LBRACK,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    STATE(475), 1,
      sym_text_interpolation,
    STATE(554), 1,
      sym_qualified_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(626), 1,
      sym_class_constant_access_expression,
    STATE(705), 1,
      sym_exponentiation_expression,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1127), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1622), 1,
      sym__scope_resolution_qualifier,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(254), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(262), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(264), 2,
      sym_heredoc,
      sym_string,
    STATE(706), 2,
      sym_clone_expression,
      sym__primary_expression,
    STATE(558), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(569), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(214), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(748), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(540), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5608] = 33,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(206), 1,
      anon_sym_array,
    ACTIONS(226), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(250), 1,
      anon_sym_print,
    ACTIONS(252), 1,
      anon_sym_new,
    ACTIONS(256), 1,
      sym_shell_command_expression,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(538), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(540), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1153), 1,
      anon_sym_LBRACK,
    ACTIONS(1262), 1,
      anon_sym_LPAREN,
    STATE(476), 1,
      sym_text_interpolation,
    STATE(554), 1,
      sym_qualified_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(626), 1,
      sym_class_constant_access_expression,
    STATE(736), 1,
      sym__primary_expression,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1127), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1622), 1,
      sym__scope_resolution_qualifier,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(254), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(262), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(264), 2,
      sym_heredoc,
      sym_string,
    STATE(558), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(569), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(214), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(748), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(540), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5727] = 33,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(580), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(590), 1,
      anon_sym_print,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(477), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(600), 1,
      sym__primary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(498), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(482), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5846] = 33,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(498), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(508), 1,
      anon_sym_print,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(478), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(600), 1,
      sym__primary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(498), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(482), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [5965] = 33,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(482), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(486), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(510), 1,
      anon_sym_new,
    ACTIONS(514), 1,
      sym_shell_command_expression,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(550), 1,
      aux_sym_throw_expression_token1,
    ACTIONS(560), 1,
      anon_sym_print,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(479), 1,
      sym_text_interpolation,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(491), 1,
      sym_qualified_name,
    STATE(535), 1,
      sym_class_constant_access_expression,
    STATE(600), 1,
      sym__primary_expression,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1589), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(512), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(518), 2,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(497), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(498), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    ACTIONS(496), 4,
      sym_float,
      sym_integer,
      sym_boolean,
      sym_null,
    STATE(599), 5,
      sym_throw_expression,
      sym_print_intrinsic,
      sym_anonymous_function_creation_expression,
      sym_object_creation_expression,
      sym_update_expression,
    STATE(482), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [6084] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    STATE(480), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1269), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6149] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(481), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 13,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6215] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(482), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 13,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6283] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(483), 1,
      sym_text_interpolation,
    ACTIONS(1273), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1271), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6342] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(428), 1,
      sym_arguments,
    STATE(484), 1,
      sym_text_interpolation,
    ACTIONS(1277), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1275), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(485), 1,
      sym_text_interpolation,
    ACTIONS(1269), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1264), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      aux_sym_class_interface_clause_token1,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6464] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(486), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 13,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6524] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(430), 1,
      sym_arguments,
    STATE(487), 1,
      sym_text_interpolation,
    ACTIONS(1157), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1155), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6584] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(488), 1,
      sym_text_interpolation,
    STATE(527), 1,
      sym_arguments,
    ACTIONS(1157), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6646] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(428), 1,
      sym_arguments,
    STATE(489), 1,
      sym_text_interpolation,
    ACTIONS(1163), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1161), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6706] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(490), 1,
      sym_text_interpolation,
    STATE(514), 1,
      sym_arguments,
    ACTIONS(1179), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6768] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(491), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6832] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(431), 1,
      sym_arguments,
    STATE(492), 1,
      sym_text_interpolation,
    ACTIONS(1179), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1177), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6894] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(428), 1,
      sym_arguments,
    STATE(493), 1,
      sym_text_interpolation,
    ACTIONS(1163), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [6956] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(430), 1,
      sym_arguments,
    STATE(494), 1,
      sym_text_interpolation,
    ACTIONS(1157), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1155), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7018] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(431), 1,
      sym_arguments,
    STATE(495), 1,
      sym_text_interpolation,
    ACTIONS(1179), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1177), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7078] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    STATE(496), 1,
      sym_text_interpolation,
    ACTIONS(1283), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1288), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 29,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7140] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(497), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7204] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(498), 1,
      sym_text_interpolation,
    ACTIONS(1173), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 13,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7266] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(499), 1,
      sym_text_interpolation,
    STATE(526), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7330] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(500), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1292), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7394] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(501), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1292), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7458] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(502), 1,
      sym_text_interpolation,
    STATE(508), 1,
      sym_arguments,
    ACTIONS(1163), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1161), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7520] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1294), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1296), 1,
      anon_sym_COLON_COLON,
    STATE(503), 1,
      sym_text_interpolation,
    ACTIONS(1203), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7582] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(504), 1,
      sym_text_interpolation,
    STATE(519), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1300), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1298), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7646] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(505), 1,
      sym_text_interpolation,
    STATE(609), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1300), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1298), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7710] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(506), 1,
      sym_text_interpolation,
    STATE(519), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1300), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1298), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7774] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(507), 1,
      sym_text_interpolation,
    STATE(526), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1304), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1302), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7838] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(508), 1,
      sym_text_interpolation,
    ACTIONS(1211), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7895] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(509), 1,
      sym_text_interpolation,
    ACTIONS(1195), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1193), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [7952] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(510), 1,
      sym_text_interpolation,
    ACTIONS(1149), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1147), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8009] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(511), 1,
      sym_text_interpolation,
    ACTIONS(1203), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8066] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(512), 1,
      sym_text_interpolation,
    ACTIONS(1183), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1181), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8123] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(513), 1,
      sym_text_interpolation,
    ACTIONS(1308), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1306), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8180] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(514), 1,
      sym_text_interpolation,
    ACTIONS(1223), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1221), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8237] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(515), 1,
      sym_text_interpolation,
    ACTIONS(1187), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1185), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8294] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(516), 1,
      sym_text_interpolation,
    ACTIONS(1312), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1310), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8351] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(517), 1,
      sym_text_interpolation,
    ACTIONS(1316), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1314), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8408] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_COLON_COLON,
    STATE(518), 1,
      sym_text_interpolation,
    ACTIONS(1203), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8467] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(519), 1,
      sym_text_interpolation,
    ACTIONS(1205), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1320), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1318), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8526] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(520), 1,
      sym_text_interpolation,
    ACTIONS(1145), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1143), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8583] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(521), 1,
      sym_text_interpolation,
    ACTIONS(1288), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8640] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(522), 1,
      sym_text_interpolation,
    ACTIONS(1324), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1322), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8697] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(523), 1,
      sym_text_interpolation,
    ACTIONS(1328), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1326), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8754] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(524), 1,
      sym_text_interpolation,
    ACTIONS(1135), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1137), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8811] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(525), 1,
      sym_text_interpolation,
    ACTIONS(794), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(792), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8868] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(526), 1,
      sym_text_interpolation,
    ACTIONS(1207), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1205), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8925] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(527), 1,
      sym_text_interpolation,
    ACTIONS(1219), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [8982] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(528), 1,
      sym_text_interpolation,
    ACTIONS(1215), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1213), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9039] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(529), 1,
      sym_text_interpolation,
    ACTIONS(1191), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1189), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9096] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(530), 1,
      sym_text_interpolation,
    ACTIONS(798), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(796), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(531), 1,
      sym_text_interpolation,
    ACTIONS(1199), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9210] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(532), 1,
      sym_text_interpolation,
    ACTIONS(1141), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1139), 31,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9267] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(533), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1292), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9325] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    STATE(534), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1269), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1264), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9385] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(535), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9443] = 29,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1330), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1332), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1334), 1,
      sym_var_modifier,
    ACTIONS(1336), 1,
      anon_sym_QMARK,
    ACTIONS(1342), 1,
      anon_sym_DOLLAR,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(536), 1,
      sym_text_interpolation,
    STATE(824), 1,
      aux_sym_property_declaration_repeat1,
    STATE(889), 1,
      sym__modifier,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1065), 1,
      sym_variable_name,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1108), 1,
      sym__types,
    STATE(1170), 1,
      sym_union_type,
    STATE(1178), 1,
      sym_property_element,
    STATE(1184), 1,
      sym__function_definition_header,
    STATE(1245), 1,
      sym__type,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(200), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    ACTIONS(1340), 2,
      anon_sym_self,
      anon_sym_parent,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(202), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(891), 3,
      sym_class_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [9547] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(537), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1304), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1302), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9605] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_arguments,
    STATE(538), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9667] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(539), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9725] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_arguments,
    STATE(540), 1,
      sym_text_interpolation,
    ACTIONS(1239), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9789] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(541), 1,
      sym_text_interpolation,
    ACTIONS(825), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(823), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_while_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9844] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1283), 1,
      anon_sym_RPAREN,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    STATE(542), 1,
      sym_text_interpolation,
    ACTIONS(1288), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9903] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1342), 1,
      anon_sym_DOLLAR,
    ACTIONS(1344), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(543), 1,
      sym_text_interpolation,
    STATE(1141), 1,
      sym_static_variable_declaration,
    STATE(1143), 1,
      sym_variable_name,
    ACTIONS(1203), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [9968] = 10,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1342), 1,
      anon_sym_DOLLAR,
    ACTIONS(1344), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(544), 1,
      sym_text_interpolation,
    STATE(1143), 1,
      sym_variable_name,
    STATE(1176), 1,
      sym_static_variable_declaration,
    ACTIONS(1203), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 25,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10033] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(545), 1,
      sym_text_interpolation,
    ACTIONS(809), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(807), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      aux_sym_while_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10088] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    ACTIONS(1346), 1,
      anon_sym_COLON,
    STATE(546), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1269), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1264), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10148] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(430), 1,
      sym_arguments,
    STATE(547), 1,
      sym_text_interpolation,
    ACTIONS(1157), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1155), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10206] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(548), 1,
      sym_text_interpolation,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10266] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    STATE(549), 1,
      sym_text_interpolation,
    ACTIONS(1288), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10322] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1344), 1,
      aux_sym_namespace_use_declaration_token2,
    STATE(550), 1,
      sym_text_interpolation,
    ACTIONS(1203), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10380] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(461), 1,
      sym_arguments,
    STATE(551), 1,
      sym_text_interpolation,
    ACTIONS(1277), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1275), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10438] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(552), 1,
      sym_text_interpolation,
    ACTIONS(1273), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1271), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10492] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(428), 1,
      sym_arguments,
    STATE(553), 1,
      sym_text_interpolation,
    ACTIONS(1163), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1161), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10550] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_arguments,
    STATE(554), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10610] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(555), 1,
      sym_text_interpolation,
    ACTIONS(1269), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1264), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10664] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym_text_interpolation,
    STATE(587), 1,
      sym_arguments,
    ACTIONS(1179), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1177), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(557), 1,
      sym_text_interpolation,
    ACTIONS(1203), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 29,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10776] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_arguments,
    STATE(558), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10836] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(559), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1300), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1298), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10896] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(431), 1,
      sym_arguments,
    STATE(560), 1,
      sym_text_interpolation,
    ACTIONS(1179), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1177), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [10954] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(561), 1,
      sym_text_interpolation,
    STATE(684), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1300), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1298), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11014] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(562), 1,
      sym_text_interpolation,
    STATE(584), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1300), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1298), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11074] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(563), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1292), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11134] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(431), 1,
      sym_arguments,
    STATE(564), 1,
      sym_text_interpolation,
    ACTIONS(1179), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1177), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11190] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(565), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1292), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11250] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(428), 1,
      sym_arguments,
    STATE(566), 1,
      sym_text_interpolation,
    ACTIONS(1163), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1161), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11306] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(430), 1,
      sym_arguments,
    STATE(567), 1,
      sym_text_interpolation,
    ACTIONS(1157), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1155), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11362] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(568), 1,
      sym_text_interpolation,
    STATE(575), 1,
      sym_arguments,
    ACTIONS(1157), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1155), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11420] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(569), 1,
      sym_text_interpolation,
    ACTIONS(1239), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 22,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11478] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(570), 1,
      sym_text_interpolation,
    STATE(574), 1,
      sym_arguments,
    ACTIONS(1163), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1161), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11536] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(571), 1,
      sym_text_interpolation,
    STATE(582), 1,
      sym_arguments,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1304), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1302), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11596] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    ACTIONS(1350), 1,
      anon_sym_COLON,
    STATE(572), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1269), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1264), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11656] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(573), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 12,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11712] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(574), 1,
      sym_text_interpolation,
    ACTIONS(1211), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1209), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11765] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(575), 1,
      sym_text_interpolation,
    ACTIONS(1219), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1217), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11818] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    STATE(576), 1,
      sym_text_interpolation,
    ACTIONS(1288), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 27,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11873] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(577), 1,
      sym_text_interpolation,
    ACTIONS(1191), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1189), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(578), 1,
      sym_text_interpolation,
    ACTIONS(1324), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1322), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [11979] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(579), 1,
      sym_text_interpolation,
    ACTIONS(1312), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1310), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12032] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(580), 1,
      sym_text_interpolation,
    ACTIONS(1316), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1314), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12085] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1296), 1,
      anon_sym_COLON_COLON,
    STATE(581), 1,
      sym_text_interpolation,
    ACTIONS(1203), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1201), 27,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12140] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(582), 1,
      sym_text_interpolation,
    ACTIONS(1207), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1205), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(583), 1,
      sym_text_interpolation,
    ACTIONS(1135), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1137), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12246] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(584), 1,
      sym_text_interpolation,
    ACTIONS(1205), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1320), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1318), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12301] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(585), 1,
      sym_text_interpolation,
    ACTIONS(1149), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1147), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(586), 1,
      sym_text_interpolation,
    ACTIONS(1328), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1326), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12407] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(587), 1,
      sym_text_interpolation,
    ACTIONS(1223), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1221), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12460] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(588), 1,
      sym_text_interpolation,
    ACTIONS(1308), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1306), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12513] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(589), 1,
      sym_text_interpolation,
    ACTIONS(1195), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1193), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12566] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1286), 1,
      anon_sym_EQ,
    STATE(590), 1,
      sym_text_interpolation,
    ACTIONS(1352), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1288), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 25,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12623] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(591), 1,
      sym_text_interpolation,
    ACTIONS(1187), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1185), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12676] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(592), 1,
      sym_text_interpolation,
    ACTIONS(1288), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1281), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12729] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(593), 1,
      sym_text_interpolation,
    ACTIONS(1215), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1213), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12782] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(594), 1,
      sym_text_interpolation,
    ACTIONS(1145), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1143), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12835] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(595), 1,
      sym_text_interpolation,
    ACTIONS(1199), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1197), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(596), 1,
      sym_text_interpolation,
    ACTIONS(1141), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1139), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12941] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(597), 1,
      sym_text_interpolation,
    ACTIONS(1183), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1181), 28,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [12994] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(598), 1,
      sym_text_interpolation,
    ACTIONS(1356), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1354), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13046] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(599), 1,
      sym_text_interpolation,
    ACTIONS(1171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13098] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(600), 1,
      sym_text_interpolation,
    ACTIONS(1360), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1358), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13150] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(601), 1,
      sym_text_interpolation,
    ACTIONS(1364), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1362), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13202] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(602), 1,
      sym_text_interpolation,
    ACTIONS(1368), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1366), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13254] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(603), 1,
      sym_text_interpolation,
    ACTIONS(1372), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1370), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13306] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(604), 1,
      sym_text_interpolation,
    ACTIONS(1376), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1374), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13358] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(605), 1,
      sym_text_interpolation,
    ACTIONS(1380), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1378), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13410] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(606), 1,
      sym_text_interpolation,
    ACTIONS(1384), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1382), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13462] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(607), 1,
      sym_text_interpolation,
    ACTIONS(1388), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13514] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(608), 1,
      sym_text_interpolation,
    ACTIONS(1392), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1390), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13566] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(609), 1,
      sym_text_interpolation,
    ACTIONS(1320), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1318), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13618] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(610), 1,
      sym_text_interpolation,
    ACTIONS(1396), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1394), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13670] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(611), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1167), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1175), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13724] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(612), 1,
      sym_text_interpolation,
    ACTIONS(1400), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1398), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13776] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(613), 1,
      sym_text_interpolation,
    ACTIONS(1404), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13828] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1406), 1,
      aux_sym_binary_expression_token1,
    STATE(614), 1,
      sym_text_interpolation,
    ACTIONS(1388), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13882] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(615), 1,
      sym_text_interpolation,
    ACTIONS(1304), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1302), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13934] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(616), 1,
      sym_text_interpolation,
    ACTIONS(1410), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1408), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [13986] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(617), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1304), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1302), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14040] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(618), 1,
      sym_text_interpolation,
    ACTIONS(1414), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1412), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14092] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(619), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1292), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14146] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(620), 1,
      sym_text_interpolation,
    ACTIONS(1418), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1416), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14198] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(621), 1,
      sym_text_interpolation,
    ACTIONS(1422), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1420), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14250] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(622), 1,
      sym_text_interpolation,
    ACTIONS(1426), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1424), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14302] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(623), 1,
      sym_text_interpolation,
    ACTIONS(1292), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14354] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(624), 1,
      sym_text_interpolation,
    ACTIONS(1430), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1428), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14406] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(625), 1,
      sym_text_interpolation,
    ACTIONS(1434), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1432), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14458] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(626), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
    ACTIONS(1171), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14512] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(627), 1,
      sym_text_interpolation,
    ACTIONS(1438), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1436), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14564] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(628), 1,
      sym_text_interpolation,
    ACTIONS(1442), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1440), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14616] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(629), 1,
      sym_text_interpolation,
    ACTIONS(809), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(807), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_while_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14667] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(630), 1,
      sym_text_interpolation,
    ACTIONS(825), 11,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      aux_sym_else_clause_token1,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(823), 26,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      aux_sym_while_statement_token1,
      anon_sym_EQ_GT,
      aux_sym_else_if_clause_token1,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [14718] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(631), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1444), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [14796] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(632), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1476), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [14880] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(633), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [14952] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(634), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 22,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15008] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    STATE(635), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 10,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [15088] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(636), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [15172] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(637), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1486), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [15250] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1488), 1,
      sym_name,
    ACTIONS(1494), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1497), 1,
      anon_sym_BSLASH,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
    ACTIONS(1502), 1,
      anon_sym_LPAREN,
    ACTIONS(1505), 1,
      anon_sym_array,
    ACTIONS(1508), 1,
      anon_sym_LBRACK,
    ACTIONS(1514), 1,
      anon_sym_DOLLAR,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(987), 1,
      sym_class_constant_access_expression,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(1511), 2,
      sym_heredoc,
      sym_string,
    STATE(638), 2,
      sym_text_interpolation,
      aux_sym_use_list_repeat1,
    STATE(1540), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(1491), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1194), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 9,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [15338] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(639), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [15416] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1519), 1,
      anon_sym_QMARK,
    STATE(640), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1517), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [15494] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1523), 1,
      anon_sym_QMARK,
    STATE(641), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1521), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [15572] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(642), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1525), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [15656] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(643), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1527), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [15740] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(644), 1,
      sym_text_interpolation,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [15794] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(645), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 14,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [15864] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(646), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 13,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [15938] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_STAR_STAR,
    STATE(647), 1,
      sym_text_interpolation,
    ACTIONS(1422), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1420), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [15990] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(648), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 9,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [16072] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(649), 1,
      sym_text_interpolation,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 20,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [16130] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1529), 1,
      anon_sym_STAR_STAR,
    STATE(650), 1,
      sym_text_interpolation,
    ACTIONS(1404), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 25,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [16182] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(651), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1531), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [16266] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(652), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1533), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [16350] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(653), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [16416] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1535), 1,
      sym_name,
    ACTIONS(1537), 1,
      anon_sym_RBRACE,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(654), 1,
      sym_text_interpolation,
    STATE(660), 1,
      aux_sym_use_list_repeat1,
    STATE(987), 1,
      sym_class_constant_access_expression,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(1540), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1194), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 9,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16506] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1543), 1,
      anon_sym_QMARK,
    STATE(655), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1541), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [16584] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(656), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1545), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [16668] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1549), 1,
      anon_sym_EQ_GT,
    STATE(657), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1547), 7,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [16754] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(658), 1,
      sym_text_interpolation,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1292), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1290), 19,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [16816] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(659), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1551), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [16900] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1535), 1,
      sym_name,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_RBRACE,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(638), 1,
      aux_sym_use_list_repeat1,
    STATE(660), 1,
      sym_text_interpolation,
    STATE(987), 1,
      sym_class_constant_access_expression,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(1540), 2,
      sym_use_instead_of_clause,
      sym_use_as_clause,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1194), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 9,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_array_creation_expression,
      sym__string,
      sym_dynamic_variable_name,
      sym_variable_name,
  [16990] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(661), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1555), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [17074] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(662), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1370), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [17158] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(663), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1557), 11,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [17236] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(664), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1559), 8,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [17320] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1474), 1,
      anon_sym_PERCENT,
    STATE(665), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1472), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 15,
      anon_sym_SEMI,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [17388] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_QMARK,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(666), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1541), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [17464] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    STATE(667), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [17530] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(668), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [17612] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    STATE(669), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [17676] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(670), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [17754] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    STATE(671), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [17834] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(672), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [17898] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(673), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [17980] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(674), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18048] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(675), 1,
      sym_text_interpolation,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [18100] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_QMARK,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(676), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1521), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [18176] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(677), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1370), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [18258] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    STATE(678), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [18334] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(679), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 7,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [18414] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    STATE(680), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 8,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [18492] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(681), 1,
      sym_text_interpolation,
    ACTIONS(1364), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1362), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18540] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(682), 1,
      sym_text_interpolation,
    ACTIONS(1380), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1378), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18588] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(683), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 11,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [18660] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(684), 1,
      sym_text_interpolation,
    ACTIONS(1320), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1318), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [18708] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(685), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 12,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18778] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(686), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 13,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [18844] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(687), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1531), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [18926] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(688), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1533), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [19008] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(689), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1559), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [19090] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(690), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1527), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [19172] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(691), 1,
      sym_text_interpolation,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1292), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1290), 17,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [19232] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(692), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1555), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [19314] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(693), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1551), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [19396] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(694), 1,
      sym_text_interpolation,
    ACTIONS(1414), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1412), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19444] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1633), 1,
      aux_sym_binary_expression_token1,
    STATE(695), 1,
      sym_text_interpolation,
    ACTIONS(1388), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19494] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(258), 1,
      anon_sym_list,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(696), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1277), 1,
      sym__list_destructing,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(979), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(955), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19582] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(697), 1,
      sym_text_interpolation,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 18,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [19638] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(698), 1,
      sym_text_interpolation,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 20,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19692] = 25,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(258), 1,
      anon_sym_list,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(699), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1414), 1,
      sym__list_destructing,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(982), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(972), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [19780] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(700), 1,
      sym_text_interpolation,
    ACTIONS(1404), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19828] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(701), 1,
      sym_text_interpolation,
    ACTIONS(1356), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1354), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19876] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(702), 1,
      sym_text_interpolation,
    ACTIONS(1292), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1290), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [19924] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(703), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1545), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [20006] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(704), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1533), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [20088] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(705), 1,
      sym_text_interpolation,
    ACTIONS(1422), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1420), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20136] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_STAR_STAR,
    STATE(706), 1,
      sym_text_interpolation,
    ACTIONS(1422), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1420), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20186] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(707), 1,
      sym_text_interpolation,
    ACTIONS(1400), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1398), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20234] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    STATE(708), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1557), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [20310] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(709), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1525), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [20392] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    STATE(710), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1444), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [20468] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(711), 1,
      sym_text_interpolation,
    ACTIONS(1368), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1366), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20516] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(712), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1531), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [20598] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_STAR_STAR,
    STATE(713), 1,
      sym_text_interpolation,
    ACTIONS(1404), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 23,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20648] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(714), 1,
      sym_text_interpolation,
    ACTIONS(1304), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1302), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [20696] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(715), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [20772] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1637), 1,
      anon_sym_EQ_GT,
    STATE(716), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1547), 5,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [20856] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(717), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1525), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [20938] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_QMARK,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(718), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1521), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [21014] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(719), 1,
      sym_text_interpolation,
    ACTIONS(1430), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1428), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21062] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(720), 1,
      sym_text_interpolation,
    ACTIONS(798), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(796), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21110] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    STATE(721), 1,
      sym_text_interpolation,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [21162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(722), 1,
      sym_text_interpolation,
    ACTIONS(1384), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1382), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21210] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(723), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21278] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(724), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1555), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [21360] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(725), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1559), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [21442] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(726), 1,
      sym_text_interpolation,
    ACTIONS(794), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(792), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [21490] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_QMARK,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    STATE(727), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1517), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [21566] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(728), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 11,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [21638] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(729), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1370), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [21720] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(730), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [21790] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(731), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1476), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [21872] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    STATE(732), 1,
      sym_text_interpolation,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1292), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1290), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [21932] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    STATE(733), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1486), 9,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [22008] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    STATE(734), 1,
      sym_text_interpolation,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [22064] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(735), 1,
      sym_text_interpolation,
    ACTIONS(1372), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1370), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22112] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(736), 1,
      sym_text_interpolation,
    ACTIONS(1360), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1358), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22160] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    STATE(737), 1,
      sym_text_interpolation,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [22214] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(738), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1476), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [22296] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(739), 1,
      sym_text_interpolation,
    ACTIONS(1410), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1408), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22344] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1639), 1,
      anon_sym_EQ_GT,
    STATE(740), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1547), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [22428] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(741), 1,
      sym_text_interpolation,
    ACTIONS(1388), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1386), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22476] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(742), 1,
      sym_text_interpolation,
    ACTIONS(1392), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1390), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22524] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(743), 1,
      sym_text_interpolation,
    ACTIONS(1418), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1416), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22572] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(744), 1,
      sym_text_interpolation,
    ACTIONS(1422), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1420), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22622] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(745), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1557), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [22698] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1641), 1,
      anon_sym_STAR_STAR,
    STATE(746), 1,
      sym_text_interpolation,
    ACTIONS(1404), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22748] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    STATE(747), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1527), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
  [22830] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(748), 1,
      sym_text_interpolation,
    ACTIONS(1171), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1165), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22878] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(749), 1,
      sym_text_interpolation,
    ACTIONS(1426), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1424), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(750), 1,
      sym_text_interpolation,
    ACTIONS(1438), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1436), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [22974] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_QMARK,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(751), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1541), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23050] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(752), 1,
      sym_text_interpolation,
    ACTIONS(1396), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1394), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23098] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(753), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1545), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [23180] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(754), 1,
      sym_text_interpolation,
    ACTIONS(1376), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1374), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23228] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(755), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1444), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23304] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_QMARK,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(756), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1517), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23380] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(757), 1,
      sym_text_interpolation,
    ACTIONS(1442), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1440), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23428] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1605), 1,
      anon_sym_PERCENT,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    STATE(758), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1603), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1486), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23504] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(759), 1,
      sym_text_interpolation,
    ACTIONS(1434), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1432), 24,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [23552] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1587), 1,
      anon_sym_PERCENT,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(760), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1585), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1551), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [23634] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(761), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23709] = 21,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    STATE(762), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
  [23788] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_QMARK,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(763), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1521), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23863] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(764), 1,
      sym_text_interpolation,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
  [23914] = 20,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    STATE(765), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [23991] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(766), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1525), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24072] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(767), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1559), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24153] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(768), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1551), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24234] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1679), 1,
      anon_sym_STAR_STAR,
    STATE(769), 1,
      sym_text_interpolation,
    ACTIONS(1404), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1402), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [24283] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(770), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1555), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24364] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(771), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1370), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24445] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    ACTIONS(1681), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(559), 1,
      sym_qualified_name,
    STATE(772), 1,
      sym_text_interpolation,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1174), 1,
      sym__dereferencable_expression,
    STATE(1591), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(561), 2,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1194), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(262), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(562), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1027), 6,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [24530] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(773), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1545), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24611] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(774), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1533), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24692] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(775), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1531), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24773] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(776), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1476), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [24854] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(777), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
  [24925] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(778), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [24992] = 16,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1292), 1,
      anon_sym_QMARK,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(779), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [25061] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(780), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1527), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25142] = 14,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(781), 1,
      sym_text_interpolation,
    ACTIONS(1292), 2,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25207] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(782), 1,
      sym_text_interpolation,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1292), 5,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1290), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [25266] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(783), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1484), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
  [25347] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(784), 1,
      sym_text_interpolation,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
  [25402] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1685), 1,
      sym_name,
    ACTIONS(1687), 1,
      anon_sym_AMP,
    ACTIONS(1689), 1,
      anon_sym_RPAREN,
    ACTIONS(1691), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1693), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(785), 1,
      sym_text_interpolation,
    STATE(1044), 1,
      sym_namespace_name_as_prefix,
    STATE(1088), 1,
      sym__types,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1157), 1,
      sym__reserved_identifier,
    STATE(1170), 1,
      sym_union_type,
    STATE(1171), 1,
      sym__type,
    STATE(1263), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    STATE(1227), 2,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [25485] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(786), 1,
      sym_text_interpolation,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1292), 8,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1290), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [25538] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1697), 1,
      anon_sym_EQ_GT,
    STATE(787), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1547), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [25621] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1679), 1,
      anon_sym_STAR_STAR,
    STATE(788), 1,
      sym_text_interpolation,
    ACTIONS(1422), 10,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1420), 22,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
      anon_sym_PERCENT,
  [25670] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    ACTIONS(1699), 1,
      aux_sym_class_declaration_token1,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(504), 1,
      sym_qualified_name,
    STATE(789), 1,
      sym_text_interpolation,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1168), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1623), 1,
      sym__scope_resolution_qualifier,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(505), 2,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1194), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(506), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1027), 6,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [25755] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(790), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1557), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25830] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(791), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1444), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [25905] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(792), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1292), 3,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1290), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      anon_sym_QMARK_QMARK,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [25968] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(762), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(793), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1410), 1,
      sym__array_destructing,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(984), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(973), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [26053] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_QMARK,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(794), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1517), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26128] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1685), 1,
      sym_name,
    ACTIONS(1687), 1,
      anon_sym_AMP,
    ACTIONS(1691), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1693), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(1703), 1,
      anon_sym_RPAREN,
    STATE(795), 1,
      sym_text_interpolation,
    STATE(1044), 1,
      sym_namespace_name_as_prefix,
    STATE(1088), 1,
      sym__types,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1157), 1,
      sym__reserved_identifier,
    STATE(1170), 1,
      sym_union_type,
    STATE(1171), 1,
      sym__type,
    STATE(1263), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    STATE(1256), 2,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [26211] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1543), 1,
      anon_sym_QMARK,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(796), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1541), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26286] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1671), 1,
      anon_sym_PERCENT,
    STATE(797), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1669), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(1486), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_STAR_STAR,
      aux_sym_binary_expression_token1,
      aux_sym_binary_expression_token2,
      aux_sym_binary_expression_token3,
      aux_sym_binary_expression_token4,
  [26361] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1685), 1,
      sym_name,
    ACTIONS(1687), 1,
      anon_sym_AMP,
    ACTIONS(1691), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1693), 1,
      anon_sym_QMARK,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(798), 1,
      sym_text_interpolation,
    STATE(1044), 1,
      sym_namespace_name_as_prefix,
    STATE(1088), 1,
      sym__types,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1157), 1,
      sym__reserved_identifier,
    STATE(1170), 1,
      sym_union_type,
    STATE(1171), 1,
      sym__type,
    STATE(1263), 1,
      sym_variable_name,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    STATE(1479), 2,
      sym_simple_parameter,
      sym_variadic_parameter,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [26441] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1260), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(799), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1104), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(486), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(481), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [26523] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(501), 1,
      sym_qualified_name,
    STATE(800), 1,
      sym_text_interpolation,
    STATE(1084), 1,
      sym_namespace_name_as_prefix,
    STATE(1163), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1662), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(533), 2,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1194), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(500), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1027), 6,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [26605] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(565), 1,
      sym_qualified_name,
    STATE(801), 1,
      sym_text_interpolation,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1116), 1,
      sym__dereferencable_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1647), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    STATE(619), 2,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1194), 2,
      sym_class_constant_access_expression,
      sym_cast_variable,
    ACTIONS(262), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(563), 3,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
    STATE(1027), 6,
      sym_parenthesized_expression,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_array_creation_expression,
      sym__string,
  [26687] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(802), 1,
      sym_text_interpolation,
    STATE(1024), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1128), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1599), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(611), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(998), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(548), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [26769] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(803), 1,
      sym_text_interpolation,
    STATE(1001), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1173), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1633), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(537), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1026), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(507), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [26851] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(804), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(977), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(952), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [26933] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(805), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(976), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(946), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [27015] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(1707), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(806), 1,
      sym_text_interpolation,
    STATE(1001), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1173), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1633), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(539), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1026), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(499), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [27097] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(807), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(486), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(481), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [27179] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1705), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(808), 1,
      sym_text_interpolation,
    STATE(1024), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1128), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1599), 1,
      sym__scope_resolution_qualifier,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(617), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(998), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(571), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [27261] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1539), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(809), 1,
      sym_text_interpolation,
    STATE(1029), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1166), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1646), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(1008), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1027), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(969), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [27343] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(494), 1,
      anon_sym_array,
    ACTIONS(1151), 1,
      anon_sym_LBRACK,
    ACTIONS(1709), 1,
      anon_sym_LPAREN,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(810), 1,
      sym_text_interpolation,
    STATE(981), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1127), 1,
      sym__dereferencable_expression,
    STATE(1194), 1,
      sym_class_constant_access_expression,
    STATE(1621), 1,
      sym_relative_scope,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1659), 1,
      sym__scope_resolution_qualifier,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(518), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(573), 3,
      sym_cast_variable,
      sym_member_access_expression,
      sym_scoped_property_access_expression,
    STATE(1033), 3,
      sym_parenthesized_expression,
      sym_array_creation_expression,
      sym__string,
    STATE(538), 6,
      sym_function_call_expression,
      sym_scoped_call_expression,
      sym_member_call_expression,
      sym_subscript_expression,
      sym_dynamic_variable_name,
      sym_variable_name,
  [27425] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(811), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1711), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27504] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1715), 1,
      anon_sym_RPAREN,
    STATE(812), 1,
      sym_text_interpolation,
    STATE(1341), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27587] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(813), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1717), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27666] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1719), 1,
      anon_sym_RPAREN,
    STATE(814), 1,
      sym_text_interpolation,
    STATE(1367), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27749] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1721), 1,
      anon_sym_EQ_GT,
    STATE(815), 1,
      sym_text_interpolation,
    ACTIONS(1547), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27830] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(816), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27913] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(817), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1725), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [27992] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1729), 1,
      anon_sym_COMMA,
    STATE(818), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1727), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28073] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1729), 1,
      anon_sym_COMMA,
    STATE(819), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1731), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28154] = 24,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1733), 1,
      anon_sym_RPAREN,
    STATE(820), 1,
      sym_text_interpolation,
    STATE(1271), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28237] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1735), 1,
      anon_sym_RPAREN,
    ACTIONS(1737), 1,
      anon_sym_EQ_GT,
    STATE(821), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28317] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(822), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1739), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28395] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(823), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1741), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28473] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1745), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1753), 1,
      sym_var_modifier,
    STATE(889), 1,
      sym__modifier,
    ACTIONS(1748), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1750), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(824), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat1,
    ACTIONS(1756), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(891), 3,
      sym_class_modifier,
      sym_static_modifier,
      sym_visibility_modifier,
    ACTIONS(1743), 16,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [28529] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    STATE(825), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1759), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28607] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(826), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1761), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28685] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(827), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28763] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(828), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1765), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28841] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1727), 1,
      anon_sym_RPAREN,
    ACTIONS(1767), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28921] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(830), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1769), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [28999] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(831), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1771), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29077] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(832), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1773), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29155] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(833), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1775), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29233] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(834), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1777), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29311] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1731), 1,
      anon_sym_RPAREN,
    ACTIONS(1767), 1,
      anon_sym_COMMA,
    STATE(835), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29391] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(836), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1779), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29469] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(837), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1781), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29547] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1731), 1,
      anon_sym_SEMI,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(838), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29627] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1727), 1,
      anon_sym_SEMI,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(839), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29707] = 23,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1737), 1,
      anon_sym_EQ_GT,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(840), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29787] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1561), 1,
      anon_sym_AMP,
    ACTIONS(1563), 1,
      anon_sym_PIPE,
    ACTIONS(1567), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1569), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1571), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1573), 1,
      anon_sym_CARET,
    ACTIONS(1581), 1,
      anon_sym_GT_EQ,
    ACTIONS(1585), 1,
      anon_sym_SLASH,
    ACTIONS(1607), 1,
      anon_sym_QMARK,
    ACTIONS(1609), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1611), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1613), 1,
      aux_sym_binary_expression_token4,
    STATE(841), 1,
      sym_text_interpolation,
    ACTIONS(1575), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1583), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1587), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1787), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1565), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1579), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1577), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29865] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_AMP,
    ACTIONS(1645), 1,
      anon_sym_QMARK,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1651), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1653), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1655), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1657), 1,
      anon_sym_CARET,
    ACTIONS(1665), 1,
      anon_sym_GT_EQ,
    ACTIONS(1669), 1,
      anon_sym_SLASH,
    ACTIONS(1673), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1675), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1677), 1,
      aux_sym_binary_expression_token3,
    STATE(842), 1,
      sym_text_interpolation,
    ACTIONS(1659), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1667), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1671), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1789), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1649), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1663), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1661), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [29943] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1791), 1,
      anon_sym_RBRACE,
    STATE(843), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30020] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(844), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30097] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1795), 1,
      anon_sym_RBRACE,
    STATE(845), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30174] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1797), 1,
      anon_sym_RBRACE,
    STATE(846), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30251] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1799), 1,
      anon_sym_RBRACE,
    STATE(847), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30328] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1801), 1,
      anon_sym_RBRACK,
    STATE(848), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30405] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    STATE(849), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30482] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1805), 1,
      anon_sym_COLON,
    STATE(850), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30559] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1807), 1,
      anon_sym_EQ_GT,
    STATE(851), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30636] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1809), 1,
      anon_sym_COLON,
    STATE(852), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30713] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1811), 1,
      anon_sym_RBRACK,
    STATE(853), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30790] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1811), 1,
      anon_sym_RBRACE,
    STATE(854), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30867] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1813), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(855), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [30944] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1815), 1,
      anon_sym_RBRACE,
    STATE(856), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31021] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1817), 1,
      anon_sym_RBRACE,
    STATE(857), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31098] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1819), 1,
      anon_sym_RBRACE,
    STATE(858), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31175] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1821), 1,
      anon_sym_RBRACE,
    STATE(859), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31252] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1823), 1,
      anon_sym_RPAREN,
    STATE(860), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31329] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1825), 1,
      anon_sym_COLON,
    STATE(861), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31406] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1801), 1,
      anon_sym_RBRACE,
    STATE(862), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31483] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1827), 1,
      anon_sym_RBRACE,
    STATE(863), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31560] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1829), 1,
      anon_sym_RBRACE,
    STATE(864), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31637] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1831), 1,
      anon_sym_RBRACE,
    STATE(865), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31714] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1833), 1,
      anon_sym_RPAREN,
    STATE(866), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31791] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1835), 1,
      anon_sym_RBRACE,
    STATE(867), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31868] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1837), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(868), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [31945] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    STATE(869), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32022] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1841), 1,
      anon_sym_RBRACE,
    STATE(870), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32099] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1843), 1,
      anon_sym_RPAREN,
    STATE(871), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32176] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1845), 1,
      anon_sym_EQ_GT,
    STATE(872), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32253] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1847), 1,
      anon_sym_RBRACE,
    STATE(873), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32330] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1849), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32407] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1851), 1,
      anon_sym_RBRACK,
    STATE(875), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32484] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1851), 1,
      anon_sym_RBRACE,
    STATE(876), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32561] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1853), 1,
      anon_sym_RPAREN,
    STATE(877), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32638] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1855), 1,
      anon_sym_RPAREN,
    STATE(878), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32715] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1857), 1,
      anon_sym_EQ_GT,
    STATE(879), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32792] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1589), 1,
      anon_sym_AMP,
    ACTIONS(1599), 1,
      anon_sym_GT_EQ,
    ACTIONS(1603), 1,
      anon_sym_SLASH,
    ACTIONS(1615), 1,
      anon_sym_QMARK,
    ACTIONS(1617), 1,
      anon_sym_PIPE,
    ACTIONS(1619), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1621), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1623), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1625), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1627), 1,
      anon_sym_CARET,
    ACTIONS(1629), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1631), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1821), 1,
      anon_sym_RBRACK,
    STATE(880), 1,
      sym_text_interpolation,
    ACTIONS(1593), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1605), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1597), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1595), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32869] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1859), 1,
      anon_sym_RBRACE,
    STATE(881), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [32946] = 22,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_AMP,
    ACTIONS(1448), 1,
      anon_sym_QMARK,
    ACTIONS(1450), 1,
      anon_sym_PIPE,
    ACTIONS(1454), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1456), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1460), 1,
      anon_sym_CARET,
    ACTIONS(1468), 1,
      anon_sym_GT_EQ,
    ACTIONS(1472), 1,
      anon_sym_SLASH,
    ACTIONS(1478), 1,
      aux_sym_binary_expression_token2,
    ACTIONS(1480), 1,
      aux_sym_binary_expression_token3,
    ACTIONS(1482), 1,
      aux_sym_binary_expression_token4,
    ACTIONS(1861), 1,
      anon_sym_RBRACE,
    STATE(882), 1,
      sym_text_interpolation,
    ACTIONS(1462), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1474), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(1452), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_DOT,
    ACTIONS(1466), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
    ACTIONS(1464), 4,
      anon_sym_LT_GT,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_LT_EQ_GT,
  [33023] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(883), 1,
      sym_text_interpolation,
    ACTIONS(1865), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1863), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_class_declaration_token1,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33063] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_PIPE,
    ACTIONS(1869), 1,
      anon_sym_BSLASH,
    ACTIONS(1871), 1,
      anon_sym_DOLLAR,
    STATE(884), 1,
      sym_text_interpolation,
    ACTIONS(1867), 23,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33107] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1336), 1,
      anon_sym_QMARK,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(885), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1108), 1,
      sym__types,
    STATE(1170), 1,
      sym_union_type,
    STATE(1610), 1,
      sym__type,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [33171] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1876), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(886), 1,
      sym_text_interpolation,
    ACTIONS(1878), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1874), 23,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33213] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(887), 1,
      sym_text_interpolation,
    ACTIONS(1882), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1880), 24,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33253] = 17,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_QMARK,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(888), 1,
      sym_text_interpolation,
    STATE(1072), 1,
      sym__types,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1124), 1,
      sym_qualified_name,
    STATE(1221), 1,
      sym__type,
    STATE(1303), 1,
      sym_union_type,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1148), 2,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1888), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [33317] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(889), 1,
      sym_text_interpolation,
    ACTIONS(1892), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1890), 23,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33356] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(890), 1,
      sym_text_interpolation,
    ACTIONS(1869), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1867), 23,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33395] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(891), 1,
      sym_text_interpolation,
    ACTIONS(1878), 2,
      anon_sym_BSLASH,
      anon_sym_DOLLAR,
    ACTIONS(1874), 23,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      anon_sym_QMARK,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [33434] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1886), 1,
      anon_sym_QMARK,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(892), 1,
      sym_text_interpolation,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1109), 1,
      sym__types,
    STATE(1124), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1148), 2,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1888), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [33492] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1685), 1,
      sym_name,
    ACTIONS(1693), 1,
      anon_sym_QMARK,
    STATE(893), 1,
      sym_text_interpolation,
    STATE(1044), 1,
      sym_namespace_name_as_prefix,
    STATE(1090), 1,
      sym__types,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1157), 1,
      sym__reserved_identifier,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [33550] = 15,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1336), 1,
      anon_sym_QMARK,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(894), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1090), 1,
      sym__types,
    STATE(1095), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    STATE(1087), 2,
      sym_optional_type,
      sym_primitive_type,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [33608] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1902), 1,
      anon_sym_RBRACE,
    ACTIONS(1906), 1,
      sym_var_modifier,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(895), 1,
      sym_text_interpolation,
    STATE(897), 1,
      aux_sym_declaration_list_repeat1,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [33673] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1910), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(896), 1,
      sym_text_interpolation,
    STATE(899), 1,
      aux_sym_declaration_list_repeat1,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [33738] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1912), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(897), 1,
      sym_text_interpolation,
    STATE(899), 1,
      aux_sym_declaration_list_repeat1,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [33803] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1914), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(898), 1,
      sym_text_interpolation,
    STATE(900), 1,
      aux_sym_declaration_list_repeat1,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [33868] = 18,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1916), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1919), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1922), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1925), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1928), 1,
      anon_sym_RBRACE,
    ACTIONS(1933), 1,
      sym_var_modifier,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1930), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    STATE(899), 2,
      sym_text_interpolation,
      aux_sym_declaration_list_repeat1,
    ACTIONS(1936), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [33931] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(899), 1,
      aux_sym_declaration_list_repeat1,
    STATE(900), 1,
      sym_text_interpolation,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [33996] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1941), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(896), 1,
      aux_sym_declaration_list_repeat1,
    STATE(901), 1,
      sym_text_interpolation,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [34061] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1943), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(899), 1,
      aux_sym_declaration_list_repeat1,
    STATE(902), 1,
      sym_text_interpolation,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [34126] = 19,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1894), 1,
      aux_sym_function_static_declaration_token1,
    ACTIONS(1896), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(1898), 1,
      aux_sym_namespace_use_declaration_token2,
    ACTIONS(1900), 1,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1906), 1,
      sym_var_modifier,
    ACTIONS(1945), 1,
      anon_sym_RBRACE,
    STATE(536), 1,
      aux_sym_property_declaration_repeat1,
    STATE(886), 1,
      sym_visibility_modifier,
    STATE(889), 1,
      sym__modifier,
    STATE(902), 1,
      aux_sym_declaration_list_repeat1,
    STATE(903), 1,
      sym_text_interpolation,
    STATE(927), 1,
      sym__member_declaration,
    STATE(1113), 1,
      sym__function_definition_header,
    ACTIONS(1904), 2,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
    STATE(891), 2,
      sym_class_modifier,
      sym_static_modifier,
    ACTIONS(1908), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
    STATE(930), 4,
      sym_const_declaration,
      sym_property_declaration,
      sym_method_declaration,
      sym_use_declaration,
  [34191] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(904), 1,
      sym_text_interpolation,
    STATE(1039), 1,
      sym_qualified_name,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1068), 1,
      sym_primitive_type,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [34242] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(905), 1,
      sym_text_interpolation,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1192), 1,
      sym_qualified_name,
    STATE(1195), 1,
      sym_primitive_type,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1888), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [34293] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(1685), 1,
      sym_name,
    STATE(906), 1,
      sym_text_interpolation,
    STATE(1039), 1,
      sym_qualified_name,
    STATE(1044), 1,
      sym_namespace_name_as_prefix,
    STATE(1068), 1,
      sym_primitive_type,
    STATE(1157), 1,
      sym__reserved_identifier,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    ACTIONS(1338), 10,
      anon_sym_array,
      anon_sym_callable,
      anon_sym_iterable,
      anon_sym_bool,
      anon_sym_float,
      anon_sym_int,
      anon_sym_string,
      anon_sym_void,
      anon_sym_false,
      anon_sym_null,
  [34344] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(907), 1,
      sym_text_interpolation,
    ACTIONS(1201), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
      aux_sym_use_instead_of_clause_token1,
      anon_sym_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOLLAR,
  [34372] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(985), 1,
      aux_sym_else_clause_token1,
    STATE(908), 1,
      sym_text_interpolation,
    ACTIONS(983), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [34400] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(885), 1,
      aux_sym_else_clause_token1,
    STATE(909), 1,
      sym_text_interpolation,
    ACTIONS(883), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [34428] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1009), 1,
      aux_sym_else_clause_token1,
    STATE(910), 1,
      sym_text_interpolation,
    ACTIONS(1007), 13,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [34456] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1949), 1,
      anon_sym_BSLASH,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(911), 1,
      sym_text_interpolation,
    STATE(1070), 1,
      sym_qualified_name,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1179), 1,
      sym_namespace_use_clause,
    STATE(1602), 1,
      sym_namespace_name,
    ACTIONS(1947), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [34499] = 13,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1953), 1,
      anon_sym_BSLASH,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(912), 1,
      sym_text_interpolation,
    STATE(1070), 1,
      sym_qualified_name,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1162), 1,
      sym_namespace_use_clause,
    STATE(1593), 1,
      sym_namespace_name,
    ACTIONS(1951), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [34542] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(913), 1,
      sym_text_interpolation,
    ACTIONS(1955), 6,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_definition_token1,
      anon_sym_array,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
    ACTIONS(1500), 7,
      sym_heredoc,
      anon_sym_BSLASH,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_string,
      anon_sym_DOLLAR,
  [34569] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1957), 1,
      anon_sym_BSLASH,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(914), 1,
      sym_text_interpolation,
    STATE(1070), 1,
      sym_qualified_name,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1197), 1,
      sym_namespace_use_clause,
    STATE(1552), 1,
      sym_namespace_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [34608] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(915), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34631] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(916), 1,
      sym_text_interpolation,
    ACTIONS(1961), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34654] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(917), 1,
      sym_text_interpolation,
    ACTIONS(1963), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34677] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(918), 1,
      sym_text_interpolation,
    ACTIONS(1963), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34700] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(919), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1208), 1,
      sym_qualified_name,
    STATE(1355), 1,
      sym_type_list,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [34739] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(920), 1,
      sym_text_interpolation,
    ACTIONS(796), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34762] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(921), 1,
      sym_text_interpolation,
    ACTIONS(792), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34785] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(922), 1,
      sym_text_interpolation,
    ACTIONS(1965), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34808] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(923), 1,
      sym_text_interpolation,
    ACTIONS(1967), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34831] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(924), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1208), 1,
      sym_qualified_name,
    STATE(1214), 1,
      sym_type_list,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [34870] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(925), 1,
      sym_text_interpolation,
    ACTIONS(1969), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34893] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(926), 1,
      sym_text_interpolation,
    ACTIONS(1971), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34916] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(927), 1,
      sym_text_interpolation,
    ACTIONS(1973), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34939] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(928), 1,
      sym_text_interpolation,
    ACTIONS(1975), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34962] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(929), 1,
      sym_text_interpolation,
    ACTIONS(1959), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [34985] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(930), 1,
      sym_text_interpolation,
    ACTIONS(1977), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [35008] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(931), 1,
      sym_text_interpolation,
    ACTIONS(1979), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [35031] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(932), 1,
      sym_text_interpolation,
    STATE(1070), 1,
      sym_qualified_name,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1387), 1,
      sym_namespace_use_clause,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35070] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(933), 1,
      sym_text_interpolation,
    ACTIONS(1981), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [35093] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(934), 1,
      sym_text_interpolation,
    ACTIONS(1983), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [35116] = 12,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    ACTIONS(1985), 1,
      anon_sym_BSLASH,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(935), 1,
      sym_text_interpolation,
    STATE(1070), 1,
      sym_qualified_name,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1202), 1,
      sym_namespace_use_clause,
    STATE(1606), 1,
      sym_namespace_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35155] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(936), 1,
      sym_text_interpolation,
    ACTIONS(1987), 11,
      aux_sym_function_static_declaration_token1,
      aux_sym_namespace_use_declaration_token1,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
      anon_sym_RBRACE,
      aux_sym_class_modifier_token1,
      aux_sym_class_modifier_token2,
      sym_var_modifier,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [35178] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(937), 1,
      sym_text_interpolation,
    STATE(980), 1,
      sym_qualified_name,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35214] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(938), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1265), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35250] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(939), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1320), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35286] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    ACTIONS(536), 1,
      sym_name,
    STATE(555), 1,
      sym__reserved_identifier,
    STATE(940), 1,
      sym_text_interpolation,
    STATE(1074), 1,
      sym_namespace_name_as_prefix,
    STATE(1119), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35322] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(941), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1376), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35358] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(190), 1,
      anon_sym_BSLASH,
    ACTIONS(478), 1,
      sym_name,
    ACTIONS(484), 1,
      aux_sym_namespace_definition_token1,
    STATE(485), 1,
      sym__reserved_identifier,
    STATE(942), 1,
      sym_text_interpolation,
    STATE(1053), 1,
      sym_namespace_name_as_prefix,
    STATE(1110), 1,
      sym_qualified_name,
    STATE(1628), 1,
      sym_namespace_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35394] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1989), 1,
      sym_name,
    ACTIONS(1991), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_text_interpolation,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(568), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35423] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1993), 1,
      sym_name,
    ACTIONS(1995), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_text_interpolation,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(414), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35452] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1997), 1,
      sym_name,
    ACTIONS(2001), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym__reserved_identifier,
    STATE(945), 1,
      sym_text_interpolation,
    STATE(415), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1999), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35483] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2005), 1,
      anon_sym_RPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(946), 1,
      sym_text_interpolation,
    STATE(1372), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [35514] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    ACTIONS(2007), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2009), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(947), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1264), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [35543] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2011), 1,
      sym_name,
    ACTIONS(2015), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_text_interpolation,
    ACTIONS(2013), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(438), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35572] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1993), 1,
      sym_name,
    ACTIONS(1995), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_text_interpolation,
    ACTIONS(2017), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(414), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35601] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2019), 1,
      sym_name,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym__reserved_identifier,
    STATE(950), 1,
      sym_text_interpolation,
    STATE(434), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35632] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1997), 1,
      sym_name,
    ACTIONS(2001), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym__reserved_identifier,
    STATE(951), 1,
      sym_text_interpolation,
    STATE(566), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35663] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2023), 1,
      anon_sym_RPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(952), 1,
      sym_text_interpolation,
    STATE(1389), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [35694] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2021), 1,
      anon_sym_LBRACE,
    ACTIONS(2025), 1,
      sym_name,
    STATE(953), 1,
      sym_text_interpolation,
    STATE(1037), 1,
      sym__reserved_identifier,
    STATE(434), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35725] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(2027), 1,
      sym_name,
    ACTIONS(2029), 1,
      anon_sym_LBRACE,
    STATE(954), 1,
      sym_text_interpolation,
    ACTIONS(1999), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(487), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35754] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(2031), 1,
      anon_sym_RPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(955), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [35785] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(2033), 1,
      sym_name,
    ACTIONS(2035), 1,
      anon_sym_LBRACE,
    STATE(956), 1,
      sym_text_interpolation,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(547), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35814] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(1997), 1,
      sym_name,
    ACTIONS(2001), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym__reserved_identifier,
    STATE(957), 1,
      sym_text_interpolation,
    STATE(489), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35845] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(2037), 1,
      sym_name,
    ACTIONS(2039), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_text_interpolation,
    ACTIONS(1999), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(488), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35874] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(2041), 1,
      sym_name,
    ACTIONS(2043), 1,
      anon_sym_LBRACE,
    STATE(959), 1,
      sym_text_interpolation,
    STATE(1030), 1,
      sym__reserved_identifier,
    STATE(502), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35905] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(2045), 1,
      sym_name,
    ACTIONS(2047), 1,
      anon_sym_LBRACE,
    STATE(960), 1,
      sym_text_interpolation,
    STATE(1020), 1,
      sym__reserved_identifier,
    STATE(570), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35936] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(1997), 1,
      sym_name,
    ACTIONS(2001), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym__reserved_identifier,
    STATE(961), 1,
      sym_text_interpolation,
    STATE(415), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [35967] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(2049), 1,
      sym_name,
    ACTIONS(2051), 1,
      anon_sym_LBRACE,
    STATE(962), 1,
      sym_text_interpolation,
    ACTIONS(1999), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(494), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [35996] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(1997), 1,
      sym_name,
    ACTIONS(2001), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym__reserved_identifier,
    STATE(963), 1,
      sym_text_interpolation,
    STATE(553), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [36027] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(1997), 1,
      sym_name,
    ACTIONS(2001), 1,
      anon_sym_LBRACE,
    STATE(484), 1,
      sym__reserved_identifier,
    STATE(964), 1,
      sym_text_interpolation,
    STATE(493), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [36058] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(2053), 1,
      sym_name,
    ACTIONS(2055), 1,
      anon_sym_LBRACE,
    STATE(965), 1,
      sym_text_interpolation,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
    STATE(567), 3,
      sym_dynamic_variable_name,
      sym_variable_name,
      sym__reserved_identifier,
  [36087] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    STATE(609), 1,
      sym_declaration_list,
    STATE(966), 1,
      sym_text_interpolation,
    STATE(1007), 1,
      sym_arguments,
    STATE(1191), 1,
      sym_base_clause,
    STATE(1539), 1,
      sym_class_interface_clause,
  [36121] = 11,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(684), 1,
      sym_declaration_list,
    STATE(967), 1,
      sym_text_interpolation,
    STATE(997), 1,
      sym_arguments,
    STATE(1155), 1,
      sym_base_clause,
    STATE(1494), 1,
      sym_class_interface_clause,
  [36155] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(756), 1,
      aux_sym_else_clause_token1,
    ACTIONS(2065), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(2067), 1,
      aux_sym_finally_clause_token1,
    STATE(968), 1,
      sym_text_interpolation,
    STATE(970), 1,
      aux_sym_try_statement_repeat1,
    ACTIONS(754), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(1101), 2,
      sym_catch_clause,
      sym_finally_clause,
  [36185] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(969), 1,
      sym_text_interpolation,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36211] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(746), 1,
      aux_sym_else_clause_token1,
    ACTIONS(2071), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(2074), 1,
      aux_sym_finally_clause_token1,
    ACTIONS(744), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    STATE(970), 2,
      sym_text_interpolation,
      aux_sym_try_statement_repeat1,
    STATE(1101), 2,
      sym_catch_clause,
      sym_finally_clause,
  [36239] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2077), 1,
      sym_name,
    ACTIONS(2079), 1,
      anon_sym_AMP,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(971), 1,
      sym_text_interpolation,
    STATE(1032), 1,
      sym_formal_parameters,
    STATE(1465), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [36269] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(972), 1,
      sym_text_interpolation,
    ACTIONS(2083), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36295] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(973), 1,
      sym_text_interpolation,
    ACTIONS(2085), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36321] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    ACTIONS(2087), 1,
      sym_name,
    STATE(974), 1,
      sym_text_interpolation,
    STATE(983), 1,
      sym_formal_parameters,
    STATE(1538), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [36348] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2091), 1,
      sym_integer,
    STATE(975), 1,
      sym_text_interpolation,
    STATE(1555), 1,
      sym__string,
    ACTIONS(520), 2,
      sym_heredoc,
      sym_string,
    ACTIONS(2089), 3,
      sym_float,
      sym_boolean,
      sym_null,
  [36373] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2005), 1,
      anon_sym_RPAREN,
    STATE(976), 1,
      sym_text_interpolation,
    STATE(1372), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36398] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2023), 1,
      anon_sym_RPAREN,
    STATE(977), 1,
      sym_text_interpolation,
    STATE(1389), 1,
      aux_sym_unset_statement_repeat1,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36423] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2095), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2098), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2093), 2,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
    STATE(978), 2,
      sym_text_interpolation,
      aux_sym_switch_block_repeat1,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [36448] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2031), 1,
      anon_sym_RPAREN,
    STATE(979), 1,
      sym_text_interpolation,
    STATE(1342), 1,
      aux_sym__list_destructing_repeat1,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36473] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_COMMA,
    ACTIONS(2105), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_use_list,
    STATE(980), 1,
      sym_text_interpolation,
    STATE(986), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(2101), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36499] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_arguments,
    STATE(981), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(982), 1,
      sym_text_interpolation,
    ACTIONS(2083), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36541] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2107), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(719), 1,
      sym_compound_statement,
    STATE(983), 1,
      sym_text_interpolation,
    STATE(1144), 1,
      sym_anonymous_function_use_clause,
    STATE(1478), 1,
      sym__return_type,
  [36569] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(984), 1,
      sym_text_interpolation,
    ACTIONS(2085), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36589] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(985), 1,
      sym_text_interpolation,
    STATE(1463), 1,
      sym_namespace_use_group,
    ACTIONS(2113), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [36611] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2103), 1,
      anon_sym_COMMA,
    ACTIONS(2105), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_use_list,
    STATE(986), 1,
      sym_text_interpolation,
    STATE(1048), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(2117), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [36637] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2007), 1,
      aux_sym_namespace_aliasing_clause_token1,
    ACTIONS(2009), 1,
      aux_sym_use_instead_of_clause_token1,
    STATE(987), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36659] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    STATE(988), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(1264), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [36681] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_name,
    STATE(989), 1,
      sym_text_interpolation,
    STATE(1175), 1,
      sym_const_element,
    STATE(1588), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [36705] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(764), 1,
      aux_sym_while_statement_token1,
    ACTIONS(2121), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2123), 1,
      aux_sym_else_clause_token1,
    STATE(990), 1,
      sym_text_interpolation,
    STATE(996), 1,
      aux_sym_if_statement_repeat1,
    STATE(1283), 1,
      sym_else_if_clause,
    STATE(1284), 1,
      sym_else_clause,
  [36733] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2107), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(608), 1,
      sym_compound_statement,
    STATE(991), 1,
      sym_text_interpolation,
    STATE(1103), 1,
      sym_anonymous_function_use_clause,
    STATE(1548), 1,
      sym__return_type,
  [36761] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(992), 1,
      sym_text_interpolation,
    STATE(1058), 1,
      sym_declaration_list,
    STATE(1206), 1,
      sym_base_clause,
    STATE(1547), 1,
      sym_class_interface_clause,
  [36789] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2125), 1,
      aux_sym_if_statement_token2,
    ACTIONS(2127), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2129), 1,
      aux_sym_else_clause_token1,
    STATE(993), 1,
      sym_text_interpolation,
    STATE(1034), 1,
      aux_sym_if_statement_repeat2,
    STATE(1375), 1,
      sym_else_if_clause_2,
    STATE(1620), 1,
      sym_else_clause_2,
  [36817] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    STATE(994), 1,
      sym_text_interpolation,
    STATE(1038), 1,
      aux_sym_switch_block_repeat1,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [36843] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2137), 1,
      aux_sym_switch_block_token1,
    STATE(995), 1,
      sym_text_interpolation,
    STATE(1036), 1,
      aux_sym_switch_block_repeat1,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [36869] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(772), 1,
      aux_sym_while_statement_token1,
    ACTIONS(2121), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2123), 1,
      aux_sym_else_clause_token1,
    STATE(996), 1,
      sym_text_interpolation,
    STATE(1047), 1,
      aux_sym_if_statement_repeat1,
    STATE(1283), 1,
      sym_else_if_clause,
    STATE(1382), 1,
      sym_else_clause,
  [36897] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_declaration_list,
    STATE(997), 1,
      sym_text_interpolation,
    STATE(1114), 1,
      sym_base_clause,
    STATE(1409), 1,
      sym_class_interface_clause,
  [36925] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    STATE(998), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [36947] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_declaration_list,
    STATE(999), 1,
      sym_text_interpolation,
    STATE(1125), 1,
      sym_base_clause,
    STATE(1460), 1,
      sym_class_interface_clause,
  [36975] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2107), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(743), 1,
      sym_compound_statement,
    STATE(1000), 1,
      sym_text_interpolation,
    STATE(1130), 1,
      sym_anonymous_function_use_clause,
    STATE(1509), 1,
      sym__return_type,
  [37003] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(526), 1,
      sym_arguments,
    STATE(1001), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37025] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1002), 1,
      sym_text_interpolation,
    STATE(1468), 1,
      sym_namespace_use_group,
    ACTIONS(2113), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37047] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2107), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(624), 1,
      sym_compound_statement,
    STATE(1003), 1,
      sym_text_interpolation,
    STATE(1188), 1,
      sym_anonymous_function_use_clause,
    STATE(1435), 1,
      sym__return_type,
  [37075] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1004), 1,
      sym_text_interpolation,
    STATE(1468), 1,
      sym_namespace_use_group,
    ACTIONS(2141), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37097] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2143), 1,
      anon_sym_RBRACE,
    STATE(1005), 1,
      sym_text_interpolation,
    STATE(1017), 1,
      aux_sym_switch_block_repeat1,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [37123] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_name,
    STATE(1006), 1,
      sym_text_interpolation,
    STATE(1354), 1,
      sym_const_element,
    STATE(1588), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [37147] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    STATE(606), 1,
      sym_declaration_list,
    STATE(1007), 1,
      sym_text_interpolation,
    STATE(1167), 1,
      sym_base_clause,
    STATE(1522), 1,
      sym_class_interface_clause,
  [37175] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1008), 1,
      sym_text_interpolation,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37195] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1009), 1,
      sym_text_interpolation,
    STATE(1073), 1,
      sym_declaration_list,
    STATE(1165), 1,
      sym_base_clause,
    STATE(1520), 1,
      sym_class_interface_clause,
  [37223] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2107), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(620), 1,
      sym_compound_statement,
    STATE(1010), 1,
      sym_text_interpolation,
    STATE(1160), 1,
      sym_anonymous_function_use_clause,
    STATE(1519), 1,
      sym__return_type,
  [37251] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1011), 1,
      sym_text_interpolation,
    STATE(1489), 1,
      sym_namespace_use_group,
    ACTIONS(2141), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37273] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2145), 1,
      sym_name,
    ACTIONS(2147), 1,
      anon_sym_AMP,
    STATE(1012), 1,
      sym_text_interpolation,
    STATE(1471), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [37297] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2149), 1,
      aux_sym_switch_block_token1,
    STATE(978), 1,
      aux_sym_switch_block_repeat1,
    STATE(1013), 1,
      sym_text_interpolation,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [37323] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2127), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2129), 1,
      aux_sym_else_clause_token1,
    ACTIONS(2151), 1,
      aux_sym_if_statement_token2,
    STATE(1014), 1,
      sym_text_interpolation,
    STATE(1083), 1,
      aux_sym_if_statement_repeat2,
    STATE(1375), 1,
      sym_else_if_clause_2,
    STATE(1612), 1,
      sym_else_clause_2,
  [37351] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1015), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_namespace_use_group,
    ACTIONS(2141), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37373] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1016), 1,
      sym_text_interpolation,
    STATE(1513), 1,
      sym_namespace_use_group,
    ACTIONS(2113), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37395] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2153), 1,
      anon_sym_RBRACE,
    STATE(978), 1,
      aux_sym_switch_block_repeat1,
    STATE(1017), 1,
      sym_text_interpolation,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [37421] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2155), 1,
      aux_sym_switch_block_token1,
    STATE(1013), 1,
      aux_sym_switch_block_repeat1,
    STATE(1018), 1,
      sym_text_interpolation,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [37447] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2127), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2129), 1,
      aux_sym_else_clause_token1,
    ACTIONS(2157), 1,
      aux_sym_if_statement_token2,
    STATE(1014), 1,
      aux_sym_if_statement_repeat2,
    STATE(1019), 1,
      sym_text_interpolation,
    STATE(1375), 1,
      sym_else_if_clause_2,
    STATE(1619), 1,
      sym_else_clause_2,
  [37475] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(574), 1,
      sym_arguments,
    STATE(1020), 1,
      sym_text_interpolation,
    ACTIONS(1275), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37497] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1021), 1,
      sym_text_interpolation,
    STATE(1443), 1,
      sym_namespace_use_group,
    ACTIONS(2141), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37519] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2115), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_text_interpolation,
    STATE(1536), 1,
      sym_namespace_use_group,
    ACTIONS(2113), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [37541] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_name,
    STATE(1023), 1,
      sym_text_interpolation,
    STATE(1189), 1,
      sym_const_element,
    STATE(1588), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [37565] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(582), 1,
      sym_arguments,
    STATE(1024), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37587] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_name,
    STATE(1025), 1,
      sym_text_interpolation,
    STATE(1183), 1,
      sym_const_element,
    STATE(1588), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [37611] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(526), 1,
      sym_arguments,
    STATE(1026), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37633] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(1027), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37655] = 8,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2159), 1,
      sym_php_tag,
    ACTIONS(2163), 1,
      sym__eof,
    STATE(1028), 1,
      sym_text_interpolation,
    STATE(1061), 1,
      aux_sym_text_repeat1,
    STATE(1401), 1,
      sym_text,
    ACTIONS(2161), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [37681] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(427), 1,
      sym_arguments,
    STATE(1029), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37703] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(508), 1,
      sym_arguments,
    STATE(1030), 1,
      sym_text_interpolation,
    ACTIONS(1275), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37725] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_declaration_list,
    STATE(1031), 1,
      sym_text_interpolation,
    STATE(1159), 1,
      sym_base_clause,
    STATE(1512), 1,
      sym_class_interface_clause,
  [37753] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2107), 1,
      aux_sym_namespace_use_declaration_token1,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(742), 1,
      sym_compound_statement,
    STATE(1032), 1,
      sym_text_interpolation,
    STATE(1169), 1,
      sym_anonymous_function_use_clause,
    STATE(1523), 1,
      sym__return_type,
  [37781] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(449), 1,
      sym_arguments,
    STATE(1033), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37803] = 9,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2127), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2129), 1,
      aux_sym_else_clause_token1,
    ACTIONS(2165), 1,
      aux_sym_if_statement_token2,
    STATE(1034), 1,
      sym_text_interpolation,
    STATE(1083), 1,
      aux_sym_if_statement_repeat2,
    STATE(1375), 1,
      sym_else_if_clause_2,
    STATE(1586), 1,
      sym_else_clause_2,
  [37831] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2119), 1,
      sym_name,
    STATE(1035), 1,
      sym_text_interpolation,
    STATE(1150), 1,
      sym_const_element,
    STATE(1588), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [37855] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2167), 1,
      aux_sym_switch_block_token1,
    STATE(978), 1,
      aux_sym_switch_block_repeat1,
    STATE(1036), 1,
      sym_text_interpolation,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [37881] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(461), 1,
      sym_arguments,
    STATE(1037), 1,
      sym_text_interpolation,
    ACTIONS(1275), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [37903] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2133), 1,
      aux_sym_case_statement_token1,
    ACTIONS(2135), 1,
      aux_sym_default_statement_token1,
    ACTIONS(2169), 1,
      anon_sym_RBRACE,
    STATE(978), 1,
      aux_sym_switch_block_repeat1,
    STATE(1038), 1,
      sym_text_interpolation,
    STATE(1112), 2,
      sym_case_statement,
      sym_default_statement,
  [37929] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1039), 1,
      sym_text_interpolation,
    ACTIONS(2171), 5,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [37946] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2173), 1,
      sym_name,
    STATE(1040), 1,
      sym_text_interpolation,
    STATE(1550), 1,
      sym_namespace_name,
    ACTIONS(2113), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [37967] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_COLON,
    STATE(1041), 1,
      sym_text_interpolation,
    STATE(1220), 1,
      sym__return_type,
    ACTIONS(2176), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [37988] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2180), 1,
      sym_name,
    STATE(1042), 1,
      sym_text_interpolation,
    STATE(1374), 1,
      sym_visibility_modifier,
    ACTIONS(2182), 3,
      aux_sym_visibility_modifier_token1,
      aux_sym_visibility_modifier_token2,
      aux_sym_visibility_modifier_token3,
  [38009] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2184), 1,
      sym_name,
    STATE(1043), 1,
      sym_text_interpolation,
    STATE(1136), 1,
      sym_namespace_name,
    STATE(1403), 1,
      sym_namespace_use_group_clause,
    ACTIONS(2186), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [38032] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2188), 1,
      sym_name,
    STATE(1044), 1,
      sym_text_interpolation,
    STATE(1107), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38053] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1701), 1,
      anon_sym_DOLLAR,
    ACTIONS(2190), 1,
      sym_name,
    ACTIONS(2192), 1,
      anon_sym_LBRACE,
    STATE(1045), 1,
      sym_text_interpolation,
    STATE(529), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [38076] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2194), 1,
      sym_name,
    STATE(1046), 1,
      sym_text_interpolation,
    STATE(1554), 1,
      sym_namespace_name,
    ACTIONS(2197), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38097] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(800), 1,
      aux_sym_while_statement_token1,
    ACTIONS(802), 1,
      aux_sym_else_clause_token1,
    ACTIONS(2199), 1,
      aux_sym_else_if_clause_token1,
    STATE(1283), 1,
      sym_else_if_clause,
    STATE(1047), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat1,
  [38120] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2204), 1,
      anon_sym_COMMA,
    STATE(1048), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
    ACTIONS(2202), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38139] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(192), 1,
      anon_sym_LBRACE,
    ACTIONS(2209), 1,
      anon_sym_BSLASH,
    STATE(368), 1,
      sym_compound_statement,
    STATE(1049), 1,
      sym_text_interpolation,
    ACTIONS(2207), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38162] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2213), 1,
      anon_sym_BSLASH,
    STATE(1050), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2211), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38181] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2216), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(2218), 1,
      aux_sym_finally_clause_token1,
    STATE(286), 1,
      aux_sym_try_statement_repeat1,
    STATE(1051), 1,
      sym_text_interpolation,
    STATE(309), 2,
      sym_catch_clause,
      sym_finally_clause,
  [38204] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2178), 1,
      anon_sym_COLON,
    STATE(1052), 1,
      sym_text_interpolation,
    STATE(1368), 1,
      sym__return_type,
    ACTIONS(2220), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38225] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2222), 1,
      sym_name,
    STATE(483), 1,
      sym__reserved_identifier,
    STATE(1053), 1,
      sym_text_interpolation,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38246] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_DOLLAR,
    ACTIONS(2224), 1,
      sym_name,
    ACTIONS(2226), 1,
      anon_sym_LBRACE,
    STATE(1054), 1,
      sym_text_interpolation,
    STATE(577), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [38269] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2194), 1,
      sym_name,
    STATE(1055), 1,
      sym_text_interpolation,
    STATE(1611), 1,
      sym_namespace_name,
    ACTIONS(2197), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38290] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_BSLASH,
    STATE(1056), 1,
      sym_text_interpolation,
    STATE(1081), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2228), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38311] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(847), 1,
      aux_sym_else_clause_token1,
    STATE(1057), 1,
      sym_text_interpolation,
    ACTIONS(845), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2233), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38332] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(813), 1,
      aux_sym_else_clause_token1,
    STATE(1058), 1,
      sym_text_interpolation,
    ACTIONS(811), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2235), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    STATE(1059), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(2237), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [38372] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_PIPE,
    STATE(1060), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
    ACTIONS(2237), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38391] = 7,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2245), 1,
      sym_php_tag,
    ACTIONS(2247), 1,
      sym__eof,
    STATE(1061), 1,
      sym_text_interpolation,
    STATE(1075), 1,
      aux_sym_text_repeat1,
    ACTIONS(2161), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [38414] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2184), 1,
      sym_name,
    STATE(1062), 1,
      sym_text_interpolation,
    STATE(1136), 1,
      sym_namespace_name,
    STATE(1314), 1,
      sym_namespace_use_group_clause,
    ACTIONS(2186), 2,
      aux_sym_namespace_use_declaration_token2,
      aux_sym_namespace_use_declaration_token3,
  [38437] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2249), 1,
      sym_name,
    STATE(1063), 1,
      sym_text_interpolation,
    STATE(1544), 1,
      sym__reserved_identifier,
    ACTIONS(1340), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38458] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    STATE(1059), 1,
      aux_sym_union_type_repeat1,
    STATE(1064), 1,
      sym_text_interpolation,
    ACTIONS(2251), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [38479] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_EQ,
    STATE(1065), 1,
      sym_text_interpolation,
    STATE(1317), 1,
      sym_property_initializer,
    ACTIONS(2255), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [38500] = 6,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2259), 1,
      ts_builtin_sym_end,
    ACTIONS(2261), 1,
      sym_php_tag,
    ACTIONS(2263), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1066), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [38521] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(790), 1,
      aux_sym_else_clause_token1,
    STATE(1067), 1,
      sym_text_interpolation,
    ACTIONS(788), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [38540] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1068), 1,
      sym_text_interpolation,
    ACTIONS(2266), 5,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [38557] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2194), 1,
      sym_name,
    STATE(1069), 1,
      sym_text_interpolation,
    STATE(1581), 1,
      sym_namespace_name,
    ACTIONS(2197), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38578] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2270), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1070), 1,
      sym_text_interpolation,
    STATE(1231), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(2268), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [38599] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(829), 1,
      aux_sym_else_clause_token1,
    STATE(1071), 1,
      sym_text_interpolation,
    ACTIONS(827), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2272), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38620] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_PIPE,
    STATE(1072), 1,
      sym_text_interpolation,
    STATE(1100), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(2274), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38641] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(841), 1,
      aux_sym_else_clause_token1,
    STATE(1073), 1,
      sym_text_interpolation,
    ACTIONS(839), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2278), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38662] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2280), 1,
      sym_name,
    STATE(552), 1,
      sym__reserved_identifier,
    STATE(1074), 1,
      sym_text_interpolation,
    ACTIONS(1884), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38683] = 6,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2259), 1,
      sym__eof,
    ACTIONS(2261), 1,
      sym_php_tag,
    ACTIONS(2282), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
    STATE(1075), 2,
      sym_text_interpolation,
      aux_sym_text_repeat1,
  [38704] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2285), 1,
      anon_sym_BSLASH,
    STATE(1076), 2,
      sym_text_interpolation,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2211), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [38723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(786), 1,
      aux_sym_else_clause_token1,
    STATE(1077), 1,
      sym_text_interpolation,
    ACTIONS(784), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [38742] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    ACTIONS(2288), 1,
      sym_name,
    ACTIONS(2290), 1,
      anon_sym_LBRACE,
    STATE(1078), 1,
      sym_text_interpolation,
    STATE(455), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [38765] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2065), 1,
      aux_sym_catch_clause_token1,
    ACTIONS(2067), 1,
      aux_sym_finally_clause_token1,
    STATE(968), 1,
      aux_sym_try_statement_repeat1,
    STATE(1079), 1,
      sym_text_interpolation,
    STATE(1101), 2,
      sym_catch_clause,
      sym_finally_clause,
  [38788] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(782), 1,
      aux_sym_else_clause_token1,
    STATE(1080), 1,
      sym_text_interpolation,
    ACTIONS(780), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [38807] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2294), 1,
      anon_sym_BSLASH,
    STATE(1050), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1081), 1,
      sym_text_interpolation,
    ACTIONS(2292), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [38828] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2209), 1,
      anon_sym_BSLASH,
    STATE(1082), 1,
      sym_text_interpolation,
    STATE(1233), 1,
      sym_compound_statement,
    ACTIONS(2297), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [38851] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2299), 1,
      aux_sym_if_statement_token2,
    ACTIONS(2301), 1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2304), 1,
      aux_sym_else_clause_token1,
    STATE(1375), 1,
      sym_else_if_clause_2,
    STATE(1083), 2,
      sym_text_interpolation,
      aux_sym_if_statement_repeat2,
  [38874] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2222), 1,
      sym_name,
    STATE(483), 1,
      sym__reserved_identifier,
    STATE(1084), 1,
      sym_text_interpolation,
    ACTIONS(1999), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38895] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2194), 1,
      sym_name,
    STATE(1085), 1,
      sym_text_interpolation,
    STATE(1585), 1,
      sym_namespace_name,
    ACTIONS(2197), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [38916] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_DOLLAR,
    ACTIONS(2306), 1,
      sym_name,
    ACTIONS(2308), 1,
      anon_sym_LBRACE,
    STATE(1086), 1,
      sym_text_interpolation,
    STATE(423), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [38939] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1087), 1,
      sym_text_interpolation,
    ACTIONS(2310), 5,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [38956] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2253), 1,
      anon_sym_PIPE,
    STATE(1064), 1,
      aux_sym_union_type_repeat1,
    STATE(1088), 1,
      sym_text_interpolation,
    ACTIONS(2274), 3,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [38977] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2312), 1,
      sym_name,
    ACTIONS(2314), 1,
      anon_sym_BSLASH,
    STATE(1082), 1,
      sym_namespace_name,
    STATE(1089), 1,
      sym_text_interpolation,
    STATE(1297), 1,
      sym_compound_statement,
  [39002] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1090), 1,
      sym_text_interpolation,
    ACTIONS(2237), 5,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [39019] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_BSLASH,
    STATE(1091), 1,
      sym_text_interpolation,
    STATE(1098), 1,
      aux_sym_namespace_name_repeat1,
    ACTIONS(2228), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [39040] = 8,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(192), 1,
      anon_sym_LBRACE,
    ACTIONS(2312), 1,
      sym_name,
    ACTIONS(2314), 1,
      anon_sym_BSLASH,
    STATE(331), 1,
      sym_compound_statement,
    STATE(1049), 1,
      sym_namespace_name,
    STATE(1092), 1,
      sym_text_interpolation,
  [39065] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(819), 1,
      aux_sym_else_clause_token1,
    STATE(1093), 1,
      sym_text_interpolation,
    ACTIONS(817), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2318), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39086] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2194), 1,
      sym_name,
    STATE(1094), 1,
      sym_text_interpolation,
    STATE(1607), 1,
      sym_namespace_name,
    ACTIONS(2197), 3,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
  [39107] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1095), 1,
      sym_text_interpolation,
    ACTIONS(2320), 5,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [39124] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1096), 1,
      sym_text_interpolation,
    ACTIONS(2322), 5,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [39141] = 7,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2245), 1,
      sym_php_tag,
    ACTIONS(2247), 1,
      ts_builtin_sym_end,
    STATE(1066), 1,
      aux_sym_text_repeat1,
    STATE(1097), 1,
      sym_text_interpolation,
    ACTIONS(13), 2,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [39164] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2316), 1,
      anon_sym_BSLASH,
    STATE(1076), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1098), 1,
      sym_text_interpolation,
    ACTIONS(2292), 3,
      anon_sym_COMMA,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [39185] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(835), 1,
      aux_sym_else_clause_token1,
    STATE(1099), 1,
      sym_text_interpolation,
    ACTIONS(833), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
    ACTIONS(2324), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39206] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2276), 1,
      anon_sym_PIPE,
    STATE(1060), 1,
      aux_sym_union_type_repeat1,
    STATE(1100), 1,
      sym_text_interpolation,
    ACTIONS(2251), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [39227] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(778), 1,
      aux_sym_else_clause_token1,
    STATE(1101), 1,
      sym_text_interpolation,
    ACTIONS(776), 4,
      aux_sym_catch_clause_token1,
      aux_sym_finally_clause_token1,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [39246] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1102), 1,
      sym_text_interpolation,
    ACTIONS(2211), 4,
      anon_sym_COMMA,
      anon_sym_BSLASH,
      aux_sym_namespace_aliasing_clause_token1,
      anon_sym_RBRACE,
  [39262] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(627), 1,
      sym_compound_statement,
    STATE(1103), 1,
      sym_text_interpolation,
    STATE(1534), 1,
      sym__return_type,
  [39284] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2330), 1,
      anon_sym_DASH_GT,
    ACTIONS(2332), 1,
      anon_sym_LBRACK,
    STATE(1104), 1,
      sym_text_interpolation,
  [39306] = 5,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2334), 1,
      ts_builtin_sym_end,
    STATE(1105), 1,
      sym_text_interpolation,
    ACTIONS(2336), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [39324] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2338), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1106), 2,
      sym_text_interpolation,
      aux_sym_property_declaration_repeat2,
  [39342] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1107), 1,
      sym_text_interpolation,
    ACTIONS(1271), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [39358] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_PIPE,
    STATE(1108), 1,
      sym_text_interpolation,
    STATE(1182), 1,
      aux_sym_union_type_repeat1,
    ACTIONS(2274), 2,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
  [39378] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1109), 1,
      sym_text_interpolation,
    ACTIONS(2237), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [39394] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_COMMA,
    STATE(1110), 1,
      sym_text_interpolation,
    STATE(1190), 1,
      aux_sym_base_clause_repeat1,
    ACTIONS(2347), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [39414] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1111), 1,
      sym_text_interpolation,
    ACTIONS(2349), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [39430] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1112), 1,
      sym_text_interpolation,
    ACTIONS(2351), 4,
      anon_sym_RBRACE,
      aux_sym_switch_block_token1,
      aux_sym_case_statement_token1,
      aux_sym_default_statement_token1,
  [39446] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_SEMI,
    ACTIONS(2355), 1,
      anon_sym_LBRACE,
    ACTIONS(2357), 1,
      sym__automatic_semicolon,
    STATE(916), 1,
      sym_compound_statement,
    STATE(1113), 1,
      sym_text_interpolation,
  [39468] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(701), 1,
      sym_declaration_list,
    STATE(1114), 1,
      sym_text_interpolation,
    STATE(1453), 1,
      sym_class_interface_clause,
  [39490] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_COMMA,
    ACTIONS(2359), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1115), 2,
      sym_text_interpolation,
      aux_sym_const_declaration_repeat1,
  [39508] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2364), 1,
      anon_sym_LBRACE,
    ACTIONS(2366), 1,
      anon_sym_DASH_GT,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    STATE(1116), 1,
      sym_text_interpolation,
  [39530] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1117), 1,
      sym_text_interpolation,
    ACTIONS(2370), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [39546] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1118), 1,
      sym_text_interpolation,
    ACTIONS(2372), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [39562] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1119), 1,
      sym_text_interpolation,
    ACTIONS(2202), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [39578] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2378), 1,
      anon_sym_RBRACK,
    STATE(1120), 1,
      sym_text_interpolation,
    STATE(1305), 1,
      aux_sym__array_destructing_repeat1,
  [39600] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1121), 1,
      sym_text_interpolation,
    ACTIONS(2380), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [39616] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1122), 1,
      sym_text_interpolation,
    ACTIONS(2382), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [39632] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1123), 1,
      sym_text_interpolation,
    ACTIONS(2322), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [39648] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1124), 1,
      sym_text_interpolation,
    ACTIONS(2320), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [39664] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_declaration_list,
    STATE(1125), 1,
      sym_text_interpolation,
    STATE(1446), 1,
      sym_class_interface_clause,
  [39686] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1126), 1,
      sym_text_interpolation,
    ACTIONS(2384), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39706] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2388), 1,
      anon_sym_LBRACE,
    ACTIONS(2390), 1,
      anon_sym_DASH_GT,
    ACTIONS(2392), 1,
      anon_sym_LBRACK,
    STATE(1127), 1,
      sym_text_interpolation,
  [39728] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2364), 1,
      anon_sym_LBRACE,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2394), 1,
      anon_sym_DASH_GT,
    STATE(1128), 1,
      sym_text_interpolation,
  [39750] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2398), 1,
      anon_sym_PIPE,
    STATE(1129), 1,
      sym_text_interpolation,
    STATE(1138), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(2396), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [39770] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(681), 1,
      sym_compound_statement,
    STATE(1130), 1,
      sym_text_interpolation,
    STATE(1444), 1,
      sym__return_type,
  [39792] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2400), 1,
      anon_sym_COMMA,
    ACTIONS(2202), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
    STATE(1131), 2,
      sym_text_interpolation,
      aux_sym_base_clause_repeat1,
  [39810] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_COMMA,
    ACTIONS(2403), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1132), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_declaration_repeat1,
  [39828] = 5,
    ACTIONS(11), 1,
      anon_sym_QMARK_GT,
    ACTIONS(15), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym__eof,
    STATE(1133), 1,
      sym_text_interpolation,
    ACTIONS(2336), 3,
      sym_php_tag,
      aux_sym_text_token1,
      aux_sym_text_token2,
  [39846] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_COMMA,
    STATE(1134), 1,
      sym_text_interpolation,
    STATE(1172), 1,
      aux_sym_property_declaration_repeat2,
    ACTIONS(2408), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39866] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1135), 1,
      sym_text_interpolation,
    ACTIONS(2412), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39886] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2416), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1136), 1,
      sym_text_interpolation,
    STATE(1442), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(2414), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [39906] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1137), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39926] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
    STATE(1138), 2,
      sym_text_interpolation,
      aux_sym_type_list_repeat1,
  [39944] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1139), 1,
      sym_text_interpolation,
    ACTIONS(2427), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [39960] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_COMMA,
    ACTIONS(2429), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1140), 2,
      sym_text_interpolation,
      aux_sym_global_declaration_repeat1,
  [39978] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_COMMA,
    STATE(1141), 1,
      sym_text_interpolation,
    STATE(1205), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(2434), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [39998] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2440), 1,
      anon_sym_COMMA,
    ACTIONS(2438), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1142), 2,
      sym_text_interpolation,
      aux_sym_function_static_declaration_repeat1,
  [40016] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2445), 1,
      anon_sym_EQ,
    STATE(1143), 1,
      sym_text_interpolation,
    ACTIONS(2443), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [40034] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(757), 1,
      sym_compound_statement,
    STATE(1144), 1,
      sym_text_interpolation,
    STATE(1466), 1,
      sym__return_type,
  [40056] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      sym_text_interpolation,
    STATE(1209), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(2447), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40076] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2416), 1,
      aux_sym_namespace_aliasing_clause_token1,
    STATE(1146), 1,
      sym_text_interpolation,
    STATE(1405), 1,
      sym_namespace_aliasing_clause,
    ACTIONS(2451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [40096] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1147), 1,
      sym_text_interpolation,
    ACTIONS(2211), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_BSLASH,
      anon_sym_LBRACE,
  [40112] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1148), 1,
      sym_text_interpolation,
    ACTIONS(2310), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [40128] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1149), 1,
      sym_text_interpolation,
    STATE(1639), 1,
      sym_declare_directive,
    ACTIONS(2453), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [40146] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1126), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1150), 1,
      sym_text_interpolation,
    ACTIONS(2455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40166] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1151), 1,
      sym_text_interpolation,
    ACTIONS(2457), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40182] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1152), 1,
      sym_text_interpolation,
    ACTIONS(2459), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40198] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2461), 1,
      anon_sym_RPAREN,
    STATE(1153), 1,
      sym_text_interpolation,
    STATE(1348), 1,
      aux_sym__list_destructing_repeat1,
  [40220] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1154), 1,
      sym_text_interpolation,
    ACTIONS(2463), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40236] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_declaration_list,
    STATE(1155), 1,
      sym_text_interpolation,
    STATE(1409), 1,
      sym_class_interface_clause,
  [40258] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1156), 1,
      sym_text_interpolation,
    ACTIONS(2465), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [40274] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1157), 1,
      sym_text_interpolation,
    ACTIONS(1264), 4,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [40290] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_PIPE,
    ACTIONS(2237), 2,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
    STATE(1158), 2,
      sym_text_interpolation,
      aux_sym_union_type_repeat1,
  [40308] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_declaration_list,
    STATE(1159), 1,
      sym_text_interpolation,
    STATE(1412), 1,
      sym_class_interface_clause,
  [40330] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(601), 1,
      sym_compound_statement,
    STATE(1160), 1,
      sym_text_interpolation,
    STATE(1490), 1,
      sym__return_type,
  [40352] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1161), 1,
      sym_text_interpolation,
    ACTIONS(2470), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40372] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1162), 1,
      sym_text_interpolation,
    STATE(1207), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(2472), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40392] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2474), 1,
      anon_sym_LBRACE,
    ACTIONS(2476), 1,
      anon_sym_DASH_GT,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    STATE(1163), 1,
      sym_text_interpolation,
  [40414] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1164), 1,
      sym_text_interpolation,
    ACTIONS(2455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40434] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1099), 1,
      sym_declaration_list,
    STATE(1165), 1,
      sym_text_interpolation,
    STATE(1492), 1,
      sym_class_interface_clause,
  [40456] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LBRACE,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2332), 1,
      anon_sym_LBRACK,
    ACTIONS(2480), 1,
      anon_sym_DASH_GT,
    STATE(1166), 1,
      sym_text_interpolation,
  [40478] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    STATE(598), 1,
      sym_declaration_list,
    STATE(1167), 1,
      sym_text_interpolation,
    STATE(1495), 1,
      sym_class_interface_clause,
  [40500] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2474), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2482), 1,
      anon_sym_DASH_GT,
    STATE(1168), 1,
      sym_text_interpolation,
  [40522] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(750), 1,
      sym_compound_statement,
    STATE(1169), 1,
      sym_text_interpolation,
    STATE(1440), 1,
      sym__return_type,
  [40544] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1170), 1,
      sym_text_interpolation,
    ACTIONS(2484), 4,
      anon_sym_LBRACE,
      anon_sym_AMP,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOLLAR,
  [40560] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2486), 1,
      anon_sym_AMP,
    ACTIONS(2488), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1171), 1,
      sym_text_interpolation,
    STATE(1350), 1,
      sym_variable_name,
  [40582] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1172), 1,
      sym_text_interpolation,
    ACTIONS(2490), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40602] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2474), 1,
      anon_sym_LBRACE,
    ACTIONS(2478), 1,
      anon_sym_LBRACK,
    ACTIONS(2492), 1,
      anon_sym_DASH_GT,
    STATE(1173), 1,
      sym_text_interpolation,
  [40624] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2364), 1,
      anon_sym_LBRACE,
    ACTIONS(2368), 1,
      anon_sym_LBRACK,
    ACTIONS(2494), 1,
      anon_sym_DASH_GT,
    STATE(1174), 1,
      sym_text_interpolation,
  [40646] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1164), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1175), 1,
      sym_text_interpolation,
    ACTIONS(2496), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40666] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_COMMA,
    STATE(1176), 1,
      sym_text_interpolation,
    STATE(1199), 1,
      aux_sym_function_static_declaration_repeat1,
    ACTIONS(2498), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40686] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_COMMA,
    STATE(1177), 1,
      sym_text_interpolation,
    STATE(1201), 1,
      aux_sym_global_declaration_repeat1,
    ACTIONS(2500), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40706] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_COMMA,
    STATE(1135), 1,
      aux_sym_property_declaration_repeat2,
    STATE(1178), 1,
      sym_text_interpolation,
    ACTIONS(2502), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40726] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1179), 1,
      sym_text_interpolation,
    STATE(1203), 1,
      aux_sym_namespace_use_declaration_repeat1,
    ACTIONS(2504), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40746] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    STATE(407), 1,
      sym_declaration_list,
    STATE(1180), 1,
      sym_text_interpolation,
    STATE(1517), 1,
      sym_base_clause,
  [40768] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1181), 1,
      sym_text_interpolation,
    ACTIONS(2508), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [40784] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_PIPE,
    STATE(1158), 1,
      aux_sym_union_type_repeat1,
    STATE(1182), 1,
      sym_text_interpolation,
    ACTIONS(2251), 2,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
  [40804] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1183), 1,
      sym_text_interpolation,
    STATE(1193), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(2510), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40824] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_LBRACE,
    ACTIONS(2512), 1,
      anon_sym_SEMI,
    ACTIONS(2514), 1,
      sym__automatic_semicolon,
    STATE(928), 1,
      sym_compound_statement,
    STATE(1184), 1,
      sym_text_interpolation,
  [40846] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1185), 1,
      sym_text_interpolation,
    STATE(1574), 1,
      sym_declare_directive,
    ACTIONS(2453), 3,
      anon_sym_ticks,
      anon_sym_encoding,
      anon_sym_strict_types,
  [40864] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    ACTIONS(2059), 1,
      aux_sym_base_clause_token1,
    STATE(1186), 1,
      sym_text_interpolation,
    STATE(1327), 1,
      sym_declaration_list,
    STATE(1549), 1,
      sym_base_clause,
  [40886] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1187), 1,
      sym_text_interpolation,
    ACTIONS(2516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40906] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    STATE(628), 1,
      sym_compound_statement,
    STATE(1188), 1,
      sym_text_interpolation,
    STATE(1518), 1,
      sym__return_type,
  [40928] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1161), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1189), 1,
      sym_text_interpolation,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [40948] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_COMMA,
    STATE(1131), 1,
      aux_sym_base_clause_repeat1,
    STATE(1190), 1,
      sym_text_interpolation,
    ACTIONS(2520), 2,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [40968] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    STATE(606), 1,
      sym_declaration_list,
    STATE(1191), 1,
      sym_text_interpolation,
    STATE(1522), 1,
      sym_class_interface_clause,
  [40990] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1192), 1,
      sym_text_interpolation,
    ACTIONS(2171), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [41006] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2386), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_const_declaration_repeat1,
    STATE(1193), 1,
      sym_text_interpolation,
    ACTIONS(2518), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41026] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1194), 1,
      sym_text_interpolation,
    ACTIONS(1169), 4,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
  [41042] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1195), 1,
      sym_text_interpolation,
    ACTIONS(2266), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PIPE,
  [41058] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    ACTIONS(2522), 1,
      anon_sym_RBRACK,
    STATE(1196), 1,
      sym_text_interpolation,
    STATE(1293), 1,
      aux_sym__array_destructing_repeat1,
  [41080] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1137), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1197), 1,
      sym_text_interpolation,
    ACTIONS(2524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41100] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1198), 1,
      sym_text_interpolation,
    ACTIONS(2113), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [41116] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_COMMA,
    STATE(1142), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1199), 1,
      sym_text_interpolation,
    ACTIONS(2526), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41136] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1200), 1,
      sym_text_interpolation,
    ACTIONS(2528), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [41152] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_COMMA,
    STATE(1140), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1201), 1,
      sym_text_interpolation,
    ACTIONS(2530), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41172] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1187), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1202), 1,
      sym_text_interpolation,
    ACTIONS(2532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41192] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1203), 1,
      sym_text_interpolation,
    ACTIONS(2532), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41212] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1204), 1,
      sym_text_interpolation,
    ACTIONS(2141), 4,
      aux_sym_function_static_declaration_token1,
      anon_sym_self,
      anon_sym_parent,
      sym_name,
  [41228] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_COMMA,
    STATE(1142), 1,
      aux_sym_function_static_declaration_repeat1,
    STATE(1205), 1,
      sym_text_interpolation,
    ACTIONS(2534), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41248] = 7,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2061), 1,
      aux_sym_class_interface_clause_token1,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      sym_declaration_list,
    STATE(1206), 1,
      sym_text_interpolation,
    STATE(1533), 1,
      sym_class_interface_clause,
  [41270] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_COMMA,
    STATE(1132), 1,
      aux_sym_namespace_use_declaration_repeat1,
    STATE(1207), 1,
      sym_text_interpolation,
    ACTIONS(2524), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41290] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2398), 1,
      anon_sym_PIPE,
    STATE(1129), 1,
      aux_sym_type_list_repeat1,
    STATE(1208), 1,
      sym_text_interpolation,
    ACTIONS(2536), 2,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
  [41310] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2449), 1,
      anon_sym_COMMA,
    STATE(1140), 1,
      aux_sym_global_declaration_repeat1,
    STATE(1209), 1,
      sym_text_interpolation,
    ACTIONS(2538), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [41330] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(917), 1,
      aux_sym_else_clause_token1,
    STATE(1210), 1,
      sym_text_interpolation,
    ACTIONS(915), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41347] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1211), 1,
      sym_text_interpolation,
    ACTIONS(2349), 3,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [41362] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_RBRACK,
    ACTIONS(2540), 1,
      anon_sym_COMMA,
    STATE(1212), 1,
      sym_text_interpolation,
    STATE(1295), 1,
      aux_sym_array_creation_expression_repeat1,
  [41381] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_LBRACE,
    ACTIONS(2544), 1,
      anon_sym_COLON,
    STATE(1213), 1,
      sym_text_interpolation,
    STATE(1357), 1,
      sym_switch_block,
  [41400] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2546), 1,
      anon_sym_RPAREN,
    STATE(1214), 1,
      sym_text_interpolation,
    STATE(1629), 1,
      sym_variable_name,
  [41419] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1037), 1,
      aux_sym_else_clause_token1,
    STATE(1215), 1,
      sym_text_interpolation,
    ACTIONS(1035), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41436] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1037), 1,
      aux_sym_else_clause_token1,
    STATE(1216), 1,
      sym_text_interpolation,
    ACTIONS(1035), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1029), 1,
      aux_sym_else_clause_token1,
    STATE(1217), 1,
      sym_text_interpolation,
    ACTIONS(1027), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41470] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1105), 1,
      aux_sym_else_clause_token1,
    STATE(1218), 1,
      sym_text_interpolation,
    ACTIONS(1103), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41487] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_RBRACK,
    ACTIONS(2548), 1,
      anon_sym_COMMA,
    STATE(1219), 1,
      sym_text_interpolation,
    STATE(1237), 1,
      aux_sym_array_creation_expression_repeat1,
  [41506] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1220), 1,
      sym_text_interpolation,
    ACTIONS(2550), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [41521] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1221), 1,
      sym_text_interpolation,
    ACTIONS(2552), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [41536] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1001), 1,
      aux_sym_else_clause_token1,
    STATE(1222), 1,
      sym_text_interpolation,
    ACTIONS(999), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41553] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2069), 1,
      anon_sym_RPAREN,
    ACTIONS(2554), 1,
      anon_sym_COMMA,
    STATE(1223), 2,
      sym_text_interpolation,
      aux_sym_unset_statement_repeat1,
  [41570] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    STATE(1224), 1,
      sym_text_interpolation,
    ACTIONS(987), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41587] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DOLLAR,
    STATE(1143), 1,
      sym_variable_name,
    STATE(1225), 1,
      sym_text_interpolation,
    STATE(1304), 1,
      sym_static_variable_declaration,
  [41606] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    STATE(1226), 1,
      sym_text_interpolation,
    STATE(1306), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [41623] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    ACTIONS(2559), 1,
      anon_sym_RPAREN,
    STATE(1227), 1,
      sym_text_interpolation,
    STATE(1251), 1,
      aux_sym_formal_parameters_repeat1,
  [41642] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(989), 1,
      aux_sym_else_clause_token1,
    STATE(1228), 1,
      sym_text_interpolation,
    ACTIONS(987), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1093), 1,
      aux_sym_else_clause_token1,
    STATE(1229), 1,
      sym_text_interpolation,
    ACTIONS(1091), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41676] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RPAREN,
    ACTIONS(2561), 1,
      anon_sym_COMMA,
    STATE(1230), 1,
      sym_text_interpolation,
    STATE(1258), 1,
      aux_sym_array_creation_expression_repeat1,
  [41695] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1231), 1,
      sym_text_interpolation,
    ACTIONS(2563), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [41710] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(981), 1,
      aux_sym_else_clause_token1,
    STATE(1232), 1,
      sym_text_interpolation,
    ACTIONS(979), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41727] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(997), 1,
      aux_sym_else_clause_token1,
    STATE(1233), 1,
      sym_text_interpolation,
    ACTIONS(995), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41744] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1117), 1,
      aux_sym_else_clause_token1,
    STATE(1234), 1,
      sym_text_interpolation,
    ACTIONS(1115), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41761] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(977), 1,
      aux_sym_else_clause_token1,
    STATE(1235), 1,
      sym_text_interpolation,
    ACTIONS(975), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41778] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(977), 1,
      aux_sym_else_clause_token1,
    STATE(1236), 1,
      sym_text_interpolation,
    ACTIONS(975), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41795] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RBRACK,
    ACTIONS(2565), 1,
      anon_sym_COMMA,
    STATE(1237), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      aux_sym_array_creation_expression_repeat1,
  [41814] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_COMMA,
    ACTIONS(2567), 1,
      anon_sym_LBRACE,
    STATE(1131), 1,
      aux_sym_base_clause_repeat1,
    STATE(1238), 1,
      sym_text_interpolation,
  [41833] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_LBRACE,
    ACTIONS(2571), 1,
      anon_sym_COLON,
    STATE(370), 1,
      sym_switch_block,
    STATE(1239), 1,
      sym_text_interpolation,
  [41852] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1733), 1,
      anon_sym_RPAREN,
    STATE(1240), 1,
      sym_text_interpolation,
    STATE(1271), 1,
      aux_sym_arguments_repeat1,
  [41871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(973), 1,
      aux_sym_else_clause_token1,
    STATE(1241), 1,
      sym_text_interpolation,
    ACTIONS(971), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41888] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1041), 1,
      aux_sym_else_clause_token1,
    STATE(1242), 1,
      sym_text_interpolation,
    ACTIONS(1039), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41905] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(909), 1,
      aux_sym_else_clause_token1,
    STATE(1243), 1,
      sym_text_interpolation,
    ACTIONS(907), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41922] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(965), 1,
      aux_sym_else_clause_token1,
    STATE(1244), 1,
      sym_text_interpolation,
    ACTIONS(963), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [41939] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DOLLAR,
    STATE(1065), 1,
      sym_variable_name,
    STATE(1134), 1,
      sym_property_element,
    STATE(1245), 1,
      sym_text_interpolation,
  [41958] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    ACTIONS(2573), 1,
      anon_sym_AMP,
    STATE(1003), 1,
      sym_formal_parameters,
    STATE(1246), 1,
      sym_text_interpolation,
  [41977] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1247), 1,
      sym_text_interpolation,
    ACTIONS(2508), 3,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [41992] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1033), 1,
      aux_sym_else_clause_token1,
    STATE(1248), 1,
      sym_text_interpolation,
    ACTIONS(1031), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42009] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    ACTIONS(2575), 1,
      anon_sym_AMP,
    STATE(1032), 1,
      sym_formal_parameters,
    STATE(1249), 1,
      sym_text_interpolation,
  [42028] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(933), 1,
      aux_sym_else_clause_token1,
    STATE(1250), 1,
      sym_text_interpolation,
    ACTIONS(931), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42045] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    ACTIONS(2577), 1,
      anon_sym_RPAREN,
    STATE(1251), 1,
      sym_text_interpolation,
    STATE(1300), 1,
      aux_sym_formal_parameters_repeat1,
  [42064] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1045), 1,
      aux_sym_else_clause_token1,
    STATE(1252), 1,
      sym_text_interpolation,
    ACTIONS(1043), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42081] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    ACTIONS(2579), 1,
      anon_sym_AMP,
    STATE(991), 1,
      sym_formal_parameters,
    STATE(1253), 1,
      sym_text_interpolation,
  [42100] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1069), 1,
      aux_sym_else_clause_token1,
    STATE(1254), 1,
      sym_text_interpolation,
    ACTIONS(1067), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42117] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1021), 1,
      aux_sym_else_clause_token1,
    STATE(1255), 1,
      sym_text_interpolation,
    ACTIONS(1019), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42134] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    ACTIONS(2581), 1,
      anon_sym_RPAREN,
    STATE(1256), 1,
      sym_text_interpolation,
    STATE(1343), 1,
      aux_sym_formal_parameters_repeat1,
  [42153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1073), 1,
      aux_sym_else_clause_token1,
    STATE(1257), 1,
      sym_text_interpolation,
    ACTIONS(1071), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42170] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(658), 1,
      anon_sym_RPAREN,
    ACTIONS(2583), 1,
      anon_sym_COMMA,
    STATE(1258), 1,
      sym_text_interpolation,
    STATE(1324), 1,
      aux_sym_array_creation_expression_repeat1,
  [42189] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(993), 1,
      aux_sym_else_clause_token1,
    STATE(1259), 1,
      sym_text_interpolation,
    ACTIONS(991), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42206] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1121), 1,
      aux_sym_else_clause_token1,
    STATE(1260), 1,
      sym_text_interpolation,
    ACTIONS(1119), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42223] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1101), 1,
      aux_sym_else_clause_token1,
    STATE(1261), 1,
      sym_text_interpolation,
    ACTIONS(1099), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42240] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1073), 1,
      aux_sym_else_clause_token1,
    STATE(1262), 1,
      sym_text_interpolation,
    ACTIONS(1071), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42257] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2587), 1,
      anon_sym_EQ,
    STATE(1263), 1,
      sym_text_interpolation,
    ACTIONS(2585), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42274] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    ACTIONS(2176), 1,
      anon_sym_LBRACE,
    STATE(1264), 1,
      sym_text_interpolation,
    STATE(1604), 1,
      sym__return_type,
  [42293] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1265), 1,
      sym_text_interpolation,
    ACTIONS(2589), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_DOLLAR,
  [42308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1266), 1,
      sym_text_interpolation,
    ACTIONS(2338), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [42323] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
    STATE(1267), 1,
      sym_text_interpolation,
    STATE(1315), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [42342] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1077), 1,
      aux_sym_else_clause_token1,
    STATE(1268), 1,
      sym_text_interpolation,
    ACTIONS(1075), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42359] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1085), 1,
      aux_sym_else_clause_token1,
    STATE(1269), 1,
      sym_text_interpolation,
    ACTIONS(1083), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42376] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2595), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1270), 1,
      sym_text_interpolation,
    STATE(1326), 1,
      sym_variable_name,
  [42395] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
    STATE(1271), 1,
      sym_text_interpolation,
    STATE(1299), 1,
      aux_sym_arguments_repeat1,
  [42414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1089), 1,
      aux_sym_else_clause_token1,
    STATE(1272), 1,
      sym_text_interpolation,
    ACTIONS(1087), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1113), 1,
      aux_sym_else_clause_token1,
    STATE(1273), 1,
      sym_text_interpolation,
    ACTIONS(1111), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42448] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(857), 1,
      aux_sym_else_clause_token1,
    STATE(1274), 1,
      sym_text_interpolation,
    ACTIONS(855), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42465] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(957), 1,
      aux_sym_else_clause_token1,
    STATE(1275), 1,
      sym_text_interpolation,
    ACTIONS(955), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42482] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(953), 1,
      aux_sym_else_clause_token1,
    STATE(1276), 1,
      sym_text_interpolation,
    ACTIONS(951), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42499] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2599), 1,
      anon_sym_RPAREN,
    STATE(1277), 1,
      sym_text_interpolation,
    STATE(1352), 1,
      aux_sym__list_destructing_repeat1,
  [42518] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1097), 1,
      aux_sym_else_clause_token1,
    STATE(1278), 1,
      sym_text_interpolation,
    ACTIONS(1095), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42535] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_RPAREN,
    ACTIONS(2601), 1,
      anon_sym_COMMA,
    STATE(1279), 1,
      sym_text_interpolation,
    STATE(1325), 1,
      aux_sym_array_creation_expression_repeat1,
  [42554] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1280), 1,
      sym_text_interpolation,
    ACTIONS(2603), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [42569] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(937), 1,
      aux_sym_else_clause_token1,
    STATE(1281), 1,
      sym_text_interpolation,
    ACTIONS(935), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42586] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(929), 1,
      aux_sym_else_clause_token1,
    STATE(1282), 1,
      sym_text_interpolation,
    ACTIONS(927), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42603] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1129), 1,
      aux_sym_else_clause_token1,
    STATE(1283), 1,
      sym_text_interpolation,
    ACTIONS(1127), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42620] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1125), 1,
      aux_sym_else_clause_token1,
    STATE(1284), 1,
      sym_text_interpolation,
    ACTIONS(1123), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42637] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(853), 1,
      aux_sym_else_clause_token1,
    STATE(1285), 1,
      sym_text_interpolation,
    ACTIONS(851), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42654] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1286), 1,
      sym_text_interpolation,
    ACTIONS(2605), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [42669] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1287), 1,
      sym_text_interpolation,
    ACTIONS(2607), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [42684] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2609), 1,
      anon_sym_RBRACK,
    STATE(1288), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      aux_sym__array_destructing_repeat1,
  [42703] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(1231), 1,
      anon_sym_RPAREN,
    STATE(1289), 1,
      sym_text_interpolation,
    STATE(1347), 1,
      aux_sym__list_destructing_repeat1,
  [42722] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(973), 1,
      aux_sym_else_clause_token1,
    STATE(1290), 1,
      sym_text_interpolation,
    ACTIONS(971), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42739] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2611), 1,
      anon_sym_RBRACK,
    STATE(1291), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      aux_sym__array_destructing_repeat1,
  [42758] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2314), 1,
      anon_sym_BSLASH,
    ACTIONS(2613), 1,
      sym_name,
    STATE(1292), 1,
      sym_text_interpolation,
    STATE(1585), 1,
      sym_namespace_name,
  [42777] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2615), 1,
      anon_sym_RBRACK,
    STATE(1293), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      aux_sym__array_destructing_repeat1,
  [42796] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_EQ,
    STATE(1294), 1,
      sym_text_interpolation,
    ACTIONS(2617), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [42813] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_RBRACK,
    ACTIONS(2621), 1,
      anon_sym_COMMA,
    STATE(1295), 1,
      sym_text_interpolation,
    STATE(1334), 1,
      aux_sym_array_creation_expression_repeat1,
  [42832] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1081), 1,
      aux_sym_else_clause_token1,
    STATE(1296), 1,
      sym_text_interpolation,
    ACTIONS(1079), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(877), 1,
      aux_sym_else_clause_token1,
    STATE(1297), 1,
      sym_text_interpolation,
    ACTIONS(875), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42866] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1723), 1,
      anon_sym_RPAREN,
    STATE(1298), 1,
      sym_text_interpolation,
    STATE(1333), 1,
      aux_sym_arguments_repeat1,
  [42885] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1769), 1,
      anon_sym_RPAREN,
    ACTIONS(2623), 1,
      anon_sym_COMMA,
    STATE(1299), 2,
      sym_text_interpolation,
      aux_sym_arguments_repeat1,
  [42902] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2626), 1,
      anon_sym_COMMA,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
    STATE(1300), 2,
      sym_text_interpolation,
      aux_sym_formal_parameters_repeat1,
  [42919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1045), 1,
      aux_sym_else_clause_token1,
    STATE(1301), 1,
      sym_text_interpolation,
    ACTIONS(1043), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [42936] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1302), 1,
      sym_text_interpolation,
    ACTIONS(1882), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      sym_name,
  [42951] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1303), 1,
      sym_text_interpolation,
    ACTIONS(2484), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [42966] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1304), 1,
      sym_text_interpolation,
    ACTIONS(2438), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [42981] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2631), 1,
      anon_sym_RBRACK,
    STATE(1305), 1,
      sym_text_interpolation,
    STATE(1338), 1,
      aux_sym__array_destructing_repeat1,
  [43000] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1306), 1,
      sym_text_interpolation,
    ACTIONS(2429), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43015] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    ACTIONS(2635), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      sym_text_interpolation,
    STATE(1369), 1,
      aux_sym_namespace_use_group_repeat1,
  [43034] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    ACTIONS(2637), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      sym_text_interpolation,
    STATE(1373), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [43053] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2639), 1,
      anon_sym_AMP,
    STATE(1309), 1,
      sym_text_interpolation,
    STATE(1395), 1,
      sym_variable_name,
  [43072] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    ACTIONS(2641), 1,
      anon_sym_AMP,
    STATE(983), 1,
      sym_formal_parameters,
    STATE(1310), 1,
      sym_text_interpolation,
  [43091] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(901), 1,
      aux_sym_else_clause_token1,
    STATE(1311), 1,
      sym_text_interpolation,
    ACTIONS(899), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43108] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(897), 1,
      aux_sym_else_clause_token1,
    STATE(1312), 1,
      sym_text_interpolation,
    ACTIONS(895), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43125] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(949), 1,
      aux_sym_else_clause_token1,
    STATE(1313), 1,
      sym_text_interpolation,
    ACTIONS(947), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43142] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    ACTIONS(2643), 1,
      anon_sym_RBRACE,
    STATE(1307), 1,
      aux_sym_namespace_use_group_repeat1,
    STATE(1314), 1,
      sym_text_interpolation,
  [43161] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    ACTIONS(2637), 1,
      anon_sym_RPAREN,
    STATE(1315), 1,
      sym_text_interpolation,
    STATE(1391), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [43180] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1342), 1,
      anon_sym_DOLLAR,
    STATE(1065), 1,
      sym_variable_name,
    STATE(1266), 1,
      sym_property_element,
    STATE(1316), 1,
      sym_text_interpolation,
  [43199] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1317), 1,
      sym_text_interpolation,
    ACTIONS(2645), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43214] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(897), 1,
      aux_sym_else_clause_token1,
    STATE(1318), 1,
      sym_text_interpolation,
    ACTIONS(895), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43231] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1319), 1,
      sym_text_interpolation,
    ACTIONS(2647), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43246] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1320), 1,
      sym_text_interpolation,
    ACTIONS(2202), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      aux_sym_class_interface_clause_token1,
  [43261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(893), 1,
      aux_sym_else_clause_token1,
    STATE(1321), 1,
      sym_text_interpolation,
    ACTIONS(891), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43278] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(881), 1,
      aux_sym_else_clause_token1,
    STATE(1322), 1,
      sym_text_interpolation,
    ACTIONS(879), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43295] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_COLON,
    ACTIONS(2220), 1,
      anon_sym_LBRACE,
    STATE(1323), 1,
      sym_text_interpolation,
    STATE(1584), 1,
      sym__return_type,
  [43314] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    STATE(1324), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [43331] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(640), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      anon_sym_COMMA,
    STATE(1324), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1325), 1,
      sym_text_interpolation,
  [43350] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_EQ,
    STATE(1326), 1,
      sym_text_interpolation,
    ACTIONS(2656), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43367] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1133), 1,
      aux_sym_else_clause_token1,
    STATE(1327), 1,
      sym_text_interpolation,
    ACTIONS(1131), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43384] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(861), 1,
      aux_sym_else_clause_token1,
    STATE(1328), 1,
      sym_text_interpolation,
    ACTIONS(859), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43401] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(861), 1,
      aux_sym_else_clause_token1,
    STATE(1329), 1,
      sym_text_interpolation,
    ACTIONS(859), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43418] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1330), 1,
      sym_text_interpolation,
    ACTIONS(2528), 3,
      aux_sym_namespace_use_declaration_token1,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [43433] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(865), 1,
      aux_sym_else_clause_token1,
    STATE(1331), 1,
      sym_text_interpolation,
    ACTIONS(863), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43450] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1013), 1,
      aux_sym_else_clause_token1,
    STATE(1332), 1,
      sym_text_interpolation,
    ACTIONS(1011), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43467] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    STATE(1299), 1,
      aux_sym_arguments_repeat1,
    STATE(1333), 1,
      sym_text_interpolation,
  [43486] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    ACTIONS(2662), 1,
      anon_sym_COMMA,
    STATE(1334), 2,
      sym_text_interpolation,
      aux_sym_array_creation_expression_repeat1,
  [43503] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1335), 1,
      sym_text_interpolation,
    ACTIONS(2652), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [43518] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1715), 1,
      anon_sym_RPAREN,
    STATE(1336), 1,
      sym_text_interpolation,
    STATE(1341), 1,
      aux_sym_arguments_repeat1,
  [43537] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2667), 1,
      aux_sym_else_clause_token1,
    STATE(1337), 1,
      sym_text_interpolation,
    ACTIONS(2665), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [43554] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_RBRACK,
    ACTIONS(2669), 1,
      anon_sym_COMMA,
    STATE(1338), 2,
      sym_text_interpolation,
      aux_sym__array_destructing_repeat1,
  [43571] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1339), 1,
      sym_text_interpolation,
    ACTIONS(2672), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [43586] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    STATE(1340), 1,
      sym_text_interpolation,
    ACTIONS(2674), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [43603] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    STATE(1299), 1,
      aux_sym_arguments_repeat1,
    STATE(1341), 1,
      sym_text_interpolation,
  [43622] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2678), 1,
      anon_sym_RPAREN,
    STATE(1342), 1,
      sym_text_interpolation,
    STATE(1347), 1,
      aux_sym__list_destructing_repeat1,
  [43641] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_COMMA,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1300), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(1343), 1,
      sym_text_interpolation,
  [43660] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2682), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1294), 1,
      sym_variable_name,
    STATE(1344), 1,
      sym_text_interpolation,
  [43679] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(873), 1,
      aux_sym_else_clause_token1,
    STATE(1345), 1,
      sym_text_interpolation,
    ACTIONS(871), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43696] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1346), 1,
      sym_text_interpolation,
    ACTIONS(2684), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [43711] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1258), 1,
      anon_sym_RPAREN,
    ACTIONS(2686), 1,
      anon_sym_COMMA,
    STATE(1347), 2,
      sym_text_interpolation,
      aux_sym__list_destructing_repeat1,
  [43728] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2689), 1,
      anon_sym_RPAREN,
    STATE(1347), 1,
      aux_sym__list_destructing_repeat1,
    STATE(1348), 1,
      sym_text_interpolation,
  [43747] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(869), 1,
      aux_sym_else_clause_token1,
    STATE(1349), 1,
      sym_text_interpolation,
    ACTIONS(867), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43764] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_EQ,
    STATE(1350), 1,
      sym_text_interpolation,
    ACTIONS(2691), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43781] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2695), 1,
      anon_sym_AMP,
    STATE(1267), 1,
      sym_variable_name,
    STATE(1351), 1,
      sym_text_interpolation,
  [43800] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    STATE(1347), 1,
      aux_sym__list_destructing_repeat1,
    STATE(1352), 1,
      sym_text_interpolation,
  [43819] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1353), 1,
      sym_text_interpolation,
    ACTIONS(2699), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [43834] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1354), 1,
      sym_text_interpolation,
    ACTIONS(2359), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [43849] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    ACTIONS(2701), 1,
      anon_sym_RPAREN,
    STATE(1355), 1,
      sym_text_interpolation,
    STATE(1608), 1,
      sym_variable_name,
  [43868] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(684), 1,
      anon_sym_COMMA,
    ACTIONS(2703), 1,
      anon_sym_RPAREN,
    STATE(1347), 1,
      aux_sym__list_destructing_repeat1,
    STATE(1356), 1,
      sym_text_interpolation,
  [43887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1005), 1,
      aux_sym_else_clause_token1,
    STATE(1357), 1,
      sym_text_interpolation,
    ACTIONS(1003), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43904] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1358), 1,
      sym_text_interpolation,
    ACTIONS(2705), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [43919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2376), 1,
      anon_sym_EQ,
    STATE(1359), 1,
      sym_text_interpolation,
    ACTIONS(2707), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [43936] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1049), 1,
      aux_sym_else_clause_token1,
    STATE(1360), 1,
      sym_text_interpolation,
    ACTIONS(1047), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43953] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1025), 1,
      aux_sym_else_clause_token1,
    STATE(1361), 1,
      sym_text_interpolation,
    ACTIONS(1023), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [43970] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(1719), 1,
      anon_sym_RPAREN,
    STATE(1362), 1,
      sym_text_interpolation,
    STATE(1367), 1,
      aux_sym_arguments_repeat1,
  [43989] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1363), 1,
      sym_text_interpolation,
    ACTIONS(2709), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [44004] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_else_clause_token1,
    STATE(1364), 1,
      sym_text_interpolation,
    ACTIONS(1051), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1365), 1,
      sym_text_interpolation,
    ACTIONS(2711), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [44036] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    STATE(1366), 1,
      sym_text_interpolation,
    STATE(1145), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [44053] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1713), 1,
      anon_sym_COMMA,
    ACTIONS(2713), 1,
      anon_sym_RPAREN,
    STATE(1299), 1,
      aux_sym_arguments_repeat1,
    STATE(1367), 1,
      sym_text_interpolation,
  [44072] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1368), 1,
      sym_text_interpolation,
    ACTIONS(2715), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [44087] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2717), 1,
      anon_sym_COMMA,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    STATE(1369), 2,
      sym_text_interpolation,
      aux_sym_namespace_use_group_repeat1,
  [44104] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(889), 1,
      aux_sym_else_clause_token1,
    STATE(1370), 1,
      sym_text_interpolation,
    ACTIONS(887), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1057), 1,
      aux_sym_else_clause_token1,
    STATE(1371), 1,
      sym_text_interpolation,
    ACTIONS(1055), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44138] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_RPAREN,
    STATE(1223), 1,
      aux_sym_unset_statement_repeat1,
    STATE(1372), 1,
      sym_text_interpolation,
  [44157] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_COMMA,
    ACTIONS(2724), 1,
      anon_sym_RPAREN,
    STATE(1373), 1,
      sym_text_interpolation,
    STATE(1391), 1,
      aux_sym_anonymous_function_use_clause_repeat1,
  [44176] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2726), 1,
      sym_name,
    STATE(1374), 1,
      sym_text_interpolation,
    ACTIONS(2728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44193] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2732), 1,
      aux_sym_else_clause_token1,
    STATE(1375), 1,
      sym_text_interpolation,
    ACTIONS(2730), 2,
      aux_sym_if_statement_token2,
      aux_sym_else_if_clause_token1,
  [44210] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_COMMA,
    ACTIONS(2734), 1,
      anon_sym_LBRACE,
    STATE(1238), 1,
      aux_sym_base_clause_repeat1,
    STATE(1376), 1,
      sym_text_interpolation,
  [44229] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(969), 1,
      aux_sym_else_clause_token1,
    STATE(1377), 1,
      sym_text_interpolation,
    ACTIONS(967), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44246] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(905), 1,
      aux_sym_else_clause_token1,
    STATE(1378), 1,
      sym_text_interpolation,
    ACTIONS(903), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44263] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(961), 1,
      aux_sym_else_clause_token1,
    STATE(1379), 1,
      sym_text_interpolation,
    ACTIONS(959), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44280] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(913), 1,
      aux_sym_else_clause_token1,
    STATE(1380), 1,
      sym_text_interpolation,
    ACTIONS(911), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44297] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1061), 1,
      aux_sym_else_clause_token1,
    STATE(1381), 1,
      sym_text_interpolation,
    ACTIONS(1059), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44314] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(921), 1,
      aux_sym_else_clause_token1,
    STATE(1382), 1,
      sym_text_interpolation,
    ACTIONS(919), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44331] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(957), 1,
      aux_sym_else_clause_token1,
    STATE(1383), 1,
      sym_text_interpolation,
    ACTIONS(955), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44348] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1065), 1,
      aux_sym_else_clause_token1,
    STATE(1384), 1,
      sym_text_interpolation,
    ACTIONS(1063), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44365] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(925), 1,
      aux_sym_else_clause_token1,
    STATE(1385), 1,
      sym_text_interpolation,
    ACTIONS(923), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44382] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1017), 1,
      aux_sym_else_clause_token1,
    STATE(1386), 1,
      sym_text_interpolation,
    ACTIONS(1015), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44399] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1387), 1,
      sym_text_interpolation,
    ACTIONS(2403), 3,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [44414] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(941), 1,
      aux_sym_else_clause_token1,
    STATE(1388), 1,
      sym_text_interpolation,
    ACTIONS(939), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44431] = 6,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2003), 1,
      anon_sym_COMMA,
    ACTIONS(2736), 1,
      anon_sym_RPAREN,
    STATE(1223), 1,
      aux_sym_unset_statement_repeat1,
    STATE(1389), 1,
      sym_text_interpolation,
  [44450] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(945), 1,
      aux_sym_else_clause_token1,
    STATE(1390), 1,
      sym_text_interpolation,
    ACTIONS(943), 2,
      aux_sym_while_statement_token1,
      aux_sym_else_if_clause_token1,
  [44467] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2738), 1,
      anon_sym_COMMA,
    ACTIONS(2741), 1,
      anon_sym_RPAREN,
    STATE(1391), 2,
      sym_text_interpolation,
      aux_sym_anonymous_function_use_clause_repeat1,
  [44484] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(266), 1,
      anon_sym_DOLLAR,
    STATE(1392), 1,
      sym_text_interpolation,
    STATE(1177), 2,
      sym_dynamic_variable_name,
      sym_variable_name,
  [44501] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1393), 1,
      sym_text_interpolation,
    ACTIONS(2743), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44515] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1394), 1,
      sym_text_interpolation,
    ACTIONS(2745), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44529] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1395), 1,
      sym_text_interpolation,
    ACTIONS(2741), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44543] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(476), 1,
      ts_builtin_sym_end,
    ACTIONS(2747), 1,
      sym_php_tag,
    STATE(1396), 1,
      sym_text_interpolation,
  [44559] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(1397), 1,
      sym_text_interpolation,
    STATE(1428), 1,
      sym_variable_name,
  [44575] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1398), 1,
      sym_text_interpolation,
    ACTIONS(2749), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44589] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1399), 1,
      sym_text_interpolation,
    ACTIONS(2751), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [44603] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1400), 1,
      sym_text_interpolation,
    ACTIONS(2753), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44617] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1401), 1,
      sym_text_interpolation,
    ACTIONS(2755), 2,
      sym__eof,
      sym_php_tag,
  [44631] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1402), 1,
      sym_text_interpolation,
    ACTIONS(2757), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44645] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1403), 1,
      sym_text_interpolation,
    ACTIONS(2720), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44659] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(1079), 1,
      sym_compound_statement,
    STATE(1404), 1,
      sym_text_interpolation,
  [44675] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1405), 1,
      sym_text_interpolation,
    ACTIONS(2759), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44689] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LPAREN,
    STATE(1213), 1,
      sym_parenthesized_expression,
    STATE(1406), 1,
      sym_text_interpolation,
  [44705] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1407), 1,
      sym_text_interpolation,
    ACTIONS(1727), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44719] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1408), 1,
      sym_text_interpolation,
    ACTIONS(2763), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44733] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(701), 1,
      sym_declaration_list,
    STATE(1409), 1,
      sym_text_interpolation,
  [44749] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1410), 1,
      sym_text_interpolation,
    ACTIONS(2765), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [44763] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(64), 1,
      sym_parenthesized_expression,
    STATE(1411), 1,
      sym_text_interpolation,
  [44779] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_declaration_list,
    STATE(1412), 1,
      sym_text_interpolation,
  [44795] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(1010), 1,
      sym_formal_parameters,
    STATE(1413), 1,
      sym_text_interpolation,
  [44811] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1414), 1,
      sym_text_interpolation,
    ACTIONS(2769), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [44825] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2771), 1,
      anon_sym_SEMI,
    ACTIONS(2773), 1,
      sym__automatic_semicolon,
    STATE(1415), 1,
      sym_text_interpolation,
  [44841] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LPAREN,
    STATE(1416), 1,
      sym_text_interpolation,
    STATE(1525), 1,
      sym_parenthesized_expression,
  [44857] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1417), 1,
      sym_text_interpolation,
    ACTIONS(2775), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44871] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(1051), 1,
      sym_compound_statement,
    STATE(1418), 1,
      sym_text_interpolation,
  [44887] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_parenthesized_expression,
    STATE(1419), 1,
      sym_text_interpolation,
  [44903] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_text_interpolation,
    STATE(1529), 1,
      sym_parenthesized_expression,
  [44919] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(44), 1,
      sym_parenthesized_expression,
    STATE(1421), 1,
      sym_text_interpolation,
  [44935] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1422), 1,
      sym_text_interpolation,
    ACTIONS(2728), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [44949] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2761), 1,
      anon_sym_LPAREN,
    STATE(1239), 1,
      sym_parenthesized_expression,
    STATE(1423), 1,
      sym_text_interpolation,
  [44965] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(320), 1,
      anon_sym_COLON,
    STATE(1424), 1,
      sym_text_interpolation,
    STATE(1570), 1,
      sym_colon_block,
  [44981] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(192), 1,
      anon_sym_LBRACE,
    STATE(404), 1,
      sym_compound_statement,
    STATE(1425), 1,
      sym_text_interpolation,
  [44997] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1426), 1,
      sym_text_interpolation,
    ACTIONS(2376), 2,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [45011] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_compound_statement,
    STATE(1427), 1,
      sym_text_interpolation,
  [45027] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1428), 1,
      sym_text_interpolation,
    ACTIONS(2781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45041] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1429), 1,
      sym_text_interpolation,
    ACTIONS(2783), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45055] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1430), 1,
      sym_text_interpolation,
    ACTIONS(2785), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [45069] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_LPAREN,
    STATE(515), 1,
      sym_arguments,
    STATE(1431), 1,
      sym_text_interpolation,
  [45085] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1432), 1,
      sym_text_interpolation,
    ACTIONS(2787), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [45099] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1433), 1,
      sym_text_interpolation,
    ACTIONS(2169), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1434), 1,
      sym_text_interpolation,
    ACTIONS(2789), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45127] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(622), 1,
      sym_compound_statement,
    STATE(1435), 1,
      sym_text_interpolation,
  [45143] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1839), 1,
      anon_sym_RPAREN,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1436), 1,
      sym_text_interpolation,
  [45159] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1437), 1,
      sym_text_interpolation,
    ACTIONS(2793), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
  [45173] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1438), 1,
      sym_text_interpolation,
    ACTIONS(2795), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45187] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1439), 1,
      sym_text_interpolation,
    ACTIONS(2797), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45201] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    STATE(752), 1,
      sym_compound_statement,
    STATE(1440), 1,
      sym_text_interpolation,
  [45217] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_RPAREN,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1441), 1,
      sym_text_interpolation,
  [45233] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1442), 1,
      sym_text_interpolation,
    ACTIONS(2451), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45247] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1443), 1,
      sym_text_interpolation,
    ACTIONS(2799), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45261] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    STATE(711), 1,
      sym_compound_statement,
    STATE(1444), 1,
      sym_text_interpolation,
  [45277] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LPAREN,
    STATE(444), 1,
      sym_arguments,
    STATE(1445), 1,
      sym_text_interpolation,
  [45293] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_declaration_list,
    STATE(1446), 1,
      sym_text_interpolation,
  [45309] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1447), 1,
      sym_text_interpolation,
    ACTIONS(1769), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45323] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1448), 1,
      sym_text_interpolation,
    ACTIONS(2801), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45337] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(45), 1,
      sym_parenthesized_expression,
    STATE(1449), 1,
      sym_text_interpolation,
  [45353] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(1450), 1,
      sym_text_interpolation,
    STATE(1507), 1,
      sym_variable_name,
  [45369] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1451), 1,
      sym_text_interpolation,
    ACTIONS(442), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45383] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(42), 1,
      sym_parenthesized_expression,
    STATE(1452), 1,
      sym_text_interpolation,
  [45399] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym_declaration_list,
    STATE(1453), 1,
      sym_text_interpolation,
  [45415] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    STATE(311), 1,
      sym_compound_statement,
    STATE(1454), 1,
      sym_text_interpolation,
  [45431] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_LPAREN,
    STATE(591), 1,
      sym_arguments,
    STATE(1455), 1,
      sym_text_interpolation,
  [45447] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1456), 1,
      sym_text_interpolation,
    ACTIONS(2803), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45461] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1457), 1,
      sym_text_interpolation,
    ACTIONS(2805), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45475] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1458), 1,
      sym_text_interpolation,
    ACTIONS(2807), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45489] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1459), 1,
      sym_text_interpolation,
    ACTIONS(2809), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45503] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_declaration_list,
    STATE(1460), 1,
      sym_text_interpolation,
  [45519] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(1461), 1,
      sym_text_interpolation,
    STATE(1472), 1,
      sym_variable_name,
  [45535] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(1260), 1,
      sym_compound_statement,
    STATE(1462), 1,
      sym_text_interpolation,
  [45551] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1463), 1,
      sym_text_interpolation,
    ACTIONS(2418), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45565] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1464), 1,
      sym_text_interpolation,
    ACTIONS(2811), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45579] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(1264), 1,
      sym_formal_parameters,
    STATE(1465), 1,
      sym_text_interpolation,
  [45595] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    STATE(754), 1,
      sym_compound_statement,
    STATE(1466), 1,
      sym_text_interpolation,
  [45611] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1467), 1,
      sym_text_interpolation,
    ACTIONS(2813), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45625] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1468), 1,
      sym_text_interpolation,
    ACTIONS(2815), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45639] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2817), 1,
      sym_name,
    STATE(1146), 1,
      sym_namespace_name,
    STATE(1469), 1,
      sym_text_interpolation,
  [45655] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    STATE(372), 1,
      sym_declaration_list,
    STATE(1470), 1,
      sym_text_interpolation,
  [45671] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2819), 1,
      anon_sym_LPAREN,
    STATE(1041), 1,
      sym_formal_parameters,
    STATE(1471), 1,
      sym_text_interpolation,
  [45687] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1472), 1,
      sym_text_interpolation,
    ACTIONS(2821), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45701] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1473), 1,
      sym_text_interpolation,
    ACTIONS(2823), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45715] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1474), 1,
      sym_text_interpolation,
    ACTIONS(2825), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45729] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1475), 1,
      sym_text_interpolation,
    ACTIONS(2827), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45743] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1476), 1,
      sym_text_interpolation,
    ACTIONS(2829), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45757] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1477), 1,
      sym_text_interpolation,
    ACTIONS(2831), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45771] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    STATE(749), 1,
      sym_compound_statement,
    STATE(1478), 1,
      sym_text_interpolation,
  [45787] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1479), 1,
      sym_text_interpolation,
    ACTIONS(2629), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45801] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1480), 1,
      sym_text_interpolation,
    ACTIONS(376), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45815] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1266), 1,
      anon_sym_BSLASH,
    STATE(1481), 1,
      sym_text_interpolation,
    STATE(1541), 1,
      aux_sym_namespace_name_repeat1,
  [45831] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1482), 1,
      sym_text_interpolation,
    ACTIONS(426), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45845] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_compound_statement,
    STATE(1483), 1,
      sym_text_interpolation,
  [45861] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1484), 1,
      sym_text_interpolation,
    ACTIONS(2833), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45875] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_SEMI,
    ACTIONS(2837), 1,
      sym__automatic_semicolon,
    STATE(1485), 1,
      sym_text_interpolation,
  [45891] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(1438), 1,
      sym_variable_name,
    STATE(1486), 1,
      sym_text_interpolation,
  [45907] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(1067), 1,
      sym_compound_statement,
    STATE(1487), 1,
      sym_text_interpolation,
  [45923] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1488), 1,
      sym_text_interpolation,
    ACTIONS(2839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45937] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1489), 1,
      sym_text_interpolation,
    ACTIONS(2841), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45951] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(602), 1,
      sym_compound_statement,
    STATE(1490), 1,
      sym_text_interpolation,
  [45967] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(422), 1,
      sym_arguments,
    STATE(1491), 1,
      sym_text_interpolation,
  [45983] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1071), 1,
      sym_declaration_list,
    STATE(1492), 1,
      sym_text_interpolation,
  [45999] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1493), 1,
      sym_text_interpolation,
    ACTIONS(1731), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [46013] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(722), 1,
      sym_declaration_list,
    STATE(1494), 1,
      sym_text_interpolation,
  [46029] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    STATE(618), 1,
      sym_declaration_list,
    STATE(1495), 1,
      sym_text_interpolation,
  [46045] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_SEMI,
    ACTIONS(2845), 1,
      sym__automatic_semicolon,
    STATE(1496), 1,
      sym_text_interpolation,
  [46061] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1497), 1,
      sym_text_interpolation,
    ACTIONS(2847), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46075] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_SEMI,
    ACTIONS(2851), 1,
      sym__automatic_semicolon,
    STATE(1498), 1,
      sym_text_interpolation,
  [46091] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1499), 1,
      sym_text_interpolation,
    ACTIONS(2853), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46105] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    STATE(1332), 1,
      sym_declaration_list,
    STATE(1500), 1,
      sym_text_interpolation,
  [46121] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_LPAREN,
    STATE(1398), 1,
      sym_parenthesized_expression,
    STATE(1501), 1,
      sym_text_interpolation,
  [46137] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LPAREN,
    ACTIONS(2857), 1,
      anon_sym_RPAREN,
    STATE(1502), 1,
      sym_text_interpolation,
  [46153] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2779), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_compound_statement,
    STATE(1503), 1,
      sym_text_interpolation,
  [46169] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1504), 1,
      sym_text_interpolation,
    ACTIONS(2859), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46183] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1505), 1,
      sym_text_interpolation,
    ACTIONS(1731), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46197] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1506), 1,
      sym_text_interpolation,
    ACTIONS(2861), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46211] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1507), 1,
      sym_text_interpolation,
    ACTIONS(2863), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46225] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1508), 1,
      sym_text_interpolation,
    ACTIONS(2865), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46239] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_compound_statement,
    STATE(1509), 1,
      sym_text_interpolation,
  [46255] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1510), 1,
      sym_text_interpolation,
    ACTIONS(2867), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46269] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(1003), 1,
      sym_formal_parameters,
    STATE(1511), 1,
      sym_text_interpolation,
  [46285] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_declaration_list,
    STATE(1512), 1,
      sym_text_interpolation,
  [46301] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1513), 1,
      sym_text_interpolation,
    ACTIONS(2869), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46315] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1514), 1,
      sym_text_interpolation,
    ACTIONS(1727), 2,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [46329] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1515), 1,
      sym_text_interpolation,
    ACTIONS(2871), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46343] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1516), 1,
      sym_text_interpolation,
    ACTIONS(2647), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46357] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_declaration_list,
    STATE(1517), 1,
      sym_text_interpolation,
  [46373] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(604), 1,
      sym_compound_statement,
    STATE(1518), 1,
      sym_text_interpolation,
  [46389] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_compound_statement,
    STATE(1519), 1,
      sym_text_interpolation,
  [46405] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1099), 1,
      sym_declaration_list,
    STATE(1520), 1,
      sym_text_interpolation,
  [46421] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(1308), 1,
      sym_variable_name,
    STATE(1521), 1,
      sym_text_interpolation,
  [46437] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    STATE(598), 1,
      sym_declaration_list,
    STATE(1522), 1,
      sym_text_interpolation,
  [46453] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2109), 1,
      anon_sym_LBRACE,
    STATE(759), 1,
      sym_compound_statement,
    STATE(1523), 1,
      sym_text_interpolation,
  [46469] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1524), 1,
      sym_text_interpolation,
    ACTIONS(2873), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46483] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(320), 1,
      anon_sym_COLON,
    STATE(1337), 1,
      sym_colon_block,
    STATE(1525), 1,
      sym_text_interpolation,
  [46499] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1526), 1,
      sym_text_interpolation,
    ACTIONS(2153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46513] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1527), 1,
      sym_text_interpolation,
    ACTIONS(2875), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46527] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_LPAREN,
    STATE(63), 1,
      sym_parenthesized_expression,
    STATE(1528), 1,
      sym_text_interpolation,
  [46543] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1529), 1,
      sym_text_interpolation,
    ACTIONS(2877), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46557] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1530), 1,
      sym_text_interpolation,
    ACTIONS(410), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46571] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1531), 1,
      sym_text_interpolation,
    ACTIONS(2879), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46585] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1532), 1,
      sym_text_interpolation,
    ACTIONS(2881), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46599] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1057), 1,
      sym_declaration_list,
    STATE(1533), 1,
      sym_text_interpolation,
  [46615] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_compound_statement,
    STATE(1534), 1,
      sym_text_interpolation,
  [46631] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1695), 1,
      anon_sym_DOLLAR,
    STATE(1459), 1,
      sym_variable_name,
    STATE(1535), 1,
      sym_text_interpolation,
  [46647] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1536), 1,
      sym_text_interpolation,
    ACTIONS(2516), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46661] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1537), 1,
      sym_text_interpolation,
  [46677] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(1323), 1,
      sym_formal_parameters,
    STATE(1538), 1,
      sym_text_interpolation,
  [46693] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    STATE(606), 1,
      sym_declaration_list,
    STATE(1539), 1,
      sym_text_interpolation,
  [46709] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1540), 1,
      sym_text_interpolation,
    ACTIONS(2883), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46723] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_BSLASH,
    STATE(1076), 1,
      aux_sym_namespace_name_repeat1,
    STATE(1541), 1,
      sym_text_interpolation,
  [46739] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(1080), 1,
      sym_compound_statement,
    STATE(1542), 1,
      sym_text_interpolation,
  [46755] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(1000), 1,
      sym_formal_parameters,
    STATE(1543), 1,
      sym_text_interpolation,
  [46771] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2819), 1,
      anon_sym_LPAREN,
    STATE(1052), 1,
      sym_formal_parameters,
    STATE(1544), 1,
      sym_text_interpolation,
  [46787] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    STATE(1545), 1,
      sym_text_interpolation,
    ACTIONS(2888), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [46801] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2081), 1,
      anon_sym_LPAREN,
    STATE(983), 1,
      sym_formal_parameters,
    STATE(1546), 1,
      sym_text_interpolation,
  [46817] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2063), 1,
      anon_sym_LBRACE,
    STATE(1093), 1,
      sym_declaration_list,
    STATE(1547), 1,
      sym_text_interpolation,
  [46833] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    STATE(625), 1,
      sym_compound_statement,
    STATE(1548), 1,
      sym_text_interpolation,
  [46849] = 5,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_LBRACE,
    STATE(1250), 1,
      sym_declaration_list,
    STATE(1549), 1,
      sym_text_interpolation,
  [46865] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_BSLASH,
    STATE(1550), 1,
      sym_text_interpolation,
  [46878] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_RPAREN,
    STATE(1551), 1,
      sym_text_interpolation,
  [46891] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_BSLASH,
    STATE(1552), 1,
      sym_text_interpolation,
  [46904] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2894), 1,
      sym_name,
    STATE(1553), 1,
      sym_text_interpolation,
  [46917] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_BSLASH,
    STATE(1554), 1,
      sym_text_interpolation,
  [46930] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
    STATE(1555), 1,
      sym_text_interpolation,
  [46943] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2900), 1,
      sym_name,
    STATE(1556), 1,
      sym_text_interpolation,
  [46956] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(636), 1,
      anon_sym_RBRACK,
    STATE(1557), 1,
      sym_text_interpolation,
  [46969] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2902), 1,
      sym_name,
    STATE(1558), 1,
      sym_text_interpolation,
  [46982] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(680), 1,
      anon_sym_RPAREN,
    STATE(1559), 1,
      sym_text_interpolation,
  [46995] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2904), 1,
      sym_name,
    STATE(1560), 1,
      sym_text_interpolation,
  [47008] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2906), 1,
      sym_name,
    STATE(1561), 1,
      sym_text_interpolation,
  [47021] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_SEMI,
    STATE(1562), 1,
      sym_text_interpolation,
  [47034] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(1563), 1,
      sym_text_interpolation,
  [47047] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_RBRACK,
    STATE(1564), 1,
      sym_text_interpolation,
  [47060] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_while_statement_token1,
    STATE(1565), 1,
      sym_text_interpolation,
  [47073] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_RPAREN,
    STATE(1566), 1,
      sym_text_interpolation,
  [47086] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_LPAREN,
    STATE(1567), 1,
      sym_text_interpolation,
  [47099] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_RPAREN,
    STATE(1568), 1,
      sym_text_interpolation,
  [47112] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_EQ,
    STATE(1569), 1,
      sym_text_interpolation,
  [47125] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2920), 1,
      aux_sym_if_statement_token2,
    STATE(1570), 1,
      sym_text_interpolation,
  [47138] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(644), 1,
      anon_sym_RPAREN,
    STATE(1571), 1,
      sym_text_interpolation,
  [47151] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_EQ,
    STATE(1572), 1,
      sym_text_interpolation,
  [47164] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_RPAREN,
    STATE(1573), 1,
      sym_text_interpolation,
  [47177] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_RPAREN,
    STATE(1574), 1,
      sym_text_interpolation,
  [47190] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LPAREN,
    STATE(1575), 1,
      sym_text_interpolation,
  [47203] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_RPAREN,
    STATE(1576), 1,
      sym_text_interpolation,
  [47216] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_RPAREN,
    STATE(1577), 1,
      sym_text_interpolation,
  [47229] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2932), 1,
      aux_sym_while_statement_token2,
    STATE(1578), 1,
      sym_text_interpolation,
  [47242] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_SEMI,
    STATE(1579), 1,
      sym_text_interpolation,
  [47255] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_RPAREN,
    STATE(1580), 1,
      sym_text_interpolation,
  [47268] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_BSLASH,
    STATE(1581), 1,
      sym_text_interpolation,
  [47281] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_EQ,
    STATE(1582), 1,
      sym_text_interpolation,
  [47294] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_RPAREN,
    STATE(1583), 1,
      sym_text_interpolation,
  [47307] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACE,
    STATE(1584), 1,
      sym_text_interpolation,
  [47320] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2209), 1,
      anon_sym_BSLASH,
    STATE(1585), 1,
      sym_text_interpolation,
  [47333] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2944), 1,
      aux_sym_if_statement_token2,
    STATE(1586), 1,
      sym_text_interpolation,
  [47346] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2306), 1,
      sym_name,
    STATE(1587), 1,
      sym_text_interpolation,
  [47359] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_EQ,
    STATE(1588), 1,
      sym_text_interpolation,
  [47372] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_COLON_COLON,
    STATE(1589), 1,
      sym_text_interpolation,
  [47385] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_RPAREN,
    STATE(1590), 1,
      sym_text_interpolation,
  [47398] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_COLON_COLON,
    STATE(1591), 1,
      sym_text_interpolation,
  [47411] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_EQ,
    STATE(1592), 1,
      sym_text_interpolation,
  [47424] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_BSLASH,
    STATE(1593), 1,
      sym_text_interpolation,
  [47437] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_RPAREN,
    STATE(1594), 1,
      sym_text_interpolation,
  [47450] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2958), 1,
      aux_sym_foreach_statement_token2,
    STATE(1595), 1,
      sym_text_interpolation,
  [47463] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2960), 1,
      aux_sym_foreach_statement_token2,
    STATE(1596), 1,
      sym_text_interpolation,
  [47476] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_RPAREN,
    STATE(1597), 1,
      sym_text_interpolation,
  [47489] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2964), 1,
      aux_sym_foreach_statement_token2,
    STATE(1598), 1,
      sym_text_interpolation,
  [47502] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_COLON_COLON,
    STATE(1599), 1,
      sym_text_interpolation,
  [47515] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2968), 1,
      aux_sym_class_declaration_token1,
    STATE(1600), 1,
      sym_text_interpolation,
  [47528] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2970), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1601), 1,
      sym_text_interpolation,
  [47541] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2972), 1,
      anon_sym_BSLASH,
    STATE(1602), 1,
      sym_text_interpolation,
  [47554] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(666), 1,
      anon_sym_RPAREN,
    STATE(1603), 1,
      sym_text_interpolation,
  [47567] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_text_interpolation,
  [47580] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2974), 1,
      aux_sym_while_statement_token1,
    STATE(1605), 1,
      sym_text_interpolation,
  [47593] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2976), 1,
      anon_sym_BSLASH,
    STATE(1606), 1,
      sym_text_interpolation,
  [47606] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2978), 1,
      anon_sym_BSLASH,
    STATE(1607), 1,
      sym_text_interpolation,
  [47619] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_RPAREN,
    STATE(1608), 1,
      sym_text_interpolation,
  [47632] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2982), 1,
      anon_sym_RPAREN,
    STATE(1609), 1,
      sym_text_interpolation,
  [47645] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2552), 1,
      anon_sym_LBRACE,
    STATE(1610), 1,
      sym_text_interpolation,
  [47658] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_BSLASH,
    STATE(1611), 1,
      sym_text_interpolation,
  [47671] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2986), 1,
      aux_sym_if_statement_token2,
    STATE(1612), 1,
      sym_text_interpolation,
  [47684] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(682), 1,
      anon_sym_SEMI,
    STATE(1613), 1,
      sym_text_interpolation,
  [47697] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(1735), 1,
      anon_sym_RPAREN,
    STATE(1614), 1,
      sym_text_interpolation,
  [47710] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2288), 1,
      sym_name,
    STATE(1615), 1,
      sym_text_interpolation,
  [47723] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2988), 1,
      aux_sym_foreach_statement_token2,
    STATE(1616), 1,
      sym_text_interpolation,
  [47736] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(668), 1,
      anon_sym_RPAREN,
    STATE(1617), 1,
      sym_text_interpolation,
  [47749] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2990), 1,
      anon_sym_SEMI,
    STATE(1618), 1,
      sym_text_interpolation,
  [47762] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2992), 1,
      aux_sym_if_statement_token2,
    STATE(1619), 1,
      sym_text_interpolation,
  [47775] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2994), 1,
      aux_sym_if_statement_token2,
    STATE(1620), 1,
      sym_text_interpolation,
  [47788] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2328), 1,
      anon_sym_COLON_COLON,
    STATE(1621), 1,
      sym_text_interpolation,
  [47801] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_COLON_COLON,
    STATE(1622), 1,
      sym_text_interpolation,
  [47814] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_COLON_COLON,
    STATE(1623), 1,
      sym_text_interpolation,
  [47827] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3000), 1,
      anon_sym_EQ,
    STATE(1624), 1,
      sym_text_interpolation,
  [47840] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3002), 1,
      sym_name,
    STATE(1625), 1,
      sym_text_interpolation,
  [47853] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3004), 1,
      aux_sym_namespace_use_declaration_token3,
    STATE(1626), 1,
      sym_text_interpolation,
  [47866] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3006), 1,
      aux_sym_class_declaration_token1,
    STATE(1627), 1,
      sym_text_interpolation,
  [47879] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym_BSLASH,
    STATE(1628), 1,
      sym_text_interpolation,
  [47892] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3010), 1,
      anon_sym_RPAREN,
    STATE(1629), 1,
      sym_text_interpolation,
  [47905] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(656), 1,
      anon_sym_RPAREN,
    STATE(1630), 1,
      sym_text_interpolation,
  [47918] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3012), 1,
      anon_sym_LPAREN,
    STATE(1631), 1,
      sym_text_interpolation,
  [47931] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3014), 1,
      anon_sym_RPAREN,
    STATE(1632), 1,
      sym_text_interpolation,
  [47944] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_COLON_COLON,
    STATE(1633), 1,
      sym_text_interpolation,
  [47957] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3018), 1,
      anon_sym_RPAREN,
    STATE(1634), 1,
      sym_text_interpolation,
  [47970] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym_LPAREN,
    STATE(1635), 1,
      sym_text_interpolation,
  [47983] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_LPAREN,
    STATE(1636), 1,
      sym_text_interpolation,
  [47996] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3024), 1,
      aux_sym_while_statement_token2,
    STATE(1637), 1,
      sym_text_interpolation,
  [48009] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3026), 1,
      sym_name,
    STATE(1638), 1,
      sym_text_interpolation,
  [48022] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3028), 1,
      anon_sym_RPAREN,
    STATE(1639), 1,
      sym_text_interpolation,
  [48035] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LPAREN,
    STATE(1640), 1,
      sym_text_interpolation,
  [48048] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3032), 1,
      anon_sym_LPAREN,
    STATE(1641), 1,
      sym_text_interpolation,
  [48061] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_LPAREN,
    STATE(1642), 1,
      sym_text_interpolation,
  [48074] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3036), 1,
      sym_name,
    STATE(1643), 1,
      sym_text_interpolation,
  [48087] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3038), 1,
      sym_name,
    STATE(1644), 1,
      sym_text_interpolation,
  [48100] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3040), 1,
      sym_name,
    STATE(1645), 1,
      sym_text_interpolation,
  [48113] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_COLON_COLON,
    STATE(1646), 1,
      sym_text_interpolation,
  [48126] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3044), 1,
      anon_sym_COLON_COLON,
    STATE(1647), 1,
      sym_text_interpolation,
  [48139] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_name,
    STATE(1648), 1,
      sym_text_interpolation,
  [48152] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3048), 1,
      sym_name,
    STATE(1649), 1,
      sym_text_interpolation,
  [48165] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LPAREN,
    STATE(1650), 1,
      sym_text_interpolation,
  [48178] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3050), 1,
      sym_name,
    STATE(1651), 1,
      sym_text_interpolation,
  [48191] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3052), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_text_interpolation,
  [48204] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      sym_text_interpolation,
  [48217] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3056), 1,
      sym_name,
    STATE(1654), 1,
      sym_text_interpolation,
  [48230] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3058), 1,
      sym_name,
    STATE(1655), 1,
      sym_text_interpolation,
  [48243] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(674), 1,
      anon_sym_SEMI,
    STATE(1656), 1,
      sym_text_interpolation,
  [48256] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_LPAREN,
    STATE(1657), 1,
      sym_text_interpolation,
  [48269] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_SEMI,
    STATE(1658), 1,
      sym_text_interpolation,
  [48282] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3064), 1,
      anon_sym_COLON_COLON,
    STATE(1659), 1,
      sym_text_interpolation,
  [48295] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3066), 1,
      ts_builtin_sym_end,
    STATE(1660), 1,
      sym_text_interpolation,
  [48308] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3068), 1,
      anon_sym_LPAREN,
    STATE(1661), 1,
      sym_text_interpolation,
  [48321] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_COLON_COLON,
    STATE(1662), 1,
      sym_text_interpolation,
  [48334] = 4,
    ACTIONS(3), 1,
      anon_sym_QMARK_GT,
    ACTIONS(5), 1,
      sym_comment,
    ACTIONS(3072), 1,
      anon_sym_LPAREN,
    STATE(1663), 1,
      sym_text_interpolation,
  [48347] = 1,
    ACTIONS(3074), 1,
      ts_builtin_sym_end,
  [48351] = 1,
    ACTIONS(3076), 1,
      ts_builtin_sym_end,
};

static uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(409)] = 0,
  [SMALL_STATE(410)] = 75,
  [SMALL_STATE(411)] = 150,
  [SMALL_STATE(412)] = 225,
  [SMALL_STATE(413)] = 367,
  [SMALL_STATE(414)] = 509,
  [SMALL_STATE(415)] = 587,
  [SMALL_STATE(416)] = 665,
  [SMALL_STATE(417)] = 807,
  [SMALL_STATE(418)] = 949,
  [SMALL_STATE(419)] = 1035,
  [SMALL_STATE(420)] = 1177,
  [SMALL_STATE(421)] = 1255,
  [SMALL_STATE(422)] = 1328,
  [SMALL_STATE(423)] = 1401,
  [SMALL_STATE(424)] = 1474,
  [SMALL_STATE(425)] = 1547,
  [SMALL_STATE(426)] = 1620,
  [SMALL_STATE(427)] = 1693,
  [SMALL_STATE(428)] = 1766,
  [SMALL_STATE(429)] = 1839,
  [SMALL_STATE(430)] = 1912,
  [SMALL_STATE(431)] = 1985,
  [SMALL_STATE(432)] = 2058,
  [SMALL_STATE(433)] = 2138,
  [SMALL_STATE(434)] = 2222,
  [SMALL_STATE(435)] = 2296,
  [SMALL_STATE(436)] = 2370,
  [SMALL_STATE(437)] = 2452,
  [SMALL_STATE(438)] = 2530,
  [SMALL_STATE(439)] = 2604,
  [SMALL_STATE(440)] = 2692,
  [SMALL_STATE(441)] = 2774,
  [SMALL_STATE(442)] = 2856,
  [SMALL_STATE(443)] = 2938,
  [SMALL_STATE(444)] = 3026,
  [SMALL_STATE(445)] = 3095,
  [SMALL_STATE(446)] = 3164,
  [SMALL_STATE(447)] = 3233,
  [SMALL_STATE(448)] = 3320,
  [SMALL_STATE(449)] = 3389,
  [SMALL_STATE(450)] = 3458,
  [SMALL_STATE(451)] = 3527,
  [SMALL_STATE(452)] = 3610,
  [SMALL_STATE(453)] = 3691,
  [SMALL_STATE(454)] = 3760,
  [SMALL_STATE(455)] = 3829,
  [SMALL_STATE(456)] = 3898,
  [SMALL_STATE(457)] = 3967,
  [SMALL_STATE(458)] = 4036,
  [SMALL_STATE(459)] = 4105,
  [SMALL_STATE(460)] = 4188,
  [SMALL_STATE(461)] = 4257,
  [SMALL_STATE(462)] = 4326,
  [SMALL_STATE(463)] = 4402,
  [SMALL_STATE(464)] = 4478,
  [SMALL_STATE(465)] = 4560,
  [SMALL_STATE(466)] = 4642,
  [SMALL_STATE(467)] = 4718,
  [SMALL_STATE(468)] = 4794,
  [SMALL_STATE(469)] = 4869,
  [SMALL_STATE(470)] = 4946,
  [SMALL_STATE(471)] = 5027,
  [SMALL_STATE(472)] = 5104,
  [SMALL_STATE(473)] = 5230,
  [SMALL_STATE(474)] = 5356,
  [SMALL_STATE(475)] = 5482,
  [SMALL_STATE(476)] = 5608,
  [SMALL_STATE(477)] = 5727,
  [SMALL_STATE(478)] = 5846,
  [SMALL_STATE(479)] = 5965,
  [SMALL_STATE(480)] = 6084,
  [SMALL_STATE(481)] = 6149,
  [SMALL_STATE(482)] = 6215,
  [SMALL_STATE(483)] = 6283,
  [SMALL_STATE(484)] = 6342,
  [SMALL_STATE(485)] = 6405,
  [SMALL_STATE(486)] = 6464,
  [SMALL_STATE(487)] = 6524,
  [SMALL_STATE(488)] = 6584,
  [SMALL_STATE(489)] = 6646,
  [SMALL_STATE(490)] = 6706,
  [SMALL_STATE(491)] = 6768,
  [SMALL_STATE(492)] = 6832,
  [SMALL_STATE(493)] = 6894,
  [SMALL_STATE(494)] = 6956,
  [SMALL_STATE(495)] = 7018,
  [SMALL_STATE(496)] = 7078,
  [SMALL_STATE(497)] = 7140,
  [SMALL_STATE(498)] = 7204,
  [SMALL_STATE(499)] = 7266,
  [SMALL_STATE(500)] = 7330,
  [SMALL_STATE(501)] = 7394,
  [SMALL_STATE(502)] = 7458,
  [SMALL_STATE(503)] = 7520,
  [SMALL_STATE(504)] = 7582,
  [SMALL_STATE(505)] = 7646,
  [SMALL_STATE(506)] = 7710,
  [SMALL_STATE(507)] = 7774,
  [SMALL_STATE(508)] = 7838,
  [SMALL_STATE(509)] = 7895,
  [SMALL_STATE(510)] = 7952,
  [SMALL_STATE(511)] = 8009,
  [SMALL_STATE(512)] = 8066,
  [SMALL_STATE(513)] = 8123,
  [SMALL_STATE(514)] = 8180,
  [SMALL_STATE(515)] = 8237,
  [SMALL_STATE(516)] = 8294,
  [SMALL_STATE(517)] = 8351,
  [SMALL_STATE(518)] = 8408,
  [SMALL_STATE(519)] = 8467,
  [SMALL_STATE(520)] = 8526,
  [SMALL_STATE(521)] = 8583,
  [SMALL_STATE(522)] = 8640,
  [SMALL_STATE(523)] = 8697,
  [SMALL_STATE(524)] = 8754,
  [SMALL_STATE(525)] = 8811,
  [SMALL_STATE(526)] = 8868,
  [SMALL_STATE(527)] = 8925,
  [SMALL_STATE(528)] = 8982,
  [SMALL_STATE(529)] = 9039,
  [SMALL_STATE(530)] = 9096,
  [SMALL_STATE(531)] = 9153,
  [SMALL_STATE(532)] = 9210,
  [SMALL_STATE(533)] = 9267,
  [SMALL_STATE(534)] = 9325,
  [SMALL_STATE(535)] = 9385,
  [SMALL_STATE(536)] = 9443,
  [SMALL_STATE(537)] = 9547,
  [SMALL_STATE(538)] = 9605,
  [SMALL_STATE(539)] = 9667,
  [SMALL_STATE(540)] = 9725,
  [SMALL_STATE(541)] = 9789,
  [SMALL_STATE(542)] = 9844,
  [SMALL_STATE(543)] = 9903,
  [SMALL_STATE(544)] = 9968,
  [SMALL_STATE(545)] = 10033,
  [SMALL_STATE(546)] = 10088,
  [SMALL_STATE(547)] = 10148,
  [SMALL_STATE(548)] = 10206,
  [SMALL_STATE(549)] = 10266,
  [SMALL_STATE(550)] = 10322,
  [SMALL_STATE(551)] = 10380,
  [SMALL_STATE(552)] = 10438,
  [SMALL_STATE(553)] = 10492,
  [SMALL_STATE(554)] = 10550,
  [SMALL_STATE(555)] = 10610,
  [SMALL_STATE(556)] = 10664,
  [SMALL_STATE(557)] = 10722,
  [SMALL_STATE(558)] = 10776,
  [SMALL_STATE(559)] = 10836,
  [SMALL_STATE(560)] = 10896,
  [SMALL_STATE(561)] = 10954,
  [SMALL_STATE(562)] = 11014,
  [SMALL_STATE(563)] = 11074,
  [SMALL_STATE(564)] = 11134,
  [SMALL_STATE(565)] = 11190,
  [SMALL_STATE(566)] = 11250,
  [SMALL_STATE(567)] = 11306,
  [SMALL_STATE(568)] = 11362,
  [SMALL_STATE(569)] = 11420,
  [SMALL_STATE(570)] = 11478,
  [SMALL_STATE(571)] = 11536,
  [SMALL_STATE(572)] = 11596,
  [SMALL_STATE(573)] = 11656,
  [SMALL_STATE(574)] = 11712,
  [SMALL_STATE(575)] = 11765,
  [SMALL_STATE(576)] = 11818,
  [SMALL_STATE(577)] = 11873,
  [SMALL_STATE(578)] = 11926,
  [SMALL_STATE(579)] = 11979,
  [SMALL_STATE(580)] = 12032,
  [SMALL_STATE(581)] = 12085,
  [SMALL_STATE(582)] = 12140,
  [SMALL_STATE(583)] = 12193,
  [SMALL_STATE(584)] = 12246,
  [SMALL_STATE(585)] = 12301,
  [SMALL_STATE(586)] = 12354,
  [SMALL_STATE(587)] = 12407,
  [SMALL_STATE(588)] = 12460,
  [SMALL_STATE(589)] = 12513,
  [SMALL_STATE(590)] = 12566,
  [SMALL_STATE(591)] = 12623,
  [SMALL_STATE(592)] = 12676,
  [SMALL_STATE(593)] = 12729,
  [SMALL_STATE(594)] = 12782,
  [SMALL_STATE(595)] = 12835,
  [SMALL_STATE(596)] = 12888,
  [SMALL_STATE(597)] = 12941,
  [SMALL_STATE(598)] = 12994,
  [SMALL_STATE(599)] = 13046,
  [SMALL_STATE(600)] = 13098,
  [SMALL_STATE(601)] = 13150,
  [SMALL_STATE(602)] = 13202,
  [SMALL_STATE(603)] = 13254,
  [SMALL_STATE(604)] = 13306,
  [SMALL_STATE(605)] = 13358,
  [SMALL_STATE(606)] = 13410,
  [SMALL_STATE(607)] = 13462,
  [SMALL_STATE(608)] = 13514,
  [SMALL_STATE(609)] = 13566,
  [SMALL_STATE(610)] = 13618,
  [SMALL_STATE(611)] = 13670,
  [SMALL_STATE(612)] = 13724,
  [SMALL_STATE(613)] = 13776,
  [SMALL_STATE(614)] = 13828,
  [SMALL_STATE(615)] = 13882,
  [SMALL_STATE(616)] = 13934,
  [SMALL_STATE(617)] = 13986,
  [SMALL_STATE(618)] = 14040,
  [SMALL_STATE(619)] = 14092,
  [SMALL_STATE(620)] = 14146,
  [SMALL_STATE(621)] = 14198,
  [SMALL_STATE(622)] = 14250,
  [SMALL_STATE(623)] = 14302,
  [SMALL_STATE(624)] = 14354,
  [SMALL_STATE(625)] = 14406,
  [SMALL_STATE(626)] = 14458,
  [SMALL_STATE(627)] = 14512,
  [SMALL_STATE(628)] = 14564,
  [SMALL_STATE(629)] = 14616,
  [SMALL_STATE(630)] = 14667,
  [SMALL_STATE(631)] = 14718,
  [SMALL_STATE(632)] = 14796,
  [SMALL_STATE(633)] = 14880,
  [SMALL_STATE(634)] = 14952,
  [SMALL_STATE(635)] = 15008,
  [SMALL_STATE(636)] = 15088,
  [SMALL_STATE(637)] = 15172,
  [SMALL_STATE(638)] = 15250,
  [SMALL_STATE(639)] = 15338,
  [SMALL_STATE(640)] = 15416,
  [SMALL_STATE(641)] = 15494,
  [SMALL_STATE(642)] = 15572,
  [SMALL_STATE(643)] = 15656,
  [SMALL_STATE(644)] = 15740,
  [SMALL_STATE(645)] = 15794,
  [SMALL_STATE(646)] = 15864,
  [SMALL_STATE(647)] = 15938,
  [SMALL_STATE(648)] = 15990,
  [SMALL_STATE(649)] = 16072,
  [SMALL_STATE(650)] = 16130,
  [SMALL_STATE(651)] = 16182,
  [SMALL_STATE(652)] = 16266,
  [SMALL_STATE(653)] = 16350,
  [SMALL_STATE(654)] = 16416,
  [SMALL_STATE(655)] = 16506,
  [SMALL_STATE(656)] = 16584,
  [SMALL_STATE(657)] = 16668,
  [SMALL_STATE(658)] = 16754,
  [SMALL_STATE(659)] = 16816,
  [SMALL_STATE(660)] = 16900,
  [SMALL_STATE(661)] = 16990,
  [SMALL_STATE(662)] = 17074,
  [SMALL_STATE(663)] = 17158,
  [SMALL_STATE(664)] = 17236,
  [SMALL_STATE(665)] = 17320,
  [SMALL_STATE(666)] = 17388,
  [SMALL_STATE(667)] = 17464,
  [SMALL_STATE(668)] = 17530,
  [SMALL_STATE(669)] = 17612,
  [SMALL_STATE(670)] = 17676,
  [SMALL_STATE(671)] = 17754,
  [SMALL_STATE(672)] = 17834,
  [SMALL_STATE(673)] = 17898,
  [SMALL_STATE(674)] = 17980,
  [SMALL_STATE(675)] = 18048,
  [SMALL_STATE(676)] = 18100,
  [SMALL_STATE(677)] = 18176,
  [SMALL_STATE(678)] = 18258,
  [SMALL_STATE(679)] = 18334,
  [SMALL_STATE(680)] = 18414,
  [SMALL_STATE(681)] = 18492,
  [SMALL_STATE(682)] = 18540,
  [SMALL_STATE(683)] = 18588,
  [SMALL_STATE(684)] = 18660,
  [SMALL_STATE(685)] = 18708,
  [SMALL_STATE(686)] = 18778,
  [SMALL_STATE(687)] = 18844,
  [SMALL_STATE(688)] = 18926,
  [SMALL_STATE(689)] = 19008,
  [SMALL_STATE(690)] = 19090,
  [SMALL_STATE(691)] = 19172,
  [SMALL_STATE(692)] = 19232,
  [SMALL_STATE(693)] = 19314,
  [SMALL_STATE(694)] = 19396,
  [SMALL_STATE(695)] = 19444,
  [SMALL_STATE(696)] = 19494,
  [SMALL_STATE(697)] = 19582,
  [SMALL_STATE(698)] = 19638,
  [SMALL_STATE(699)] = 19692,
  [SMALL_STATE(700)] = 19780,
  [SMALL_STATE(701)] = 19828,
  [SMALL_STATE(702)] = 19876,
  [SMALL_STATE(703)] = 19924,
  [SMALL_STATE(704)] = 20006,
  [SMALL_STATE(705)] = 20088,
  [SMALL_STATE(706)] = 20136,
  [SMALL_STATE(707)] = 20186,
  [SMALL_STATE(708)] = 20234,
  [SMALL_STATE(709)] = 20310,
  [SMALL_STATE(710)] = 20392,
  [SMALL_STATE(711)] = 20468,
  [SMALL_STATE(712)] = 20516,
  [SMALL_STATE(713)] = 20598,
  [SMALL_STATE(714)] = 20648,
  [SMALL_STATE(715)] = 20696,
  [SMALL_STATE(716)] = 20772,
  [SMALL_STATE(717)] = 20856,
  [SMALL_STATE(718)] = 20938,
  [SMALL_STATE(719)] = 21014,
  [SMALL_STATE(720)] = 21062,
  [SMALL_STATE(721)] = 21110,
  [SMALL_STATE(722)] = 21162,
  [SMALL_STATE(723)] = 21210,
  [SMALL_STATE(724)] = 21278,
  [SMALL_STATE(725)] = 21360,
  [SMALL_STATE(726)] = 21442,
  [SMALL_STATE(727)] = 21490,
  [SMALL_STATE(728)] = 21566,
  [SMALL_STATE(729)] = 21638,
  [SMALL_STATE(730)] = 21720,
  [SMALL_STATE(731)] = 21790,
  [SMALL_STATE(732)] = 21872,
  [SMALL_STATE(733)] = 21932,
  [SMALL_STATE(734)] = 22008,
  [SMALL_STATE(735)] = 22064,
  [SMALL_STATE(736)] = 22112,
  [SMALL_STATE(737)] = 22160,
  [SMALL_STATE(738)] = 22214,
  [SMALL_STATE(739)] = 22296,
  [SMALL_STATE(740)] = 22344,
  [SMALL_STATE(741)] = 22428,
  [SMALL_STATE(742)] = 22476,
  [SMALL_STATE(743)] = 22524,
  [SMALL_STATE(744)] = 22572,
  [SMALL_STATE(745)] = 22622,
  [SMALL_STATE(746)] = 22698,
  [SMALL_STATE(747)] = 22748,
  [SMALL_STATE(748)] = 22830,
  [SMALL_STATE(749)] = 22878,
  [SMALL_STATE(750)] = 22926,
  [SMALL_STATE(751)] = 22974,
  [SMALL_STATE(752)] = 23050,
  [SMALL_STATE(753)] = 23098,
  [SMALL_STATE(754)] = 23180,
  [SMALL_STATE(755)] = 23228,
  [SMALL_STATE(756)] = 23304,
  [SMALL_STATE(757)] = 23380,
  [SMALL_STATE(758)] = 23428,
  [SMALL_STATE(759)] = 23504,
  [SMALL_STATE(760)] = 23552,
  [SMALL_STATE(761)] = 23634,
  [SMALL_STATE(762)] = 23709,
  [SMALL_STATE(763)] = 23788,
  [SMALL_STATE(764)] = 23863,
  [SMALL_STATE(765)] = 23914,
  [SMALL_STATE(766)] = 23991,
  [SMALL_STATE(767)] = 24072,
  [SMALL_STATE(768)] = 24153,
  [SMALL_STATE(769)] = 24234,
  [SMALL_STATE(770)] = 24283,
  [SMALL_STATE(771)] = 24364,
  [SMALL_STATE(772)] = 24445,
  [SMALL_STATE(773)] = 24530,
  [SMALL_STATE(774)] = 24611,
  [SMALL_STATE(775)] = 24692,
  [SMALL_STATE(776)] = 24773,
  [SMALL_STATE(777)] = 24854,
  [SMALL_STATE(778)] = 24925,
  [SMALL_STATE(779)] = 24992,
  [SMALL_STATE(780)] = 25061,
  [SMALL_STATE(781)] = 25142,
  [SMALL_STATE(782)] = 25207,
  [SMALL_STATE(783)] = 25266,
  [SMALL_STATE(784)] = 25347,
  [SMALL_STATE(785)] = 25402,
  [SMALL_STATE(786)] = 25485,
  [SMALL_STATE(787)] = 25538,
  [SMALL_STATE(788)] = 25621,
  [SMALL_STATE(789)] = 25670,
  [SMALL_STATE(790)] = 25755,
  [SMALL_STATE(791)] = 25830,
  [SMALL_STATE(792)] = 25905,
  [SMALL_STATE(793)] = 25968,
  [SMALL_STATE(794)] = 26053,
  [SMALL_STATE(795)] = 26128,
  [SMALL_STATE(796)] = 26211,
  [SMALL_STATE(797)] = 26286,
  [SMALL_STATE(798)] = 26361,
  [SMALL_STATE(799)] = 26441,
  [SMALL_STATE(800)] = 26523,
  [SMALL_STATE(801)] = 26605,
  [SMALL_STATE(802)] = 26687,
  [SMALL_STATE(803)] = 26769,
  [SMALL_STATE(804)] = 26851,
  [SMALL_STATE(805)] = 26933,
  [SMALL_STATE(806)] = 27015,
  [SMALL_STATE(807)] = 27097,
  [SMALL_STATE(808)] = 27179,
  [SMALL_STATE(809)] = 27261,
  [SMALL_STATE(810)] = 27343,
  [SMALL_STATE(811)] = 27425,
  [SMALL_STATE(812)] = 27504,
  [SMALL_STATE(813)] = 27587,
  [SMALL_STATE(814)] = 27666,
  [SMALL_STATE(815)] = 27749,
  [SMALL_STATE(816)] = 27830,
  [SMALL_STATE(817)] = 27913,
  [SMALL_STATE(818)] = 27992,
  [SMALL_STATE(819)] = 28073,
  [SMALL_STATE(820)] = 28154,
  [SMALL_STATE(821)] = 28237,
  [SMALL_STATE(822)] = 28317,
  [SMALL_STATE(823)] = 28395,
  [SMALL_STATE(824)] = 28473,
  [SMALL_STATE(825)] = 28529,
  [SMALL_STATE(826)] = 28607,
  [SMALL_STATE(827)] = 28685,
  [SMALL_STATE(828)] = 28763,
  [SMALL_STATE(829)] = 28841,
  [SMALL_STATE(830)] = 28921,
  [SMALL_STATE(831)] = 28999,
  [SMALL_STATE(832)] = 29077,
  [SMALL_STATE(833)] = 29155,
  [SMALL_STATE(834)] = 29233,
  [SMALL_STATE(835)] = 29311,
  [SMALL_STATE(836)] = 29391,
  [SMALL_STATE(837)] = 29469,
  [SMALL_STATE(838)] = 29547,
  [SMALL_STATE(839)] = 29627,
  [SMALL_STATE(840)] = 29707,
  [SMALL_STATE(841)] = 29787,
  [SMALL_STATE(842)] = 29865,
  [SMALL_STATE(843)] = 29943,
  [SMALL_STATE(844)] = 30020,
  [SMALL_STATE(845)] = 30097,
  [SMALL_STATE(846)] = 30174,
  [SMALL_STATE(847)] = 30251,
  [SMALL_STATE(848)] = 30328,
  [SMALL_STATE(849)] = 30405,
  [SMALL_STATE(850)] = 30482,
  [SMALL_STATE(851)] = 30559,
  [SMALL_STATE(852)] = 30636,
  [SMALL_STATE(853)] = 30713,
  [SMALL_STATE(854)] = 30790,
  [SMALL_STATE(855)] = 30867,
  [SMALL_STATE(856)] = 30944,
  [SMALL_STATE(857)] = 31021,
  [SMALL_STATE(858)] = 31098,
  [SMALL_STATE(859)] = 31175,
  [SMALL_STATE(860)] = 31252,
  [SMALL_STATE(861)] = 31329,
  [SMALL_STATE(862)] = 31406,
  [SMALL_STATE(863)] = 31483,
  [SMALL_STATE(864)] = 31560,
  [SMALL_STATE(865)] = 31637,
  [SMALL_STATE(866)] = 31714,
  [SMALL_STATE(867)] = 31791,
  [SMALL_STATE(868)] = 31868,
  [SMALL_STATE(869)] = 31945,
  [SMALL_STATE(870)] = 32022,
  [SMALL_STATE(871)] = 32099,
  [SMALL_STATE(872)] = 32176,
  [SMALL_STATE(873)] = 32253,
  [SMALL_STATE(874)] = 32330,
  [SMALL_STATE(875)] = 32407,
  [SMALL_STATE(876)] = 32484,
  [SMALL_STATE(877)] = 32561,
  [SMALL_STATE(878)] = 32638,
  [SMALL_STATE(879)] = 32715,
  [SMALL_STATE(880)] = 32792,
  [SMALL_STATE(881)] = 32869,
  [SMALL_STATE(882)] = 32946,
  [SMALL_STATE(883)] = 33023,
  [SMALL_STATE(884)] = 33063,
  [SMALL_STATE(885)] = 33107,
  [SMALL_STATE(886)] = 33171,
  [SMALL_STATE(887)] = 33213,
  [SMALL_STATE(888)] = 33253,
  [SMALL_STATE(889)] = 33317,
  [SMALL_STATE(890)] = 33356,
  [SMALL_STATE(891)] = 33395,
  [SMALL_STATE(892)] = 33434,
  [SMALL_STATE(893)] = 33492,
  [SMALL_STATE(894)] = 33550,
  [SMALL_STATE(895)] = 33608,
  [SMALL_STATE(896)] = 33673,
  [SMALL_STATE(897)] = 33738,
  [SMALL_STATE(898)] = 33803,
  [SMALL_STATE(899)] = 33868,
  [SMALL_STATE(900)] = 33931,
  [SMALL_STATE(901)] = 33996,
  [SMALL_STATE(902)] = 34061,
  [SMALL_STATE(903)] = 34126,
  [SMALL_STATE(904)] = 34191,
  [SMALL_STATE(905)] = 34242,
  [SMALL_STATE(906)] = 34293,
  [SMALL_STATE(907)] = 34344,
  [SMALL_STATE(908)] = 34372,
  [SMALL_STATE(909)] = 34400,
  [SMALL_STATE(910)] = 34428,
  [SMALL_STATE(911)] = 34456,
  [SMALL_STATE(912)] = 34499,
  [SMALL_STATE(913)] = 34542,
  [SMALL_STATE(914)] = 34569,
  [SMALL_STATE(915)] = 34608,
  [SMALL_STATE(916)] = 34631,
  [SMALL_STATE(917)] = 34654,
  [SMALL_STATE(918)] = 34677,
  [SMALL_STATE(919)] = 34700,
  [SMALL_STATE(920)] = 34739,
  [SMALL_STATE(921)] = 34762,
  [SMALL_STATE(922)] = 34785,
  [SMALL_STATE(923)] = 34808,
  [SMALL_STATE(924)] = 34831,
  [SMALL_STATE(925)] = 34870,
  [SMALL_STATE(926)] = 34893,
  [SMALL_STATE(927)] = 34916,
  [SMALL_STATE(928)] = 34939,
  [SMALL_STATE(929)] = 34962,
  [SMALL_STATE(930)] = 34985,
  [SMALL_STATE(931)] = 35008,
  [SMALL_STATE(932)] = 35031,
  [SMALL_STATE(933)] = 35070,
  [SMALL_STATE(934)] = 35093,
  [SMALL_STATE(935)] = 35116,
  [SMALL_STATE(936)] = 35155,
  [SMALL_STATE(937)] = 35178,
  [SMALL_STATE(938)] = 35214,
  [SMALL_STATE(939)] = 35250,
  [SMALL_STATE(940)] = 35286,
  [SMALL_STATE(941)] = 35322,
  [SMALL_STATE(942)] = 35358,
  [SMALL_STATE(943)] = 35394,
  [SMALL_STATE(944)] = 35423,
  [SMALL_STATE(945)] = 35452,
  [SMALL_STATE(946)] = 35483,
  [SMALL_STATE(947)] = 35514,
  [SMALL_STATE(948)] = 35543,
  [SMALL_STATE(949)] = 35572,
  [SMALL_STATE(950)] = 35601,
  [SMALL_STATE(951)] = 35632,
  [SMALL_STATE(952)] = 35663,
  [SMALL_STATE(953)] = 35694,
  [SMALL_STATE(954)] = 35725,
  [SMALL_STATE(955)] = 35754,
  [SMALL_STATE(956)] = 35785,
  [SMALL_STATE(957)] = 35814,
  [SMALL_STATE(958)] = 35845,
  [SMALL_STATE(959)] = 35874,
  [SMALL_STATE(960)] = 35905,
  [SMALL_STATE(961)] = 35936,
  [SMALL_STATE(962)] = 35967,
  [SMALL_STATE(963)] = 35996,
  [SMALL_STATE(964)] = 36027,
  [SMALL_STATE(965)] = 36058,
  [SMALL_STATE(966)] = 36087,
  [SMALL_STATE(967)] = 36121,
  [SMALL_STATE(968)] = 36155,
  [SMALL_STATE(969)] = 36185,
  [SMALL_STATE(970)] = 36211,
  [SMALL_STATE(971)] = 36239,
  [SMALL_STATE(972)] = 36269,
  [SMALL_STATE(973)] = 36295,
  [SMALL_STATE(974)] = 36321,
  [SMALL_STATE(975)] = 36348,
  [SMALL_STATE(976)] = 36373,
  [SMALL_STATE(977)] = 36398,
  [SMALL_STATE(978)] = 36423,
  [SMALL_STATE(979)] = 36448,
  [SMALL_STATE(980)] = 36473,
  [SMALL_STATE(981)] = 36499,
  [SMALL_STATE(982)] = 36521,
  [SMALL_STATE(983)] = 36541,
  [SMALL_STATE(984)] = 36569,
  [SMALL_STATE(985)] = 36589,
  [SMALL_STATE(986)] = 36611,
  [SMALL_STATE(987)] = 36637,
  [SMALL_STATE(988)] = 36659,
  [SMALL_STATE(989)] = 36681,
  [SMALL_STATE(990)] = 36705,
  [SMALL_STATE(991)] = 36733,
  [SMALL_STATE(992)] = 36761,
  [SMALL_STATE(993)] = 36789,
  [SMALL_STATE(994)] = 36817,
  [SMALL_STATE(995)] = 36843,
  [SMALL_STATE(996)] = 36869,
  [SMALL_STATE(997)] = 36897,
  [SMALL_STATE(998)] = 36925,
  [SMALL_STATE(999)] = 36947,
  [SMALL_STATE(1000)] = 36975,
  [SMALL_STATE(1001)] = 37003,
  [SMALL_STATE(1002)] = 37025,
  [SMALL_STATE(1003)] = 37047,
  [SMALL_STATE(1004)] = 37075,
  [SMALL_STATE(1005)] = 37097,
  [SMALL_STATE(1006)] = 37123,
  [SMALL_STATE(1007)] = 37147,
  [SMALL_STATE(1008)] = 37175,
  [SMALL_STATE(1009)] = 37195,
  [SMALL_STATE(1010)] = 37223,
  [SMALL_STATE(1011)] = 37251,
  [SMALL_STATE(1012)] = 37273,
  [SMALL_STATE(1013)] = 37297,
  [SMALL_STATE(1014)] = 37323,
  [SMALL_STATE(1015)] = 37351,
  [SMALL_STATE(1016)] = 37373,
  [SMALL_STATE(1017)] = 37395,
  [SMALL_STATE(1018)] = 37421,
  [SMALL_STATE(1019)] = 37447,
  [SMALL_STATE(1020)] = 37475,
  [SMALL_STATE(1021)] = 37497,
  [SMALL_STATE(1022)] = 37519,
  [SMALL_STATE(1023)] = 37541,
  [SMALL_STATE(1024)] = 37565,
  [SMALL_STATE(1025)] = 37587,
  [SMALL_STATE(1026)] = 37611,
  [SMALL_STATE(1027)] = 37633,
  [SMALL_STATE(1028)] = 37655,
  [SMALL_STATE(1029)] = 37681,
  [SMALL_STATE(1030)] = 37703,
  [SMALL_STATE(1031)] = 37725,
  [SMALL_STATE(1032)] = 37753,
  [SMALL_STATE(1033)] = 37781,
  [SMALL_STATE(1034)] = 37803,
  [SMALL_STATE(1035)] = 37831,
  [SMALL_STATE(1036)] = 37855,
  [SMALL_STATE(1037)] = 37881,
  [SMALL_STATE(1038)] = 37903,
  [SMALL_STATE(1039)] = 37929,
  [SMALL_STATE(1040)] = 37946,
  [SMALL_STATE(1041)] = 37967,
  [SMALL_STATE(1042)] = 37988,
  [SMALL_STATE(1043)] = 38009,
  [SMALL_STATE(1044)] = 38032,
  [SMALL_STATE(1045)] = 38053,
  [SMALL_STATE(1046)] = 38076,
  [SMALL_STATE(1047)] = 38097,
  [SMALL_STATE(1048)] = 38120,
  [SMALL_STATE(1049)] = 38139,
  [SMALL_STATE(1050)] = 38162,
  [SMALL_STATE(1051)] = 38181,
  [SMALL_STATE(1052)] = 38204,
  [SMALL_STATE(1053)] = 38225,
  [SMALL_STATE(1054)] = 38246,
  [SMALL_STATE(1055)] = 38269,
  [SMALL_STATE(1056)] = 38290,
  [SMALL_STATE(1057)] = 38311,
  [SMALL_STATE(1058)] = 38332,
  [SMALL_STATE(1059)] = 38353,
  [SMALL_STATE(1060)] = 38372,
  [SMALL_STATE(1061)] = 38391,
  [SMALL_STATE(1062)] = 38414,
  [SMALL_STATE(1063)] = 38437,
  [SMALL_STATE(1064)] = 38458,
  [SMALL_STATE(1065)] = 38479,
  [SMALL_STATE(1066)] = 38500,
  [SMALL_STATE(1067)] = 38521,
  [SMALL_STATE(1068)] = 38540,
  [SMALL_STATE(1069)] = 38557,
  [SMALL_STATE(1070)] = 38578,
  [SMALL_STATE(1071)] = 38599,
  [SMALL_STATE(1072)] = 38620,
  [SMALL_STATE(1073)] = 38641,
  [SMALL_STATE(1074)] = 38662,
  [SMALL_STATE(1075)] = 38683,
  [SMALL_STATE(1076)] = 38704,
  [SMALL_STATE(1077)] = 38723,
  [SMALL_STATE(1078)] = 38742,
  [SMALL_STATE(1079)] = 38765,
  [SMALL_STATE(1080)] = 38788,
  [SMALL_STATE(1081)] = 38807,
  [SMALL_STATE(1082)] = 38828,
  [SMALL_STATE(1083)] = 38851,
  [SMALL_STATE(1084)] = 38874,
  [SMALL_STATE(1085)] = 38895,
  [SMALL_STATE(1086)] = 38916,
  [SMALL_STATE(1087)] = 38939,
  [SMALL_STATE(1088)] = 38956,
  [SMALL_STATE(1089)] = 38977,
  [SMALL_STATE(1090)] = 39002,
  [SMALL_STATE(1091)] = 39019,
  [SMALL_STATE(1092)] = 39040,
  [SMALL_STATE(1093)] = 39065,
  [SMALL_STATE(1094)] = 39086,
  [SMALL_STATE(1095)] = 39107,
  [SMALL_STATE(1096)] = 39124,
  [SMALL_STATE(1097)] = 39141,
  [SMALL_STATE(1098)] = 39164,
  [SMALL_STATE(1099)] = 39185,
  [SMALL_STATE(1100)] = 39206,
  [SMALL_STATE(1101)] = 39227,
  [SMALL_STATE(1102)] = 39246,
  [SMALL_STATE(1103)] = 39262,
  [SMALL_STATE(1104)] = 39284,
  [SMALL_STATE(1105)] = 39306,
  [SMALL_STATE(1106)] = 39324,
  [SMALL_STATE(1107)] = 39342,
  [SMALL_STATE(1108)] = 39358,
  [SMALL_STATE(1109)] = 39378,
  [SMALL_STATE(1110)] = 39394,
  [SMALL_STATE(1111)] = 39414,
  [SMALL_STATE(1112)] = 39430,
  [SMALL_STATE(1113)] = 39446,
  [SMALL_STATE(1114)] = 39468,
  [SMALL_STATE(1115)] = 39490,
  [SMALL_STATE(1116)] = 39508,
  [SMALL_STATE(1117)] = 39530,
  [SMALL_STATE(1118)] = 39546,
  [SMALL_STATE(1119)] = 39562,
  [SMALL_STATE(1120)] = 39578,
  [SMALL_STATE(1121)] = 39600,
  [SMALL_STATE(1122)] = 39616,
  [SMALL_STATE(1123)] = 39632,
  [SMALL_STATE(1124)] = 39648,
  [SMALL_STATE(1125)] = 39664,
  [SMALL_STATE(1126)] = 39686,
  [SMALL_STATE(1127)] = 39706,
  [SMALL_STATE(1128)] = 39728,
  [SMALL_STATE(1129)] = 39750,
  [SMALL_STATE(1130)] = 39770,
  [SMALL_STATE(1131)] = 39792,
  [SMALL_STATE(1132)] = 39810,
  [SMALL_STATE(1133)] = 39828,
  [SMALL_STATE(1134)] = 39846,
  [SMALL_STATE(1135)] = 39866,
  [SMALL_STATE(1136)] = 39886,
  [SMALL_STATE(1137)] = 39906,
  [SMALL_STATE(1138)] = 39926,
  [SMALL_STATE(1139)] = 39944,
  [SMALL_STATE(1140)] = 39960,
  [SMALL_STATE(1141)] = 39978,
  [SMALL_STATE(1142)] = 39998,
  [SMALL_STATE(1143)] = 40016,
  [SMALL_STATE(1144)] = 40034,
  [SMALL_STATE(1145)] = 40056,
  [SMALL_STATE(1146)] = 40076,
  [SMALL_STATE(1147)] = 40096,
  [SMALL_STATE(1148)] = 40112,
  [SMALL_STATE(1149)] = 40128,
  [SMALL_STATE(1150)] = 40146,
  [SMALL_STATE(1151)] = 40166,
  [SMALL_STATE(1152)] = 40182,
  [SMALL_STATE(1153)] = 40198,
  [SMALL_STATE(1154)] = 40220,
  [SMALL_STATE(1155)] = 40236,
  [SMALL_STATE(1156)] = 40258,
  [SMALL_STATE(1157)] = 40274,
  [SMALL_STATE(1158)] = 40290,
  [SMALL_STATE(1159)] = 40308,
  [SMALL_STATE(1160)] = 40330,
  [SMALL_STATE(1161)] = 40352,
  [SMALL_STATE(1162)] = 40372,
  [SMALL_STATE(1163)] = 40392,
  [SMALL_STATE(1164)] = 40414,
  [SMALL_STATE(1165)] = 40434,
  [SMALL_STATE(1166)] = 40456,
  [SMALL_STATE(1167)] = 40478,
  [SMALL_STATE(1168)] = 40500,
  [SMALL_STATE(1169)] = 40522,
  [SMALL_STATE(1170)] = 40544,
  [SMALL_STATE(1171)] = 40560,
  [SMALL_STATE(1172)] = 40582,
  [SMALL_STATE(1173)] = 40602,
  [SMALL_STATE(1174)] = 40624,
  [SMALL_STATE(1175)] = 40646,
  [SMALL_STATE(1176)] = 40666,
  [SMALL_STATE(1177)] = 40686,
  [SMALL_STATE(1178)] = 40706,
  [SMALL_STATE(1179)] = 40726,
  [SMALL_STATE(1180)] = 40746,
  [SMALL_STATE(1181)] = 40768,
  [SMALL_STATE(1182)] = 40784,
  [SMALL_STATE(1183)] = 40804,
  [SMALL_STATE(1184)] = 40824,
  [SMALL_STATE(1185)] = 40846,
  [SMALL_STATE(1186)] = 40864,
  [SMALL_STATE(1187)] = 40886,
  [SMALL_STATE(1188)] = 40906,
  [SMALL_STATE(1189)] = 40928,
  [SMALL_STATE(1190)] = 40948,
  [SMALL_STATE(1191)] = 40968,
  [SMALL_STATE(1192)] = 40990,
  [SMALL_STATE(1193)] = 41006,
  [SMALL_STATE(1194)] = 41026,
  [SMALL_STATE(1195)] = 41042,
  [SMALL_STATE(1196)] = 41058,
  [SMALL_STATE(1197)] = 41080,
  [SMALL_STATE(1198)] = 41100,
  [SMALL_STATE(1199)] = 41116,
  [SMALL_STATE(1200)] = 41136,
  [SMALL_STATE(1201)] = 41152,
  [SMALL_STATE(1202)] = 41172,
  [SMALL_STATE(1203)] = 41192,
  [SMALL_STATE(1204)] = 41212,
  [SMALL_STATE(1205)] = 41228,
  [SMALL_STATE(1206)] = 41248,
  [SMALL_STATE(1207)] = 41270,
  [SMALL_STATE(1208)] = 41290,
  [SMALL_STATE(1209)] = 41310,
  [SMALL_STATE(1210)] = 41330,
  [SMALL_STATE(1211)] = 41347,
  [SMALL_STATE(1212)] = 41362,
  [SMALL_STATE(1213)] = 41381,
  [SMALL_STATE(1214)] = 41400,
  [SMALL_STATE(1215)] = 41419,
  [SMALL_STATE(1216)] = 41436,
  [SMALL_STATE(1217)] = 41453,
  [SMALL_STATE(1218)] = 41470,
  [SMALL_STATE(1219)] = 41487,
  [SMALL_STATE(1220)] = 41506,
  [SMALL_STATE(1221)] = 41521,
  [SMALL_STATE(1222)] = 41536,
  [SMALL_STATE(1223)] = 41553,
  [SMALL_STATE(1224)] = 41570,
  [SMALL_STATE(1225)] = 41587,
  [SMALL_STATE(1226)] = 41606,
  [SMALL_STATE(1227)] = 41623,
  [SMALL_STATE(1228)] = 41642,
  [SMALL_STATE(1229)] = 41659,
  [SMALL_STATE(1230)] = 41676,
  [SMALL_STATE(1231)] = 41695,
  [SMALL_STATE(1232)] = 41710,
  [SMALL_STATE(1233)] = 41727,
  [SMALL_STATE(1234)] = 41744,
  [SMALL_STATE(1235)] = 41761,
  [SMALL_STATE(1236)] = 41778,
  [SMALL_STATE(1237)] = 41795,
  [SMALL_STATE(1238)] = 41814,
  [SMALL_STATE(1239)] = 41833,
  [SMALL_STATE(1240)] = 41852,
  [SMALL_STATE(1241)] = 41871,
  [SMALL_STATE(1242)] = 41888,
  [SMALL_STATE(1243)] = 41905,
  [SMALL_STATE(1244)] = 41922,
  [SMALL_STATE(1245)] = 41939,
  [SMALL_STATE(1246)] = 41958,
  [SMALL_STATE(1247)] = 41977,
  [SMALL_STATE(1248)] = 41992,
  [SMALL_STATE(1249)] = 42009,
  [SMALL_STATE(1250)] = 42028,
  [SMALL_STATE(1251)] = 42045,
  [SMALL_STATE(1252)] = 42064,
  [SMALL_STATE(1253)] = 42081,
  [SMALL_STATE(1254)] = 42100,
  [SMALL_STATE(1255)] = 42117,
  [SMALL_STATE(1256)] = 42134,
  [SMALL_STATE(1257)] = 42153,
  [SMALL_STATE(1258)] = 42170,
  [SMALL_STATE(1259)] = 42189,
  [SMALL_STATE(1260)] = 42206,
  [SMALL_STATE(1261)] = 42223,
  [SMALL_STATE(1262)] = 42240,
  [SMALL_STATE(1263)] = 42257,
  [SMALL_STATE(1264)] = 42274,
  [SMALL_STATE(1265)] = 42293,
  [SMALL_STATE(1266)] = 42308,
  [SMALL_STATE(1267)] = 42323,
  [SMALL_STATE(1268)] = 42342,
  [SMALL_STATE(1269)] = 42359,
  [SMALL_STATE(1270)] = 42376,
  [SMALL_STATE(1271)] = 42395,
  [SMALL_STATE(1272)] = 42414,
  [SMALL_STATE(1273)] = 42431,
  [SMALL_STATE(1274)] = 42448,
  [SMALL_STATE(1275)] = 42465,
  [SMALL_STATE(1276)] = 42482,
  [SMALL_STATE(1277)] = 42499,
  [SMALL_STATE(1278)] = 42518,
  [SMALL_STATE(1279)] = 42535,
  [SMALL_STATE(1280)] = 42554,
  [SMALL_STATE(1281)] = 42569,
  [SMALL_STATE(1282)] = 42586,
  [SMALL_STATE(1283)] = 42603,
  [SMALL_STATE(1284)] = 42620,
  [SMALL_STATE(1285)] = 42637,
  [SMALL_STATE(1286)] = 42654,
  [SMALL_STATE(1287)] = 42669,
  [SMALL_STATE(1288)] = 42684,
  [SMALL_STATE(1289)] = 42703,
  [SMALL_STATE(1290)] = 42722,
  [SMALL_STATE(1291)] = 42739,
  [SMALL_STATE(1292)] = 42758,
  [SMALL_STATE(1293)] = 42777,
  [SMALL_STATE(1294)] = 42796,
  [SMALL_STATE(1295)] = 42813,
  [SMALL_STATE(1296)] = 42832,
  [SMALL_STATE(1297)] = 42849,
  [SMALL_STATE(1298)] = 42866,
  [SMALL_STATE(1299)] = 42885,
  [SMALL_STATE(1300)] = 42902,
  [SMALL_STATE(1301)] = 42919,
  [SMALL_STATE(1302)] = 42936,
  [SMALL_STATE(1303)] = 42951,
  [SMALL_STATE(1304)] = 42966,
  [SMALL_STATE(1305)] = 42981,
  [SMALL_STATE(1306)] = 43000,
  [SMALL_STATE(1307)] = 43015,
  [SMALL_STATE(1308)] = 43034,
  [SMALL_STATE(1309)] = 43053,
  [SMALL_STATE(1310)] = 43072,
  [SMALL_STATE(1311)] = 43091,
  [SMALL_STATE(1312)] = 43108,
  [SMALL_STATE(1313)] = 43125,
  [SMALL_STATE(1314)] = 43142,
  [SMALL_STATE(1315)] = 43161,
  [SMALL_STATE(1316)] = 43180,
  [SMALL_STATE(1317)] = 43199,
  [SMALL_STATE(1318)] = 43214,
  [SMALL_STATE(1319)] = 43231,
  [SMALL_STATE(1320)] = 43246,
  [SMALL_STATE(1321)] = 43261,
  [SMALL_STATE(1322)] = 43278,
  [SMALL_STATE(1323)] = 43295,
  [SMALL_STATE(1324)] = 43314,
  [SMALL_STATE(1325)] = 43331,
  [SMALL_STATE(1326)] = 43350,
  [SMALL_STATE(1327)] = 43367,
  [SMALL_STATE(1328)] = 43384,
  [SMALL_STATE(1329)] = 43401,
  [SMALL_STATE(1330)] = 43418,
  [SMALL_STATE(1331)] = 43433,
  [SMALL_STATE(1332)] = 43450,
  [SMALL_STATE(1333)] = 43467,
  [SMALL_STATE(1334)] = 43486,
  [SMALL_STATE(1335)] = 43503,
  [SMALL_STATE(1336)] = 43518,
  [SMALL_STATE(1337)] = 43537,
  [SMALL_STATE(1338)] = 43554,
  [SMALL_STATE(1339)] = 43571,
  [SMALL_STATE(1340)] = 43586,
  [SMALL_STATE(1341)] = 43603,
  [SMALL_STATE(1342)] = 43622,
  [SMALL_STATE(1343)] = 43641,
  [SMALL_STATE(1344)] = 43660,
  [SMALL_STATE(1345)] = 43679,
  [SMALL_STATE(1346)] = 43696,
  [SMALL_STATE(1347)] = 43711,
  [SMALL_STATE(1348)] = 43728,
  [SMALL_STATE(1349)] = 43747,
  [SMALL_STATE(1350)] = 43764,
  [SMALL_STATE(1351)] = 43781,
  [SMALL_STATE(1352)] = 43800,
  [SMALL_STATE(1353)] = 43819,
  [SMALL_STATE(1354)] = 43834,
  [SMALL_STATE(1355)] = 43849,
  [SMALL_STATE(1356)] = 43868,
  [SMALL_STATE(1357)] = 43887,
  [SMALL_STATE(1358)] = 43904,
  [SMALL_STATE(1359)] = 43919,
  [SMALL_STATE(1360)] = 43936,
  [SMALL_STATE(1361)] = 43953,
  [SMALL_STATE(1362)] = 43970,
  [SMALL_STATE(1363)] = 43989,
  [SMALL_STATE(1364)] = 44004,
  [SMALL_STATE(1365)] = 44021,
  [SMALL_STATE(1366)] = 44036,
  [SMALL_STATE(1367)] = 44053,
  [SMALL_STATE(1368)] = 44072,
  [SMALL_STATE(1369)] = 44087,
  [SMALL_STATE(1370)] = 44104,
  [SMALL_STATE(1371)] = 44121,
  [SMALL_STATE(1372)] = 44138,
  [SMALL_STATE(1373)] = 44157,
  [SMALL_STATE(1374)] = 44176,
  [SMALL_STATE(1375)] = 44193,
  [SMALL_STATE(1376)] = 44210,
  [SMALL_STATE(1377)] = 44229,
  [SMALL_STATE(1378)] = 44246,
  [SMALL_STATE(1379)] = 44263,
  [SMALL_STATE(1380)] = 44280,
  [SMALL_STATE(1381)] = 44297,
  [SMALL_STATE(1382)] = 44314,
  [SMALL_STATE(1383)] = 44331,
  [SMALL_STATE(1384)] = 44348,
  [SMALL_STATE(1385)] = 44365,
  [SMALL_STATE(1386)] = 44382,
  [SMALL_STATE(1387)] = 44399,
  [SMALL_STATE(1388)] = 44414,
  [SMALL_STATE(1389)] = 44431,
  [SMALL_STATE(1390)] = 44450,
  [SMALL_STATE(1391)] = 44467,
  [SMALL_STATE(1392)] = 44484,
  [SMALL_STATE(1393)] = 44501,
  [SMALL_STATE(1394)] = 44515,
  [SMALL_STATE(1395)] = 44529,
  [SMALL_STATE(1396)] = 44543,
  [SMALL_STATE(1397)] = 44559,
  [SMALL_STATE(1398)] = 44575,
  [SMALL_STATE(1399)] = 44589,
  [SMALL_STATE(1400)] = 44603,
  [SMALL_STATE(1401)] = 44617,
  [SMALL_STATE(1402)] = 44631,
  [SMALL_STATE(1403)] = 44645,
  [SMALL_STATE(1404)] = 44659,
  [SMALL_STATE(1405)] = 44675,
  [SMALL_STATE(1406)] = 44689,
  [SMALL_STATE(1407)] = 44705,
  [SMALL_STATE(1408)] = 44719,
  [SMALL_STATE(1409)] = 44733,
  [SMALL_STATE(1410)] = 44749,
  [SMALL_STATE(1411)] = 44763,
  [SMALL_STATE(1412)] = 44779,
  [SMALL_STATE(1413)] = 44795,
  [SMALL_STATE(1414)] = 44811,
  [SMALL_STATE(1415)] = 44825,
  [SMALL_STATE(1416)] = 44841,
  [SMALL_STATE(1417)] = 44857,
  [SMALL_STATE(1418)] = 44871,
  [SMALL_STATE(1419)] = 44887,
  [SMALL_STATE(1420)] = 44903,
  [SMALL_STATE(1421)] = 44919,
  [SMALL_STATE(1422)] = 44935,
  [SMALL_STATE(1423)] = 44949,
  [SMALL_STATE(1424)] = 44965,
  [SMALL_STATE(1425)] = 44981,
  [SMALL_STATE(1426)] = 44997,
  [SMALL_STATE(1427)] = 45011,
  [SMALL_STATE(1428)] = 45027,
  [SMALL_STATE(1429)] = 45041,
  [SMALL_STATE(1430)] = 45055,
  [SMALL_STATE(1431)] = 45069,
  [SMALL_STATE(1432)] = 45085,
  [SMALL_STATE(1433)] = 45099,
  [SMALL_STATE(1434)] = 45113,
  [SMALL_STATE(1435)] = 45127,
  [SMALL_STATE(1436)] = 45143,
  [SMALL_STATE(1437)] = 45159,
  [SMALL_STATE(1438)] = 45173,
  [SMALL_STATE(1439)] = 45187,
  [SMALL_STATE(1440)] = 45201,
  [SMALL_STATE(1441)] = 45217,
  [SMALL_STATE(1442)] = 45233,
  [SMALL_STATE(1443)] = 45247,
  [SMALL_STATE(1444)] = 45261,
  [SMALL_STATE(1445)] = 45277,
  [SMALL_STATE(1446)] = 45293,
  [SMALL_STATE(1447)] = 45309,
  [SMALL_STATE(1448)] = 45323,
  [SMALL_STATE(1449)] = 45337,
  [SMALL_STATE(1450)] = 45353,
  [SMALL_STATE(1451)] = 45369,
  [SMALL_STATE(1452)] = 45383,
  [SMALL_STATE(1453)] = 45399,
  [SMALL_STATE(1454)] = 45415,
  [SMALL_STATE(1455)] = 45431,
  [SMALL_STATE(1456)] = 45447,
  [SMALL_STATE(1457)] = 45461,
  [SMALL_STATE(1458)] = 45475,
  [SMALL_STATE(1459)] = 45489,
  [SMALL_STATE(1460)] = 45503,
  [SMALL_STATE(1461)] = 45519,
  [SMALL_STATE(1462)] = 45535,
  [SMALL_STATE(1463)] = 45551,
  [SMALL_STATE(1464)] = 45565,
  [SMALL_STATE(1465)] = 45579,
  [SMALL_STATE(1466)] = 45595,
  [SMALL_STATE(1467)] = 45611,
  [SMALL_STATE(1468)] = 45625,
  [SMALL_STATE(1469)] = 45639,
  [SMALL_STATE(1470)] = 45655,
  [SMALL_STATE(1471)] = 45671,
  [SMALL_STATE(1472)] = 45687,
  [SMALL_STATE(1473)] = 45701,
  [SMALL_STATE(1474)] = 45715,
  [SMALL_STATE(1475)] = 45729,
  [SMALL_STATE(1476)] = 45743,
  [SMALL_STATE(1477)] = 45757,
  [SMALL_STATE(1478)] = 45771,
  [SMALL_STATE(1479)] = 45787,
  [SMALL_STATE(1480)] = 45801,
  [SMALL_STATE(1481)] = 45815,
  [SMALL_STATE(1482)] = 45831,
  [SMALL_STATE(1483)] = 45845,
  [SMALL_STATE(1484)] = 45861,
  [SMALL_STATE(1485)] = 45875,
  [SMALL_STATE(1486)] = 45891,
  [SMALL_STATE(1487)] = 45907,
  [SMALL_STATE(1488)] = 45923,
  [SMALL_STATE(1489)] = 45937,
  [SMALL_STATE(1490)] = 45951,
  [SMALL_STATE(1491)] = 45967,
  [SMALL_STATE(1492)] = 45983,
  [SMALL_STATE(1493)] = 45999,
  [SMALL_STATE(1494)] = 46013,
  [SMALL_STATE(1495)] = 46029,
  [SMALL_STATE(1496)] = 46045,
  [SMALL_STATE(1497)] = 46061,
  [SMALL_STATE(1498)] = 46075,
  [SMALL_STATE(1499)] = 46091,
  [SMALL_STATE(1500)] = 46105,
  [SMALL_STATE(1501)] = 46121,
  [SMALL_STATE(1502)] = 46137,
  [SMALL_STATE(1503)] = 46153,
  [SMALL_STATE(1504)] = 46169,
  [SMALL_STATE(1505)] = 46183,
  [SMALL_STATE(1506)] = 46197,
  [SMALL_STATE(1507)] = 46211,
  [SMALL_STATE(1508)] = 46225,
  [SMALL_STATE(1509)] = 46239,
  [SMALL_STATE(1510)] = 46255,
  [SMALL_STATE(1511)] = 46269,
  [SMALL_STATE(1512)] = 46285,
  [SMALL_STATE(1513)] = 46301,
  [SMALL_STATE(1514)] = 46315,
  [SMALL_STATE(1515)] = 46329,
  [SMALL_STATE(1516)] = 46343,
  [SMALL_STATE(1517)] = 46357,
  [SMALL_STATE(1518)] = 46373,
  [SMALL_STATE(1519)] = 46389,
  [SMALL_STATE(1520)] = 46405,
  [SMALL_STATE(1521)] = 46421,
  [SMALL_STATE(1522)] = 46437,
  [SMALL_STATE(1523)] = 46453,
  [SMALL_STATE(1524)] = 46469,
  [SMALL_STATE(1525)] = 46483,
  [SMALL_STATE(1526)] = 46499,
  [SMALL_STATE(1527)] = 46513,
  [SMALL_STATE(1528)] = 46527,
  [SMALL_STATE(1529)] = 46543,
  [SMALL_STATE(1530)] = 46557,
  [SMALL_STATE(1531)] = 46571,
  [SMALL_STATE(1532)] = 46585,
  [SMALL_STATE(1533)] = 46599,
  [SMALL_STATE(1534)] = 46615,
  [SMALL_STATE(1535)] = 46631,
  [SMALL_STATE(1536)] = 46647,
  [SMALL_STATE(1537)] = 46661,
  [SMALL_STATE(1538)] = 46677,
  [SMALL_STATE(1539)] = 46693,
  [SMALL_STATE(1540)] = 46709,
  [SMALL_STATE(1541)] = 46723,
  [SMALL_STATE(1542)] = 46739,
  [SMALL_STATE(1543)] = 46755,
  [SMALL_STATE(1544)] = 46771,
  [SMALL_STATE(1545)] = 46787,
  [SMALL_STATE(1546)] = 46801,
  [SMALL_STATE(1547)] = 46817,
  [SMALL_STATE(1548)] = 46833,
  [SMALL_STATE(1549)] = 46849,
  [SMALL_STATE(1550)] = 46865,
  [SMALL_STATE(1551)] = 46878,
  [SMALL_STATE(1552)] = 46891,
  [SMALL_STATE(1553)] = 46904,
  [SMALL_STATE(1554)] = 46917,
  [SMALL_STATE(1555)] = 46930,
  [SMALL_STATE(1556)] = 46943,
  [SMALL_STATE(1557)] = 46956,
  [SMALL_STATE(1558)] = 46969,
  [SMALL_STATE(1559)] = 46982,
  [SMALL_STATE(1560)] = 46995,
  [SMALL_STATE(1561)] = 47008,
  [SMALL_STATE(1562)] = 47021,
  [SMALL_STATE(1563)] = 47034,
  [SMALL_STATE(1564)] = 47047,
  [SMALL_STATE(1565)] = 47060,
  [SMALL_STATE(1566)] = 47073,
  [SMALL_STATE(1567)] = 47086,
  [SMALL_STATE(1568)] = 47099,
  [SMALL_STATE(1569)] = 47112,
  [SMALL_STATE(1570)] = 47125,
  [SMALL_STATE(1571)] = 47138,
  [SMALL_STATE(1572)] = 47151,
  [SMALL_STATE(1573)] = 47164,
  [SMALL_STATE(1574)] = 47177,
  [SMALL_STATE(1575)] = 47190,
  [SMALL_STATE(1576)] = 47203,
  [SMALL_STATE(1577)] = 47216,
  [SMALL_STATE(1578)] = 47229,
  [SMALL_STATE(1579)] = 47242,
  [SMALL_STATE(1580)] = 47255,
  [SMALL_STATE(1581)] = 47268,
  [SMALL_STATE(1582)] = 47281,
  [SMALL_STATE(1583)] = 47294,
  [SMALL_STATE(1584)] = 47307,
  [SMALL_STATE(1585)] = 47320,
  [SMALL_STATE(1586)] = 47333,
  [SMALL_STATE(1587)] = 47346,
  [SMALL_STATE(1588)] = 47359,
  [SMALL_STATE(1589)] = 47372,
  [SMALL_STATE(1590)] = 47385,
  [SMALL_STATE(1591)] = 47398,
  [SMALL_STATE(1592)] = 47411,
  [SMALL_STATE(1593)] = 47424,
  [SMALL_STATE(1594)] = 47437,
  [SMALL_STATE(1595)] = 47450,
  [SMALL_STATE(1596)] = 47463,
  [SMALL_STATE(1597)] = 47476,
  [SMALL_STATE(1598)] = 47489,
  [SMALL_STATE(1599)] = 47502,
  [SMALL_STATE(1600)] = 47515,
  [SMALL_STATE(1601)] = 47528,
  [SMALL_STATE(1602)] = 47541,
  [SMALL_STATE(1603)] = 47554,
  [SMALL_STATE(1604)] = 47567,
  [SMALL_STATE(1605)] = 47580,
  [SMALL_STATE(1606)] = 47593,
  [SMALL_STATE(1607)] = 47606,
  [SMALL_STATE(1608)] = 47619,
  [SMALL_STATE(1609)] = 47632,
  [SMALL_STATE(1610)] = 47645,
  [SMALL_STATE(1611)] = 47658,
  [SMALL_STATE(1612)] = 47671,
  [SMALL_STATE(1613)] = 47684,
  [SMALL_STATE(1614)] = 47697,
  [SMALL_STATE(1615)] = 47710,
  [SMALL_STATE(1616)] = 47723,
  [SMALL_STATE(1617)] = 47736,
  [SMALL_STATE(1618)] = 47749,
  [SMALL_STATE(1619)] = 47762,
  [SMALL_STATE(1620)] = 47775,
  [SMALL_STATE(1621)] = 47788,
  [SMALL_STATE(1622)] = 47801,
  [SMALL_STATE(1623)] = 47814,
  [SMALL_STATE(1624)] = 47827,
  [SMALL_STATE(1625)] = 47840,
  [SMALL_STATE(1626)] = 47853,
  [SMALL_STATE(1627)] = 47866,
  [SMALL_STATE(1628)] = 47879,
  [SMALL_STATE(1629)] = 47892,
  [SMALL_STATE(1630)] = 47905,
  [SMALL_STATE(1631)] = 47918,
  [SMALL_STATE(1632)] = 47931,
  [SMALL_STATE(1633)] = 47944,
  [SMALL_STATE(1634)] = 47957,
  [SMALL_STATE(1635)] = 47970,
  [SMALL_STATE(1636)] = 47983,
  [SMALL_STATE(1637)] = 47996,
  [SMALL_STATE(1638)] = 48009,
  [SMALL_STATE(1639)] = 48022,
  [SMALL_STATE(1640)] = 48035,
  [SMALL_STATE(1641)] = 48048,
  [SMALL_STATE(1642)] = 48061,
  [SMALL_STATE(1643)] = 48074,
  [SMALL_STATE(1644)] = 48087,
  [SMALL_STATE(1645)] = 48100,
  [SMALL_STATE(1646)] = 48113,
  [SMALL_STATE(1647)] = 48126,
  [SMALL_STATE(1648)] = 48139,
  [SMALL_STATE(1649)] = 48152,
  [SMALL_STATE(1650)] = 48165,
  [SMALL_STATE(1651)] = 48178,
  [SMALL_STATE(1652)] = 48191,
  [SMALL_STATE(1653)] = 48204,
  [SMALL_STATE(1654)] = 48217,
  [SMALL_STATE(1655)] = 48230,
  [SMALL_STATE(1656)] = 48243,
  [SMALL_STATE(1657)] = 48256,
  [SMALL_STATE(1658)] = 48269,
  [SMALL_STATE(1659)] = 48282,
  [SMALL_STATE(1660)] = 48295,
  [SMALL_STATE(1661)] = 48308,
  [SMALL_STATE(1662)] = 48321,
  [SMALL_STATE(1663)] = 48334,
  [SMALL_STATE(1664)] = 48347,
  [SMALL_STATE(1665)] = 48351,
};

static TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [17] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [19] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(546),
  [22] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(350),
  [25] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(543),
  [28] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1366),
  [31] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1092),
  [34] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(912),
  [37] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(971),
  [40] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(989),
  [43] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1085),
  [46] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(21),
  [49] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1645),
  [52] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1644),
  [55] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1643),
  [58] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(883),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(887),
  [64] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(77),
  [67] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1642),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1641),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(116),
  [76] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1640),
  [79] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(748),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1418),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1638),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(123),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(122),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(121),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(270),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1419),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(61),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1636),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1635),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1421),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1423),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(263),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(262),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(262),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(476),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(261),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(772),
  [138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(808),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(748),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1631),
  [147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(88),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(581),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(579),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1078),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(68),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(241),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(227),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(225),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(221),
  [174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1640),
  [214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 1),
  [232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_colon_block, 2),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 2),
  [282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 2),
  [284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 61),
  [286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 61),
  [288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_statement, 3),
  [290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_statement, 3),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 61),
  [294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 61),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1654),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1467),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 3),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 1),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1575),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1503),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 2),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 2),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 10),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 10),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 29),
  [774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 29),
  [776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 1),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 2),
  [782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 2),
  [784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 71),
  [786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 71),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 69),
  [790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 69),
  [792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 48),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 48),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 48), SHIFT_REPEAT(1411),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 6),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 6),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 25),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 25),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 63),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 63),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 50),
  [835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 50),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 31),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 31),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 45),
  [847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 45),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 6),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 6),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 6),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 6),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 45),
  [873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 45),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 2),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 2),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 3, .production_id = 10),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 3, .production_id = 10),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 5),
  [885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 5),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 31),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 31),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 28),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 28),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 29),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 29),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 4),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 4),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 50),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 50),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 10),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 10),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 7),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 7),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 47),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 47),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, .production_id = 2),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, .production_id = 2),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 25),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 25),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 46),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 46),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 10),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 10),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 5),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 5),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_statement, 5),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_statement, 5),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 7),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 7),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 25),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 25),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 7, .production_id = 70),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 7, .production_id = 70),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 47),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 47),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 5),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 5),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 6),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 6),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 63),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 63),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 10),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 10),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_declaration, 3, .production_id = 6),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_declaration, 3, .production_id = 6),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 6),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 6),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 4),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 4),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 5),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 5),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_statement, 8),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declare_statement, 8),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 4),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 4),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 4),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 4),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 10),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 10),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 8, .production_id = 72),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 8, .production_id = 72),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 9, .production_id = 70),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 9, .production_id = 70),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_echo_statement, 3),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_echo_statement, 3),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_statement, 10, .production_id = 72),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreach_statement, 10, .production_id = 72),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_static_declaration, 3),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_static_declaration, 3),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 12),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 12),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_label_statement, 2),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_label_statement, 2),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_declaration, 3),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_declaration, 3),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 1),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 1),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_declaration, 3),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_use_declaration, 3),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 2, .production_id = 4),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 2, .production_id = 4),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 28),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 28),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 27),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 27),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 6),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 6),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 3, .production_id = 15),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 3, .production_id = 15),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 14),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_property_access_expression, 3, .production_id = 14),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_variable, 4, .production_id = 26),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dereferencable_expression, 1),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_variable, 4, .production_id = 26),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_access_expression, 5, .production_id = 52),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_access_expression, 5, .production_id = 52),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_name, 2),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_name, 2),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 64),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 6, .production_id = 64),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 2),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 2),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 3),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 3),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_variable_name, 4),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_variable_name, 4),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call_expression, 2, .production_id = 3),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call_expression, 2, .production_id = 3),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 34),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_call_expression, 4, .production_id = 34),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 4, .production_id = 35),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 4, .production_id = 35),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_call_expression, 6, .production_id = 65),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_call_expression, 6, .production_id = 65),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), SHIFT(302),
  [1246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), SHIFT(1152),
  [1249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1), SHIFT(1156),
  [1252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2),
  [1260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 1),
  [1266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(1561),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 1),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_name, 2),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_name, 2),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_constant_access_expression, 3),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_constant_access_expression, 3),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 2),
  [1283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__array_destructing, 2), REDUCE(sym_array_creation_expression, 2),
  [1286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_destructing, 2),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 2),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 12),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 12),
  [1294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [1296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_scope, 1),
  [1298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 2),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 2),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5),
  [1308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 6),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 6),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3),
  [1320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3),
  [1322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4),
  [1324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 2),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 5),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 5),
  [1358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_clone_expression, 2),
  [1360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_clone_expression, 2),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 54),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 54),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 66),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 7, .production_id = 66),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_op_expression, 2),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_op_expression, 2),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 55),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 55),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 53),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 6, .production_id = 53),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 4),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 4),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 9),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 3, .production_id = 9),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 43),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 43),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_expression, 1),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unary_expression, 1),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 26),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 26),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 6),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 6),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 36),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 36),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exponentiation_expression, 3),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exponentiation_expression, 3),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 37),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 37),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 16),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 16),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 23),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 23),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 24),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 4, .production_id = 24),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 38),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_anonymous_function_creation_expression, 5, .production_id = 38),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 12),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_expression, 2),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 4, .production_id = 33),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(947),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(518),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1292),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1085),
  [1500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(78),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1650),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(86),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(516),
  [1514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2), SHIFT_REPEAT(1086),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 32),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 32),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 2),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_require_once_expression, 2),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_once_expression, 2),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_expression, 2),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 51),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 51),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_intrinsic, 2),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 1),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 4),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_expression, 2),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 13),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_element_initializer, 3),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 3, .production_id = 17),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_element, 3),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_initializer, 2),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expressions, 1),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(890),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 2),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(883),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(891),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 2), SHIFT_REPEAT(887),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [1765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 42),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2),
  [1771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 56),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 4, .production_id = 58),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_unpacking, 2),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 5, .production_id = 67),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 4),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreach_pair, 3),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_modifier, 1),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_modifier, 1),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_modifier, 1),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_modifier, 1),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_static_modifier, 1), REDUCE(sym__reserved_identifier, 1),
  [1874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__modifier, 1),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__modifier, 1),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat1, 1),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(890),
  [1919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(937),
  [1922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1012),
  [1925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(1025),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2),
  [1930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(883),
  [1933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(891),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2), SHIFT_REPEAT(887),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_use_list_repeat1, 2),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 59),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 4),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 44),
  [1965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4, .production_id = 68),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 5, .production_id = 68),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 60),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__member_declaration, 1),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 3),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_declaration, 4),
  [1989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1657),
  [2074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1542),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 4),
  [2087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [2091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(179),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1432),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_name_as_prefix, 2),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [2123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_name_as_prefix, 3),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2, .production_id = 19),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_namespace_name_as_prefix, 2), SHIFT(1481),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 3, .production_id = 8),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_namespace_name_as_prefix, 1), SHIFT(1481),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_name_as_prefix, 1),
  [2199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 48), SHIFT_REPEAT(1528),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2),
  [2204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(940),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2),
  [2213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(1556),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 18),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 1),
  [2230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 1), SHIFT(1556),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2),
  [2239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(893),
  [2242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(892),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_text, 1),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text, 1),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 1),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 2),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2),
  [2263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1105),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 1),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 1),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [2280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 2), SHIFT_REPEAT(1133),
  [2285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_name_repeat1, 2), SHIFT_REPEAT(1561),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_name, 2),
  [2294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(1556),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 48),
  [2301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 48), SHIFT_REPEAT(1416),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 2, .production_id = 48),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__types, 1, .production_id = 7),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_type, 1),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution_qualifier, 1),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_text_repeat1, 1),
  [2336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_text_repeat1, 1),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2),
  [2340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_property_declaration_repeat2, 2), SHIFT_REPEAT(1316),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 2),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 1),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [2361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(1006),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 6, .production_id = 49),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 6),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_literal, 1),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4),
  [2382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 4, .production_id = 11),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, .production_id = 7),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_clause_repeat1, 2), SHIFT_REPEAT(939),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2),
  [2405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_declaration_repeat1, 2), SHIFT_REPEAT(932),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 1),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [2424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(938),
  [2427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_name_as_prefix, 4),
  [2429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2),
  [2431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_declaration_repeat1, 2), SHIFT_REPEAT(1226),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2),
  [2440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_static_declaration_repeat1, 2), SHIFT_REPEAT(1225),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_variable_declaration, 1, .production_id = 1),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 2),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3, .production_id = 11),
  [2459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 3),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 5, .production_id = 49),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_destructing, 5),
  [2467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_type_repeat1, 2), SHIFT_REPEAT(894),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [2484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_clause, 3),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, .production_id = 7),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 4, .production_id = 21),
  [2552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type, 2, .production_id = 22),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_statement_repeat1, 2), SHIFT_REPEAT(809),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_clause, 2),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 3),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 1, .production_id = 1),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, .production_id = 19),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5),
  [2605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 5, .production_id = 30),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 3),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 3, .production_id = 41),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2), SHIFT_REPEAT(117),
  [2626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(798),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_element, 2),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_aliasing_clause, 2),
  [2649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(124),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 5),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(128),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 10),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause_2, 3, .production_id = 10),
  [2669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2), SHIFT_REPEAT(302),
  [2672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6),
  [2674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 2, .production_id = 11),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 6, .production_id = 62),
  [2686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2), SHIFT_REPEAT(118),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_parameter, 2, .production_id = 20),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4, .production_id = 30),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 4),
  [2707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 2, .production_id = 11),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7),
  [2711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_destructing, 7, .production_id = 62),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_definition_header, 5, .production_id = 39),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2), SHIFT_REPEAT(1043),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_namespace_use_group_repeat1, 2),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3),
  [2730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 27),
  [2732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat2, 1, .production_id = 27),
  [2734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_interface_clause, 2),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [2738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2), SHIFT_REPEAT(1309),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 2),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 5),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 4),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group_clause, 3),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__array_destructing_repeat1, 4, .production_id = 49),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__list_destructing_repeat1, 4, .production_id = 49),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_anonymous_function_use_clause_repeat1, 3),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 6),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_instead_of_clause, 3),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_anonymous_function_use_clause, 4),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, .production_id = 57),
  [2797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_use_group, 3),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 4),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, .production_id = 5),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 40),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_type, 1),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, .production_id = 41),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_namespace_name, 2), SHIFT(1561),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declare_directive, 3),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause_2, 2, .production_id = 2),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3066] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [3074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 3),
  [3076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_text_interpolation, 2),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_php_external_scanner_create(void);
void tree_sitter_php_external_scanner_destroy(void *);
bool tree_sitter_php_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_php_external_scanner_serialize(void *, char *);
void tree_sitter_php_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_php(void) {
  static TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = (const uint16_t *)ts_parse_table,
    .small_parse_table = (const uint16_t *)ts_small_parse_table,
    .small_parse_table_map = (const uint32_t *)ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = (const TSFieldMapSlice *)ts_field_map_slices,
    .field_map_entries = (const TSFieldMapEntry *)ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = (const TSSymbol *)ts_alias_sequences,
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_name,
    .external_scanner = {
      (const bool *)ts_external_scanner_states,
      ts_external_scanner_symbol_map,
      tree_sitter_php_external_scanner_create,
      tree_sitter_php_external_scanner_destroy,
      tree_sitter_php_external_scanner_scan,
      tree_sitter_php_external_scanner_serialize,
      tree_sitter_php_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
